Hooks:PostHook(WeaponFactoryTweakData, "init", "init_yawn_part_ids", function(self)
    if Yawn.Options:GetValue("enable") then
        local LOG_YAWN = true

        local function apply_yawn_name_ids(names, descs)
            -- Names
            for k,v in pairs(names) do
                if self.parts[k] then
                    self.parts[k].name_id = v
                    if LOG_YAWN then
                        log("Y.A.W.N: (name) part id ("..k..") applied "..v)
                    end
                elseif LOG_YAWN then
                    log("Y.A.W.N: (name) part id ("..k..") does not exist")
                end
            end

            -- Descriptions
            for k,v in pairs(descs) do
                if self.parts[k] then
                    self.parts[k].desc_id = v
                    if LOG_YAWN then
                        log("Y.A.W.N: (desc) part id ("..k..") applied "..v)
                    end
                elseif LOG_YAWN then
                    log("Y.A.W.N: (desc) part id ("..k..") does not exist")
                end
            end
        end

        local yawn_name_ids, yawn_desc_ids = {},{}
	
	-- weapon-unique attachments --
		if BeardLib.Utils:ModLoaded("458 SOCOM AR") or true then
			-- yawn_name_ids["bm_wp_wpn_fps_snp_sierra458_ns_scout"] = ""
			yawn_name_ids["wpn_fps_snp_sierra458_b_old"] = "bm_wp_upg_ass_m4_b_beowulf"
			yawn_name_ids["wpn_fps_snp_sierra458_fg_mk12"] = "bm_wp_m4_upg_fg_mk12"
			yawn_name_ids["wpn_fps_upg_sierra458_o_backup"] = "bm_wp_victor_o_standard"
			yawn_name_ids["wpn_fps_snp_sierra458_m_bush"] = "bm_wp_upg_m4_m_l5"
			yawn_desc_ids["wpn_fps_snp_sierra458_m_bush"] = "bm_wp_wpn_fps_snp_sierra458_m_bush_desc"
		end
		
		if BeardLib.Utils:ModLoaded("AAC Honey Badger") or true then
			yawn_name_ids["wpn_fps_upg_bajur_m_plate"] = "bm_wp_wpn_fps_upg_m_pmag"
			yawn_name_ids["wpn_fps_upg_bajur_m_usgi"] = "bm_wp_m4_uupg_m_std"
			yawn_name_ids["wpn_fps_upg_bajur_m_smol"] = "bm_wp_wpn_fps_upg_m4_m_pmag20"
		end
		
		if BeardLib.Utils:ModLoaded("AEK919K SMG") or true then
			yawn_name_ids["wpn_fps_smg_x_aek919_m_extended"] = "bm_wp_wpn_fps_smg_aek919_m_extended"
			yawn_name_ids["wpn_fps_smg_aek919_leupold"] = "bm_wpn_fps_upg_o_45rds"
			yawn_desc_ids["wpn_fps_smg_aek919_leupold"] = "bm_wp_wpn_fps_smg_aek919_leupold_desc"
		end
		
		if BeardLib.Utils:ModLoaded("acwr") or true then
			yawn_name_ids["wpn_fps_ass_acwr_mag_pmag"] = "bm_wp_m4_m_pmag"
			yawn_name_ids["wpn_fps_ass_acwr_mag_smol"] = "bm_wp_m4_m_straight"
			yawn_name_ids["wpn_fps_ass_acwr_expert"] = "bm_wp_wpn_fps_upg_o_var_troy_rear"
		end
		
		if BeardLib.Utils:ModLoaded("AEK-971") or true then
			yawn_name_ids["wpn_fps_upg_aek971_mag_rpk"] = "bm_wp_rpk_m_standard"
			yawn_desc_ids["wpn_fps_upg_aek971_mag_rpk"] = "bm_wp_wpn_fps_upg_aek971_mag_rpk_desc"
		end
		
		if BeardLib.Utils:ModLoaded("AK 5.56 Custom") or true then
			yawn_name_ids["wpn_fps_ass_ak556_smolmag"] = "bm_wp_m4_m_straight"
			yawn_name_ids["wpn_fps_ass_ak556_pmag"] = "bm_wp_m4_m_pmag"
			yawn_name_ids["wpn_fps_ass_ak556_bigmag"] = "bm_wp_upg_m4_m_quad"
			yawn_name_ids["wpn_fps_ass_ak556_speed"] = "bm_wp_m4_m_quick"
			yawn_name_ids["wpn_fps_ass_ak556_stock_fold"] = "bm_wp_ak_s_folding"
		end
		
		if BeardLib.Utils:ModLoaded("AK-Alfa") or true then
			yawn_name_ids["wpn_fps_ass_fakedefy_o_mh1"] = "bm_wp_wpn_fps_upg_o_hartman"
		end
		
		if BeardLib.Utils:ModLoaded("AK-47") or true then
			yawn_name_ids["wpn_fps_upg_o_ak47_l_scopemount"] = "bm_wp_upg_o_ak_scopemount"
			yawn_name_ids["wpn_fps_ass_heffy_762_st_ak103"] = "bm_wp_wpn_fps_upg_ak_s_ak100"
			yawn_name_ids["wpn_fps_ass_heffy_762_m_steel_75"] = "bm_wp_ak_m_drum"
		end
		
		if BeardLib.Utils:ModLoaded("AK-74") or true then
			yawn_name_ids["wpn_fps_ass_ak_stamp_545_m_poly_45"] = "bm_wp_rpk_m_standard"
			yawn_name_ids["wpn_fps_ass_ak_stamp_545_m_quad_60"] = "bm_wp_upg_ak_m_quad"
		end
		
		if BeardLib.Utils:ModLoaded("AK-9") or true then
			yawn_name_ids["wpn_fps_upg_o_ak9_l_scopemount"] = "bm_wp_upg_o_ak_scopemount"
			yawn_name_ids["wpn_fps_ass_heffy_939_st_ak9"] = "bm_wp_wpn_fps_upg_ak_s_ak100"
		end
		
		if BeardLib.Utils:ModLoaded("All. You. Need.") or true then
			yawn_name_ids["wpn_fps_upg_raifu_s_tecci"] = "bm_wp_tecci_s_standard"
			yawn_name_ids["wpn_fps_upg_raifu_vg_rvg"] = "bm_wp_tecci_vg_standard"
			yawn_name_ids["wpn_fps_upg_raifu_vg_surefire"] = "bm_wp_schakal_vg_surefire"
			yawn_name_ids["wpn_fps_upg_raifu_m_quick"] = "bm_wp_m4_m_quick"
		end
		
		if BeardLib.Utils:ModLoaded("AM D114") or true then
			yawn_desc_ids["wpn_fps_pis_x_bootl1911_a_9mm_ap"] = "bm_wp_wpn_fps_pis_x_bootl1911_a_9mm_ap_desc"
		end
		
		if BeardLib.Utils:ModLoaded("AP Pistol") or true then
			yawn_name_ids["wpn_fps_upg_appistol_supp"] = "bm_wp_upg_ns_large_kac"
		end
		
		if BeardLib.Utils:ModLoaded("AR-15") or true then
			yawn_name_ids["wpn_fps_ass_stoy_556_st_m16a2"] = "bm_wp_m16_s_solid"
			yawn_name_ids["wpn_fps_ass_stoy_556_hg_m16a2"] = "bm_wp_m16_fg_standard"
			yawn_name_ids["wpn_fps_ass_stoy_556_m_steel_20"] = "bm_wp_m4_m_straight"
			yawn_name_ids["wpn_fps_ass_stoy_556_m_steel_30"] = "bm_wp_m4_uupg_m_std"
		end
		
		if BeardLib.Utils:ModLoaded("AR-47") or true then
			yawn_name_ids["wpn_fps_ass_ar47_vg_long"] = "bm_wp_upg_vg_ass_smg_verticalgrip"
			yawn_name_ids["wpn_fps_ass_ar47_vg_stubby"] = "bm_wp_upg_vg_ass_smg_stubby"
			yawn_name_ids["wpn_fps_ass_ar47_vg_ergo"] = "bm_wp_galil_g_sniper"
			-- yawn_name_ids["wpn_fps_ass_ar47_m_short"] = ""
			-- yawn_name_ids["wpn_fps_upg_ar47_m_quick"] = ""
			yawn_name_ids["wpn_fps_upg_fg_smr_short"] = "bm_wp_upg_fg_smr"
		end
		
		if BeardLib.Utils:ModLoaded("BCM AR-15") or true then
			yawn_name_ids["wpn_fps_upg_m4bpre_o_mbus"] = "bm_wp_upg_o_mbus_rear"
			-- yawn_name_ids["wpn_fps_upg_m4bpre_o_barska"] = "bm_wp_wpn_fps_upg_o_barska"
		end
		
		if BeardLib.Utils:ModLoaded("Black Ops Cold War XM4") or true then
			yawn_name_ids["wpn_fps_ass_psa_nam_mag_alum_20"] = "bm_wp_m4_m_straight"
			yawn_desc_ids["wpn_fps_ass_psa_nam_mag_alum_20"] = "bm_wp_wpn_fps_ass_psa_nam_mag_alum_20_desc"
			yawn_name_ids["wpn_fps_ass_psa_nam_mag_alum_30"] = "bm_wp_m4_uupg_m_std"
			yawn_desc_ids["wpn_fps_ass_psa_nam_mag_alum_30"] = "bm_wp_wpn_fps_ass_psa_nam_mag_alum_30_desc"
			yawn_name_ids["wpn_fps_ass_xm4_prim_handguard_v21"] = "bm_wp_wpn_fps_ass_xm4_handguard_v21"
			yawn_name_ids["wpn_fps_ass_xm4_prim_handguard_v18"] = "bm_wp_wpn_fps_ass_xm4_handguard_v18"
		end
		
		if BeardLib.Utils:ModLoaded("BOSG 12.2") or true then
			yawn_name_ids["wpn_fps_shot_dokkasho_b_tfang"] = "bm_wp_upg_ns_shot_shark"
		end
		
		if BeardLib.Utils:ModLoaded("Bulldog 7.62") or true then
			yawn_name_ids["wpn_fps_ass_bulldoge_vg_ergo"] = "bm_wp_wpn_fps_upg_vg_fab_reg"
			yawn_name_ids["wpn_fps_ass_bulldoge_vg_new"] = "bm_wp_wpn_fps_upg_vg_cadex"
			yawn_name_ids["wpn_fps_ass_bulldoge_vg_mallninja"] = "bm_wp_schakal_vg_surefire"
			yawn_name_ids["wpn_fps_ass_bulldoge_irons_mbus"] = "bm_wp_upg_o_mbus_rear"
			yawn_name_ids["wpn_fps_ass_bulldoge_irons_kac"] = "bm_wp_wpn_fps_upg_o_var_kac_rear"
			yawn_name_ids["wpn_fps_ass_bulldoge_grip_hk"] = "bm_wp_ass_tecci_g_standard"
		end
		
		if BeardLib.Utils:ModLoaded("Car_4_sniper") or true then
			yawn_name_ids["wpn_fps_m4_uupg_b_mx_sniper_shorter"] = "bm_wp_m4_uupg_b_short"
			yawn_name_ids["wpn_fps_m4sniper_uupg_b_silencer_mx"] = "bm_wp_m4_uupg_b_sd"
		end
		
		if BeardLib.Utils:ModLoaded("Colt Model 933 .300 Blackout") or true then
			yawn_name_ids["wpn_fps_upg_r0933blk_stock_vltor"] = "bm_wp_tti_s_vltor"
			yawn_name_ids["wpn_fps_upg_r0933blk_grip_hogue"] = "bm_wp_upg_m4_g_hgrip"
		end
		
		if BeardLib.Utils:ModLoaded("CZ Scorpion Evo") or true then
			yawn_name_ids["wpn_fps_smg_czevo_vg_angled"] = "bm_wp_upg_vg_ass_smg_afg"
			yawn_name_ids["wpn_fps_smg_czevo_vg_tti"] = "bm_wp_tti_vg_standard"
		end
		
		if BeardLib.Utils:ModLoaded("CZ75 Czechmate") or true then
			yawn_name_ids["wpn_fps_pis_axewscope_o_cmore"] = "bm_wp_upg_o_cmore"
		end
		
		if BeardLib.Utils:ModLoaded("De_Lisle_Commando_Carbine") or true then
			yawn_name_ids["wpn_fps_magnum_bullet"] = "bm_wp_wpn_fps_pis_dl_a_magnum"
			yawn_desc_ids["wpn_fps_magnum_bullet"] = "bm_wp_wpn_fps_pis_dl_a_magnum_desc"
			yawn_name_ids["wpn_fps_ap_bullet"] = "bm_wp_wpn_fps_pis_dl_a_ap"
			yawn_desc_ids["wpn_fps_ap_bullet"] = "bm_wp_wpn_fps_pis_dl_a_ap_desc"
		end
		
		if BeardLib.Utils:ModLoaded("Desert Eagle L5") or true then
			yawn_name_ids["wpn_fps_upg_limafive_m_extended"] = "bm_wp_deagle_m_extended"
		end
		
		if BeardLib.Utils:ModLoaded("Desert Eagle XIX") or true then
			yawn_name_ids["wpn_fps_upg_deltaoneniner_m_extended"] = "bm_wp_deagle_m_extended"
		end
		
		if BeardLib.Utils:ModLoaded("Desert Tech MDR") or true then
			yawn_name_ids["wpn_fps_upg_mdr_pmag"] = "bm_wp_m4_m_pmag"
		end
		
		if BeardLib.Utils:ModLoaded("Dokkaebi SMG12 modpack") or true then
			yawn_name_ids["wpn_fps_mp_master_vg_angle"] = "bm_wp_tti_vg_standard"
			yawn_name_ids["wpn_fps_mp_master_vg_straight"] = "bm_wp_upg_vg_ass_smg_stubby"
		end
		
		if BeardLib.Utils:ModLoaded("Enfield L22") or true then
			yawn_name_ids["wpn_fps_pdw_fckmyfingers_m_short"] = "bm_wp_m4_m_straight"
		end
		
		if BeardLib.Utils:ModLoaded("FN FNAR") or true then
			yawn_name_ids["wpn_fps_upg_fnar_barrel_ext_jp_stndcomp"] = "bm_wp_upg_ass_ns_jprifles"
		end
		
		if BeardLib.Utils:ModLoaded("FN SCAR-L") or true then
			yawn_name_ids["wpn_fps_upg_scarl_mag_pull_assist"] = "bm_wp_m4_m_quick"
			yawn_desc_ids["wpn_fps_upg_scarl_mag_pull_assist"] = "bm_wp_wpn_fps_upg_scarl_mag_pull_assist_desc"
			yawn_name_ids["wpn_fps_upg_scarl_rail_pws_srx"] = "bm_wp_scar_fg_railext"
		end
		
		if BeardLib.Utils:ModLoaded("FN SCAR-L M203") or true then
			yawn_name_ids["wpn_fps_upg_scar_m203_mag_pull_assist"] = "bm_wp_m4_m_quick"
		end
		
		if BeardLib.Utils:ModLoaded("gcar") or true then
			yawn_name_ids["wpn_fps_ass_gcar_vg_ergo"] = "bm_wp_wpn_fps_upg_vg_fab_reg"
			yawn_name_ids["wpn_fps_ass_gcar_s_classic"] = "bm_wp_m16_s_solid"
		end
		
		if BeardLib.Utils:ModLoaded("Golden-AKMS") or true then
			yawn_name_ids["wpn_fps_upg_o_gold_l_scopemount"] = "bm_wp_upg_o_ak_scopemount"
		end
		
		if BeardLib.Utils:ModLoaded("HK416") or true then
			yawn_name_ids["wpn_fps_upg_hk416_mag_pull_assist"] = "bm_wp_m4_m_quick"
			yawn_desc_ids["wpn_fps_upg_hk416_mag_pull_assist"] = "bm_wp_wpn_fps_upg_hk416_mag_pull_assist_desc"
		end
		
		if BeardLib.Utils:ModLoaded("HK G28") or true then
			yawn_name_ids["wpn_fps_snp_apairofmelons_ns_supp"] = "bm_wp_wpn_fps_ass_ns_g_sup5"
		end
		
		if BeardLib.Utils:ModLoaded("HK G36K") or true then
			yawn_name_ids["wpn_fps_upg_g36k_mag_cmag"] = "bm_wp_m4_m_drum"
			yawn_desc_ids["wpn_fps_upg_g36k_mag_cmag"] = "bm_wp_wpn_fps_upg_g36k_mag_cmag_desc"
		end
		
		if BeardLib.Utils:ModLoaded("HK XM8") or true then
			yawn_name_ids["wpn_fps_upg_xm8_cmag"] = "bm_wp_m4_m_drum"
			yawn_desc_ids["wpn_fps_upg_xm8_cmag"] = "bm_wp_wpn_fps_upg_xm8_cmag_desc"
		end
		
		if BeardLib.Utils:ModLoaded("Howa AR") or true then
			yawn_name_ids["wpn_fps_ass_howa_m_para"] = "bm_wp_m4_m_straight"
			yawn_name_ids["wpn_fps_ass_howa_m_supido"] = "bm_wp_m4_m_quick"
		end
		
		if BeardLib.Utils:ModLoaded("IWI Tavor X95") or true then
			yawn_name_ids["wpn_fps_upg_x95_emag"] = "bm_wp_l85a2_m_emag"
			yawn_name_ids["wpn_fps_upg_x95_pmag"] = "bm_wp_m4_m_pmag"
		end
		
		if BeardLib.Utils:ModLoaded("KAC SR-25 E2 ACC") or true then
			yawn_name_ids["wpn_fps_upg_sr25_pmag"] = "bm_wp_m4_m_pmag"
		end
		
		if BeardLib.Utils:ModLoaded("KARD Pistol") or true then
			yawn_name_ids["wpn_fps_pis_kard_o_rmr"] = "bm_wp_upg_o_rmr"
		end
		
		if BeardLib.Utils:ModLoaded("Kel-Tec PLR-16") or true then
			yawn_name_ids["wpn_fps_upg_plr16_mag_pmag"] = "bm_wp_wpn_fps_upg_m4_m_pmag20"
			yawn_desc_ids["wpn_fps_upg_plr16_mag_pmag"] = "bm_wp_wpn_fps_upg_plr16_mag_pmag_desc"
			yawn_name_ids["wpn_fps_upg_plr16_mag_pmag30"] = "bm_wp_m4_m_pmag"
			yawn_desc_ids["wpn_fps_upg_plr16_mag_pmag30"] = "bm_wp_wpn_fps_upg_plr16_mag_pmag30_desc"
			yawn_name_ids["wpn_fps_upg_plr16_vg_fab_reg"] = "bm_wp_wpn_fps_upg_vg_fab_reg"
			yawn_name_ids["wpn_fps_upg_plr16_vg_gp033"] = "bm_wp_upg_vg_ass_smg_verticalgrip"
		end
		
		if BeardLib.Utils:ModLoaded("Korean K3 LMG") or true then
			yawn_name_ids["wpn_fps_lmg_k3_m_quad"] = "bm_wp_upg_m4_m_quad"
		end
		
		if BeardLib.Utils:ModLoaded("LaRue OBR 5.56") or true then
			yawn_name_ids["wpn_fps_upg_obr5_mag_pmag30"] = "bm_wp_m4_m_pmag"
			yawn_desc_ids["wpn_fps_upg_obr5_mag_pmag30"] = "bm_wp_wpn_fps_upg_obr5_mag_pmag30_desc"
			yawn_name_ids["wpn_fps_upg_obr5_vg_cobra"] = "bm_wp_tti_vg_standard"
		end
		
		if BeardLib.Utils:ModLoaded("LaRue OBR 7.62") or true then
			yawn_name_ids["wpn_fps_upg_obr7_stock_prs"] = "bm_wp_wpn_fps_upg_m4_s_prs"
		end
		
		if BeardLib.Utils:ModLoaded("Lightweight Assault Rifle") or true then
			yawn_name_ids["wpn_fps_smg_lar_barrel_ext"] = "bm_wp_polymer_barrel_precision"
		end
		
		if BeardLib.Utils:ModLoaded("lkrifle") or true then
			yawn_name_ids["wpn_fps_ass_lkrifle_smolmag"] = "bm_wp_m4_m_straight"
			yawn_name_ids["wpn_fps_ass_lkrifle_pmag"] = "bm_wp_m4_m_pmag"
			yawn_name_ids["wpn_fps_ass_lkrifle_bigmag"] = "bm_wp_upg_m4_m_quad"
			yawn_name_ids["wpn_fps_ass_lkrifle_vg_mallninja"] = "bm_wp_schakal_vg_surefire"
			yawn_name_ids["wpn_fps_ass_lkrifle_mbus"] = "bm_wp_upg_o_mbus_rear"
			yawn_name_ids["wpn_fps_ass_lkrifle_speed"] = "bm_wp_m4_m_quick"
		end
		
		if BeardLib.Utils:ModLoaded("LSAT") or true then
			yawn_name_ids["wpn_fps_upg_lsat_magpul_afg"] = "bm_wp_upg_vg_ass_smg_afg"
		end
		
		if BeardLib.Utils:ModLoaded("LWRC SMG-45") or true then
			yawn_name_ids["wpn_fps_smg_smg45_s_civi"] = "bm_wp_schakal_s_civil"
		end
		
		if BeardLib.Utils:ModLoaded("M4.50_Beowulf") or true then
			yawn_name_ids["wpn_fps_ass_m4_beowulf_AG"] = "bm_wp_upg_vg_ass_smg_afg"
			yawn_desc_ids["wpn_fps_ass_m4_beowulf_AG"] = "bm_wp_wpn_fps_ass_m4_beowulf_AG_desc"
			yawn_name_ids["wpn_fps_ass_m4_beowulf_HG"] = "bm_wp_amcar_fg_a2"
			yawn_desc_ids["wpn_fps_ass_m4_beowulf_HG"] = "bm_wp_wpn_fps_ass_m4_beowulf_HG_desc"
		end
		
		if BeardLib.Utils:ModLoaded("MG5 LMG") or true then
			yawn_name_ids["wpn_fps_lmg_mg5_fg_angled"] = "bm_wp_upg_vg_ass_smg_afg"
			yawn_name_ids["wpn_fps_lmg_mg5_fg_straight"] = "bm_wp_upg_vg_ass_smg_verticalgrip"
			yawn_name_ids["wpn_fps_lmg_mg5_o_specter"] = "bm_wp_upg_o_specter"
		end
		
		if BeardLib.Utils:ModLoaded("Mk 18 Mod 0") or true then
			yawn_name_ids["wpn_fps_smg_m4cqb_m_pmag30"] = "bm_wp_m4_m_pmag"
			yawn_name_ids["wpn_fps_smg_m4cqb_m_stanag30"] = "bm_wp_m4_uupg_m_std"
			yawn_name_ids["wpn_fps_smg_m4cqb_ro_carry"] = "bm_wp_m16_o_handle_sight"
			yawn_name_ids["wpn_fps_smg_m4cqb_hg_m4"] = "bm_wp_amcar_fg_a2"
			yawn_name_ids["wpn_fps_smg_m4cqb_st_ctr"] = "bm_wp_m4_s_pts"
			yawn_name_ids["wpn_fps_smg_m4cqb_st_ubr"] = "bm_wp_upg_m4_s_ubr"
		end
		
		if BeardLib.Utils:ModLoaded("Mk 18 Primary") or true then
			yawn_name_ids["wpn_fps_ass_mk18prim_st_m16"] = "bm_wp_m16_s_solid"
		end
		
		if BeardLib.Utils:ModLoaded("Modern AK-12") or true then
			yawn_name_ids["wpn_fps_ass_smug12_o_1p87"] = "bm_wp_wpn_fps_upg_o_valday1p87"
			yawn_name_ids["wpn_fps_ass_smug12_s_aks74"] = "bm_wp_ak_s_skfoldable"
		end
		
		if BeardLib.Utils:ModLoaded("MP7") or true then
			yawn_name_ids["wpn_fps_smg_mp7new_mag_ext"] = "bm_wp_mp7_m_extended"
		end
		
		if BeardLib.Utils:ModLoaded("MSBS-5.56B Grot") or true then
			-- yawn_name_ids["wpn_fps_ass_grotb_m_stanag_30"] = "bm_wp_m4_uupg_m_std"
			-- yawn_name_ids["wpn_fps_ass_grotb_m_pmag_30"] = "bm_wp_m4_m_pmag"
			-- yawn_name_ids["wpn_fps_ass_grotb_m_pmag_20"] = "bm_wp_wpn_fps_upg_m4_m_pmag20"
			yawn_name_ids["wpn_fps_ass_grotb_m_quick"] = "bm_wp_m4_m_quick"
		end
		
		if BeardLib.Utils:ModLoaded("m27gear") or true then
			yawn_name_ids["wpn_fps_ass_m27gear_udbr_standard"] = "bm_wp_upg_vg_ass_smg_afg"
			yawn_name_ids["wpn_fps_m27_m_cmag"] = "bm_wp_m4_m_drum"
		end
		
		if BeardLib.Utils:ModLoaded("Magpul FMG-9") or true then
			yawn_name_ids["wpn_fps_upg_fmgnine_m3x"] = "bm_wp_upg_fl_pis_m3x"
			yawn_name_ids["wpn_fps_upg_fmgnine_supp_osprey"] = "bm_wp_upg_ns_pis_large"
		end
		
		if BeardLib.Utils:ModLoaded("MDRC") or true then
			yawn_name_ids["wpn_fps_ass_shieldgirl_pmag_20"] = "bm_wp_wpn_fps_upg_m4_m_pmag20"
			yawn_name_ids["wpn_fps_ass_shieldgirl_stanag_30"] = "bm_wp_m4_uupg_m_std"
			yawn_name_ids["wpn_fps_ass_shieldgirl_pmag_40"] = "bm_wp_wpn_fps_upg_m4_m_pmag40"
			yawn_name_ids["wpn_fps_ass_shieldgirl_mag_rangerplate"] = "bm_wp_wpn_fps_upg_m_pmag"
			yawn_name_ids["wpn_fps_ass_shieldgirl_leupold"] = "bm_wp_wpn_fps_upg_o_deltapoint"
			yawn_name_ids["wpn_fps_ass_shieldgirl_sights"] = "bm_wp_upg_o_mbus_rear"
		end
		
		if BeardLib.Utils:ModLoaded("Montana 5.56") or true then
			yawn_name_ids["wpn_fps_ass_yayo_snp"] = "bm_wp_upg_m4_g_hgrip"
			yawn_name_ids["wpn_fps_ass_yayo_s_tactical"] = "bm_wp_m4_s_pts"
			yawn_name_ids["wpn_fps_ass_yayo_s_modern"] = "bm_wp_m4_s_standard"
			yawn_name_ids["wpn_fps_ass_yayo_g_hk"] = "bm_wp_wpn_fps_upg_m4_g_vindicator"
			yawn_name_ids["wpn_fps_ass_yayo_mag_pmag"] = "bm_wp_m4_m_pmag"
			yawn_name_ids["wpn_fps_ass_yayo_mag_smol"] = "bm_wp_m4_m_straight"
			yawn_name_ids["wpn_fps_ass_yayo_potato"] = "bm_wp_wpn_fps_ass_contraband_vg_fab_miki"
		end
		
		if BeardLib.Utils:ModLoaded("Mk 12 Mod 1 SPR") or true then
			yawn_name_ids["wpn_fps_upg_mk12_stock_vltor"] = "bm_wp_tti_s_vltor"
			yawn_name_ids["wpn_fps_upg_mk12_grip_hogue"] = "bm_wp_upg_m4_g_hgrip"
		end
		
		if BeardLib.Utils:ModLoaded("MK18 Specialist") or true then
			yawn_name_ids["wpn_fps_ass_mk18s_mag_big"] = "bm_wp_upg_m4_m_quad"
			yawn_name_ids["wpn_fps_ass_mk18s_mag_smol"] = "bm_wp_m4_m_straight"
			yawn_name_ids["wpn_fps_ass_mk18s_mag_speed"] = "bm_wp_m4_m_quick"
			yawn_name_ids["wpn_fps_ass_mk18s_carry"] = "bm_wp_m16_o_handle_sight"
		end
		
		if BeardLib.Utils:ModLoaded("MW2019 AS VAL") or true then
			yawn_name_ids["wpn_fps_ass_valpha_stock_heavy"] = "bm_wp_asval_s_solid"
		end
		
		if BeardLib.Utils:ModLoaded("MW2019 SIG P320 ") or true then
			yawn_name_ids["wpn_fps_pis_sig_p320_suppressor_v13"] = "bm_wp_upg_ns_pis_large"
		end
		
		if BeardLib.Utils:ModLoaded("MW2022 AKs") or true then
			yawn_name_ids["wpn_fps_ass_akilo_2022_grip_steady"] = "bm_wp_upg_ak_g_rk3"
			yawn_name_ids["wpn_fps_ass_akilo_2022_xmag_large_akilo105"] = "bm_wp_upg_ak_m_quad"
			yawn_name_ids["wpn_fps_ass_akilo_2022_stock_heavy"] = "bm_wp_upg_ak_s_solidstock"
			yawn_name_ids["wpn_fps_ass_akilo_2022_stock_tac02"] = "bm_wp_ak_upg_s_zenitco"
			yawn_name_ids["wpn_fps_ass_akilo_2022_stock_akilo74"] = "bm_wp_ak_s_skfoldable"
			yawn_name_ids["wpn_fps_ass_akilo_2022_stock_wire"] = "bm_wp_ak_s_folding"
		end
		
		-- if BeardLib.Utils:ModLoaded("Not Rarted Five-seveN") or true then
			-- yawn_name_ids["wpn_fps_upg_hoxy_m_ext"] = "bm_wp_lemming_m_ext"
		-- end
		
		if BeardLib.Utils:ModLoaded("Noveske N4") or true then
			yawn_name_ids["wpn_fps_upg_rabbit_m_jazz"] = "bm_wp_m4_m_pmag"
			yawn_name_ids["wpn_fps_upg_rabbit_m_banana"] = "bm_wp_m4_uupg_m_std"
		end
		
		if BeardLib.Utils:ModLoaded("OTs-14-4A Groza") or true then
			yawn_name_ids["wpn_fps_upg_ots_14_4a_grip_rk3"] = "bm_wp_upg_ak_g_rk3"
		end
		
		if BeardLib.Utils:ModLoaded("pdr") or true then
			yawn_name_ids["wpn_fps_smg_pdr_m_short"] = "bm_wp_m4_m_straight"
			yawn_name_ids["wpn_fps_smg_pdr_o_new"] = "bm_wp_wpn_fps_upg_o_var_troy_rear"
		end
		
		if BeardLib.Utils:ModLoaded("PPK-20") or true then
			yawn_name_ids["wpn_fps_upg_ppk20_grip_rk3"] = "bm_wp_upg_ak_g_rk3"
		end
		
		if BeardLib.Utils:ModLoaded("PP-2000 Machine Pistol") or true then
			yawn_name_ids["wpn_fps_mp_peepee_o_rmr"] = "bm_wp_upg_o_docter"
		end
		
		if BeardLib.Utils:ModLoaded("QBZ-97B") or true then
			yawn_name_ids["wpn_fps_ass_qbz97b_mag_short"] = "bm_wp_m4_m_straight"
			yawn_name_ids["wpn_fps_ass_qbz97b_mag_pmag"] = "bm_wp_m4_m_pmag"
			yawn_name_ids["wpn_fps_ass_qbz97b_mag_magpul"] = "bm_wp_m4_m_quick"
		end
		
		if BeardLib.Utils:ModLoaded("Q Honey Badger") or true then
			yawn_name_ids["wpn_fps_upg_betty_vg_surefire"] = "bm_wp_schakal_vg_surefire"
		end
		
		if BeardLib.Utils:ModLoaded("Remington R5 RGP") or true then
			yawn_name_ids["wpn_fps_upg_mikon_s_viper"] = "bm_wp_wpn_fps_upg_m4_s_viper"
		end
		
		if BeardLib.Utils:ModLoaded("riutop") or true then
			yawn_name_ids["wpn_fps_smg_proto_ns_silencer"] = "bm_wp_polymer_ns_silencer"
			yawn_name_ids["wpn_fps_smg_proto_barrel_precision"] = "bm_wp_polymer_barrel_precision"
		end
		
		if BeardLib.Utils:ModLoaded("Saiga-12") or true then
			yawn_name_ids["wpn_fps_sho_heffy_12g_st_saiga12"] = "bm_wp_wpn_fps_upg_ak_s_ak100"
		end
		
		if BeardLib.Utils:ModLoaded("SAI GRY") or true then
			yawn_name_ids["wpn_fps_upg_saigry_mag_stanag"] = "bm_wp_m4_uupg_m_std"
			yawn_name_ids["wpn_fps_upg_saigry_mag_pmag"] = "bm_wp_m4_m_pmag"
		end
		
		if BeardLib.Utils:ModLoaded("sg552") or true then
			yawn_name_ids["wpn_fps_ass_sg552_s_tactical"] = "bm_wp_m4_s_pts"
			yawn_name_ids["wpn_fps_ass_sg552_m_milspec"] = "bm_wp_m4_m_pmag"
		end
		
		if BeardLib.Utils:ModLoaded("Siverballer") or true then
			yawn_name_ids["wpn_fps_magnum_bullet"] = "bm_wp_wpn_fps_pis_sb_a_magnum"
			yawn_desc_ids["wpn_fps_magnum_bullet"] = "bm_wp_wpn_fps_pis_sb_a_magnum_desc"
			yawn_name_ids["wpn_fps_ap_bullet"] = "bm_wp_wpn_fps_pis_sb_a_ap"
			yawn_desc_ids["wpn_fps_ap_bullet"] = "bm_wp_wpn_fps_pis_sb_a_ap_desc"
		end
		
		if BeardLib.Utils:ModLoaded("SIG MCX SPEAR") or true then
			yawn_name_ids["wpn_fps_ass_mcx_spear_angled_grip"] = "bm_wp_upg_vg_ass_smg_afg"
			yawn_name_ids["wpn_fps_ass_mcx_spear_angled_grip_02"] = "bm_wp_tti_vg_standard"
		end
		
		if BeardLib.Utils:ModLoaded("Spikes Tactical AR-15") or true then
			yawn_name_ids["wpn_fps_upg_flat_ns_thic"] = "bm_wp_sr2_ns_silencer"
			yawn_name_ids["wpn_fps_upg_flat_o_snp"] = "bm_wp_upg_o_leupold"
			yawn_name_ids["wpn_fps_upg_flat_g_hk"] = "bm_wp_ass_tecci_g_standard"
		end
		
		if BeardLib.Utils:ModLoaded("Tacticool Grip Pack") or true then
			yawn_name_ids["wpn_fps_upg_m4_g_houge"] = "bm_wp_upg_m4_g_hgrip"
		end
		
		-- if BeardLib.Utils:ModLoaded("Tacticool Stock Pack") or true then
			-- yawn_name_ids["wpn_fps_upg_m4_s_a2"] = "bm_wp_m16_s_solid"
		-- end
		
		if BeardLib.Utils:ModLoaded("Tacticool Tacticals") or true then
			yawn_name_ids["wpn_fps_upg_fl_peq15"] = "bm_wp_upg_fl_ass_peq15"
			yawn_name_ids["wpn_fps_upg_fl_pis_2irs"] = "bm_wp_wpn_fps_upg_fl_2irs"
			yawn_name_ids["wpn_fps_upg_fl_pis_dbal"] = "bm_wp_wpn_fps_upg_fl_dbal"
			yawn_name_ids["wpn_fps_upg_fl_pis_las"] = "bm_wp_wpn_fps_upg_fl_las"
			yawn_name_ids["wpn_fps_upg_fl_pis_ncs"] = "bm_wp_wpn_fps_upg_fl_ncs"
		end
		
		if BeardLib.Utils:ModLoaded("TAR-21") or true then
			yawn_name_ids["wpn_fps_ass_tar21_mag_short"] = "bm_wp_m4_m_straight"
		end
		
		if BeardLib.Utils:ModLoaded("ThompsonM1a1") or true then
			yawn_name_ids["wpn_fps_smg_x_tm1a1_m_extended"] = "bm_wp_wpn_fps_smg_tm1a1_m_extended"
			yawn_name_ids["wpn_fps_smg_x_tm1a1_m_jungle"] = "bm_wp_wpn_fps_smg_tm1a1_m_jungle"
		end
		
		if BeardLib.Utils:ModLoaded("tilt") or true then
			yawn_name_ids["wpn_fps_ass_tilt_stock_tactical"] = "bm_wp_m4_s_pts"
		end
		
		if BeardLib.Utils:ModLoaded("TKPD Storm") or true then
			yawn_name_ids["wpn_fps_snp_tkpd_o_holo"] = "bm_wp_upg_o_eotech_xps"
			yawn_name_ids["wpn_fps_snp_tkpd_o_shortdot"] = "bm_wp_upg_o_shortdot"
		end
		
		if BeardLib.Utils:ModLoaded("TR-1") or true then
			yawn_name_ids["wpn_fps_ass_hugsforleon_grip_tti"] = "bm_wp_tti_g_grippy"
			yawn_name_ids["wpn_fps_ass_hugsforleon_stock_tti"] = "bm_wp_tti_s_vltor"
			yawn_name_ids["wpn_fps_ass_hugsforleon_i_autofire"] = "bm_wp_upg_i_autofire"
			yawn_name_ids["wpn_fps_ass_hugsforleon_o_shortdot"] = "bm_wp_upg_o_shortdot"
		end
		
		if BeardLib.Utils:ModLoaded("STK Ultimax 100 Mark 5") or true then
			yawn_name_ids["wpn_fps_upg_ultimax_stanag"] = "bm_wp_m4_uupg_m_std"
		end
		
		if BeardLib.Utils:ModLoaded("Korean USAS-12 Shotgun") or true then
			yawn_name_ids["wpn_fps_sho_usas12_mag_drum_alt"] = "bm_wp_saiga_m_20rnd"
		end
		
		if BeardLib.Utils:ModLoaded("Q Honey Badger PRIMARY!") or true then
			yawn_name_ids["wpn_fps_upg_petto_g_moe"] = "bm_wp_wpn_fps_upg_g_m4_moe"
			yawn_name_ids["wpn_fps_upg_petto_rec_lower_tan"] = "bm_wp_wpn_fps_upg_betty_rec_lower_tan"
		end
		
		if BeardLib.Utils:ModLoaded("VBR-Belgium PDW") or true then
			yawn_name_ids["wpn_fps_pis_lele_m_ext"] = "bm_wp_g18c_m_mag_33rnd"
		end
		
		if BeardLib.Utils:ModLoaded("Vepr-12") or true then
			yawn_name_ids["wpn_fps_upg_vepr12_grip_rk3"] = "bm_wp_upg_ak_g_rk3"
		end
		
		if BeardLib.Utils:ModLoaded("vp70") or true then
			yawn_name_ids["wpn_fps_pis_vp70_autofire"] = "bm_wp_upg_i_autofire"
			yawn_desc_ids["wpn_fps_pis_vp70_autofire"] = "bm_wp_wpn_fps_pis_vp70_autofire_desc"
		end
		
		if BeardLib.Utils:ModLoaded("Zenit AK-105 Bullpup") or true then
			yawn_name_ids["wpn_fps_ass_fsbcustom_m_6l26"] = "bm_wp_rpk_m_standard"
		end
		
		-- standalone attachments --
		if BeardLib.Utils:ModLoaded("20 Round Mag") or true then
			yawn_name_ids["wpn_fps_upg_m4_m_20rnd"] = "bm_wp_m4_m_straight"
			yawn_name_ids["wpn_fps_upg_m4_m_20rnd2"] = "bm_wp_m4_m_straight"
		end
		
		if BeardLib.Utils:ModLoaded("45 Iron Sights") or true then
			yawn_name_ids["wpn_fps_upg_o_45flipup"] = "bm_wp_m4_uupg_o_flipup"
			yawn_name_ids["wpn_fps_upg_o_45dd"] = "bm_wp_upg_o_dd"
			yawn_name_ids["wpn_fps_upg_o_45mbus"] = "bm_wp_upg_o_mbus_rear"
			yawn_name_ids["wpn_fps_upg_o_45troy"] = "bm_wp_wpn_fps_upg_o_var_troy_rear"
		end
		
		if BeardLib.Utils:ModLoaded("A bunch of Judge attachments") or true then
			yawn_name_ids["wpn_fps_pis_judge_leupold"] = "bm_wp_wpn_fps_upg_o_deltapoint"
		end
		
		if BeardLib.Utils:ModLoaded("AK-Extras-2") or true then
			yawn_name_ids["wpn_fps_ass_ak_all_hg_ufm"] = "bm_wp_upg_ak_fg_krebs"
			yawn_name_ids["wpn_fps_ass_ak_all_762_m_palm_30"] = "bm_wp_upg_ak_m_uspalm"
		end
		
		if BeardLib.Utils:ModLoaded("AK Extra Attachments") or true then
			yawn_name_ids["wpn_fps_ass_heffy_all_pg_rub"] = "bm_wp_upg_ak_g_hgrip"
			yawn_name_ids["wpn_fps_ass_heffy_all_pg_rk3"] = "bm_wp_upg_ak_g_rk3"
		end
		
		if BeardLib.Utils:ModLoaded("AR-Extra-Attachments") or true then
			yawn_name_ids["wpn_fps_ass_stoy_556_st_mk18"] = "bm_wp_upg_m4_s_crane"
			yawn_name_ids["wpn_fps_ass_stoy_556_m_pmag_30"] = "bm_wp_m4_m_pmag"
		end
		
		if BeardLib.Utils:ModLoaded("AK Various Attachment") or true then
			yawn_name_ids["wpn_fps_ass_ak_s_gecko"] = "bm_wp_galil_s_plastic"
		end
		
		if BeardLib.Utils:ModLoaded("AK Various Mag") or true then
			yawn_name_ids["wpn_fps_saiga_m_drum"] = "bm_wp_saiga_m_20rnd"
		end
		
		if BeardLib.Utils:ModLoaded("Aimpoint ACRO") or true then
			yawn_name_ids["wpn_fps_upg_o_acro"] = "bm_wp_upg_o_rikt"
		end
		
		if BeardLib.Utils:ModLoaded("Bayonet_attachment") or true then
			yawn_name_ids["wpn_fps_upg_akm_bayonet"] = "bm_melee_bayonet"
			yawn_desc_ids["wpn_fps_upg_akm_bayonet"] = "bm_wp_wpn_fps_upg_akm_bayonet_desc"
		end
		
		if BeardLib.Utils:ModLoaded("Bootleg Ammo Standalone") or true then
			yawn_name_ids["wpn_fps_upg_tecci_am_beefy2"] = "bm_wp_wpn_fps_upg_tecci_am_beefy"
			yawn_desc_ids["wpn_fps_upg_tecci_am_beefy2"] = "bm_wp_wpn_fps_upg_tecci_am_beefy_desc"
		end
		
		if BeardLib.Utils:ModLoaded("Cavity Short Mag Standalone") or true then
			yawn_name_ids["wpn_fps_upg_sub2000_m_short2"] = "bm_wp_wpn_fps_upg_sub2000_m_short"
			yawn_desc_ids["wpn_fps_upg_sub2000_m_short2"] = "bm_wp_wpn_fps_upg_sub2000_m_short_desc"
		end
		
		if BeardLib.Utils:ModLoaded("Contractor.308 Various Attachment") or true then
			yawn_name_ids["wpn_fps_snp_tti_fg_m16rail"] = "bm_wp_m16_fg_railed"
			yawn_name_ids["wpn_fps_snp_tti_fg_m16viet"] = "bm_wp_m16_fg_vietnam"
		end
		
		if BeardLib.Utils:ModLoaded("C-Mag for Various Weapon") or true then
			yawn_name_ids["wpn_fps_upg_ar15_m_cmag"] = "bm_wp_m4_m_drum"
			yawn_name_ids["wpn_fps_upg_g36_m_cmag"] = "bm_wp_m4_m_drum"
		end
		
		if BeardLib.Utils:ModLoaded("Extra Attachments Compilation ±") or true then
			yawn_name_ids["wpn_fps_upg_vg_stubby"] = "bm_wp_upg_vg_ass_smg_stubby"
			yawn_name_ids["wpn_fps_upg_vg_verticalgrip"] = "bm_wp_upg_vg_ass_smg_verticalgrip"
			yawn_name_ids["wpn_fps_upg_vg_moe"] = "bm_wp_hajk_vg_moe"
			yawn_name_ids["wpn_fps_upg_vg_tecci"] = "bm_wp_tecci_vg_standard"
			yawn_name_ids["wpn_fps_upg_vg_foldable"] = "bm_wp_slap_vg_standard"
			yawn_name_ids["wpn_fps_upg_vg_afg"] = "bm_wp_upg_vg_ass_smg_afg"
			yawn_name_ids["wpn_fps_upg_vg_cobra"] = "bm_wp_tti_vg_standard"
			yawn_name_ids["wpn_fps_upg_o_iron"] = "bm_wp_boot_o_legendary"
			yawn_name_ids["wpn_fps_smg_x_mp5_s_solid"] = "bm_wp_mp5_s_solid"
			yawn_name_ids["wpn_fps_upg_m4_s_solid"] = "bm_wp_m16_s_solid"
		end
		
		if BeardLib.Utils:ModLoaded("F90 Body for AUG") or true then
			yawn_name_ids["wpn_fps_ass_aug_body_f90mbr"] = "bm_wp_aug_body_f90"
		end
		
		if BeardLib.Utils:ModLoaded("FAL Various Attachment") or true then
			yawn_name_ids["wpn_fps_ass_fal_s_modern"] = "bm_wp_m4_s_standard"
		end
		
		if BeardLib.Utils:ModLoaded("Galant Shitty Ammo Standalone") or true then
			yawn_name_ids["wpn_fps_upg_ching_am_crap2"] = "bm_wp_wpn_fps_upg_ching_am_crap"
			yawn_desc_ids["wpn_fps_upg_ching_am_crap2"] = "bm_wp_wpn_fps_upg_ching_am_crap_desc"
		end
		
		if BeardLib.Utils:ModLoaded("Galil Various Attachment") or true then
			yawn_name_ids["wpn_fps_ass_galil_m_drum"] = "bm_wp_ak_m_drum"
		end
		
		if BeardLib.Utils:ModLoaded("Gatling Various Attachment") or true then
			yawn_name_ids["wpn_fps_lmg_shuno_b_extreme"] = "bm_wp_m134_barrel_extreme"
			yawn_desc_ids["wpn_fps_lmg_shuno_b_extreme"] = "bm_wp_wpn_fps_lmg_shuno_b_extreme_desc"
			yawn_name_ids["wpn_fps_lmg_m134_barrel_dampener"] = "bm_wp_shuno_b_heat_long"
			yawn_desc_ids["wpn_fps_lmg_m134_barrel_dampener"] = "bm_wp_wpn_fps_lmg_m134_barrel_dampener_desc"
		end
		
		if BeardLib.Utils:ModLoaded("Glock Beta-C mag") or true then
			yawn_name_ids["wpn_fps_pis_g18c_m_beta"] = "bm_wp_m4_m_drum"
		end
		
		if BeardLib.Utils:ModLoaded("Grippy Vertical Grip Pack") or true then
			yawn_name_ids["wpn_fps_upg_vg_rvg"] = "bm_wp_tecci_vg_standard"
			yawn_name_ids["wpn_fps_upg_vg_bcm"] = "bm_wp_wpn_fps_upg_vg_bcm"
			yawn_name_ids["wpn_fps_upg_vg_kac"] = "bm_wp_upg_vg_ass_smg_verticalgrip"
		end
		
		if BeardLib.Utils:ModLoaded("Hinaomi's Rebalance - Weapons") or true then
			yawn_name_ids["wpn_fps_m4_uupg_s_fold"] = "bm_wp_olympic_s_short"
			yawn_name_ids["wpn_fps_smg_olympic_s_adj"] = "bm_wp_wpn_fps_smg_olympic_s_adjust"
			yawn_name_ids["wpn_fps_ass_m16_s_solid"] = "bm_wp_m16_s_solid"
			yawn_name_ids["wpn_fps_ass_m4_s_fold"] = "bm_wp_m4_uupg_s_fold"
			yawn_name_ids["wpn_fps_ass_sub2000_m_short"] = "bm_wp_g17_m_standard"
			yawn_name_ids["wpn_fps_ass_tecci_s_adj"] = "bm_wp_tecci_s_standard"
			yawn_name_ids["wpn_fps_ass_g3_m_short"] = "bm_wp_g3_m_mag_psg"
			yawn_name_ids["wpn_fps_pis_g26_m_std"] = "bm_wp_g26_m_standard"
			yawn_name_ids["wpn_fps_pis_x_type54_underbarrel_custom"] = "bm_wp_upg_a_custom"
			yawn_desc_ids["wpn_fps_pis_x_type54_underbarrel_custom"] = "bm_wp_wpn_fps_pis_x_type54_underbarrel_custom_desc"
			yawn_name_ids["wpn_fps_pis_x_type54_underbarrel_explosive"] = "bm_wp_upg_a_explosive"
			yawn_desc_ids["wpn_fps_pis_x_type54_underbarrel_explosive"] = "bm_wp_wpn_fps_pis_x_type54_underbarrel_explosive_desc"
			yawn_name_ids["wpn_fps_pis_x_type54_underbarrel_dragons_breath"] = "bm_wp_upg_a_dragons_breath"
			yawn_desc_ids["wpn_fps_pis_x_type54_underbarrel_dragons_breath"] = "bm_wp_wpn_fps_pis_x_type54_underbarrel_dragons_breath_desc"
			yawn_name_ids["wpn_fps_pis_x_type54_underbarrel_rip"] = "bm_wp_upg_a_rip"
			yawn_desc_ids["wpn_fps_pis_x_type54_underbarrel_rip"] = "bm_wp_wpn_fps_pis_x_type54_underbarrel_rip_desc"
			yawn_name_ids["wpn_fps_pis_type54_underbarrel_custom"] = "bm_wp_upg_a_custom"
			yawn_desc_ids["wpn_fps_pis_type54_underbarrel_custom"] = "bm_wp_wpn_fps_pis_type54_underbarrel_custom_desc"
			yawn_name_ids["wpn_fps_pis_type54_underbarrel_explosive"] = "bm_wp_upg_a_explosive"
			yawn_desc_ids["wpn_fps_pis_type54_underbarrel_explosive"] = "bm_wp_wpn_fps_pis_type54_underbarrel_explosive_desc"
			yawn_name_ids["wpn_fps_pis_type54_underbarrel_dragons_breath"] = "bm_wp_upg_a_dragons_breath"
			yawn_desc_ids["wpn_fps_pis_type54_underbarrel_dragons_breath"] = "bm_wp_wpn_fps_pis_type54_underbarrel_dragons_breath_desc"
			yawn_name_ids["wpn_fps_pis_type54_underbarrel_rip"] = "bm_wp_upg_a_rip"
			yawn_desc_ids["wpn_fps_pis_type54_underbarrel_rip"] = "bm_wp_wpn_fps_pis_type54_underbarrel_rip_desc"
		end
		
		if BeardLib.Utils:ModLoaded("Iron Sights Pack") or true then
			yawn_name_ids["wpn_fps_upg_o_var_dd_a1_rear"] = "bm_wp_upg_o_dd"
			yawn_name_ids["wpn_fps_upg_o_var_mbus_rear"] = "bm_wp_upg_o_mbus_rear"
			yawn_name_ids["wpn_fps_upg_o_snp_dd_a1_rear"] = "bm_wp_upg_o_dd"
			yawn_name_ids["wpn_fps_upg_o_snp_mbus_rear"] = "bm_wp_upg_o_mbus_rear"
		end
		
		if BeardLib.Utils:ModLoaded("KSVK Anti-Materiel Rifle") or true then
			yawn_name_ids["wpn_fps_snp_carpet_ns_vssk"] = "bm_wp_shak12_ns_suppressor"
			yawn_desc_ids["wpn_fps_snp_carpet_ns_vssk"] = "bm_wp_wpn_fps_snp_carpet_ns_vssk_desc"
		end
		
		if BeardLib.Utils:ModLoaded("Mosconi Various Attachment") or true then
			yawn_name_ids["wpn_fps_shot_huntsman_s_pouch"] = "bm_wp_b682_s_ammopouch"
			yawn_name_ids["wpn_fps_shot_huntsman_ns_shark"] = "bm_wp_upg_ns_shot_shark"
			yawn_name_ids["wpn_fps_shot_huntsman_ns_king"] = "bm_wp_upg_shot_ns_king"
			yawn_name_ids["wpn_fps_shot_huntsman_ns_duck"] = "bm_wp_ns_duck"
		end
		
		if BeardLib.Utils:ModLoaded("MW2 ACOG Sight") or true then
			yawn_name_ids["wpn_fps_upg_o_mw2acog"] = "bm_wp_upg_o_acog"
		end
		
		if BeardLib.Utils:ModLoaded("netrarounds") or true then
			yawn_name_ids["wpn_fps_upg_a_10mm_caliroundalt"] = "bm_wp_wpn_fps_upg_a_10mm_caliround" -- why does this repeat twice
			yawn_desc_ids["wpn_fps_upg_a_10mm_caliroundalt"] = "bm_wp_wpn_fps_upg_a_10mm_caliround_desc"
			yawn_name_ids["wpn_fps_upg_a_10mm_caliroundalttwo"] = "bm_wp_wpn_fps_upg_a_10mm_caliround"
			yawn_desc_ids["wpn_fps_upg_a_10mm_caliroundalttwo"] = "bm_wp_wpn_fps_upg_a_10mm_caliround_desc"
		end
		
		if BeardLib.Utils:ModLoaded("PO 4x24P Scope") or true then
			yawn_name_ids["wpn_fps_upg_o_po4"] = "bm_wp_upg_o_poe"
		end
		
		if BeardLib.Utils:ModLoaded("queen of the mf gods pack") or true then
			yawn_name_ids["wpn_fps_psa_s_hera"] = "bm_wp_wpn_fps_upg_s_hera"
			yawn_name_ids["wpn_fps_psa_vg_hera"] = "bm_wp_wpn_fps_upg_vg_hera"
			yawn_name_ids["wpn_fps_psa_hg_hera"] = "bm_wp_wpn_fps_upg_fg_hera"
		end
		
		if BeardLib.Utils:ModLoaded("raptor") or true then
			yawn_name_ids["wpn_fps_upg_m4_g_raptor"] = "bm_wp_m4_g_ergo"
		end
		
		if BeardLib.Utils:ModLoaded("RAZOR AMG UH-1") or true then
			yawn_name_ids["wpn_fps_upg_o_razoramg"] = "bm_wp_upg_o_uh"
		end
		
		if BeardLib.Utils:ModLoaded("Remington ACR CQB") or true then
			yawn_name_ids["wpn_fps_ass_op68_stanag_20"] = "bm_wp_m4_m_straight"
			yawn_name_ids["wpn_fps_ass_op68_stanag_30"] = "bm_wp_m4_uupg_m_std"
		end
		
		if BeardLib.Utils:ModLoaded("rm_scopes") or true then
			yawn_name_ids["wpn_fps_upg_o_shortdot_rm"] = "bm_wp_upg_o_shortdot"
			yawn_name_ids["wpn_fps_upg_o_leupold_rm"] = "bm_wp_upg_o_leupold"
		end
		
		if BeardLib.Utils:ModLoaded("Russian Weapons Sight Pack") or true then
			yawn_name_ids["wpn_fps_upg_o_pso1_rifle"] = "bm_wp_wpn_fps_upg_o_pso1"
		end
		
		if BeardLib.Utils:ModLoaded("Saiga Drum") or true then
			yawn_name_ids["wpn_fps_saiga_m_drum"] = "bm_wp_saiga_m_20rnd"
		end
		
		if BeardLib.Utils:ModLoaded("Skeletal Skeleton Stock") or true then
			yawn_name_ids["wpn_fps_bones_calcium_ak"] = "bm_wp_wpn_fps_bones_calcium"
		end
		
		if BeardLib.Utils:ModLoaded("STANAG mags for M249") or true then
			yawn_name_ids["wpn_fps_lmg_m249_m_tecci"] = "bm_wp_m4_m_drum"
		end
		
		if BeardLib.Utils:ModLoaded("Standalone M16 Iron Sights") or true then
			yawn_name_ids["wpn_fps_ass_m16_o_handle_sight_mod"] = "bm_wp_m16_o_handle_sight"
		end
		
		if BeardLib.Utils:ModLoaded("Operator Pack - Externals") or true then
			yawn_name_ids["wpn_fps_upg_ns_osprey"] = "bm_wp_upg_ns_pis_large"
			yawn_name_ids["wpn_fps_upg_vg_angle"] = "bm_wp_upg_vg_ass_smg_afg"
			yawn_name_ids["wpn_fps_upg_vg_jowi"] = "bm_wp_tti_vg_standard"
		end
		
		if BeardLib.Utils:ModLoaded("Operator Pack - Internals") or true then
			yawn_name_ids["wpn_fps_upg_mp5_m_ten"] = "bm_wp_mp5_m_straight"
			yawn_desc_ids["wpn_fps_upg_mp5_m_ten"] = "bm_wp_wpn_fps_upg_mp5_m_ten_desc"
		end
		
		if BeardLib.Utils:ModLoaded("tacticool magazines Pack") or true then
			yawn_name_ids["wpn_fps_upg_m_rpk45"] = "bm_wp_rpk_m_standard"
			yawn_name_ids["wpn_fps_upg_m_762rpk75"] = "bm_wp_ak_m_drum"
			yawn_name_ids["wpn_fps_upg_m_palm"] = "bm_wp_upg_ak_m_uspalm"
			yawn_name_ids["wpn_fps_upg_m_vecsgmt"] = "bm_wp_wpn_fps_upg_m_sgmt"
			yawn_name_ids["wpn_fps_upg_m_d60boot"] = "bm_wp_wpn_fps_upg_m_d60"
		end
		
		if BeardLib.Utils:ModLoaded("Trijicon RMR Sight") or true then
			yawn_name_ids["wpn_fps_upg_o_rmr_riser"] = "bm_wp_upg_o_rmr"
		end
		
		if BeardLib.Utils:ModLoaded("Useless Attachment Expansion") or true then
			yawn_name_ids["wpn_fps_pis_rage_b_suppressed"] = "bm_wp_baka_b_longsupp"
			yawn_name_ids["wpn_fps_pis_rage_b_velocity"] = "bm_wp_p90_b_civilian"
			yawn_name_ids["wpn_fps_lmg_rpk_b_cqc"] = "bm_wp_upg_ak_b_draco"
			yawn_name_ids["wpn_fps_ass_74_b_civil"] = "bm_wp_upg_ass_ak_b_zastava"
			yawn_desc_ids["wpn_fps_ass_74_b_civil"] = "bm_wp_wpn_fps_ass_ak_b_civil_desc"
			yawn_name_ids["wpn_fps_snp_mosin_b_heavy"] = "bm_wp_mg42_b_vg38"
			yawn_desc_ids["wpn_fps_snp_mosin_b_heavy"] = "bm_wp_wpn_fps_snp_mosin_b_heavy_desc"
			yawn_name_ids["wpn_fps_pis_rage_sl_diablo"] = "bm_wp_chinchilla_b_satan"
			yawn_name_ids["wpn_fps_ass_asval_fg_aftermarket"] = "bm_wp_upg_smg_olympic_fg_lr300"
			yawn_name_ids["wpn_fps_pis_c96_ma_tactical"] = "bm_wp_schakal_m_short"
			yawn_name_ids["wpn_fps_lmg_rpk_m_breech"] = "bm_wp_basset_m_extended"
			yawn_desc_ids["wpn_fps_lmg_rpk_m_breech"] = "bm_wp_wpn_fps_lmg_rpk_m_breech_desc"
			yawn_name_ids["wpn_fps_pis_glock_m_press1"] = "bm_wp_beretta_m_extended"
			yawn_name_ids["wpn_fps_pis_glock_m_press2"] = "bm_wp_beretta_m_extended"
			yawn_name_ids["wpn_fps_pis_1911_g_short"] = "bm_wp_shrew_g_ergo"
			yawn_name_ids["wpn_fps_upg_g_ergo"] = "bm_wp_m4_g_ergo"
			yawn_name_ids["wpn_fps_pis_ns_rec"] = "bm_wp_ns_battle"
			yawn_name_ids["wpn_fps_pis_ns_block"] = "bm_wp_g18c_co_comp_2"
			yawn_name_ids["wpn_fps_pis_ns_acc"] = "bm_wp_upg_ass_ns_surefire"
			yawn_name_ids["wpn_fps_pis_ns_inox"] = "bm_wp_sparrow_b_threaded"
			yawn_name_ids["wpn_fps_pis_ns_agr"] = "bm_wp_1911_co_2"
			yawn_name_ids["wpn_fps_pis_ns_dmg"] = "bm_wp_upg_ns_ass_smg_tank"
			yawn_name_ids["wpn_fps_shot_ns_tight"] = "bm_wp_upg_ass_ns_linear"
			yawn_name_ids["wpn_fps_shot_ns_chisai"] = "bm_wp_baka_b_midsupp"
			yawn_name_ids["wpn_fps_pis_c96_ns_fatrat"] = "bm_wp_scorpion_b_suppressed"
			yawn_name_ids["wpn_fps_upg_ns_scar"] = "bm_wp_scar_ns_standard"
			yawn_name_ids["wpn_fps_upg_s_adjust"] = "bm_wp_mp5_s_adjust"
			yawn_name_ids["wpn_fps_smg_coal_s_sniper"] = "bm_wp_asval_s_solid"
			yawn_name_ids["wpn_fps_upg_ak_s_sharps"] = "bm_wp_asval_s_solid"
			yawn_name_ids["wpn_fps_smg_s_plank"] = "bm_wp_asval_s_solid"
			yawn_name_ids["wpn_fps_upg_s_m16solid"] = "bm_wp_m16_s_solid"
		end
		
		if BeardLib.Utils:ModLoaded("Vanilla Styled Weapon Mods") or true then
			yawn_name_ids["wpn_fps_ass_contraband_s_tecci"] = "bm_wp_tecci_s_standard"
			yawn_name_ids["wpn_fps_ass_tecci_vg_ergo"] = "bm_wp_slap_vg_standard"
			yawn_name_ids["wpn_fps_upg_o_cqb"] = "bm_wpn_fps_upg_o_45rds"
			yawn_desc_ids["wpn_fps_upg_o_cqb"] = "bm_wp_wpn_fps_upg_o_cqb_desc"
			yawn_name_ids["wpn_fps_lmg_shuno_body_red"] = "bm_wp_m134_body_upper_light"
			yawn_name_ids["wpn_fps_pis_shrew_sl_tt"] = "bm_wp_lemming_b_nitride"
			yawn_name_ids["wpn_fps_shot_amr12_fg_short"] = "bm_wp_amcar_fg_a2"
			yawn_name_ids["wpn_fps_shot_amr12_fg_railed"] = "bm_wp_m16_fg_railed"
			yawn_name_ids["wpn_fps_shot_amr12_m_extended"] = "bm_wp_basset_m_extended"
			yawn_name_ids["wpn_fps_smg_ak5s_m_new"] = "bm_wp_mp5_m_straight"
			yawn_name_ids["wpn_fps_ass_sg416_fg_custom"] = "bm_wp_m16_fg_railed"
			yawn_name_ids["wpn_fps_ass_m4_g_sg"] = "bm_wp_ass_tecci_g_standard"
			yawn_name_ids["wpn_fps_smg_mp5_m_custom"] = "bm_wp_shepheard_m_extended"
			yawn_name_ids["wpn_fps_smg_ak5s_m_smol"] = "bm_wp_shepheard_m_extended"
			yawn_name_ids["wpn_fps_smg_car9_m_extended"] = "bm_wp_g18c_m_mag_33rnd"
			yawn_name_ids["wpn_fps_smg_car9_m_extended_akimbo"] = "bm_wp_g18c_m_mag_33rnd"
			yawn_name_ids["wpn_fps_smg_car9_fg_rail"] = "bm_wp_olympic_fg_railed"
			yawn_name_ids["wpn_fps_vg_vmp_stubby"] = "bm_wp_upg_vg_ass_smg_stubby"
			yawn_name_ids["wpn_fps_vg_vmp_stable"] = "bm_wp_upg_vg_ass_smg_verticalgrip"
			yawn_name_ids["wpn_fps_vg_vmp_medium"] = "bm_wp_hajk_vg_moe"
			yawn_name_ids["wpn_fps_pis_x_cold_m_extended"] = "bm_wp_wpn_fps_pis_cold_m_extended"
			yawn_name_ids["wpn_fps_snp_sgs_s_sniper"] = "bm_wp_g3_s_sniper"
			yawn_name_ids["wpn_fps_snp_sgs_fg_rail"] = "bm_wp_ass_s552_fg_railed"
			yawn_name_ids["wpn_fps_ass_s552_s_sniper"] = "bm_wp_g3_s_sniper"
			yawn_name_ids["wpn_fps_pis_lebman_b_chrome_akimbo"] = "bm_wp_wpn_fps_pis_lebman_b_chrome"
			yawn_name_ids["wpn_fps_pis_lebman_m_extended_akimbo"] = "bm_wp_wpn_fps_pis_lebman_m_extended"
			yawn_name_ids["wpn_fps_ass_ak5_s_pts"] = "bm_wp_m4_s_pts"
			yawn_name_ids["wpn_fps_shot_beck_pump_swat"] = "bm_wp_wpn_fps_shot_r870_fg_swat"
			yawn_name_ids["wpn_fps_bdgr_uupg_fg_railed"] = "bm_wp_m16_fg_railed"
			yawn_name_ids["wpn_fps_pis_czech_body_afg"] = "bm_wp_upg_vg_ass_smg_afg"
			yawn_name_ids["wpn_fps_smg_sr2_vg_custom"] = "bm_wp_slap_vg_standard"
			yawn_name_ids["wpn_fps_smg_shepheard_g_ergo"] = "bm_wp_m4_g_ergo"
			yawn_name_ids["wpn_fps_m4_uupg_m_extend_akimbo"] = "bm_wp_wpn_fps_m4_uupg_m_extend"
			yawn_name_ids["wpn_fps_sho_ultima_o_expert"] = "bm_wp_victor_o_standard"
		end
		
		if BeardLib.Utils:ModLoaded("vertical_grip_attachment_pack") or true then
			yawn_name_ids["wpn_fps_m4_fg_tr1foregrip"] = "bm_wp_tti_vg_standard"
			yawn_name_ids["wpn_fps_m4_fg_augforegrip"] = "bm_wp_upg_vg_ass_smg_verticalgrip"
			yawn_name_ids["wpn_fps_m4_fg_mp7foregrip"] = "bm_wp_upg_vg_ass_smg_stubby"
			yawn_name_ids["wpn_fps_m4_fg_hk416cforegrip"] = "bm_wp_tecci_vg_standard"
			yawn_name_ids["wpn_fps_m4_fg_cz805foregrip"] = "bm_wp_hajk_vg_moe"
			yawn_name_ids["wpn_fps_m4_fg_angleforegrip"] = "bm_wp_upg_vg_ass_smg_afg"
			yawn_name_ids["wpn_fps_upg_fl_pis_surefire"] = "bm_wp_schakal_vg_surefire"
		end
		
		if BeardLib.Utils:ModLoaded("Vortex Viper RDS (Pistol)") or true then
			yawn_name_ids["wpn_fps_pis_upg_o_viper"] = "bm_wp_wpn_fps_upg_o_viper"
		end
		
		if BeardLib.Utils:ModLoaded("Waifu Sights Standalone") or true then
			yawn_name_ids["wpn_fps_upg_o_amine2"] = "bm_wp_wpn_fps_upg_o_amine"
			yawn_desc_ids["wpn_fps_upg_o_amine2"] = "bm_wp_wpn_fps_upg_o_amine2_desc"
		end

        apply_yawn_name_ids(yawn_name_ids, yawn_desc_ids)
    end
end)