local ap = "\n*Armor-piercing capabilities"
local nopickup = "\n*Ammo pickups disabled"
local intsupp = "\n*Integrally suppressed"
local semidef = "\n*Defaults to Semi-Auto"
local noads = "\n*ADS disabled"
local recycle = "\n*Retrievable ammo"
local launch = "\n*Shotgun push effect on kill"

Hooks:Add("LocalizationManagerPostInit", "youlittlepieceofshit", function(loc)
	LocalizationManager:add_localized_strings({
		
		--[Menu Option Strings]
		menu_options_yawn = "Y.A.W.N. Mod",
		menu_options_yawn_desc = "Configure Y.A.W.N. settings here.\nRestart required to apply any changes.",
		
		menu_options_yawn_enable = "Enable Y.A.W.N.",
		menu_options_yawn_enable_desc = "Turn the mod on or off.",
		
		menu_options_yawn_short = "Short Names",
		menu_options_yawn_short_desc = "Shortens manufacturer and weapon names where applicable.\nRecommended if you use wider fonts to prevent characters being cut off.",
		
		menu_comma = "something something comma chameleon"
	})
	
	if Yawn.Options:GetValue("enable") then
		LocalizationManager:add_localized_strings({
		
		---------------------
		--  1.) Primaries  --
		---------------------
		
		--	1a.)	Assault, Marksman & Battle Rifles
		
		--[AMCAR]
		bm_w_amcar = "Colt Model 733 Commando",
		--Handguard
		bm_wp_amcar_fg_a2 = "A2 Carbine Handguard",
		
		--[AK]
		bm_w_ak74 = "Kalashnikov Concern AKS-74",
		
		--(Barrels ~ shared w/AKM)
		--AK Slavic Dragon
		bm_wp_upg_ak_b_draco = "ROMARM \"Draco\" Pistol Barrel",
		--Modern
		bm_wp_upg_ak_b_ak105 = "AK-105 Barrel",
		--DMR Kit
		bm_wp_upg_ass_ak_b_zastava = "Zastava Arms M76 Barrel",
		
		--(Handguards ~ shared w/AKM)
		--Railed Wooden
		bm_wp_ak_fg_combo2 = "UltiMAK AK Optic Mount",
		--Tactical Russian
		bm_wp_ak_fg_combo3 = "UltiMAK ACR-2 Aluminum Handguard",
		--Battleproven
		bm_wp_upg_ak_fg_tapco = "TAPCO Intrafuse Saiga Handguard",
		--Lightweight
		bm_wp_upg_fg_midwest = "Midwest Industries Railed Handguard",
		--Crabs
		bm_wp_upg_ak_fg_krebs = "Krebs Custom UFM Keymod Rail",
		--Keymod
		bm_wp_upg_ak_fg_trax = "Strike Industries TRAX Handguard",
		--Taktika
		bm_wp_ak_upg_fg_zenitco = "ZenitCo \"Sport-1\" Rail Combo",
		
		--Scope Mount (shared w/AKM & AKMSU)
		bm_wp_upg_o_ak_scopemount = "K-VAR KV-04S AK Scope Mount",
		
		--Rail thingy (also shared w/AKM & AKMSU)
		bm_wp_ak_upper_zenitco = "ZenitCo B-33 Dust Cover Rail", -- it doesn't even reposition your sight 0/10 dogshit mod
		
		--New drag handle or whatever
		bm_wp_ak_upg_dh_zenitco = "ZenitCo RP-5 Charging Handle",
		
		--[CAR-4]
		bm_w_m4 = "Colt M4A1",
		--Barrels (Shared w/AR-15 Family)
		--bm_wp_m4_uupg_b_long = "Long Barrel", --Since these barrel mods are repositioned for each weapon to make them appear longer or shorter, listing any specific lengths for one weapon will appear incorrect on another. Blame Overkill for this.
		--bm_wp_m4_uupg_b_medium = "Medium Barrel",
		--bm_wp_m4_uupg_b_short = "Short Barrel",
		--Stealth
		bm_wp_m4_uupg_b_sd = "Suppressed Barrel",
		--Aftermarket Spec. Handguard
		bm_wp_m4_uupg_fg_lr300 = "Z-M LR-300 Handguard",
		--Competition
		bm_wp_upg_fg_jp = "JPE Modular Handguard",
		--Gazelle
		bm_wp_upg_fg_smr = "Geissele Super Modular Rail",
		--OVAL
		bm_wp_upg_ass_m4_fg_lvoa = "War Sport LVOA Handguard",
		--E.M.O.
		bm_wp_upg_ass_m4_fg_moe = "Magpul MOE SL Handguard",
		--Orthogon (Shared w/M16)
		bm_wp_m4_uupg_fg_radian = "Radian Model 1 Handguard",
		--exclusive shit lmao
		bm_wp_m4_upg_fg_mk12 = "MK.12 Mod 0 SPR Kit",
		
		--DMR Kit (Shared w/M16)
		bm_wp_upg_ass_m4_b_beowulf = "Beowulf Barrel",
		
		--(Lower Receivers ~ Shared w/M16 & K23B)
		--THRUST
		bm_wp_upg_ass_m4_lower_reciever_core = "2A-Arms Billet Lower Receiver",
		-- Orthogon
		bm_wp_m4_lower_radian = "Radian Model 1 Lower Receiver",
		
		--(Upper Receivers ~ Shared w/above)
		--Exotique
		bm_wp_m4_upper_reciever_edge = "VLTOR Modular Upper Receiver",
		--LW
		bm_wp_upg_ass_m4_upper_reciever_ballos = "Bravo Company Flat Top Upper Receiver",
		--THRUST
		bm_wp_upg_ass_m4_upper_reciever_core = "2A-Arms Billet Upper Receiver",
		-- Orthogon
		bm_wp_m4_upper_radian = "Radian Model 1 Upper Receiver",
		
		--[UAR]
		bm_w_aug = "Steyr AUG A2",
		--Barrels
		bm_wp_aug_b_short = "16\" Barrel",
		bm_wp_aug_b_long = "24.4\" Barrel",
		--A3 Rail
		bm_wp_aug_fg_a3 = "A3 Railed Handguard",
		--Raptor Polymer
		bm_wp_aug_body_f90 = "Thales F90 Kit",
		
		--[AK.762]
		bm_w_akm = "Kalashnikov Concern AKMS",
		
		--[Golden AK.762]
		bm_w_akm_gold = "Gold Plated AKMS",
		
		--[JP36]
		bm_w_g36 = "Heckler & Koch G36KV",
		--Compact
		bm_wp_g36_fg_c = "G36C Kit",
		--Polizei Special
		bm_wp_g36_fg_ksk = "Knight's Armament Co. RAS Handguard",
		--Long Foregrip
		bm_wp_g36_fg_long = "G36E Kit",
		--Solid Stock
		bm_wp_g36_s_kv = "G36KV Stock",
		--Sniper Stock
		bm_wp_g36_s_sl8 = "SL8 Stock",
		--Original Sight
		bm_wp_g36_o_vintage = "ZF 3×4 Dual Optical Sight",
		
		--[M308]
		bm_w_m14 = "Springfield Armory M14 DMR",
		--Abraham
		bm_wp_m14_body_ebr = "Sage International MK.14 EBR Kit",
		--Jaeger
		bm_wp_m14_body_jae = "J. Allen Enterprises JAE-100 G3 Kit",
		--B-Team
		bm_wp_m14_body_ruger = "Ruger Mini-14 F Stock",
		--Scope Mount
		bm_wp_upg_o_m14_scopemount = "Sun Optics M14/M1A Scope Mount",
		
		--[AK5]
		bm_w_ak5 = "Bofors Ak 5",
		--CQB Barrel
		bm_wp_ak5_b_short = "Ak 5C Barrel",
		--Karbin Ceres
		bm_wp_ak5_fg_ak5c = "Ak 5C Handguard",
		--Belgian Heat
		bm_wp_ak5_fg_fnc = "FN FNC Handguard",
		--Bertil
		bm_wp_ak5_s_ak5b = "Ak 5B Stock",
		--Ceaser
		bm_wp_ak5_s_ak5c = "Ak 5C Stock",
		
		--[AMR-16]
		bm_w_m16 = "Colt M16A4",
		--Tactical
		bm_wp_m16_fg_railed = "Daniel Defense Lite Rail",
		--Blast From The Past
		bm_wp_m16_fg_vietnam = "M16A1 Handguard",
		--Long Ergo
		bm_wp_upg_ass_m16_fg_stag = "Stag Arms Model 8T Handguard",
		--Stock
		bm_wp_m16_s_solid = "A2 Solid Stock",
		--Handguard
		bm_wp_m16_fg_standard = "A2 Handguard",
		--Rear Sight
		bm_wp_m16_o_handle_sight = "A2 Carry Handle Sight",
		
		--[Commando 553]
		bm_w_s552 = "SIG SG 552-2",
		--Long Barrel
		bm_wp_ass_s552_b_long = "13.6\" Barrel",
		--Enhanced Foregrip
		bm_wp_ass_s552_fg_standard_green = "Olive Drab Handguard",
		--Railed
		bm_wp_ass_s552_fg_railed = "SIG Railed Handguard",
		--Enhanced Grip
		bm_wp_ass_s552_g_standard_green = "Olive Drab Pistol Grip",
		--Heat Treated Body
		bm_wp_ass_s552_body_standard_black = "Black Receiver",
		--Enhanced Stock
		bm_wp_ass_s552_s_standard_green = "Olive Drab Stock",
		
		--[Eagle-H]
		bm_w_scar = "Fabrique Nationale MK.17",
		--Barrels
		bm_wp_scar_b_short = "13\" Barrel",
		bm_wp_scar_b_long = "20\" Barrel",
		--Rail Ext.
		bm_wp_scar_fg_railext = "Primary Weapons Sys. SRX Rail Extension",
		--Sniper Stock
		bm_wp_scar_s_sniper = "MK.20 Mod 0 Stock",
		--Flash Supp.
		bm_wp_scar_ns_standard = "AAC Blackout 51T Flash Suppressor",
		
		--[Falcon]
		bm_w_fal = "DSA SA58 FAL",
		--CQB Foregrip
		bm_wp_fal_body_standard = "OSW Handguard w/11\" Barrel",
		--Retro
		bm_wp_fal_fg_03 = "IMI Romat Handguard",
		--Marksman
		bm_wp_fal_fg_04 = "DSA Free Floating Tube Handguard",
		--Wooden
		bm_wp_fal_fg_wood = "Wooden Handguard",
		--Tactical Grip
		bm_wp_fal_g_01 = "TAPCO FAL SAW Pistol Grip",
		--Mag
		bm_wp_fal_m_01 = "30rnd FAL Magazine",
		--CQB Stock
		bm_wp_fal_s_01 = "Sidefolding OSW Stock",
		--Marksman
		bm_wp_fal_s_03 = "Magpul PRS2 Stock",
		
		--[Clarion]
		bm_w_famas = "Nexter FAMAS F1",
		--Barrels
		bm_wp_famas_b_long = "19.2\" G2 Barrel",
		bm_wp_famas_b_short = "15.9\" G2 Commando Barrel",
		bm_wp_famas_b_sniper = "24.4\" G2 Sniper Barrel",
		--Grip
		bm_wp_famas_g_retro = "G1 Pistol Grip",
		
		--[Gecko]
		bm_w_galil = "IMI Galil ARM",
		--Fabulous Foregrip
		bm_wp_galil_fg_fab = "FAB Defense VFR-GA Railed Handguard",
		--CQB
		bm_wp_galil_fg_mar = "Galil MAR Handguard & 8.3\" Barrel",
		--Light Foregrip
		bm_wp_galil_fg_sar = "Galil SAR Handguard & 15.7\" Barrel",
		--Sniper Foregrip
		bm_wp_galil_fg_sniper = "Galatz Handguard & 20\" Barrel",
		--Sniper Grip
		bm_wp_galil_g_sniper = "Galatz Pistol Grip",
		--Fabulous Stock
		bm_wp_galil_s_fab = "Galil MAR Stock w/FAB Defense MG-CP",
		--Light Stock
		bm_wp_galil_s_light = "Galatz Skeleton Stock",
		--Plastic
		bm_wp_galil_s_plastic = "Plastic Cheek Pad",
		--Skeletal
		bm_wp_galil_s_skeletal = "Galil MAR Stock",
		--Sniper Stock
		bm_wp_galil_s_sniper = "Galatz Wooden Stock",
		--Wooden
		bm_wp_galil_s_wood = "Wooden Cheek Pad",
		
		--[Gewehr 3]
		bm_w_g3 = "Heckler & Koch G3A3",
		--Assault Kit
		bm_wp_g3_b_short = "G3KA4 Barrel",
		--DMR
		bm_wp_g3_b_sniper = "PSG-1 Barrel",
		--Precision Foregrip
		bm_wp_g3_fg_psg = "PSG-1 Handguard",
		--Tactical
		bm_wp_g3_fg_railed = "FAB Defense G3 Railed Handguard",
		--Wooden
		bm_wp_g3_fg_retro = "Wooden Handguard",
		--Plastic
		bm_wp_g3_fg_retro_plastic = "Plastic Handguard",
		--Retro Grip
		bm_wp_g3_g_retro = "Ergo Pistol Grip",
		--Precision
		bm_wp_g3_g_sniper = "PSG-1 Wooden Pistol Grip",
		--Precision Stock
		bm_wp_g3_s_sniper = "PSG-1 Stock",
		--Short Magazine (DMR Kit)
		bm_wp_g3_m_mag_psg = "10rnd G3 Magazine",
		
		--[Queen's Wrath]
		bm_w_l85a2 = "Enfield L85A2",
		--Prodigious Barrel
		bm_wp_l85a2_b_long = "Long Barrel",
		--Diminutive
		bm_wp_l85a2_b_short = "Short Barrel",
		--Versatile Foregrip
		bm_wp_l85a2_fg_short = "Daniel Defense L85 Quad Rail",
		--Delightful Grip
		bm_wp_l85a2_g_worn = "Taped Pistol Grip",
		
		--[Lion's Roar]
		bm_w_vhs = "HS Produkt VHS-D2",
		--CQB Barrel
		bm_wp_vhs_b_short = "VHS-K2 Barrel",
		--Precision
		bm_wp_vhs_b_sniper = "Sniper Barrel",
		--Silenced
		bm_wp_vhs_b_silenced = "Suppressed Barrel",
		
		--[Valkyria]
		bm_w_asval = "Tula Arms AS \"Val\"",
		--Prototype Barrel
		bm_wp_asval_b_proto = "Short Barrel", --This mod lacks the integrated suppressor of the original, but ovkl logic so who cares
		--Solid Stock
		bm_wp_asval_s_solid = "VSS \"Vintorez\" Stock",
		--Scope Mount
		bm_wp_asval_scopemount = "ProMag AK-47 Scope Mount",
		
		--[Cavity]
		bm_w_sub2000 = "Kel-Tec SUB-2000",
		--Appalachian Foregrip
		bm_wp_sub2000_fg_gen2 = "Gen 2 Handguard",
		--Delabarre
		bm_wp_sub2000_fg_railed = "Red Lion Precision Gen 1 Handguard",
		--Tooth Fairy Supp.
		bm_wp_sub2000_fg_suppressed = "Gen 2 Handguard w/MK-9K Suppressor",
		
		--[Bootleg]
		bm_w_tecci = "Heckler & Koch HK416-C",
		--AML
		bm_wp_tecci_b_long = "Long Barrel",
		--Bootstrap
		bm_wp_tecci_ns_special = "JPE Recoil Eliminator Muzzle Brake",
		--Grip
		bm_wp_ass_tecci_g_standard = "Heckler & Koch Battle Grip",
		--Stock
		bm_wp_tecci_s_standard = "HK416-C Retractable Stock",
		
		--[Little Friend]
		bm_w_contraband = "Heckler & Koch HK417 M203",
		--Launcher
		bm_w_contraband_m203 = "Colt M203 Grenade Launcher",
		--Stock
		bm_wp_contraband_s_standard = "A2 Solid Stock", --This already exists on the M16; adding another wasn't necessary
		
		--[AK17]
		bm_w_ak12 = "Kalashnikov Concern AK-12",
		
		--[Galant]
		bm_w_ching = "Springfield Armory M1 Garand",
		--Tanker Barrel
		bm_wp_ching_b_short = "T26 \"Tanker\" Barrel",
		--Custom Foregrip
		bm_wp_ching_fg_railed = "Fulton Armory Gen 2 Super Scout Rail",
		--Magpouch Stock
		bm_wp_ching_s_pouch = "Dual Ammo Pouches",
		
		--[Union]
		bm_w_corgi = "Fabrique Nationale F2000 Tactical",
		--Short Barrel
		bm_wp_corgi_b_short = "16\" Barrel",
		--Dunes Tact. Receiver
		bm_wp_corgi_body_strap = "Tan Receiver w/Straps",
		
		--[Tempest]
		bm_w_komodo = "IMI Tavor X95",
		
		--[Ketchnov Byk-1]
		bm_w_groza = "TsKIB SOO OTs-14-4A \"Groza\" GP-25",
		--Launcher
		bm_w_groza_underbarrel = "TsKIB SOO GP-25 Grenade Launcher",
		--K-B100 Supp.
		bm_wp_groza_b_supressed = "Suppressed Barrel",
		--K-B1 Speedmag
		bm_wp_groza_m_speed = "25rnd Groza Magazine w/Ranger Plate",
		
		--[KS-12 Urban]
		bm_w_shak12 = "KBP ShAK-12",
		--KS-12A Burst Muzzle
		bm_wp_shak12_ns_muzzle = "ShAK-12 Muzzle Brake",
		--KS-12S Long Silencer
		bm_wp_shak12_ns_suppressor = "VSSK \"Vykhlop\" Suppressor",
		--KS-12S Carry Handle
		bm_wp_shak12_o_carry_dummy = "Carry Handle",
		--KS12 DMR Kit
		bm_wp_shak12_body_vks = "VSSK \"Vykhlop\" Receiver",
		
		--[Rodion 3B]
		bm_w_tkb = "TsKIB SOO TKB-059",
		--Fyodor Muzzle Brake
		bm_wp_upg_ak_ns_jmac = "JMac Customs MTC-1 Muzzle Brake",
		--Federation Suppressor
		bm_wp_upg_ak_ns_tgp = "TGP-A Suppressor",
		--Taktika Deluxe Charging Handle
		bm_wp_tkb_dh_rp4 = "ZenitCo RP-4 Charging Handle",
		--haha shootybang
		bm_wp_tkb_conversion_desc = "Trash shovels are the future.",
		--Arkady Ammo Pouch
		bm_wp_tkb_body_pouch = "Ammo Pouch",
		--Siberian Speed Pull Mag
		bm_wp_tkb_m_bakelite = "90rnd TKB-059 Bakelite Magazine",
		--Svidetel Irons
		bm_wp_tkb_o_tritium = "Tritium Sights",
		--Angular Rail-Mounted
		bm_wp_tkb_o_tt01 = "Taktika Tula TT-01 Rear Sight Rail",
		--Shoulder Pad
		bm_wp_tkb_s_tigr = "Dragunov Cheek Pad",
		
		--	1b.)	Shotguns
		
		--[Reinfeld]
		bm_w_r870 = "Remington Model 870",
		--Zombie Hunter
		bm_wp_r870_fg_wood = "Wooden Pump",
		--Ext. Mag
		bm_wp_r870_m_extended = "7-Shot Tube Magazine",
		--Short Enough
		bm_wp_r870_s_nostock = "No Stock",
		--Short Enough Tact.
		bm_wp_r870_s_nostock_big = "No Stock w/Full Length Rail",
		--Govt. Issue Tact.
		bm_wp_r870_s_solid_big = "Solid Stock w/Full Length Rail",
		--Muldon
		bm_wp_r870_s_folding = "Top Folding Stock",
		
		--[IZHMA]
		bm_w_saiga = "Kalashnikov Concern Saiga-12K",
		--Tact. Russian
		bm_wp_saiga_fg_lowerrail = "UltiMAK AK Multi-Rail Kit",
		--Drum (unused)
		bm_wp_saiga_m_20rnd = "20rnd MD Arms Saiga-12 Drum",
		--Hollow Handle
		bm_wp_saiga_fg_holy = "Fuglystick \"Cobra\" Rail System",
		
		--[Mosconi]
		bm_w_huntsman = "Stoeger Coach Gun",
		--Road Warrior
		bm_wp_huntsman_b_short = "Sawn-Off Barrel",
		--Gangsta Special
		bm_wp_huntsman_s_short = "Sawn-Off Stock",
		
		--[Breaker]
		bm_w_boot = "Winchester Model 1887",
		--Treated Body
		bm_wp_boot_body_exotic = "Case-Hardened Receiver",
		--Long Stock
		bm_wp_boot_s_long = "Full Length Stock",
		
		--[M1014]
		bm_w_benelli = "Benelli M4 Super 90",
		--Barrels
		bm_wp_ben_b_short = "NFA Barrel w/4-Shot Tube Magazine",
		bm_wp_ben_b_long = "Standard Barrel w/7-Shot Tube Magazine",
		--Tact. Stock
		bm_wp_ben_fg_standard = "M4 Tactical Stock",
		
		--[Raven]
		bm_w_ksg = "Kel-Tec KSG",
		--Barrels
		bm_wp_ksg_b_short = "Tactical Barrel w/2x 4-Shot Tubes",
		bm_wp_ksg_b_long = "Long Barrel w/2x 8-Shot Tubes",
		--Flip-up
		bm_wp_upg_o_mbus_rear = "Magpul MBUS Back-up Sights",
		
		--[Steakout]
		bm_w_aa12 = "MPS Auto Assault-12 CQB",
		--Long Barrel
		bm_wp_aa12_barrel_long = "18\" Barrel",
		--Drum
		bm_wp_aa12_mag_drum = "20rnd AA-12 Drum",
		
		--[Predator]
		bm_w_spas12 = "Franchi SPAS-12",
		--Ext. Mag
		bm_wp_spas12_b_long = "8-Shot Tube Magazine",
		
		--[Joceline]
		bm_w_b682 = "Beretta S09", -- fuck you ovkl and your composite weapon nonsense
		--Barrel
		bm_wp_b682_b_short = "Sawn-Off Barrel",
		--Pouch
		bm_wp_b682_s_ammopouch = "Ammo Pouch",
		--Wrist Wrecker
		bm_wp_b682_s_short = "Sawn-Off Stock",
		
		--[Reinfeld 88]
		bm_w_m1897 = "Winchester Model 1897",
		--Barrels
		bm_wp_m1897_b_long = "Long Barrel",
		bm_wp_m1897_b_short = "Heat Shielded Barrel",
		--Artisan Stock
		bm_wp_m1897_s_short = "Sawn-Off Stock",
		
		--[Mosconi 12G Tact.]
		bm_w_m590 = "Mossberg Model 590 Compact Cruiser",
		--CE Ext.
		bm_wp_m590_b_long = "Long Barrel & 2-Shot Tube Extension",
		--CE Muffler
		bm_wp_m590_b_suppressor = "Suppressor",
		--CE Rail Stabilizer
		bm_wp_m590_body_rail = "Black Aces Tactical RB7SLIM Quad Rail",
		
		--	1c.)	Light Machine Guns
		
		--[RPK]
		bm_w_rpk = "Kalashnikov Concern RPK",
		--Tact. Foregrip
		bm_wp_rpk_fg_standard = "RPK-74M Handguard",
		--Plastic Stock
		bm_wp_rpk_s_standard = "RPK-74M Stock",
		
		--[KSP]
		bm_w_m249 = "Fabrique Nationale M249 Paratrooper",
		--Railed Foregrip
		bm_wp_m249_fg_mk46 = "MK.46 Handguard", --Would've perfectly replicated the MK.46 if it still didn't have the STANAG magazine well attached
		--Stock
		bm_wp_m249_s_solid = "M249 Solid Stock",
		
		--[Brenner]
		bm_w_hk21 = "Heckler & Koch HK21E",
		--Short Foregrip
		bm_wp_hk21_fg_short = "HK21E-K Handguard",
		--Ergo Grip
		bm_wp_hk21_g_ergo = "Ergo Pistol Grip",
		bm_wp_hk21_s_solid = "HK21 Clubfoot Stock",
		
		--[Buzzsaw]
		bm_w_mg42 = "Mauser Maschinengewehr 42",
		--Light Barrel
		bm_wp_mg42_b_mg34 = "Maschinengewehr 34 Barrel",
		--Heatsinked Supp.
		bm_wp_mg42_b_vg38 = "BlasTech DLT-19 Heavy Blaster Barrel",
		
		--[KSP58]
		bm_w_par = "Fabrique Nationale M240B",
		--Stock
		bm_wp_par_s_plastic = "M240B Stock",
		
		--[M60]
		bm_w_m60 = "Saco Defense M60",
		bm_wp_m60_fg_keymod = "Keymod Handguard",
		bm_wp_m60_fg_tactical = "M60E4 Handguard",
		bm_wp_m60_fg_tropical = "Camouflaged Handguard",
		
		--[SG Versteckt 51D]
		bm_w_hk51b = "F.J. Vollmer & Co. HK51-B",
		--Kalt Barrel
		bm_wp_hk51b_b_fluted = "Long Rifled Barrel",
		--Schatten Foregrip
		bm_wp_hk51b_fg_railed = "Tri-Rail Handguard", --It could just be an MP5 rail for all I care
		--Verdunkeln Muzzle Brake
		bm_wp_hk51b_ns_jcomp = "Strike Industries JCOMP Compensator", -- eh
		--Zittern Stock
		bm_wp_hk51b_s_extended = "Extended Stock",
		
		--[Akron HC]
		bm_w_hcar = "Ohio Ordnance HCAR",
		--DMR Barrel
		bm_wp_hcar_barrel_dmr = "Heavy Barrel",
		--Buckeye Supp.
		bm_wp_hcar_suppressor = "HCAR Suppressor",
		--Magazines
		bm_wp_hcar_magazine_drum = "50rnd Magpul PMAG D-50 Drum",
		bm_wp_hcar_magazine_stick = "30rnd HCAR Magazine",
		
		--	1d.)	Sniper Rifles
		
		--[Rattlesnake]
		bm_w_msr = "Remington MSR",
		--Sniper Supp.
		bm_wp_snp_msr_ns_suppressor = "AAC TiTAN-QD Suppressor",
		--Tact. Aluminum
		bm_wp_msr_body_msr = "Remington Defense RACS Stock", -- This gun strangely has a wooden body on by default instead of this, despite the real thing not having one at all
		
		--[R93]
		bm_w_r93 = "Blaser R93 Tactical 2",
		--Compensated Supp.
		bm_wp_r93_b_suppressed = "SilencerCo Harvester Big Bore Suppressor",
		--Wooden Stock
		bm_wp_r93_body_wood = "Long Range Sporter 2 Stock",
		
		--[Thanatos]
		bm_w_m95 = "Barrett M95",
		--Tank Buster
		bm_wp_m95_b_barrel_long = "Long Barrel w/AW50F Muzzle Brake",
		--CQB
		bm_wp_m95_b_barrel_short = "Short Barrel",
		--Suppressed
		bm_wp_m95_b_barrel_suppressed = "Barrett QDL Suppressor", -- Not sure if clipping or short af barrel
		
		--[Nagant]
		bm_w_mosin = "Mosin Nagant M1907 Carbine",
		--Barrels
		bm_wp_mosin_b_short = "M38 Carbine Barrel",
		bm_wp_mosin_b_long = "M91/30 Barrel",
		bm_wp_mosin_b_sniper = "\"Bramit\" Suppressor",
		--Discrete Stock (lern2spelovkl)
		bm_wp_mosin_body_conceal = "Synthetic Stock",
		--Irons
		bm_wp_mosin_iron_sight = "Iron Sights",
		
		--[Repeater]
		bm_w_winchester1874 = "Winchester Model 1873",
		--Long Range
		bm_wp_winchester_b_long = "Long Barrel",
		--Outlaw's Silenced
		bm_wp_winchester_b_suppressed = "Suppressor",
		
		--[Lebensauger]
		bm_w_wa2000 = "Walther WA 2000",
		--Barrels
		bm_wp_wa2000_b_long = "Long Barrel",
		bm_wp_wa2000_b_suppressed = "Suppressed Barrel",
		--Furniture
		bm_wp_wa2000_g_light = "Lightweight Furniture",
		bm_wp_wa2000_g_stealth = "Black Furniture",
		bm_wp_wa2000_g_walnut = "Walnut Furniture",
		
		--[Platypus]
		bm_w_model70 = "Winchester Model 70",
		--Supp.
		--bm_wp_model70_ns_suppressor = "Suppressor",
		--Irons
		bm_wp_model70_iron_sight = "Iron Sights",
		
		--[Desertfox]
		bm_w_desertfox = "Desert Tech SRS-A1 Covert",
		--Barrels
		bm_wp_desertfox_b_long = "Standard Barrel",
		bm_wp_desertfox_b_silenced = "DTSS .338 cal Titanium Suppressor",
		
		--[Contractor .308]
		bm_w_tti = "Taran Tactical Innovations TR-1 Ultralight",
		--Suppressor
		bm_wp_tti_ns_hex = "Suppressed Barrel",
		--Grip (Shared w/most weapons)
		bm_wp_tti_g_grippy = "Hogue OverMolded TR-1 Pistol Grip", --They're the same grips as the ones from the Gage Weapon Pack, only downgraded stats-wise
		--Stock (see above)
		bm_wp_tti_s_vltor = "VLTOR Enhanced Modular Stock",
		--Conpensator
		bm_wp_tti_ns_standard = "Precision Reflex MSTN QC Brake",
		--Try mixing an AR-15 upper with an AR-10 lower and see what happens (actually no don't pls)
		bm_wp_tti_body_receiverupper = "Noveske VLTOR MUR Upper Receiver",
		
		--[Grom]
		bm_w_siltstone = "Kalashnikov Concern SVD Dragunov",
		--Grievky
		bm_wp_siltstone_ns_variation_b = "PSL Muzzle Brake",
		--Tikho
		bm_wp_siltstone_b_silenced = "\"Tigr\" Suppressor",
		--Ltwt. Foregrip
		bm_wp_siltstone_fg_polymer = "Polymer Handguard",
		--Ltwt. Stock
		bm_wp_siltstone_s_polymer = "Polymer Stock",
		
		--[R700]
		bm_w_r700 = "Remington Model 700P",
		--Medium Barrel
		bm_wp_r700_b_medium = "Suppressor", -- no idea what this is; also no ovkl, an attached suppressor does not count as part of the barrel mod
		--Military Stock
		bm_wp_r700_s_military = "Magpul Hunter 700L Stock",
		--Tactical
		bm_wp_r700_s_tactical = "J. Allen Enterprises JAE-700 Kit",
		
		--[Bernetti Rangehitter]
		bm_w_sbl = "Marlin Model 1895SBL",
		--Barrels
		bm_wp_sbl_b_long = "Long Barrel w/Muzzle Brake",
		bm_wp_sbl_b_short = "Suppressor",
		--Irons
		bm_wp_sbl_o_standard = "Iron Sights",
		--Club Stock
		bm_wp_sbl_s_saddle = "Cheek Rest & Shell Holder",
		
		--[Káng Arms X1]
		bm_w_qbu88 = "Norinco QBU-88",
		--Barrels
		bm_wp_qbu88_b_long = "Long Barrel",
		bm_wp_qbu88_b_short = "Short Barrel",
		--Magazine
		bm_wp_qbu88_m_extended = "20rnd QBU-88 Magazine",
		--Irons
		bm_wp_qbu88_o_standard = "Iron Sights",
		
		--	1e.)	Special Weapons
		
		--[GL40]
		bm_w_gre_m79 = "Springfield Armory M79",
		--Pirate
		bm_wp_m79_barrel_short = "Sawn-Off Barrel",
		--Sawed off
		bm_wp_gre_m79_s_leather = "Sawn-Off Stock",
		
		--[Vulcan]
		bm_w_m134 = "General Electric M134",
		--Aerial Assault
		bm_wp_m134_barrel_extreme = "GAU-17/A Anti-Air Barrel",
		--Stump
		bm_wp_m134_barrel_short = "Compact Barrel",
		--I'll take 1/2 That
		bm_wp_m134_body_upper_light = "Lightweight Frame",
		
		--[XL 5.56]
		bm_w_shuno = "Empty Shell XM556",
		--Heat Sink
		bm_wp_shuno_b_heat_long = "16\" Barrel w/Heat Shield",
		--XS Heat Sink
		bm_wp_shuno_b_heat_short = "10\" Barrel w/Heat Shield",
		--XS
		bm_wp_shuno_b_short = "10\" Barrel",
		
		--[Piglet]
		bm_w_m32 = "Milkor MK.1L MGL",
		--Barrel
		bm_wp_m32_barrel_short = "8\" Barrel",
		
		--[Flamethrower]
		bm_w_flamethrower_mk2 = "Flamethrower",
		--Tanks (Magazines)
		bm_wp_fla_mk2_mag_rare = "Propane",
		bm_wp_fla_mk2_mag_welldone = "Napalm",
		
		--[Light Crossbow]
		bm_w_frankish = "Frankish Crossbow",
		--Bolts
		bm_wp_upg_a_frankish_explosion = "Explosive Bolts",
		bm_wp_upg_a_frankish_poison = "Poisoned Bolts",
		
		--[English Longbow]
		--Arrows
		bm_wp_bow_long_explosion = "Explosive Arrows",
		bm_wp_bow_long_poison = "Poisoned Arrows",
		
		--[Heavy Crossbow]
		bm_w_arblast = "Arbalest Crossbow",
		--Bolts
		bm_wp_upg_a_arblast_explosion = "Explosive Bolts",
		bm_wp_upg_a_arblast_poison = "Poisoned Bolts",
		
		--[Airbow]
		bm_w_ecp = "Pneumatic Crossbow",
		--Arrows
		bm_wp_ecp_m_arrows_poison = "Poisoned Arrows",
		--Stock
		bm_wp_ecp_s_bare = "Disassembled Stock",
		
		--[MA-17]
		bm_w_system = "Boring Company Flamethrower",
		--Tanks (Magazines)
		bm_wp_system_m_high = "Napalm",
		bm_wp_system_m_low = "Propane",
		--Merlin Nozzle
		bm_wp_system_b_wtf = "Wide Nozzle",
		
		--[DECA]
		bm_w_elastic = "Quest Radical Compound Bow",
		--Arrows
		bm_wp_elastic_m_explosive = "Explosive Arrows",
		bm_wp_elastic_m_poison = "Poisoned Arrows",
		--Ergo Grip
		bm_wp_elastic_g_ergo = "Synthetic Grip",
		--Tact. Frame
		bm_wp_elastic_body_tactic = "Skeletal Frame",
		
		--[Hailstorm]
		bm_w_hailstorm = "Metal Storm MK5", --this game has gone full-on mw2019 and I don't like it
		--Barrels
		bm_wp_hailstorm_b_extended = "Long Barrel",
		bm_wp_hailstorm_b_ext_suppressed = "Suppressed Barrel",
		bm_wp_hailstorm_b_suppressed = "Long Suppressed Barrel",
		--Grips?
		-- bm_wp_hailstorm_g_bubble = "",
		-- bm_wp_hailstorm_g_crystal = "",
		-- bm_wp_hailstorm_g_noise = "",
		
		-----------------------
		--  2.) Secondaries  --
		-----------------------
		
		--	2a.)	Pistols
		
		--[Chimano 88]
		bm_w_glock_17 = "Glock 17",
		bm_w_x_g17 = "Akimbo Glock 17s",
		--Default Magazine
		bm_wp_g17_m_standard = "17rnd Glock Magazine w/2rnd Extension",
		
		--[Crosskill]
		bm_w_colt_1911 = "Springfield Armory 1911 Ltwt. Operator",
		bm_w_x_1911 = "Akimbo Springfield Armory 1911s", --40 character limit, aaaa
		--Aggressor Comp.
		bm_wp_1911_co_2 = "TCII Compensator",
		--Punisher
		bm_wp_1911_co_1 = "Clark Pin Master Compensator",
		--Ergo Grip
		bm_wp_1911_g_ergo = "Pachmayr American Legend 1911 Grips",
		--Wooden
		bm_wp_1911_g_bling = "Wooden Grips",
		--Engraved
		bm_wp_1911_g_engraved = "Custom Engraved 1911 Grips",
		--12rnd Mag
		bm_wp_1911_m_extended = "10rnd 1911 Magazine", --12-rounder is actually a 10-rounder, yet it holds 16 in-game... my head hurts
		--Mag w/Ameritude
		bm_wp_1911_m_big = "10rnd 1911 Magazine w/Ext. Baseplate", -- It's just the 10-round mag with a huge baseplate covering it, same with the USP's new mag
		--Vented Slide
		bm_wp_1911_b_vented = "V-12 Ported Slide",
		--Long Vented
		bm_wp_1911_b_long = "V-16 Long Ported Slide",
		
		--[Bernetti 9]
		bm_w_b92fs = "Beretta 92FS",
		bm_w_x_b92fs = "Akimbo Beretta 92FSes",
		--The Prof. Comp.
		bm_wp_beretta_co_co1 = "SGS Compensator",
		--The Competitor
		bm_wp_beretta_co_co2 = "Competition Compensator",
		--Ergo Grip
		bm_wp_beretta_g_ergo = "Walnut Grips",
		--Engraved
		bm_wp_beretta_g_engraved = "Custom Engraved 92FS Grips",
		--Ext. Mag
		bm_wp_beretta_m_extended = "30rnd 92FS Magazine",
		--Elite Slide
		bm_wp_beretta_sl_brigadier = "Brigadier Elite Slide",
		--Frame (CF2017)
		bm_wp_beretta_body_modern = "92A1 Inox Frame",
		--Marksman Sight
		bm_wp_upg_o_marksmansight_rear = "Meprolight Tru-Dot Adjustable Sights",
		
		--[Bronco]
		bm_w_raging_bull = "Taurus Raging Bull",
		bm_w_x_rage = "Akimbo Taurus Raging Bulls",
		--Grip
		bm_wp_rage_g_ergo = "Wooden Grips",
		--Aggressor Barrel
		bm_wp_rage_b_comp1 = "Smith & Wesson V-Compensator",
		--Pocket Surprise
		bm_wp_rage_b_short = "4\" Snub Nose Barrel",
		--Ventilated
		bm_wp_rage_b_comp2 = "Smith & Wesson Muzzle Compensator",
		--Overcompensating
		bm_wp_rage_b_long = "10\" Long Barrel",
		--Slimline Body
		bm_wp_rage_body_smooth = "Smooth Cylinder",
		--Scope Mount
		bm_wp_pis_rage_extra = "Raging Bull Scope Mount",
		
		--[STRYK]
		bm_w_glock_18c = "Glock 18C",
		bm_w_x_g18c = "Akimbo Glock 18Cs",
		--Ventilated Comp.
		bm_wp_g18c_co_1 = "Ventilated 9mm Compensator",
		--Velocity
		bm_wp_g18c_co_comp_2 = "S&J Customs 9mm Compensator",
		--Ergo Grip
		bm_wp_g18c_g_ergo = "Hogue HandAll Grip Sleeve",
		--Ext. Mag (Shared w/all Glock variants)
		bm_wp_g18c_m_mag_33rnd = "33rnd Glock Magazine",
		--Stock
		bm_wp_g18c_s_stock = "FAB Defense GLR-440 Stock",
		
		--[Deagle]
		bm_w_deagle = "IMI Desert Eagle Mark XIX",
		bm_w_x_deagle = "Akimbo IMI Desert Eagle Mark XIXs",
		--La Femme Comp.
		bm_wp_deagle_co_short = "Magnum Research Muzzle Brake",
		--OVK
		bm_wp_deagle_co_long = "Custom Barrel Weight",
		--Scope Mount
		bm_wp_pis_deagle_extra = "Desert Eagle Scope Mount",
		--Ergo Grip
		bm_wp_deagle_g_ergo = "Pachmayr Desert Eagle Grips", -- Model taken from the 1911 Grips and stretched to fit; no such grip exists for the Desert Eagle IRL
		--Bling
		bm_wp_deagle_g_bling = "Pearl Grips",
		--Ext. Mag
		bm_wp_deagle_m_extended = "10rnd Desert Eagle Magazine",
		--Long Barrel
		bm_wp_deagle_b_long = "10\" Long Barrel",
		--Milled Barrel
		bm_wp_deagle_b_modern = "L6 Barrel", -- I'm surprised I even managed to find this
		
		--[Interceptor]
		bm_w_usp = "Heckler & Koch USP Tactical",
		bm_w_x_usp = "Akimbo Heckler & Koch USP Tacticals",
		--Ventilated Comp.
		bm_wp_usp_co_comp_1 = "Ventilated .45 ACP Compensator",
		--Velocity
		bm_wp_usp_co_comp_2 = "S&J Customs .45 ACP Compensator",
		--Ext. Mag
		bm_wp_pis_usp_m_extended = "20rnd USP Magazine",
		--I want more Mag
		bm_wp_usp_m_big = "20rnd USP Magazine w/Ext. Baseplate",
		--Slides
		bm_wp_pis_usp_b_expert = "USP Expert Slide",
		bm_wp_pis_usp_b_match = "USP Match Slide",
		
		--[C. Custom]
		bm_w_g22c = "Glock 22C",
		bm_w_x_g22c = "Akimbo Glock 22Cs",
		--Long Slide
		bm_wp_g22c_b_long = "Glock 35 Compensated Slide",
		
		--[C. Compact]
		bm_wp_pis_g26 = "Glock 26",
		bm_w_jowi = "Akimbo Glock 26es",
		--Laser Grip
		bm_wp_pis_g_laser = "Crimson Trace Glock Laser Grip",
		--Platypus
		bm_wp_pis_g_beavertail = "Beavertail Grip Extension",
		--Striking Mag
		bm_wp_g26_body_salient = "SAI \"Tier 1\" Glock 26 Frame",
		--Ext. Mag
		bm_wp_g26_m_custom = "10rnd SAI \"Tier 1\" Glock 26 Magazine",
		--Striking Slide
		bm_wp_g26_b_custom = "SAI \"Tier 1\" Glock 26 Slide",
		--Default Magazine
		bm_wp_g26_m_standard = "10rnd Glock Magazine w/2rnd Extension",
		
		--[Gruber Kurz]
		bm_w_ppk = "Walther PPK",
		bm_w_x_ppk = "Akimbo Walther PPKs",
		--Laser Grip
		bm_wp_pis_ppk_g_laser = "Crimson Trace Laser Grip",
		--Long Slide
		bm_wp_pis_ppk_b_long = "PP Stainless Steel Slide", --Why this thing has the stainless finish of the PPK/S, I will never know
		
		--[Sig .40]
		bm_w_p226 = "SIG-Sauer P226R",
		bm_w_x_p226 = "Akimbo SIG-Sauer P226Rs",
		--Ventilated Comp.
		bm_wp_p226_co_comp_1 = "Ventilated .40 S&W Compensator",
		--Velocity
		bm_wp_p226_co_comp_2 = "S&J Customs .40 S&W Compensator",
		--Ergo Grip
		bm_wp_p226_g_ergo = "Hogue P226 Rubber Grips",
		--Ext. Mag
		bm_wp_p226_m_extended = "20rnd P226 Magazine",
		--Two-Tone Slide
		bm_wp_p226_b_equinox = "Equinox Two-Tone Slide",
		--Long Slide
		bm_wp_p226_b_long = "X-Six Slide",
		
		--[Broomstick]
		bm_w_c96 = "Mauser C96",
		bm_w_x_c96 = "Akimbo Mauser C96es",
		--Damper.L
		bm_wp_c96_nozzle = "BlasTech DL-44 Nozzle",
		--Hi-Capacity Mag
		bm_wp_c96_m_extended = "20rnd M712 \"Schnellfeuer\" Magazine", --weapon still uses stripper clips to reload instead of this thing
		--Barrel Sight
		bm_wp_c96_sight = "Schmidt & Bender 1-8×24 PM Short Dot",
		--Precision Barrel
		bm_wp_c96_b_long = "Carbine Barrel",
		
		--[LEO]
		bm_w_hs2000 = "Springfield Armory XD(M)",
		bm_w_x_hs2000 = "Akimbo Springfield Armory XD(M)s",
		--Ext. Mag
		bm_wp_hs2000_m_extended = "22rnd XD(M) Magazine",
		--Custom Slide
		bm_wp_hs2000_sl_custom = "Ported Slide",
		
		--[Peacemaker]
		bm_w_peacemaker = "Ruger New Vaquero", --See: A New Vaquero trying to be a Colt SAA
		--Grand Grip
		bm_wp_peacemaker_handle_bling = "Engraved New Vaquero Grips",
		--Precision Barrel
		bm_wp_peacemaker_barrel_long = "12\" Barrel",
		--Shootout
		bm_wp_peacemaker_barrel_short = "5.5\" Barrel",
		--Ol' Ben's Stock
		bm_wp_peacemaker_rifle_stock = "Skeletal Stock",
		
		--[Matever]
		bm_w_mateba = "Mateba 2006M",
		bm_w_x_2006m = "Akimbo Mateba 2006Ms",
		--Pesante Barrel
		bm_wp_2006m_b_long = "8\" Barrel",
		--Medio
		bm_wp_2006m_b_medium = "5\" Barrel",
		--Piccolo
		bm_wp_2006m_b_short = "2\" Barrel",
		--Noir Grip
		bm_wp_2006m_g_bling = "Black Rubber Grips",
		
		--[Baby Deagle]
		bm_w_sparrow = "IMI Jericho 941 RPL",
		bm_w_x_sparrow = "Akimbo IMI Jericho 941 RPLs",
		--Spike Grip
		bm_wp_sparrow_g_cowboy = "Jericho 941 R Grips",
		--Spike Kit
		bm_wp_sparrow_body_941 = "Jericho 941 F Kit",
		
		--[White Streak]
		bm_w_pl14 = "Kalashnikov Concern PL-14 \"Lebedev\"",
		bm_w_x_pl14 = "Akimbo Kalashnikov Concern PL-14s",
		--Prototype Barrel
		bm_wp_pl14_b_comp = "Ported Barrel Extension",
		--Ext. Mag
		bm_wp_pl14_m_extended = "17rnd PL-14 Magazine",
		
		--[Contractor]
		bm_w_packrat = "Heckler & Koch P30-L",
		bm_w_x_packrat = "Akimbo Heckler & Koch P30-Ls",
		--Compensator
		bm_wp_packrat_ns_extended = "Ported Barrel Extension",
		--Ext. Mag
		bm_wp_packrat_m_extended = "30rnd P30 Magazine",
		--Tritium
		bm_wp_packrat_o_expert = "Tritium Night Sights",
		
		--[5/7 AP]
		bm_w_lemming = "Fabrique Nationale Five-seven",
		--TiN Barrel
		bm_wp_lemming_b_nitride = "Titanium Nitride Coated Barrel",
		--Ext. Mag
		bm_wp_lemming_m_ext = "30rnd Five-seven Magazine",
		
		--[Castigo]
		bm_w_chinchilla = "Smith & Wesson Model 29",
		bm_w_x_chinchilla = "Akimbo Smith & Wesson Model 29s",
		--Diablo Barrel
		bm_wp_chinchilla_b_satan = "8.4\" Kokusai Devil Heavy Barrel",
		--Carnival Grip
		bm_wp_chinchilla_g_black = "Pachmayr M29 Rubber Grips",
		--Cruz
		bm_wp_chinchilla_g_death = "Decorated Pachmayr M29 Rubber Grips",
		
		--[Parabellum]
		bm_w_breech = "Luger Pistole Parabellum 1908",
		bm_w_x_breech = "Akimbo Luger Pistole Parabellum 1908s",
		--Reinforced Barrel
		bm_wp_breech_b_reinforced = "4.5\" Mauser Sport Parabellum Barrel",
		--Short
		bm_wp_breech_b_short = "2\" Barrel",
		--Engraved Grip
		bm_wp_breech_g_custom = "Engraved Luger Grips",
		
		--[Crskl. Guard]
		bm_w_shrew = "Colt Defender",
		bm_w_x_shrew = "Akimbo Colt Defenders",
		--Blinged Grip
		bm_wp_shrew_g_bling = "Engraved Defender Grips",
		--Ergo
		bm_wp_shrew_g_ergo = "Hogue Officer Model 1911 Rubber Grips",
		--Ext. Mag
		bm_wp_shrew_m_extended = "12rnd Defender Magazine",
		
		--[M13]
		bm_w_legacy = "Heckler & Koch P7M13",
		bm_w_x_legacy = "Akimbo Heckler & Koch P7M13s",
		--Threaded Barrel
		bm_wp_legacy_b_threaded = "Tornado Technologies Threaded Barrel",
		--Wooden Grip
		bm_wp_legacy_g_wood = "Karl Nill Walnut Grips",
		
		--[HOLT]
		bm_w_holt = "Hudson Manufacturing H9",
		bm_w_x_holt = "Akimbo Hudson Manufacturing H9s",
		--Ergo Grip
		bm_wp_holt_g_ergo = "Pachmayr 1911 Grips",
		--Bling
		bm_wp_holt_g_bling = "Reflective Grips",
		--Ext. Mag
		bm_wp_holt_m_extended = "20rnd H9 Magazine",
		
		--[Bernetti Auto]
		bm_w_beer = "Beretta 93R",
		bm_w_x_beer = "Akimbo Beretta 93Rs",
		--Weller Barrel
		bm_wp_beer_b_robo = "Auto-9 Kit",
		--Cartel Grip
		bm_wp_beer_g_lux = "Wooden Grips",
		--Weller Grip
		bm_wp_beer_g_robo = "Polymer Grips",
		--Ext. Mag
		bm_wp_beer_m_extended = "20rnd 93R Magazine",
		--Federales Stock
		bm_wp_beer_s_std = "Shoulder Stock",
		
		--[Czech 92]
		bm_w_czech = "CZ 75",
		bm_w_x_czech = "Akimbo CZ 75s",
		--Sicario Barrel
		bm_wp_czech_b_long = "Long Barrel",
		--Cartel Grip
		bm_wp_czech_g_luxury = "Wooden Grips",
		--Sicario Grip
		bm_wp_czech_g_sport = "Tactical Sport Grips",
		--Ext. Mag
		bm_wp_czech_m_extended = "26rnd CZ 75 Magazine",
		--Tirador Stock
		bm_wp_czech_s_standard = "Shoulder Stock",
		
		--[Igor Automatik]
		bm_w_stech = "Stechkin APS",
		bm_w_x_stech = "Akimbo Stechkin APSes",
		--Tirador Barrel
		bm_wp_stech_b_long = "Long Barrel",
		--Federales Grip
		bm_wp_stech_g_tactical = "Synthetic Grips",
		--Cartel Grip
		bm_wp_stech_g_luxury = "Wooden Grips w/Bakelite Inserts",
		--Ext. Mag
		bm_wp_stech_m_extended = "30rnd APS Magazine",
		--Federales Stock
		bm_wp_stech_s_standard = "Holster Stock",
		
		--[Frenchman Mdl. 87]
		bm_w_model3 = "Smith & Wesson No. 3 \"Russian Model\"",
		bm_w_x_model3 = "Akimbo Smith & Wesson No. 3s",
		--Barrels
		bm_wp_model3_b_long = "Long Barrel",
		bm_wp_model3_b_short = "Short Barrel",
		--Mule Bone Grip
		bm_wp_model3_g_bling = "Pearl Grips",
		
		--[Crskl. Chunky Compact] --who the fuck comes up with these names
		bm_w_m1911 = "Colt M1911",
		bm_w_x_m1911 = "Akimbo Colt M1911s",
		--Long Mag
		bm_wp_m1911_m_extended = "10rnd Chip McCormick 1911 Power Mag.",
		--Chunky Hunter Barrel
		bm_wp_m1911_sl_hardballer = "AMT Javelina Slide",
		--Crskl. Platinum Bull Slide
		bm_wp_m1911_sl_match = "MK IV Series 70 Slide",
		
		--[RUS-12 Angry Tiger]
		bm_w_rsh12 = "KBP RSh-12",
		--Barrels
		bm_wp_rsh12_b_comp = "Muzzle Brake",
		bm_wp_rsh12_b_short = "Short Barrel",
		--Custom Wood Grip
		bm_wp_rsh12_g_wood = "Wooden Grip",
		
		--[Káng Arms Mdl. 54]
		bm_w_type54 = "Tokarev TT-33",
		bm_w_x_type54 = "Akimbo Tokarev TT-33s",
		--Ext. Magazine
		bm_wp_type54_m_ext = "12rnd TT-33 Magazine",
		--Underbarrel shotty ammo
		bm_wp_type54_underbarrel = "20 Gauge 00 Buck",
		bm_wp_type54_underbarrel_piercing = "Flechette Rounds",
		bm_wp_type54_underbarrel_slug = "Armor Piercing Slugs",
		--
		--Barrel Ext.
		bm_wp_type54_b_long = "Barrel Extension",
		
		--[Gecko M2]
		bm_w_maxim9 = "SilencerCo Maxim 9",
		bm_w_x_maxim9 = "Akimbo SilencerCo Maxim 9s",
		bm_wp_maxim9_b_long = "Long Suppressor",
		bm_wp_maxim9_b_marksman = "Compensator", -- iono
		bm_wp_maxim9_m_ext = "17rnd Glock Magazine w/Ext. Baseplate",
		
		--[Kahn]
		bm_w_korth = "Korth NXA",
		bm_w_x_korth = "Akimbo Korth NXAs",
		--Grips
		bm_wp_korth_g_ergo = "STX Grip",
		bm_wp_korth_g_houge = "Hogue OverMolded Rubber Monogrip",
		--six-shooter
		bm_wp_korth_m_6 = "6-Shot Cylinder",
		--Railed Barrel
		bm_wp_korth_b_railed = "STX Barrel",
		
		--	2b.)	Submachine Guns, Machine Pistols & Carbines
		
		--[Mark 10]
		bm_w_mac10 = "Ingram MAC-11",
		bm_w_x_mac10 = "Akimbo Ingram MAC-11s",
		--Railed Handguard
		bm_wp_mac10_body_ris = "MAC Tactical Rail Kit",
		--Custom Frame (CF2017)
		bm_wp_mac10_body_modern = "Two-Tone Frame",
		--Ext. Mag
		bm_wp_mac10_m_extended = "32rnd MAC-11 Magazine",
		--Skeletal Stock
		bm_wp_mac10_s_skel = "Low Mount Stock",
		
		--[Compact-5]
		bm_w_mp5 = "Heckler & Koch MP5A2",
		bm_w_x_mp5 = "Akimbo Heckler & Koch MP5A2s",
		--Sehr Kurze Barrel
		bm_wp_mp5_fg_m5k = "MP5K Tri-Rail Kit",
		--Railed
		bm_wp_mp5_fg_mp5a5 = "Brügger & Thomet Tri-Rail Handguard",
		--Ninja
		bm_wp_mp5_fg_mp5sd = "MP5SD Kit",
		--Enlightened
		bm_wp_mp5_fg_flash = "SureFire 328LMF-A WeaponLight Forend",
		--Straight Mag
		bm_wp_mp5_m_straight = "30rnd MP5/10 10mm Magazine",
		--Drum (unused)
		bm_wp_mp5_m_drum = "110rnd GSG-5 .22 LR Drum",
		--Adjustable Stock
		bm_wp_mp5_s_adjust = "Retractable Stock",
		--Bare Essentials
		bm_wp_mp5_s_ring = "No Stock",
		--Spartan
		bm_wp_mp5_s_folding = "Sidefolding MP5K-PDW Stock",
		--Solid
		bm_wp_mp5_s_solid = "MP5 Solid Stock",
		
		--[CMP]
		bm_w_mp9 = "Brügger & Thomet MP9-NA3",
		bm_w_x_mp9 = "Akimbo Brügger & Thomet MP9-NA3s",
		--Tactical Supp.
		bm_wp_mp9_b_suppressed = "Brügger & Thomet MP9 QD Suppressor",
		--Ext. Mag
		bm_wp_mp9_m_extended = "30rnd MP9 Magazine",
		--Skeletal Stock
		bm_wp_mp9_s_skel = "Steyr TMP Fixed Stock",
		
		--[Para]
		bm_w_olympic = "Olympic Arms K23B",
		bm_w_x_olympic = "Akimbo Olympic Arms K23Bs",
		--Railed Handguard
		bm_wp_olympic_fg_railed = "Knight's Armament Co. Free Floating Rail",
		--Aftermarket Shorty
		bm_wp_upg_smg_olympic_fg_lr300 = "Shortened Z-M LR-300 Handguard",
		--Shorter than Short Stock
		bm_wp_olympic_s_short = "Buffer Tube Stock",
		--Default Stock
		bm_wp_wpn_fps_smg_olympic_s_adjust = "Collapsible Wire Stock",
		
		--[Krinkov]
		bm_w_akmsu = "Soviet Union AKMSU",
		bm_w_x_akmsu = "Akimbo Soviet Union AKMSUs",
		--Moscow Special
		bm_wp_akmsu_fg_rail = "Samson K-Rail",
		--Aluminum
		bm_wp_upg_ak_fg_zenit = "ZenitCo Railed Handguard",
		
		--[Kobus]
		bm_w_p90 = "Fabrique Nationale P90 TR",
		bm_w_x_p90 = "Akimbo Fabrique Nationale P90 TRs",
		--Long Barrel
		bm_wp_p90_b_long = "PS90 Barrel",
		--Civilian
		bm_wp_p90_b_civilian = "Moerse Lekker Barrel Shroud",
		--Mall Ninja
		bm_wp_p90_b_ninja = "Mall Ninja Suppressor",
		--Crimefest '17 Custom Frame
		bm_wp_90_body_boxy = "Box Frame", -- I'm assuming this is entirely fictional; search results came up empty
		
		--[Chicago Typewriter]
		bm_w_m1928 = "Auto-Ordnance M1928",
		bm_w_x_m1928 = "Akimbo Auto-Ordnance M1928s",
		--Barrels
		bm_wp_m1928_b_short = "Short Barrel",
		bm_wp_m1928_b_long = "Long Barrel",
		--Discrete Foregrip
		bm_wp_m1928_fg_discrete = "Synthetic Foregrip",
		--Grip
		bm_wp_m1928_g_discrete = "Synthetic Pistol Grip",
		--Stock
		bm_wp_m1928_s_discrete = "Synthetic Stock",
		--QD Sling
		bm_wp_m1928_s_nostock = "No Stock",
		
		--[Swed. K]
		bm_w_m45 = "Carl Gustav Kpist M/45B",
		bm_w_x_m45 = "Akimbo Carl Gustav Kpist M/45Bs",
		--Grease Barrel
		bm_wp_smg_m45_b_small = "Short Barrel",
		--Swedish
		bm_wp_smg_m45_b_green = "Green Lacquer Barrel",
		--Bling Grip
		bm_wp_smg_m45_g_bling = "Pearl Grips",
		--Ergo
		bm_wp_smg_m45_g_ergo = "Black Rubber Grips",
		--Ext. Mag
		bm_wp_smg_m45_m_extended = "48rnd M/45 Magazine",
		--Swed. Body
		bm_wp_smg_m45_body_green = "Green Lacquer Receiver",
		
		--[SpecOps]
		bm_w_mp7 = "Heckler & Koch MP7A1",
		bm_w_x_mp7 = "Akimbo Heckler & Koch MP7A1s",
		--Supp. Barrel
		bm_wp_mp7_b_suppressed = "Brügger & Thomet Rotex-II Suppressor",
		--Ext. Mag
		bm_wp_mp7_m_extended = "40rnd MP7 Magazine",
		--Stock
		bm_wp_mp7_s_long = "Extended Stock",
		
		--[Cobra]
		bm_w_scorpion = "CZ SA Vz. 61 Skorpion",
		bm_w_x_scorpion = "Akimbo CZ SA Vz. 61 Skorpions",
		--Supp.
		bm_wp_scorpion_b_suppressed = "Skorpion Suppressor",
		--Ergo Grip
		bm_wp_scorpion_g_ergo = "Rubber Grip",
		--Ext. Mag
		bm_wp_scorpion_m_extended = "Dual 20rnd Skorpion Magazines",
		
		--[Blaster]
		bm_w_tec9 = "Intratec TEC-9",
		bm_w_x_tec9 = "Akimbo Intratec TEC-9s",
		--Short Barrel
		bm_wp_tec9_b_standard = "AB-10 Barrel",
		--Ghetto Blaster
		bm_wp_tec9_ns_ext = "Pseudo Barrel Extension",
		--Ext. Mag
		bm_wp_tec9_m_extended = "50rnd TEC-9 Magazine",
		--Just Bend It
		bm_wp_tec9_s_unfolded = "Interdynamic MP-9 Wire Stock",
		
		--[Uzi]
		bm_w_uzi = "IMI Uzi",
		bm_w_x_uzi = "Akimbo IMI Uzis",
		--Silent Death
		bm_wp_uzi_b_suppressed = "IMI Two-Stage Suppressor",
		--Tact. Foregrip
		bm_wp_uzi_fg_rail = "FAB Defense Uzi Tri-Rail Kit",
		--Ergo Stock
		bm_wp_uzi_s_leather = "Leather Stock",
		--Solid
		bm_wp_uzi_s_solid = "Wooden Stock",
		
		--[Patchett]
		bm_w_sterling = "Sterling L2A3",
		bm_w_x_sterling = "Akimbo Sterling L2A3s",
		--Heatsinked Supp.
		bm_wp_sterling_b_e11 = "BlasTech E-11 Barrel", -- Good fucking luck hitting anything
		--Suppressed
		bm_wp_sterling_b_suppressed = "L34A1 Barrel",
		--Ext. Mag
		bm_wp_sterling_m_long = "34rnd L2A3 Magazine",
		--Short Mag
		bm_wp_sterling_m_short = "10rnd L2A3 Magazine",
		
		--[Jacket's Piece]
		bm_w_cobray = "Cobray M11/9",
		bm_w_x_cobray = "Akimbo Cobray M11/9s",
		--Werbell's Supp. (Shared w/MAC-10)
		bm_wp_cobray_ns_silencer = "SIONICS Two-Stage Suppressor",
		--Slotted Barret Ext. (see above)
		bm_wp_cobray_ns_barrelext = "MAC Vented Barrel Extension",
		
		--[Vertex]
		bm_w_polymer = "KRISS Vector",
		bm_w_x_polymer = "Akimbo KRISS Vectors",
		--HPS
		bm_wp_polymer_ns_silencer = "Defiance 4GSK High Precision Suppressor",
		--Precision Barrel
		bm_wp_polymer_barrel_precision = "Vector CRB Barrel Shroud",
		
		--[Micro Uzi]
		bm_w_baka = "IMI Micro Uzi",
		bm_w_x_baka = "Akimbo IMI Micro Uzis",
		--Suppressors (no idea)
		--bm_wp_baka_b_longsupp = "Asuka Suppressor", -- gonna shove a fat one right down your throat <3
		--bm_wp_baka_b_midsupp = "Maki Roll Suppressor",
		--bm_wp_baka_b_smallsupp = "Spring Roll Suppressor",
		
		--[Heather]
		bm_w_sr2 = "TsNIITochMash SR-2M \"Veresk\"",
		bm_w_x_sr2 = "Akimbo TsNIITochMash SR-2Ms",
		--Tishina
		bm_wp_sr2_ns_silencer = "SR-2M Suppressor",
		
		--[CR805B]
		bm_w_hajk = "CZ 805 BREN A1",
		bm_w_x_hajk = "Akimbo CZ 805 BREN A1s",
		--Barrels
		bm_wp_hajk_b_medium = "12.6\" Barrel",
		bm_wp_hajk_b_short = "10.9\" Barrel",
		
		--[Jackal]
		bm_w_schakal = "Heckler & Koch UMP45",
		bm_w_x_schakal = "Akimbo Heckler & Koch UMP45s",
		--Civ. Barrel
		bm_wp_schakal_b_civil = "16\" Barrel",
		--Civ. Stock
		bm_wp_schakal_s_civil = "USC Fixed Stock",
		--Silentgear Supp.
		bm_wp_schakal_ns_silencer = "GemTech QD Suppressor",
		--Ext. Mag
		bm_wp_schakal_m_long = "50rnd UMP45 Magazine",
		--Short Mag
		bm_wp_schakal_m_short = "10rnd UMP45 Magazine", --This is actually the 10 round magazine for the USC; the smallest mags available for the UMP are 25 rounders
		--Twinkle Grip
		bm_wp_schakal_vg_surefire = "SureFire M900 WeaponLight Foregrip",
		
		--[Tatonka]
		bm_w_coal = "Kalashnikov Concern PP-19 \"Bizon-2\"",
		bm_w_x_coal = "Akimbo Kalashnikov Concern PP-19s",
		
		--[MP40]
		bm_w_erma = "ERMA-Werke Maschinenpistole 40",
		bm_w_x_erma = "Akimbo ERMA-Werke MP40s",
		
		--[Signature]
		bm_w_shepheard = "SIG-Sauer MPX",
		bm_w_x_shepheard = "Akimbo SIG-Sauer MPXes",
		--Short Foregrip
		bm_wp_shepheard_body_short = "MPX-K Kit",
		--Ext. Mag
		bm_wp_shepheard_m_extended = "30rnd MPX Magazine",
		
		--[AK Gen 21 Tact.]
		bm_w_vityaz = "Kalashnikov Concern PP-19-01 \"Vityaz\"", -- actually a vityaz-sn but character limit says no
		bm_w_x_vityaz = "Akimbo Kalashnikov Concern PP-19-01s",
		--MG8 Prec. Barrel
		bm_wp_vityaz_b_long = "14.4\" Barrel",
		--BY90 Wide Supp.
		bm_wp_vityaz_b_supressed = "Delta-Tek MPI Vityaz Flash Suppressor",
		--Bull Stock
		bm_wp_vityaz_s_short = "No Stock",
		
		--[Miyaka 10 Spec.]
		bm_w_pm9 = "Nippon Miniature Bearing Co. M-9",
		bm_w_x_pm9 = "Akimbo Minebea M-9s",
		--MS10 Short Barrel
		bm_wp_pm9_b_short = "Short Barrel",
		--Comfort Wood Grip
		bm_wp_pm9_g_wood = "Wooden Grip",
		--Speedmag
		bm_wp_pm9_m_quick = "25rnd Uzi Magazine w/Sleeve",
		--Tact. Stock
		bm_wp_pm9_s_tactical = "Stock",
		
		--[Wasp-DS]
		bm_w_fmg9 = "Magpul FDC-9",
		--Rake Ultra Grip
		bm_wp_fmg9_grip_tape = "Grip Tape",
		--Celerity X9 Mag
		bm_wp_fmg9_m_speed = "30rnd Glock Waffle Magazine",
		--Bounce Slate RX Stock
		bm_wp_fmg9_stock_padded = "Rubber Pad",
		--pls let me whisper 9 in your ear
		bm_wp_fmg9_conversion = "Suppressed Barrel",
		
		--	2c.)	Shotguns
		
		--[Loco]
		bm_w_serbu = "Short Barreled Remington Model 870",
		--Ext. Mag
		bm_wp_shorty_m_extended_short = "5-Shot Tube Magazine",
		--Stnd. Stock
		bm_wp_r870_s_solid = "Solid Stock",
		--Police Shorty
		bm_wp_serbu_s_solid_short = "Solid Stock w/Full Length Rail",
		--Tact. Shorty
		bm_wp_serbu_s_nostock_short = "No Stock w/Full Length Rail",
		
		--[Judge]
		bm_w_judge = "Taurus 4510PLYFS",
		bm_w_x_judge = "Akimbo Taurus 4510PLYFSes",
		--Custom Frame (CF2017)
		--bm_wp_judge_body_modern = "", -- I have no idea
		
		--[St. Sweeper]
		bm_w_striker = "Penn Arms Striker-12",
		
		--[GSPS]
		bm_w_m37 = "Ithaca Model 37",
		--Riot Barrel
		bm_wp_m37_b_short = "Sawn-Off Barrel",
		--Stakeout Stock
		bm_wp_m37_s_short = "Sawn-Off Stock",
		
		--[Goliath]
		bm_w_rota = "Crye Precision SIX-12",
		bm_w_x_rota = "Akimbo Crye Precision SIX-12s",
		--Silenced Barrel
		bm_wp_rota_b_silenced = "Suppressed Barrel",
		
		--[Grimm]
		bm_w_basset = "CBRPS \"Spike\" X1S Saiga-12K",
		bm_w_x_basset = "Akimbo CBRPS \"Spike\" X1S Saiga-12Ks",
		--Lil' Bro Foregrip
		bm_wp_basset_fg_short = "Short Handguard",
		--Big Bro Magazine (Shared w/Saiga-12K)
		bm_wp_basset_m_extended = "8rnd AGP Arms Saiga-12 Magazine",
		
		--[Claire]
		bm_w_coach = "Remington Model 1889",
		--Barrel
		bm_wp_coach_b_short = "Sawn-Off Barrel",
		--Deadman's Stock
		bm_wp_coach_s_short = "Sawn-Off Stock",
		
		--[Argos III]
		bm_w_ultima = "Baikal MP-155 \"Ultima\"",
		--Try-Core Comp.
		bm_wp_ultima_ns_comp = "Hi-Tech Howitzer70 Muzzle Brake",
		--ShellSwitch M8 Ammo Cache
		bm_wp_ultima_body_rack = "Dual Shell Racks",
		--Flak Frame Null Stock
		bm_wp_ultima_s_light = "Wire Stock",
		--triple tech threat with extra violence on the side
		bm_wp_ultima_body_kit = "Tri-Beam Laser Module",
		
		--[VD-12]
		bm_w_sko12 = "Standard Manufacturing SKO-12",
		bm_w_x_sko12 = "Akimbo Standard Manufacturing SKO-12s",
		--Stateside Conversion Kit
		bm_wp_sko12_conversion = "Autumn Leaf Camouflage",
		--why aren't these on the fucking gun by default
		bm_wp_sko12_grip = "SKO-12 Pistol Grip",
		bm_wp_sko12_stock = "SKO-12 Stock",
		
		--	2d.)	Special
		
		--[HRL-7]
		bm_w_rpg7 = "Bazalt RPG-7",
		
		--[Pstl. Crossbow]
		bm_w_hunter = "Avalanche CB1-50 Pistol Grip Crossbow",
		
		--[China Puff]
		bm_w_china = "Naval Air Weapons Station \"China Lake\"",
		--Riot Stock
		bm_wp_china_stock_short = "Sawn-Off Stock",
		
		--[Arbiter]
		bm_w_arbiter = "Heckler & Koch XM25 CDTE",
		--Bombardier Barrel
		bm_wp_arbiter_b_comp = "Cluster Barrel",
		
		--[Commando]
		bm_w_ray = "U.S. Army M202A1 FLASH",
		
		--[Comp. 40mm]
		bm_w_slap = "Heckler & Koch M320 GLM",
		
		--[Basilisk 3V]
		bm_w_ms3gl = "Metal Storm 3GL",
		--Fang Barrel
		bm_wp_ms3gl_b_standard_long = "Long Barrel",
		--Serpent
		bm_wp_ms3gl_body_modern = "Digital Camouflage",
		--Copperhead Recoil Pad
		bm_wp_ms3gl_s_modern = "Telescopic Metal Stock",
		--poison snek
		bm_wp_ms3gl_exclusive = "Snake Body",
		
		-- 2e.) Sniper Rifles (new category holy fuck)
		
		--[Pronghorn]
		bm_w_scout = "Steyr Scout",
		--Longshot Supp.
		-- bm_wp_scout_ns_suppressor = "", -- could be gemtech, could be b&t
		--Quickdraw Speedbolt
		bm_wp_scout_bolt_speed = "Chrome Bolt",
		--Standoff Ext. Mag
		bm_wp_scout_m_extended = "7rnd Scout Magazine",
		--Marksman Stock
		bm_wp_scout_s_pads_one = "Medium Recoil Pad",
		--Stakeout Stock
		bm_wp_scout_s_pads_none = "Small Recoil Pad",
		--open range snipers are an inside job
		bm_wp_scout_exlusive = "Wooden Stock", -- just call me mr. exlusive
		
		--[North Star]
		bm_w_victor = "Springfield Armory SAINT Victor",
		--Tiwaz Silencer
		bm_wp_victor_ns_omega = "SilencerCo Omega 300 Suppressor",
		--short boi rifle
		bm_wp_victor_sbr = "Hera Arms SBR Kit",
		bm_wp_victor_sbr_desc = "Wait, did you remember to fill out the paperwork for this?",
		--Ursa Minor Grip
		bm_wp_victor_g_mod3 = "Bravo Co. GUNFIGHTER Mod 3 Pistol Grip",
		--Cynosura Iron Sights
		bm_wp_victor_o_standard = "Springfield Armory Spring-Loaded Sights",
		--Ursa Minor Stock
		bm_wp_victor_s_mod0 = "Bravo Co. GUNFIGHTER Mod 0 Stock",
		--Starlight Stock
		bm_wp_m4_uupg_s_zulu = "Odin Works Zulu 2.0 Stock",
		--front grip thingy
		bm_wp_victor_vg_hera = "Hera Arms CQR Front Grip",
		
		--[Aran G2]
		bm_w_contender = "Thompson/Center Arms G2 Contender",
		---Phantom Supp.
		bm_wp_contender_suppressor = "AAC Halcyon Suppressor",
		--Kanden Foregrip
		bm_wp_contender_foregrip_long = "Long Forend",
		--Bounty Grip
		bm_wp_contender_grip_m4 = "Choate G2 Contender Stock Adapter",
		--Sylux Irons
		bm_wp_upg_o_ironsight = "Iron Sights",
		--Bounty Stock
		bm_wp_contender_stock_m4 = "Choate M4 Telescoping Stock",
		
		
		-------------------------
		--  3.) Melee Weapons  --
		-------------------------
		
		--[Base Game]
		bm_melee_boxcutter = "Box Cutter Knife",
		bm_melee_ballistic = "Ballistic Knives",
		bm_melee_agave = "Collins 24\" Machete",
		bm_melee_push = "Robbins-Dudley Push Daggers",
		bm_melee_sap = "Boston Leather Junior Sap",
		bm_melee_clean = "Straight Razor",
		
		--[Community]
		bm_melee_kabar_tanto = "KA-BAR Tanto",
		bm_melee_chef = "Chef Knife",
		bm_melee_baseballbat = "\"Lucille\"",
		bm_melee_grip = "LF&C \"Knuckle Duster\" Trench Knives",
		
		--[DLC]
		bm_melee_kabar = "U.S. Marine Corps KA-BAR",
		bm_melee_nin = "Paslode IM360CI Cordless Nail Gun",
		bm_melee_fork = "BBQ Fork",
		bm_melee_shovel = "Swedish Army Folding Shovel",
		bm_melee_shawn = "Sheep Shears",
		bm_melee_selfie = "Selfie Stick",
		bm_melee_bayonet = "AKM Type II Bayonet",
		bm_melee_gator = "Gerber Gator Machete Pro",
		bm_melee_topaz = "Black Diamond Cobra Ice Pick",
		bm_melee_oxide = "\"Spetsnaz\" Survival Machete",
		bm_melee_baton = "ASP Friction Loc Baton",
		bm_melee_slot_lever = "Slot Machine Handle",
		bm_melee_oldbaton = "Monadnock PR-24 Baton",
		bm_melee_pugio = "Extrema Ratio EX314BL Pugio Knife",
		bm_melee_kampfmesser = "Eickhorn-Solingen KM2000",
		bm_melee_branding_iron = "Branding Iron",
		bm_melee_detector = "Garret Handheld Metal Detector",
		bm_melee_bullseye = "Smith & Wesson Bullseye Hatchet",
		bm_melee_cs = "Homelite Super 2 Chainsaw",
		bm_melee_brick = "Motorola DynaTAC 8000X",
		bm_melee_model24 = "Model 24 Stielhandgranate",
		bm_melee_scalper = "Indian Scalping Tomahawk",
		bm_melee_meat_cleaver = "Dragan's Meat Cleaver",
		bm_melee_twins = "Sais",
		bm_melee_bowie = "Bowie Knife",
		bm_melee_x46 = "Robson X46 Utility Survival Knife",
		bm_melee_tiger = "Tekko-Kagi",
		bm_melee_beardy = "Long-Bearded Axe",
		bm_melee_catch = "Fish Hook",
		bm_melee_cleaver = "Cleaver",
		bm_melee_taser = "ZAP Stun Baton",
		bm_melee_mining_pick = "Pickaxe",
		bm_melee_wing = "Benchmade Model 62 Balisong",
		bm_melee_stick = "Shepherd's Crook",
		bm_melee_scoutknife = "Morakniv Classic Scout 39",
		bm_melee_gerber = "Gerber DMF Folder Knife",
		bm_melee_fairbair = "Fairbairn-Sykes Fighting Knife",
		bm_melee_tomahawk = "Gerber Downrange Tomahawk",
		bm_melee_poker = "Fireplace Poker",
		bm_melee_tenderizer = "Meat Tenderizer",
		bm_melee_dingdong = "Gerber Ding Dong Breaching Tool",
		bm_melee_machete = "Machete",
		bm_melee_cqc = "Kunai",
		bm_melee_becker = "KA-BAR Becker Tac Tool",
		bm_melee_rambo = "United Cutlery UC-RB1 Survival Knife",
		bm_melee_meter = "Sharpened Metal Ruler",
		bm_melee_happy = "ASP Friction Loc Baton",
		bm_melee_shock = "Pipe Wrench",
		bm_melee_chac = "Maraca",
		
		--[Promo ~ Hotline Miami]
		bm_melee_hammer = "Jacket's Hammer",
		
		--[Event]
		bm_melee_sword = "No. 2 Pencil",
		bm_melee_aziz = "Maglite ML300LX LED Flashlight",
		
		----------------------
		--  4.) Throwables  --
		----------------------
		
		--[Frag]
		bm_grenade_frag = "M67 Fragmentation Grenade",
		bm_grenade_frag_com = "M67 Fragmentation Grenade",
		--[Axe me a question :v]
		bm_wpn_prj_hur = "Kit Rae \"AirCobra\" Throwing Axe",
		--[ow my head]
		bm_concussion = "M84 Stun Grenade",
		--[Knife]
		bm_wpn_prj_target = "Blazing Arrow Ninja Throwing Knife",
		--[Incendiary]
		bm_grenade_fir_com = "AN/M14 TH3 Incendiary Grenade",
		--bm_grenade_fir_com_desc = "",
		--[Injector]
		bm_ability_chico_injector = "Adrenaline Injector",
		--[Smoke if you got 'em]
		bm_grenade_smoke_screen_grenade = "M18 Smoke Grenade",
		--[Ye Flask]
		bm_grenade_damage_control = "Hip Flask",
		--[X1]
		bm_grenade_electric = "VOG-25P \"Khattabka\" Electric Grenade",
		--[Viper]
		bm_grenade_poison_gas_grenade = "Poison Gas Grenade",
		--[Adhesive]
		bm_grenade_sticky_grenade = "Semtex Grenade",
		
		--------------------------------
		--  5.) Shared Modifications  --
		--------------------------------
		
		--	5a.)	Barrel Extensions
		
		--[Rifle Compensators & Muzzle Brakes]
		--Stubby
		bm_wp_upg_ns_ass_smg_stubby = "VFC Stinger Flash Hider",
		--Tank
		bm_wp_upg_ns_ass_smg_tank = "\"Tank\" Compensator",
		--Fire Breather
		bm_wp_upg_ns_ass_smg_firepig = "Noveske KX3 \"Flaming Pig\" Flash Hider",
		--Tactical
		bm_wp_upg_ass_ns_surefire = "SureFire MB556K Muzzle Brake",
		--Competitor
		bm_wp_upg_ass_ns_jprifles = "JPE Standard Profile Compensator",
		--Funnel of Fun
		bm_wp_upg_ass_ns_linear = "KIES Blast Master Linear Compensator",
		--Ported
		bm_wp_ns_battle = "BattleComp 1.0 Compensator",
		--Marmon
		bm_wp_upg_ns_ass_smg_v6 = "V6 Industries Muzzle Brake",
		--Taktika
		bm_wp_ak_upg_ns_zenitco = "ZenitCo DTK-1 Muzzle Brake",
		
		--[Shotgun Muzzle Brakes]
		--Shark Teeth Nozzle
		bm_wp_upg_ns_shot_shark = "Tromix Shark Breaching Brake",
		--King's Crown Compensator
		bm_wp_upg_shot_ns_king = "King Armory KA-1212BR Breaching Brake",
		--Donald's Horizontal Leveller
		bm_wp_ns_duck = "Paradigm SRP Gator Shotgun Spreader",
		
		--[Pistol Compensators & Muzzle Brakes]
		--Facepunch
		bm_wp_upg_ns_meatgrinder = "WE-Tech Tenderizer Muzzle Brake",
		--Flash Hider
		bm_wp_upg_pis_ns_flash = "CCF Titanium Flash Suppressor",
		--Hurricane
		bm_wp_upg_ns_typhoon = "TandemKross Game Changer Compensator",
		
		--[Rifle & Machine Gun Suppressors]
		--Low Profile
		bm_wp_upg_ns_ass_smg_small = "GemTech HALO Suppressor",
		--Medium
		bm_wp_upg_ns_ass_smg_medium = "Small Arms Industries M80 Suppressor",
		--The Bigger, The Better
		bm_wp_upg_ns_ass_smg_large = "Large Suppressor",
		--PBS
		bm_wp_upg_ns_ass_pbs1 = "PBS-1 Suppressor",
		
		--[Shotgun Suppressors]
		--Silent Killer
		bm_wp_upg_ns_shot_thick = "Cylinder Suppressor",
		--Shh!
		bm_wp_upg_ns_sho_salvo_large = "SilencerCo Salvo 12 Suppressor",
		
		--[Pistol Suppressors]
		--Size Doesn't Matter
		bm_wp_upg_ns_pis_small = "Thompson Machine Poseidon Suppressor",
		--Standard Issue
		bm_wp_upg_ns_pis_medium = "GemTech SFN Suppressor",
		--Monolith
		bm_wp_upg_ns_pis_large = "SilencerCo Osprey Suppressor",
		--Roctec
		bm_wp_upg_ns_medium_gem = "GemTech BLACKSIDE Suppressor",
		--Champion
		bm_wp_upg_ns_large_kac = "Knight's Armament Co. MK.23 Suppressor",
		--Asepsis
		--bm_wp_upg_ns_pis_medium_slim = "Silver Suppressor", --*shrugs shoulders*
		--Budget
		bm_wp_upg_ns_ass_filter = "Oil Filter Suppressor",
		--Jungle Ninja
		bm_wp_upg_ns_pis_jungle = "M1911A1 \"Big Boss\" Suppressor",
		--Medved R4
		bm_wp_upg_ns_pis_putnik = "ZenitCo DTK \"Putnik\" Suppressor",
		
		--	5b.)	Gadgets (Flashlights, Lasers, Magnifiers & Canted Optics)
		
		--[Shared w/ARs, SMG, LMGs & Shotguns]
		--Assault Light
		bm_wp_upg_fl_ass_smg_sho_surefire = "SureFire M961XM07 WeaponLight",
		--Tactical Laser
		bm_wp_upg_fl_ass_smg_sho_peqbox = "Insight Technology AN/PEQ-5",
		--Compact
		bm_wp_upg_fl_ass_laser = "Offset Mounted Laser",
		--Military
		bm_wp_upg_fl_ass_peq15 = "Insight Technology AN/PEQ-15",
		--LED Combo
		bm_wp_upg_fl_ass_utg = "Leapers UTG P38 Flashlight/Laser Combo",
		--Stealth Laser
		bm_wp_upg_fl_dbal_laser = "Steiner Defense DBAL-PL Pistol Light",
		
		--[Offset Mounted Sights]
		--Angled
		bm_wpn_fps_upg_o_45iron = "XS Sights Angled Sight",
		--45° Red Dot
		bm_wpn_fps_upg_o_45rds = "Leupold DeltaPoint Pro Red Dot",
		--Riktpunkt 45°
		bm_wpn_fps_upg_o_45rds_v2 = "Aimpoint Micro T-2 Red Dot",
		--Riktpunkt Magnifier
		bm_wpn_fps_upg_o_xpsg33_magnifier = "Aimpoint 3XMag Magnifying Module",
		--45° Ironsights
		bm_wpn_fps_upg_o_45steel = "Diamondhead D-45 Iron Sights",
		--Signature Magnifier
		bm_wpn_fps_upg_o_sig = "SIG-Sauer JULIET3 Magnifying Module",
		
		--[Shared w/Pistols]
		--Tactical Pistol Light
		bm_wp_upg_fl_pis_tlr1 = "Streamlight TLR-1 WeaponLight",
		--Pocket Laser
		bm_wp_upg_fl_pis_laser = "Aim Sports LH002 Laser Sight",
		--Micro Laser
		bm_wp_upg_fl_crimson = "Crimson Trace CMR-201 Laser Sight",
		--Combined Module
		bm_wp_upg_fl_x400v = "SureFire X400V-A-IRC WeaponLight",
		--Polymer Flashlight
		bm_wp_upg_fl_pis_m3x = "Insight Technology M3X Flashlight",
		--Medved R4
		bm_wp_upg_fl_pis_perst = "ZenitCo Perst-4M Laser Sight",
		
		--	5c.)	Magazines
		
		--[AR-15 Family & Others]
		--Vintage
		bm_wp_m4_m_straight = "20rnd STANAG Magazine",
		--Milspec
		bm_wp_m4_uupg_m_std = "30rnd STANAG Magazine",
		--Tactical
		bm_wp_m4_m_pmag = "30rnd Magpul PMAG Magazine",
		--Quadstacked
		bm_wp_upg_m4_m_quad = "60rnd SureFire Magazine",
		--Expert
		bm_wp_l85a2_m_emag = "30rnd Magpul EMAG Magazine",
		--L5
		bm_wp_upg_m4_m_l5 = "30rnd Lancer Systems L5 AW Magazine",
		--Drum
		bm_wp_m4_m_drum = "100rnd Beta C-Mag Dual Drum",
		--Plated AR
		bm_wp_m4_uupg_m_strike = "33rnd Strike Industries AR Mag. w/Plate",
		
		--[AK Family]
		--Quadstacked
		bm_wp_upg_ak_m_quad = "60rnd Kalashnikov Concern Magazine",
		--Low Drag
		bm_wp_upg_ak_m_uspalm = "30rnd US PALM AK30 Magazine",
		--Drum
		bm_wp_ak_m_drum = "75rnd AK Drum",
		--RPK Mag (unused)
		bm_wp_rpk_m_standard = "45rnd RPK-74M Magazine",
		
		--[Speed Pull Mags]
		--G36KV
		bm_wp_g36_m_quick = "30rnd G36 Magazine w/Sleeve",
		--AUG A2
		bm_wp_aug_m_quick = "30rnd AUG Magazine w/Sleeve",
		--AK Family (AK-74, AKM, AKMSU, AK-12, Gold Plated AKM)
		bm_wp_ak_m_quick = "30rnd AK Magazine w/Sleeve", -- All variants for some reason use the AK-74's bakelite magazine when equipped, despite the obvious caliber differences
		--AR-15 Family (M733, M4A1, M16, K23B), L85, Ak 5, CZ 805 BREN & X95
		bm_wp_m4_m_quick = "30rnd STANAG Magazine w/Sleeve",
		--SR-2M
		bm_wp_sr2_m_quick = "30rnd SR-2 Magazine w/Sleeve",
		--MAC-11
		bm_wp_mac10_m_quick = "32rnd MAC-11 Magazine w/Sleeve",
		--P90
		bm_wp_p90_m_strap = "50rnd P90 Magazine w/Straps",
		
		--	5d.)	Grips
		
		--[AR-15 Family & Others]
		--Ergo
		bm_wp_m4_g_ergo = "Command Arms UPG16 Modular Grip",
		--Pro
		bm_wp_m4_g_sniper = "PSG-1 Style Pistol Grip",
		--Rubber
		bm_wp_upg_m4_g_hgrip = "Hogue OverMolded AR-15 Pistol Grip",
		--Straight
		bm_wp_upg_m4_g_mgrip = "Magpul MOE-K Pistol Grip",
		--Titanium Skeleton
		bm_wp_upg_g_m4_surgeon = "Tactical Dynamics Skeletonized Grip",
		--Skeletonized AR
		bm_wp_m4_g_billet = "JL Billet Skeletonized Aluminum Grip",
		
		--[AK Family]
		--Rubber
		bm_wp_upg_ak_g_hgrip = "Hogue OverMolded AK Pistol Grip",
		--Plastic
		bm_wp_upg_ak_g_pgrip = "US PALM Enhanced Pistol Grip",
		--Wood
		bm_wp_upg_ak_g_wgrip = "Taped Wooden Pistol Grip",
		--Aluminum
		bm_wp_upg_ak_g_rk3 = "ZenitCo RK-3 Pistol Grip",
		--Verge
		wpn_fps_upg_ak_g_edg = "Evolution Defense Group Textured Grip",
		--Ergonomic
		wpn_fps_upg_ak_g_gradus = "FAB Defense GRADUS AK Rubberized Grip",
		--Ultimatum
		wpn_fps_upg_ak_g_rk9 = "ZenitCo RK-9 Pistol Grip",
		
		--[Vertical & Angled Grips]
		--Standard (AUG A2, UMP45, RPK-74M Handguard, Uzi Tri-Rail)
		bm_wp_upg_vg_ass_smg_verticalgrip = "Knight's Armament Co. Vertical Grip",
		--Stubby (MP9, MP7)
		bm_wp_upg_vg_ass_smg_stubby = "Tango Down QD Stubby Vertical Grip",
		--AFG (SCAR-H/MK.17)
		bm_wp_upg_vg_ass_smg_afg = "Magpul Angled Foregrip 2",
		--Folding (M320)
		bm_wp_slap_vg_standard = "Heckler & Koch Folding Vertical Grip",
		--MVG (CZ 805, SIX-12, F2000)
		bm_wp_hajk_vg_moe = "Magpul MVG Vertical Grip",
		--RVG (HK416-C)
		bm_wp_tecci_vg_standard = "Magpul RVG Vertical Grip",
		--Cobra Angled (TR-1)
		bm_wp_tti_vg_standard = "Strike Industries Cobra Tactical Grip",
		
		--	5e.)	Optics & Iron Sights
		--The Professional's Choice
		bm_wp_upg_o_t1micro = "Aimpoint Micro T-1 Red Dot",
		--Surgeon
		bm_wp_upg_o_docter = "LaRue Tactical IronDot w/Docter Sight II",
		--See More
		bm_wp_upg_o_cmore = "C-More Railway Red Dot",
		--Combat
		bm_wp_upg_o_cs = "Aimpoint CS Red Dot",
		--Speculator
		bm_wp_upg_o_reflex = "Sightmark Sure Shot Red Dot",
		--Trigonom
		bm_wp_upg_o_rx01 = "Trijicon RX01 Red Dot",
		--Holographic
		bm_wp_upg_o_eotech = "EOTech 516 Holographic Sight",
		--Compact Holo
		bm_wp_upg_o_eotech_xps = "EOTech EXPS3 Holographic Sight",
		--Solar
		bm_wp_upg_o_rx30 = "Trijicon RX30 Red Dot",
		--Military Red Dot
		bm_wp_upg_o_aimpoint = "Aimpoint PRO Red Dot",
		--Milspec
		bm_wp_upg_o_specter = "ELCAN SpecterDR 1-4× Rifle Scope",
		--Acough
		bm_wp_upg_o_acog = "Trijicon ACOG Scope",
		--Recon
		bm_wp_upg_o_spot = "NcSTAR ADO Scope w/Rangefinder",
		--Compact Profile
		bm_wp_upg_o_fc1 = "D.I. Optical FC1 Prismatic Red Dot",
		--Maelstrom
		bm_wp_upg_o_uh = "Vortex Razor AMG UH-1 Holographic Sight",
		--Advanced Combat Sight
		bm_wp_upg_o_bmg = "Trijicon ACOG TA648 Scope",
		--Compact Tactical Box
		bm_wp_upg_o_tf90 = "Tech Force TF90 Red Dot",
		--Z5 Owl Glass
		bm_wp_upg_o_poe = "BelOMO PO 4×24P Rifle Scope",
		--CASSIAN Elite
		bm_wpn_fps_upg_o_hamr = "Leupold Mark 4 HAMR w/DeltaPoint",
		--CASSIAN Sharp
		bm_wp_upg_o_atibal = "Atibal MROC 3×32 Prism Scope w/MRD V2",
		--CASSIAN Irons
		bm_wp_upg_o_mbus_pro_rail = "Magpul MBUS Pro Back-up Sights",
		--Short Dot (default sniper scope)
		bm_wp_upg_o_shortdot = "Schmidt & Bender 1-8×24 PM Short Dot",
		--Theia
		bm_wp_upg_o_leupold = "Leupold Mark 4 LR/T M1 Illum. Ret. w/BORS",
		--Box Buddy
		bm_wp_upg_o_box = "Pulsar Digisight LRF N960 Rifle Scope",
		--Trace Optic
		bm_wp_upg_o_northtac = "Northtac LPVO 1-4×28 w/Micro Red Dot",
		--Pistol Red Dot
		bm_wp_upg_o_rmr = "Trijicon RMR Red Dot",
		--Riktpunkt Holosight
		bm_wp_upg_o_rikt = "Aimpoint ACRO P-1 Red Dot",
		--SKOLD Reflex
		bm_wp_upg_o_rms = "Shield Sights RMS Red Dot",
		--CAR-4 Flip-up
		bm_wp_m4_uupg_o_flipup = "Flip-up Iron Sights", -- no idea
		--Raven & Vertex Irons
		bm_wp_upg_o_dd = "Daniel Defense A1.5 Fixed Sights",
		--M1014 Irons (Mdl. 1887's "Apex" Legendary skin)
		bm_wp_boot_o_legendary = "Benelli M4 Iron Sights", --These sights are not considered a separate part on the Benelli for some reason
		
		--Zoom level displayer (disabled for now, will repurpose eventually)
		bm_menu_sight_zoom_level = "", -- Whose bright fucking idea was it to have this in the same string with the blackmarket weapon names, where there's barely any room there to begin with?
		-- bm_menu_sight_zoom_level = "$zoom",
		
		--	5f.)	Stocks
		
		--[AR-15 Family & Others]
		--Folding
		bm_wp_m4_uupg_s_fold = "Z-M LR-300 Sidefolding Stock",
		--Standard
		bm_wp_m4_s_standard = "Bushmaster LE Stock",
		--Tactical
		bm_wp_m4_s_pts = "Magpul CTR Stock",
		--Wide
		bm_wp_upg_m4_s_crane = "B5 Systems Enhanced SOPMOD Stock",
		--War-Torn
		bm_wp_upg_m4_s_mk46 = "Enhanced SOPMOD Stock w/Cheek Pad",
		--2-Piece
		bm_wp_upg_m4_s_ubr = "Magpul UBR Stock",
		
		--[AK Family]
		--Skeletal
		bm_wp_ak_s_skfoldable = "Sidefolding AK Stock",
		--Folding
		bm_wp_ak_s_folding = "Underfolding AK Stock",
		--Wooden Sniper
		bm_wp_ak_s_psl = "PSL Thumbhole Stock",
		--Classic
		bm_wp_upg_ak_s_solidstock = "Wooden AK Stock",
		--Taktika
		bm_wp_ak_upg_s_zenitco = "ZenitCo PT-5 Stock",
		
		--	5g.)	Miscellaneous Attachments
		--Lion's Bipod
		bm_wp_upg_lmg_lionbipod = "Bipod",
		
		--	5h.)	Fire Modes
		
		bm_wp_upg_i_singlefire = "Semi-Auto Fire Lock",
		bm_wp_upg_i_autofire = "Full-Auto Fire Lock",
		
		--	5i.)	Ammo
		
		--[000]
		bm_wp_upg_a_custom_free = "000 Buck",
		bm_wp_upg_a_custom = "000 Buck",
		
		--[HE]
		bm_wp_upg_a_explosive = "Fragmentation Rounds",
		
		--[Flechette]
		bm_wp_upg_a_piercing = "Flechette Rounds",
		
		--[Slugs]
		bm_wp_upg_a_slug = "Armor Piercing Slugs",
		
		--[Dragon's Breath]
		bm_wp_upg_a_dragons_breath = "Dragon's Breath Rounds",
		
		--[Tombstone Slug]
		bm_wp_upg_a_rip = "Poison Buckshot", --ovkl forgot what slug ammo is, kek
		
		--[Underbarrel/Standalone GL Ammo]
		bm_wp_upg_a_grenade_launcher_incendiary = "Incendiary Grenades",
		bm_wp_upg_a_grenade_launcher_electric = "Electric Grenades",
		bm_wp_upg_a_grenade_launcher_frag = "Explosive Grenades",
		bm_wp_upg_a_underbarrel_electric = "Electric Grenades",
		bm_wp_wpn_fps_upg_a_underbarrel_incendiary = "Incendiary Grenades",
		bm_wp_upg_a_grenade_launcher_poison = "Poison Gas Grenades",
		bm_wp_upg_a_grenade_launcher_hornet = "Hornet's Nest Grenades",

		-------------------------
		--  6.) Miscellaneous  --
		-------------------------
		
		--[Weapon Descriptions] NOTE: Requires Allow Weapon Descriptions mod --> https://modworkshop.net/mydownloads.php?action=view_down&did=22169
		--1.)	Assault Rifles
		bm_w_amcar_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nLightweight, short-barreled M16 Carbine designed for police & security forces.",
		bm_w_ak74_desc = "Cartridge: 5.45×39mm Russian\nFire Mode: Semi-Auto or Full-Auto\n\nIntermediate-caliber AK variant with a side-folding stock for use with airborne infantry.",
		bm_w_m4_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nShortened M16A2 carbine used extensively by the U.S. Armed Forces since 1994; its barrel has a notch to accommodate a grenade launcher and its 3-round burst fire control group was replaced with a fully automatic option.",
		bm_w_aug_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nAn Austrian bullpup rifle with a sight rail in place of its integral scope; it remains the standard small arm of various armed forces Austrian and abroad since 1978, even spawning countless derivatives thanks to its modular design.",
		bm_w_akm_desc = "Cartridge: 7.62×39mm Soviet\nFire Mode: Semi-Auto or Full-Auto\n\nA modernized AK-47 made from lighter materials for reduced weight and easier construction; its rear-trunion was also modified with a swiveling mechanism to make use of its underfolding stock.",
		bm_w_akm_gold_desc = "Cartridge: 7.62×39mm Soviet\nFire Mode: Semi-Auto or Full-Auto\n\nYour favorite Kalashnikov rifle, blinged out.",
		bm_w_g36_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nModern German rifle designated the \"HK-50\", created on request from the Bundeswehr following the cancellation of the G11 and G41 projects, which left them with no modern rifle at the time until it was finally adopted into service in 1997.",
		bm_w_m14_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto or Full-Auto" .. semidef .. "\n\nSelect-fire rifle developed from a long line of experimental M1 Garand variants, as well as being its replacement; it is considered the last American battle rifle issued to U.S military personnel before being replaced by the M16.",
		bm_w_ak5_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nSwedish variant of the FN FNC, modified to adapt in colder climates.",
		bm_w_m16_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto, 3-Round Burst or Full-Auto\n\nThe staple weapon of U.S. military, and one of the first to make a departure from a full-power cartridge to a smaller, higher velocity round. Despite its rocky start, it has since become one of the most iconic firearms in the world, setting the standard for future assault rifles.",
		bm_w_s552_desc = "Cartridge: 5.6mm Gewehr Patrone 90\nFire Mode: Semi-Auto, 3-Round Burst or Full-Auto\n\nCarbine variant of the SG 550 with a permanent scope rail.",
		bm_w_scar_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nA modular, self-loading rifle platform designed to satisfy the requirements for the USSOCOM's SCAR competition; heavy variant.",
		bm_w_fal_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nAmerican-made, commercial FAL variant produced with the same production line equipment as the Sturmgewehr 58.",
		bm_w_famas_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto, 3-Round Burst or Full-Auto\n\nFrench bullpup assault rifle famous for its high fire rate; nicknamed \"Le Clairon\", or \"The Bugle\" due to its shape.",
		bm_w_galil_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\n7.62mm variant of Galil ARM; amusingly, the ARM was designed with a bottle opener in the front handguard as it was common for one to damage magazines by using them as bottle openers.",
		bm_w_g3_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nCold War-era battle rifle developed in collaboration with CETME and adopted for use in over 40 countries.",
		bm_w_l85a2_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nDeveloped from the SA80 family and designed on the operation of the AR-18, the L85 boasts unusually high accuracy for an assault rifle, but was plagued with numerous reliability issues and faulty components prior to a revision.",
		bm_w_vhs_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nBullpup assault rifle first introduced at the 2007 iKA exhibition; development was followed on request from the Croatian Army for new rifles to update their equipment to NATO standards.",
		bm_w_asval_desc = "Cartridge: 9×39mm\nFire Mode: Semi-Auto or Full-Auto" .. intsupp .. "\n\nA Soviet-era rifle developed at the behest of the Spetsnaz for more specialized armaments, with a special subsonic round made for use with its integral suppressor.",
		bm_w_sub2000_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nCompact, pistol-caliber carbine that folds rearwards for easy storage.",
		bm_w_tecci_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nH&K's compact take on the M4 carbine with a proprietary gas operation system derived from the G36 family. Comes with a drum mag out of the box for sustained fire.",
		bm_w_contraband_desc = "Cartridge: 7.62×51mm NATO/40×46mm Grenades\nFire Mode: Semi-Auto or Full-Auto (HK417)/Single Shot (M203)" .. semidef .. "\n\nBattle rifle variant of the HK416 with a larger receiver to better accommodate the full-powered cartridge. The underbarrel grenade launcher provides an extra weapon in cases where you don't have time to reload.",
		bm_w_ak12_desc = "Cartridge: 5.45×39mm Russian\nFire Mode: Semi-Auto, 2-Round Burst or Full-Auto\n\nModern derivative project of Kalashnikov patterned rifles which began in 2011.",
		bm_w_ching_desc = "Cartridge: .30-06 Springfield\nFire Mode: Semi-Auto only\n\nStandard-issue service rifle of the American forces during World War II, made famous for its distinctive *ping* sound upon ejection of its en-bloc clip.",
		bm_w_corgi_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nModular bullpup assault rifle, equipped with a rail & flip-up iron sights in place of its proprietary scope.",
		bm_w_komodo_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nShortened MTAR-21 variant with a rounded handguard and 13\" barrel.",
		bm_w_groza_desc = "Cartridge: 9×39mm/40×53mm Electric Caseless Grenades\nFire Mode: Semi-Auto or Full-Auto (Groza)/Single Shot (GP-25)\n\nRussian bullpup rifle designed by Yuri Lebedev and Valery Telesh (who also designed the GP series of launchers), intended to incorporate the best features of the AKS-74U into a modular weapon system.",
		bm_w_shak12_desc = "Cartridge: 12.7×55mm\nFire Mode: Semi-Auto or Full-Auto\n\nA \"Dynamic Entry\" rifle designed for high-risk, close-quarters environments against targets behind cover or wearing body armor. It was reportedly seen in use by the FSB in 2011, though no records exist due to classified information.",
		bm_w_akm_tkb = "Cartridge: 7.62×39mm Soviet\nFire Mode: Full-Auto or 3-Round Volley\n\nGerman Korobov's experimental volley rifle notable for its 3-barrel layout. It was designed for firing in rapid salvos, providing performance similar to a minigun while still being man-portable.",
		
		--2.)	Shotguns
		bm_w_r870_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\nField Gun variant fitted with a pistol grip stock and synthetic furniture; the world's most widely owned and used shotgun.",
		bm_w_saiga_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto or Full-Auto\n\nMagazine-fed shotgun borrowing several components from the AKM rifle and modified to allow full-auto fire.",
		bm_w_huntsman_desc = "Cartridge: 12 Gauge\nFire Mode: Single Shot\n\nBreak-action, double barreled shotgun.",
		bm_w_boot_desc = "Cartridge: 12 Gauge\nFire Mode: Lever-Action\n\nDesigned by John Browning for lawmen during the late years of the American Old West; when two shots aren't enough.",
		bm_w_benelli_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto only\n\nThe fourth and final model of the M series shotguns; designated the M1014 by the USMC.",
		bm_w_ksg_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\nModern bullpup shotgun fed by a pair of side-by-side tubular magazines, which can be toggled manually via a 3-position switch. Shells are inserted and ejected though the same port.",
		bm_w_aa12_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto or Full-Auto\n\nCombat shotgun originally developed by Maxwell Atchisson and currently produced at Military Police Systems. Despite firing exclusively in full-auto, its low cyclic fire rate allows for de facto semi-auto fire with brief trigger pulls.",
		bm_w_spas12_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto only\n\nItalian combat shotgun with a dual operation system, switchable from semi-auto or pump-action at the push of a button depending on the type of ammunition being used at the time.",
		bm_w_b682_desc = "Cartridge: 12 Gauge\nFire Mode: Single Shot\n\nOver-and-under double barrel shotgun.",
		bm_w_serbu_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\nShortened Field Gun with higher rate of fire.",
		bm_w_judge_desc = "Cartridge: .410 Bore\nFire Mode: Double-Action\n\nBrazilian revolver promoted for concealed carry & home protection; compact and powerful.",
		bm_w_x_judge_desc = "Cartridge: .410 Bore\nFire Mode: Double-Action\n\nA pair of judges, juries and executioners.",
		bm_w_striker_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto only\n\nA licensed American clone of a South African riot shotgun with various improvements to bring it to commercial U.S. standards.",
		bm_w_m37_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\nShotgun with downward ejection & loading port; popular amongst civilians, police & military units alike.",
		bm_w_rota_desc = "Cartridge: 12 Gauge\nFire Mode: Double-Action\n\nBullpup revolving shotgun with aftermarket vertical grip; based on the 2nd prototype.",
		bm_w_x_rota_desc = "Cartridge: 12 Gauge\nFire Mode: Double-Action\n\nA pair of bullpup shotguns.",
		bm_w_basset_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto or Full-Auto\n\nSaiga-12 modified with a Spike X1S bullpup chassis.",
		bm_w_x_basset_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of grim, bloody fables.",
		bm_w_coach_desc = "Cartridge: 12 Gauge\nFire Mode: Single Shot\n\nDouble barreled shotgun with exposed hammers.",
		bm_w_m1897_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\nStrengthened version of the Model 1893 with a bayonet lug and shortened barrel; it earned much ire from the German Army during World War I for its slam-fire technique, allowing all six shots to be discharged in under two seconds.",
		bm_w_m590_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\nPart of a long line of shotguns introduced in 1961, the Model 590 comes in various configurations and can be used in the harshest of conditions.",
		bm_w_ultima_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto only\n\nA futurized MP-155 with built-in Picatinny rails and a device with numerous functions, including a shot counter and thermal image camera output. Its entire system is housed within its stock to protect it from environmental damage and sabotage.",
		bm_w_sko12_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto or Full-Auto\n\nAmerican-made, gas-operated shotgun designed with AR-15 style controls. Can utilize a variety of shotgun loads and comes with quick-interchange box and drum magazines.",
		bm_w_x_sko12_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto or Full-Auto\n\nHold on, does your insurance even cover this?",
		
		--3.)	Light Machine Guns
		bm_w_rpk_desc = "Cartridge: 7.62×39mm Soviet\nFire Mode: Full-Auto only\n\nKalashnikov rifle-patterned machine gun with a strengthened receiver; its longer, heavier barrel allows for more accurate sustained fire.",
		bm_w_m249_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Full-Auto only\n\nAn American adaptation of the FN Minimi, adopted by the U.S. military to provide infantry squads with a large source of automatic firepower. Various programs began soon after adoption to address problems and provide additional modifications.",
		bm_w_hk21_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Full-Auto only\n\nGeneral-purpose machine gun based on the G3 platform.",
		bm_w_mg42_desc = "Cartridge: 7.92×57mm Mauser\nFire Mode: Full-Auto only\n\nGeneral-purpose machine gun used extensively by the Wehrmacht & Waffen-SS during World War II; its blistering fire rate earned it the nickname \"Hitler's Buzzsaw\".",
		bm_w_par_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Full-Auto only\n\nAmerican-made FN MAG adopted in 1977 by the U.S. Army as a coaxial machine gun for armored vehicles and later as standard infantry GPMGs, fully configured for ground combat.",
		bm_w_m60_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Full-Auto only\n\nGeneral-purpose machine gun based on the MG42 and FG42 machine guns. It saw much of its service during the Vietnam War, where it has affectionately earned its nickname, \"The Pig\", in spite of its performance issues in the harsh jungle environment.",
		bm_w_hk51b_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Full-Auto only\n\nAn ill-conceived derivative of the HK21 with a modified charging system and extremely short barrel. Only 30 units were produced.",
		bm_w_akm_hcar = "Cartridge: .30-06 Springfield\nFire Mode: Semi-Auto or Full-Auto\n\nA BAR derivative with various improvements to bring it to modern standards. Its receiver is built on their earlier M1918A3 reproduction.",
		
		--4.)	Sniper Rifles
		bm_w_msr_desc = "Cartridge: .338 Lapua Magnum\nFire Mode: Bolt-Action" .. ap .. "\n\nIntroduced in 2009 and designed to meet specific U.S. Army and USSOCOM PSR requirements; winner of the 2013 PSR competition, earning the name MK.21 PSR in military service.",
		bm_w_r93_desc = "Cartridge: .338 Lapua Magnum\nFire Mode: Bolt-Action" .. ap .. "\n\nStraight pull bolt-action sniper rifle in use by German, Dutch & Australian police forces.",
		bm_w_m95_desc = "Cartridge: .50 Browning Machine Gun\nFire Mode: Bolt-Action" .. ap .. "\n\nBullpup, anti-materiel rifle derived from the earlier M90 with a redesigned bolt handle and chrome-plated barrel chamber.",
		bm_w_mosin_desc = "Cartridge: 7.62×54mmR\nFire Mode: Bolt-Action" .. ap .. "\n\nUsed extensively by Russia and its client states for many years; it is considered the first firearm to chamber the longest serving cartridge in history.",
		bm_w_winchester1874_desc = "Cartridge: .44-40 Winchester\nFire Mode: Lever-Action" .. ap .. "\n\nRepeating carbine rifle produced during the American frontier; marketed as \"the Gun that Won the West\", it was chambered for a wide variety of pistol cartridges.",
		bm_w_wa2000_desc = "Cartridge: .300 Winchester Magnum\nFire Mode: Semi-Auto only" .. ap .. "\n\nDesigned in 1972, in response to the Munich massacre; extremely rare and sought after, only 176 units were ever made due to its high cost.",
		bm_w_model70_desc = "Cartridge: .300 Winchester Magnum\nFire Mode: Bolt-Action" .. ap .. "\n\nA sniper rifle chambered in various calibers, it utilizes FN's Tactical Box Magazine adapter. It is popular among civilian sportsmen, police & military snipers alike.",
		bm_w_desertfox_desc = "Cartridge: .338 Lapua Magnum\nFire Mode: Bolt-Action" .. ap .. "\n\nCompact, bullpup sniper rifle; shortened variant of the SRS.",
		bm_w_tti_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto only" .. ap .. "\n\nJohn Wick's marksman rifle refitted with an AR-10 receiver.",
		bm_w_siltstone_desc = "Cartridge: 7.62×54mmR\nFire Mode: Semi-Auto only" .. ap .. "\n\nSoviet semi-automatic rifle designed to provide fire support for up to 600 meters.",
		bm_w_r700_desc = "Cartridge: .223 Remington\nFire Mode: Bolt-Action" .. ap .. "\n\nParkerized variant of Remington's flagship rifle, introduced in the early-to-mid 2000s with a semi-beavertail stock from HS Precision.",
		bm_w_sbl_desc = "Cartridge: .45-70 Government\nFire Mode: Lever-Action" .. ap .. "\n\nShort-barreled, big game hunting rifle with a scout rail and enlarged lever loop.",
		bm_w_qbu88_desc = "Cartridge: 5.8×42mm DBP87\nFire Mode: Semi-Auto only" .. ap .. "\n\nChinese bullpup designated marksman rifle adopted by the PLA in 1997; although not a sniper rifle in a modern sense, it can perform just as well as one.",
		bm_w_scout_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Bolt-Action" .. ap .. "\n\nA modern bolt-action rifle designed under the specifications of influential U.S. shooter Jeff Cooper, who wanted a versatile, all-round rifle capable of effective engagements at distances of up to 300 to 400 meters.",
		bm_w_victor_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto only" .. ap .. "\n\nA high-powered AR-10 rifle in a lightweight package, weighing in at just under 8 pounds. Comes with a nickle boron-coated trigger for faster follow-up shots.",
		bm_w_contender_desc = "Cartridge: .45-70 Government\nFire Mode: Single Shot" .. ap .. "\n\nBreak-action pistol chambered for various cartridges.",
		
		--5.)	Launchers, Bows, Utilities, etc.
		bm_w_gre_m79_desc = "Cartridge: 40×46mm Grenades\nFire Mode: Single Shot\n\nBreak-action grenade launcher developed during the Vietnam War.",
		bm_w_m134_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Full-Auto only\n\nHand-held, electric rotary minigun.",
		bm_w_shuno_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Full-Auto only\n\nUpscaled, electric microgun.",
		bm_w_saw_desc = "Cartridge: Sawblades\nFire Mode: Full-Auto only" .. nopickup .. "\n\nCordless saw designed to cut through metal, wood and concrete all the same.",
		bm_w_m32_desc = "Cartridge: 40×46mm Grenades\nFire Mode: Double-Action\n\nShoulder-fired grenade launcher with a 6-shot swing out cylinder.",
		bm_w_flamethrower_mk2_desc = "Cartridge: Fuel Canister\nFire Mode: Flame\n\nWhen in doubt, simply burn everything down.",
		bm_w_plainsrider_desc = "Cartridge: Arrows\nFire Mode: Single Shot" .. recycle .. nopickup .. "\n\nNative American bow.",
		bm_w_frankish_desc = "Cartridge: Bolts\nFire Mode: Single Shot" .. recycle .. nopickup .. "\n\nMedieval crossbow.",
		bm_w_long_desc = "Cartridge: Arrows\nFire Mode: Single Shot" .. recycle .. nopickup .. "\n\nHunting bow used by the English during the Hundred Years' War against the French.",
		bm_w_arblast_desc = "Cartridge: Bolts\nFire Mode: Single Shot" .. recycle .. nopickup .. "\n\nHand-cranked crossbow.",
		bm_w_ecp_desc = "Cartridge: Bolts\nFire Mode: Semi-Auto only" .. recycle .. nopickup .. "\n\nCompressed air multi-shot bow.",
		bm_w_system_desc = "Cartridge: Fuel Canister\nFire Mode: Flame\n\nTechnically, it's NOT a flamethrower... more like a glorified blowtorch.",
		bm_w_elastic_desc = "Cartridge: Arrows\nFire Mode: Single Shot" .. recycle .. nopickup .. "\n\nThe modern-day answer for archery competitions and hunting in the wild.",
		bm_w_rpg7_desc = "Cartridge: 40mm Rockets\nFire Mode: Single Shot" .. nopickup .. "\n\nSoviet anti-tank rocket launcher.\n\nWatch the backblast.",
		bm_w_hunter_desc = "Cartridge: Bolts\nFire Mode: Single Shot" .. recycle .. nopickup .. "\n\nCompact pistol crossbow.",
		bm_w_china_desc = "Cartridge: 40×46mm Grenades\nFire Mode: Pump-Action\n\nLightweight, multi-shot grenade launcher developed in 1968 as a replacement for the single-shot M79 and XM148 models; it is typically referred by its place of manufacture due to lack of designation.",
		bm_w_arbiter_desc = "Cartridge: 25×40mm Grenades\nFire Mode: Semi-Auto only\n\nAirburst grenade launcher.",
		bm_w_ray_desc = "Cartridge: 66mm HEAT Rockets\nFire Mode: Semi-Auto only" .. nopickup .. "\n\n4-shot rocket launcher force-fed with HEAT projectiles in place of its M235 rockets.",
		bm_w_slap_desc = "Cartridge: 40×46mm Grenades\nFire Mode: Single Shot\n\nStandalone grenade launcher replacement for the M203.",
		bm_w_ms3gl_desc = "Cartridge: 40×46mm Grenades\nFire Mode: 3-Round Burst\n\nA 3-shot grenade launcher broken off from the AICW program. Using proprietary designed grenades, rounds are fired using induction coils around the barrel, with a pseudo-caseless design forgoing ejection of spent casings.",
		bm_w_hailstorm_desc = "Cartridge: 9×19mm Parabellum (Preloaded Barrels)\nFire Mode: Full-Auto or 30-Round Volley\n\nA smaller take on an obscure, multibarrel rig that blurs the line between shotgun and submachine gun.",
		
		--6.)	Pistols
		bm_w_glock_17_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nThe first of many Glock models, introduced in 1982.",
		bm_w_x_g17_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nTwo Glock 17s. That's it, really.",
		bm_w_colt_1911_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nFaithful reproduction of the classic Colt pistol; it's just as powerful as the original.",
		bm_w_x_1911_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nYes, I'll have two number 45s, one with cheese...",
		bm_w_b92fs_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nDesignated the M9 by the U.S. Armed Forces, it was adopted in 1985 to replace the century-old Colt M1911.",
		bm_w_x_b92fs_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nJohn Woo? Never heard of him.",
		bm_w_raging_bull_desc = "Cartridge: .44 Magnum\nFire Mode: Double-Action\n\nBrazilian revolver marketed for hunting, with its design allowing for use of various caliber sizes.",
		bm_w_x_rage_desc = "Cartridge: .44 Magnum\nFire Mode: Double-Action\n\nA bull in one hand is worth two in the bush.",
		bm_w_glock_18c_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nSelect-fire Glock variant developed for the Austrian EKO Cobra counter-terrorist unit.",
		bm_w_x_g18c_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nBe glad these things have compensator cuts on them. That said, good luck hitting anything.",
		bm_w_deagle_desc = "Cartridge: .50 Action Express\nFire Mode: Semi-Auto only\n\nOne of the most well known handguns chambered for a powerful magnum cartridge. Unusually for a handgun, it was designed with a gas-operated system to handle firing said rounds.",
		bm_w_x_deagle_desc = "Cartridge: .50 Action Express\nFire Mode: Semi-Auto only\n\nDon't break your wrists now.",
		bm_w_usp_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nGerman self-loading pistol introduced in 1993 and still currently manufactured to this day. The Tactical version includes a threaded barrel for mounting suppressors.",
		bm_w_x_usp_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nNow with 100% more tactical.",
		bm_w_g22c_desc = "Cartridge: .40 Smith & Wesson\nFire Mode: Semi-Auto only\n\nA full-sized Glock variant with added integral compensator for improved recoil control; the staple service pistol of American law enforcement.",
		bm_w_x_g22c_desc = "Cartridge: .40 Smith & Wesson\nFire Mode: Semi-Auto only\n\nI didn't break the law. The law broke me first.",
		bm_wp_pis_g26_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nSubcompact Glock variant introduced in 1995 as a concealed carry firearm; the design was reworked to be as cost-effective as possible for the civilian market.",
		bm_w_jowi_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nPractice your failure drills, or expect to get drilled for your failure.",
		bm_w_ppk_desc = "Cartridge: .32 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nA shortened blowback pistol for German soldiers, British Intelligence agents and suicidal dictators. The name refers to its issuing to the German \"Kriminalpolizei\" agency.",
		bm_w_x_ppk_desc = "Cartridge: .32 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nYou can take the criminal out of the German, but you can't take the German out of the criminal.",
		bm_w_p226_desc = "Cartridge: .40 Smith & Wesson\nFire Mode: Semi-Auto only\n\nA full-sized service pistol using the breech locking, short-recoil action developed by Browning. To allow mass production, the barrel and slide uses an enlarged breech section to lock into its ejection port.",
		bm_w_x_p226_desc = "Cartridge: .40 Smith & Wesson\nFire Mode: Semi-Auto only\n\nYou must really hate reloading.",
		bm_w_c96_desc = "Cartridge: 7.63×25mm Mauser\nFire Mode: Semi-Auto only\n\nHigh-velocity pistol with an integral magazine; it is one of the first semi-automatic pistols to see widespread use, with its design even being copied in Spain and China.",
		bm_w_x_c96_desc = "Cartridge: 7.63×25mm Mauser\nFire Mode: Semi-Auto only\n\nWait, how do you even reload?",
		bm_w_hs2000_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nAn American redesign of the HS2000 under license by Springfield. Because of its improved sights and finish, it fetches a higher price in the civilian market.",
		bm_w_x_hs2000_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nThis isn't funny, you know.",
		bm_w_peacemaker_desc = "Cartridge: .45 Long Colt\nFire Mode: Single-Action\n\nA modern-day take on the classic six-shooter; its internals were built not unlike that of 20th century revolvers for cost efficiency.",
		bm_w_mateba_desc = "Cartridge: .357 Magnum\nFire Mode: Double-Action\n\nItalian, recoil operated revolver; rounds are fired from the bottom cylinder to reduce felt recoil.",
		bm_w_x_2006m_desc = "Cartridge: .357 Magnum\nFire Mode: Double-Action\n\nA pair of Mateba Auto-revolvers.",
		bm_w_sparrow_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nAn Israeli derivative of the CZ 75 with an ambidextrous, slide-mounted safety. Its \"Baby Eagle\" moniker was taken up solely as a marketing ploy to associate it with the Desert Eagle.",
		bm_w_x_sparrow_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nA pair of Baby Eagles.",
		bm_w_pl14_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nRussian prototype pistol designed from the ground up with input from top-level, Russian IPSC shooters and Spetsnaz officers.",
		bm_w_x_pl14_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nA pair of Lebedevs.",
		bm_w_packrat_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nA polymer-framed, fully ambidextrous descendant of the USP and P2000 models, introduced and marketed in 2006 as an ideal law enforcement sidearm.",
		bm_w_x_packrat_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nA pair of P30s.",
		bm_w_lemming_desc = "Cartridge: 5.7×28mm\nFire Mode: Semi-Auto only" .. ap .. "\n\nAmbidextrous polymer pistol developed alongside the P90 and its proprietary cartridge. Sales were originally restricted to military and law enforcement until its introduction to civilian shooters in 2004, and has become increasingly popular since.",
		bm_w_chinchilla_desc = "Cartridge: .44 Magnum\nFire Mode: Double-Action\n\n\"N-Frame\" revolver introduced in 1955 which gained fame on the silver screen as \"the most powerful handgun in the world\".",
		bm_w_x_chinchilla_desc = "Cartridge: .44 Magnum\nFire Mode: Double-Action\n\nHalf Smith, half Wesson, all lucky.",
		bm_w_breech_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nRecoil-operated handgun with a complex toggle-lock action; adopted in 1908 by the German Army to replace the Reichsrevolver.",
		bm_w_x_breech_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nThere's war crimes that need committing.",
		bm_w_shrew_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nThe smallest iteration of a 1911 pistol to date, made to tackle the problems of weight and size while still maintaining reliable feeding and accuracy.",
		bm_w_x_shrew_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nThere's nothing wrong with doubling down on your defenses.",
		bm_w_legacy_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nDouble-stacked, subcompact pistol developed in the 1980s in response to a need of a new sidearm for West German police; it incorporates a gas-delayed blowback system which allows the use of a fixed barrel, thus improving accuracy.",
		bm_w_x_legacy_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nNow if only you had a submachine gun...",
		bm_w_beer_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nItalian machine pistol developed from the Beretta 92, produced in 1979 for use with counter-terrorist forces.",
		bm_w_x_beer_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of Rafficas.",
		bm_w_czech_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nComposite machine pistol fitted with the extended muzzle brake of the CZ 75 Automatic and slide of the AccuShadow 2.",
		bm_w_x_czech_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nThat's one more magazine grip you're not going to use.",
		bm_w_stech_desc = "Cartridge: 9×18mm Makarov\nFire Mode: Semi-Auto or Full-Auto\n\nSoviet machine pistol introduced into service in 1951 for use with various tank and aircraft personnel.",
		bm_w_x_stech_desc = "Cartridge: 9×18mm Makarov\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of Stechkins.",
		bm_w_holt_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nStriker-fired, M1911-style handgun with the barrel and recoil spring repositioned lower than usually seen on typical handguns, allowing for a lower bore axis and reduced muzzle flip.",
		bm_w_x_holt_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nCy and Lauren send their regards.",
		bm_w_model3_desc = "Cartridge: .44 S&W Russian\nFire Mode: Single-Action\n\nCartridge-firing, top-break revolver produced in 1871 at the request of the Russian Empire; gunsmiths later reverse-engineered the design and began producing their own low-cost copies, nearly backrupting the company.",
		bm_w_x_model3_desc = "Cartridge: .44 S&W Russian\nFire Mode: Single-Action\n\nA pair of Russian Models.",
		bm_w_m1911_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nThe grandfather of the modern handgun; designed by John Moses Browning, it has seen usage in countless conflicts for over a century, with its design seen in various modern incarnations to this day.",
		bm_w_x_m1911_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nIt doesn't get any more American than this.",
		bm_w_rsh12_desc = "Cartridge: 12.7×55mm\nFire Mode: Double-Action" .. ap .. "\n\nA Russian, large-caliber revolver designed for anti-materiel roles; similarly to the Chiappa Rhino and Mateba autorevolvers, rounds are fired from the bottom chamber of its pentagonal cylinder for reduced recoil. Though mentioned, no credible information is available regarding its adoption status.",
		bm_w_type54_desc = "Cartridge: 7.62×25mm Tokarev\nFire Mode: Semi-Auto only\n\nSoviet-era pistol inspired by the FN Model 1903 and Colt M1911 designs; intended to replace the Nagant revolver, but production was insufficient to replace the vast number of revolvers already in service at the time.",
		bm_w_x_type54_desc = "Cartridge: 7.62×25mm Tokarev\nFire Mode: Semi-Auto only\n\nNot one step back, not one shot unfired.",
		bm_w_maxim9_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only" .. intsupp .. launch .. "\n\nThe world's first integrally suppressed 9mm handgun produced by the same company known for manufacturing suppressors. It is designed to be holsterable, yet safe to shoot without requiring hearing protection.",
		bm_w_x_maxim9_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only" .. intsupp .. launch .. "\n\nSilent and deadly. Also, hard to aim with.",
		bm_w_korth_desc = "Cartridge: .357 Magnum\nFire Mode: Double-Action\n\nA high-end, German revolver with an 8-shot cylinder. As all parts are made in-house, they cost over $5,000 and are highly sought after by collectors.",
		bm_w_x_korth_desc = "Cartridge: .357 Magnum\nFire Mode: Double-Action\n\nYou couldn't afford one in your lifetime; what makes you think you can buy two?",
		
		--7.)	Submachine Guns
		bm_w_mac10_desc = "Cartridge: .380 Automatic Colt Pistol\nFire Mode: Semi-Auto or Full-Auto\n\nAn open bolt submachine gun designed in 1965 by Gordon Ingram, who worked at Sionics (which later produced suppressors for it) at the time prior to its merging with Military Armament Co. five years later.",
		bm_w_x_mac10_desc = "Cartridge: .380 Automatic Colt Pistol\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of bullet hoses; precision be damned.",
		bm_w_mp5_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto, 3-Round Burst or Full-Auto\n\nOne of the most widely used submachine guns in the world, adopted by over 40 nations.",
		bm_w_x_mp5_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of stockless MP5s.",
		bm_w_mp9_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nMachine pistol based on the Steyr TMP.",
		bm_w_x_mp9_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of MP9s.",
		bm_w_olympic_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nUltra-short M4A1 carbine.",
		bm_w_x_olympic_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of short M4A1s.",
		bm_w_akmsu_desc = "Cartridge: 7.62×39mm Soviet\nFire Mode: Semi-Auto or Full-Auto\n\nCompact carbine variant of the AKM of unknown origin.",
		bm_w_x_akmsu_desc = "Cartridge: 7.62×39mm Soviet\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of chopped down AKMs.",
		bm_w_p90_desc = "Cartridge: 5.7×28mm\nFire Mode: Semi-Auto or Full-Auto\n\nPersonal defense weapon developed in conjunction with the Five-seven pistol.",
		bm_w_x_p90_desc = "Cartridge: 5.7×28mm\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of P90s.",
		bm_w_m1928_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto or Full-Auto\n\nThompson's submachine gun made infamous during the Prohibition Era.",
		bm_w_x_m1928_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of stockless Thompsons.",
		bm_w_m45_desc = "Cartridge: 9×19mm m/39B\nFire Mode: Full-Auto only\n\nStandard submachine gun of the Swedish Army from 1945 to 1965.",
		bm_w_x_m45_desc = "Cartridge: 9×19mm m/39B\nFire Mode: Full-Auto only\n\nA pair of Swedish submachine guns.",
		bm_w_mp7_desc = "Cartridge: 4.6×30mm\nFire Mode: Semi-Auto or Full-Auto\n\nGerman personal defense weapon developed alongside its proprietary cartridge; a direct rival to the Belgian FN P90.",
		bm_w_x_mp7_desc = "Cartridge: 4.6×30mm\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of MP7s.",
		bm_w_scorpion_desc = "Cartridge: .32 Automatic Colt Pistol\nFire Mode: Semi-Auto or Full-Auto\n\nCzech machine pistol developed for use with security forces & vehicle personnel.",
		bm_w_x_scorpion_desc = "Cartridge: .32 Automatic Colt Pistol\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of Skorpions.\n\nCareful, they sting.",
		bm_w_tec9_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nCompact, inexpensive pistol converted to allow full-auto fire; infamous for its association with organized crime and mass shootings.",
		bm_w_x_tec9_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of TEC-9s.",
		bm_w_uzi_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nIsraeli submachine gun created in 1950; it was introduced to the IDF four years later and found use in echelon troops, officers, artillery troops and tankers as a personal defense weapon.",
		bm_w_x_uzi_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of Uzis.",
		bm_w_sterling_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nBritish World War II submachine gun; originally meant to replace the Sten, but did not do so until 1953.",
		bm_w_x_sterling_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of Sterling submachine guns.",
		bm_w_cobray_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nMAC-11 clone based on SWD Industries' blueprints. The otherwise vicious recoil is kept in check by its use of a smaller caliber and attached vertical grip.",
		bm_w_x_cobray_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nDo you like hurting other people?",
		bm_w_polymer_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto, 2-Round Burst or Full-Auto\n\nSubmachine gun with \"Super V\" system designed to mitigate recoil.",
		bm_w_x_polymer_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of Vectors.",
		bm_w_baka_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nScaled down Uzi variant with a higher rate of fire.",
		bm_w_x_baka_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of Micro Uzis.",
		bm_w_sr2_desc = "Cartridge: 9×21mm Gyurza\nFire Mode: Semi-Auto or Full-Auto\n\nRussian personal defense weapon developed for use with FSB and OMON units.",
		bm_w_x_sr2_desc = "Cartridge: 9×21mm Gyurza\nFire Mode: Semi-Auto or Full-Auto\n\nUnleash your inner Jimmy.\n\nCocaine not included.",
		bm_w_hajk_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto, 2-Round Burst or Full-Auto\n\nAmbidextrous, modular Czech assault rifle designed to fill multiple roles through the use of quick-change barrels.",
		bm_w_x_hajk_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of BRENs.",
		bm_w_schakal_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto, 2-Round Burst or Full-Auto\n\nOne of the newer additions to the MP family; lightweight, inexpensive and chambered for three different cartridges, it is a successor to the MP5, though both still remain in production.",
		bm_w_x_schakal_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of UMPs.",
		bm_w_coal_desc = "Cartridge: 9×18mm Makarov\nFire Mode: Semi-Auto or Full-Auto\n\nClosed bolt submachine gun based on the AKS-74, fitted with a helical magazine; it is intended for use with armed response units of the Russian FSB.",
		bm_w_x_coal_desc = "Cartridge: 9×18mm Makarov\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of Bizons.",
		bm_w_erma_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Full-Auto only\n\nGerman wartime submachine gun; erroneously called \"Schmeisser\" by the Allied forces, despite Hugo Schmeisser himself having no involvement in its development.",
		bm_w_x_erma_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Full-Auto only\n\nA pair of MP40s.",
		bm_w_shepheard_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nGas-operated submachine gun with a closed, rotating bolt and an exterior resembling a cross between an AR-15 and MP5.",
		bm_w_x_shepheard_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of stockless MPXes.",
		bm_w_vityaz_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\n9mm derivative of the Bizon with a conventional magazine design.",
		bm_w_x_vityaz_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nOh come on, that joke is too obvious.",
		bm_w_pm9_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nJapanese clone of the Mini-Uzi adopted by the Japan Self-Defense Forces in 1999 for non-frontline use; also known overseas as the PM-9.",
		bm_w_x_pm9_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nWe don't know how it's pronounced either.",
		bm_w_fmg9_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nFolding pistol carbine based on the unreleased FMG-9, which housed a Glock 18 as a base. Don't tell anyone, but we managed to reconvert it to fully automatic.",
		
		--[Achievement Descriptions]
		--OVE SAW 72000
		achievement_ameno_1_unlock = "Unlocks the 2A-Arms Billet Lower and Upper Receiver for the AR-15 weapon family and Stag Arms Model 8T Handguard for the Colt M16A4.",
		--Hey Mr. DJ
		achievement_ameno_2_unlock = "Unlocks the ZenitCo RK-3 Pistol Grip for the AK weapon family, the ZenitCo Railed Handguard for the AKMSU and the Bravo Company Flat Top Upper Receiver for the AR-15 weapon family.",
		--$1.8M Speedrun
		achievement_ameno_3_unlock = "Unlocks the K-VAR KV-04S AK Scope Mount and PBS-1 Suppressor for the AK Weapon family, the \"Alfred\" mask, \"Dawn\" Material and \"Dinosaur Skull\" Pattern.",
		--Here Comes the Pain Train
		achievement_ameno_4_desc = "In the Firestarter job, complete the heist on OVERKILL difficulty or above, with all days done in loud and with a crew of 4 players using unmodified Kalashnikov Concern AKS-74s and Olympic Arms K23Bs.",
		achievement_ameno_4_unlock = "Unlocks the Zastava Arms M76 Barrel and 30rnd US PALM AK30 Magazine for the AK family, the \"Timothy\" mask, \"Prehistoric\" material and \"Dinosaur Stripes\" pattern.",
		--The Wolf Lures You to Your Grave
		achievement_ameno_5_unlock = "Unlocks the Magpul MOE SL Handguard and the War Sport LVOA Handguard for the AR-15 weapon family and the Shortened LR-300 Handguard for the Olympic Arms K23B.",
		--The Turtle Always Wins
		achievement_ameno_6_unlock = "Unlocks the Wooden AK Stock for the AK weapon family, Magpul UBR Stock for the AK and AR-15 weapon families, the \"Pachy\" mask, \"Fossil\" material and \"Prehistoric Predator\" pattern.",
		--Private Party
		achievement_ameno_7_unlock = "Unlocks the Beowulf Barrel and the 30rnd Lancer Systems L5 AW Magazine for the AR-15 weapon family, the \"Vincent\" mask, \"Feathers\" material and \"Dinosaur Scars\" pattern.",
		--The Collector
		achievement_ameno_8_desc = "Kill 100 cops using only weapons from the AK or AR-15 weapon families.",
		achievement_ameno_8_unlock = "Unlocks the Strike Industries TRAX Handguard, Krebs Custom UFM Keymod Rail and AK-105 Barrel for the AK weapon family.",
		--License to Kill
		achievement_armored_5_desc = "Kill 378 enemies using the Walther PPK.",
		--I'm Not a Crook!
		achievement_armored_7_desc = "While wearing the \"37th\" mask, kill 69 snipers using the SIG SG 552-2.",
		--Fool Me Once, Shame on -Shame on You. Fool Me - You Can't Get Fooled Again
		achievement_armored_9_desc = "While wearing the \"43rd\" mask, kill 95 shields using the Carl Gustav Kpist M/45B.",
		--No Scope
		achievement_berry_5_desc = "Kill 10 enemies in a row by shooting them in the head with the Winchester Model 70 while not aiming down the sights.",
		--A Vote for Change
		achievement_bob_1_desc = "Equip the Glock 22C. Celebrating the release of the Election Day Heist, you can now unlock the Glock 22C by simply joining the PAYDAY 2 Official Group on Steam.",
		--It Takes Two to Tango
		achievement_bigbank_1_unlock = "Unlocks the \"First American\" mask, \"Parchment\" material, \"Roman\" pattern and the TAPCO FAL SAW Pistol Grip for the DSA SA58 FAL.",
		--It Takes a Pig to Kill a Pig
		achievement_bigbank_2_unlock = "Unlocks the \"1st\" mask, \"Exhausted\" material, \"Ruler\" pattern and the 30rnd Magazine for the DSA SA58 FAL.",
		--Sweet Sixteen
		achievement_bigbank_3_unlock = "Unlocks the \"16th\" mask, \"Clay\" material, \"Spartan\" pattern and the Free Floating Tube Handguard for the DSA SA58 FAL.",
		--12 Angry Minutes
		achievement_bigbank_4_unlock = "Unlocks the Wooden Handguard for the DSA SA58 FAL.",
		--Don't Bring the Heat
		achievement_bigbank_5_unlock = "Unlocks the Sidefolding OSW Stock for the DSA SA58 FAL.",
		--Backing Bobblehead Bob
		achievement_bigbank_6_unlock = "Unlocks the \"18th\" mask, \"Gemstone\" material, \"God of War\" pattern, and the Wooden Stock for the DSA SA58 FAL.",
		--Entrapment
		achievement_bigbank_7_unlock = "Unlocks the OSW Handguard for the DSA SA58 FAL.",
		--You Owe Me One
		achievement_bigbank_8_unlock = "Unlocks the IMI Romat Handguard for the DSA SA58 FAL.",
		--Funding Father
		achievement_bigbank_10_unlock = "Unlocks the Magpul PRS2 Stock for the DSA SA58 FAL.",
		--Breaking Dead
		achievement_cow_9_unlock = "Awards one 22rnd Magazine weapon mod for the Springfield Armory XD(M).",
		--I've Got the Power
		achievement_cow_10_unlock = "Awards one Long Slide weapon mod for the Springfield Armory XD(M).",
		--Done in 60 Seconds
		achievement_cow_11_unlock = "Awards one Ported Slide weapon mod for the Springfield Armory XD(M).",
		--Death from Below
		achievement_eagle_1_desc = "Kill 25 enemies as they rappel using the Mosin Nagant M1907 Carbine.",
		achievement_eagle_1_unlock = "Unlocks the \"Constable\" mask, the \"Bramit\" Suppressor and M91/30 Barrel for the Mosin Nagant, the \"Gunsmoke\" material and \"Dazzle\" pattern.",
		--Special Operations Execution
		achievement_eagle_2_desc = "Kill 25 enemies while in stealth using the Fairbairn-Sykes Fighting Knife.",
		achievement_eagle_2_unlock = "Unlocks the \"Red Bear\" mask, the Short Barrel, L34A1 Barrel, 10rnd Magazine, Folded Stock, No Stock, Solid Stock and BlasTech E-11 Barrel for the Sterling L2A3, Schmidt & Bender 1-8×24 PM Short Dot and BlasTech DL-44 Nozzle for the Mauser C96, the \"Red Sun\" material and \"Death Dealer\" pattern.",
		--Wind of Change
		achievement_eagle_3_unlock = "Unlocks the Synthetic Stock and M38 Carbine Barrel for the Mosin Nagant M1907 Carbine, the Carbine Barrel for the Mauser C96, the 34rnd Magazine and Long Barrel for the Sterling L2A3 and the BlasTech DLT-19 Heavy Blaster Barrel for the Mauser Maschinengewehr 42.",
		--So Uncivilized
		achievement_eagle_4_desc = "Equip a Mauser C96 with the BlasTech DL-44 Nozzle and the Schmidt & Bender 1-8×24 PM Short Dot.",
		achievement_eagle_4_unlock = "Unlocks the \"British Bulldog\" mask, the 20rnd M712 \"Schnellfeuer\" Magazine and Holster Stock for the C96, the \"Army Green\" material and \"Filthy Thirteen\" pattern.",
		--Bullet Hell
		achievement_eagle_5_desc = "Kill 10 enemies within 10 seconds using the Mauser Maschinengewehr 42.",
		achievement_eagle_5_unlock = "Unlocks the \"Old Blood and Guts\" mask, the Maschinengewehr 34 Barrel for the Maschinengewehr 42, the \"Patriot\" material and \"Captain War\" pattern.",
		--Wanted
		achievement_gage_1_desc = "While wearing the \"Dolph\" mask, kill 100 enemies using only the Bofors Ak 5.",
		--3000 Miles to the Safe House
		achievement_gage_2_desc = "While wearing the \"Jean-Claude\" mask, kill 100 enemies using only the Fabrique Nationale P90 TR.",
		--Commando
		achievement_gage_3_desc = "While wearing the \"Arnold\" mask, kill 100 enemies using only the Steyr AUG A2.",
		--Public Enemies
		achievement_gage_4_desc = "While wearing the \"Chuck\" mask, kill 100 enemies using only the Springfield Armory 1911 Lightweight Operator.",
		--Inception
		achievement_gage_5_desc = "Kill 100 enemies using only the Fabrique Nationale MK.17.",
		--Hard Corps
		achievement_gage_6_desc = "Kill 100 enemies using only the Heckler & Koch MP7A1.",
		--Above the Law
		achievement_gage_7_desc = "Kill 100 enemies with the SIG-Sauer P226R.",
		--Don't Push It
		achievement_gage2_7_desc = "Kill a charging Cloaker with the IMI Desert Eagle Mark XIX.",
		--Build Me an Army Worthy of Crime.net
		achievement_gage3_1_desc = "Equip the Gold Plated AKMS. Celebrating 500,000 heisters in the official community group, you can now unlock the Gold Plated AKMS by simply joining the PAYDAY 2 Official Group on Steam.",
		--The Man With the Golden Gun
		achievement_gage3_2_desc = "Kill 6 Skulldozers using only the Gold Plated AKMS.",
		--Far, Far Away
		achievement_gage3_7_desc = "Kill 25 enemies from 40 meters using only the Barrett M95.",
		achievement_gage3_7_unlock = "Unlocks the Long Barrel w/AW50F Muzzle Brake for the M95.",
		--Last Action Villain
		achievement_gage3_8_desc = "Perform a headshot kill on an enemy using only the Blaser R93 Tactical 2 while zip lining.",
		achievement_gage3_8_unlock = "Unlocks the SilencerCo Harvester .338 Big Bore Suppressor for the R93.",
		--Triple Kill
		achievement_gage3_9_unlock = "Unlocks the XS Sights Angled Sight for all sniper rifles.",
		--Maximum Penetration
		achievement_gage3_10_desc = "Kill 10 Shields by shooting through their shields using only the Blaser R93 Tactical 2.",
		achievement_gage3_10_unlock = "Unlocks the Short Barrel for the R93.",
		--Dodge This
		achievement_gage3_11_desc = "Perform 10 headshot kills on Cloakers using only the Barrett M95.",
		achievement_gage3_11_unlock = "Unlocks the Barrett QDL Suppressor for the M95.",
		--Surprise Motherfucker
		achievement_gage3_12_desc = "Kill 10 Bulldozers using only the Barrett M95.",
		achievement_gage3_12_unlock = "Unlocks the Short Barrel for the M95.",
		--Didn't See That Coming Did You?
		achievement_gage3_13_unlock = "Unlocks the Leupold Mark 4 LR/T M1 Illuminated Reticle Scope w/Barrett BORS for all sniper rifles.",
		--Return to Sender
		achievement_gage3_14_desc = "Kill 25 Snipers using only the Blaser R93 Tactical 2.",
		achievement_gage3_14_unlock = "Unlocks the RACS Stock for the Remington MSR.",
		--You Can't Hide
		achievement_gage3_15_desc = "Kill 25 enemies shooting through walls or objects using only the Blaser R93 Tactical 2.",
		achievement_gage3_15_unlock = "Unlocks the Long Range Sporter 2 Stock for the R93.",
		--Double Kill
		achievement_gage3_16_desc = "Kill 2 enemies with one bullet 25 times using only the Remington MSR.",
		achievement_gage3_16_unlock = "Unlocks the Advanced Armament Co. TiTAN-QD Suppressor for the MSR.",
		--Public Enemy No. 1
		achievement_gage3_17_desc = "Kill 250 enemies using only the Remington MSR.",
		achievement_gage3_17_unlock = "Unlocks the Long Barrel for the MSR.",
		--Bang for the Buck
		achievement_gage4_10_desc = "Kill 10 Bulldozers using any shotgun equipped with 000 Buck.",
		achievement_gage4_10_unlock = "Unlocks the Long Barrel for the Penn Arms Striker-12, the \"Steven\" Mask, \"Sparks\" material and \"Chief\" pattern.",
		--No Heist for Old Men
		achievement_gage4_11_desc = "Complete any day of a heist in stealth with a Short Barreled Remington Model 870 equipped with the Cylinder Suppressor.",
		achievement_gage4_11_unlock = "Unlocks the Suppressed Barrel for the Penn Arms Striker-12, the \"Rutger\" mask, \"Banana Peel\" material and \"Banana\" pattern.",
		--Police Brutality
		achievement_gage4_1_desc = "Beat a Shield to death with the ASP Friction Loc Baton.",
		--Lock, Stock & Eight Smoking Barrels
		achievement_gage4_2_desc = "Own both Remington Model 870s, the Penn Arms Striker-12, Stoeger Coach Gun, Kalashnikov Concern Saiga-12K, Kel-Tec KSG and Benelli M4.",
		achievement_gage4_2_unlock = "Unlocks the Magpul MBUS Back-up Sights for the KSG.",
		--Seven Eleven
		achievement_gage4_4_unlock = "Unlocks the NFA Barrel for the Benelli M4, the \"John\" mask, \"Explosive\" material and \"Terror\" pattern.",
		--Shotguns 101
		achievement_gage4_5_unlock = "Unlocks the Standard Barrel for the Benelli M4.",
		--Knock, Knock
		achievement_gage4_6_desc = "Kill 50 Shields using any shotgun equipped with Armor Piercing Slugs.",
		achievement_gage4_6_unlock = "Unlocks the Collapsed Stock for the Benelli M4.",
		--Every day I'm Shovelin'
		achievement_gage4_7_desc = "On the Nightclub heist, kill 25 law enforcers using the Swedish Army Folding Shovel.",
		achievement_gage4_7_unlock = "Unlocks the Tactical Barrel for the Kel-Tec KSG.",
		--Clay Pigeon Shooting
		achievement_gage4_8_desc = "Kill 10 Snipers using any shotgun equipped with Flechette rounds.",
		achievement_gage4_8_unlock = "Unlocks the Long Barrel for the Kel-Tec KSG, the \"Clint\" mask, \"Leaf\" material and \"Monkey Skull\" pattern.",
		--Shock and Awe
		achievement_gage4_9_desc = "Hit 4 enemies simultaneously using any shotgun equipped with Fragmentation rounds.",
		achievement_gage4_9_unlock = "Unlocks the Tactical Stock for the Benelli M4.",
		--Precision Aiming
		achievement_gage5_1_desc = "Kill 25 Bulldozers using the Heckler & Koch G3A3.",
		achievement_gage5_1_unlock = "Unlocks the G2 Sniper Barrel for the Nexter FAMAS F1, the Galatz Wooden Stock, Pistol Grip and Handguard w/20\" Barrel for the IMI Galil ARM, the PSG-1 Stock, Handguard, Pistol Grip and Barrel for the G3A3 as well as the \"Black Death\" mask.",
		--Big Bada Boom
		achievement_gage5_2_desc = "Kill at least 4 enemies with a single grenade from the Springfield Armory M79.",
		achievement_gage5_2_unlock = "Unlocks the Sawn-Off Stock for the M79 and the \"Crow Goblin\" mask.",
		--Army of One
		achievement_gage5_3_desc = "Equip the Springfield Armory M79, the Short Barreled Remington Model 870 and the Improved Combined Tactical Vest.",
		achievement_gage5_3_unlock = "Unlocks the Galil MAR Handguard and Stock for the IMI Galil ARM.",
		--So Many Choices
		achievement_gage5_4_unlock = "Unlocks the G2 Commando Barrel for the Nexter FAMAS F1, the Galatz Skeleton Stock for the IMI Galil ARM, the Plastic Handguard and G3KA4 Barrel for the Heckler & Koch G3A3, the \"Evil\" material and \"Vicious\" pattern.",
		--Artillery Barrage
		achievement_gage5_5_desc = "Kill 25 enemies at 40 meters or more using only the Springfield Armory M79.",
		achievement_gage5_5_unlock = "Unlocks the Galil ARM Stock for the IMI Galil ARM, the Sawn-Off Barrel for the M79, the \"Bone\" material and \"Muerte\" pattern.",
		--Unusual Suspects
		achievement_gage5_6_unlock = "Unlocks the Galil SAR Handguard for the IMI Galil ARM, the FAB Defense G3 Railed Handguard for the Heckler & Koch G3A3, the G2 Barrel for the Nexter FAMAS F1, the \"Void\" material and \"Death\" pattern.",
		--Not Today
		achievement_gage5_7_desc = "Kill a jumping Cloaker using the Springfield Armory M79.",
		achievement_gage5_7_unlock = "Unlocks the Wooden Stock, Ergo Pistol Grip and Wooden Handguard for the Heckler & Koch G3A3.",
		--Hammertime
		achievement_gage5_8_desc = "Kill 25 thugs using the Gerber Ding Dong Breaching Tool.",
		--Rabbit Hunting
		achievement_gage5_9_desc = "Kill 10 Cloakers using the IMI Galil ARM.",
		achievement_gage5_9_unlock = "Unlocks the Galil MAR Stock and FAB Defense VFR-GA Railed Handguard for the Galil ARM as well as the \"Volt\" mask.",
		--Tour de Clarion
		achievement_gage5_10_desc = "Kill 200 enemies using the Nexter FAMAS F1.",
		achievement_gage5_10_unlock = "Unlocks the Suppressed Barrel and G1 Pistol Grip for the FAMAS F1 as well as the \"Professor Wrath\" mask.",
		--High Speed, Low Drag
		achievement_gmod_7_desc = "Modify the Colt M4A1 with a JP Enterprises Modular Handguard, 60rnd SureFire Magazine and JP Enterprises Standard Profile Compensator.",
		--Point 'n' Shoot
		achievement_gmod_8_desc = "Modify any pistol with a Trijicon RMR Red Dot and a CCF Titanium Flash Suppressor.",
		--Mall Ninja
		achievement_gmod_9_desc = "Modify the Colt M4A1 with a Geissele Super Modular Rail, SureFire MB556K Muzzle Brake, EOTech EXPS3 Holographic Sight, B5 Systems Enhanced SOPMOD Stock and Insight Technology AN/PEQ-15.",
		--Russian Operator
		achievement_gmod_10_desc = "Modify any AK rifle with a Midwest Industries Railed Handguard, Draco Pistol Barrel, 60rnd Kalashnikov Concern Magazine and a KIES Blast Master Linear Compensator.",
		--Stick a Fork in Me, I'm Done
		achievement_grill_2_desc = "Set an enemy on fire and kill him with the BBQ Fork.",
		--Not Invited
		achievement_grill_3_desc = "Kill 10 enemies within 10 seconds using the Milkor MK.1L with standard explosive rounds.",
		--Spray Control
		achievement_grv_2_desc = "Kill 32 enemies without reloading with the Kalashnikov Concern PP-19 \"Bizon-2\".",
		--The Pumpkin King Made Me Do It!
		achievement_halloween_8_desc = "Kill 666 enemies using only the Heckler & Koch USP Tactical.",
		--Christmas Came Early
		achievement_halloween_9_desc = "Equip the Heckler & Koch USP Tactical. Celebrating Halloween, you can now unlock the USP by simply joining the PAYDAY 2 Official Group on Steam.",
		--Walk Faster
		achievement_pig_2_desc = "In day two of the Hotline Miami job, reach the Commissar's apartment in under 3 minutes and 30 seconds on the OVERKILL difficulty or above.",
		achievement_pig_2_unlock = "Unlocks the \"Rasmus\" mask, the FAB Defense Uzi Tri-Rail Kit and Leather Stock for the IMI Uzi, the \"Chromescape\" material and \"Palmtrees\" pattern.",
		--Do You Like Hurting Other People?
		achievement_pig_3_unlock = "Unlocks the \"Dennis\" mask, the Wooden Stock for the IMI Uzi, the Wooden Grip for the CZ SA Vz. 61 Skorpion, the \"Rubber\" material and \"Hip to Be Polygon\" pattern.",
		--Overdose
		achievement_pig_4_unlock = "Unlocks the \"Graham\" mask, the Pseudo Barrel Extension, 50rnd Magazine, Interdynamic MP-9 Retractable Wire Stock for the Intratec TEC-9, the \"Error\" material and \"Be Somebody\" pattern.",
		--Sounds of Animals Fighting
		achievement_pig_5_unlock = "Unlocks the Two-Stage Suppressor and Folded Stock for the IMI Uzi, the Skorpion Suppressor and No Stock for the CZ SA Vz. 61 Skorpion and the AB-10 Barrel for the Intratec TEC-9.",
		--Phew!
		achievement_pig_7_unlock = "Unlocks the \"Aubrey\" mask, the Rubber Grip, Dual 30rnd Magazines and Unfolded Stock for the CZ SA Vz. 61 Skorpion, the \"Sunset\" material and \"Doodles\" pattern.",
		--Close Shave
		achievement_rvd_12_desc = "On the Reservoir Dogs job, kill 92 special enemies with the Straight Razor on the OVERKILL difficulty or above.",
		--United We Heist
		achievement_rvd_8_desc = "Complete the Reservoir Dogs job on the OVERKILL difficulty or above using only the Fabrique Nationale F2000 Tactical.",
		--I Have No Idea What I'm Doing
		achievement_ovk_2_desc = "In the Shadow Raid job, complete the heist in stealth while having the General Electric M134 and Bazalt RPG-7 equipped.",
		--Say Hello to My Big Friend
		achievement_friend_4_desc = "On the Scarface Mansion job, kill Ernesto Sosa with the M202A1 FLASH on the OVERKILL difficulty or above.",
		--Original Heisters
		achievement_green_2_desc = "Complete the First World Bank job on the OVERKILL difficulty or above with everyone playing as the PAYDAY: The Heist crew, wielding Remington Model 870s and Beretta 92FSes.",
		--Tabula Rasa
		achievement_frog_1_desc = "In the Hoxton Breakout job, complete the heist on OVERKILL difficulty or above with each crew member using no skills, wearing suits, wielding Gold Plated AKMSes and Auto-Ordnance M1928s.",
		--Boston Saints
		achievement_ovk_8_desc = "Complete the Big Oil job, with at least one other player, all using suits and Akimbo Beretta 92FSes on the OVERKILL difficulty or above.",
		--We Do It Live!
		achievement_flake_1_desc = "Complete the Framing Frame job on the OVERKILL difficulty or above with each crew member using no skills, wearing suits, wielding Winchester Model 70s and Taurus 4510PLYFSes.",
		--Nothing Personal
		achievement_pim_1_desc = "Kill 30 snipers with the Desert Tech SRS-A1 Covert on the OVERKILL difficulty or above.",
		--For Daisy
		achievement_pim_4_desc = "Finish the Firestarter job on the OVERKILL difficulty or above with your crew using only the Heckler & Koch P30-L.",
		--Cooking With Style
		achievement_ovk_1_desc = "Complete the Rats job with you and your four man crew having Combined Tactical Vests, General Electric M134s, Bazalt RPG-7s and \"General Overkill\" masks equipped on the OVERKILL difficulty or above.",
		--Oh, That's How you Do It
		achievement_ovk_3_desc = "Fire the General Electric M134 for 25 seconds without reloading or letting go of the trigger.",
		--We Are Rockstars On This Job
		achievement_ovk_4_desc = "Complete the Watchdogs job with each crew member using no skills, wielding the Colt Model 733 Commando and Glock 17 on OVERKILL difficulty or above.",
		--UMP for Me, UMP for You
		achievement_pim_3_desc = "Kill 45 Russian special enemies on the Boiling Point job with the Heckler & Koch UMP45 on the OVERKILL difficulty or above.",
		--When in Russia... Do as the Russians Do
		achievement_mad_4_desc = "Complete the Boiling Point job with each crew member wearing the \"Russian Hat\" mask and wielding Gold Plated AKMSes on the OVERKILL difficulty or above.",
		--Crouched and Hidden, Flying Dagger
		achievement_pim_2_desc = "Kill 8 guards with the Blazing Arrow Ninja Throwing Knife while crouching on the Murky Station job. The heist must be finished for any kills to count.",
		--Compact Confrontation
		achievement_cac_1_desc = "Kill a Sniper from a minimal distance of 40 meters with the Heckler & Koch M320.",
		--The Safe Words are Police Brutality and Irony
		achievement_cac_14_desc = "Kill a Cloaker with the ASP Friction Loc Baton.",
		--WULULULULU--BZZZT!!!
		achievement_cac_32_desc = "Stop a charging Cloaker with either the ZAP Stun Baton or Electrical Brass Knuckles.",
		--A Tazed of Your Own Medicine
		achievement_cac_36_desc = "Kill a Taser with either the ZAP Stun Baton or Electrical Brass Knuckles.",
		--Names Are for Friends, so I Don't Need One
		achievement_turtles_1_desc = "Get 11 kills with the Walther WA 2000 without reloading.",
		--Swiss Cheese
		achievement_turtles_2_desc = "Kill 100 enemies in a single day of a heist with the KRISS Vector.",
		--Ducking Awesome
		achievement_tango_achieve_1_desc = "Get 3 headshot kills with 1 shot from any shotgun using the Paradigm SRP Gator Shotgun Spreader.",
		--Let Them Fly
		achievement_tango_achieve_2_desc = "Kill 50 Snipers with the Heckler & Koch XM25 using standard explosive rounds.",
		--The Reckoning
		achievement_tango_achieve_3_desc = "Complete any heist from start to end and kill 200 or more enemies with any weapon equipped with the NcSTAR ADO Scope on the Very Hard difficulty or above.",
		--Celsius or Fahrenheit?
		achievement_tango_achieve_4_desc = "Kill 10 enemies in a row, without missing, while switching between the regular sight and the Leupold DeltaPoint Pro Red Dot after each kill on the OVERKILL difficulty or above.",
		--Fastest Gun in the West
		achievement_scorpion_4_desc = "Kill 6 law enforcers within 6 seconds of killing the first while hip-firing with the Ruger New Vaquero.",
		--Buzzbomb
		achievement_sawp_1_additional = "You can unlock the VOG-25P \"Khattabka\" Electric Grenade via this achievement or by buying the Jiu Feng Smuggler Pack 2 DLC on Steam.",
		achievement_sawp_1_unlock = "Unlocks the VOG-25P \"Khattabka\" Electric Grenade.",
		--CAR vs. Car
		achievement_ja22_01_desc = "Destroy a SWAT van turret using only the Colt M4A1.",
		achievement_ja22_01_unlock = "Unlocks the MK.12 Mod 0 SPR Kit for the M4A1.",
		--Plague Doctor
		achievement_pxp1_1_desc = "Kill 200 enemies using poison on the OVERKILL difficulty or above, while wearing the Scrubs outfit.",
		achievement_pxp1_1_additional = "This achievement requires you to perform kills with a grenade launcher with the Poison Gas Grenades or the Shuriken, Kunai or Stainless Steel Syringe melee weapons or ",
		achievement_pxp1_1_unlock = "Unlocks the Poison Gas Grenade.",
		--Field Test
		achievement_pxp2_1_desc = "Kill 500 enemies with the Metal Storm MK5's Volley Shot mode.",
		achievement_pxp2_1_unlock = "Unlocks the \"Prototype Conversion Kit\" for the MK5.",
		--Heister With A Shotgun
		achievement_pxp2_2_desc = "Kill 1000 enemies with either the single or akimbo Standard Manufacturing SKO-12s.",
		achievement_pxp2_2_unlock = "Unlocks the Autumn Leaf Camouflage for the SKO-12.",
		--Snake Charmer
		achievement_pxp2_3_desc = "Kill 100 enemies with the Poison Gas Grenade on OVERKILL difficulty or above.",
		achievement_pxp2_3_unlock = "Unlocks the Poison Buckshot for shotguns.",
		--Tabula Railroad
		achievement_trai_10_desc = "Complete the Lost In Transit job on the OVERKILL difficulty or above in Loud, with each crew member wearing a two-piece suit, wielding a Smith & Wesson Model 29 with a Stoeger Coach Gun, and using no equipped skills.",
		achievement_trai_10_additional = "This achievement requires you to play from the lobby to the end of the heist. This achievement will fail if you use the akimbo Model 29s.",
		
		
		--[Side Job Descriptions]
		--Shadow Dance
		menu_challenge_monthly_shadowraid_objective = "Complete Shadow Raid on OVERKILL or above using only the Colt Model 733 Commando, Glock 17, the Two-piece Suit and no skills.",
		--Old Memories
		menu_challenge_monthly_rats_objective = "Complete the Rats job on OVERKILL or above using only the Colt Model 733 Commando, Glock 17, the Two-piece Suit and no skills.",
		--Tabula Rasa
		menu_challenge_frog_1_objective = "In the Hoxton Breakout job, complete the heist on OVERKILL difficulty or above with each crew member using no skills, wearing suits, wielding Gold Plated AKMSes and Auto-Ordnance M1928s.",
		menu_challenge_frog_1_desc = "The press will be watching the Hoxton trial, so there will be eyes on his breakout. Do it with style. No skills, sharp suits, Golden AKMSes and Thompsons. Oh, and OVERKILL style too.",
		--Nostalgia
		menu_challenge_monthly_firestarter_objective = "Complete the Firestarter job on OVERKILL or above using only the Colt Model 733 Commando, Glock 17, the Two-piece Suit and no skills.",
		--Classic Crime Spree
		menu_challenge_monthly_tabula_obj = "Complete a Crime Spree of rank 100 or above, with all heisters using the Colt Model 733 Commando, Glock 17 and no skills. To complete this challenge, you have to have played the heist from start to end.",
		--We Are Rockstars On This Job
		menu_challenge_ovk_4_objective = "Complete the Watchdogs job with each crew member using no skills, wielding the Colt Model 733 Commando and Glock 17 on OVERKILL difficulty or above.",
		
		--[Aldstone's Heritage Job Descriptions]
		menu_aru_job_1_obj_desc = "Kill 10 enemies using the Robbins-Dudley Push Daggers.",
		menu_aru_job_2_desc = "Parabellum means \"Prepare for War\". So carrying the Luger Pistol means you are always prepared, no matter what type of obstacle that might appear.",
		menu_aru_job_2_obj_desc = "Kill 50 enemies using the Luger Pistole Parabellum 1908.",
		menu_aru_job_3_obj_desc = "Kill 100 enemies using the ERMA-Werke Maschinenpistole 40.",
		menu_aru_job_4_obj_desc = "Kill 200 enemies using the Springfield Armory M1 Garand.",
		
		--[Trophy Descriptions]
		trophy_aru_2_desc = "A beautifully preserved Luger Pistol.",
		trophy_aru_3_desc = "A well oiled Maschinenpistole 40, skillfully resorted.",
		trophy_aru_4_desc = "The M1 Garand is a trusted service rifle of the US armed forces. The Crown jewel in any respectable collection.",
		
		--[Gage Courier Mod Descriptions]
		bm_wp_upg_ak_b_draco_fits = "AKS-74 and AKMS",
		bm_wp_upg_m4_s_crane_fits = "All AR-15 Rifles and Adapter Support",
		bm_wp_upg_ns_pis_medium_slim_fits = "All Handguns",
		bm_wp_upg_ak_fg_tapco_fits = "AKS-74 and AKMS",
		bm_wp_upg_m4_s_mk46_fits = "All AR-15 Rifles and Adapter Support",
		bm_wp_upg_fg_midwest_fits = "AKS-74 and AKMS",
		bm_wp_upg_m4_m_quad_fits = "All AR-15 and STANAG-compatible rifles",
		bm_wp_upg_o_rmr_fits = "All Handguns",
		bm_wp_upg_shot_ns_king_fits = "All (excluding break-action) Shotguns",
		
		--[Story Line Strings]
		menu_sm_4_reward = "$40,000 spending cash, 4,000 experience points, and the GemTech HALO Suppressor",
		
		--[Weapon Categories ~ Vanilla]
		menu_pistol = "Pistols",
		menu_smg = "Submachine Guns",
		menu_assault_rifle = "Assault Rifles",
		menu_lmg = "General Purpose & Light Machine Guns",
		menu_snp = "Sniper Rifles",
		menu_shotgun = "Shotguns",
		menu_akimbo_pistol = "Akimbo Pistols & Revolvers",
		menu_akimbo_smg = "Akimbo Submachine Guns",
		menu_akimbo_shotgun = "Akimbo Shotguns",
		
		--[Weapon & Modification Categories ~ Custom]
		menu_akimbo_assault_rifle = "Akimbo Assault Rifles",
		menu_dmr = "Designated Marksman Rifles",
		menu_akimbo_mp = "Akimbo Machine Pistols",
		menu_akimbo_rifle = "Akimbo Rifles & Machine Guns",
		menu_revolver = "Revolvers",
		bm_menu_piston = "Gas System",
		bm_menu_sight_gadget = "Canted Optic",
		bm_menu_sight_gadget_plural = "Canted Optics",
		bm_menu_grip_color = "Pistol Grip Color",
		bm_menu_grip_color_plural = "Pistol Grip Colors",
		bm_menu_grip_zcolor = "Pistol Grip Color",
		bm_menu_grip_zcolor_plural = "Pistol Grip Colors",
		bm_menu_magwell = "Magazine Well",
		bm_menu_magwell_plural = "Magazine Wells",
		bm_menu_iron_rear = "Rear Iron Sight",
		bm_menu_iron_rear_plural = "Rear Iron Sights",
		bm_menu_iron_front = "Front Iron Sight",
		bm_menu_iron_front_plural = "Front Iron Sights",
		bm_menu_front_sight = "Front Iron Sight",
		bm_menu_rear_sight = "Rear Iron Sight",
		
		--[Attachment Categories]
		bm_menu_custom = "Internal Mod",
		bm_menu_extra = "Rail",
		bm_menu_upper_reciever = "Upper Body Mod",
		bm_menu_lower_reciever = "Lower Body Mod",
		bm_menu_lower_receiver = "Lower Body Mod",
		bm_menu_slide = "Barrel/Slide",
		bm_menu_grip = "Pistol Grip",
		bm_menu_barrel_ext = "Barrel Extension",
		bm_menu_foregrip = "Handguard",
		bm_menu_sight = "Optic",
		bm_menu_second_sight = "Canted Optic/Magnifier",
		
		--				|--------------------------------------|
		--				| CUSTOM BEARDLIB STUFF GOES DOWN HERE |
		--				|--------------------------------------|
		
		----------------------
		--  Assault Rifles  --
		----------------------
		
		--[9A-91]
		bm_w_vsk94 = "KBP 9A-91",
		bm_wp_wpn_fps_ass_vsk94_sil = "VSK-94 Suppressor",
		bm_wp_wpn_fps_ass_vsk94_grip_sniper = "VSK-94 Stock",
		bm_wp_wpn_fps_ass_vsk94_fg_sniper = "VSK-94 Handguard",
		bm_wp_wpn_fps_ass_vsk94_mag_ext = "30rnd 9A-91 Magazine",
		bm_wp_wpn_fps_ass_vsk94_body_camo = "Red & White Camo",
		
		--[A-545]
		bm_wp_wpn_fps_upg_a545_dtk1 = "ZenitCo DTK-1 Muzzle Brake",
		
		--[ACR/M203]
		bm_wp_wpn_fps_ass_acwr_body_woodland = "Woodland Camo",
		bm_wp_wpn_fps_ass_acwr_body_atacs = "A-TACS Camo",
		bm_wp_wpn_fps_ass_acwr_body_circuit = "Circuit Camo",
		bm_wp_wpn_fps_ass_acwr_body_arctic = "Arctic Camo",
		bm_wp_wpn_fps_ass_acwr_body_digital = "Digital Camo",
		bm_wp_wpn_fps_ass_acwr_a_strong = "6.8×43mm Remington SPC",
		bm_wp_wpn_fps_ass_acwr_covers = "Knight's Armament Co. Rail Cover",
		bm_wp_wpn_fps_ass_acwr_gl_fire = "40×46mm Incendiary",
		bm_wp_wpn_fps_ass_acwr_gl_fire_desc = "Fires a round that causes a fire at point of impact.",
		bm_wp_wpn_fps_ass_acwr_b_short = "14.5\" Barrel",
		
		--[ACR-C]
		bm_w_op68 = "Remington ACR-C",
		bm_wp_wpn_fps_ass_op68_mag_rangerplate = "30rnd Magpul PMAG Mag. w/Ranger Plate",
		
		--[ADAR 2-15]
		bm_wp_wpn_fps_ass_adar_st_ak12 = "AK-12 Stock",
		bm_wp_wpn_fps_ass_adar_st_hera = "Hera Arms CQR Thumbhole Stock",
		bm_wp_wpn_fps_ass_adar_pg_hera = "Hera Arms HG-15 Pistol Grip",
		bm_wp_wpn_fps_ass_adar_pg_a2 = "A2 Pistol Grip",
		bm_wp_wpn_fps_ass_adar_hg_ris = "Daniel Defense MK18 RIS II Quad Rail",
		
		--[AEK-971]
		bm_w_aek971 = "ZiD AEK-971",
		bm_wp_wpn_fps_upg_aek971_dtk1 = "ZenitCo DTK-1 Muzzle Brake",
		bm_wp_wpn_fps_upg_aek971_mag_magpul = "30rnd AK-74 Magazine w/Sleeve",
		bm_wp_wpn_fps_upg_aek971_stock_pad = "AEK-971 Stock w/Recoil Pad",
		
		--[AK-Alfa]
		bm_w_fakedefy = "Kalashnikov Concern USA AK-Alfa",
		bm_wp_wpn_fps_ass_fakedefy_o_std = "Iron Sights",
		bm_wp_wpn_fps_ass_fakedefy_b_long = "Long Barrel",
		bm_wp_wpn_fps_ass_fakedefy_b_short = "Short Barrel",
		bm_wp_wpn_fps_ass_fakedefy_m_alfa_magpul = "30rnd AK-Alfa Magazine w/Sleeve",
		
		--[AK ~ PD:TH]
		bm_w_akgear = "Kalashnikov Concern AK-74",
		bm_wp_wpn_fps_ass_akgear_s_upg = "Sidefolding Stock",
		bm_wp_wpn_fps_ass_akgear_fg_upg = "Synthetic RIS Handguard",
		bm_wp_wpn_fps_ass_akgear_g_upg = "Synthetic Pistol Grip",
		
		--[AK-101]
		bm_w_heffy_556 = "Kalashnikov Concern AK-101",
		bm_wp_wpn_fps_ass_heffy_556_ba_ak101 = "16.3\" AK-101 Barrel",
		bm_wp_wpn_fps_ass_heffy_556_ufg_ak101 = "AK-100 Polymer Upper Handguard",
		bm_wp_wpn_fps_ass_heffy_556_lfg_ak101 = "AK-100 Polymer Lower Handguard",
		bm_wp_wpn_fps_ass_heffy_556_pg_ak101 = "AK-100 Polymer Pistol Grip",
		bm_wp_wpn_fps_ass_heffy_556_ur_ak101 = "Smooth Dust Cover",
		bm_wp_wpn_fps_ass_heffy_556_ba_ak102 = "12.4\" AK-102 Barrel",
		bm_wp_wpn_fps_ass_heffy_556_ba_ak108 = "16.3\" AK-108 Barrel",
		bm_wp_wpn_fps_ass_heffy_556_ba_t84s = "16.3\" Norinco Type 84S Barrel",
		bm_wp_wpn_fps_ass_heffy_556_ba_t84s_long = "21\" Norinco Type 84S \"Match\" Barrel",
		bm_wp_wpn_fps_ass_heffy_556_pg_t84s = "Norinco Type 84S Pistol Grip",
		bm_wp_wpn_fps_ass_heffy_556_m_steel_30 = "30rnd Norinco Type 84S Magazine",
		
		--[AK-101 ~ AK Pack 2]
		bm_w_ak_stamp_556 = "Kalashnikov Concern AK-101",
		bm_wp_wpn_fps_ass_ak_stamp_556_ba_ak101 = "16.3\" AK-101 Barrel",
		bm_wp_wpn_fps_ass_ak_stamp_556_md_ak101 = "AK-101 Flash Suppressor",
		bm_wp_wpn_fps_ass_ak_stamp_556_ba_ak102 = "12.4\" AK-102 Barrel",
		bm_wp_wpn_fps_ass_ak_stamp_556_md_ak102 = "AK-102 Flash Suppressor",
		bm_wp_wpn_fps_ass_ak_stamp_556_m_bulge_30 = "30rnd Arsenal SLR-106 Magazine",
		bm_wp_wpn_fps_ass_ak_stamp_556_md_no = "No Muzzle Brake",
		bm_wp_wpn_fps_ass_ak_stamp_556_clr_no = "No Cleaning Rod",
		bm_wp_wpn_fps_ass_ak_stamp_556_dc_no = "No Dust Cover",
		bm_wp_wpn_fps_ass_ak_stamp_556_lhg_no = "No Lower Handguard",
		bm_wp_wpn_fps_ass_ak_stamp_556_uhg_no = "No Upper Handguard",
		bm_wp_wpn_fps_ass_ak_stamp_556_st_no = "No Stock",
		
		--[AK-103/105 ~ Call of Duty: Modern Warfare II (2022)]
		bm_w_akilo_2022 = "Kalashnikov Concern AK-103",
		bm_w_akilo105_2022 = "Kalashnikov Concern AK-105",
		bm_wp_wpn_fps_ass_akilo_2022_receiver = "AK-103 Receiver",
		bm_wp_wpn_fps_ass_akilo_2022_receiver_akilo105 = "AK-105 Receiver",
		bm_wp_wpn_fps_ass_akilo_2022_receiver_rkilo = "PM md. 64 Receiver",
		bm_wp_wpn_fps_ass_akilo_2022_handguard = "AK-103 Handguard",
		-- bm_wp_wpn_fps_ass_akilo_2022_handguard_heavy = "ZenitCo \"Sport-1\" Rail Combo", --no
		bm_wp_wpn_fps_ass_akilo_2022_handguard_heavy02 = "AKM Handguard",
		bm_wp_wpn_fps_ass_akilo_2022_handguard_heavy_long = "RPK Handguard",
		-- bm_wp_wpn_fps_ass_akilo_2022_handguard_heavy_short = "",
		bm_wp_wpn_fps_ass_akilo_2022_handguard_akilo74 = "AKS-74UN Handguard", --where are the fucking muzzle boosters on these things jesus christ
		-- bm_wp_wpn_fps_ass_akilo_2022_handguard_light_akilo74 = "",
		-- bm_wp_wpn_fps_ass_akilo_2022_handguard_heavy_short_akilo74 = "",
		-- bm_wp_wpn_fps_ass_akilo_2022_handguard_light_short_akilo74 = "",
		bm_wp_wpn_fps_ass_akilo_2022_handguard_akilo105 = "AK-105 Handguard",
		bm_wp_wpn_fps_ass_akilo_2022_handguard_rkilo = "PM md. 64 Handguard w/Bipod",
		bm_wp_wpn_fps_ass_akilo_2022_handguard_heavy_rkilo = "RPKM Handguard",
		bm_wp_wpn_fps_ass_akilo_2022_handguard_heavy_rkilo_desc = "Whoever bought this thing apparently forgot to make sure that it came with the bipod.",
		bm_wp_wpn_fps_ass_akilo_2022_grip = "Black Pistol Grip",
		bm_wp_wpn_fps_ass_akilo_2022_grip_akilo105 = "Light Tan Pistol Grip", --they're the same grip lol
		bm_wp_wpn_fps_ass_akilo_2022_smag = "20rnd AKM Magazine",
		bm_wp_wpn_fps_ass_akilo_2022_xmag = "40rnd RPK Magazine",
		bm_wp_wpn_fps_ass_akilo_2022_magazine_akilo105 = "30rnd AK-74 Magazine",
		bm_wp_wpn_fps_ass_akilo_2022_smag_akilo105 = "20rnd AK-74 Magazine",
		bm_wp_wpn_fps_ass_akilo_2022_smag_akilo105 = "45rnd RPK-74 Magazine",
		bm_wp_wpn_fps_ass_akilo_2022_magazine_akilo74 = "30rnd AK-74 6L23 Magazine",
		bm_wp_wpn_fps_ass_akilo_2022_magazine_t9damage = "30rnd AKM Magazine",
		bm_wp_wpn_fps_ass_akilo_2022_magazine_t9damage_545 = "30rnd AKM Magazine",
		-- bm_wp_wpn_fps_ass_akilo_2022_stock_tac = "",
		bm_wp_wpn_fps_ass_akilo_2022_stock_akilo105 = "Sidefolding AK-100 Stock",
		bm_wp_wpn_fps_ass_akilo_2022_stock_akilo74_no = "No Stock",
		bm_wp_wpn_fps_ass_akilo_2022_stock_akilo74_skeleton = "SIG-Sauer MCX Stock",
		bm_wp_wpn_fps_ass_akilo_2022_stock_rkilo = "RPK Clubfoot Stock",
		bm_wp_wpn_fps_ass_akilo_2022_stock_rkilo_heavy = "PKM Stock",
		
		--[AK-47]
		bm_w_heffy_762 = "Kalashnikov Concern AK-47",
		bm_wp_wpn_fps_ass_heffy_all_pg_ak47 = "AK-47 Pistol Grip",
		bm_wp_wpn_fps_ass_heffy_762_pg_t2 = "Type II AK Pistol Grip",
		bm_wp_wpn_fps_ass_heffy_762_ba_akm = "16.3\" AKM Barrel",
		bm_wp_wpn_fps_ass_heffy_762_pg_akm = "AKM Pistol Grip",
		bm_wp_wpn_fps_ass_heffy_762_ur_akm = "Ribbed Dust Cover",
		bm_wp_wpn_fps_ass_heffy_762_st_akms = "Underfolding AK Stock",
		bm_wp_wpn_fps_ass_heffy_762_ba_akmsu = "10.6\" AKMSU Barrel",
		bm_wp_wpn_fps_ass_heffy_762_st_akmsu = "Sidefolding AK Stock",
		bm_wp_wpn_fps_ass_heffy_762_ba_rpk = "23.2\" RPK Barrel",
		bm_wp_wpn_fps_ass_heffy_762_st_rpk = "RPK Clubfoot Stock",
		bm_wp_wpn_fps_ass_heffy_762_bp_rpk = "Unfolded RPK Bipod",
		bm_wp_wpn_fps_ass_heffy_762_bp_rpk_folded = "Folded RPK Bipod",
		bm_wp_wpn_fps_ass_heffy_762_lr_ak103 = "AK-100 Receiver",
		bm_wp_wpn_fps_ass_heffy_762_fh_ak103 = "AK-103 Flash Suppressor",
		bm_wp_wpn_fps_ass_heffy_762_ufg_ak103 = "AK-100 Polymer Upper Handguard",
		bm_wp_wpn_fps_ass_heffy_762_lfg_ak103 = "AK-100 Polymer Lower Handguard",
		bm_wp_wpn_fps_ass_heffy_762_pg_ak103 = "AK-100 Polymer Pistol Grip",
		bm_wp_wpn_fps_ass_heffy_762_ur_ak103 = "Smooth Dust Cover",
		bm_wp_wpn_fps_ass_heffy_762_ba_ak104 = "12.4\" AK-104 Barrel",
		bm_wp_wpn_fps_ass_heffy_762_ba_ak109 = "16.3\" AK-107 Barrel",
		bm_wp_wpn_fps_ass_heffy_762_ba_md90 = "12\" ROMARM PM md. 90 Barrel",
		bm_wp_wpn_fps_ass_heffy_762_fh_md90 = "ROMARM PM md. 90 Flash Suppressor",
		bm_wp_wpn_fps_ass_heffy_762_lfg_md90 = "ROMARM PM md. 90 Lower Handguard",
		bm_wp_wpn_fps_ass_heffy_762_lr_wasr = "Century Arms WASR-10 Receiver",
		bm_wp_wpn_fps_ass_heffy_762_ba_vepr = "16.5\" Molot SOK-94 \"Vepr\" Barrel",
		bm_wp_wpn_fps_ass_heffy_762_lr_vepr = "Molot SOK-94 \"Vepr\" Receiver",
		bm_wp_wpn_fps_ass_heffy_762_lfg_vepr = "Molot SOK-94 \"Vepr\" Handguard",
		bm_wp_wpn_fps_ass_heffy_762_st_vepr = "Molot SOK-94 \"Vepr\" Thumbhole Stock",
		bm_wp_wpn_fps_ass_heffy_762_ba_t56 = "16.3\" Norinco Type 56 Barrel",
		bm_wp_wpn_fps_ass_heffy_762_fh_t56 = "Norinco Type 56 Muzzle Brake",
		bm_wp_wpn_fps_ass_heffy_762_ufg_bl_t56 = "Norinco Type 56 Black Upper Handguard",
		bm_wp_wpn_fps_ass_heffy_762_lfg_bl_t56 = "Norinco Type 56 Black Lower Handguard",
		bm_wp_wpn_fps_ass_heffy_762_st_bl_t56 = "Norinco Type 56-2 Black Folding Stock",
		bm_wp_wpn_fps_ass_heffy_762_pg_bl_t56 = "Norinco Type 56-2 Black Pistol Grip",
		bm_wp_wpn_fps_ass_heffy_762_ufg_br_t56 = "Norinco Type 56 Brown Upper Handguard",
		bm_wp_wpn_fps_ass_heffy_762_lfg_br_t56 = "Norinco Type 56 Brown Lower Handguard",
		bm_wp_wpn_fps_ass_heffy_762_st_br_t56 = "Norinco Type 56-2 Brown Folding Stock",
		bm_wp_wpn_fps_ass_heffy_762_pg_br_t56 = "Norinco Type 56-2 Brown Pistol Grip",
		bm_wp_wpn_fps_ass_heffy_762_ufg_mpi = "East German MPi-KM Upper Handguard",
		bm_wp_wpn_fps_ass_heffy_762_lfg_mpi = "East German MPi-KM Lower Handguard",
		bm_wp_wpn_fps_ass_heffy_762_st_mpi = "East German MPi-KM Stock",
		bm_wp_wpn_fps_ass_heffy_762_st_2_mpi = "ROMARM PM md. 90 Wire Stock",
		bm_wp_wpn_fps_ass_heffy_762_st_3_mpi = "Folded ROMARM PM md. 90 Wire Stock",
		bm_wp_wpn_fps_ass_heffy_762_pg_mpi = "East German MPi-KM Pistol Grip",
		bm_wp_wpn_fps_ass_heffy_762_ufg_mpi_wood = "East German MPi-KM Wooden Upr. Hndgrd.",
		bm_wp_wpn_fps_ass_heffy_762_lfg_mpi_wood = "East German MPi-KM Wooden Lwr. Hndgrd.",
		bm_wp_wpn_fps_ass_heffy_762_ba_amd63 = "16.3\" FÉG AKM-63 Barrel",
		bm_wp_wpn_fps_ass_heffy_762_fh_amd63 = "FÉG AKM-63 Flash Suppressor",
		bm_wp_wpn_fps_ass_heffy_762_lfg_amd63 = "FÉG AKM-63 Lower Handguard",
		bm_wp_wpn_fps_ass_heffy_762_pg_amd63 = "FÉG AKM-63 Pistol Grip",
		bm_wp_wpn_fps_ass_heffy_762_vg_amd63 = "FÉG AKM-63 Vertical Grip",
		bm_wp_wpn_fps_ass_heffy_762_st_amd63 = "FÉG AKM-63 Stock",
		bm_wp_wpn_fps_ass_heffy_762_ba_amd65 = "12.5\" FÉG AMD-65 Barrel",
		bm_wp_wpn_fps_ass_heffy_762_pg_amd65 = "FÉG AMD-65 Pistol Grip",
		bm_wp_wpn_fps_ass_heffy_762_vg_amd65 = "FÉG AMD-65 Vertical Grip",
		bm_wp_wpn_fps_ass_heffy_762_st_amd65 = "FÉG AMD-65 Wire Stock",
		bm_wp_wpn_fps_ass_heffy_762_fh_m70 = "Zastava Arms M70 Flash Suppressor",
		bm_wp_wpn_fps_ass_heffy_762_ba_m92 = "10\" Zastava Arms M92 Barrel",
		bm_wp_wpn_fps_ass_heffy_762_pg_m92 = "Zastava Arms M92 Pistol Grip",
		bm_wp_wpn_fps_ass_heffy_762_ba_tabuk = "23.6\" Al-Qadissiya Tabuk Barrel",
		bm_wp_wpn_fps_ass_heffy_762_ch_tabuk = "Al-Qadissiya Tabuk Bolt",
		bm_wp_wpn_fps_ass_heffy_762_fh_tabuk = "Al-Qadissiya Tabuk Flash Suppressor",
		bm_wp_wpn_fps_ass_heffy_762_st_tabuk = "Al-Qadissiya Tabuk Stock",
		bm_wp_wpn_fps_ass_heffy_762_sp_tabuk = "Al-Qadissiya Tabuk Cheek Rest",
		bm_wp_wpn_fps_ass_heffy_762_ba_rk62 = "16.5\" Valmet Rk.62 Barrel",
		bm_wp_wpn_fps_ass_heffy_762_fh_rk62 = "Valmet Rk.62 Flash Suppressor",
		bm_wp_wpn_fps_ass_heffy_762_lfg_rk62 = "Valmet Rk.62 Handguard",
		bm_wp_wpn_fps_ass_heffy_762_st_rk62 = "Valmet Rk.62 Tubular Stock",
		bm_wp_wpn_fps_ass_heffy_762_pg_rk62 = "Valmet Rk.62 Pistol Grip",
		bm_wp_wpn_fps_ass_heffy_762_m_steel_5 = "5rnd AK-47 Steel Magazine",
		bm_wp_wpn_fps_ass_heffy_762_m_steel_10 = "10rnd AK-47 Steel Magazine",
		bm_wp_wpn_fps_ass_heffy_762_m_steel_20 = "20rnd AK-47 Steel Magazine",
		bm_wp_wpn_fps_ass_heffy_762_m_steel_40 = "40rnd AK-47 Steel Magazine",
		bm_wp_wpn_fps_ass_heffy_762_m_bake_30 = "30rnd AK-47 Bakelite Magazine",
		bm_wp_wpn_fps_ass_heffy_762_m_bake_10 = "10rnd AK-47 Bakelite Magazine",
		bm_wp_wpn_fps_ass_heffy_762_fm_tabuk = "Al-Qadissiya Tabuk Firing Mechanism",
		bm_wp_wpn_fps_ass_heffy_762_fm_ty56 = "Norinco Type 56 Firing Mechanism",
		bm_wp_wpn_fps_ass_heffy_762_fm_amd65 = "FÉG AMD-65 Firing Mechanism",
		bm_wp_wpn_fps_ass_heffy_762_fm_rk62 = "Valmet Rk.62 Firing Mechanism",
		
		--[AK-74]
		bm_w_heffy_545 = "Kalashnikov Concern AK-74",
		bm_wp_wpn_fps_ass_heffy_545_ba_ak74 = "16.3\" AK-74 Barrel",
		bm_wp_wpn_fps_ass_heffy_all_pg_ak74 = "AK-74 Pistol Grip",
		bm_wp_wpn_fps_ass_heffy_545_st_aks74 = "Sidefolding AK Stock",
		bm_wp_wpn_fps_ass_heffy_545_ba_aks74u = "8.3\" AKS-74U Barrel",
		bm_wp_wpn_fps_ass_heffy_545_st_aks74u = "Sidefolding AK Stock",
		bm_wp_wpn_fps_ass_heffy_545_ba_rpk74 = "23.2\" RPK-74 Barrel",
		bm_wp_wpn_fps_ass_heffy_545_st_rpk74 = "RPK-74 Clubfoot Stock",
		bm_wp_wpn_fps_ass_heffy_545_bp_rpk74 = "Unfolded RPK-74 Bipod",
		bm_wp_wpn_fps_ass_heffy_545_bp_rpk74_folded = "Folded RPK-74 Bipod",
		bm_wp_wpn_fps_ass_heffy_545_ur_ak74m = "Smooth AK-74M Dust Cover",
		bm_wp_wpn_fps_ass_heffy_545_ufg_ak74m = "AK-74M Polymer Upper Handguard",
		bm_wp_wpn_fps_ass_heffy_545_lfg_ak74m = "AK-74M Polymer Lower Handguard",
		bm_wp_wpn_fps_ass_heffy_545_st_ak74m = "AK-74M Polymer Stock",
		bm_wp_wpn_fps_ass_heffy_545_pg_ak74m = "AK-74M Polymer Pistol Grip",
		bm_wp_wpn_fps_ass_heffy_545_ba_ak105 = "12.4\" AK-105 Barrel",
		bm_wp_wpn_fps_ass_heffy_545_ba_ak107 = "16.3\" AK-107 Barrel",
		bm_wp_wpn_fps_ass_heffy_545_st_md86 = "ROMARM PM md. 86 Wire Stock",
		bm_wp_wpn_fps_ass_heffy_545_ufg_mpi = "East German MPi-AK-74N Upr. Handguard",
		bm_wp_wpn_fps_ass_heffy_545_lfg_mpi = "East German MPi-AK-74N Lwr. Handguard",
		bm_wp_wpn_fps_ass_heffy_545_st_mpi = "East German MPi-AK-74N Stock",
		bm_wp_wpn_fps_ass_heffy_545_pg_mpi = "East German MPi-AK-74N Pistol Grip",
		bm_wp_wpn_fps_ass_heffy_545_fh_tantal = "FB Radom \"Tantal\" Muzzle Brake",
		bm_wp_wpn_fps_ass_heffy_545_ufg_tantal = "FB Radom \"Tantal\" Upper Handguard",
		bm_wp_wpn_fps_ass_heffy_545_ufg_tantal_bl = "FB Radom \"Tantal\" Black Upr. Handguard",
		bm_wp_wpn_fps_ass_heffy_545_pg_74flat = "Plum Wood AK-74 Pistol Grip",
		bm_wp_wpn_fps_ass_heffy_545_m_steel_30 = "30rnd ROMARM AIMS-74 Magazine",
		bm_wp_wpn_fps_ass_heffy_545_m_bake_45 = "45rnd AK-74 Bakelite Magazine",
		
		--[AK-74 ~ AK Pack 2]
		bm_w_ak_stamp_545 = "Kalashnikov Concern AK-74",
		bm_wp_wpn_fps_ass_ak_stamp_545_ba_ak74m = "16.3\" AK-74M Barrel",
		bm_wp_wpn_fps_ass_ak_stamp_545_md_ak74m = "AK-74M Flash Suppressor",
		bm_wp_wpn_fps_ass_ak_stamp_545_ba_ak105 = "12.4\" AK-105 Barrel",
		bm_wp_wpn_fps_ass_ak_stamp_545_md_ak105 = "AK-105 Flash Suppressor",
		bm_wp_wpn_fps_ass_ak_stamp_545_re_wasr = "Century Arms WASR-10 Receiver",
		bm_wp_wpn_fps_ass_ak_stamp_545_gb_md86 = "ROMARM PA md. 86 Gas Block",
		bm_wp_wpn_fps_ass_ak_stamp_545_fsb_md86 = "ROMARM PA md. 86 Front Sight Block",
		bm_wp_wpn_fps_ass_ak_stamp_545_tr_md86 = "ROMARM PA md. 86 Trigger",
		bm_wp_wpn_fps_ass_ak_stamp_545_lhg_md86 = "ROMARM PA md. 86 \"Dong\" Grip",
		bm_wp_wpn_fps_ass_ak_stamp_545_uhg_md86 = "ROMARM PA md. 86 Bakelite Upr. Hndgrd.",
		bm_wp_wpn_fps_ass_ak_stamp_545_lhg_shark = "ROMARM PA md. 86 \"Shark Fin\" Grip",
		bm_wp_wpn_fps_ass_ak_stamp_545_m_bake_45 = "45rnd RPK-74 Magazine",
		bm_wp_wpn_fps_ass_ak_stamp_545_m_poly_30 = "30rnd AK-74M Magazine",
		bm_wp_wpn_fps_ass_ak_stamp_545_m_poly_10 = "10rnd Saiga IZ-240 Magazine",
		bm_wp_wpn_fps_ass_ak_stamp_545_m_steel_30 = "30rnd ROMARM PA md. 86 Magazine",
		bm_wp_wpn_fps_ass_ak_stamp_545_md_no = "No Muzzle Brake",
		bm_wp_wpn_fps_ass_ak_stamp_545_clr_no = "No Cleaning Rod",
		bm_wp_wpn_fps_ass_ak_stamp_545_dc_no = "No Dust Cover",
		bm_wp_wpn_fps_ass_ak_stamp_545_lhg_no = "No Lower Handguard",
		bm_wp_wpn_fps_ass_ak_stamp_545_uhg_no = "No Upper Handguard",
		bm_wp_wpn_fps_ass_ak_stamp_545_st_no = "No Stock",
		
		--[AK-9]
		bm_w_heffy_939 = "Kalashnikov Concern AK-9",
		bm_w_x_heffy_939 = "Akimbo Kalashnikov Concern AK-9s",
		bm_wp_wpn_fps_ass_heffy_939_ba_ak9 = "7.9\" AK-9 Barrel",
		bm_wp_wpn_fps_ass_heffy_939_ufg_ak9 = "AK-100 Polymer Upper Handguard",
		bm_wp_wpn_fps_ass_heffy_939_lfg_ak9 = "AK-100 Polymer Lower Handguard",
		bm_wp_wpn_fps_ass_heffy_939_pg_ak9 = "AK-9 Polymer Pistol Grip",
		bm_wp_wpn_fps_ass_heffy_939_ba_tiss = "8.1\" TsKIB SOO OTs-12 \"Tiss\" Barrel",
		bm_wp_wpn_fps_ass_heffy_939_pg_tiss = "TsKIB SOO OTs-12 \"Tiss\" Pistol Grip",
		bm_wp_wpn_fps_ass_heffy_939_fh_tiss = "TsKIB SOO OTs-12 \"Tiss\" Muzzle Brake",
		bm_wp_wpn_fps_ass_heffy_939_st_tiss = "Sidefolding AK Stock",
		bm_wp_wpn_fps_ass_heffy_939_lfg_tiss = "TsKIB SOO OTs-12 \"Tiss\" Handguard",
		bm_wp_wpn_fps_ass_heffy_939_ufg_tiss = "TsKIB SOO OTs-12 \"Tiss\" Upper Handguard",
		bm_wp_wpn_fps_ass_heffy_939_ro_tiss = "TsKIB SOO OTs-12 \"Tiss\" Rear Sight",
		bm_wp_wpn_fps_ass_heffy_939_lr_tiss = "TsKIB SOO OTs-12 \"Tiss\" Receiver",
		bm_wp_wpn_fps_ass_heffy_939_ur_tiss = "Ribbed Dust Cover",
		bm_wp_wpn_fps_ass_heffy_939_so_pr = "Project Reality Firing Sounds",
		bm_wp_wpn_fps_ass_heffy_939_m_tiss_20 = "20rnd TsKIB SOO OTs-14 \"Tiss\" Magazine",
		
		--[AK-12]
		bm_wp_wpn_fps_upg_ak12_barrel_short = "Short Barrel",
		bm_wp_wpn_fps_upg_ak12_mag_assist = "30rnd AK-12 Magazine w/Sleeve",
		bm_wp_wpn_fps_upg_ak12_mag_ext = "45rnd AK-12 Magazine",
		bm_wp_wpn_fps_upg_ak12_stock_ext = "Raised Cheek Pad",
		
		--[AK-12 once again]
		bm_wp_wpn_fps_upg_ak12_2014_barrel_cqb = "AK-12U Barrel",
		bm_wp_wpn_fps_upg_ak12_2014_barrel_dmr = "SVK-12 Barrel",
		bm_wp_wpn_fps_upg_ak12_2014_grip_ak = "Plastic AK Pistol Grip",
		bm_wp_wpn_fps_upg_ak12_2014_grip_fab_ag47 = "FAB Defense AG-47 Ergo Pistol Grip",
		bm_wp_wpn_fps_upg_ak12_2014_grip_fab_agr47 = "FAB Defense AGR-47 Rubber Ergo Grip",
		bm_wp_wpn_fps_upg_ak12_2014_mag_bakelite = "30rnd AK-47 Bakelite Magazine",
		bm_wp_wpn_fps_upg_ak12_2014_mag_bakelitemagpul = "30rnd AK-47 Bakelite Mag. w/Sleeve",
		bm_wp_wpn_fps_upg_ak12_2014_mag_polymeremagpul = "30rnd AK-12 7.62×39mm Mag. w/Sleeve",
		bm_wp_wpn_fps_upg_ak12_2014_mag_steel20 = "20rnd AK-47 Steel Magazine",
		bm_wp_wpn_fps_upg_ak12_2014_mag_steel20dual = "Dual 20rnd AK-47 Steel Magazines",
		bm_wp_wpn_fps_upg_ak12_2014_mag_steel20magpul = "20rnd AK-47 Steel Magazine w/Sleeve",
		bm_wp_wpn_fps_upg_ak12_2014_mag_steel = "30rnd AK-47 Steel Magazine",
		bm_wp_wpn_fps_upg_ak12_2014_mag_steeldual = "Dual 30rnd AK-47 Steel Magazines",
		bm_wp_wpn_fps_upg_ak12_2014_mag_steelmagpul = "30rnd AK-47 Steel Magazine w/Sleeve",
		bm_wp_wpn_fps_upg_ak12_2014_mag_waffle40 = "40rnd Arsenal AK-47 Magazine",
		bm_wp_wpn_fps_upg_ak12_2014_stock_ak = "Plastic AK Stock",
		bm_wp_wpn_fps_upg_ak12_2014_stock_ext = "Extended Stock",

		
		--[AK-12 but this time her eyes are open OH GOD RUN]
		bm_wp_wpn_fps_ass_smug12_o_std = "Iron Sights",
		bm_wp_wpn_fps_ass_smug12_m_classic = "30rnd AK-74 Magazine",
		bm_wp_wpn_fps_ass_smug12_m_762x39 = "30rnd AK-15 Magazine",
		--bm_wp_wpn_fps_ass_smug12_m_762x39_desc = "",
		
		--[AKM ~ AK Pack 2]
		bm_w_ak_stamp_762 = "Kalashnikov Concern AKM",
		bm_wp_wpn_fps_ass_ak_stamp_762_ba_ak103 = "16.3\" AK-103 Barrel",
		bm_wp_wpn_fps_ass_ak_stamp_762_ba_ak104 = "12.4\" AK-104 Barrel",
		bm_wp_wpn_fps_ass_ak_stamp_762_re_wasr = "Century Arms WASR-10 Receiver",
		bm_wp_wpn_fps_ass_ak_stamp_762_lhg_wasr = "ROMARM PM md. 63 \"Dong\" Grip",
		bm_wp_wpn_fps_ass_ak_stamp_762_uhg_wasr = "ROMARM PM md. 63 Upper Handguard",
		bm_wp_wpn_fps_ass_ak_stamp_762_lhg_shark = "ROMARM PM md. 63 \"Shark Fin\" Grip",
		bm_wp_wpn_fps_ass_ak_stamp_762_m_steel_40 = "40rnd Molot RPK-47 Magazine",
		bm_wp_wpn_fps_ass_ak_stamp_762_m_steel_10 = "10rnd AK-47 Magazine",
		bm_wp_wpn_fps_ass_ak_stamp_762_m_bake_30 = "30rnd AK-47 Bakelite Magazine",
		bm_wp_wpn_fps_ass_ak_stamp_762_m_bake_40 = "40rnd RPK Magazine",
		bm_wp_wpn_fps_ass_ak_stamp_762_m_beer_30 = "30rnd AK-47 Aluminum Magazine",
		bm_wp_wpn_fps_ass_ak_stamp_762_m_ak103_30 = "30rnd AK-103 Magazine",
		bm_wp_wpn_fps_ass_ak_stamp_762_md_no = "No Muzzle Brake",
		bm_wp_wpn_fps_ass_ak_stamp_762_clr_no = "No Cleaning Rod",
		bm_wp_wpn_fps_ass_ak_stamp_762_dc_no = "No Dust Cover",
		bm_wp_wpn_fps_ass_ak_stamp_762_lhg_no = "No Lower Handguard",
		bm_wp_wpn_fps_ass_ak_stamp_762_uhg_no = "No Upper Handguard",
		bm_wp_wpn_fps_ass_ak_stamp_762_st_no = "No Stock",
		
		--[AKMS Gold]
		bm_w_heffy_gold = "Gold Plated AKMS",
		bm_wp_wpn_fps_ass_heffy_gold_ba_akm = "16.3\" Gold Plated AKM Barrel",
		bm_wp_wpn_fps_ass_heffy_gold_fh_akm = "Gold Plated AKM Muzzle Brake",
		bm_wp_wpn_fps_ass_heffy_gold_ufg_akm = "Refinished AKM Upper Handguard",
		bm_wp_wpn_fps_ass_heffy_gold_lfg_akm = "Refinished AKM Lower Handguard",
		bm_wp_wpn_fps_ass_heffy_gold_st_akm = "Refinished AKM Stock",
		bm_wp_wpn_fps_ass_heffy_gold_pg_akm = "Refinished AKM Pistol Grip",
		bm_wp_wpn_fps_ass_heffy_gold_lr_akm = "Gold Plated AKM Receiver",
		bm_wp_wpn_fps_ass_heffy_gold_ur_akm = "Gold Plated AKM Dust Cover",
		bm_wp_wpn_fps_ass_heffy_gold_st_akms = "Gold Plated Underfolding Stock",
		bm_wp_wpn_fps_ass_heffy_gold_fsl_akm = "Gold Plated AKM Selector Switch",
		bm_wp_wpn_fps_ass_heffy_gold_ur_bling = "Diamond Encrusted Receiver",
		bm_wp_wpn_fps_ass_heffy_gold_ufg_bling = "Diamond Encrusted Upper Handguard",
		bm_wp_wpn_fps_ass_heffy_gold_m_steel_40 = "40rnd AKM Magazine",
		
		--[AKU-94]
		bm_w_aku94 = "K-VAR AKU-94",
		bm_wp_wpn_fps_upg_aku94_grip_amd65 = "FÉG AMD-65 Pistol Grip",
		bm_wp_wpn_fps_upg_aku94_grip_tapco = "Molot Polymer Pistol Grip",
		bm_wp_wpn_fps_upg_aku94_mag_40 = "40rnd Arsenal AK-47 Magazine",
		bm_wp_wpn_fps_upg_aku94_mag_bakelite = "30rnd AK-47 Bakelite Magazine",
		bm_wp_wpn_fps_upg_aku94_mag_steel = "30rnd AK-47 Steel Magazine",
		
		--[ASh-12.7]
		bm_w_ash = "TsKIB SOO ASh-12.7",
		bm_wp_wpn_fps_upg_ash_ammo_ap = "12.7×55mm Armor Piercing",
		bm_wp_wpn_fps_upg_ash_ammo_light = "12.7×55mm Light Bullet",
		bm_wp_wpn_fps_upg_ash_barrel_supp = "Short Suppressor",
		
		--[AS Val MOD.3]
		bm_w_nightgoddess = "Tula Arms AS \"Val\" MOD.3",
		
		--[AN-92]
		bm_w_tilt = "Nikonov AN-92", --This is really an AN-94 but we already one of those here (see below), so instead this one is keeping the AN-92 moniker to avoid confusion
		bm_wp_wpn_fps_ass_tilt_mag_swift = "30rnd AK-74 Magazine",
		bm_wp_wpn_fps_ass_tilt_mag_big = "60rnd AN-94 Casket Magazine",
		bm_wp_wpn_fps_ass_tilt_mag_tactical = "30rnd AK-74 Waffle Magazine",
		bm_wp_wpn_fps_ass_tilt_stock_fold = "Underfolding Stock",
		bm_wp_wpn_fps_ass_tilt_g_wood = "Wooden Pistol Grip",
		bm_wp_wpn_fps_ass_tilt_bayonet = "Bayonet",
		bm_wp_wpn_fps_ass_tilt_a_fuerte = "7.62×39mm Soviet",
		bm_wp_wpn_fps_ass_tilt_a_fuerte_desc = "-75%/-47% pickup rate.",
		
		--[AN-94]
		bm_w_akrocket = "Nikonov AN-94",
		bm_wp_wpn_fps_ass_akrocket_m_fast = "Dual 30rnd AK-74 Magazines",
		bm_wp_wpn_fps_ass_akrocket_m_extended = "45rnd AN-94 Magazine",
		bm_wp_wpn_fps_ass_akrocket_m_fastext = "Dual 45rnd AN-94 Magazines",
		bm_wp_wpn_fps_ass_akrocket_backsight = "Rail-Mounted Rear Sight",
		bm_wp_wpn_fps_ass_akrocket_ns_sil = "Proprietary Suppressor",
		bm_wp_wpn_fps_ass_akrocket_s_adjusted = "Retractable Stock",
		bm_wp_wpn_fps_ass_akrocket_fg_modern = "Free Floating Wooden Handguard",
		bm_wp_wpn_fps_ass_akrocket_g_mod = "Rubber Pistol Grip w/Wood Inserts",
		
		--[AR-15]
		bm_w_stoy_556 = "ArmaLite AR-15",
		bm_wp_wpn_fps_ass_stoy_556_lr_ar15 = "AR-15 Slabside Lower Receiver",
		bm_wp_wpn_fps_ass_stoy_556_ur_ar15 = "AR-15 Slickside Upper Receiver",
		bm_wp_wpn_fps_ass_stoy_556_ba_ar15 = "20\" AR-15 Barrel",
		bm_wp_wpn_fps_ass_stoy_556_md_ar15 = "Duckbill Flash Suppressor",
		bm_wp_wpn_fps_ass_stoy_556_hg_ar15 = "A1 Handguard",
		bm_wp_wpn_fps_ass_stoy_556_pg_ar15 = "A1 Pistol Grip",
		bm_wp_wpn_fps_ass_stoy_556_st_ar15 = "Solid Stock",
		bm_wp_wpn_fps_ass_stoy_556_hg_m16 = "A1 Handguard",
		bm_wp_wpn_fps_ass_stoy_556_st_m16 = "Solid Stock",
		bm_wp_wpn_fps_ass_stoy_556_pg_m16 = "A1 Pistol Grip",
		bm_wp_wpn_fps_ass_stoy_556_lr_m16a1 = "A1 Full Fence Lower Receiver",
		bm_wp_wpn_fps_ass_stoy_556_ur_m16a1 = "A1 Upper Receiver",
		bm_wp_wpn_fps_ass_stoy_556_ba_m16a1 = "20\" M16A1 Barrel",
		bm_wp_wpn_fps_ass_stoy_556_md_m16a1 = "A1 Birdcage Flash Suppressor",
		bm_wp_wpn_fps_ass_stoy_556_gb_m16a1 = "A1 Front Sight",
		bm_wp_wpn_fps_ass_stoy_556_lr_m16a2 = "A2 Full Fence Lower Receiver",
		bm_wp_wpn_fps_ass_stoy_556_ur_m16a2 = "A2 Upper Receiver",
		bm_wp_wpn_fps_ass_stoy_556_ba_m16a2 = "20\" M16A2 Barrel",
		bm_wp_wpn_fps_ass_stoy_556_md_m16a2 = "A2 Birdcage Flash Suppressor",
		bm_wp_wpn_fps_ass_stoy_556_pg_m16a2 = "A2 Pistol Grip",
		bm_wp_wpn_fps_ass_stoy_556_lr_m16a3 = "A3 Full Fence Lower Receiver",
		bm_wp_wpn_fps_ass_stoy_556_ur_m16a3 = "A3 Flat Top LMG Upper Receiver",
		bm_wp_wpn_fps_ass_stoy_556_ca_m16a3 = "Colt Model 950 Detachable Carry Handle",
		bm_wp_wpn_fps_ass_stoy_556_lr_m16a4 = "A4 Full Fence Lower Receiver",
		bm_wp_wpn_fps_ass_stoy_556_ur_m16a4 = "A4 Flat Top Upper Receiver",
		bm_wp_wpn_fps_ass_stoy_556_gb_m16a4 = "Gas Block Rail",
		bm_wp_wpn_fps_ass_stoy_556_ba_car15 = "10\" CAR-15 Barrel",
		bm_wp_wpn_fps_ass_stoy_556_md_car15 = "Moderator Flash Suppressor",
		bm_wp_wpn_fps_ass_stoy_556_hg_m607 = "A1 Carbine Handguard",
		bm_wp_wpn_fps_ass_stoy_556_st_m607 = "Gen 1 Collapsible Stock",
		bm_wp_wpn_fps_ass_stoy_556_ba_m733 = "11.5\" M733 Barrel",
		bm_wp_wpn_fps_ass_stoy_556_lr_m4 = "M4 Full Fence Lower Receiver",
		bm_wp_wpn_fps_ass_stoy_556_ur_m4 = "M4 Flat Top Upper Receiver",
		bm_wp_wpn_fps_ass_stoy_556_ba_m4 = "14.5\" M4 Barrel",
		--bm_wp_wpn_fps_ass_stoy_556_ba_m4_short = "",
		bm_wp_wpn_fps_ass_stoy_556_hg_m4 = "A2 Carbine Handguard",
		bm_wp_wpn_fps_ass_stoy_556_st_m4 = "Gen 1 Collapsible Stock",
		bm_wp_wpn_fps_ass_stoy_556_lr_m4a1 = "M4A1 Full Fence Lower Receiver",
		bm_wp_wpn_fps_ass_stoy_556_hg_m4a1 = "Knight's Armament Co. M4 Quad Rail",
		bm_wp_wpn_fps_ass_stoy_556_st_m4a1 = "Gen 4 Collapsible Stock",
		bm_wp_wpn_fps_ass_stoy_556_ba_m4a1 = "14.5\" Barrel",
		bm_wp_wpn_fps_ass_stoy_556_md_m4a1 = "A2 Birdcage Flash Suppressor",
		bm_wp_wpn_fps_ass_stoy_556_m_cross_20 = "20rnd ArmaLite Magazine",
		bm_wp_wpn_fps_ass_stoy_556_so_pr = "Project Reality Firing Sounds",
		
		--[AR-18]
		bm_w_ar18 = "ArmaLite AR-18",
		bm_wp_wpn_fps_upg_ar18_mag_30 = "30rnd AR-18 Magazine", -- Note: The AR-18 uses its own proprietary magazines which are easy to mistake for STANAGs, despite the latter not being around until 1980
		bm_wp_wpn_fps_upg_ar18_mag_30_dual = "Dual 30rnd AR-18 Magazines",
		bm_wp_wpn_fps_upg_ar18_mag_window = "20rnd AR-18 Window Magazine",
		bm_wp_wpn_fps_upg_ar18_scope = "ArmaLite 2.75×20mm Scope",
		
		--[AR-47]
		bm_w_ar47 = "Knight's Armament Co. SR-47",
		bm_wp_wpn_fps_upg_ass_ar47_b_heavy = "Heavy Barrel",
		bm_wp_wpn_fps_upg_ass_ar47_b_heavy_desc = "-50%/-60% pickup rate.",
		bm_wp_wpn_fps_upg_ass_ar47_b_short = "Short Barrel",
		bm_wp_wpn_fps_upg_ass_ar47_b_short_desc = "+80%/+20% pickup rate.",
		bm_wp_wpn_fps_upg_ass_ar47_b_sd_desc = "+190%/+140% pickup rate.",
		-- bm_wp_wpn_fps_ass_ar47_m_blk = "",
		bm_wp_wpn_fps_ass_ar47_m_short = "20rnd DURAMAG Magazine",
		bm_wp_wpn_fps_upg_ar47_s_mod0_pad = "GUNFIGHTER Mod 0 Stock w/Cheek Pad",
		bm_wp_wpn_fps_upg_ar47_fg_m4 = "KAC Free Float Carbine Handguard",
		
		--[AR Marksman]
		bm_w_ar60mrks = "Haenel Sturmgewehr 60 DMR",
		bm_w_x_ar60mrks = "Akimbo Haenel Sturmgewehr 60 DMRs",
		bm_wp_wpn_fps_ass_ar60mrks_o_mbus = "Magpul MBUS Back-up Sights",
		bm_wp_wpn_fps_ass_ar60mrks_scope = "Thalberg-Werker TH3030 Rifle Scope",
		
		--[ARX-160]
		bm_wp_wpn_fps_ass_ar160_b_short = "11.9\" Barrel",
		--bm_wp_wpn_fps_ass_ar160_suppressor = "Brügger & Thomet Rotex-II Suppressor", -- An SMG suppressor on an assault rifle...?
		bm_wp_wpn_fps_ass_ar160_o_expert = "Troy Industries HK Flip-up Battle Sights",
		bm_wp_wpn_fps_ass_ar160_body_tan = "Tan Receiver",
		bm_wp_wpn_fps_ass_ar160_a_strong = "5.56×45mm NATO Hollow Point",
		bm_wp_wpn_fps_ass_ar160_a_strong_desc = "-75%/-47% pickup rate.",
		
		--[ARX-160 A2]
		bm_w_lazy = "Beretta ARX-160 A2",
		bm_wp_wpn_fps_upg_lazy_b_long = "16\" Barrel",
		bm_wp_wpn_fps_upg_lazy_am_beefish = "5.56×45mm NATO Hollow Point",
		bm_wp_wpn_fps_upg_lazy_am_beefish_desc = "Expanding rounds for controlled penetration.\n\n-25% pickup rate.",
		
		--[BL2 Rifles]
		bm_w_bandit_ar = "Bandit Assault Rifle",
		bm_w_dahl_ar = "Dahl Corporation Assault Rifle",
		bm_w_jakobs_ar = "Jakobs Marksman Rifle",
		bm_w_vladof_ar = "Vladof Assault Rifle",
		bm_wp_wpn_fps_bl2ar_bandit_barrel = "Bandit \"Mashine Gun\" Barrel",
		bm_wp_wpn_fps_bl2ar_bandit_grip = "Bandit Pistol Grip",
		bm_wp_wpn_fps_bl2ar_dahl_barrel = "Dahl Carbine Barrel",
		bm_wp_wpn_fps_bl2ar_dahl_grip = "Dahl Pistol Grip",
		bm_wp_wpn_fps_bl2ar_etech_barrel = "E-tech Blaster Barrel",
		bm_wp_wpn_fps_bl2ar_jakobs_barrel = "Jakobs Rifle Barrel",
		bm_wp_wpn_fps_bl2ar_jakobs_grip = "Jakobs Pistol Grip",
		bm_wp_wpn_fps_bl2ar_torgue_barrel = "TORGUE TORPEDO BARREL",
		bm_wp_wpn_fps_bl2ar_torgue_grip = "TORGUE PISTOL GRIP",
		bm_wp_wpn_fps_bl2ar_vladof_barrel = "Vladof Rifle Barrel",
		bm_wp_wpn_fps_bl2ar_vladof_grip = "Vladof Pistol Grip",
		
		--[Bavarium Splitter]
		bm_w_fortress = "eDEN Corporation Bavarium Splitter",
		bm_wp_wpn_fps_upg_a_fortress_argent = "Argent Energy",
		bm_wp_wpn_fps_upg_a_fortress_argent_desc = "Hell energy-infused rounds.",
		bm_wp_wpn_fps_upg_a_fortress_poison = "Nova 6",
		bm_wp_wpn_fps_upg_a_fortress_poison_desc = "High-velocity rounds infused with a World War II-era biochemical agent.\n\nPoisons enemies.",
		
		--[Bulldog]
		bm_w_bulldoge = "Short Rifle Stock Systems BullDog 762",
		bm_wp_wpn_fps_ass_bulldoge_body_black = "Black Stock",
		bm_wp_wpn_fps_ass_bulldoge_body_red_tiger = "Red Tiger Camo Stock",
		bm_wp_wpn_fps_ass_bulldoge_body_acu = "ACU Camo Stock",
		bm_wp_wpn_fps_ass_bulldoge_body_fade = "Fade Camo Stock",
		bm_wp_wpn_fps_ass_bulldoge_body = "Olive Drab Stock",
		bm_wp_wpn_fps_ass_bulldoge_body_tan = "Desert Tan Stock",
		bm_wp_wpn_fps_ass_bulldoge_body_red = "Red Stock",
		bm_wp_wpn_fps_ass_bulldoge_body_blue = "Blue Stock",
		bm_wp_wpn_fps_ass_bulldoge_body_purple = "Purple Stock",
		bm_wp_wpn_fps_ass_bulldoge_vg_grippod = "GripPod Vertical Grip",
		bm_wp_wpn_fps_ass_bulldoge_vg_smol = "Bravo Co. GUNFIGHTER Short Vertical Grip",
		bm_wp_wpn_fps_ass_bulldoge_vg_worn = "Tango Down Vertical Grip",
		bm_wp_wpn_fps_ass_bulldoge_irons_hk = "Heckler & Koch Diopter Iron Sights",
		bm_wp_wpn_fps_ass_bulldoge_mag_ext = "30rnd BullDog Magazine",
		bm_wp_wpn_fps_ass_bulldoge_mag_short = "10rnd BullDog Magazine",
		bm_wp_wpn_fps_ass_bulldoge_a_light = ".308 Winchester",
		
		--[C26A]
		bm_w_sc26a = "Seburo Arms C-26A",
		bm_wp_wpn_fps_ass_sc26a_mag_dual = "Dual 30rnd C-26A Magazines",
		
		--[C30]
		bm_w_sc30 = "Seburo Arms C-30",
		bm_wp_wpn_fps_ass_sc30_mag_dual = "Dual 30rnd C-30 Magazines",
		
		--[Cold Harbor]
		bm_w_m4bpre = "Bravo Company \"Cold Harbor\" SOPMOD",
		bm_wp_wpn_fps_upg_m4bpre_ns_rc2 = "SureFire RC2 Suppressor",
		bm_wp_wpn_fps_upg_m4bpre_fl_dbal = "Steiner Defense DBAL-D2 w/Flashlight",
		bm_wp_wpn_fps_upg_m4bpre_s_bcm = "BCM GUNFIGHTER SOPMOD Mod 0 Stock",
		bm_wp_wpn_fps_upg_m4bpre_s_bcm_camo = "Camouflaged SOPMOD Mod 0 Stock",
		bm_wp_wpn_fps_upg_m4bpre_g_bcm = "Bravo Co. GUNFIGHTER Mod 3 Pistol Grip",
		bm_wp_wpn_fps_upg_m4bpre_g_bcm_camo = "Camouflaged Mod 3 Pistol Grip",
		bm_wp_wpn_fps_upg_m4bpre_rc_bcm = "Bravo Company KeyMod Rail Panels",
		bm_wp_wpn_fps_upg_m4bpre_rc_bcm_camo = "Camouflaged Rail Panels",
		bm_wp_wpn_fps_upg_m4bpre_m_pmag = "30rnd Magpul PMAG Gen 3 Window Mag.",
		bm_wp_wpn_fps_upg_m4bpre_m_duet = "Dual 30rnd STANAG Magazines",
		bm_wp_wpn_fps_upg_psa_lr_m4bpre = "Bravo Company Lower Receiver",
		bm_wp_wpn_fps_upg_psa_ur_m4bpre = "Bravo Company Upper Receiver",
		bm_wp_wpn_fps_upg_psa_hg_m4bpre = "Bravo Co. KMR ALPHA-10 Handguard",
		
		--[CZ BREN]
		bm_w_bren2 = "CZ 806 BREN 2",
		bm_wp_wpn_fps_bren2_barrel_s = "8.1\" Barrel",
		
		--[R0991]
		bm_w_r0991 = "Colt R0991",
		bm_wp_wpn_fps_upg_r0991_ammo_9mm_p = "9×19mm Parabellum P+",
		bm_wp_wpn_fps_upg_r0991_barrel_long = "16.1\" Barrel",
		bm_wp_wpn_fps_upg_r0991_skin_anodizedhazard = "\"Anodized Hazard\" Finish",
		bm_wp_wpn_fps_upg_r0991_skin_containment = "\"Containment\" Finish",
		bm_wp_wpn_fps_upg_r0991_skin_cyberbone = "\"Cyberbone\" Finish",
		bm_wp_wpn_fps_upg_r0991_skin_erdl = "ERDL Blue Camo Receiver",
		bm_wp_wpn_fps_upg_r0991_skin_storiesofwar = "\"Stories of War\" Finish",
		bm_wp_wpn_fps_upg_r0991_skin_tactical = "\"Tactical\" Finish",
		bm_wp_wpn_fps_upg_r0991_skin_vault_vosh = "Black Receiver w/Gold Trimmings",
		
		--[DDM4]
		bm_w_gcar = "Daniel Defense M4v5",
		bm_wp_wpn_fps_ass_gcar_vg_new = "Bravo Co. GUNFIGHTER Short Vertical Grip",
		bm_wp_wpn_fps_ass_gcar_vg_simple = "Tango Down Vertical Grip",
		
		--[DM7 ~ Battlefield 2042]
		bm_w_bf2042_dm7 = "Daniel Defense M4V7 PRO", --I'll get to the attachments eventually :/
		
		--[FightLite SCR]
		bm_wp_wpn_fps_pis_raider_st_vector = "Magpul MOE Stock",
		
		--[M4A1 ~ GiTS:SAC First Assault Online]
		--bm_w_cinnamonroll = "American Empire/Colt M4A1",
		bm_wp_wpn_fps_ass_cinnamonroll_o_gitsm4 = "American Empire Carry Handle Red Dot",
		bm_wp_wpn_fps_ass_cinnamonroll_b_nl = "Long Barrel",
		bm_wp_wpn_fps_ass_cinnamonroll_b_ns = "Short Barrel",
		bm_wp_wpn_fps_ass_cinnamonroll_b_tl = "Long Rifled Barrel",
		bm_wp_wpn_fps_ass_cinnamonroll_b_tm = "Rifled Barrel",
		bm_wp_wpn_fps_ass_cinnamonroll_b_ts = "Short Rifled Barrel",
		bm_wp_wpn_fps_ass_cinnamonroll_m_vm = "25rnd FAMAS F1 Magazine",
		bm_wp_wpn_fps_ass_cinnamonroll_m_mrp = "30rnd Magpul PMAG Mag. w/Ranger Plate",
		bm_wp_wpn_fps_ass_cinnamonroll_m_cm = "Dual 30rnd Magpul PMAG Magazines",
		
		--[M4A1 ~ Call of Duty: Modern Warfare (2019)]
		bm_w_mike4 = "Colt Model 933 Carbine", --same deal with the dm7, can't be fucked to add the attachments rn
		
		--[M4A1 Grenadier]
		bm_w_kurisumasu = "Colt M4A1 M203",
		bm_wp_wpn_fps_ass_kurisumasu_fg_kac = "Knight's Armament Co. M4 RAS Handguard",
		bm_wp_wpn_fps_ass_kurisumasu_fg_ris2 = "Daniel Defense RIS II Handguard",
		bm_wp_wpn_fps_ass_kurisumasu_gb_windham = "Windham Weaponry Railed Gas Block",
		bm_wp_wpn_fps_ass_kurisumasu_ro_buis = "Knight's Armament Co. Flip-up Sights",
		bm_wp_wpn_fps_ass_kurisumasu_s_m4ss = "High Standard M4SS Stock",
		bm_wp_wpn_fps_ass_kurisumasu_s_sopmod = "LMT SOPMOD Stock",
		
		--[M4 URGI]
		bm_w_m4_usasoc = "Colt M4A1 USASOC-II",
		bm_wp_wpn_fps_ass_m4_usasoc_barrel_260 = "10.5\" Barrel",
		bm_wp_wpn_fps_ass_m4_usasoc_barrel_292 = "11.5\" Barrel",
		bm_wp_wpn_fps_ass_m4_usasoc_handguard_95 = "Geissele 9.5\" Super Modular Rail",
		bm_wp_wpn_fps_ass_m4_usasoc_handguard_105 = "Geissele 10.5\" Super Modular Rail",
		bm_wp_wpn_fps_ass_m4_usasoc_handguard_dd = "Daniel Defense 9.5\" RIS II Handguard",
		bm_wp_wpn_fps_ass_m4_usasoc_handguard_kac = "Knight's Armament Co. RIS Handguard",
		bm_wp_wpn_fps_ass_m4_usasoc_magazine_20 = "20rnd Slanted STANAG Magazine",
		bm_wp_wpn_fps_ass_m4_usasoc_magazine_dd = "32rnd Daniel Defense Mag. w/Sleeve",
		bm_wp_wpn_fps_ass_m4_usasoc_magazine_mike4 = "30rnd Magpul PMAG Gen 3 Window Mag.",
		bm_wp_wpn_fps_ass_m4_usasoc_magazine_pmag = "30rnd Magpul PMAG Gen 3 Window Mag.",
		bm_wp_wpn_fps_ass_m4_usasoc_magazine_xmag = "40rnd STANAG Magazine",
		bm_wp_wpn_fps_ass_m4_usasoc_rail_cover_bcm = "Bravo Company Rail Covers",
		bm_wp_wpn_fps_ass_m4_usasoc_rail_cover_kac = "Knight's Armament Co. Rail Covers",
		
		--[M41A]
		bm_w_xeno = "Armat Battlefield Systems M41A MK2",
		
		--[M4 Beowulf]
		bm_w_m4_beowulf = "Alexander Arms .50 Beowulf",
		bm_wp_wpn_fps_ass_m4_beowulf_s_barrel = "10.5\" Barrel",
		bm_wp_wpn_fps_ass_m4_beowulf_l_barrel = "18\" Barrel",
		bm_wp_wpn_fps_ass_m4_beowulf_railcover = "Magpul XTM Enhanced Rail Panels",
		bm_wp_wpn_fps_ass_m4_beowulf_NS = "Buffer Tube Stock",
		bm_wp_wpn_fps_ass_m4_beowulf_VG = "ZenitCo RK-1 Vertical Grip",
		bm_wp_wpn_fps_ass_m4_beowulf_DH = "Fortis Hammer Charging Handle",
		bm_wp_wpn_fps_ass_m4_beowulf_uupg_o_fold = "Folded MP7A1 Iron Sights",
		bm_wp_wpn_fps_ass_m4_beowulf_MB = "Barrett M82A1 Muzzle Brake",
		bm_wp_wpn_fps_ass_m4_beowulf_SS = "SWR Spectre Suppressor",
		bm_wp_wpn_fps_ass_m4_beowulf_mag5 = "4rnd Beowulf Magazine",
		bm_wp_wpn_fps_ass_m4_beowulf_mag12 = "7rnd Beowulf Magazine",
		bm_wp_wpn_fps_ass_m4_beowulf_mag20 = "10rnd Beowulf Magazine",
		
		--[MCX]
		bm_w_mcx_gen1 = "SIG-Sauer MCX Gen 1",
		bm_wp_wpn_fps_ass_mcx_gen1_barrel_171 = "6.8\" Barrel",
		bm_wp_wpn_fps_ass_mcx_gen1_barrel_229 = "9\" Barrel",
		bm_wp_wpn_fps_ass_mcx_gen1_am_blackout = ".300 Blackout",
		-- bm_wp_wpn_fps_ass_mcx_gen1_am_blackout_desc = "",
		
		--[MCX Virtus]
		bm_w_virtus = "SIG-Sauer MCX VIRTUS",
		bm_wp_wpn_fps_upg_virtus_fg_long = "Patrol Handguard", -- a tad shorter than the real thing, but it'll do
		bm_wp_wpn_fps_upg_virtus_fg_short = "SBR Handguard",
		bm_wp_wpn_fps_upg_virtus_fg_quiet = "Suppressed Barrel",
		bm_wp_wpn_fps_upg_virtus_s_lw = "Sidefolding MCX Stock",
		bm_wp_wpn_fps_upg_virtus_s_nope = "No Stock",
		bm_wp_wpn_fps_upg_virtus_ns_pointy = "SIG-Sauer CQB Flash Suppressor",
		bm_wp_wpn_fps_upg_virtus_ns_dos = "SIG-Sauer Muzzle Brake",
		
		--[MCX Spear]
		bm_w_mcx_spear = "SIG-Sauer MCX Spear",
		bm_wp_wpn_fps_ass_mcx_spear_magazine_meme = "Angled Magazine",
		bm_wp_wpn_fps_ass_mcx_spear_magazine_meme_desc = "I don't think it's supposed to go in like that.",
		bm_wp_wpn_fps_ass_mcx_spear_9mm_magazine = "35rnd MCX 9mm Magazine",
		bm_wp_wpn_fps_ass_mcx_spear_9mm_magazine_desc = "You'd rather go through the effort of jury rigging the MCX Spear to use 9x19 Parabellum... instead of just using an MPX?\n\n+50% pickup rate.",
		bm_wp_wpn_fps_ass_mcx_spear_556_magazine = "30rnd MCX 5.56×45mm Magazine",
		bm_wp_wpn_fps_ass_mcx_spear_556_magazine_desc = "Instead of using an MCX VIRTUS, you decided it would be amusing to jury rig the Spear to fire in 5.56? Great way to break that $10,000 prototype that the US military will abandon for the M27 IAR.\n\n-65% pickup rate.",
		bm_wp_wpn_fps_ass_mcx_spear_barrel_marksman = "16\" Barrel",
		bm_wp_wpn_fps_ass_mcx_spear_magazine = "20rnd MCX 6.8×51mm Magazine",
		bm_wp_wpn_fps_ass_mcx_spear_snp_am_desc = "Pierces through cover, shields & body armor. -40% pickup rate.",
		bm_wp_wpn_fps_ass_mcx_spear_suppressor = "SIG-Sauer SRD762 Suppressor",
		
		--[MSBS]
		bm_w_grotb = "FB Radom MSBS \"Grot\" B16 FB-A0",
		bm_wp_wpn_fps_ass_grotb_b_long = "Long Barrel",
		bm_wp_wpn_fps_ass_grotb_b_short = "B10 Kit",
		bm_wp_wpn_fps_ass_grotb_fg_new = "MSBS Handguard",
		bm_wp_wpn_fps_ass_grotb_fh_pws = "PWS CQB Muzzle Brake",
		
		--[MDR]
		bm_wp_wpn_fps_upg_mdr_barrel_long = "19\" Barrel",
		bm_wp_wpn_fps_upg_mdr_mag_30 = "30rnd MDR Magazine",
		bm_wp_wpn_fps_upg_mdr_supp_nt4 = "Knight's Armament Co. NT-4 Suppressor",
		bm_wp_wpn_fps_upg_mdr_supp_omega = "SilencerCo Omega 300 Suppressor",
		bm_wp_wpn_fps_upg_mdr_troy_iron = "Troy Industries HK Flip-up Battle Sights",
		
		--[MDR 7.62x51]
		bm_w_mdr_308 = "Desert Tech MDR MK.13",
		bm_wp_wpn_fps_upg_ub_fn40_gl = "Fabrique Nationale MK.13",
		bm_wp_wpn_fps_ass_mdr_308_barrel_sniper = "30\" Barrel",
		bm_wp_wpn_fps_ass_mdr_308_body_black = "Black Receiver",
		bm_wp_wpn_fps_ass_mdr_308_snp_am = "6.5×48mm Creedmoor",
		bm_wp_wpn_fps_ass_mdr_308_snp_am_desc = "If you can't afford a sniper rifle, just make one yourself.\n\nPierces through cover, shields & body armor. -40% pickup rate. Recategorizes weapon as sniper rifle.",
		
		--[MDR-C]
		bm_w_shieldgirl = "Desert Tech MDR-C",
		
		--[FAD]
		bm_w_fusil = "SIMA Electronica FAD",
		bm_wp_wpn_fps_ass_fusil_b_long = "Long Barrel",
		bm_wp_wpn_fps_ass_fusil_b_heavy = "Heavy Barrel",
		bm_wp_wpn_fps_ass_fusil_b_heavy_desc = "Weighted barrel with modified internals.",
		bm_wp_wpn_fps_ass_fusil_o_unfold = "Flipped-up Front Sight",
		bm_wp_wpn_fps_ass_fusil_s_rest = "Strapped Cheek Rest",
		bm_wp_wpn_fps_ass_fusil_s_lux = "SA80 Cheek Rest",
		
		--[F2000]
		bm_wp_wpn_fps_f2000_uupg_barrel_long = "17.4\" Barrel",
		bm_wp_wpn_fps_f2000_uupg_o_fnoptic = "F2000 1.6× Scope",
		bm_wp_wpn_fps_f2000_uupg_o_fnoptic_noswitch = "F2000 1.6× Scope (No Backup Sight)",
		
		--[FNAR]
		bm_w_fnar = "Fabrique Nationale FNAR-L",
		bm_wp_wpn_fps_upg_fnar_m8541 = "Schmidt & Bender 3-12×50 PMII R.S.",
		bm_wp_wpn_fps_upg_fnar_mag_20 = "20rnd FNAR Magazine",
		bm_wp_wpn_fps_upg_fnar_supp_nt4 = "Knight's Armament Co. NT-4 Suppressor",
		
		--[G11]
		bm_w_temple = "Heckler & Koch G11K1",
		bm_wp_wpn_fps_upg_temple_i_matthewreilly = "3rnd Burst Fire",
		bm_wp_wpn_fps_upg_temple_i_matthewreilly_desc = "Significantly increases fire rate, but hampers long-range capability.\n\nLocks weapon to burst fire only.",
		
		--[Saritch]
		bm_w_spear308 = "Tula Arms Saritch",
		bm_wp_wpn_fps_ass_spear308_m_magpul = "30rnd Magpul PMAG Magazine w/Sleeve",
		
		--[SABR ~ Restoration Mod]
		bm_w_osipr = "Daewoo Precision Industries K11",
		bm_w_osipr_gl = "K11 Grenade Launcher",
		
		--[MW2019 AS Val]
		-- bm_wp_wpn_fps_ass_valpha_handguard_heavy = "",
		-- bm_wp_wpn_fps_ass_valpha_handguard_light = "",
		bm_wp_wpn_fps_ass_valpha_handguard_short = "SR-3M \"Vikhr\" Kit w/Suppressor",
		bm_wp_wpn_fps_ass_valpha_magazine_ext = "30rnd SR-3M \"Vihkr\" Magazine",
		bm_wp_wpn_fps_ass_valpha_magazine_small = "10rnd AS \"Val\" Magazine",
		-- bm_wp_wpn_fps_ass_valpha_stock_skeleton = "",
		bm_wp_wpn_fps_ass_valpha_stock_sniper = "VSSM \"Vintorez\" Stock",
		bm_wp_wpn_fps_ass_valpha_scope = "NPZ Optics PSO-1 Rifle Scope",
		bm_wp_wpn_fps_ass_valpha_am_spp = "9×39mm SPP",
		bm_wp_wpn_fps_ass_valpha_am_spp_meme = "Season 6 9×39mm SPP",
		
		--[MW2019 SCAR-H]
		bm_wp_wpn_fps_ass_scharlie_barrel_short = "13\" Barrel",
		bm_wp_wpn_fps_ass_scharlie_barrel_pdw = "7.5\" Barrel",
		bm_wp_wpn_fps_ass_scharlie_receiver_upper_pdw = "SCAR-SC Receiver",
		bm_wp_wpn_fps_ass_scharlie_barrel_dmr = "20\" Barrel",
		-- bm_wp_wpn_fps_ass_scharlie_barrel_mid = "", fuck this
		bm_wp_wpn_fps_ass_scharlie_receiver_upper_dmr = "MK.20 SSR Kit",
		bm_wp_wpn_fps_ass_scharlie_light_am = ".308 Winchester",
		bm_wp_wpn_fps_ass_scharlie_magazine_25 = "25rnd MK.17 Magazine",
		bm_wp_wpn_fps_ass_scharlie_magazine_30 = "30rnd MK.17 Magazine",
		bm_wp_wpn_fps_ass_scharlie_magazine_drum = "50rnd MK.17 Drum",
		bm_wp_wpn_fps_ass_scharlie_stock_pdw = "Retracted SCAR-SC Stock",
		bm_wp_wpn_fps_ass_scharlie_stock_pdw_ext = "Extended SCAR-SC Stock",
		
		--[SCAR-L/M203]
		bm_w_scarl = "Fabrique Nationale MK.16",
		bm_wp_wpn_fps_upg_scarl_barrel_cqc = "10\" Barrel",
		bm_wp_wpn_fps_upg_scarl_barrel_long = "18\" Barrel",
		bm_wp_wpn_fps_upg_scarl_mag_pdw = "20rnd MK.16 PDW Magazine",
		bm_wp_wpn_fps_upg_scarl_rail_kinetic_mrex = "Kinetic Development Group MREX Rail",
		bm_wp_wpn_fps_upg_scarl_rail_midwest_ext = "Midwest Industries SCAR Rail Extension",
		bm_wp_wpn_fps_upg_scarl_rail_nitro_v = "Nitro.Vo Rail Extension",
		bm_wp_wpn_fps_upg_scarl_rail_vltor_casv = "VLTOR CASV-SCAR Handguard",
		bm_wp_wpn_fps_upg_scarl_stock_pdw = "Extended MK.16 PDW Stock",
		bm_wp_wpn_fps_upg_scarl_stock_pdw_collapsed = "Collapsed MK.16 PDW Stock",
		bm_w_scar_m203 = "Fabrique Nationale MK.16 M203",
		bm_wp_wpn_fps_upg_scar_m203_barrel_long = "18\" Barrel",
		bm_wp_wpn_fps_upg_scar_m203_buckshot = "40×46mm M576 00 Buck",
		bm_wp_wpn_fps_upg_scar_m203_incen = "40×46mm Incendiary",
		bm_wp_wpn_fps_upg_scar_m203_slug = "40×46mm M576 Armor Piercing Slug",
		bm_wp_wpn_fps_upg_scar_m203_sight = "M203 Leaf Sight",
		bm_wp_wpn_fps_upg_scar_m203_stock_pdw = "MK.16 PDW Collapsible Stock",
		
		--[SG416 ~ Vanilla Mod Pack]
		bm_w_sg416 = "Heckler & Koch HK416",
		bm_wp_wpn_fps_ass_sg416_b_long = "16.5\" Barrel",
		bm_wp_wpn_fps_ass_sg416_dh_custom = "Fortis Hammer Charging Handle",
		
		--[Patriot]
		bm_w_patriot = "Colt M16A1 \"Patriot\"", -- blargh too many m16s
		bm_w_x_patriot = "Akimbo Colt Patriots",
		
		--[Galil ACE]
		bm_w_galilace = "IMI Galil ACE 23",
		bm_wp_wpn_fps_upg_galilace_barrel_ace21 = "8.5\" Barrel",
		bm_wp_wpn_fps_upg_galilace_barrel_ace22 = "13.2\" Barrel",
		bm_wp_wpn_fps_upg_galilace_stock_folding = "Sidefolding Stock",
		
		--[Galil ACE 7.62]
		bm_w_galilace762 = "IMI Galil ACE 52",
		bm_wp_wpn_fps_upg_galilace762_barrel_med = "13.2\" Barrel",
		bm_wp_wpn_fps_upg_galilace762_barrel_short = "8.5\" Barrel",
		bm_wp_wpn_fps_upg_galilace762_mag_ranger = "20rnd SR-25 Magazine w/Ranger Plate",
		
		--[G3A3/HK79]
		bm_w_g3hk79 = "Heckler & Koch G3A3 HK79",
		bm_wp_wpn_fps_upg_g3hk79_mag_drum = "50rnd X-Products X-91 Drum",
		
		--[G36K]
		bm_w_g36k = "Heckler & Koch G36KA4",
		bm_wp_wpn_fps_upg_g36k_barrel_long = "20.1\" Barrel",
		bm_wp_wpn_fps_upg_g36k_barrel_medium = "18.9\" Barrel",
		bm_wp_wpn_fps_upg_g36k_export_sight = "G36E 1.5× Sight",
		bm_wp_wpn_fps_upg_g36k_fg_bt = "Brügger & Thomet G36C Quad Rail",
		bm_wp_wpn_fps_upg_g36k_fg_btlong = "Brügger & Thomet G36 Quad Rail",
		bm_wp_wpn_fps_upg_g36k_fg_kac = "Knight's Armament Co. G36K Quad Rail",
		bm_wp_wpn_fps_upg_g36k_fg_kaclong = "Knight's Armament Co. G36 Quad Rail",
		bm_wp_wpn_fps_upg_g36k_fg_kacshort = "Knight's Armament Co. G36C Quad Rail",
		bm_wp_wpn_fps_upg_g36k_mag_dual30 = "Dual 30rnd G36 Magazines",
		bm_wp_wpn_fps_upg_g36k_mag20 = "20rnd G36 Magazine",
		bm_wp_wpn_fps_upg_g36k_mag20magpul = "20rnd G36 Magazine w/Sleeve",
		bm_wp_wpn_fps_upg_g36k_mag30magpul = "30rnd G36 Magazine w/Sleeve",
		bm_wp_wpn_fps_upg_g36k_rail_covers = "Magpul XT Rail Covers",
		bm_wp_wpn_fps_upg_g36k_sightrail_kac = "Knight's Armament Co. G36 Sight Rail",
		bm_wp_wpn_fps_upg_g36k_stock_classic = "Sidefolding G36C Stock",
		
		--[Golden AKMS ~ AK Pack 2]
		bm_wp_wpn_fps_ass_ak_stamp_gold_dc_bling = "Diamond Encrusted Dust Cover",
		bm_wp_wpn_fps_ass_ak_stamp_gold_uhg_bling = "Diamond Encrusted Upper Handguard",
		bm_wp_wpn_fps_ass_ak_stamp_gold_m_steel_40 = "40rnd RPK Magazine",
		bm_wp_wpn_fps_ass_ak_stamp_gold_md_no = "No Muzzle Brake",
		bm_wp_wpn_fps_ass_ak_stamp_gold_clr_no = "No Cleaning Rod",
		bm_wp_wpn_fps_ass_ak_stamp_gold_dc_no = "No Dust Cover",
		bm_wp_wpn_fps_ass_ak_stamp_gold_lhg_no = "No Lower Handguard",
		bm_wp_wpn_fps_ass_ak_stamp_gold_uhg_no = "No Upper Handguard",
		bm_wp_wpn_fps_ass_ak_stamp_gold_st_no = "No Stock",
		
		--[HK33]
		bm_w_hk33 = "Heckler & Koch HK33A2",
		bm_wp_wpn_fps_ass_hk33_fg_tactical = "Tri-Rail Handguard",
		bm_wp_wpn_fps_ass_hk33_mag_25 = "25rnd HK33 Magazine",
		bm_wp_wpn_fps_ass_hk33_mag_40 = "40rnd HK33 Magazine",
		bm_wp_wpn_fps_ass_hk33_stock_adj = "Retractable Stock",
		bm_wp_wpn_fps_ass_hk33_stock_cap = "No Stock",
		bm_wp_wpn_fps_ass_hk33_stock_sniper = "Cheek Pad Stock",
		
		--[HK416]
		bm_w_hk416 = "Heckler & Koch HK416",
		bm_wp_wpn_fps_upg_hk416_barrel_long = "19.9\" Barrel",
		bm_wp_wpn_fps_upg_hk416_barrel_short = "10.4\" Barrel",
		bm_wp_wpn_fps_upg_hk416_bolt_sai = "Saliant Arms International \"Tier 1\" Bolt",
		bm_wp_wpn_fps_upg_hk416_handguard_c = "HK416-C Kit",
		bm_wp_wpn_fps_upg_hk416_handguard_elite = "Armi Dallera Custom ELITE Handguard",
		bm_wp_wpn_fps_upg_hk416_handguard_long = "M27 IAR Kit",
		bm_wp_wpn_fps_upg_hk416_handguard_troyalpha = "Troy Industries Alpha Battle Rail",
		bm_wp_wpn_fps_upg_hk416_handle_bcm = "Bravo Co. GUNFIGHTER Charging Handle",
		bm_wp_wpn_fps_upg_hk416_rail_covers = "Magpul XT Rail Covers",
		bm_wp_wpn_fps_upg_hk416_stock_hk416c = "Extended HK416-C Stock",
		bm_wp_wpn_fps_upg_hk416_sights_frontfold = "HK416 Flip-up Front Sight",
		bm_wp_wpn_fps_upg_hk416_stock_e1 = "E1 Stock",
		bm_wp_wpn_fps_upg_hk416_stock_hk416c_collapsed = "Retracted HK416-C Stock",
		bm_wp_wpn_fps_upg_hk416_stock_slimline = "Extended Slimline Stock",
		
		--[HK416A5]
		bm_w_raifu = "Heckler & Koch HK416A5",
		bm_wp_wpn_fps_upg_raifu_s_moe = "Magpul MOE Stock",
		bm_wp_wpn_fps_upg_raifu_fg_mlok = "Midwest Industries 9\" M-LOK Handguard",
		bm_wp_wpn_fps_upg_raifu_ns_tan = "Knight's Armament Co. NT-4 Suppressor",
		bm_wp_wpn_fps_upg_raifu_am_blackhills = "5.56×45mm NATO Mk262",
		bm_wp_wpn_fps_upg_raifu_am_blackhills_desc = "Match-grade, open-tip, 77-grain variant of the 5.56 NATO cartridge manufactured by Black Hills Ammunition; used by the U.S. Navy SEALs to kill Osama Bin Laden during Operation Neptune Spear in 2011.\n\n+25% headshot damage. -5% pickup rate.",
		
		--[HK416C]
		bm_wp_wpn_fps_ass_drongo_s_compact = "Retractable Stock",
		bm_wp_wpn_fps_upg_drongo_s_orig = "E2 Stock",
		
		--[HK417]
		bm_w_recce = "Heckler & Koch HK417",
		bm_wp_wpn_fps_upg_recce_s_orig = "E2 Stock",
		
		--[HK417 ~ Hinaomi's Rebalance]
		bm_w_contrabandc = "Heckler & Koch HK417",
		
		--[HK433]
		bm_w_hkg14976 = "Heckler & Koch HK433",
		bm_wp_wpn_fps_ass_hkg14976_b_11in = "11\" Barrel",
		bm_wp_wpn_fps_ass_hkg14976_b_145in = "14.5\" Barrel",
		bm_wp_wpn_fps_ass_hkg14976_hg_long = "Long Handguard",
		bm_wp_wpn_fps_ass_hkg14976_b_supp = "Suppressed Barrel",
		bm_wp_wpn_fps_ass_hkg14976_s_marksman = "Extended Stock",
		bm_wp_wpn_fps_ass_hkg14976_s_telescopic = "Retractable Stock",
		
		--[Honey Badger]
		bm_w_bajur = "Advanced Armament Co. Honey Badger",
		bm_wp_wpn_fps_upg_bajur_m_quick = "20rnd Magpul PMAG Magazine w/Sleeve",
		bm_wp_wpn_fps_upg_bajur_am_grendel = "6.5×39mm Grendel",
		bm_wp_wpn_fps_upg_bajur_am_grendel_desc = "Intermediate rifle cartridge designed for AR-15 type rifles with high accuracy and controllable recoil in mind.\n\n-25% pickup rate.",
		bm_wp_wpn_fps_upg_bajur_s_nope = "No Stock",
		bm_wp_wpn_fps_upg_bajur_b_short = "Short Barrel",
		bm_wp_wpn_fps_upg_bajur_b_long = "Long Barrel",
		bm_wp_wpn_fps_upg_bajur_fg_dmr = "Long Handguard w/.50 Beowulf Kit",
		bm_wp_wpn_fps_upg_bajur_fg_dmr_desc = "Rechambers the Honey Badger with the more powerful .50 Beowulf cartridge and increases the handguard length to be California compliant. -76%/-25% pickup rate.\n\n\"UNPOSSIBLE\"",
		--bm_wp_wpn_fps_upg_bajur_m_pants = "",
		bm_wp_wpn_fps_upg_bajur_ex_black = "Black Receiver",
		
		--[Honey Badger again]
		bm_w_betty = "Q Honey Badger SBR",
		bm_w_petto = "Q Honey Badger",
		bm_wp_wpn_fps_upg_betty_b_long = "Long Barrel",
		bm_wp_wpn_fps_upg_betty_b_stub = "Short Barrel",
		bm_wp_wpn_fps_upg_betty_vg_rtm = "RTM \"Pillau\" Gen 2 Vertical Grip",
		bm_wp_wpn_fps_upg_betty_m_smol = "20rnd Magpul PMAG Magazine",
		bm_wp_wpn_fps_upg_betty_rec_lower_tan = "Desert Tan Receiver",
		bm_wp_wpn_fps_upg_betty_hg_ext = "Full Length Handguard",
		bm_wp_wpn_fps_upg_betty_g_magpul = "Magpul MIAD Gen 1 Pistol Grip",
		bm_wp_wpn_fps_upg_betty_g_hera = "Hera Arms HG-15 Pistol Grip",
		bm_wp_wpn_fps_upg_betty_o_pro = "Magpul MBUS Pro Back-up Sights",
		bm_wp_wpn_fps_upg_betty_co_cherrybomb = "\"Cherry Bomb\" Muzzle Brake",
		bm_wp_wpn_fps_ass_betty_ns_standard = "Proprietary Suppressor",
		bm_wp_wpn_fps_upg_petto_hg_smol = "SBR Handguard",
		
		--[Hornet ~ Vanilla Mod Pack]
		bm_w_bdgr = "Q Honey Badger SD",
		bm_wp_wpn_fps_bdgr_uupg_fg_small = "Short Handguard",
		
		--[M21A]
		bm_w_howl = "Zastava Arms M21-A",
		bm_wp_wpn_fps_upg_howl_b_smol = "14.8\" Barrel",
		bm_wp_wpn_fps_upg_howl_b_smol_desc = "Shorter barrel seen on the SBS variant.\n\n+45%/+70% pickup rate.",
		bm_wp_wpn_fps_upg_howl_s_nah = "No Stock",
		bm_wp_wpn_fps_upg_howl_dh_bling = "Gold Plated Bolt",
		
		--[N4]
		bm_w_rabbit = "Noveske N4 \"Diplomat\"", -- peko
		bm_wp_wpn_fps_upg_rabbit_l_bad = "Magpul BAD Lever",
		bm_wp_wpn_fps_upg_rabbit_s_pod = "Magpul CTR & LaRue RISR/POD Combo",
		bm_wp_wpn_fps_upg_rabbit_fg_ext = "N4 \"Afghan\" Handguard",
		bm_wp_wpn_fps_upg_rabbit_am_blk = ".300 Blackout",
		bm_wp_wpn_fps_upg_rabbit_am_blk_desc = "Intermediate cartridge designed to achieve ballistics similar to the 7.62×39mm round.\n\nPierces through body armor. +5% pickup rate.",
		
		--[TAR-21]
		bm_w_tar21 = "IMI Tavor TAR-21",
		bm_wp_wpn_fps_ass_tar21_b_ctar = "15\" Barrel",
		bm_wp_wpn_fps_ass_tar21_b_star = "18.1\" Barrel",
		bm_wp_wpn_fps_ass_tar21_a_sniper = "STAR-21 Kit",
		bm_wp_wpn_fps_ass_tar21_a_sniper_desc = "Pierces through cover, shields & body armor. Locks weapon to semi-auto only. -33/-50% pickup rate.",
		bm_wp_wpn_fps_ass_tar21_m_ranger = "30rnd STANAG Magazine w/Ranger Plate",
		bm_wp_wpn_fps_ass_tar21_o_mepro = "Meprolight M21 Reflex Sight",
		bm_wp_wpn_fps_ass_tar21_o_mars = "ITL MARS Reflex Sight",
		
		--[Type 89/64]
		bm_w_howa = "Howa Type 89",
		bm_wp_wpn_fps_ass_howa_t64_body = "Type 64 Kit",
		bm_wp_wpn_fps_ass_howa_t64_body_desc = "Reconfigures the Type 89 to its older, pre-modern battle rifle chambered for modified 7.62 NATO rounds.\n\n-50% pickup rate.",
		bm_wp_wpn_fps_ass_howa_t89_body = "Type 89 Kit",
		bm_wp_wpn_fps_ass_howa_b_para = "Short Barrel",
		bm_wp_wpn_fps_ass_howa_s_skeletal = "Sidefolding Type 89-F Stock",
		bm_wp_wpn_fps_ass_howa_s_wrapped = "Cloth Wrap",
		
		--[X95]
		bm_wp_wpn_fps_upg_x95_barrel_long = "15\" Barrel",
		bm_wp_wpn_fps_upg_x95_mag_strap = "30rnd STANAG Magazine w/Taped Straps",
		bm_wp_wpn_fps_upg_x95_pmag_assist = "30rnd Magpul PMAG Magazine w/Sleeve",
		
		--[K2]
		bm_w_k2 = "Daewoo Precision Industries K2",
		bm_wp_wpn_fps_ass_k2_b_dmr = "DR-200 Barrel",
		bm_wp_wpn_fps_ass_k2_fg_polymer = "K2 Handguard",
		bm_wp_wpn_fps_ass_k2_s_solid = "DR-200 Stock",
		
		--[K22]
		bm_w_munmu = "Daewoo Precision Industries K2",
		bm_wp_wpn_fps_ass_munmu_b_ns = "Short Barrel",
		bm_wp_wpn_fps_ass_munmu_b_nl = "Long Barrel",
		bm_wp_wpn_fps_ass_munmu_b_ts = "Short Fluted Barrel",
		bm_wp_wpn_fps_ass_munmu_b_tl = "Long Fluted Barrel",
		bm_wp_wpn_fps_ass_munmu_b_tm = "Fluted Barrel",
		bm_wp_wpn_fps_ass_munmu_m_mrp = "30rnd Magpul PMAG Mag. w/Ranger Plate",
		bm_wp_wpn_fps_ass_munmu_m_vm = "25rnd FAMAS F1 Magazine",
		bm_wp_wpn_fps_ass_munmu_m_cm = "Dual 30rnd Magpul PMAG Gen 2 Mags.",
		bm_wp_wpn_fps_ass_munmu_o_gitsk2 = "K2 Iron Sights",
		
		--[GRY]
		bm_w_saigry = "Salient Arms International GRY SBR",
		bm_wp_wpn_fps_upg_saigry_jailbrake = "\"JailBrake\" Muzzle Device",
		bm_wp_wpn_fps_upg_saigry_a_556 = "5.56×45mm NATO",
		bm_wp_wpn_fps_upg_saigry_a_556_desc = "+350%/+150% pickup rate.",
		
		--[GRY again]
		bm_w_grayhound = "Salient Arms International GRY Carbine",
		bm_wp_wpn_fps_ass_grayhound_ba_mk18 = "11.5\" Barrel",
		bm_wp_wpn_fps_ass_grayhound_hg_sai = "Salient Arms 14.5\" QD Rail Handguard",
		bm_wp_wpn_fps_ass_grayhound_hg_sai_short = "Salient Arms 10\" QD Rail Handguard",
		bm_wp_wpn_fps_ass_grayhound_ex_jb = "\"JailBrake\" Muzzle Device",
		
		--[L1A1]
		bm_w_l1a1 = "Lithgow Arms L1A1",
		bm_wp_wpn_fps_ass_l1a1_mag_short = "10rnd L1A1 Magazine",
		bm_wp_wpn_fps_ass_l1a1_mag_big = "30rnd L1A1 Magazine",
		bm_wp_wpn_fps_ass_l1a1_foregrip_wood = "Wooden Handguard",
		bm_wp_wpn_fps_ass_l1a1_grip_wood = "Wooden Pistol Grip",
		bm_wp_wpn_fps_ass_l1a1_barrel_long = "Long Barrel",
		bm_wp_wpn_fps_ass_l1a1_ns_fal = "Enterprise Arms Zero Climb Muzzle Brake",
		
		--[L22]
		bm_w_fckmyfingers = "Enfield L22A2",
		bm_wp_wpn_fps_pdw_fckmyfingers_o_susat = "SUSAT Scope",
		
		--[OBR 5.56]
		bm_w_obr5 = "LaRue Tactical OBR 5.56",
		bm_wp_wpn_fps_upg_obr5_barrel_long = "18\" Barrel",
		bm_wp_wpn_fps_upg_obr5_barrel_short = "12\" Barrel",
		bm_wp_wpn_fps_upg_obr5_barrel_short_stainless = "12\" Stainless Steel Barrel",
		bm_wp_wpn_fps_upg_obr5_barrel_stainless = "16\" Stainless Steel Barrel",
		bm_wp_wpn_fps_upg_obr5_bolt_salient_tier_one = "Salient Arms International \"Tier 1\" Bolt",
		bm_wp_wpn_fps_upg_obr5_grip_moe = "Magpul MOE Pistol Grip",
		bm_wp_wpn_fps_upg_obr5_handguard_griptape = "Grip Taped Handguard",
		bm_wp_wpn_fps_upg_obr5_handle_bcm = "Bravo Co. GUNFIGHTER Charging Handle",
		bm_wp_wpn_fps_upg_obr5_larue_grip_panels = "LaRue Tactical Grip Adapter Panels",
		bm_wp_wpn_fps_upg_obr5_ns_sf_flash_hider = "SureFire FH556-212A Flash Suppressor",
		bm_wp_wpn_fps_upg_obr5_mag_pmag30_assist = "30rnd Magpul PMAG Magazine w/Sleeve",
		bm_wp_wpn_fps_upg_obr5_mag_stanag20_duct_tape = "20rnd STANAG Magazine w/Taped Straps",
		bm_wp_wpn_fps_upg_obr5_mag_stanag30_duct_tape = "30rnd STANAG Magazine w/Taped Straps",
		bm_wp_wpn_fps_upg_obr5_stock_ctr_pod_riser = "Magpul CTR & LaRue RISR/POD Combo",
		bm_wp_wpn_fps_upg_obr5_supp_sf_minimonster = "SureFire MINI-MONSTER Suppressor",
		bm_wp_wpn_fps_upg_obr5_vg_larue_handstop = "LaRue Tactical HandStop w/Grip Panels",
		
		--[OBR 7.62]
		bm_w_obr7 = "LaRue Tactical OBR 7.62",
		bm_wp_wpn_fps_upg_obr7_anpeq2 = "Insight Technology AN/PEQ-2",
		bm_wp_wpn_fps_upg_obr7_barrel_long = "20\" Barrel",
		bm_wp_wpn_fps_upg_obr7_deltatitanium = "Delta Titanium 3-24×56 Rifle Scope",
		bm_wp_wpn_fps_upg_obr7_grip_miad = "Magpul MIAD Pistol Grip",
		bm_wp_wpn_fps_upg_obr7_grip_vindicator = "Pachmayr Vindicator Pistol Grip",
		bm_wp_wpn_fps_upg_obr7_larue_handstop = "LaRue Tactical HandStop",
		bm_wp_wpn_fps_upg_obr7_st10 = "U.S. Optics ST-10 Rifle Scope",
		bm_wp_wpn_fps_upg_obr7_stock_ctr_riser = "Magpul CTR Stock w/Cheek Riser",
		bm_wp_wpn_fps_upg_obr7_supp_nt4 = "Knight's Armament Co. NT-4 Suppressor",
		bm_wp_wpn_fps_upg_obr7_surefire211c = "SureFire MB762-211C Muzzle Brake",
		
		--[LK-05]
		bm_w_lkrifle = "Lithgow Arms LK-05",
		bm_wp_wpn_fps_ass_lkrifle_vg_ergo = "Leapers UTG Ambidextrous Vertical Grip",
		bm_wp_wpn_fps_ass_lkrifle_vg_smol = "Bravo Co. GUNFIGHTER Short Vertical Grip",
		bm_wp_wpn_fps_ass_lkrifle_expertsight = "Noveske Flip-up Battle Sights",
		bm_wp_wpn_fps_ass_lkrifle_a_fuerte = "5.56×45mm NATO Hollow Point",
		bm_wp_wpn_fps_ass_lkrifle_a_fuerte_desc = "-55%/-25% pickup rate.",
		
		--[M1A1]
		bm_w_m1a1 = "Fulton Armory M1A1 Carbine", -- pretty sure F.A. wasn't around until the 1980s, but the weapon has no markings cluing me in on its manufacturer, so... eh
		bm_wp_wpn_fps_upg_m1a1_grip = "Plainfield Machine Co. M1 Pistol Grip",
		bm_wp_wpn_fps_upg_m1a1_mag_30 = "30rnd M1 Magazine",
		bm_wp_wpn_fps_upg_m1a1_mag_30dual = "Dual 30rnd M1 Magazines",
		bm_wp_wpn_fps_upg_m1a1_scope_m84 = "M84 Sniper Scope",
		bm_wp_wpn_fps_upg_m1a1_stock_ammopounches = "Ammo Pouch",
		bm_wp_wpn_fps_upg_m1a1_stock_m2ammopounches = "M1 Stock w/Ammo Pouch",
		bm_wp_wpn_fps_upg_m1a1_stock_m2cheekrest = "M1 Stock w/Cheek Rest",
		
		--[M4A1-S]
		bm_w_m4a1s = "Colt Model 723 Carbine",
		bm_wp_wpn_fps_ass_m4a1s_silencer_standard = "Standard Suppressor", -- No clue what this is. It could be a generic suppressor model for all I care
		bm_wp_wpn_fps_ass_m4a1s_body_mecha = "\"Mecha Industries\" Finish",
		bm_wp_wpn_fps_ass_m4a1s_silencer_mecha = "\"Mecha Industries\" Suppressor",
		bm_wp_wpn_fps_ass_m4a1s_mag_mecha = "30rnd \"Mecha Industries\" Magazine",
		bm_wp_wpn_fps_ass_m4a1s_body_coil = "\"Golden Coil\" Finish",
		bm_wp_wpn_fps_ass_m4a1s_silencer_coil = "\"Golden Coil\" Suppressor",
		bm_wp_wpn_fps_ass_m4a1s_mag_coil = "30rnd \"Golden Coil\" Magazine",
		bm_wp_wpn_fps_ass_m4a1s_body_flashback = "\"Flashback\" Finish",
		bm_wp_wpn_fps_ass_m4a1s_silencer_flashback = "\"Flashback\" Suppressor",
		bm_wp_wpn_fps_ass_m4a1s_mag_flashback = "30rnd \"Flashback\" Magazine",
		bm_wp_wpn_fps_ass_m4a1s_body_cyrex = "\"Cyrex\" Finish",
		bm_wp_wpn_fps_ass_m4a1s_silencer_cyrex = "\"Cyrex\" Suppressor",
		bm_wp_wpn_fps_ass_m4a1s_mag_cyrex = "30rnd \"Cyrex\" Magazine",
		bm_wp_wpn_fps_ass_m4a1s_body_hyperbeast = "\"Hyper Beast\" Finish",
		bm_wp_wpn_fps_ass_m4a1s_silencer_hyperbeast = "\"Hyper Beast\" Suppressor",
		bm_wp_wpn_fps_ass_m4a1s_mag_hyperbeast = "30rnd \"Hyper Beast\" Magazine",
		bm_wp_wpn_fps_ass_m4a1s_body_deci = "\"Decimator\" Finish",
		bm_wp_wpn_fps_ass_m4a1s_silencer_deci = "\"Decimator\" Suppressor",
		bm_wp_wpn_fps_ass_m4a1s_mag_deci = "30rnd \"Decimator\" Magazine",
		
		--[M4A1 Flash]
		bm_w_cso2m4a1flash = "Colt M4A1 \"Flash\"",
		bm_wp_wpn_fps_ass_cso2m4a1flash_silencer = "Flash Suppressor",
		bm_wp_wpn_fps_ass_cso2m4a1flash_sights_reddot = "Flash Holographic Sight",
		
		--[M14E2]
		bm_w_m14e2 = "Springfield Armory M14",
		bm_wp_wpn_fps_ass_m14e2_gl_m203 = "Colt M203 Grenade Launcher",
		bm_wp_wpn_fps_ass_m14e2_gl_masterkey = "Knight's Armament Co. Masterkey",
		bm_wp_wpn_fps_ass_m14e2_gl_flamer = "Flamethrower",
		bm_wp_wpn_fps_ass_m14e2_fg_vgrip = "M14E2 Folding Vertical Grip",
		bm_wp_wpn_fps_ass_m14e2_ns_supp = "Heavy Suppressor",
		bm_wp_wpn_fps_ass_m14e2_m_extended = "30rnd M14 Magazine",
		bm_wp_wpn_fps_ass_m14e2_m_extended_desc = "Extended magazine capacity with lighter 7.62mm load.\n\n+190%/+200% pickup rate.",
		bm_wp_wpn_fps_ass_m14e2_fg_bipod = "Harris Bipod",
		bm_wp_wpn_fps_upg_o_anpvs = "Optic Electronic AN/PVS-4 Scope",
		bm_wp_wpn_fps_upg_o_colt = "Colt 3×20 Rifle Scope",
		bm_wp_wpn_fps_upg_o_aimpointx = "Aimpoint Electronic Reflex Sight",
		bm_wp_wpn_fps_upg_o_elbit = "Elbit Falcon Red Dot",
		
		--[M27]
		bm_w_m27gear = "Heckler & Koch M27 IAR",
		bm_wp_wpn_fps_ass_m27gear_b_long = "20\" Barrel",
		
		--[Mamba ~ Vanilla Mod Pack]
		bm_w_aknato = "Kalashnikov Concern AK-102",
		bm_wp_wpn_fps_ass_aknato_fg_smooth = "Polymer Lower Handguard",
		bm_wp_wpn_fps_ass_aknato_b_long = "16.3\" Barrel",
		
		--[Maverick]
		bm_w_mav = "TRENSYS Technologies RM-22 \"Maverick\"", -- fictional for the most part, so going with whatever it says on the gun markings
		bm_wp_wpn_fps_upg_mav_ns_big = "A2 Suppressor",
		
		--[MK.17 MOD 0 ~ FNH Pack]
		bm_w_mk17 = "Fabrique Nationale MK.17 Mod 0",
		bm_wp_wpn_fps_upg_mk17_b_smol = "Short Barrel", -- not quite the same length as the 13-inch barrel seen on the CQC variant
		bm_wp_wpn_fps_upg_mk17_b_long = "Long Barrel",
		bm_wp_wpn_fps_upg_mk17_ex_rail = "Midwest Industries SCAR Rail Extension",
		bm_wp_wpn_fps_upg_mk17_bolt_old_desc = "-25% pickup rate.",
		bm_wp_wpn_fps_upg_mk17_rec_upper_mk20 = "MK.20 Mod 0 Kit",
		bm_wp_wpn_fps_upg_mk17_rec_upper_mk20_desc = "Pierces through cover, shields & body armor. -45% pickup rate.",
		bm_wp_wpn_fps_upg_mk17_rec_lower_black = "Black Receiver",
		bm_wp_wpn_fps_upg_mk17_m_quick = "20rnd MK.17 Magazine w/Sleeve",
		bm_wp_wpn_fps_upg_mk17_m_smol = "10rnd MK.17 Magazine",
		
		--[MK18]
		bm_w_mk18s = "U.S. Navy MK.18 Mod 1 CQB-R",
		bm_wp_wpn_fps_ass_mk18s_vg_ptk = "FAB Defense PTK Ergo Pointing Grip",
		bm_wp_wpn_fps_ass_mk18s_tacstock = "Magpul MOE Stock",
		bm_wp_wpn_fps_ass_mk18s_grip_black = "Black Pistol Grip",
		bm_wp_wpn_fps_ass_mk18s_fg_black = "Black Quad Rail",
		bm_wp_wpn_fps_ass_mk18s_a_classic_desc = "-50%/-15% pickup rate.",
		bm_wp_wpn_fps_ass_mk18s_a_strong_desc = "-75%/-50% pickup rate.",
		bm_wp_wpn_fps_ass_mk18s_a_weak_desc = "+120%/+110% pickup rate.",
		bm_wp_wpn_fps_ass_mk18s_a_dmr_desc = "-85%/-84% pickup rate.",
		bm_wp_wpn_fps_ass_mk18s_a_classic = "5.56×45mm NATO Hollow Point",
		bm_wp_wpn_fps_ass_mk18s_a_strong = ".300 Blackout",
		bm_wp_wpn_fps_ass_mk18s_a_weak = ".223 Remington",
		bm_wp_wpn_fps_ass_mk18s_a_dmr = ".50 Beowulf",
		
		--[Montana 5.56]
		bm_w_yayo = "Colt M16A4 M203",
		bm_wp_wpn_fps_ass_yayo_irons2 = "Troy Industries Flip-up Rear Sight",
		bm_wp_wpn_fps_ass_yayo_fg_rail = "Knight's Armament Co. M5 RAS Handguard",
		bm_wp_wpn_fps_ass_yayo_g_ergo = "A2 Beavertail Pistol Grip",
		bm_wp_wpn_fps_ass_yayo_mag_dual = "Dual 30rnd STANAG Magazines",
		bm_wp_wpn_fps_ass_yayo_flipup = "Knight's Armament Co. Back-up Rear Sight",
		
		--[MX Garand]
		bm_w_mxg = "Springfield Armory M2 Raider", -- BO3 pre-release name; not to be confused with the Model 1922
		
		--[NV4] -- goddamn it rjc stop fucking porting cod guns
		bm_w_nova4 = "Kendall Rifleworks NV4 Mod 0",
		
		--[PDW]
		bm_w_pdw = "Knight's Armament Co. PDW",
		
		--[Perfectly (ab)normal MCX]
		bm_w_mcbravo = "Q Honey Badger SBR",
		bm_wp_wpn_fps_ass_mcbravo_magazine_ext = "40rnd Magpul PMAG Magazine",
		bm_wp_wpn_fps_ass_mcbravo_magazine_small = "20rnd Magpul PMAG Magazine",
		bm_wp_wpn_fps_ass_mcbravo_grip_ass = "A2 Pistol Grip",
		
		--[HCAR]
		bm_wp_wpn_fps_upg_hcar_mag_30 = "30rnd HCAR Magazine",
		bm_wp_wpn_fps_upg_hcar_body_black = "Black Receiver",
		bm_wp_wpn_fps_upg_hcar_high_cyclic = "Rapid Fire",
		bm_wp_wpn_fps_upg_hcar_stock_ctr_riser = "Magpul CTR Stock w/Cheek Riser",
		
		--[Groza]
		bm_w_ots_14_4a = "TsKIB SOO OTs-14-4A-01 \"Groza\"",
		bm_wp_wpn_fps_upg_ots_14_4a_handle_custom = "Bronze Bolt w/Armacon Handle Cap",
		bm_wp_wpn_fps_upg_ots_14_4a_grip_black = "Arsenal AK Polymer Pistol Grip",
		bm_wp_wpn_fps_upg_ots_14_4a_supp_b = "Short Barrel w/Railed Groza PBS Supp.",
		
		--[QBZ-03]
		bm_w_qbz3 = "Norinco QBZ-03",
		bm_wp_wpn_fps_ass_qbz3_grip_green = "Olive Drab Furniture",
		bm_wp_wpn_fps_ass_qbz3_magpul = "30rnd QBZ-03 Magazine w/Sleeve",
		
		--[QBZ-95]
		bm_w_qbz95 = "Norinco QBZ-95-1",
		bm_wp_wpn_fps_ass_qbz95_b_long = "23.6\" Barrel",
		bm_wp_wpn_fps_ass_qbz95_b_short = "14.5\" Barrel",
		bm_wp_wpn_fps_ass_qbz95_m_drum = "75rnd QBB-95 Drum",
		bm_wp_wpn_fps_ass_qbz95_magpul = "30rnd QBZ-95 Magazine w/Sleeve",
		bm_wp_wpn_fps_ass_qbz95_fg_rails = "Quad Rail Handguard",
		
		--[R4-C]
		bm_w_r6s_r4c = "Remington R4-C",
		bm_wp_wpn_fps_ass_r6s_r4c_barrel_ext = "Long Barrel",
		
		--[R5]
		bm_w_r5 = "Remington R5 RGP",
		bm_wp_wpn_fps_ass_r5_body_standard_alt = "Black Receiver",
		
		--[R5 again]
		bm_w_mikon = "Remington R5 RGP",
		bm_wp_wpn_fps_upg_mikon_am_spc = "6.8×43mm Remington SPC",
		bm_wp_wpn_fps_upg_mikon_am_spc_desc = "Intermediate rifle cartridge developed as a stronger replacement to the 5.56 NATO round.\n\n-25% pickup rate.",
		bm_wp_wpn_fps_upg_mikon_am_parp = ".223 Remington",
		bm_wp_wpn_fps_upg_mikon_am_parp_desc = "Parent cartridge to the 5.56 NATO round.\n\n+115% pickup rate.",
		
		--[Ruger-14]
		bm_w_mini14 = "Ruger Mini-14",
		bm_wp_wpn_fps_ass_mini14_body_gb = "Wooden Body w/Sidefolding Stock",
		bm_wp_wpn_fps_ass_mini14_body_gbsynth = "Polymer Body w/Butler Creek Stock",
		bm_wp_wpn_fps_ass_mini14_m_extended = "30rnd Mini-14 Magazine",
		bm_wp_wpn_fps_ass_mini14_m_rugged = "30rnd TAPCO Intrafuse Mini-14 Magazine",
		bm_wp_wpn_fps_ass_mini14_o_integral = "Custom Rifle Scope", -- no idea
		
		--[Vz. 58]
		bm_w_vz58 = "CZ SA Vz. 58P",
		bm_wp_wpn_fps_ass_vz58_stock = "Bakelite Stock",
		bm_wp_wpn_fps_upg_vz58_barrel_long = "16.1\" Barrel",
		bm_wp_wpn_fps_upg_vz58_barrel_short = "11.8\" Barrel",
		bm_wp_wpn_fps_upg_vz58_bolt_ambi = "North Eastern Arms Ambidextrous Bolt",
		bm_wp_wpn_fps_upg_vz58_front_sight_xs = "XS Sights Night Sight",
		bm_wp_wpn_fps_upg_vz58_grip_black = "Polymer Pistol Grip",
		bm_wp_wpn_fps_upg_vz58_grip_fab = "FAB Defense AG-58 Ergo Pistol Grip",
		bm_wp_wpn_fps_upg_vz58_handguard_black = "Polymer Handguard",
		bm_wp_wpn_fps_upg_vz58_handguard_fab = "FAB Defense Vz. 58 Polymer Rail",
		bm_wp_wpn_fps_upg_vz58_handguard_nea = "North Eastern Arms Lower Handguard",
		bm_wp_wpn_fps_upg_vz58_handguard_upper_black = "Polymer Upper Handguard",
		bm_wp_wpn_fps_upg_vz58_handguard_upper_rail = "North Eastern Arms Railed Upr. Handguard",
		bm_wp_wpn_fps_upg_vz58_mag_10 = "10rnd Vz. 58 Magazine",
		bm_wp_wpn_fps_upg_vz58_mag_20 = "20rnd Vz. 58 Magazine",
		bm_wp_wpn_fps_upg_vz58_ns_csa = "Czech Small Arms Vz. 58 Muzzle Brake",
		bm_wp_wpn_fps_upg_vz58_pmag = "30rnd Magpul AK PMAG Gen 3 Magazine",
		bm_wp_wpn_fps_upg_vz58_rear_sight_fiber = "Meprolight Tru-Dot Rear Night Sight",
		bm_wp_wpn_fps_upg_vz58_rear_sight_xs = "XS Sights Big Dot Rear Sight",
		bm_wp_wpn_fps_upg_vz58_stock_black = "Polymer Stock",
		bm_wp_wpn_fps_upg_vz58_stock_folding = "Sidefolding Vz. 58V Stock",
		
		--[SAR 21]
		bm_w_sar21 = "ST Kinetics SAR 21 MMS",
		bm_wp_wpn_fps_upg_sar21_barrel_long = "20.2\" Barrel",
		bm_wp_wpn_fps_upg_sar21_barrel_short = "18\" Barrel",
		bm_wp_wpn_fps_upg_sar21_mag_magpul_assist = "30rnd SAR 21 Magazine w/Sleeve",
		bm_wp_wpn_fps_upg_sar21_mag_magpul_assistalt = "30rnd SAR 21 Translucent Mag. w/Sleeve",
		bm_wp_wpn_fps_upg_sar21_mag_translucent = "30rnd SAR 21 Translucent Magazine",
		
		--[SG 510]
		bm_w_sg510 = "SIG SG 510-4",
		bm_wp_wpn_fps_upg_sg510_barrel_heavy = "Heavy Barrel w/7.5×55mm GP 11 Conv. Kit",
		bm_wp_wpn_fps_upg_sg510_barrel_long = "23\" Barrel",
		bm_wp_wpn_fps_upg_sg510_mag_dual = "Dual 20rnd SG 510 Magazines",
		bm_wp_wpn_fps_upg_sg510_mag_ext = "24rnd SG 510 Magazine",
		
		--[SG 552]
		bm_w_sg552 = "SIG SG 552",
		bm_wp_wpn_fps_ass_sg552_fg_large = "SG 550 Handguard",
		bm_wp_wpn_fps_ass_sg552_fg_holo = "SIG556 HOLO Handguard",
		bm_wp_wpn_fps_ass_sg552_g_ergo = "SG 550 SR Pistol Grip",
		bm_wp_wpn_fps_ass_sg552_s_folding = "Folded Stock",
		bm_wp_wpn_fps_ass_sg552_s_modern = "SG 550 SR Adjustable Stock",
		bm_wp_wpn_fps_ass_sg552_a_dmg = "5.56×45mm NATO Hollow Point",
		bm_wp_wpn_fps_ass_sg552_a_dmg_desc = "-75%/-47% pickup rate.",
		
		--[SKS]
		bm_w_sks = "Simonov SKS",
		bm_wp_wpn_fps_upg_sks_mag_detach20 = "20rnd Detachable SKS Magazine",
		bm_wp_wpn_fps_upg_sks_mag_fixed10 = "10rnd Internal SKS Magazine",
		
		--[SKS Pug]
		bm_w_skspug = "CBRPS \"Pug\" SKS Model D",
		bm_wp_wpn_fps_upg_skspug_handguard_railcover = "Magpul XT Rail Covers",
		bm_wp_wpn_fps_upg_skspug_mag_30 = "30rnd SKS Magazine",
		
		--[SOP II]
		bm_w_soppo = "Knight's Armament Co. M4 SOPMOD II",
		bm_wp_wpn_fps_ass_soppo_o_a2 = "A2 Carry Handle & Gas Block Sight",
		bm_wp_wpn_fps_ass_soppo_o_a2_desc = "Detachable carry handle as seen on the M16A4.",
		bm_wp_wpn_fps_ass_soppo_gp_top = "Top Rail",
		bm_wp_wpn_fps_ass_soppo_gp_left = "Left Rail",
		
		--[Spiker ~ Vanilla Mod Pack]
		bm_w_spike = "CBRPS \"Spike\" X1S AK-47",
		bm_wp_wpn_fps_ass_spike_fg_long = "Full Length Handguard",
		
		--[Vikhr]
		bm_w_sr3m = "Tula Arms SR-3M \"Vikhr\"",
		bm_wp_wpn_fps_upg_sr3m_cover_rail = "Red Heat AK Picatinny Rail",
		bm_wp_wpn_fps_upg_sr3m_mag_20rnd = "20rnd AS \"Val\" Magazine",
		bm_wp_wpn_fps_upg_sr3m_mount_midwest = "Midwest Industries AK Scope Mount",
		bm_wp_wpn_fps_upg_sr3m_supp_groza = "OTs-14-4A \"Groza\" Suppressor",
		bm_wp_wpn_fps_upg_sr3m_vertgrip_cover = "No Vertical Grip",
		
		--[ST AR-15]
		bm_w_flat = "Spike's Tactical 10th Anniversary",
		bm_wp_wpn_fps_upg_flat_rec_lower_blk = "Black Lower Receiver", -- the mod3 stuff are just simple recolors; would've made more sense if they were a preset in Weapon Painter instead
		bm_wp_wpn_fps_upg_flat_rec_upper_blk = "Black Upper Receiver",
		bm_wp_wpn_fps_upg_flat_fg_blk = "Black Handguard",
		bm_wp_wpn_fps_upg_flat_s_pod = "Magpul CTR & LaRue RISR/POD Combo",
		bm_wp_wpn_fps_upg_flat_am_woof = ".50 Beowulf",
		bm_wp_wpn_fps_upg_flat_am_woof_desc = "Proprietary rifle cartridge designed for AR-15 type rifles with tremendous stopping power at short to moderate ranges.\n\n-25% pickup rate.",
		bm_wp_wpn_fps_upg_flat_am_weak = ".223 Remington",
		bm_wp_wpn_fps_upg_flat_am_weak_desc = "Rifle cartridge developed in 1957 for the ArmaLite AR-15.\n\nAdds full-auto fire toggle. No armor-piercing capabilities. +350%/+200% pickup rate.",
		bm_wp_wpn_fps_upg_flat_bolt_sai = "Salient Arms International \"Tier 1\" Bolt",
		
		--[SR47]
		bm_w_sr47 = "Knight's Armament Co. SR-47",
		bm_wp_wpn_fps_sr47_uupg_fg_mark = "Daniel Defense EZ CAR Quad Rail", --These handguards are not meant for full length rifles; the largest ones they have are in mid-length
		
		--[STG 44]
		bm_w_stg44 = "Haenel Sturmgewehr 44",
		bm_wp_wpn_fps_ass_stg44_m_short = "20rnd StG-44 Magazine",
		bm_wp_wpn_fps_ass_stg44_m_long = "40rnd StG-44 Magazine",
		bm_wp_wpn_fps_ass_stg44_m_double = "Dual 30rnd StG-44 Magazines",
		bm_wp_wpn_fps_ass_stg44_m_short_double = "Dual 20rnd StG-44 Magazines",
		bm_wp_wpn_fps_ass_stg44_s_plast = "Black Laminated Wooden Stock",
		bm_wp_wpn_fps_ass_stg44_o_scope = "Zeiss ZF41 Telescopic Scope",
		bm_wp_wpn_fps_ass_stg44_o_scope_switch = "Zeiss ZF41 Scope w/Backup Iron Sights",
		bm_wp_wpn_fps_ass_stg44_fg_mp5 = "Heckler & Koch MP5 Tropical Handguard",
		bm_wp_wpn_fps_ass_stg44_fg_r = "MP5SD Style Handguard",
		bm_wp_wpn_fps_ass_stg44_fg_a280 = "BlasTech A280-C Handguard",
		bm_wp_wpn_fps_ass_stg44_s_a280 = "BlasTech A280-C Stock",
		bm_wp_wpn_fps_ass_stg44_so_doi = "Day of Infamy Firing Sounds",
		
		--[STG 58]
		bm_w_fusil_762 = "Steyr Sturmgewehr 58",
		bm_wp_wpn_fps_ass_fusil_762_hg_stg58_wood = "Wooden Handguard",
		bm_wp_wpn_fps_ass_fusil_762_dc_sa58 = "DSA SA58 \"Extreme Duty\" Dust Cover Rail",
		bm_wp_wpn_fps_ass_fusil_762_fh_fal = "DSA SA58 Flash Suppressor",
		bm_wp_wpn_fps_ass_fusil_762_hg_fal = "Synthetic FAL Handguard",
		bm_wp_wpn_fps_ass_fusil_762_pg_fal = "Synthetic FAL Pistol Grip",
		bm_wp_wpn_fps_ass_fusil_762_st_fal = "Synthetic FAL Stock",
		bm_wp_wpn_fps_ass_fusil_762_ca_fal = "Synthetic FAL Carry Handle",
		bm_wp_wpn_fps_ass_fusil_762_hg_fal_wood = "Wooden FAL Handguard",
		bm_wp_wpn_fps_ass_fusil_762_pg_fal_wood = "Wooden FAL Pistol Grip",
		bm_wp_wpn_fps_ass_fusil_762_st_fal_wood = "Wooden FAL Stock",
		bm_wp_wpn_fps_ass_fusil_762_ca_fal_wood = "Wooden FAL Carry Handle",
		bm_wp_wpn_fps_ass_fusil_762_st_imbel = "Sidefolding IMBEL Stock",
		bm_wp_wpn_fps_ass_fusil_762_cl_black = "Black Metal Finish",
		bm_wp_wpn_fps_ass_fusil_762_cl_color = "Desert Tan Metal Finish",
		bm_wp_wpn_fps_ass_fusil_762_m_30 = "30rnd FAL Magazine",
		
		--[SVT-40]
		bm_wp_wpn_fps_upg_svt40_stock_finish_snow2 = "Finnish Snow Night Camo Stock",
		bm_wp_wpn_fps_upg_svt40_stock_spetzjungle3 = "\"Spetsnaz\" Urban Camo Stock",
		
		--[Toy M16]
		bm_w_toym16 = "Toy M16A1",
		
		--[Triton TR-15]
		bm_w_hometown = "Triton Manufacturing TR-15",
		bm_wp_wpn_fps_ass_hometown_ba_wylde = "Stainless Fluted .223 Wylde Barrel",
		bm_wp_wpn_fps_ass_hometown_ch_enforcer = "Timber Creek \"Enforcer\" Charging Handle",
		bm_wp_wpn_fps_ass_hometown_fh_heartbreaker = "Timber Creek \"Heart Breaker\" M. Brake",
		bm_wp_wpn_fps_ass_hometown_fh_traptor = "\"Raptor\" Muzzle Brake",
		bm_wp_wpn_fps_ass_hometown_lr_triton_lbt = "LBT T6 Billet Lower Receiver",
		
		--[VK78]
		bm_w_vk78_commando = "Vakara GesmbH VK78 \"Commando\"",
		bm_wp_wpn_fps_ass_vk78_commando_magazine_ext = "30rnd VK78 Magazine",
		bm_wp_wpn_fps_ass_vk78_commando_magazine_quick = "20rnd VK78 Magazine w/Taped Strap",
		bm_wp_wpn_fps_ass_vk78_commando_light_am = "6.5mm",
		bm_wp_wpn_fps_ass_vk78_commando_light_am_desc = "A contemporary derivative of a similarly shaped intermediate cartridge, packing less power and mass to produce higher velocities at the cost of reduced stopping power and penetration.\n\n+20% pickup rate.",
		
		--[XM4]
		bm_w_xm4 = "Colt Model 609",
		-- bm_wp_wpn_fps_ass_xm4_barrel_heavy_01 = "", -- none of the barrel lengths listed even come close to what they actually are
		-- bm_wp_wpn_fps_ass_xm4_barrel_heavy_02 = "",
		-- bm_wp_wpn_fps_ass_xm4_barrel_mix_02 = "",
		-- bm_wp_wpn_fps_ass_xm4_barrel_01 = "",
		-- bm_wp_wpn_fps_ass_xm4_barrel_02 = "",
		-- bm_wp_wpn_fps_ass_xm4_barrel_mix_01 = "",
		bm_wp_wpn_fps_ass_xm4_irons_folded = "Folded Rear Sight",
		bm_wp_wpn_fps_ass_xm4_magazine_jungle = "Dual Taped 30rnd STANAG Magazines",
		bm_wp_wpn_fps_ass_xm4_magazine_fast_02 = "Dual Clamped 30rnd STANAG Magazines",
		bm_wp_wpn_fps_ass_xm4_magazine_mix_01 = "30rnd STANAG Magazine w/Duct Tape",
		bm_wp_wpn_fps_ass_xm4_magazine_mix_02 = "30rnd STANAG Magazine w/Taped Strap",
		bm_wp_wpn_fps_ass_xm4_stock = "Extended Stock",
		bm_wp_wpn_fps_ass_xm4_stock_mix_01 = "DoubleStar ACE Skeleton Entry Stock",
		bm_wp_wpn_fps_ass_xm4_stock_stalker = "A2 Solid Stock",
		bm_wp_wpn_fps_ass_xm4_stock_stalker_cheekrest = "Cheek Rest",
		bm_wp_wpn_fps_ass_xm4_rail_ext = "Railed Gas Block",
		bm_wp_wpn_fps_ass_xm4_upper_receiver_carry_handle = "A2 Carry Handle Receiver",
		bm_wp_wpn_fps_ass_xm4_magazine_windmill = "Quadruple 30rnd STANAG Magazines",
		bm_wp_wpn_fps_ass_xm4_stock_no_meme = "No Stock",
		bm_wp_wpn_fps_ass_xm4_handguard_v18 = "Quad Rail Handguard",
		bm_wp_wpn_fps_ass_xm4_handguard_v21 = "Heat Shield Handguard",
		bm_wp_wpn_fps_ass_psa_nam_mag_alum_25 = "25rnd STANAG Magazine",
		
		--[XM8]
		bm_w_xm8 = "Heckler & Koch XM8",
		bm_wp_wpn_fps_ass_xm8_insight_ismv = "Insight Technology ISM-V Red Dot",
		bm_wp_wpn_fps_upg_xm8_barrel_long = "20\" Barrel",
		bm_wp_wpn_fps_upg_xm8_irons = "Troy Industries HK Flip-up Battle Sights",
		bm_wp_wpn_fps_upg_xm8_mag_magpul = "30rnd XM8 Magazine w/Sleeve",
		bm_wp_wpn_fps_upg_xm8_receiver_olive_drab = "Olive Drab Receiver",
		bm_wp_wpn_fps_upg_xm8_receiver_tan = "Tan Receiver",
		bm_wp_wpn_fps_ass_xm8_receiver_camo = "Arctic Blue Camo",
		bm_wp_wpn_fps_ass_xm8_receiver_ucp = "UCP Snow Digital Camo",
		bm_wp_wpn_fps_ass_xm8_receiver_woo = "Woodland Camo",
		bm_wp_wpn_fps_ass_xm8_receiver_cry = "C.E.L.L. Hexagonal Urban Camo",
		
		--[XR-2]
		bm_w_xr2 = "IMI Tavor 7",
		bm_wp_wpn_fps_upg_xr2_barrel_01 = "Heavy Barrel",
		bm_wp_wpn_fps_upg_xr2_barrel_01_desc = "-40%/-20% pickup rate.",
		bm_wp_wpn_fps_upg_xr2_barrel_02 = "Short Barrel",
		bm_wp_wpn_fps_upg_xr2_barrel_02_desc = "+90%/+145% pickup rate.",
		
		--[Rk.62]
		bm_wp_wpn_fps_upg_rk62_grip_rk95 = "Rk.95 Synthetic Pistol Grip",
		bm_wp_wpn_fps_upg_rk62_handguard_railed = "Brügger & Thomet Railed Handguard",
		bm_wp_wpn_fps_upg_rk62_handguard_rk95 = "Rk.95 Synthetic Handguard",
		bm_wp_wpn_fps_upg_rk62_mag_rk95 = "30rnd Rk.95 Magazine",
		bm_wp_wpn_fps_upg_rk62_stock_rk95 = "Sidefolding Rk.95 Stock",
		
		--[ZenitCo AK-105]
		bm_w_fsbcustom = "ZenitCo AK-105 \"Kochevnik\"",
		bm_wp_wpn_fps_ass_fsbcustom_b_ak74m = "AK-74M Barrel",
		bm_wp_wpn_fps_ass_fsbcustom_fg_b10m = "ZenitCo B-10M Handguard",
		bm_wp_wpn_fps_ass_fsbcustom_fg_b30 = "ZenitCo B-30 Handguard",
		
		----------------
		--  Shotguns  --
		----------------
		
		--[.410 Bore AR-15]
		bm_w_omni = "American Tactical Omni Hybrid .410",
		
		--[AMR-12G ~ Vanilla Mod Pack]
		bm_w_amr12 = "Akdal Arms MKA-1919",
		
		--[Abzats]
		bm_w_abzats = "Tula Arms DShK Custom",
		bm_wp_wpn_fps_sho_abzats_m_big = "40rnd DShK Box",
		
		--[AK-12/76]
		bm_w_ak12_76 = "Kalashnikov Concern AK-12/76",
		bm_wp_wpn_fps_upg_ak12_76_mag_magpul = "8rnd AK-12/76 Magazine w/Sleeve",
		
		--[Ashot]
		bm_w_ashot = "\"Ashot\" Improvised Shotgun",
		bm_wp_wpn_fps_sho_ashot_body_gripped = "Wooden Forend",
		bm_wp_wpn_fps_sho_ashot_g_stocked = "Wooden Stock",
		
		--[BOSG 12.2]
		bm_w_dokkasho = "Mossberg HS-12 \"Thunder Ranch\"",
		bm_wp_wpn_fps_shot_dokkasho_s_short = "Sawn-Off Stock",
		
		--[MP-153]
		bm_wp_wpn_fps_upg_mp153_ammo_000_magnum = "Magnum 000 Buck",
		bm_wp_wpn_fps_upg_mp153_barrel_medium = "24\" Barrel",
		bm_wp_wpn_fps_upg_mp153_barrel_short = "22\" Barrel",
		bm_wp_wpn_fps_upg_mp153_tube_ext_2 = "5-Shot Tube Magazine",
		bm_wp_wpn_fps_upg_mp153_tube_ext_4 = "7-Shot Tube Magazine",
		bm_wp_wpn_fps_upg_mp153_tube_ext_6 = "9-Shot Tube Magazine",
		
		--[Browning Auto-Shotgun]
		bm_w_auto5 = "Browning Auto-5",
		bm_wp_wpn_fps_shot_auto5_b_short = "23\" Barrel",
		bm_wp_wpn_fps_shot_auto5_s_sawed = "Sawn-Off Stock",
		bm_wp_wpn_fps_shot_auto5_ammorack = "Shell Rack",
		bm_wp_wpn_fps_shot_auto5_b_reinforced = "Raised Rib Barrel",
		bm_wp_wpn_fps_shot_auto5_s_grip = "Pistol Grip Stock",
		bm_wp_wpn_fps_shot_auto5_m_extended = "5-Shot Tube Magazine",
		bm_wp_wpn_fps_shot_auto5_m_long = "7-Shot Tube Magazine",
		
		--[Candy Shotgun]
		bm_w_candy = "Candy Cane Shotgun",
		
		--[Deadwood]
		bm_w_prison = "\"Deadwood\" Improvised Shotgun",
		bm_wp_wpn_fps_shot_b_prison_long = "Long Barrel",
		
		--[Doomstick]
		bm_w_quadbarrel = "Quadruple Barreled Shotgun",
		
		--[DP-12]
		bm_w_dp12 = "Standard Manufacturing DP-12",
		bm_wp_wpn_fps_shot_dp12_norail = "No Top Rail",
		bm_wp_wpn_fps_sho_dp12_m_ext = "2x 7-Shot Tubes",
		bm_wp_wpn_fps_sho_dp12_fg_novg_rail = "No Vertical Grip w/Bottom Rail",
		bm_wp_wpn_fps_sho_dp12_receiver_od = "Olive Drab Receiver",
		bm_wp_wpn_fps_sho_dp12_receiver_fde = "Flat Dark Earth Receiver",
		
		--[STF-12]
		bm_w_stf12 = "FABARM STF 12 Compact",
		bm_wp_wpn_fps_shot_stf12_fin_fde = "Flat Dark Earth Receiver",
		bm_wp_wpn_fps_shot_stf12_choke = "Proprietary Muzzle Brake",
		
		--[Fort-500]
		bm_w_f500 = "RPC Fort-500",
		
		--[FP6]
		bm_w_fpsix = "Heckler & Koch/FABARM FP6 FS Entry", --Very hesitant to call it this, since most Entry models I've seen so far have a fixed stock. The Martial Ultrashort seems to be a better fit, if only because it can actually use aftermarket stocks...
		bm_wp_wpn_fps_shot_fpsix_magext = "7-Shot Tube Magazine",
		bm_wp_wpn_fps_shot_fpsix_o_sgcqb = "Benelli M4 Rear Sight",
		
		--[PA8]
		bm_w_pa8 = "Short Barreled Franchi PA-8",
		bm_wp_wpn_fps_shot_pa8_b_long = "Standard Barrel w/SPAS-12 Heat Shield",
		bm_wp_wpn_fps_shot_pa8_m_extended_short = "8-Shot Tube Magazine",
		
		--[Gingerbread Shotgun]
		bm_w_xmassg = "Gingerbread Double Barreled Shotgun",
		
		--[Hammer 23 ~ Vanilla Mod Pack]
		bm_w_bs23 = "TsNIITochMash KS-23",
		bm_wp_wpn_fps_shot_bs23_stock_full = "Wooden Stock",
		bm_wp_wpn_fps_shot_bs23_stock_none = "No Stock",
		bm_wp_wpn_fps_shot_bs23_barrel_short = "16\" Barrel",
		
		--[KS-23]
		bm_w_ks23 = "TsNIITochMash KS-23",
		bm_wp_wpn_fps_upg_ks23_ammo_buckshot_8pellet = "\"Shrapnel-25\" Buckshot",
		bm_wp_wpn_fps_upg_ks23_ammo_buckshot_20pellet = "\"Shrapnel-10\" Buckshot",
		bm_wp_wpn_fps_upg_ks23_ammo_slug = "Solid Steel \"Barrikada\" Slugs",
		bm_wp_wpn_fps_upg_ks23_barrel_short = "16\" Barrel",
		bm_wp_wpn_fps_upg_ks23_stock_pistolgrip_wire = "KS-23M Pistol Grip w/Wire Stock",
		
		--[M590]
		bm_w_mossberg590 = "Mossberg Model 590 A1",
		bm_wp_wpn_fps_shot_mossberg590_o_rail_sight = "XS Sights Shotrail w/Ghost Ring Sight",
		
		--[Winchester Mdl. 1912]
		bm_wp_wpn_fps_upg_m1912_forend_field = "Field Gun Pump",
		bm_wp_wpn_fps_upg_m1912_stock_pad = "Standard Stock w/Recoil Pad",
		bm_wp_wpn_fps_upg_m1912_stock_sawnoff = "Sawn-Off Stock",
		
		--[MAG-7]
		bm_w_techno = "Techno Arms MAG-7", --trash tier waifu
		bm_w_x_techno = "Akimbo Techno Arms MAG-7s",
		bm_wp_wpn_fps_shot_techno_b_short = "18\" Barrel",
		bm_wp_wpn_fps_shot_techno_m_extended = "7rnd MAG-7 Magazine",
		bm_wp_wpn_fps_shot_techno_s_fold = "Underfolding Stock",
		bm_wp_wpn_fps_shot_techno_a_16ga = "16 Gauge 00 Buck",
		bm_wp_wpn_fps_shot_techno_a_16ga_desc = "Proprietary shotgun shells.",
		bm_wp_wpn_fps_shot_techno_a_16slug = "16 Gauge Rifled Slugs",
		bm_wp_wpn_fps_shot_techno_a_16slug_desc = "Pierces through cover, shields & body armor.",
		bm_wp_wpn_fps_shot_techno_receiver_tribal = "\"Tribal\" Finish",
		bm_wp_wpn_fps_shot_techno_receiver_preatorian = "\"Praetorian\" Finish",
		
		--[M1216]
		bm_w_m1216 = "SRM Arms Model 1216",
		bm_wp_wpn_fps_shot_m1216_m_1more = "20rnd M1216 Quad-Tube Magazine",
		bm_wp_wpn_fps_shot_m1216_b_short = "Short Barrel",
		bm_wp_wpn_fps_shot_m1216_o_unfold = "Flipped-up Front Sight",
		
		--[MAUL]
		bm_w_maul = "Metal Storm MAUL",
		
		--[MTs-255]
		bm_w_mts255 = "TsKIB SOO MTs-255",
		bm_w_x_mts255 = "Akimbo Sawn-Off TsKIB SOO MTs-255s",
		bm_wp_wpn_fps_shot_mts255_s_short = "Sawn-Off Stock",
		bm_wp_wpn_fps_shot_mts255_b_short = "Sawn-Off Barrel",
		bm_wp_wpn_fps_shot_mts255_fg_ghost = "Worn Forend",
		bm_wp_wpn_fps_shot_mts255_s_ghost = "Worn Stock",
		bm_wp_wpn_fps_shot_mts255_fg_tactical = "MTs-255-12 Forend",
		bm_wp_wpn_fps_shot_mts255_s_tactical = "Sidefolding MTs-255-12 Stock",
		
		--[Nova]
		bm_w_novas = "Benelli Nova Tactical",
		
		--[Pancor]
		bm_w_x_jackhammer = "Akimbo Pancor Jackhammers",
		bm_wp_wpn_fps_upg_jackhammer_barrel_no_brake = "No Muzzle Brake",
		
		--[Hawk]
		bm_w_hawk12 = "Norinco Hawk 97-2",
		bm_wp_wpn_fps_shot_hawk12_b_long = "18\" Barrel",
		
		--[QBS-09]
		bm_w_qbs = "Norinco QBS-09",
		bm_wp_wpn_fps_shot_qbs_barrel_long = "Long Barrel",
		
		--[R870 Shorty]
		bm_w_r870sawed = "Sawn-Off Remington Model 870",
		
		--[Reinbeck M1 ~ Vanilla Mod Pack]
		bm_w_beck = "Benelli M1 Super 90 Entry",
		bm_wp_wpn_fps_shot_beck_b_heat_dummy = "Heat Shielded Barrel",
		bm_wp_wpn_fps_shot_beck_ext = "7-Shot Tube Magazine",
		bm_wp_wpn_fps_shot_beck_s_tac = "AK-12 Stock",
		bm_wp_wpn_fps_shot_beck_s_wrist = "No Stock",
		bm_wp_wpn_fps_shot_beck_pump_custom = "Ribbed Synthetic Pump",
		
		--[Reinbeck Auto ~ Vanilla Mod Pack]
		bm_w_minibeck = "Remington Model 11-87 SBS",
		bm_wp_wpn_fps_shot_minibeck_ext = "6-Shot Tube Magazine",
		
		--[Saiga-12]
		bm_w_heffy_12g = "Kalashnikov Concern Saiga-12",
		bm_wp_wpn_fps_sho_heffy_12g_ba_saiga12 = "16.9\" Barrel",
		bm_wp_wpn_fps_sho_heffy_12g_lfg_saiga12 = "Polymer Handguard",
		bm_wp_wpn_fps_sho_heffy_12g_pg_saiga12 = "AK-74M Polymer Pistol Grip",
		bm_wp_wpn_fps_sho_heffy_12g_ur_saiga12 = "Smooth Dust Cover",
		bm_wp_wpn_fps_sho_heffy_12g_lfg_utg_long = "Leapers UTG USG12 Full Quad Rail",
		bm_wp_wpn_fps_sho_heffy_12g_lfg_utg_short = "Leapers UTG USG12 Short Quad Rail",
		bm_wp_wpn_fps_sho_heffy_12g_m_poly_10 = "10rnd ProMag SAI-02 Saiga-12 Magazine",
		bm_wp_wpn_fps_sho_heffy_12g_ro_rail = "CSS Tactical Saiga-12 Scope Mount",
		bm_wp_wpn_fps_sho_heffy_12g_so_pr = "Project Reality Firing Sounds",
		
		--[Shotgun ~ Team Fortress 2]
		bm_w_shot_tf2 = "Sawn-Off Ithaca Model 37",
		bm_wp_wpn_fps_shot_russian_riot_body = "Mossberg Model 500 Receiver",
		bm_wp_wpn_fps_shot_trenchgun_body = "Winchester Model 1897 Receiver",
		
		--[SPAS-15]
		bm_w_spas15 = "Franchi SPAS-15",
		bm_wp_wpn_fps_shot_spas15_b_short = "Short Barrel",
		bm_wp_wpn_fps_shot_spas15_mag_drum = "8rnd SPAS-15 Magazine",
		bm_wp_wpn_fps_shot_spas15_internal_pump = "Pump-Action Fire",
		
		--[Super Shotgun]
		bm_w_super = "Double Barreled Shotgun",
		
		--[TOZ-34]
		bm_w_toz34 = "Tula Arms TOZ-34",
		bm_wp_wpn_fps_upg_toz34_ammo_000_magnum = "Magnum 000 Buck",
		bm_wp_wpn_fps_upg_toz34_barrel_short = "Sawn-Off Barrel",
		bm_wp_wpn_fps_upg_toz34_stock_short = "Sawn-Off Stock",
		
		--[TOZ-66]
		bm_w_toz66 = "Sawn-Off Tula Arms TOZ-66",
		bm_w_x_toz66 = "Akimbo Sawn-Off Tula Arms TOZ-66es",
		bm_wp_wpn_fps_upg_toz66_ammo_000_magnum = "Magnum 000 Buck",
		
		--[TOZ-106]
		bm_w_toz106 = "Tula Arms TOZ-106",
		bm_wp_wpn_fps_shot_toz106_m_2 = "2rnd TOZ-106 Magazine",
		bm_wp_wpn_fps_shot_toz106_stock_full = "MTs 20-01 Stock",
		bm_wp_wpn_fps_shot_toz106_body_black = "Black Wooden Furniture",
		bm_wp_wpn_fps_shot_toz106_grip_ak101 = "AK-100 Pistol Grip",
		bm_wp_wpn_fps_shot_toz106_stock_mosin = "Mosin-Nagant Stock",
		bm_wp_wpn_fps_shot_toz106_m_5 = "5rnd TOZ-106 Magazine",
		
		--[TOZ-194]
		bm_w_toz194 = "Tula Arms TOZ-194",
		bm_wp_wpn_fps_shot_toz194_fb_short = "Sawn-Off Barrel",
		bm_wp_wpn_fps_shot_toz194_grip_plastic = "Plastic Pistol Grip",
		bm_wp_wpn_fps_shot_toz194_g_stock = "Top Folding Metal Stock",
		
		--[Trench Gun]
		bm_w_trench = "Winchester Model 1897 \"Trench Gun\"",
		bm_wp_wpn_fps_shot_trench_bayonet = "Bayonet",
		bm_wp_wpn_fps_shot_trench_b_long = "Long Barrel",
		bm_wp_wpn_fps_shot_trench_s_rack = "Ammo Pouch",
		bm_wp_wpn_fps_shot_trench_s_chinrest = "Adjustable Cheek Rest",
		
		--[Triple Threat]
		bm_wp_wpn_fps_shot_triple_barrel_short = "Sawn-Off Barrel",
		
		--[USAS-12]
		bm_w_usas12 = "Daewoo Precision Industries USAS-12 CQB",
		bm_wp_wpn_fps_sho_usas12_barrel_silenced = "Suppressed Barrel",
		bm_wp_wpn_fps_sho_usas12_mag_drum = "20rnd USAS-12 Drum",
		
		--[UTS-15]
		bm_w_sideload = "UTAS UTS-15",
		bm_wp_wpn_fps_shot_sideload_fg_jumpy = "No Grip",
		
		--[Ultra Short]
		bm_w_littlest = "Ultra Short Sawn-Off Remington Spartan",
		
		--[Vepr-12]
		bm_wp_wpn_fps_upg_vepr12_barrel_long = "19\" Barrel",
		bm_wp_wpn_fps_upg_vepr12_grip_ak_plastic = "Plastic AK Pistol Grip",
		bm_wp_wpn_fps_upg_vepr12_grip_ak_wood = "Wooden AK Pistol Grip",
		bm_wp_wpn_fps_upg_vepr12_handguard_ak_wood = "Wooden AK Handguard",
		bm_wp_wpn_fps_upg_vepr12_handguard_midwest = "Midwest Industries Gen 1 Quad Rail",
		bm_wp_wpn_fps_upg_vepr12_handguard_terminator = "AKademia Terminator Multi-Rail Kit",
		bm_wp_wpn_fps_upg_vepr12_mag_sgm = "12rnd SGM Tactical Vepr-12 Magazine",
		bm_wp_wpn_fps_upg_vepr12_stock_ak_plastic = "Plastic AK Stock",
		bm_wp_wpn_fps_upg_vepr12_stock_ak_wood = "Wooden AK Stock",
		bm_wp_wpn_fps_upg_vepr12_stock_sok = "SOK-94 Thumbhole Stock",
		
		--[VPO-215]
		bm_w_paradox = "Molot VPO-215-02 \"Gornostay\"",
		bm_wp_wpn_fps_shot_paradox_ns_supp = "ROTOR-43 Suppressor",
		bm_wp_wpn_fps_shot_paradox_a_eko_desc = "All-metal round.\n\n70% chance to pierce body armor. +50%/+150% range. -38%/-43% pickup rate.",
		bm_wp_wpn_fps_shot_paradox_a_fmj = ".366 TKM Full Metal Jacket",
		bm_wp_wpn_fps_shot_paradox_a_fmj_desc = "Soft core round with brass casing.\n\n 40% chance to pierce body armor. Pierces through shields. +20%/+100% range. -38%/-43% pickup rate.",
		
		--[Widowmaker]
		bm_w_wmtx = "SRM Arms Model 1208",
		bm_wp_wpn_fps_upg_wmtx_ns_firebull = "Firebull Flash Suppressor",
		
		--------------------------
		--  Light Machine Guns  --
		--------------------------
		
		--[ARES]
		bm_w_beef = "ARES Defense ARES-16 MCR",
		
		--[BAR]
		bm_w_bar = "Browning M1918A2",
		bm_wp_wpn_fps_ass_bar_b_para = "18\" Barrel",
		bm_wp_wpn_fps_ass_bar_g_monitor = "Wooden Pistol Grip",
		bm_wp_wpn_fps_ass_bar_fg_secure = "A2 Reinforced Handguard",
		bm_wp_wpn_fps_ass_bar_fg_sleeve = "M1918 Handguard",
		bm_wp_wpn_fps_ass_bar_s_wood = "Wooden Stock",
		bm_wp_wpn_fps_ass_bar_bipod = "Bipod",
		bm_wp_wpn_fps_ass_bar_m_extended = "40rnd BAR Magazine",
		bm_wp_wpn_fps_ass_bar_ns_cutts = "Cutts Compensator",
		bm_wp_wpn_fps_ass_bar_s_sawed = "Sawn-Off Stock",
		bm_wp_wpn_fps_ass_bar_o_stand = "Flipped Up Iron Sights",
		
		--[DP-28]
		bm_w_dp28 = "Degtyarev DP-28",
		bm_wp_wpn_fps_lmg_dp28_so_pr = "Project Reality Firing Sounds",
		bm_wp_wpn_fps_lmg_dp28_so_lord = "Rainbow Six Siege Firing Sounds",
		bm_wp_wpn_fps_lmg_dp28_g_dpm = "DPM Pistol Grip",
		bm_wp_wpn_fps_lmg_dp28_barrel_lord = "Short Barrel",
		bm_wp_wpn_fps_lmg_dp28_stock_dt = "Retractable DT Stock",
		bm_wp_wpn_fps_lmg_dp28_g_dt = "DT Pistol Grip",
		bm_wp_wpn_fps_lmg_dp28_m_dt = "60rnd DT Pan",
		bm_wp_wpn_fps_lmg_dp28_m_dpm35 = "200rnd DPM-35 Belt",
		bm_wp_wpn_fps_lmg_dp28_bayonet_svt = "Tokarev SVT-40 Bayonet",
		
		--[FG 42]
		bm_w_fg42 = "Rheinmetall FG 42 Ausführung \"G\"", --the full gun name alone takes up 20+ characters holy fuck
		bm_w_fg42early = "Krieghoff FG 42 Ausführung \"E\"",
		bm_wp_wpn_fps_lmg_fg42_bayonet_equip = "Spike Bayonet",
		bm_wp_wpn_fps_lmg_fg42_mag_short = "10rnd FG 42 Magazine",
		bm_wp_wpn_fps_lmg_fg42_o_zf4 = "ZF 4 Scope",
		bm_wp_wpn_fps_lmg_fg42_o_zfg42 = "ZFG 42 Scope",
		bm_wp_wpn_fps_lmg_fg42_frame_early = "Ausführung \"E\" Kit",
		
		--[K3]
		bm_w_k3 = "Daewoo Precision Industries K3",
		bm_wp_wpn_fps_lmg_k3_s_retract = "K3 Paratrooper Stock",
		
		--[KE7]
		bm_wp_wpn_fps_upg_sigke7_mag50 = "50rnd KE7 Magazine",
		bm_wp_wpn_fps_upg_sigke7_scope_m84 = "M84 Sniper Scope",
		
		--[Lewis]
		bm_w_lewis = "Birmingham Small Arms Lewis Gun",
		bm_wp_wpn_fps_upg_lewis_sight_zf12 = "Emil Busch ZF12 Telescopic Scope",
		bm_wp_wpn_fps_upg_lewis_stock_aa = "Mk.II \"Spade\" Grip",
		
		--[Lightweight "Assault Rifle"] --it's a fucking vector lol
		bm_wp_wpn_fps_smg_lar_stock_ext = "Vector Stock",
		
		--[LSAT]
		bm_w_lsat = "Aircraft Armaments LSAT",
		bm_wp_wpn_fps_upg_lsat_barrel_long = "20.5\" Barrel",
		bm_wp_wpn_fps_upg_lsat_barrel_short = "12.5\" Barrel",
		bm_wp_wpn_fps_upg_lsat_fab_ptk = "FAB Defense PTK Ergo Pointing Grip",
		
		--[M1919A6]
		bm_wp_wpn_fps_upg_m1919a6_irons = "Iron Sights",
		bm_wp_wpn_fps_upg_m1919a6_mag_ext = "150rnd M1917 Box",
		bm_wp_wpn_fps_upg_m1919a6_mag_m60 = "100rnd M60 Box",
		bm_wp_wpn_fps_upg_m1919a6_stock_m1 = "AN/M2 \"Stinger\" Wooden Stock",
		
		--[M60]
		bm_wp_wpn_fps_lmg_m60e4_body = "M60E3 Kit",
		bm_wp_wpn_fps_upg_m60_irons = "Iron Sights",
		
		--[M60E4]
		bm_w_m60e4 = "Saco Defense M60E4",
		bm_wp_wpn_fps_upg_m60e4_barrel_long = "Long Barrel",
		bm_wp_wpn_fps_upg_m60e4_bipod = "M60E4 Bipod",
		bm_wp_wpn_fps_upg_m60e4_handguard_classic = "M60 Handguard",
		bm_wp_wpn_fps_upg_m60e4_handguard_e6 = "Tan Handguard",
		bm_wp_wpn_fps_upg_m60e4_grip_e6 = "Tan Pistol Grip",
		bm_wp_wpn_fps_upg_m60e4_stock_classic = "M60 Stock",
		bm_wp_wpn_fps_upg_m60e4_stock_e6 = "Tan Stock",
		bm_wp_wpn_fps_upg_m60e4_topcover_e6 = "Tan Top Cover",
		
		--[MG 34]
		bm_w_mg34 = "Mauser Maschinengewehr 34",
		bm_wp_wpn_fps_lmg_mg34_m_double = "75rnd Patronentrommel 34 Dual Drum",
		
		--[MG3]
		bm_w_mg3 = "Rheinmetall Maschinengewehr 3",
		bm_wp_wpn_fps_upg_mg3_mag_box = "100rnd MG3 Box",
		
		--[MJP36]
		bm_w_mg36 = "Heckler & Koch MG36",
		bm_wp_wpn_fps_ass_g36_fg_kp = "G36K Kit",
		
		--[MG4]
		bm_w_mg4 = "Heckler & Koch MG4",
		bm_wp_wpn_fps_upg_mg4_barrel_long = "18.9\" Barrel",
		bm_wp_wpn_fps_upg_mg4_barrel_short = "14.6\" Barrel",
		bm_wp_wpn_fps_upg_mg4_mag_pouch = "100rnd MG4 Pouch",
		bm_wp_wpn_fps_upg_mg4_scope = "MG4 3× Telescopic Scope",
		
		--[MG5]
		bm_w_mg5 = "Heckler & Koch HK121",
		bm_wp_wpn_fps_lmg_mg5_b_long = "26.1\" Barrel",
		bm_wp_wpn_fps_lmg_mg5_fg_shield = "MG4 Heat Shield Handguard",
		bm_wp_wpn_fps_lmg_mg5_ns_762 = "Fortis RED 7.62 Muzzle Brake",
		
		--[NG-5]
		bm_w_negev = "RPC Fort-401", -- Counterfeit Negev, lel
		bm_wp_wpn_fps_lmg_negev_b_long = "19.7\" Barrel",
		bm_wp_wpn_fps_lmg_negev_fg_stick = "Angled Foregrip",
		
		--[Pecheneg]
		bm_w_pecheneg = "TsNIITochMash PKP \"Pecheneg\"",
		bm_wp_wpn_fps_lmg_pecheneg_b_long = "Long Barrel",
		bm_wp_wpn_fps_lmg_pecheneg_fg = "Heat Shield Handguard",
		bm_wp_wpn_fps_lmg_pecheneg_a_762 = "7.62×54mmR Full Metal Jacket",
		bm_wp_wpn_fps_lmg_pecheneg_a_762_desc = "Pierces through cover.",
		
		--[RPD]
		bm_w_rpd = "Degtyarev RPD",
		bm_wp_wpn_fps_upg_rpd_irons = "Iron Sights",
		
		--[Type 62]
		bm_w_sumitomo = "Sumitomo Heavy Industries NTK-62",
		bm_wp_wpn_fps_lmg_sumitomo_b_long = "Heavy Barrel",
		bm_wp_wpn_fps_lmg_sumitomo_b_short = "Short Barrel",
		bm_wp_wpn_fps_lmg_sumitomo_s_polymer = "M240B Stock",
		bm_wp_wpn_fps_lmg_sumitomo_s_spare = "Type 64 Stock",
		bm_wp_wpn_fps_lmg_sumitomo_ch_new = "M240 Carry Handle",
		bm_wp_wpn_fps_lmg_sumitomo_ch_old = "Type 96 Carry Handle",
		bm_wp_wpn_fps_lmg_sumitomo_m_belt = "300rnd NTK-62 Belt",
		
		--[Ultimax 100]
		bm_w_ultimax = "ST Kinetics Ultimax 100 Mark 5",
		bm_wp_wpn_fps_upg_ultimax_barrel_long = "20\" Barrel",
		
		--[HK51-B]
		bm_w_volmer = "F.J. Vollmer & Co. HK51-B",
		bm_wp_wpn_fps_lmg_volmer_s_retract = "Extended Stock",
		bm_wp_wpn_fps_lmg_volmer_b_long = "Long Barrel",
		
		--[Zweihänder]
		bm_w_zweihander = "Zilla Enterprises Zweihänder",
		
		---------------------
		--  Sniper Rifles  --
		---------------------
		
		--[300 Knockout]
		bm_w_knockout = "AAC/Remington Model 700 RACS",
		bm_wp_wpn_fps_snp_knockout_body_desert = "Desert Tan Stock",
		bm_wp_wpn_fps_snp_knockout_body_nep = "\"Nepgear\" Stock",
		
		--[700 Nitro Express]
		bm_w_Nitro = "Holland & Holland \"Royal\" Double Barrel",
		bm_wp_wpn_fps_snp_nitro_a_600 = ".600 Nitro Express",
		bm_wp_wpn_fps_snp_nitro_a_600_desc = "Increases total ammo and accuracy, but reduces damage.",
		bm_wp_wpn_fps_snp_nitro_a_600ovk = ".600 Nitro Express \"OVERKILL\"",
		bm_wp_wpn_fps_snp_nitro_a_600ovk_desc = "Pierces through cover, shields & body armor.\n\n.600 Nitro variant with a lighter wounding profile and increased velocity.",
		bm_wp_wpn_fps_snp_nitro_body_elephant = "Elephant Gun Kit",
		
		--[AMR-2]
		bm_w_amr2 = "China South Industries AMR-2",
		
		--[AWM-F]
		bm_w_troglodyte = "Accuracy International AWM-F",
		bm_wp_wpn_fps_snp_troglodyte_s_full = "Folding Stock",
		
		--[AWP]
		bm_wp_wpn_fps_snp_awpgear_body_pink = "Pink Arctic Camo Stock",
		bm_wp_wpn_fps_snp_awpgear_body_cosmic = "\"Cosmic\" Stock",
		bm_wp_wpn_fps_snp_awpgear_body_angel = "\"Fallen Angel\" Stock",
		bm_wp_wpn_fps_snp_awpgear_body_desert = "Desert Camo Stock",
		bm_wp_wpn_fps_snp_awpgear_body_asiimov = "\"Asiimov\" Stock",
		bm_wp_wpn_fps_snp_awpgear_body_sun = "\"Sun in Leo\" Stock",
		bm_wp_wpn_fps_snp_awpgear_body_elite = "\"Elite Build\" Stock",
		bm_wp_wpn_fps_snp_awpgear_body_base = "Olive Drab Stock",
		bm_wp_wpn_fps_snp_awpgear_body_hb = "\"Hyper Beast\" Stock",
		bm_wp_wpn_fps_snp_awpgear_body_lore = "\"Dragon Lore\" Stock",
		bm_wp_wpn_fps_snp_awpgear_body_medusa = "\"Medusa\" Stock",
		bm_wp_wpn_fps_snp_awpgear_body_lstrike = "\"Lightning Strike\" Stock",
		bm_wp_wpn_fps_snp_awpgear_body_boom = "\"BOOM\" Stock",
		bm_wp_wpn_fps_snp_awpgear_body_unigear = "\"Unigear\" Stock",
		bm_wp_wpn_fps_snp_awpgear_body_redline = "\"Redline\" Stock",
		bm_wp_wpn_fps_snp_awpgear_body_worm = "\"Worm God\" Stock",
		bm_wp_wpn_fps_snp_awpgear_body_phobos = "\"Phobos\" Stock",
		bm_wp_wpn_fps_snp_awpgear_body_hive = "\"Frost Hive\" Stock",
		bm_wp_wpn_fps_snp_awpgear_body_blaze = "\"Blaze\" Stock",
		bm_wp_wpn_fps_snp_awpgear_body_ferver = "\"Fever Dream\" Stock",
		bm_wp_wpn_fps_snp_awpgear_m_asiimov = "5rnd \"Asiimov\" Magazine",
		bm_wp_wpn_fps_snp_awpgear_m_elite = "5rnd \"Elite Build\" Magazine",
		bm_wp_wpn_fps_snp_awpgear_m_lore = "5rnd \"Dragon Lore\" Magazine",
		bm_wp_wpn_fps_snp_awpgear_m_redline = "5rnd \"Redline\" Magazine",
		bm_wp_wpn_fps_snp_awpgear_m_phobos = "5rnd \"Phobos\" Magazine",
		bm_wp_wpn_fps_snp_awpgear_m_hb = "5rnd \"Hyper Beast\" Magazine",
		bm_wp_wpn_fps_snp_awpgear_m_hive = "5rnd \"Frost Hive\" Magazine",
		bm_wp_wpn_fps_snp_awpgear_m_ferver = "5rnd \"Fever Dream\" Magazine",
		bm_wp_wpn_fps_upg_o_awpgear_arctic = "Arctic Camo Scope",
		bm_wp_wpn_fps_upg_o_awpgear_angel = "\"Fallen Angel\" Scope",
		bm_wp_wpn_fps_upg_o_awpgear_asiimov = "\"Asiimov\" Scope",
		bm_wp_wpn_fps_upg_o_awpgear_base = "Olive Drab Scope",
		bm_wp_wpn_fps_upg_o_awpgear_cosmic = "\"Cosmic\" Scope",
		bm_wp_wpn_fps_upg_o_awpgear_elite = "\"Elite Build\" Scope",
		bm_wp_wpn_fps_upg_o_awpgear_hb = "\"Hyper Beast\" Scope",
		bm_wp_wpn_fps_upg_o_awpgear_lore = "\"Dragon Lore\" Scope",
		bm_wp_wpn_fps_upg_o_awpgear_phobos = "\"Phobos\" Scope",
		bm_wp_wpn_fps_upg_o_awpgear_pink = "Pink Arctic Camo Scope",
		bm_wp_wpn_fps_upg_o_awpgear_redline = "\"Redline\" Scope",
		bm_wp_wpn_fps_upg_o_awpgear_unigear = "\"Unigear\" Scope",
		bm_wp_wpn_fps_upg_o_awpgear_hive = "\"Frost Hive\" Scope",
		bm_wp_wpn_fps_upg_o_awpgear_blaze = "\"Blaze\" Scope",
		bm_wp_wpn_fps_upg_o_awpgear_ferver = "\"Fever Dream\" Scope",
		
		--[AX308]
		bm_w_kissesforleon = "Accuracy International AX308",
		--bm_wp_wpn_fps_snp_kissesforleon_ns_supp = "", -- no idea
		
		--[Centerfire]
		bm_wp_wpn_fps_upg_moss464spx_stock_cheekpiece = "464 SPX Stock w/Raised Cheek Piece",
		
		--[De Lisle]
		bm_w_dl = "Sterling De Lisle \"Commando\"",
		bm_wp_wpn_fps_pis_dl_a_magnum = ".45 Automatic Colt Pistol +P",
		bm_wp_wpn_fps_pis_dl_a_magnum_desc = "-50% pickup rate.",
		bm_wp_wpn_fps_pis_dl_a_ap = ".45 Automatic Colt Pistol Full Metal Jacket",
		bm_wp_wpn_fps_pis_dl_a_ap_desc = "Pierces through cover, shields & body armor. -50% pickup rate.",
		bm_wp_wpn_fps_snp_dl_s_gripext = "Wooden Grip w/Unfolded Steel Stock",
		bm_wp_wpn_fps_snp_dl_s_gripfold = "Wooden Grip w/Folded Steel Stock",
		bm_wp_wpn_fps_snp_dl_s_marksman = "Wooden Stock w/Cheek Piece",
		bm_wp_wpn_fps_snp_dl_m_long = "11rnd De Lisle Magazine",
		bm_wp_wpn_fps_snp_dl_o_rail = "Scope Mount",
		bm_wp_wpn_fps_snp_dl_o_32 = "Enfield No. 32 Mk.II Sniper Scope",
		
		--[DSR]
		bm_w_bigbust = "DSR-Precision DSR-1",
		bm_wp_wpn_fps_snp_bigbust_b_short = "25.6\" Barrel",
		bm_wp_wpn_fps_snp_bigbust_supp = "Griffin Sportsman Ultra Light Suppressor",
		
		--[DVL-10]
		bm_w_dvl10 = "Lobaev Arms DVL-10 M2 \"Urbana\"",
		bm_wp_wpn_fps_snp_dvl10_s_folded = "Folded Stock",
		bm_wp_wpn_fps_snp_dvl10_b_supp = "\"Saboteur\" Suppressor",
		
		--["G28"]
		bm_w_kozak = "Heckler & Koch G28",
		bm_wp_wpn_fps_upg_kozak_s_orig = "E2 Stock",
		
		--[G28]
		bm_w_apairofmelons = "Heckler & Koch G28E2",
		bm_wp_wpn_fps_snp_apairofmelons_fg_patrol = "E3 Handguard",
		bm_wp_wpn_fps_snp_apairofmelons_ns_supp = "GemTech TRACKER Suppressor",
		
		--[Gewehr 43]
		bm_w_g43 = "Walther Gewehr 43",
		bm_wp_wpn_fps_snp_g43_worn = "Walnut Stock",
		bm_wp_wpn_fps_snp_g43_zf4 = "Zeiss ZF4 Rifle Scope",
		bm_wp_wpn_fps_snp_g43_zf4_switch = "Zeiss ZF4 Scope w/Backup Iron SIghts",
		bm_wp_wpn_fps_snp_g43_a_no_ap = "7.92×57mm Mauser Hollow Point", -- not sure if this even exists
		bm_wp_wpn_fps_snp_g43_a_no_ap_desc = "No armor-piercing capabilities. -40% pickup rate.",
		
		--[Guerilla ~ Vanilla Mod Pack]
		bm_w_sgs = "SIG SG 751 SAPR",
		bm_wp_wpn_fps_snp_sgs_g_black = "Black Pistol Grip w/Hand Rest",
		bm_wp_wpn_fps_snp_sgs_b_long = "Long Barrel",
		bm_wp_wpn_fps_snp_sgs_b_sil = "Suppressor",
		
		--[Halo Reach DMR]
		bm_wp_wpn_fps_snp_reachdmr_noble_am = "7.62×51mm NATO M118 FMJ-AP",
		bm_wp_wpn_fps_snp_reachdmr_noble_am_desc = "Pierces through cover & shields. +25% headshot damage. -35% pickup rate.",
		
		--[highly modified car-4 lolololololol]
		bm_new_m4_sniper_name = "Colt Delta HBAR", -- I mean, I guess...?
		
		--[Lee-Enfield]
		bm_w_enfield_no4i = "Lee-Enfield No. 4 Mk.I",
		bm_w_enfield_no5i = "Lee-Enfield No. 5 Mk.I \"Jungle Carbine\"",
		bm_wp_wpn_fps_snp_enfield_no5i_forend_no4i = "No. 4 Mk.I Forend",
		bm_wp_wpn_fps_snp_enfield_no5i_cheek_rest = "No. 4 Mk. I (T) Cheek Rest",
		bm_wp_wpn_fps_snp_enfield_no5i_md_none = "No Flash Hider",
		bm_wp_wpn_fps_snp_enfield_no5i_mag_short = "5rnd Lee-Enfield Magazine",
		bm_wp_wpn_fps_snp_enfield_no5i_scope = "Enfield No. 32 Mk.II Sniper Scope",
		bm_wp_wpn_fps_snp_enfield_no4i_forend_no5i = "No. 5 Mk.I Forend",
		bm_wp_wpn_fps_snp_enfield_no4i_md_no5i = "No. 5 Mk.I Flash Hider",
		bm_wp_wpn_fps_snp_enfield_no4i_cheek_rest = "No. 4 Mk. I (T) Cheek Rest",
		bm_wp_wpn_fps_snp_enfield_no4i_mag_short = "5rnd Lee-Enfield Magazine",
		bm_wp_wpn_fps_snp_enfield_no4i_mag_trench = "20rnd Lee-Enfield Trench Magazine",
		
		--[MAS-49]
		bm_w_mas49 = "GIAT Industries MAS-49",
		
		--[M110]
		bm_w_re8_m110 = "U.S. Marine Corps M110 K1",
		
		--[M200]
		bm_w_m200 = "Cheyenne Tactical M200 \"Intervention\"",
		
		--[Merkel Drilling]
		bm_wp_wpn_fps_upg_merkel_barrel_silver = "Stainless Steel Barrel",
		bm_wp_wpn_fps_upg_merkel_body_silver = "Stainless Steel Receiver",
		bm_wp_wpn_fps_upg_merkel_usoptics_sn3_moa = "U.S. Optics SN3 T-Pal Scope",
		bm_wp_wpn_fps_upg_merkel_stock_light = "Blonde Wooden Stock",
		
		--[Mosin Nagant Obrez]
		bm_w_obrez = "Mosin Nagant M91/30 \"Obrez\"",
		bm_wp_wpn_fps_upg_obrez_ns_svt40_brake = "Tokarev SVT-40 Muzzle Brake",
		
		--[Mosin Nagant but cursed]
		bm_w_mosinwtf = "Mosin Nagant M44 Carbine \"Archangel\"",
		
		--[FR-F2]
		bm_w_frf2 = "GIAT Industries FR F2",
		
		--[K31]
		bm_w_k31 = "Waffenfabrik Bern Karabiner 31/43",
		
		--[Lynx]
		bm_w_lynx = "Gepárd GM-6 \"Lynx\"",
		bm_wp_wpn_fps_snp_lynx_b_cqb = "Short Barrel",
		bm_wp_wpn_fps_snp_lynx_b_supp = "Suppressed Barrel",
		bm_wp_wpn_fps_snp_lynx_a_low = "12.7×108mm",
		bm_wp_wpn_fps_snp_lynx_a_low_desc = "+900%/+106% pickup rate.",
		bm_wp_wpn_fps_snp_lynx_m_short = "3rnd GM-6 Magazine",
		
		--[Hecate]
		bm_w_hecate = "PGM Mini-Hecate",
		bm_wp_wpn_fps_snp_hecate_bipod = "Bipod",
		bm_wp_wpn_fps_snp_hecate_a_HE = "12.7×99mm NATO High Explosive",
		bm_wp_wpn_fps_snp_hecate_a_HE_desc = "Heavy caliber round loaded with an explosive warhead.\n\nPierces through body armor, otherwise explodes on impact. -61% maximum pickup rate.",
		bm_wp_wpn_fps_snp_hecate_b_short = "Short Barrel",
		bm_wp_wpn_fps_snp_hecate_b_short_desc = "+400%/+131% pickup rate.",
		
		--[Elite]
		bm_w_b42 = "Steyr Elite",
		
		--[Sierra .458]
		bm_w_sierra458 = "Wilson Combat Hunter",
		bm_wp_wpn_fps_snp_sierra458_m_d60 = "60rnd Magpul D-60 Drum",
		bm_wp_wpn_fps_snp_sierra458_m_beowulf = "30rnd STANAG Magazine",
		bm_wp_wpn_fps_snp_sierra458_m_beowulf_desc = "Switches .458 SOCOM rounds for .50 Beowulf rounds, making the weapon handle more like a typical sniper rifle.\n\n-50%/-40% pickup rate.",
		bm_wp_wpn_fps_upg_sierra458_fg_edge = "M-LOK Free Float Handguard",
		bm_wp_wpn_fps_upg_sierra458_fg_shepheard = "MPX Carbine Handguard",
		bm_wp_wpn_fps_snp_sierra458_m_bush_desc = "Switches .458 SOCOM rounds for poison-laced .450 Bushmaster rounds, causing enemies hit by them to uncontrollably vomit. In exchange for turning your gun into a war crime stick, these rounds cannot penetrate shields.\n\n-50%/-40% pickup rate.",
		
		--[SR-25]
		bm_w_sr25 = "Knight's Armament Co. SR-25 E2 ACC",
		bm_wp_wpn_fps_upg_sr25_handguard_mk11 = "MK.11 Mod 0 Handguard",
		bm_wp_wpn_fps_upg_sr25_stock_mk11 = "MK.11 Mod 0 Stock",
		bm_wp_wpn_fps_upg_sr25_supp_nt4 = "Knight's Armament Co. NT-4 Suppressor",
		
		--[K98]
		bm_w_kar98k = "Mauser Karabiner 98 Kurz",
		bm_wp_wpn_fps_snp_kar98k_b_standard = "Gewehr 29/40 Barrel",
		bm_wp_wpn_fps_snp_kar98k_b_short = "Gewehr 40k Barrel",
		bm_wp_wpn_fps_snp_kar98k_b_geha = "GEHA Barrel",
		bm_wp_wpn_fps_snp_kar98k_m_geha = "GEHA Kit",
		bm_wp_wpn_fps_upg_a_german12 = "000 Buck",
		bm_wp_wpn_fps_upg_a_german12_desc = "Fires 12 pellets.",
		bm_wp_wpn_fps_snp_kar98k_body_black = "Black Walnut Stock",
		
		--[KSVK]
		bm_w_carpet = "ZiD KSVK",
		bm_wp_wpn_fps_snp_carpet_fg_wooden = "Wooden Forend",
		
		--[L115]
		bm_w_l115 = "Accuracy International L115A3",
		bm_wp_wpn_fps_upg_l115_barrel_medsupp = "Medium Barrel w/Suppressor",
		bm_wp_wpn_fps_upg_l115_stock_aw = "Arctic Warfare Stock",
		bm_wp_wpn_fps_upg_l115_stock_awext = "AW Stock w/Extended Pad & Cheek Rest",
		bm_wp_wpn_fps_upg_l115_stock_awmext = "Extended Pad & Cheek Rest",
		bm_wp_wpn_fps_upg_l115_stock_ax = "Accuracy Tactical Stock",
		
		--[M40A5]
		bm_w_m40a5 = "U.S. Marine Corps M40A5",
		bm_wp_wpn_fps_snp_m40a5_omega = "SilencerCo Omega 300 Suppressor",
		bm_wp_wpn_fps_upg_m40a5_body_aor1 = "AOR-1 Camo Stock",
		bm_wp_wpn_fps_upg_m40a5_body_chocchip = "DBDU \"Chocolate Chip\" Camo Stock",
		bm_wp_wpn_fps_upg_m40a5_body_desertspots = "Desert Spots Camo Stock",
		bm_wp_wpn_fps_upg_m40a5_body_graydigital = "UPC Grey Digital Camo Stock",
		bm_wp_wpn_fps_upg_m40a5_body_m90 = "M90 Woodland Camo Stock",
		bm_wp_wpn_fps_upg_m40a5_body_snowcell = "Snow Cell Camo Stock",
		bm_wp_wpn_fps_upg_m40a5_body_spetz = "\"Spetsnaz\" Jungle Camo Stock",
		bm_wp_wpn_fps_upg_m40a5_body_wintersticks = "Winter Sticks Camo Stock",
		
		--[Marlin Mdl. 1894]
		bm_wp_wpn_fps_upg_m1894_supp_gemtech_gm45 = "GemTech GM-45 Suppressor",
		
		--[Martini-Henry]
		bm_w_martinihenry = "Martini-Henry Mk.I",
		bm_wp_wpn_fps_upg_martinihenry_ammo_british303 = ".303 British",
		bm_wp_wpn_fps_upg_martinihenry_ammo_carbine577_450 = ".577/450 Martini-Henry Carbine",
		bm_wp_wpn_fps_upg_martinihenry_m1913_scope = "Warner & Swasey M1913 Prismatic Scope",
		bm_wp_wpn_fps_upg_martinihenry_ppco_scope = "Periscopic Prism Co. Telescopic Scope",
		
		--[Mosin]
		bm_w_classic = "Mosin Nagant M91/30 Custom",
		bm_wp_wpn_fps_snp_classic_b_ori = "Standard Barrel",
		bm_wp_wpn_fps_snp_classic_b_twist = "Modified Barrel", -- Arctic Warfare?
		bm_wp_wpn_fps_snp_classic_s_detach = "No Stock",
		bm_wp_wpn_fps_snp_classic_m_strip = "5rnd Mosin Nagant Stripper Clip",
		bm_wp_wpn_fps_snp_classic_body_short = "M1907 Carbine Kit",
		bm_wp_wpn_fps_snp_classic_body_short_desc = "Cuts down handguard and barrel to a carbine length, reducing bullet velocity.\n\n+129%/+89% pickup rate.",
		
		--[Mk 12]
		bm_w_mk12 = "U.S. Navy MK.12 Mod 1 SPR",
		bm_wp_wpn_fps_upg_mk12_handguard_ddm4fsp = "Daniel Defense M4 FSP Quad Rail",
		bm_wp_wpn_fps_upg_mk12_handguard_ddmk18 = "Daniel Defense MK18 RIS II Quad Rail",
		bm_wp_wpn_fps_upg_mk12_handguard_ergo_z = "Ergo Z \"Float Rail\" Two-Piece Handguard",
		bm_wp_wpn_fps_upg_mk12_irons_lirisy = "Lirisy Tactical Flip-up Iron Sights",
		bm_wp_wpn_fps_upg_mk12_ns_mk12 = "Allen Engineering Threaded Muzzle Brake",
		bm_wp_wpn_fps_upg_mk12_mag_pmag = "30rnd Magpul PMAG Gen 3 Magazine",
		bm_wp_wpn_fps_upg_mk12_supp_sf_minimonster = "SureFire MINI-MONSTER Suppressor",
		
		--[Mk 14]
		bm_w_wargoddess = "U.S. Navy MK.14 Mod 0 EBR",
		bm_wp_wpn_fps_snp_wargoddess_s_mod0_in = "Retracted Stock",
		--bm_wp_wpn_fps_snp_wargoddess_supp = "", -- no idea
		
		--[PSG-1]
		bm_w_psg1 = "Heckler & Koch PSG-1",
		bm_wp_wpn_fps_upg_psg1_grip_g3 = "G3A3 Polymer Pistol Grip",
		bm_wp_wpn_fps_upg_psg1_handguard_g3 = "G3A3 Plastic Handguard",
		bm_wp_wpn_fps_upg_psg1_handguard_g3_sling = "G3A3 Plastic Handguard w/Sling",
		bm_wp_wpn_fps_upg_psg1_handguard_rail = "Tri-Rail Handguard",
		bm_wp_wpn_fps_upg_psg1_handguard_wide_bipod = "Wide Handguard w/Bipod",
		bm_wp_wpn_fps_upg_psg1_handguard_wood_sling = "Wooden Handguard w/Sling",
		bm_wp_wpn_fps_upg_psg1_mag_10 = "10rnd PSG-1 Magazine",
		bm_wp_wpn_fps_upg_psg1_mag_20 = "20rnd PSG-1 Magazine",
		bm_wp_wpn_fps_upg_psg1_stock_g3 = "G3A3 Polymer Stock",
		bm_wp_wpn_fps_upg_psg1_stock_magpul_prs = "Magpul PRS2 Stock",
		bm_wp_wpn_fps_upg_psg1_stock_magpul_prs_largepad = "Magpul PRS2 Stock w/Extended Pad",
		bm_wp_wpn_fps_upg_psg1_stock_sliding = "G3A4 Retractable Stock",
		bm_wp_wpn_fps_upg_psg1_stock_wood = "G3 Wooden Stock",
		bm_wp_wpn_fps_upg_psg1_supp_omega = "SilencerCo Omega 300 Suppressor",
		bm_wp_wpn_fps_upg_psg1_supp_socom762 = "SureFire SOCOM762-RC Suppressor",
		
		--[PTRS-41]
		bm_w_simonov = "Simonov PTRS-41",
		bm_wp_wpn_fps_snp_simonov_sight = "Iron Sights",
		
		--[RFB]
		bm_w_leet = "Kel-Tec RFB Hunter",
		bm_wp_wpn_fps_upg_leet_fg_ext = "Daniel Defense RIS II Quad Rail",
		bm_wp_wpn_fps_upg_leet_b_smol = "18\" Barrel",
		
		--[CS5]
		bm_wp_wpn_fps_upg_cs5_barrel_long = "18.5\" Barrel",
		bm_wp_wpn_fps_upg_cs5_barrel_short = "12.5\" Barrel",
		bm_wp_wpn_fps_upg_cs5_grip_tact = "CS5 Tactical Pistol Grip",
		bm_wp_wpn_fps_upg_cs5_stock_tube = "Buffer Tube Stock",
		
		--[TAC-50]
		bm_wp_wpn_fps_upg_tac50_body_bipod = "Long Range Accuracy Light Tactical Bipod",
		
		--[TKPD]
		bm_w_tkpd = "TsNIITochMash SVD-K Dragunov",
		bm_wp_wpn_fps_snp_tkpd_b_sniper = "Long Barrel",
		bm_wp_wpn_fps_snp_tkpd_o_iron = "Troy Industries M4 Flip-up Battle Sights",
		bm_wp_wpn_fps_snp_tkpd_g_standard = "SVD-S Pistol Grip",
		bm_wp_wpn_fps_snp_tkpd_s_folding = "Sidefolding SVD-S Stock",
		
		--[FY-JS]
		bm_w_fyjs = "Jian She CS/LR3",
		bm_wp_wpn_fps_snp_fyjs_supp = "SureFire MINI-MONSTER Suppressor",
		
		--[M107 ~ April Fools]
		bm_w_pew107cqb = "Barrett M107CQ",
		bm_wp_wpn_fps_upg_pew107cqb_barrel_long = "20\" Barrel",
		
		--[M107]
		bm_wp_wpn_fps_upg_m107cq_ammo_416 = ".416 Barrett",
		bm_wp_wpn_fps_upg_m107cq_barrel_long = "20\" Barrel",
		
		--[M98B]
		bm_w_m98b = "Barrett M98 \"Bravo\"",
		
		--[QBU-88]
		bm_wp_wpn_fps_snp_qbu88_b_heavy = "Long Barrel",
		bm_wp_wpn_fps_snp_qbu88_a_magnum = "5.8×42mm DBP88", --The QBU-88 uses the DBP87 round by default, making this redundant; the DBP88 seems like a better fit since it's a heavier round
		bm_wp_wpn_fps_snp_qbu88_a_magnum_desc = "\"Heavy round\" variant of the DBP87 with a heavier steel core.\n\n-50%/-25% pickup rate.",
		bm_wp_wpn_fps_snp_qbu88_m_more = "20rnd QBU-88 Magazine",
		bm_wp_wpn_fps_snp_qbu88_ironsight = "Iron Sights",
		
		--[RSASS]
		bm_w_rsass = "Remington R11 RSASS",
		bm_wp_wpn_fps_rsass_handguard = "Remington R11 RSASS Handguard",
		
		--[SCAR-20]
		bm_w_scargear = "Fabrique Nationale MK.20 Mod 0",
		bm_wp_wpn_fps_snp_scargear_m_eagle = "30rnd MK.16 Magazine",
		
		--[Springfield M1903]
		bm_w_spring = "Springfield Armory Model 1903", -- Housewife <3
		bm_wp_wpn_fps_snp_spring_o_scope = "Model 330 Weaver Scope",
		bm_wp_wpn_fps_snp_spring_o_unrt = "Unertl 8× Rifle Scope",
		bm_wp_wpn_fps_snp_spring_ns_silencio = "Maxim Suppressor",
		bm_wp_wpn_fps_snp_spring_ironsight = "M1903A3 Iron Sights",
		bm_wp_wpn_fps_snp_spring_m_5rnd = "5rnd M1903 Magazine", --This would've passed for an "Air Service" model if the magazine was an integral one; no Springfield rifle I know uses detachable mags
		bm_wp_wpn_fps_snp_spring_s_pouch = "Dual Ammo Pouches",
		bm_wp_wpn_fps_snp_spring_s_light = "Mk.I Stock",
		
		--[SRS99-S7]
		bm_w_srs99_s7 = "Misriah Armory SRS99-S7 AM",
		
		--[SV-98]
		bm_w_sv98 = "Kalashnikov Concern SV-98",
		bm_wp_wpn_fps_upg_sv98_supp_dtk4 = "ZenitCo DTK-4 \"Kochevnik\" Suppressor",
		
		--[SV-98 again]
		bm_w_heartpiercer = "Kalashnikov Concern SV-98",
		bm_wp_wpn_fps_snp_heartpiercer_b_dtk = "SRVV Mk2.0 Jet Muzzle Brake",
		bm_wp_wpn_fps_snp_heartpiercer_b_thread = "Thread Adapter",
		bm_wp_wpn_fps_snp_heartpiercer_ns_supp = "SV-98 Suppressor",
		
		--[SVD]
		bm_wp_wpn_fps_upg_svd_handguard_modern = "SVD-M Handguard",
		bm_wp_wpn_fps_upg_svd_stock_folding = "Sidefolding SVD-S Stock",
		bm_wp_wpn_fps_upg_svd_stock_modern = "SVD-M Stock",
		
		--[SVU]
		bm_w_svu = "TsKIB SOO OTs-03 SVU Dragunov",
		bm_wp_wpn_fps_upg_svu_dtk2 = "ZenitCo DTK-2 Muzzle Brake",
		bm_wp_wpn_fps_upg_svu_grip_camo = "Digital Woodland Camo Pistol Grip",
		bm_wp_wpn_fps_upg_svu_grip_plastic = "Black Polymer Pistol Grip",
		bm_wp_wpn_fps_upg_svu_handguard_camo = "Digital Woodland Camo Handguard",
		bm_wp_wpn_fps_upg_svu_handguard_plastic = "Black Polymer Handguard",
		
		--[T-5000]
		bm_w_t1000x5 = "ORSIS T-5000",
		
		--[Uni's Barrett]
		bm_w_unibarrett = "Barrett M11 \"Black Sister\"", -- Completely fictional; it had no official name AFAIK, so I called it the Model 11 as a reference to Hyperdimension Neptunia mk2's release date in Japan (2011); the nickname at the end was just something I threw in at the last minute
		bm_wp_wpn_fps_snp_uni_barrett_b_silencer = "Suppressed Barrel",
		bm_wp_wpn_fps_snp_uni_barrett_body_assault = "Gold Plated Stock", --What's with the absurd damage reductions on the stocks? The ammo pickup isn't modified accordingly to reflect this change...
		bm_wp_wpn_fps_snp_uni_barrett_body_stelf = "Arctic Camo Stock",
		
		--[VSS]
		bm_w_vss = "Tula Arms VSS \"Vintorez\"",
		bm_wp_wpn_fps_upg_vss_irons_il = "Tritium Night Sights",
		bm_wp_wpn_fps_upg_vss_mag_20rnd = "20rnd AS \"Val\" Magazine",
		bm_wp_wpn_fps_upg_vss_pso_alt = "PSO-1 Scope w/o Eye Cover",
		bm_wp_wpn_fps_upg_vss_rail_midwest = "Midwest Industries AK Scope Mount",
		bm_wp_wpn_fps_upg_vss_rail_zenit = "ZenitCo B-13 Scope Mount",
		bm_wp_wpn_fps_upg_vss_stock_alt = "No Cheek Rest",
		bm_wp_wpn_fps_upg_vss_stock_folding = "Sidefolding Stock",
		
		--[PzB 35]
		bm_w_wz35 = "Fabryka Karabinów Wz. 35",
		bm_wp_wpn_fps_snp_wz35_o_rail = "Scope Mount",
		bm_wp_wpn_fps_snp_wz35_b_s = "Short Barrel",
		bm_wp_wpn_fps_snp_wz35_m_7 = "6rnd Wz. 35 Magazine",
		bm_wp_wpn_fps_kafr_bullet = "7.92×107mm DS KAFR",
		bm_wp_wpn_fps_kafr_bullet_desc = "Kinetic Armor Fragmentation Round.\n\nPierces through cover, shields & body armor. +20% pickup rate.",
		bm_wp_wpn_fps_smkrls_bullet = "7.92×94mm SmK-Rs-L'spur",
		bm_wp_wpn_fps_smkrls_bullet_desc = "Standard anti-tank round for the Panzerbüchse 35(p) of the German Army.\n\nPierces through cover, shields & body armor. +50% pickup rate.",
		bm_wp_wpn_fps_pg_bullet = "7.92×94mm \"PanzerGeschoss\"",
		bm_wp_wpn_fps_pg_bullet_desc = "Anti-tank round with a hardened, tungsten alloy core.\n\nPierces through cover, shields & body armor.",
		bm_wp_wpn_fps_smkhrls_bullet = "7.92×94mm SmKH-Rs-L'spur",
		bm_wp_wpn_fps_smkhrls_bullet_desc = "Experimental, tungsten-carbide cored anti-tank round containing a tear gas pellet which releases upon puncturing heavy armor; the quantity of tear gas used was too small to be effective and often went unnoticed.\n\nPierces through cover, shields & body armor, otherwise poisons enemies. ",
		bm_wp_wpn_fps_pmk_bullet = "7.92×94mm P.m.K.",
		bm_wp_wpn_fps_pmk_bullet_desc = "Steel-cored, anti-tank round loaded with white phosphorus.\n\nPierces through cover, shields & body armor, otherwise ignites on impact.",
		bm_wp_wpn_fps_bp_bullet = "7.92×94mm \"B-Patrone\"",
		bm_wp_wpn_fps_bp_bullet_desc = "High-explosive, incendiary ball rounds.\n\nExplodes on impact. No armor-piercing capabilities. Ammo pickups disabled.",
		bm_wp_wpn_fps_smkbp_bullet = "7.92×94mm S.m.K. \"B-Patrone\"",
		bm_wp_wpn_fps_smkbp_bullet_desc = "High-explosive, steel-cored rounds.\n\nExplodes on impact. No armor-piercing capabilities. Ammo pickups disabled.",
		bm_wp_wpn_fps_tp_bullet = "7.92×94mm TreibPatrone 318",
		bm_wp_wpn_fps_tp_bullet_desc = "Blank cartridge with an inert wooden slug.\n\nPierces through body armor. +200% pickup rate.",
		bm_wp_wpn_fps_snp_wz35_bipod_standard = "Wz. 35 Bipod",
		
		--[XM2010 ~ Call of Duty: Modern Warfare II (2022)]
		bm_w_xmike2010 = "Remington M2010 ESR",
		
		--[XM21]
		bm_w_xm21 = "Springfield Armory XM21 SWS",
		bm_wp_wpn_fps_upg_xm21_stock_black = "Black Laminated Wooden Stock",
		bm_wp_wpn_fps_upg_xm21_stock_camo_jungle = "Jungle Camo Stock",
		
		-----------------------
		--  Submachine Guns  --
		-----------------------
		
		--[ACAR-9 ~ Vanilla Mod Pack]
		bm_w_car9 = "Colt R0635",
		bm_w_x_car9 = "Akimbo Colt R0635s",
		
		--[AEK-919K]
		bm_w_aek919 = "ZiD AEK-919K \"Kashtan\"",
		bm_w_x_aek919 = "Akimbo ZiD AEK-919Ks",
		bm_wp_wpn_fps_smg_aek919_m_extended = "30rnd AEK-919 Magazine",
		bm_wp_wpn_fps_smg_aek919_s_unfold = "Extended Stock",
		bm_wp_wpn_fps_smg_aek919_s_none = "No Stock",
		
		--[Automat-5 ~ Vanilla Mod Pack]
		bm_w_ak5s = "Bofors Ak 5 9mm",
		bm_w_x_ak5s = "Akimbo Bofors Ak 5 9mms",
		bm_wp_wpn_fps_smg_ak5s_b_long = "17.7\" Barrel",
		bm_wp_wpn_fps_smg_ak5s_m_curve = "30rnd MP5 Magazine",
		bm_wp_wpn_fps_smg_ak5s_nostock = "No Stock",
		
		--[AK 5.56]
		bm_w_ak556 = "Zastava Arms M85", -- This is the only carbine length AK I know that's chambered in 5.56, but even then it's still a ways off
		bm_wp_wpn_fps_ass_ak556_grip_torn = "Worn Pistol Grip",
		bm_wp_wpn_fps_ass_ak556_stock_tan = "Tan Magpul CTR Stock",
		
		--[APC-9]
		bm_w_iso = "Brügger & Thomet APC9 K PRO G",
		bm_wp_wpn_fps_iso_barrel_silenced = "APC9-SD Kit",
		bm_wp_wpn_fps_iso_barrel_medium = "Medium Handguard & 8.2\" Barrel",
		bm_wp_wpn_fps_iso_barrel_long = "Long Handguard & 9.4\" Barrel",
		bm_wp_wpn_fps_iso_stock_folded = "Retracted Stock",
		bm_wp_wpn_fps_iso_stock_full = "Sidefolding Stock",
		bm_wp_wpn_fps_iso_magazine_extend = "30rnd Glock Magazine",
		bm_wp_wpn_fps_iso_magazine_drum = "50rnd X-Products X-CZ-9 Drum",
		
		--[AR-9]
		bm_w_stoy_919 = "Colt R0635",
		bm_wp_wpn_fps_smg_stoy_919_lr_r0635 = "SMG Lower Receiver",
		bm_wp_wpn_fps_smg_stoy_919_ur_r0635 = "SMG Upper Receiver",
		bm_wp_wpn_fps_smg_stoy_919_ba_r0635 = "10.5\" Barrel",
		bm_wp_wpn_fps_smg_stoy_919_md_r0635 = "A1 Birdcage Flash Suppressor",
		bm_wp_wpn_fps_smg_stoy_919_hg_r0635 = "A2 Handguard",
		bm_wp_wpn_fps_smg_stoy_919_pg_r0635 = "A2 Pistol Grip",
		bm_wp_wpn_fps_smg_stoy_919_st_r0635 = "Gen 2 Collapsible Stock",
		bm_wp_wpn_fps_smg_stoy_919_m_steel_32 = "32rnd R0635 9mm Magazine",
		bm_wp_wpn_fps_smg_stoy_919_ba_ar6951 = "16\" Barrel",
		bm_wp_wpn_fps_smg_stoy_919_so_pr = "Project Reality Firing Sounds",
		
		--[Bastard]
		bm_w_bastard = "\"Bastard\" Improvised Carbine",
		
		--[Calico]
		bm_w_calico = "Calico M960A",
		bm_wp_wpn_fps_smg_calico_body_carbine = "M955A Kit",
		bm_wp_wpn_fps_smg_calico_body_full = "Liberty 100 Kit",
		bm_wp_wpn_fps_smg_calico_m_half = "50rnd M900 Magazine",
		
		--[CBJ-MS]
		bm_w_cbjms = "Bofors CBJ-MS",
		bm_wp_wpn_fps_upg_cbjms_ammo_cbj = "6.5×25mm CBJ",
		bm_wp_wpn_fps_upg_cbjms_drum_mag = "100rnd CBJ-MS Drum",
		bm_wp_wpn_fps_upg_cbjms_drum_mag_half = "1/2 Loaded 100rnd CBJ-MS Drum",
		
		--[Einhänder]
		bm_w_einhander = "Zilla Enterprises Einhänder",
		bm_wp_wpn_fps_upg_einhander_stock_removed = "No Stock",
		
		--[Fang]
		bm_w_fang45 = "Land Warfare Resources Co. SMG-45",
		
		--[Glaubert]
		bm_w_glau = "FB Radom PM-98 \"Glauberyt\"",
		bm_w_x_glau = "Akimbo FB Radom PM-98s",
		bm_wp_wpn_fps_smg_glau_b_long = "Long Barrel",
		bm_wp_wpn_fps_smg_glau_m_extended = "25rnd PM-98 Magazine",
		bm_wp_wpn_fps_smg_glau_a_9x18 = "9×18mm Makarov",
		bm_wp_wpn_fps_smg_glau_a_9x18_desc = "Standard military pistol cartridge of the Soviet Union, designed in 1946.\n\nNo armor-piercing capabilities. +155% pickup rate.",
		bm_wp_wpn_fps_smg_glau_a_9x19p = "9×19mm Parabellum +P",
		bm_wp_wpn_fps_smg_glau_a_9x19p_desc = "Overpressure rounds with a denser projectile core.",
		
		--[Grease Gun]
		bm_w_m3 = "General Motors M3 \"Grease Gun\"",
		bm_w_x_m3 = "Akimbo General Motors M3s",
		bm_wp_wpn_fps_smg_m3_m_double = "Dual 30rnd M3 Magazines",
		bm_wp_wpn_fps_smg_m3_m_short = "20rnd M3 Magazine",
		bm_wp_wpn_fps_smg_m3_m_long = "40rnd M3 Magazine",
		bm_wp_wpn_fps_smg_m3_a_ovk_9mm = "9×19mm Parabellum \"OVERKILL\"",
		bm_wp_wpn_fps_smg_m3_a_ovk_9mm_desc = "-63%/-27% pickup rate.",
		bm_wp_wpn_fps_smg_m3_a_9mm = "9×19mm Parabellum",
		bm_wp_wpn_fps_smg_m3_a_9mm_desc = "+100% pickup rate.",
		
		--[HK Pack ~ H3VR]
		bm_w_slap_919 = "Heckler & Koch MP5A3",
		bm_w_slap_10 = "Heckler & Koch MP5/10",
		bm_w_slap_40 = "Heckler & Koch MP5/40",
		bm_wp_wpn_fps_smg_slap_919_hg_sure = "SureFire 628 WeaponLight Forend",
		bm_wp_wpn_fps_smg_slap_919_st_cap = "No Stock",
		bm_wp_wpn_fps_smg_slap_919_m_curve_15 = "15rnd MP5 Magazine",
		bm_wp_wpn_fps_smg_slap_919_m_waffle_30 = "30rnd MP5 Waffle Magazine",
		bm_wp_wpn_fps_smg_slap_919_m_waffle_15 = "15rnd MP5 Waffle Magazine",
		bm_w_kurz_919 = "Heckler & Koch MP5K",
		bm_wp_wpn_fps_smg_kurz_919_hg_proto = "Prototype Vertical Grip",
		bm_wp_wpn_fps_smg_kurz_919_hg_sp5k = "SP5K Kit",
		bm_wp_wpn_fps_smg_kurz_919_st_pdw_fold = "Folded MP5K-PDW Stock",
		bm_wp_wpn_fps_smg_kurz_919_m_curve_30 = "30rnd MP5 Magazine",
		bm_wp_wpn_fps_smg_kurz_919_m_waffle_30 = "30rnd MP5 Waffle Magazine",
		bm_wp_wpn_fps_smg_kurz_919_m_waffle_15 = "15rnd MP5 Waffle Magazine",
		
		
		--[IDW]
		bm_w_nya = "Bushman IDW",
		bm_w_x_nya = "Akimbo Bushman IDWs",
		bm_wp_wpn_fps_upg_nya_cpu_turbo_desc = "Increases fire rate.",
		bm_wp_wpn_fps_upg_nya_cpu_slow_desc = "Decreases fire rate.",
		bm_wp_wpn_fps_upg_nya_am_dillon = "9×25mm Dillon",
		bm_wp_wpn_fps_upg_nya_am_dillon_desc = "Rechambers the IDW to fire a wildcat 10mm cartridge with increased stopping power.\n\nPierces through cover, shields & body armor. -25% pickup rate.",
		bm_wp_wpn_fps_upg_nya_rec_v1 = "\"Parker-Hale PDW\" Kit",
		
		--[M38A]
		bm_w_m38a = "Beretta Model 38A",
		bm_wp_wpn_fps_smg_m38a_m_20rnd = "20rnd M38 Magazine",
		bm_wp_wpn_fps_smg_m38a_m_40rnd = "40rnd M38 Magazine",
		
		--[M7]
		bm_w_m7caseless = "Misriah Armory M7",
		bm_w_x_m7caseless = "Akimbo Misriah Armory M7s",
		
		--[M933]
		bm_w_r0933blk = "AAC/Colt Model 933 Carbine",
		bm_wp_wpn_fps_upg_r0933blk_barrel_suppressed_chrome = "Chrome Suppressor",
		bm_wp_wpn_fps_upg_r0933blk_handguard_ddm4 = "Daniel Defense M4 Quad Rail",
		bm_wp_wpn_fps_upg_r0933blk_handguard_kac_urx4 = "Knight's Armament Co. URX 4 Keymod Rail",
		bm_wp_wpn_fps_upg_r0933blk_irons_lirisy = "Lirisy Tactical Flip-up Iron Sights",
		bm_wp_wpn_fps_upg_r0933blk_mag_pmag = "30rnd Magpul PMAG Gen 3 Magazine",
		bm_wp_wpn_fps_upg_r0933blk_stock_m231_no_wire = "M231 Buffer Tube Stock",
		
		--[MP7]
		bm_wp_wpn_fps_smg_mp7new_ammo_fmj = "4.6×30mm Hollow Point",
		bm_wp_wpn_fps_smg_mp7new_mag_ext_30rnd = "30rnd MP7 Magazine",
		bm_wp_wpn_fps_smg_mp7new_mag_ext_underloaded = "3/4 Loaded 40rnd MP7 Magazine",
		
		--[K1A7]
		bm_w_k1a7 = "Daewoo Precision Industries K1",
		bm_wp_wpn_fps_smg_k1a7_b_sd = "K7 Kit",
		bm_wp_wpn_fps_smg_k1a7_m_9mm = "30rnd K7 9mm Magazine",
		
		--[FMG-9]
		bm_w_x_fmgnine = "Akimbo Magpul FMG-9s",
		
		--[PDR]
		bm_w_pdr = "Magpul PDR-C",
		bm_wp_wpn_fps_smg_pdr_m_pmag = "30rnd Steyr AUG Magazine",
		
		--[PM-9]
		bm_wp_wpn_fps_smg_minebea_m_extended = "35rnd M-9 Magazine",
		
		--[MK.18]
		bm_w_m4cqb = "U.S. Navy MK.18 Mod 0",
		bm_wp_wpn_fps_smg_m4cqb_ba_m4 = "14.5\" Barrel",
		bm_wp_wpn_fps_smg_m4cqb_ba_m933 = "11.5\" Barrel",
		bm_wp_wpn_fps_smg_m4cqb_ch_raptor = "ATXS Raptor Charging Handle",
		bm_wp_wpn_fps_smg_m4cqb_m_magpul = "20rnd STANAG Magazine w/Sleeve",
		bm_wp_wpn_fps_smg_m4cqb_m_ranger = "30rnd Magpul PMAG Mag. w/Ranger Plate",
		bm_wp_wpn_fps_smg_m4cqb_gb_m4 = "A2 Gas Block",
		bm_wp_wpn_fps_smg_m4cqb_hg_ddm4 = "Daniel Defense RIS II Quad Rail",
		bm_wp_wpn_fps_smg_m4cqb_ns_nt4 = "Knight's Armament Co. NT-4 Suppressor",
		bm_wp_wpn_fps_smg_m4cqb_st_troy = "Troy Industries M7A1 PDW Stock",
		bm_wp_wpn_fps_smg_m4cqb_st_sopmod = "LMT SOPMOD Stock",
		bm_wp_wpn_fps_smg_m4cqb_rc_all = "Knight's Armament Co. Rail Covers",
		bm_wp_wpn_fps_smg_m4cqb_rc_xtm_all = "Magpul XTM Enhanced Rail Panels",
		bm_wp_wpn_fps_smg_m4cqb_o_stupid = "Gas Block Rail",
		bm_wp_wpn_fps_ass_mk18prim_ba_m16 = "20\" Barrel",
		bm_wp_wpn_fps_ass_mk18prim_hg_heatshield = "USGI M203 Heat Shield Handguard",
		
		--[MP40]
		bm_wp_wpn_fps_smg_mp40_m_20 = "20rnd MP40 Magazine",
		bm_wp_wpn_fps_smg_mp40_m_50 = "50rnd MP40 Magazine",
		
		--[MPX]
		bm_wp_wpn_fps_smg_mpx_ammo_40sw = ".40 Smith & Wesson",
		bm_wp_wpn_fps_upg_mpx_barrel_sd = "MPX-SD Kit",
		bm_wp_wpn_fps_upg_mpx_grip_polymer = "MPX-P Grip",
		bm_wp_wpn_fps_upg_mpx_mag_dual = "Dual 30rnd MPX Magazines",
		bm_wp_wpn_fps_upg_mpx_mag_modern = "30rnd MPX-P Magazine",
		bm_wp_wpn_fps_upg_mpx_mag_modern_40 = "40rnd MPX-P Magazine",
		bm_wp_wpn_fps_upg_mpx_mag_translucent = "30rnd Lancer Systems MPX Magazine",
		bm_wp_wpn_fps_upg_mpx_mag_translucent_dual = "Dual 30rnd Lancer Systems MPX Mags.",
		bm_wp_wpn_fps_upg_mpx_mag_extension = "40rnd MPX Magazine",
		bm_wp_wpn_fps_upg_mpx_stock_collapsed = "Collapsed Stock",
		bm_wp_wpn_fps_upg_mpx_stock_extended = "Extended Stock",
		bm_wp_wpn_fps_upg_mpx_stock_modern_collapsed = "Collapsed Black Stock",
		bm_wp_wpn_fps_upg_mpx_stock_modern_extended = "Extended Black Stock",
		
		--[MSMC]
		bm_w_msmc = "ARDE Modern Sub Machine Carbine",
		bm_wp_wpn_fps_smg_msmc_b_short = "Short Barrel",
		bm_wp_wpn_fps_smg_msmc_m_extended = "40rnd MSMC Magazine",
		bm_wp_wpn_fps_smg_msmc_m_fast = "30rnd MSMC Magazine w/Ranger Plate",
		bm_wp_wpn_fps_smg_msmc_vertgrip = "Angled Foregrip",
		bm_wp_wpn_fps_smg_msmc_fl_dbal = "Steiner Defense D-BAL",
		bm_wp_wpn_fps_smg_msmc_a_minsas = "5.56×30mm MINSAS Full Metal Jacket",
		bm_wp_wpn_fps_smg_msmc_a_minsas_desc = "80% chance to pierce body armor.",
		
		--[Mx4]
		bm_w_storm = "Beretta Mx4 Storm",
		bm_wp_wpn_fps_smg_storm_b_short = "12\" Barrel",
		bm_wp_wpn_fps_smg_storm_b_long = "16.6\" Barrel", -- on by default
		bm_wp_wpn_fps_smg_storm_b_precision = "21.2\" Barrel", -- If an assault rifle can have a huge barrel, why not a carbine?
		bm_wp_wpn_fps_smg_storm_m_extended = "40rnd Mx4 Magazine",
		bm_wp_wpn_fps_upg_storm_flashhider = "VLTOR VC-1 Flash Suppressor", -- It's a close enough match, save for the lack of starburst pattern inside the barrel
		bm_wp_wpn_fps_smg_storm_a_acp = ".45 Automatic Colt Pistol",
		
		--[MW2019 MP5]
		bm_w_mpapa5 = "Heckler & Koch MP5A3",
		bm_wp_wpn_fps_smg_mpapa5_handguard = "SureFire 628 WeaponLight Forend",
		bm_wp_wpn_fps_smg_mpapa5_handguard_sd_at_home = "MP5SD Kit w/Rail Covers",
		bm_wp_wpn_fps_smg_mpapa5_handguard_sd_at_home_short = "Railed MP5SD Kit",
		bm_wp_wpn_fps_smg_mpapa5_handguard_short = "SP89 Kit",
		bm_wp_wpn_fps_smg_mpapa5_handguard_railed = "Tri-Rail Handguard",
		bm_wp_wpn_fps_smg_mpapa5_magazine_ext = "45rnd MP5 Magazine",
		bm_wp_wpn_fps_smg_mpapa5_magazine_ext_2 = "30rnd MP5/10 10mm Magazine",
		bm_wp_wpn_fps_smg_mpapa5_magazine_ext_2_desc = "Pierces body armor. -35% pickup rate.",
		bm_wp_wpn_fps_smg_mpapa5_stock_collapsed = "Retracted Stock",
		bm_wp_wpn_fps_smg_mpapa5_stock_full = "Solid Stock",
		bm_wp_wpn_fps_smg_mpapa5_body_v2 = "PTR Industries 9KT Receiver",
		bm_wp_wpn_fps_smg_mpapa5_handguard_v2 = "PTR Industries 9CT Handguard",
		bm_wp_wpn_fps_smg_mpapa5_magazine_v2 = "30rnd PTR Industries MP5 Magazine",
		bm_wp_wpn_fps_smg_mpapa5_stock_v2 = "Partially Retracted Stock",
		
		--[MW2019 Vector]
		--bm_wp_wpn_fps_smg_victor_magazine_drum = "",
		--bm_wp_wpn_fps_smg_victor_magazine_small = "",
		--bm_wp_wpn_fps_smg_victor_stock_heavy = "",
		--bm_wp_wpn_fps_smg_victor_stock_tactical = "",
		--bm_wp_wpn_fps_smg_victor_vertical_grip_task_force = "",
		--bm_wp_wpn_fps_smg_victor_vertical_grip_03 = "",
		--bm_wp_wpn_fps_smg_victor_stubby_grip_02 = "",
		--bm_wp_wpn_fps_smg_victor_stubby_grip_04 = "",
		--bm_wp_wpn_fps_smg_victor_dd_pic_vg = "",
		bm_wp_wpn_fps_smg_victor_hp_am = ".45 Automatic Colt Pistol Hollow Point",
		
		--[CF-06]
		bm_w_chang6 = "Chang Feng CF-05",
		
		--[Owen]
		bm_w_owen = "Lysaght Owen Mk.I/1942",
		bm_wp_wpn_fps_smg_owen_b_43 = "Mk.I/1943 Barrel",
		bm_wp_wpn_fps_smg_owen_s_wood = "Mk.II Stock",
		bm_wp_wpn_fps_smg_owen_m_double = "Dual 32rnd Owen Magazines",
		
		--[JS2]
		bm_w_js2 = "Jian She CS/LS2",
		bm_wp_wpn_fps_smg_js2_m_tri = "50rnd QCW-05 5.8×21mm Magazine",
		
		--[PPK-20]
		bm_w_ppk20 = "Kalashnikov Concern PPK-20",
		bm_wp_wpn_fps_upg_ppk20_ammo_9mm_p = "9×19mm Parabellum +P",
		bm_wp_wpn_fps_upg_ppk20_ammo_9mm_p_desc = "-30% pickup rate.",
		bm_wp_wpn_fps_upg_ppk20_grip_ak = "Plastic AK Pistol Grip",
		bm_wp_wpn_fps_upg_ppk20_grip_molot = "Molot Pistol Grip",
		bm_wp_wpn_fps_upg_ppk20_grip_vityaz = "PP-19-01 \"Vityaz\" Pistol Grip",
		bm_wp_wpn_fps_upg_ppk20_grip_wood = "Type III AK-47 Pistol Grip",
		bm_wp_wpn_fps_upg_ppk20_handguard_akm = "Wooden AKM Handguard",
		bm_wp_wpn_fps_upg_ppk20_handguard_arsenal = "Arsenal PR-01 Quad Rail",
		bm_wp_wpn_fps_upg_ppk20_handguard_chaos = "Chaos Vepr-12 Quad Rail",
		bm_wp_wpn_fps_upg_ppk20_handguard_terminator = "AKademia Terminator Multi-Rail Kit",
		bm_wp_wpn_fps_upg_ppk20_handguard_zenit = "ZenitCo B-21 Handguard",
		bm_wp_wpn_fps_upg_ppk20_handguard_zenitwood = "ZenitCo B-21 Handguard w/Wooden Upper",
		bm_wp_wpn_fps_upg_ppk20_irons_il = "Tritium Night Sights",
		bm_wp_wpn_fps_upg_ppk20_mag_dual = "Dual 30rnd PP-19-01 Magazines",
		bm_wp_wpn_fps_upg_ppk20_mag_speedplate = "30rnd PP-19-01 Magazine w/Ranger Plate",
		bm_wp_wpn_fps_upg_ppk20_mag20 = "20rnd PP-19-01 Magazine",
		bm_wp_wpn_fps_upg_ppk20_mag20_speedplate = "20rnd PP-19-01 Magazine w/Ranger Plate",
		bm_wp_wpn_fps_upg_ppk20_rail_zenit = "ZenitCo B-13 Scope Mount",
		bm_wp_wpn_fps_upg_ppk20_stock_molot = "Sidefolding Vepr-12 Stock",
		bm_wp_wpn_fps_upg_ppk20_stock_zenit = "ZenitCo PT-1 \"Klassika\" Stock",
		bm_wp_wpn_fps_upg_ppk20_stock_zhukov_ext = "Extended Stock",
		bm_wp_wpn_fps_upg_ppk20_supp = "SR-3M Suppressor",
		
		--[Kalashniluger]
		bm_w_lugerwth = "Waffen Werle Kalashniluger",
		bm_w_x_lugerwth = "Akimbo Waffen Werle Kalashnilugers",
		bm_wp_wpn_fps_smg_lugerwth_mag_drum = "32rnd Trommel-Magazin 08 Drum",
		bm_wp_wpn_fps_smg_lugerwth_cleaningrod_non = "No Cleaning Rod",
		
		--[Kedr]
		bm_w_kedr = "ZlatMash PP-91 \"Kedr\"",
		bm_w_x_kedr = "Akimbo ZlatMash PP-91s",
		bm_wp_wpn_fps_smg_kedr_m_ext = "30rnd PP-91 Magazine",
		bm_wp_wpn_fps_smg_kedr_sil = "GemTech RAPTOR-II Suppressor",
		
		--[PM-63]
		bm_w_pm63 = "FB Radom PM-63 \"Rak\"",
		bm_w_x_pm63 = "Akimbo FB Radom PM-63s",
		bm_wp_wpn_fps_smg_pm63_m_ext = "25rnd PM-63 Magazine",
		bm_wp_wpn_fps_smg_pm63_rof_937 = "Rapid Fire",
		
		--[PP-2000]
		bm_w_peepee = "KBP PP-2000",
		bm_w_x_peepee = "Akimbo KBP PP-2000s",
		bm_wp_wpn_fps_mp_peepee_b_conceal = "7.2\" Barrel",
		bm_wp_wpn_fps_mp_peepee_m_extended = "44rnd PP-2000 Magazine",
		bm_wp_wpn_fps_mp_peepee_s_mag = "Spare Magazine Stock",
		bm_wp_wpn_fps_mp_peepee_s_wire = "Sidefolding Wire Stock",
		bm_wp_wpn_fps_mp_peepee_body_black = "Black Receiver",
		bm_wp_wpn_fps_mp_peepee_a_7N31 = "9×19mm 7N31 +P+",
		bm_wp_wpn_fps_mp_peepee_a_7N31_desc = "Russian overpressured variant of the 9mm round with a steel core.\n\nPierces through body armor. -50% pickup rate.",
		
		--[PPS-43]
		bm_w_pps43 = "Sudayev PPS-43",
		bm_wp_wpn_fps_upg_pps43_barrel_nobrake = "No Muzzle Brake",
		bm_wp_wpn_fps_upg_pps43_mag_window = "35rnd PPS-43 Window Magazine",
		
		--[PPSh-41]
		bm_w_ppsh = "Shpagin PPSh-41",
		bm_wp_wpn_fps_upg_ppsh_barrel_sawnoffcomp = "Short Barrel Shroud",
		
		--[Scorpion]
		bm_w_czevo = "CZ Scorpion EVO 3 A1",
		bm_w_x_czevo = "Akimbo CZ Scorpion EVO 3 A1s",
		bm_wp_wpn_fps_smg_czevo_vg_handstop = "LaRue Tactical HandStop",
		bm_wp_wpn_fps_smg_czevo_vg_cover = "Knight's Armament Co. Rail Cover",
		bm_wp_wpn_fps_smg_czevo_vg_ptk = "FAB Defense PTK Ergo Pointing Grip",
		bm_wp_wpn_fps_smg_czevo_barrel_long = "Long Barrel",
		bm_wp_wpn_fps_smg_czevo_mag_speed = "30rnd Scorpion EVO Magazine w/Sleeve",
		bm_wp_wpn_fps_smg_czevo_body_3 = "A-TACS Camo",
		bm_wp_wpn_fps_smg_czevo_body_4 = "Desert Tan Receiver",
		bm_wp_wpn_fps_smg_czevo_body_5 = "Splinter Camo",
		bm_wp_wpn_fps_smg_czevo_body_6 = "Woodland Camo",
		bm_wp_wpn_fps_smg_czevo_body_7 = "Forest Green Receiver",
		bm_wp_wpn_fps_smg_czevo_sight_troy = "Troy Industries HK Flip-up Battle Sights",
		bm_wp_wpn_fps_smg_czevo_a_strong = "9×19mm Parabellum Hollow Point",
		bm_wp_wpn_fps_smg_czevo_a_strong_desc = "-75%/-50% pickup rate.",
		bm_wp_wpn_fps_smg_czevo_a_classic = "9×21mm IMI",
		bm_wp_wpn_fps_smg_czevo_a_classic_desc = "-50%/-15% pickup rate.",
		
		--[MW2019 Scorpion Evo]
		bm_w_secho = "CZ Scorpion Evo 3 A1",
		bm_wp_wpn_fps_smg_secho_barrel_long = "Medium Barrel",
		bm_wp_wpn_fps_smg_secho_barrel_long_extra = "Long Barrel",
		bm_wp_wpn_fps_smg_secho_barrel_short = "Short Barrel",
		bm_wp_wpn_fps_smg_secho_barrel_sil_short = "Short Barrel w/Suppressor",
		bm_wp_wpn_fps_smg_secho_barrel_sil_long = "Long Barrel w/Suppressor",
		-- bm_wp_wpn_fps_smg_secho_handguard_short = "",
		-- bm_wp_wpn_fps_smg_secho_handguard_long = "",
		-- bm_wp_wpn_fps_smg_secho_handguard_sil_long = "",
		-- bm_wp_wpn_fps_smg_secho_handguard_sil_short = "",
		bm_wp_wpn_fps_smg_secho_magazine_ext = "30rnd Scorpion Evo Magazine",
		bm_wp_wpn_fps_smg_secho_magazine_drum = "50rnd Scorpion Evo Drum",
		bm_wp_wpn_fps_smg_secho_magazine_small = "12rnd Scorpion Evo Magazine",
		bm_wp_wpn_fps_smg_secho_hp_am = "9×19mm Parabellum Hollow Point",
		
		--[SMG-11]
		bm_w_mac10mpa = "Ingram MAC-10",
		bm_wp_wpn_fps_smg_mac10mpa_front_ris = "Forward Tri-Rail w/Troy Modular Grip",
		bm_wp_wpn_fps_smg_mac10mpa_mag_short = "16rnd MAC-11 Magazine",
		
		--[SMG-12]
		bm_w_master = "MasterPiece Arms MPA935SST",
		bm_w_x_master = "Akimbo MasterPiece Arms MPA935SSTs",
		bm_wp_wpn_fps_mp_master_m_extended = "30rnd MPA Magazine",
		bm_wp_wpn_fps_mp_master_ns_silent = "Suppressed Barrel",
		
		--[SMG-45]
		bm_w_smg45 = "Land Warfare Resources Co. SMG-45",
		bm_wp_wpn_fps_smg_smg45_b_longer = "14\" Polymer Barrel",
		bm_wp_wpn_fps_smg_smg45_b_long = "16\" Barrel",
		bm_wp_wpn_fps_smg_smg45_s_fixed = "G3 Stock",
		-- bm_wp_wpn_fps_smg_smg45_s_custom = "", -- no idea
		
		--[Spectre]
		bm_w_spectre_m4 = "SITES Spectre M4",
		bm_w_x_spectre_m4 = "Akimbo SITES Spectre M4s",
		bm_wp_wpn_fps_smg_spectre_m4_m_standard = "50rnd Spectre Magazine",
		
		--[Thompson M1A1]
		bm_w_x_tm1a1 = "Akimbo Thompson M1A1s",
		bm_wp_wpn_fps_smg_tm1a1_m_extended = "30rnd M1A1 Magazine",
		bm_wp_wpn_fps_smg_tm1a1_m_jungle = "Dual 30rnd M1A1 Magazines",
		bm_wp_wpn_fps_smg_tm1a1_body_black = "Polymer Furniture",
		bm_wp_wpn_fps_smg_tm1a1_body_noiron = "Short Rear Sight",
		bm_wp_wpn_fps_smg_tm1a1_body_blacknoiron = "Polymer Furniture w/Short Rear Sight",
		bm_wp_wpn_fps_smg_tm1a1_lower_reciever_30 = ".30 Carbine Conversion Kit",
		
		--[UMP]
		bm_wp_wpn_fps_smg_ump_fg_sil = "Short Barrel w/GM-9 Suppressor",
		bm_wp_wpn_fps_smg_ump_irons_il = "Tritium Night Sights",
		bm_wp_wpn_fps_smg_ump_m_ump9 = "UMP9 9mm Kit",
		
		--[Sidekick]
		bm_w_uzi_lowang = "Ingram MAC-10",
		bm_w_x_uzi_lowang = "Akimbo Ingram MAC-10s",
		bm_wp_wpn_fps_upg_uzi_lowang_barrel_long = "Long Barrel",
		bm_wp_wpn_fps_upg_uzi_lowang_barrel_supp = "X-Fire MAC-10 Short Suppressor",
		bm_wp_wpn_fps_upg_uzi_lowang_stock_ext = "Unfolded Stock",
		
		--[QBZ-97B]
		bm_w_qbz97b = "Norinco QBZ-97B",
		
		--[Vz. 58 Compact]
		bm_w_vz58comp = "CZ SA Vz. 58 Compact",
		bm_wp_wpn_fps_smg_vz58comp_stock = "Sidefolding Vz. 58V Stock",
		bm_wp_wpn_fps_upg_vz58comp_barrel_long = "15.4\" Barrel",
		bm_wp_wpn_fps_upg_vz58comp_grip_bakelite = "Bakelite Pistol Grip",
		bm_wp_wpn_fps_upg_vz58comp_grip_black = "Polymer Pistol Grip",
		bm_wp_wpn_fps_upg_vz58comp_stock_black = "Polymer Stock",
		
		---------------
		--  Pistols  --
		---------------
		
		--[AccuShadow 2]
		bm_w_accushadow2 = "CZ AccuShadow 2",
		
		--[AF2011]
		bm_w_af2011 = "Arsenal AF2011-A1",
		bm_w_x_af2011 = "Akimbo Arsenal AF2011-A1s",
		bm_wp_wpn_fps_pis_af2011_m_ext = "Dual 10rnd 1911 Magazines",
		bm_wp_wpn_fps_pis_af2011_a_uno = "Single Shot",
		bm_wp_wpn_fps_pis_af2011_a_uno_desc = "Reconfigures the AF2011 to traditionally fire one round instead of two.\n\n+90% maximum pickup rate.",
		bm_wp_wpn_fps_pis_af2011_a_shield = ".38 Super",
		bm_wp_wpn_fps_pis_af2011_a_shield_desc = "Higher pressure load of the .38 ACP cartridge; a favorite among many top pistol match competitors.\n\nPierces through cover, shields & body armor. -50%/-70% pickup rate.",
		bm_wp_wpn_fps_pis_af2011_g_bling = "Pearl Grips",
		bm_wp_wpn_fps_pis_af2011_g_wood = "Polymer Grips",
		bm_wp_wpn_fps_pis_af2011_b_silver = "Stainless Steel Slide",
		
		--[AJM-9]
		bm_w_ajm = "Beretta Auto-9", -- actually a 93R
		bm_w_x_ajm = "Akimbo Beretta Auto-9s",
		bm_wp_wpn_fps_pis_ajm_m_extended = "28rnd Auto-9 Magazine",
		bm_wp_wpn_fps_pis_ajm_upg_gadget = "Underbarrel Flashlight & Laser Combo",
		bm_wp_wpn_fps_pis_ajm_ns_casket = "Casket Suppressor Shroud",
		bm_wp_wpn_fps_pis_ajm_o_scope = "Cobra Assault Cannon Computer Scope",
		bm_wp_wpn_fps_pis_ajm_frame_red = "Red Markings",
		bm_wp_wpn_fps_pis_ajm_frame_blue = "Blue Markings",
		
		--[AM D114]
		bm_w_bootl1911 = "FÉG Model GKK-45", --composite guns give me the big sad
		bm_w_x_bootl1911 = "Akimbo FÉG Model GKK-45s",
		bm_wp_wpn_fps_pis_bootl1911_a_9mm_ap = "9×19mm Parabellum Full Metal Jacket",
		bm_wp_wpn_fps_pis_bootl1911_a_9mm_ap_desc = "Pierces through cover, shields & body armor. -75%/-70% pickup rate.",
		bm_wp_wpn_fps_pis_x_bootl1911_a_9mm_ap_desc = "Pierces through cover, shields & body armor. -37.5%/-70% pickup rate.",
		-- bm_wp_wpn_fps_pis_bootl1911_body_custom = "",
		bm_wp_wpn_fps_pis_bootl1911_body_adamska = "Engraved Frame",
		-- bm_wp_wpn_fps_pis_bootl1911_fl_compact = "",
		bm_wp_wpn_fps_pis_bootl1911_g_custom = "Walnut Grips",
		bm_wp_wpn_fps_pis_bootl1911_g_ergo = "Rubber Grips",
		bm_wp_wpn_fps_pis_bootl1911_g_engraved = "Engraved Ivory Grips",
		bm_wp_wpn_fps_pis_bootl1911_m_ext = "10rnd GKK-45 Magazine",
		-- bm_wp_wpn_fps_pis_bootl1911_ns_mb = "Recoil Compensator",
		-- bm_wp_wpn_fps_pis_bootl1911_ns_hp = "",
		bm_wp_wpn_fps_pis_bootl1911_sl_hp = "Elevated Iron Sights",
		bm_wp_wpn_fps_pis_bootl1911_sl_lb = "Long Slide",
		bm_wp_wpn_fps_pis_bootl1911_sl_custom = "Reinforced Slide",
		bm_wp_wpn_fps_pis_bootl1911_sl_adamska = "Engraved Stainless Slide",
		-- bm_wp_wpn_fps_pis_bootl1911_sl_cb = "",
		
		--[Anubis ~ Restoration Mod]
		bm_w_socom = "Heckler & Koch MK.23 Mod 0",
		bm_w_x_socom = "Akimbo Heckler & Koch MK.23s",
		bm_wp_wpn_fps_upg_fl_pis_socomlam = "Wilcox Industries MK.23 LAM",
		
		--[AP Pistol]
		bm_w_appistol = "Colt SCAMP",
		--bm_wp_wpn_fps_upg_appistol_flashlight = "", -- generic model?
		bm_wp_wpn_fps_upg_appistol_jhp_rounds = ".22 SCAMP",
		bm_wp_wpn_fps_upg_appistol_jhp_rounds_desc = "No armor-piercing capabilities.",
		bm_wp_wpn_fps_upg_appistol_mag_extended = "36rnd SCAMP Magazine",
		bm_wp_wpn_fps_upg_appistol_sight_smg = "EOTech Holographic Sight", --Though it outwardly resembles an EOTech, none of the models have their brightness controlling knobs sitting up top like on the red dot sights
		bm_wp_wpn_fps_upg_appistol_sight_pistol = "Burris FastFire II Red Dot",
		
		--[APS]
		bm_wp_wpn_fps_upg_aps_9x18p = "9×18mm Makarov +P",
		bm_wp_wpn_fps_upg_aps_supp = "APB Suppressor",
		
		--[AutoMag]
		bm_w_amt = "AMC Auto Mag",
		bm_wp_wpn_fps_pis_amt_b_long = "10\" Barrel",
		bm_wp_wpn_fps_upg_amt_visionking = "VisionKing VS1.5-5×30QZ Rifle Scope",
		bm_wp_wpn_fps_pis_amt_g_rosewood = "Rosewood Grips",
		bm_wp_wpn_fps_pis_amt_body_standard_gold = "Gold Plated Body",
		bm_wp_wpn_fps_pis_amt_comp = "A1 Birdcage Flash Suppressor",
		bm_wp_wpn_fps_pis_amt_g_smooth = "Checkered Polymer Grips",
		bm_wp_wpn_fps_pis_amt_m_short = "10rnd Auto Mag Magazine",
		bm_wp_wpn_fps_pis_amt_m_extended = "13rnd Auto Mag Magazine",
		
		--[93R]
		bm_wp_wpn_fps_upg_b93r_flash = "A1 Birdcage Flash Suppressor",
		bm_wp_wpn_fps_upg_b93r_sight_tritium = "Tritium Night Sights",
		bm_wp_wpn_fps_upg_b93r_slide_stainless = "Stainless Steel Slide",
		
		--[Grach]
		bm_w_mp443 = "IZHMEKH MP-443 \"Grach\"",
		bm_wp_wpn_fps_pis_mp443_comp = "A1 Birdcage Flash Suppressor",
		bm_wp_wpn_fps_pis_mp443_sl_long = "Long Slide",
		bm_wp_wpn_fps_pis_mp443_body_green = "Olive Drab Frame",
		bm_wp_wpn_fps_pis_mp443_m_extended = "24rnd MP-443 Magazine",
		
		--[Bren Ten]
		bm_w_sonny = "Dornaus & Dixon Bren Ten",
		bm_w_x_sonny = "Akimbo Dornaus & Dixon Bren Tens",
		bm_wp_wpn_fps_pis_sonny_sl_runt = "\"Special Forces\" Slide",
		
		--[Browning HP]
		bm_wp_wpn_fps_pis_hpb_comp = "Bushing Compensator",
		bm_wp_wpn_fps_pis_hpb_comp2 = "A1 Birdcage Flash Suppressor",
		bm_wp_wpn_fps_pis_hpb_g_cherry = "Cherry Wood Grips",
		bm_wp_wpn_fps_pis_hpb_g_black = "Inglis Polymer Grips",
		bm_wp_wpn_fps_pis_hpb_a_c45 = "7.65×21mm Parabellum",
		bm_wp_wpn_fps_pis_hpb_a_c45_desc = "+75% maximum pickup rate.",
		bm_wp_wpn_fps_pis_hpb_g_white = "Navidrex Decorated Combat Grips",
		bm_wp_wpn_fps_pis_hpb_m_extended = "20rnd Hi-Power Magazine",
		bm_wp_wpn_fps_pis_hpb_body_blued = "Blued Body",
		bm_wp_wpn_fps_pis_hpb_body_pearl = "Pearl Body",
		bm_wp_wpn_fps_pis_hpb_body_gold = "Gold Plated Body",
		
		--[Browning HP again]
		bm_w_hipower = "Browning Hi-Power",
		bm_w_x_hipower = "Akimbo Browning Hi-Powers",
		bm_wp_wpn_fps_pis_hipower_b_mk3 = "MK3 Barrel",
		bm_wp_wpn_fps_pis_hipower_body_mk3 = "MK3 Frame",
		bm_wp_wpn_fps_pis_hipower_sl_mk3 = "MK3 Slide",
		bm_wp_wpn_fps_pis_hipower_b_inglis = "Inglis Hi-Power Barrel",
		bm_wp_wpn_fps_pis_hipower_body_inglis = "Inglis Hi-Power Frame",
		bm_wp_wpn_fps_pis_hipower_sl_inglis = "Inglis Hi-Power Slide",
		bm_wp_wpn_fps_pis_hipower_g_mk3 = "MK3 Grips",
		bm_wp_wpn_fps_pis_hipower_g_inglis = "Inglis Hi-Power Polymer Grips",
		bm_wp_wpn_fps_pis_hipower_m_ext = "17rnd Hi-Power Magazine",
		bm_wp_wpn_fps_pis_hipower_dh_mk3 = "MK3 Hammer",
		
		--[Colt Detective Special]
		bm_w_coltds = "Colt Detective Special",
		bm_wp_wpn_fps_pis_coltds_b_ext = "3\" Barrel",
		bm_wp_wpn_fps_pis_coltds_b_modern = "3\" Gen 3 Barrel",
		bm_wp_wpn_fps_pis_coltds_b_police = "4\" Police Positive Barrel",
		-- bm_wp_wpn_fps_pis_coltds_o_marksman = "",
		
		--[Contender]
		bm_wp_wpn_fps_special_contender_ns_silencer = "Contender Suppressor",
		bm_wp_wpn_fps_special_contender_ammo_AP = ".223 Remington Armor Piercing",
		bm_wp_wpn_fps_special_contender_ammo_AP_desc = "Pierces through cover, shields & body armor.",
		bm_wp_wpn_fps_special_contender_ammo_22lr = ".22 Long Rifle",
		bm_wp_wpn_fps_special_contender_ammo_22lr_desc = "No armor-piercing capabilities. +100%/125% pickup rate.",
		bm_wp_wpn_fps_special_contender_ammo_410bore = ".410 Bore",
		bm_wp_wpn_fps_special_contender_ammo_410bore_desc = "Small game shotshells.\n\nFires 10 pellets.",
		
		--[Crosskill Protector ~ Vanilla Mod Pack]
		bm_w_cold = "Colt Commander",
		bm_w_x_cold = "Akimbo Colt Commanders",
		bm_wp_wpn_fps_pis_cold_m_extended = "10rnd 1911 Magazine",
		bm_wp_wpn_fps_pis_cold_g_wood = "Wooden Grips",
		bm_wp_wpn_fps_pis_cold_sl_comp2 = "SGS Style Compensator",
		
		--[CZ-2]
		bm_w_cz2 = "Browning Buckmark",
		bm_w_x_cz2 = "Akimbo Browning Buckmarks",
		bm_wp_wpn_fps_pis_cz2_a_22lr = ".22 Long Rifle",
		bm_wp_wpn_fps_pis_cz2_f_gold = "Gold Plated Body",
		bm_wp_wpn_fps_pis_cz2_t_gold = "Gold Plated Trigger",
		bm_wp_wpn_fps_pis_cz2_g_dark = "Black Grips",
		
		--[CZ-75]
		bm_w_rally = "CZ 75 \"First Model\"", -- Field tested; Rally Vincent approved
		bm_w_x_rally = "Akimbo CZ 75s",
		bm_wp_wpn_fps_pis_rally_f_silver = "Stainless Steel Frame",
		bm_wp_wpn_fps_pis_rally_h_silver = "Stainless Steel Hammer",
		bm_wp_wpn_fps_pis_rally_sl_silver = "Stainless Steel Slide",
		bm_wp_wpn_fps_pis_rally_tr_std = "Black Trigger",
		bm_wp_wpn_fps_pis_rally_ba_std = "Black Barrel",
		bm_wp_wpn_fps_pis_rally_m_ext = "26rnd CZ 75 Magazine",
		bm_wp_wpn_fps_pis_rally_g_wood = "Coco Bolo Checkered Grips",
		
		--[CZ-75 Auto]
		bm_w_czauto = "CZ 75 FULL AUTO",
		bm_w_x_czauto = "Akimbo CZ 75 FULL AUTOs",
		bm_wp_wpn_fps_pis_czauto_ns_compensated = "Ported Compensator",
		bm_wp_wpn_fps_pis_czauto_m_long = "26rnd CZ 75 Magazine",
		bm_wp_wpn_fps_pis_czauto_m_extended = "26rnd CZ 75 Magazine w/Base Pad",
		bm_wp_wpn_fps_pis_czauto_vg_mag = "Spare Magazine Grip",
		bm_wp_wpn_fps_pis_czauto_g_wooden = "Wooden Grips",
		bm_wp_wpn_fps_pis_czauto_g_walnut = "Walnut Grips",
		bm_wp_wpn_fps_pis_czauto_g_pearl = "Pearl Grips",
		
		--[CZ-75B]
		bm_w_cz75b = "CZ 75B",
		bm_w_x_cz75b = "Akimbo CZ 75Bs",
		bm_wp_wpn_fps_pis_cz75b_g_coco = "Coco Bolo Checkered Grips",
		bm_wp_wpn_fps_pis_cz75b_fg_mag = "Spare Magazine Grip",
		bm_wp_wpn_fps_pis_cz75b_f_stainless = "Stainless Steel Frame",
		bm_wp_wpn_fps_pis_cz75b_sl_stainless = "Stainless Steel Slide",
		bm_wp_wpn_fps_pis_cz75b_f_gold = "Gold Plated Frame",
		bm_wp_wpn_fps_pis_cz75b_sl_gold = "Gold Plated Slide",
		bm_wp_wpn_fps_pis_cz75b_m_ext = "20rnd CZ 75 Magazine",
		
		--[CZ 75 Czechmate]
		bm_w_axewscope = "CZ 75 Tactical Sports \"Czechmate\"",
		
		--[CZ-75 Shadow]
		bm_w_cz = "CZ 75 SP-01 SHADOW",
		bm_w_x_cz = "Akimbo CZ 75 SP-01s",
		bm_wp_wpn_fps_pis_cz_m_ext = "27rnd CZ 75 Magazine",
		bm_wp_wpn_fps_pis_cz_sil = "SureFire MINI-MONSTER Suppressor",
		bm_wp_wpn_fps_pis_cz_comp = "Bushing Compensator",
		bm_wp_wpn_fps_pis_cz_smallsil = "TGPA-5 Suppressor",
		bm_wp_wpn_fps_pis_cz_g_bling = "Pearl Grips",
		bm_wp_wpn_fps_pis_cz_g_wood = "Wooden Grips",
		bm_wp_wpn_fps_pis_cz_b_silver = "Stainless Steel Slide",
		
		--[Desert Eagle Mk.XIX]
		bm_w_deltaoneniner = "IMI Desert Eagle Mark XIX",
		bm_wp_wpn_fps_upg_deltaoneniner_frame_borat = "Gold Tiger Striped Body",
		bm_wp_wpn_fps_upg_deltaoneniner_g_waifu = "Waifu Grips",
		
		--[Desert Eagle L5]
		bm_w_limafive = "IMI Desert Eagle L5",
		bm_w_x_limafive = "Akimbo IMI Desert Eagle L5s",
		bm_wp_wpn_fps_upg_limafive_g_waifu = "Waifu Grips",
		bm_wp_wpn_fps_upg_limafive_sl_morbid = "Two-Tone Slide",
		bm_wp_wpn_fps_upg_limafive_sl_morbid_desc = "Replaces the regular slide with a hollow one containing a lighter recoil spring and reconfigures the Desert Eagle to instead fire the .38 Special round.\n\n+55%/+85% pickup rate.",
		
		--[Degle]
		bm_w_degle = "Cardboard Desert Eagle",
		bm_wp_wpn_fps_pis_degle_am_boo = ".50 Imaginary \"BOOOMY\"",
		bm_wp_wpn_fps_pis_degle_am_boo_desc = "IT GO BOOM\n\nIgnites on impact.",
		bm_wp_wpn_fps_pis_degle_am_fla = ".50 Imaginary \"FLASHY\"",
		bm_wp_wpn_fps_pis_degle_am_meg = ".50 Imaginary \"MEGA!!1!\"",
		bm_wp_wpn_fps_pis_degle_am_poi = ".50 Imaginary \"POINTYOWW!\"",
		bm_wp_wpn_fps_pis_degle_am_poi_desc = "SHARP\n\nPierces through cover & shields.",
		bm_wp_wpn_fps_pis_degle_am_soo = ".50 Imaginary \"SOOPER SPESHUL\"",
		bm_wp_wpn_fps_pis_degle_fr_big = "Ridiculously Long Barrel",
		bm_wp_wpn_fps_pis_degle_m_big = "8rnd Desert Eagle Magazine",
		
		--[Derringer]
		bm_w_derringer = "Remington 1866 Derringer",
		
		--[Dragon 5.45 ~ Vanilla Mod Pack]
		bm_w_smolak = "ROMARM PA md. 86 \"Draco\"",
		bm_w_x_smolak = "Akimbo ROMARM PA md. 86es",
		bm_wp_wpn_fps_pis_smolak_fg_polymer = "Polymer Handguard",
		bm_wp_wpn_fps_pis_smolak_m_custom = "20rnd AK-74 Magazine w/Sleeve",
		
		--[Duke's 1911]
		bm_w_duke1911 = "Volkmann Precision 1911",
		
		--[5/7 MK2 ~ FNH Pack]
		bm_w_hoxy = "Fabrique Nationale Five-seven MK2",
		bm_w_x_hoxy = "Akimbo Fabrique Nationale Five-seven MK2s",
		bm_wp_wpn_fps_upg_hoxy_am_plusp = "5.7×28mm +P+",
		bm_wp_wpn_fps_upg_hoxy_am_plusp_desc = "Cannot pierce cover or shields, but body armor piercing is retained. -10%/-37% pickup rate.",
		bm_wp_wpn_fps_upg_hoxy_o_scopemount = "UM Tactical UM3 Scope Mount",
		bm_wp_wpn_fps_upg_hoxy_b_threaded = "Threaded Barrel",
		bm_wp_wpn_fps_upg_hoxy_rec_fde = "Flat Dark Earth Frame",
		
		--[10mm]
		bm_w_p10mm = "Wastelander 10mm",
		bm_w_x_p10mm = "Akimbo Wastelander 10mms",
		bm_wp_wpn_fps_pis_10mm_sight = "Recon Computer Scope",
		bm_wp_wpn_fps_pis_10mm_grip_wood = "Rubber Grips",
		bm_wp_wpn_fps_pis_10mm_l_mag = "29rnd 10mm Magazine",
		bm_wp_wpn_fps_pis_10mm_power = "Power Kit",
		bm_wp_wpn_fps_pis_10mm_auto = "Full-Auto Kit",
		bm_wp_wpn_fps_pis_10mm_pierc = "Armor Piercing Kit",
		bm_wp_wpn_fps_pis_10mm_calib = "Sharpshooter Kit",
		
		--[Glock 17 Gen 3]
		bm_wp_wpn_fps_pis_glawk_fr_wood = "Wood Inserts",
		bm_wp_wpn_fps_pis_glawk_fr_short = "Glock 26 Frame",
		bm_wp_wpn_fps_pis_glawk_fr_odg = "Olive Drab Frame",
		bm_wp_wpn_fps_pis_glawk_sl_hex = "ZEV Technologies Hex Cut Signature Slide",
		bm_wp_wpn_fps_pis_glawk_sl_pat5 = "Lone Wolf \"AlphaWolf\" Pattern 5 Slide",
		bm_wp_wpn_fps_pis_glawk_sl_spartan = "ZEV Technologies \"Spartan\" Slide",
		bm_wp_wpn_fps_pis_glawk_sl_wave = "Lone Wolf \"AlphaWolf\" Wave Slide",
		bm_wp_wpn_fps_pis_glawk_ba_diamond = "Double Diamond Threaded Barrel",
		bm_wp_wpn_fps_pis_glawk_ba_salient = "SAI \"Tier 1\" Glock 17 Threaded Barrel",
		bm_wp_wpn_fps_pis_glawk_ba_wolf = "Lone Wolf \"AlphaWolf\" Threaded Barrel",
		bm_wp_wpn_fps_pis_glawk_tp_salient = "SAI Thread Protector",
		bm_wp_wpn_fps_pis_glawk_tp_wolf = "Lone Wolf \"AlphaWolf\" Thread Protector",
		bm_wp_wpn_fps_pis_glawk_md_bull = "Lone Wolf \"AlphaWolf\" Compensator",
		bm_wp_wpn_fps_pis_glawk_md_decelerator = "CARVER Custom 3-Port Decelerator",
		bm_wp_wpn_fps_pis_glawk_md_comp9 = "Lone Wolf Compensator",
		bm_wp_wpn_fps_pis_glawk_md_4port = "CARVER Custom 4-Port Compensator",
		bm_wp_wpn_fps_pis_glawk_fo_tru = "TRUGLO Tritium/Fiber-Optic Front Sight",
		bm_wp_wpn_fps_pis_glawk_ro_tru = "TRUGLO Tritium/Fiber-Optic Rear Sight",
		bm_wp_wpn_fps_pis_glawk_fo_snake = "Dead Ringer \"Snake Eyes\" Front Sight",
		bm_wp_wpn_fps_pis_glawk_ro_snake = "Dead Ringer \"Snake Eyes\" Rear Sight",
		bm_wp_wpn_fps_pis_glawk_fo_zev = "ZEV Technologies .300 Black Front Sight",
		bm_wp_wpn_fps_pis_glawk_ro_zev = "ZEV Technologies Co-Witness Rear Sight",
		bm_wp_wpn_fps_pis_glawk_mw_carver_wh = "CARVER Custom Silver Tactical Magwell",
		bm_wp_wpn_fps_pis_glawk_mw_carver_bl = "CARVER Custom Black Tactical Magwell",
		bm_wp_wpn_fps_pis_glawk_m_10 = "10rnd Glock Magazine",
		bm_wp_wpn_fps_pis_glawk_m_21 = "Taran Tactical 4rnd Base Pad Extension",
		bm_wp_wpn_fps_pis_glawk_m_23 = "Taran Tactical 6rnd Base Pad Extension",
		bm_wp_wpn_fps_pis_glawk_m_33 = "33rnd Glock Magazine",
		bm_wp_wpn_fps_pis_glawk_m_tti0 = "Taran Tactical 0rnd Base Pad Extension",
		bm_wp_wpn_fps_pis_glawk_a1_22lr = ".22 Long Rifle",
		bm_wp_wpn_fps_pis_glawk_a1_40sw = ".40 Smith & Wesson",
		bm_wp_wpn_fps_pis_glawk_a2_10mm = "10×25mm Automatic",
		bm_wp_wpn_fps_pis_glawk_a4_45acp = ".45 Automatic Colt Pistol",
		bm_wp_wpn_fps_pis_glawk_a5_45gap = ".45 Glock Automatic Pistol",
		bm_wp_wpn_fps_pis_glawk_so_pr = "Project Reality Firing Sounds",
		bm_wp_wpn_fps_pis_glawk_so_cof = "Cry of Fear Firing Sounds",
		
		--[Glock 19]
		bm_wp_wpn_fps_upg_g19_ammo_9mm_p = "9×19mm Parabellum +P",
		bm_wp_wpn_fps_upg_g19_grip_ctc = "Crimson Trace LG-629 Lasergrip",
		bm_wp_wpn_fps_upg_g19_grip_hogue = "Hogue HandAll Grip Sleeve",
		bm_wp_wpn_fps_upg_g19_grip_pachymar = "Pachmayr Tactical Grip Sleeve",
		bm_wp_wpn_fps_upg_g19_mag17 = "17rnd Glock Magazine",
		bm_wp_wpn_fps_upg_g19_mag32 = "32rnd Glock Magazine",
		bm_wp_wpn_fps_upg_g19_mag33 = "33rnd Glock Magazine",
		
		--[Glock P80]
		--bm_w_x_p80 = "Akimbo Glock P80s",
		bm_wp_wpn_fps_pis_p80_a1_40sw = ".40 Smith & Wesson",
		bm_wp_wpn_fps_pis_p80_a2_10mm = "10×25mm Automatic",
		bm_wp_wpn_fps_pis_p80_a4_45acp = ".45 Automatic Colt Pistol",
		bm_wp_wpn_fps_pis_p80_a5_45gap = ".45 Glock Automatic Pistol",
		bm_wp_wpn_fps_pis_p80_b_gold = "Gold Plated Barrel",
		--bm_wp_wpn_fps_pis_p80_sup = "", -- no idea
		bm_wp_wpn_fps_pis_p80_ns_smoke = "BlackHawk Smoke Stack Suppressor",
		--bm_wp_wpn_fps_pis_p80_ns_tiny = "", -- no visible markings on either of these; worst case scenario, they're composites
		--bm_wp_wpn_fps_pis_p80_ns_mk9k = "GemTech MK-9K Suppressor", --unused for now
		bm_wp_wpn_fps_pis_p80_shred = "Strike Hammer Compensator",
		bm_wp_wpn_fps_pis_p80_trace = "Crimson Trace LG-452 Laserguard",
		bm_wp_wpn_fps_pis_p80_f_odg = "Olive Drab Frame",
		bm_wp_wpn_fps_pis_p80_a_wick = "P30 Animations",
		bm_wp_wpn_fps_pis_p80_a_lemm = "Five-seven Animations",
		bm_wp_wpn_fps_pis_p80_a_nazi = "Luger P08 Animations",
		bm_wp_wpn_fps_pis_p80_s_gold = "Gold Plated Slide",
		bm_wp_wpn_fps_pis_p80_m_ext = "33rnd Glock Magazine",
		bm_wp_wpn_fps_pis_p80_m_drum = "50rnd Glock Drum",
		
		--[Half-Life 9mm]
		bm_wp_wpn_fps_pis_hl1g_suppress = "Chrome Suppressor",
		
		--['46 Handgun]
		bm_wp_wpn_fps_pis_hand1946_body_sb = "2\" Barrel",
		bm_wp_wpn_fps_pis_hand1946_body_marine = "6\" Barrel",
		
		--['60 Handgun]
		bm_w_hand1960 = "Luger Pistole 1960",
		bm_w_x_hand1960 = "Akimbo Luger Pistole 1960s",
		bm_wp_wpn_fps_pis_hand1960_mag_extended = "23rnd P60 Magazine",
		bm_wp_wpn_fps_pis_hand1960_suppresor = "Suppressor",
		bm_wp_wpn_fps_pis_hand1960_a_magnum = ".44 Magnum",
		bm_wp_wpn_fps_pis_hand1960_a_magnum_desc = "Significantly increases damage. Pierces through body armor.",
		bm_wp_wpn_fps_pis_hand1960_body_lunar = "White Frame",
		
		--[Chiappa Rhino]
		bm_wp_wpn_fps_upg_rhino_ammo_40sw = ".40 Smith & Wesson",
		bm_wp_wpn_fps_upg_rhino_barrel_200ds = "2\" 200DS Barrel",
		bm_wp_wpn_fps_upg_rhino_sight_fiber = "Fiber Optic Sights",
		
		--[Deck-ARD]
		bm_w_deckard = "Zilla Enterprises Deck-ARD",
		bm_w_x_deckard = "Akimbo Zilla Enterprises Deck-ARDs",
		
		--[FNP-45]
		bm_w_fnp45 = "Fabrique Nationale FNP-45",
		bm_wp_wpn_fps_upg_fnp45_body_green = "Olive Drab Frame",
		bm_wp_wpn_fps_upg_fnp45_body_fde = "Flat Dark Earth Frame",
		bm_wp_wpn_fps_upg_fnp45_mag_ext = "20rnd FNP-45 Magazine",
		
		--[FP-45]
		bm_w_fp45 = "General Motors FP-45 \"Liberator\"",
		
		--[GSh-18]
		bm_w_gsh18 = "KBP GSh-18",
		bm_w_x_gsh18 = "Akimbo KBP GSh-18s",
		bm_wp_wpn_fps_pis_gsh18_body_od = "Olive Drab Frame",
		bm_wp_wpn_fps_pis_gsh18_body_fde = "Flat Dark Earth Frame",
		
		--[HDM]
		bm_w_x_hshdm = "Akimbo High Standard HDMs",
		bm_wp_wpn_fps_pis_hshdm_frame_gold = "Gold Plated Frame",
		
		--[HK45C]
		bm_w_hk45c = "Heckler & Koch HK45-C",
		bm_w_x_hk45c = "Akimbo Heckler & Koch HK45-Cs",
		bm_wp_wpn_fps_upg_hk45c_aac_tirant = "AAC Ti-RANT 45M Suppressor",
		bm_wp_wpn_fps_upg_hk45c_ammo_45acp_p = ".45 Automatic Colt Pistol +P",
		bm_wp_wpn_fps_upg_hk45c_frame_green = "Green Frame",
		bm_wp_wpn_fps_upg_hk45c_frame_tan = "Tan Frame",
		bm_wp_wpn_fps_upg_hk45c_frame_fde = "Flat Dark Earth Frame",
		bm_wp_wpn_fps_upg_hk45c_mag_elephant = "10rnd \"Elephant Foot\" HK45-C Magazine",
		bm_wp_wpn_fps_upg_hk45c_mag_ext = "14rnd HK45 Magazine",
		bm_wp_wpn_fps_upg_hk45c_sight_tritium = "Tritium Night Sights",
		bm_wp_wpn_fps_upg_hk45c_slide_fde = "Cerakote Flat Dark Earth Slide",
		bm_wp_wpn_fps_upg_hk45c_slide_green = "Cerakote Green Slide",
		bm_wp_wpn_fps_upg_hk45c_slide_tan = "Cerakote Tan Slide",
		bm_wp_wpn_fps_upg_x_hk45c_mag_elephant = "10rnd \"Elephant Foot\" HK45-C Magazine",
		bm_wp_wpn_fps_upg_x_hk45c_mag_ext = "14rnd HK45 Magazine",
		bm_wp_wpn_fps_upg_x_hk45c_sight_tritium = "Tritium Night Sights",
		
		--[Auto-Crossbow]
		bm_w_auto_cross = "Automatic Crossbow",
		bm_wp_wpn_fps_bow_auto_sight = "C-More Scout Red Dot",
		bm_wp_wpn_fps_bow_auto_sight2 = "Barska Electro Red Dot",
		
		--[Prototype MP7]
		bm_w_hlmp7 = "Heckler & Koch MP7 PDW Prototype",
		bm_wp_wpn_fps_pis_hlmp7_extmag = "40rnd MP7 PDW Magazine",
		bm_wp_wpn_fps_pis_hlmp7_ns_silen = "Prototype Suppressor",
		bm_wp_wpn_fps_pis_hlmp7_a_ap = "4.6×30mm Full Metal Jacket",
		bm_wp_wpn_fps_pis_hlmp7_a_ap_desc = "Pierces through shields & body armor. -50% pickup rate.",
		
		--[Prokolot & PK-PSD9]
		bm_w_rusglock = "Arsenal Stryk-B", -- It appears to be mashup of this and the Strike One; first ovkl with the composite guns and now infinity ward... but even the earlier cods had weapons that were identifiable on the spot
		bm_w_pkpsd9 = "Command Arms/Arsenal Stryk-B Carbine",
		bm_wp_wpn_fps_pis_rusglock_kit_carbine = "Command Arms RONI Pistol Carbine Kit", -- pretty sure it's not based on any model
		bm_wp_wpn_fps_pis_rusglock_m_ext = "19rnd Stryk-B Magazine", -- some sort of glock mag?
		
		--[Kolibri]
		bm_w_kolibri = "Pfannl \"Kolibri\"",
		
		--[K5]
		bm_w_k5 = "Daewoo Precision Industries K5",
		bm_wp_wpn_fps_pis_k5_extmag = "30rnd K5 Magazine",
		
		--[KARD]
		bm_w_kard = "KRISS KARD",
		bm_w_x_kard = "Akimbo KRISS KARDs",
		bm_wp_wpn_fps_pis_kard_extmag = "30rnd KARD Magazine",
		bm_wp_wpn_fps_pis_kard_fastmag = "20rnd KARD Magazine w/Ranger Plate",
		bm_wp_wpn_fps_pis_kard_gadgetcombo = "Underbarrel Flashlight & Laser Combo",
		
		--[King Cobra]
		bm_wp_wpn_fps_upg_kingcobra_unimax = "LaserMax Uni-Max Micro Laser",
		bm_wp_wpn_fps_upg_kingcobra_utgdeluxe = "Leapers UTG Deluxe Tactical Laser",
		
		--[L-35]
		bm_wp_wpn_fps_upg_l35_grip_rubber = "Rubber Grips",
		bm_wp_wpn_fps_upg_l35_grip_rubber_window = "Windowed Rubber Grips",
		bm_wp_wpn_fps_upg_l35_grip_window = "Windowed Grips",
		bm_wp_wpn_fps_upg_l35_grip_wood = "Wooden Grips",
		bm_wp_wpn_fps_upg_l35_grip_wood_window = "Windowed Wooden Grips",
		bm_wp_wpn_fps_upg_l35_mag_drum = "32rnd Trommel-Magazin 08 Drum",
		bm_wp_wpn_fps_upg_l35_mag_ext = "12rnd L-35 Magazine",
		bm_wp_wpn_fps_upg_l35_mag_long = "16rnd L-35 Magazine",
		
		--[M45 MEU(SOC)]
		bm_w_meusoc = "U.S. Marine Corps M45 MEU(SOC)",
		bm_w_x_meusoc = "Akimbo U.S. Marine Corps M45s",
		
		--[M5]
		bm_w_seburo = "Seburo Arms M-5",
		bm_w_x_seburo = "Akimbo Seburo Arms M-5s",
		bm_wp_wpn_fps_pis_seburo_g_wood = "Wooden Grips",
		bm_wp_wpn_fps_pis_seburo_f_silver = "Stainless Steel Frame",
		bm_wp_wpn_fps_pis_seburo_s_silver = "Stainless Steel Slide",
		bm_wp_wpn_fps_pis_seburo_autofire = "Full-Auto Fire",
		bm_wp_wpn_fps_pis_seburo_m_extended = "30rnd M-5 Magazine",
		bm_wp_wpn_fps_pis_seburo_s_s9 = "Polished Slide",
		bm_wp_wpn_fps_pis_seburo_g_s9 = "Leather Grips",
		
		--[M6D]
		bm_w_m6d = "Misriah Armory M6D PDWS",
		
		--[M2019]
		bm_w_lapd = "L.A.P.D. Model 2019 Blaster",
		bm_w_x_lapd = "Akimbo L.A.P.D. Model 2019 Blasters",
		--bm_wp_wpn_fps_pis_lapd_b_short = "Snub Nose Barrel", --unused
		bm_wp_wpn_fps_pis_lapd_grip_pearl = "Pearl Grips",
		bm_wp_wpn_fps_pis_lapd_grip_cherry = "Wooden Grips",
		bm_wp_wpn_fps_pis_lapd_grip_polymer = "Polymer Grips",
		bm_wp_wpn_fps_pis_lapd_utgdeluxe = "Leapers UTG Deluxe Tactical Laser",
		bm_wp_wpn_fps_pis_lapd_unimax = "LaserMax Uni-Max Micro Laser",
		bm_wp_wpn_fps_pis_lapd_a_bronco = ".44 Magnum",
		
		--[M45A1]
		bm_w_m45a1 = "U.S. Marine Corps M45A1 CQB-P",
		bm_wp_wpn_fps_pis_m45a1_m_ext = "10rnd 1911 Magazine",
		bm_wp_wpn_fps_pis_m45a1_fr_dark = "Gray Frame",
		bm_wp_wpn_fps_pis_m45a1_sl_dark = "Gray Slide",
		bm_wp_wpn_fps_pis_m45a1_gr_wood = "Wooden Grips",
		bm_wp_wpn_fps_pis_m45a1_fr_nickel = "Nickel Plated Frame",
		bm_wp_wpn_fps_pis_m45a1_sl_nickel = "Nickel Plated Slide",
		bm_wp_wpn_fps_pis_m45a1_gr_ball = "George Costanza 1911 Grips", --this actually exists, the mad men
		
		--[M6G]
		bm_w_m6g = "Misriah Armory M6G PDWS",
		bm_w_x_m6g = "Akimbo Misriah Armory M6Gs",
		bm_wp_wpn_fps_pis_m6g_a_he = "12.7×40mm High Explosive",
		bm_wp_wpn_fps_pis_m6g_a_he_desc = "Explodes on impact.",
		bm_wp_wpn_fps_pis_m6g_a_fire = "12.7×40mm Incendiary",
		bm_wp_wpn_fps_pis_m6g_a_fire_desc = "Ignites on impact.",
		bm_wp_wpn_fps_pis_m6g_a_shield = "12.7×40mm Armor Piercing",
		bm_wp_wpn_fps_pis_m6g_a_shield_desc = "Pierces through cover, shields & body armor.",
		
		--[M712]
		bm_w_m712 = "Mauser M712 \"Schnellfeuer\"",
		bm_wp_wpn_fps_upg_m712_ammo_9mm = "9×19mm Parabellum",
		bm_wp_wpn_fps_upg_m712_ammo_9mm_desc = "Rechambers the M712 with 9mm rounds similarly used on the Trench Carbine variant.",
		bm_wp_wpn_fps_upg_m712_barrel_long = "7.5\" Barrel",
		bm_wp_wpn_fps_upg_m712_barrel_short = "3.9\" Barrel",
		bm_wp_wpn_fps_upg_m712_barrel_trench = "9.5\" Barrel",
		bm_wp_wpn_fps_upg_m712_mag_30 = "30rnd M712 Magazine",
		bm_wp_wpn_fps_upg_m712_mag_40 = "40rnd M1917 Trench Carbine Magazine",
		bm_wp_wpn_fps_upg_m712_sight_patrol = "Periscopic Prism Co. Patrol Scope",
		bm_wp_wpn_fps_upg_m712_stock_trench = "Trench Carbine Stock",
		bm_wp_wpn_fps_upg_m712_trench_mech = "Trench Carbine Firing Mechanism",
		
		--[M9]
		bm_w_m92fs = "Beretta M9",
		bm_w_x_m92fs = "Akimbo Beretta M9s",
		bm_wp_wpn_fps_pis_m92fs_g_ergo = "Hogue OverMolded 92/M9 Rubber Grips", --pretty sure the entire description wouldn't fit
		bm_wp_wpn_fps_pis_m92fs_m_ext = "Beretta 2rnd Magazine Extension",
		
		--[Mars Automatic]
		bm_w_mars = "Webley & Scott Mars Automatic",
		
		--[Maxim 9]
		bm_wp_wpn_fps_pis_max9_b_short = "Short Suppressor",
		bm_wp_wpn_fps_pis_max9_b_short_desc = "Increases shot noise.",
		bm_wp_wpn_fps_pis_max9_b_nosup_desc = "Significantly increases shot noise. +70% minimum pickup rate.", --the max pickup multiplier remains unchanged due to its xml entry missing a letter 
		
		--[Mdl. 27]
		bm_w_sw27 = "Smith & Wesson Model 27",
		bm_wp_wpn_fps_upg_sw27_barrel_long = "10.6\" Barrel",
		bm_wp_wpn_fps_upg_sw27_barrel_short = "4\" Barrel",
		bm_wp_wpn_fps_upg_sw27_bullets_hollowpoint = ".357 Magnum Jacketed Hollow Point",
		bm_wp_wpn_fps_upg_sw27_grip_classic = "Wooden Classic Panel Grips",
		bm_wp_wpn_fps_upg_sw27_grip_rubber = "Rubber Combat Grips",
		bm_wp_wpn_fps_upg_sw27_grip_pearl = "Pearl Classic Panel Grips",
		
		--[Mdl. 29]
		bm_wp_wpn_fps_pis_m29_b_barrel1 = "7.5\" Mdl. 629 \"Stealth Hunter\" Barrel",
		bm_wp_pis_m29_extra = "Model 29 Scope Mount",
		bm_wp_wpn_fps_pis_m29_b_barrel2 = "6.5\" Mdl. 629 \"Performance Center\" Barrel",
		bm_wp_wpn_fps_pis_m29_b_long = "10\" Long Barrel",
		bm_wp_wpn_fps_pis_m29_b_short = "4\" Snub Nose Barrel",
		bm_wp_wpn_fps_pis_m29_body_smooth = "Smooth Cylinder",
		bm_wp_wpn_fps_pis_m29_g_ergo = "Hogue MonoGrip Rubber Grips",
		
		--[Mdl. 327]
		bm_w_sw327r8 = "Smith & Wesson Model 327 R8",
		bm_wp_wpn_fps_upg_sw327r8_body_stainless = "Stainless Steel Body",
		bm_wp_wpn_fps_upg_sw327r8_sight_il = "Fiber Optic Sights",
		
		--[Mdl. 659]
		bm_w_sw659 = "Smith & Wesson Model 659",
		bm_w_x_sw659 = "Akimbo Smith & Wesson Model 659s",
		bm_wp_wpn_fps_pis_sw659_mag_big = "20rnd Mdl. 659 Magazine",
		bm_wp_wpn_fps_pis_sw659_sil = "Element Stubby Suppressor", -- Define "stubby"
		bm_wp_wpn_fps_pis_sw659_a_c45 = ".45 Automatic Colt Pistol",
		bm_wp_wpn_fps_pis_sw659_a_c45_desc = "-35%/-20% pickup rate.",
		bm_wp_wpn_fps_pis_sw659_a_gen = "10×25mm Automatic",
		bm_wp_wpn_fps_pis_sw659_a_gen_desc = "-65%/-50% pickup rate.",
		bm_wp_wpn_fps_pis_sw659_comp2 = "A1 Birdcage Flash Suppressor",
		bm_wp_wpn_fps_pis_sw659_comp = "Bushing Compensator",
		bm_wp_wpn_fps_pis_sw659_g_cherry = "Cherry Wood Grips",
		bm_wp_wpn_fps_pis_sw659_g_special = "Rubber Grips w/Wood Inserts",
		bm_wp_wpn_fps_pis_sw659_g_pearl = "Pearl Grips",
		bm_wp_wpn_fps_pis_sw659_g_wood = "Wooden Grips",
		
		--[M1911]
		bm_w_x_colt1911 = "Akimbo Colt M1911A1s",
		bm_wp_wpn_fps_pis_colt1911_g_ergo = "Pachmayr 1911 Grips",
		bm_wp_wpn_fps_pis_colt1911_g_bling = "Walnut Grips",
		bm_wp_wpn_fps_pis_colt1911_g_engraved = "Pearl Grips",
		
		--[Makarov]
		bm_w_pm = "IZHMEKH Makarov PM",
		bm_w_x_pm = "Akimbo IZHMEKH Makarov PMs",
		bm_wp_wpn_fps_pis_pm_body_custom = "PMM Frame",
		bm_wp_wpn_fps_pis_pm_b_custom = "PMM Slide",
		bm_wp_wpn_fps_pis_pm_m_extended = "16rnd Makarov PM Magazine",
		bm_wp_wpn_fps_pis_pm_fl_laser = "Trigger-Mounted Laser Module",
		bm_wp_wpn_fps_pis_pm_m_custom = "12rnd Makarov PMM Magazine",
		bm_wp_wpn_fps_pis_pm_m_drum = "80rnd Makarov Drum",
		
		--[Mdl. 6 Unica]
		bm_wp_wpn_fps_upg_unica6_comp = "Unica Compensator",
		
		--[MR-96]
		bm_w_mr96 = "Manurhin MR-96",
		bm_w_x_mr96 = "Akimbo Marurhin MR-96es",
		bm_wp_wpn_fps_pis_mr96_g_wood = "Wooden Pistol Grip",
		bm_wp_wpn_fps_pis_mr96_body_black = "Black Body",
		bm_wp_wpn_fps_pis_mr96_utgdeluxe = "Leapers UTG Deluxe Tactical Laser",
		bm_wp_wpn_fps_pis_mr96_unimax = "LaserMax Uni-Max Micro Laser",
		bm_wp_wpn_fps_pis_mr96_flash = "A1 Birdcage Flash Suppressor",
		bm_wp_wpn_fps_pis_mr96_a_bronco = ".44 Magnum",
		bm_wp_wpn_fps_pis_mr96_a_bronco_desc = "-20% pickup rate.",
		
		--[Mdl. 1895]
		bm_w_m1895 = "Nagant Model 1895",
		bm_wp_wpn_fps_upg_m1895_supp_gemtech_gm9 = "GemTech GM-9 Suppressor",
		
		--[Night Hawk .50C]
		bm_w_cssdeagle = "Magnum Research Desert Eagle Mark XIX",
		
		--[OTs-33]
		bm_w_ots_33 = "KBP OTs-33 \"Pernach\"",
		bm_wp_wpn_fps_pis_ots33_s_stock = "Folding Metal Stock",
		bm_wp_wpn_fps_pis_ots33_m_extd = "27rnd OTs-33 Magazine",
		
		--[Pink Micro Desert Eagle]
		bm_w_pinkie = "Magnum Research Micro Eagle",
		bm_wp_wpn_fps_pis_pinkie_fin_black = "Black Body",
		
		--[PLR-16]
		bm_wp_wpn_fps_upg_plr16_ammo_556_fmj_light = "5.56×45mm NATO Full Metal Jacket",
		bm_wp_wpn_fps_upg_plr16_handguard_railcovers = "Magpul XT Rail Covers",
		bm_wp_wpn_fps_upg_plr16_ns_flashhider = "A1 Birdcage Flash Suppressor",
		bm_wp_wpn_fps_upg_plr16_vg_bcm = "Bravo Co. GUNFIGHTER Short Vertical Grip",
		
		--[Px4]
		bm_wp_wpn_fps_upg_px4_ammo_45acp = ".45 Automatic Colt Pistol +P",
		bm_wp_wpn_fps_upg_px4_sight_dot = "White Dot Painted Iron Sights",
		bm_wp_wpn_fps_upg_px4_sight_tritium = "Tritium Night Sights",
		
		--[Revolver ~ Team Fortress 2]
		bm_w_tf2_revolver = "Colt Python",
		bm_wp_wpn_fps_pis_ambassador_frame = "Dan Wesson PPC Receiver",
		bm_wp_wpn_fps_pis_diamondback_frame = "Mustang Arms Diamondback Receiver",
		bm_wp_wpn_fps_pis_letranger_frame = "Nagant Model 1895 Receiver",
		bm_wp_wpn_fps_pis_enforcer_frame = "Colt Detective Special Receiver",
		bm_wp_wpn_fps_pis_big_kill_frame = "Smith & Wesson Model 29 Receiver",
		
		--[Ruger Mark III]
		bm_w_rugermk3 = "Ruger Mk.III",
		bm_wp_wpn_fps_upg_rugermk3_ammo_22lr_hv = ".22 Long Rifle \"High Velocity\"",
		bm_wp_wpn_fps_upg_rugermk3_mag_ext = "15rnd Mk.III Magazine",
		
		--[Vendetta ~ Vanilla Mod Pack]
		bm_w_lebman = "Lebman 1911",
		bm_w_x_lebman = "Akimbo Lebman 1911s",
		bm_wp_wpn_fps_pis_lebman_m_extended = "20rnd 1911 .38 Super Magazine",
		bm_wp_wpn_fps_pis_lebman_stock = "Synthetic Stock",
		bm_wp_wpn_fps_pis_lebman_body_classic = "Black Frame & Thompson Forward Grip",
		
		--[VP70]
		bm_w_vp70 = "Heckler & Koch VP70-M",
		bm_w_x_vp70 = "Akimbo Heckler & Koch VP70-Ms",
		bm_wp_wpn_fps_pis_vp70_stock_standard_desc = "Adds 3rnd burst fire capability.\n\nNot available on akimbo variant.",
		bm_wp_wpn_fps_pis_vp70_body_early = "VP70 Frame",
		bm_wp_wpn_fps_pis_vp70_body_early_desc = "Original frame from 1970.",
		bm_wp_wpn_fps_pis_vp70_s_scifi = "Weyland-Yutani MK.88 Mod 4 Slide",
		bm_wp_wpn_fps_pis_vp70_s_scifi_desc = "Shortened slide based on the service pistol of the U.S. Colonial Marines.",
		bm_wp_wpn_fps_pis_vp70_grip_ergo = "Hogue HandAll Grip Sleeve",
		bm_wp_wpn_fps_pis_vp70_autofire_desc = "Overrides burst fire if stock is equipped.",
		bm_wp_wpn_fps_pis_vp70_m_speed_std = "18rnd VP70 Magazine w/Ranger Plate",
		bm_wp_wpn_fps_pis_vp70_m_ext = "24rnd VP70 Magazine",
		bm_wp_wpn_fps_pis_vp70_m_ext_desc = "High capacity C43 model magazine created from lightweight plastics.",
		bm_wp_wpn_fps_pis_vp70_ac_9x21imi = "9×21mm IMI",
		bm_wp_wpn_fps_pis_vp70_ac_9x21imi_desc = "Civilian-legal rounds based on the 9×19mm Parabellum cartridge.",
		bm_wp_wpn_fps_pis_vp70_sc_green = "Olive Drab Slide",
		bm_wp_wpn_fps_pis_vp70_sc_stormtrooper = "Stormtrooper White Slide",
		bm_wp_wpn_fps_pis_vp70_sc_hkred = "H&K Plum Slide",
		bm_wp_wpn_fps_pis_vp70_lc_stormtrooper = "Stormtrooper White Frame",
		bm_wp_wpn_fps_pis_vp70_lc_green = "Olive Drab Frame",
		bm_wp_wpn_fps_pis_vp70_lc_orange = "Bronze Frame",
		
		--[QSZ-92]
		bm_w_qsz92 = "Norinco QSZ-92",
		bm_w_x_qsz92 = "Akimbo Norinco QSZ-92s",
		bm_wp_wpn_fps_pis_qsz92_mag_big = "20rnd QSZ-92 Magazine",
		bm_wp_wpn_fps_pis_qsz92_slide_silver = "Stainless Steel Slide",
		bm_wp_wpn_fps_pis_qsz92_frame_tan = "Desert Tan Frame",
		bm_wp_wpn_fps_pis_qsz92_smallsil = "TGPA-5 Suppressor",
		bm_wp_wpn_fps_pis_qsz92_a_c45 = "9×19mm Parabellum",
		bm_wp_wpn_fps_pis_qsz92_a_gen = "5.8×21mm DAP92",
		bm_wp_wpn_fps_pis_qsz92_a_gen_desc = "Pierces through shields & body armor. -50% pickup rate.",
		bm_wp_wpn_fps_pis_qsz92_comp2 = "A1 Birdcage Flash Suppressor",
		bm_wp_wpn_fps_pis_qsz92_comp = "Bushing Compensator",
		
		--[Samurai Edge]
		bm_w_wes92se = "Beretta 92FS \"Samurai Edge\"",
		bm_wp_wpn_fps_pis_wes92se_compensator = "Tokyo Marui Rail Stabilizer",
		bm_wp_wpn_fps_pis_wes92se_laser = "Tokyo Marui AWM-01 LAM",
		bm_wp_wpn_fps_pis_wes92se_o_night = "Tritium Night Sights",
		bm_wp_wpn_fps_pis_wes92se_ammo_al01r = "9×19mm Parabellum \"A-01R\"",
		
		--[Samurai Edge once again]
		bm_wp_wpn_fps_pis_m9butcool_ns_v1 = "96FS V1 Compensator",
		bm_wp_wpn_fps_pis_m9butcool_ns_v2 = "96FS V2 Compensator",
		bm_wp_wpn_fps_pis_m9butcool_ns_aw01 = "SilencerCo Osprey Supp. w/Rail Stablizer",
		bm_wp_wpn_fps_pis_m9butcool_ns_octa = "SilencerCo Osprey Suppressor",
		bm_wp_wpn_fps_pis_m9butcool_body_a1 = "M9A1 Railed Frame",
		bm_wp_wpn_fps_pis_m9butcool_body_custom = "92FS Brigadier Inox Railed Frame",
		bm_wp_wpn_fps_pis_m9butcool_m_ext = "20rnd 92FS Magazine",
		bm_wp_wpn_fps_pis_m9butcool_fl_aw01 = "Tokyo Marui AWM-01 LAM",
		bm_wp_wpn_fps_pis_m9butcool_fm_burst = "3rnd Burst Fire",
		bm_wp_wpn_fps_pis_m9butcool_ck_aw01 = "9×19mm Parabellum \"A-01R\"",
		bm_wp_wpn_fps_pis_m9butcool_ck_40sw = ".40 Smith & Wesson",
		
		--[Shatter's Fury]
		bm_w_shatters_fury = "Smith & Wesson Model 500",
		bm_wp_wpn_fps_pis_shatters_fury_b_comp1 = "6.5\" Mdl. 629 \"Performance Center\" Barrel", -- Not 100% on this, since it's not a weighted barrel
		bm_wp_wpn_fps_pis_shatters_fury_b_comp2 = "8.38\" Compensated Barrel",
		bm_wp_wpn_fps_pis_shatters_fury_b_long = "10.5\" \"Performance Center\" Barrel",
		bm_wp_wpn_fps_pis_shatters_fury_b_short = "4\" Compensated Barrel",
		bm_wp_wpn_fps_pis_shatters_fury_g_ergo = "Wooden Ergo Grip",
		
		--[Mdl. 642]
		bm_w_sw642 = "Smith & Wesson Model 642",
		bm_w_x_sw642 = "Akimbo Smith & Wesson Model 642s",
		bm_wp_wpn_fps_upg_sw642_body_black = "Black Body",
		bm_wp_wpn_fps_upg_sw642_ns_yhm = "Yankee Hill Machine Pistol Compensator",
		
		--[M&P 40]
		bm_w_swmp40 = "Smith & Wesson M&P40",
		bm_wp_wpn_fps_upg_swmp40_sight_rail = "Mako Universal Picatinny Rail Mount",
		
		--[P220]
		bm_wp_wpn_fps_pis_noodle_fr_ste = "Stainless Steel Frame",
		bm_wp_wpn_fps_pis_noodle_sl_ste = "Stainless Steel Slide",
		bm_wp_wpn_fps_pis_noodle_gr_ste = "Checkered Wood Grips",
		bm_wp_wpn_fps_pis_noodle_gr_blu = "Polymer Grips",
		bm_wp_wpn_fps_pis_noodle_gr_wor = "Hogue P220 Rubber Grips",
		bm_wp_wpn_fps_pis_noodle_fr_tra = "Olive Drab Frame",
		bm_wp_wpn_fps_pis_noodle_tr_tra = "Stainless Steel Trigger",
		bm_wp_wpn_fps_pis_noodle_gr_zom = "Wood Grips",
		bm_wp_wpn_fps_pis_noodle_m_8 = "8rnd P220 Magazine",
		bm_wp_wpn_fps_pis_noodle_m_10 = "10rnd P220 Magazine",
		bm_wp_wpn_fps_pis_noodle_a1_10mm = "10×25mm Automatic",
		
		--[P225]
		bm_wp_wpn_fps_pis_sammy_fr_ste = "Stainless Steel Frame",
		bm_wp_wpn_fps_pis_sammy_sl_ste = "Stainless Steel Slide",
		bm_wp_wpn_fps_pis_sammy_m_8 = "8rnd P225 Magazine",
		bm_wp_wpn_fps_pis_sammy_m_10 = "10rnd P225 Magazine",
		bm_wp_wpn_fps_pis_sammy_a1_10mm = "10×25mm Automatic",
		
		--[P320]
		bm_w_papa320 = "SIG-Sauer P320 RX",
		bm_w_x_papa320 = "Akimbo SIG-Sauer P320 RXes",
		bm_wp_wpn_fps_pis_papa320_ammo_40sw = ".40 Smith & Wesson Hollow Point",
		bm_wp_wpn_fps_pis_papa320_magazine_ext = "21rnd P320 Magazine",
		bm_wp_wpn_fps_pis_papa320_magazine_ext2 = "32rnd P320 Magazine",
		
		--[R-92]
		bm_w_akagi = "KBP R-92",
		
		--[Scarborough Fair]
		bm_w_x_bayo = "Akimbo Remington 1866 Derringers",
		
		--[Silverballer]
		bm_w_sb = "AMT Hardballer",
		bm_w_x_sb = "Akimbo AMT Hardballers",
		bm_wp_wpn_fps_pis_sb_a_magnum = ".45 Automatic Colt Pistol +P",
		bm_wp_wpn_fps_pis_sb_a_magnum_desc = "-50% pickup rate.",
		bm_wp_wpn_fps_pis_sb_a_ap = ".45 Automatic Colt Pistol Full Metal Jacket",
		bm_wp_wpn_fps_pis_sb_a_ap_desc = "Pierces through cover & shields. -50% pickup rate.",
		bm_wp_wpn_fps_pis_sb_b_long = "Long Slide",
		bm_wp_wpn_fps_pis_sb_m_long = "10rnd 1911 Magazine",
		bm_wp_wpn_fps_pis_sb_m_long2 = "Dual 10rnd 1911 Magazines",
		bm_wp_wpn_fps_pis_sb_laser = "Trigger-Mounted Laser Module",
		bm_wp_wpn_fps_pis_sb_silencer = "Suppressor", -- no idea
		
		--[SR-1M]
		bm_w_sr1 = "TsNIITochMash SR-1M \"Vektor\"",
		bm_w_x_sr1 = "Akimbo TsNIITochMash SR-1Ms",
		bm_wp_wpn_fps_pis_sr1_frame_tan = "Flat Dark Earth Frame",
		bm_wp_wpn_fps_pis_sr1_frame_green = "Olive Drab Frame",
		bm_wp_wpn_fps_pis_sr1_frame_white = "Stainless Steel Frame",
		bm_wp_wpn_fps_pis_sr1_frame_blue = "Navy Blue Frame",
		bm_wp_wpn_fps_pis_sr1_slide_silver = "Stainless Steel Slide",
		bm_wp_wpn_fps_pis_sr1_slide_long = "Long Slide",
		bm_wp_wpn_fps_pis_sr1_extmag = "26rnd SR-1 Magazine",
		bm_wp_wpn_fps_pis_sr1_extmag_akimbo = "26rnd SR-1 Magazine",
		bm_wp_wpn_fps_pis_sr1_comp2 = "A1 Birdcage Flash Suppressor",
		bm_wp_wpn_fps_pis_sr1_grip = "Hogue HandAll Grip Sleeve", -- Hesitant to call it this; the sides are not 100%, but it's a close enough match
		
		--[Triad]
		bm_w_triad = "Zilla Enterprises Triad",
		bm_w_x_triad = "Akimbo Zilla Enterprises Triads",
		bm_wp_wpn_fps_upg_triad_bullets_44ap = ".44 Magnum Armor Piercing",
		bm_wp_wpn_fps_upg_triad_bullets_44hollow = ".44 Magnum Hollow Point",
		bm_wp_wpn_fps_upg_triad_bullets_44normal = ".44 Magnum \"Post-Collision\"",
		
		--[TT-33]
		bm_wp_wpn_fps_pis_gtt33_comp2 = "TT-33 Muzzle Brake", --This thing uncannily resembles the Bushing compensator, though it has no vent holes on the sides
		bm_wp_wpn_fps_pis_gtt33_comp = "A1 Birdcage Flash Suppressor",
		bm_wp_wpn_fps_pis_gtt33_g_wood = "Wooden Grips",
		bm_wp_wpn_fps_pis_gtt33_g_white = "Worn Grips",
		bm_wp_wpn_fps_pis_gtt33_g_bling = "Pearl Grips",
		bm_wp_wpn_fps_pis_gtt33_a_c45 = "7.62×25mm Tokarev JHP",
		bm_wp_wpn_fps_pis_gtt33_a_c45_desc = "-20%/-25% pickup rate.",
		bm_wp_wpn_fps_pis_gtt33_m_extended = "15rnd TT-33 Magazine",
		bm_wp_wpn_fps_pis_gtt33_body_blued = "Gray Frame",
		
		--[PB]
		bm_w_pb = "IZHMEKH Makarov PB",
		bm_wp_wpn_fps_pis_pb_gr_classic = "Plastic Grip",
		
		--[P38]
		bm_wp_wpn_fps_upg_p38_grip_p1 = "Black P1 Grips",
		bm_wp_wpn_fps_upg_p38_grip_pearl = "Engraved Wehrmacht Pearl Grips",
		bm_wp_wpn_fps_pis_p38_mag_extended = "16rnd P38 Magazine",
		
		--[P99]
		bm_wp_wpn_fps_upg_p99_ammo_40sw = ".40 Smith & Wesson",
		bm_wp_wpn_fps_upg_p99_mag_ext = "20rnd P99 Magazine",
		bm_wp_wpn_fps_upg_p99_sight_tritium = "Tritium Night Sights",
		bm_wp_wpn_fps_upg_p99_sight_rail = "Mako Universal Picatinny Rail Mount",
		
		--[USP]
		bm_w_ctfavourite = "Heckler & Koch USP",
		
		--[USP NERV]
		bm_w_katsuragi = "Heckler & Koch USP",
		bm_wp_wpn_fps_pis_katsuragi_magazine_ext = "12rnd USP Magazine",
		bm_wp_wpn_fps_pis_katsuragi_laser = "Viridian X5L Laser/Light Combo",
		
		--[USP Tactical ~ CoD:MW3]
		bm_wp_wpn_fps_pis_usptac_sil = "GemTech Multi-Mount Suppressor",
		bm_wp_wpn_fps_pis_usptac_gadget = "Streamlight TLR-2 Flashlight/Laser Combo",
		bm_wp_wpn_fps_pis_usptac_m_extended = "20rnd USP Magazine",
		
		--[VBR PDW]
		bm_w_lele = "VBR-Belgium PDW",
		bm_wp_wpn_fps_pis_lele_a_hubby = "7.92×24mm",
		
		--[Welrod]
		bm_w_welrod = "Birmingham Small Arms Welrod Mk IIA",
		bm_wp_wpn_fps_pis_welrod_a_ap = ".32 Automatic Colt Pistol Full Metal Jacket",
		bm_wp_wpn_fps_pis_welrod_a_ap_desc = "Pierces through cover, shields & body armor. -50%/-45% pickup rate.",
		bm_wp_wpn_fps_pis_welrod_b_short_desc = "Increases shot noise.",
		
		--[Zapper]
		bm_w_nes = "Nintendo Zapper", -- Konami Justifier when?
		bm_w_x_nes = "Akimbo Nintendo Zappers",
		bm_wp_wpn_fps_pis_nes_m_long = "10-Cell AA Alkaline Batteries",
		
		--[Zenith]
		bm_w_zenith = "Steiner-Bisley Zenith",
		bm_wp_wpn_fps_upg_zenith_ammo_ap = "10×25mm Armor Piercing",
		bm_wp_wpn_fps_upg_zenith_mag_ext = "14rnd Zenith Magazine",
		
		-----------------------
		--  Special Weapons  --
		-----------------------
		
		--[A-24]
		bm_w_as24 = "Hawk Engineering Co. MM-1",
		bm_wp_wpn_fps_upg_as24_scope = "Sniper Scope", -- no idea
		bm_wp_wpn_fps_upg_as24_stock_slinghook = "No Stock",
		
		--[DG-2]
		bm_w_stdwunderwaffe = "Wehrmacht Wunderwaffe DG-2",
		
		--[HX25]
		bm_w_hx25 = "Horzine Industries HX25 Grenade Pistol",
		bm_wp_wpn_fps_upg_hx25_buckshot_ammo = "00 Buck",
		
		--[MK-1]
		bm_w_roach = "Rorsch MK-1 Railgun",
		bm_wp_wpn_fps_special_roach_a_sabot = "Heavy Sabot Slugs",
		bm_wp_wpn_fps_special_roach_a_sabot_desc = "Pierces through cover, shields & body armor, otherwise explodes on impact.\n\nHigh velocity, two-stage kinetic projectile.",
		bm_wp_wpn_fps_special_roach_a_tungsten = "Tungsten Rods",
		bm_wp_wpn_fps_special_roach_a_tungsten_desc = "Conventional tungsten-core projectile traveling at a significantly lesser velocity.\n\nPierces through cover, shields & body armor. +103% maximum pickup rate.",
		bm_wp_wpn_fps_special_roach_a_thermal_desc = "Heat-generated laser beam.\n\nPierces through cover, shields & body armor, otherwise explodes on impact. +306% maximum pickup rate.",
		
		--[M2HB]
		bm_w_m2hb = "Browning M2 Heavy Barrel",
		
		--[Minigun ~ Team Fortress 2]
		bm_wp_wpn_fps_lmg_sasha_body = "M134/M61 Vulcan Hybrid Receiver",
		bm_wp_wpn_fps_lmg_gatling_gun_body = "1861 Gatling Gun Receiver",
		bm_wp_wpn_fps_lmg_tomislav_body = "Thompson Receiver",
		
		--[NeoPAW]
		bm_w_inkunzi = "Denel/Inkunzi PAW-20 \"Neopup\"",
		bm_wp_wpn_fps_special_inkunzi_b_short = "Short Barrel",
		bm_wp_wpn_fps_special_inkunzi_b_long = "Long Barrel",
		bm_wp_wpn_fps_special_inkunzi_ns_brake = "Barrett M95 Muzzle Brake",
		bm_wp_wpn_fps_special_inkunzi_m_box = "5rnd Barrett M95 Magazine",
		bm_wp_wpn_fps_special_inkunzi_a_denel = "20×42mmB",
		bm_wp_wpn_fps_special_inkunzi_a_denel_desc = "Pierces through cover & shields.",
		bm_wp_wpn_fps_special_inkunzi_a_vulcan = "20×42mm SAPHEI",
		bm_wp_wpn_fps_special_inkunzi_a_vulcan_desc = "Pierces through cover & shields, otherwise explodes on impact. -83% minimum pickup rate.",
		
		--[Panzerschreck]
		bm_w_pschreck = "HASAG RPzB.54 \"Panzerschreck\"",
		
		--[PIAT]
		bm_w_piat = "Imperial Chemical Industries PIAT",
		bm_wp_wpn_fps_piat_incendiary = "Incendiary Mortars",
		
		--[Powerdrill]
		bm_wp_wpn_fps_drill_body_fast = "Fast Motor",
		bm_wp_wpn_fps_drill_body_silent = "Silent Motor",
		
		--[Ray Gun]
		bm_w_raygun = "Ray Gun Mk.I",
		
		--[Rocket Launcher ~ Team Fortress 2]
		bm_wp_wpn_fps_black_box_body = "M202 FLASH Kit",
		bm_wp_wpn_fps_liberty_launcher_body = "M20A1 \"Super Bazooka\" Kit",
		
		--[Sidewinder]
		bm_w_sidewinder = "Wonyeon Defense Sidewinder",
		
		--[Vickers]
		bm_w_vick = "Vickers Mk VI",
		bm_wp_wpn_fps_lmg_vick_b_smooth = "Browning M1917 Water Cooled Barrel",
		bm_wp_wpn_fps_lmg_vick_bipod = "Bipod",
		bm_wp_wpn_fps_lmg_vick_m_box = "250rnd Vickers Box",
		
		--[SMAW]
		bm_w_smaw = "Nordic Ammunition Co. Mk.153 SMAW",
		
		--[Stinger]
		bm_w_stinger = "Training Set Guided Missile M134",
		
		--------------
		--  Akimbo  --
		--------------
		
		bm_w_x_416 = "Akimbo Heckler & Koch HK416-Cs",
		bm_w_x_akm = "Akimbo Kalashnikov Concern AKMSes",
		bm_w_x_akm_gold = "Akimbo Gold Plated AKMSes",
		bm_w_x_ak74 = "Akimbo Kalashnikov Concern AKS-74s",
		bm_w_x_s12 = "Akimbo Kalashnikov Concern Saiga-12Ks",
		bm_w_x_rpk = "Akimbo Kalashnikov Concern RPKs",
		bm_w_x_m249 = "Akimbo FN M249 Paratroopers",
		bm_w_x_peace = "Akimbo Ruger New Vaqueros",
		bm_w_x_lemming = "Akimbo Fabrique Nationale Five-sevens",
		bm_w_x_rsh12 = "Akimbo KBP RSh-12s",
		bm_w_x_huntsman = "Akimbo Sawn-Off Stoeger Coach Guns",
		bm_w_x_aa12 = "Akimbo MPS Auto Assault-12 CQBs",
		bm_w_x_striker = "Akimbo Penn Arms Striker-12s",
		bm_w_x_amcar = "Akimbo Colt Model 733s",
		bm_w_x_s552 = "Akimbo SIG SG 552-2s",
		bm_w_x_g36 = "Akimbo Heckler & Koch G36KVs",
		bm_w_x_asval = "Akimbo Tula Arms AS \"Val\"s",
		bm_m32_beakimbo_name = "Akimbo Milkor MK.1L MGLs",
		bm_w_x_coach = "Akimbo Sawn-Off Remington Model 1889s",
		bm_w_x_fmg9 = "Akimbo Magpul FMG-9s",
		
		--[Akimbo mods]
		--Speed Pull Mag (Uzi)
		bm_wp_wpn_fps_smg_x_baka_m_quick = "32rnd Uzi Magazine w/Sleeve",
		--M712 Mag (C96)
		bm_wp_wpn_fps_pis_x_c96_m_extended = "20rnd M712 \"Schnellfeuer\" Magazine",
		--Snail Drum (Luger P08)
		bm_wp_wpn_fps_pis_x_luger_m_drum = "32rnd Trommel-Magazin 08 Drum",
		
		---------------------------
		--  Preliminary Weapons  --
		---------------------------
		
		--a.k.a. complete list of shit that will never be finished, prove me wrong

		--[FAL]
		bm_w_free_308 = "Fabrique Nationale FAL",
		bm_w_free_308_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nThe Right Arm of the Free World.",
		
		--[Tariq]
		bm_w_tariq = "Al-Qadissiya Tariq",
		bm_w_tariq_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nIraqi clone of the Beretta M1951.",
		
		--[Detective]
		bm_w_friday = "Colt Detective Special",
		bm_w_friday_desc = "Cartridge: .38 Special\nFire Mode: Double-Action\n\nCarbon steel revolver with a modern swing-out frame introduced in 1927.",
		
		--[Scharzlose '98]
		bm_w_warz = "Schwarzlose Model 1898",
		bm_w_warz_desc = "Cartridge: 7.65×25mm Borchardt\nFire Mode: Semi-Auto only\n\nLocked-breech pistol with an adjustable rear sight and rear-protruding firing pin; it was never officially adopted despite its advanced design for its time, and was instead sold in small lots to Boers and RSDLP members.",
		
		--[FN 1905]
		bm_w_little = "Fabrique Nationale Model 1905",
		bm_w_little_desc = "Cartridge: .25 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nCompact pistol based on the Colt Model 1908.",
		
		--[Baby Browning]
		bm_w_baby = "Fabrique Nationale Baby Browning",
		bm_w_baby_desc = "Cartridge: .25 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nSuccessor to the Model 1905 with various refinements and improvements.",
		
		--[CZ 27]
		bm_w_cz27 = "CZ Vz. 27",
		bm_w_cz27_desc = "Cartridge: .32 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nCzech pistol based on the Vz. 24; adopted by the Polizei and Wehrmacht under the P27 designation following the German occupation of Czechoslovakia.",
		
		--[CZ 38]
		bm_w_cz38 = "CZ Vz. 38",
		bm_w_cz38_desc = "Cartridge: .380 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nCzech pistol which never saw use in the military following the German occupation of Czechoslovakia.",
		
		--[CZ 45]
		bm_w_cz45 = "CZ Vz. 45",
		bm_w_cz45_desc = "Cartridge: .25 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nCost-effective pistol derived from the earlier CZ 36 model.",
		
		--[CZ 50]
		bm_w_cz50 = "CZ Vz. 50",
		bm_w_cz50_desc = "Cartridge: .32 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nCzech pistol based on the Walther PPK.",
		
		--[CZ 52]
		bm_w_cz52 = "CZ 52",
		bm_w_cz52_desc = "Cartridge: 7.62×25mm Tokarev\nFire Mode: Semi-Auto only\n\nCzech pistol designed by the Kratochvil brothers; despite its military designation as the Vz. 52, it is more often referred by its former name to differentiate it from the similarly-named rifle.",
		
		--[CZ 70]
		bm_w_cz70 = "CZ Vz. 70",
		bm_w_desc_desc = "Cartridge: .32 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nVz. 50 variant with numerous internal improvements.",
		
		--[CZ 82]
		bm_w_cz82 = "CZ Vz. 82",
		bm_w_cz82_desc = "Cartridge: 9×18mm Makarov\nFire Mode: Semi-Auto only\n\nCompact pistol with a conventional blowback action for improved accuracy; it replaced the Vz. 52 pistol in Czech military service in 1983.",
		
		--[CZ 83]
		bm_w_cz83 = "CZ Vz. 83",
		bm_w_cz83_desc = "Cartridge: .380 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nCivilian variant of the Vz. 82.",
		
		--[CZ 100]
		bm_w_cz100 = "CZ 100",
		bm_w_cz100_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nPolymer-framed handgun introduced in 1995; lacks a manual safety due to being Double Action only.",
		
		--[CZ P-07]
		bm_w_p07 = "CZ 75 P-07 Duty",
		bm_w_p07_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nCompact, polymer-framed pistol derived from the CZ 75 with various ergonomic improvements.",
		
		--[CZ P-09]
		bm_w_p09 = "CZ P-09",
		bm_w_p09_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nFull-sized variant of the P-07 model.",
		
		--[CZ P-10]
		bm_w_p10 = "CZ P-10",
		bm_w_p10_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nCZ's first striker-fired pistol and direct competitor to the Glock 19; features a glass fiber-reinforced polymer frame and backward compatibility with P-07 magazines.",
		
		--[Ruger 10/22]
		bm_w_1022 = "Ruger 10/22",
		bm_w_1022_desc = "Cartridge: .22 Long Rifle\nFire Mode: Semi-Auto only\n\nRimfire sporting rifle named respectively after its magazine capacity and caliber; popular amongst competition shooters for its abundance of aftermarket modifications.",
		
		--[Vz. 52]
		bm_w_vz52 = "CZ Vz. 52",
		bm_w_vz52_desc = "Cartridge: 7.62×45mm\nFire Mode: Semi-Auto only" .. ap .. "\n\nSelf-loading rifle chambered for its unique cartridge and adopted into service by Czech armed forces in the 1950s, before later being provided as surplus for various nations from the Warsaw pact.",
		
		--[P2020]
		bm_w_pea = "Hammond P2020",
		bm_w_pea_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nPrecision pistol derived from the earlier P2011 model.",
		
		--[P2000]
		bm_w_back = "Heckler & Koch P2000",
		bm_w_back_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nPolymer-framed pistol based on the USP and marketed towards law enforcement and paramilitary units.",
		
		--[AR57]
		bm_w_ar57 = "AR57 AR Five Seven", -- I'm not kidding, that's what it's actually called
		bm_w_ar57_desc = "Cartridge: 5.7×28mm\nFire Mode: Semi-Auto or Full-Auto\n\nAR-15 type rifle modified with a monolithic upper receiver system using P90 magazines.",
		
		--[Penetrator]
		bm_w_hv_penetrator = "Armacham Co. High Velocity Penetrator",
		bm_w_hv_penetrator_desc = "Cartridge: 10mm Flechettes\nFire Mode: Semi-Auto or Full-Auto\n\nWeapons-grade nail gun capable of pinning targets to walls.",
		
		--[FD-99]
		bm_w_fd99 = "Andra FD-99",
		bm_w_fd99_desc = "Cartridge: 5.7×28mm\nFire Mode: 3-Round Burst or Full-Auto\n\nLightweight, closed-bolt submachine gun based on the FN P90 and F2000 models and chambered with the former's armor-piercing PDW cartridge.",
		
		--[Assault Rifle 1960]
		bm_w_ar1960 = "Haenel Sturmgewehr 60",
		bm_w_ar1960_desc = "Cartridge: 7.92×33mm Kurz\nFire Mode: Semi-Auto or Full-Auto\n\nModernized variant of the StG-44 used extensively by German infantry during the 1960s invasion of the United States.",
		
		--[EL-10]
		bm_w_el10cas = "Vollmer EL-10 CAS",
		bm_w_el10cas_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto only\n\nCombat shotgun based on the P-12 prototype by Monolith Arms, which itself was notable for its horizontally mounted magazine inspired by the FN P90.",
		
		--[EMP-44]
		bm_w_erma44 = "ERMA-Werke Maschinenpistole 44",
		bm_w_erma44_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Full-Auto only\n\nAll-metal, prototype submachine gun with a double magazine well, allowing for quick reloads.",
		
		--[Four Letter Word]
		bm_w_folewo = "Quadruple Barreled Shotgun",
		bm_w_folewo_desc = "Cartridge: 12 Gauge\nFire Mode: Single Shot\n\nFour is death.",
		
		--[Gepard]
		bm_w_gepard = "Kalashnikov Concern Gepard PDW",
		bm_w_gepard_desc = "Cartridge: 9×18mm Makarov\nFire Mode: Semi-Auto or Full-Auto\n\nExperimental submachine gun based on the AKS-74U; notable for being able to fire at least 5 different cartridges without swapping barrels.",
		bm_w_x_gepard = "Akimbo Kalashnikov Concern Gepards",
		bm_w_x_gepard_desc = "Cartridge: 9×18mm Makarov\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of Gepards.",
		
		--[LS57]
		bm_w_ls57isa = "Interplanetary Strategic Alliance LS57",
		bm_w_ls57isa_desc = "Cartridge: Unknown\nFire Mode: Semi-Auto or Full-Auto\n\nCompact, high-powered submachine gun based on the M82 assault rifle.",
		bm_w_x_ls57isa = "Akimbo ISA LS57s",
		bm_w_x_ls57isa_desc = "Cartridge: Unknown\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of LS57s.",
		
		--[Lolife]
		bm_w_lolife = "\"Lolife\" Improvised Pistol",
		bm_w_lolife_desc = "Cartridge: .44 Magnum\nFire Mode: Semi-Auto only\n\nMetro-made, highly customizable sidearm frequently seen in the hands of criminals and bodyguards.",
		bm_w_x_lolife = "Akimbo Lolifes",
		bm_w_x_lolife_desc = "Cartridge: .44 Magnum\nFire Mode: Semi-Auto only\n\nA pair of amoral pistols.",
		
		--[M30]
		bm_w_m30luftwaffe = "Sauer & Sohn M30 Luftwaffe Drilling",
		bm_w_m30luftwaffe_desc = "Cartridge: 12 Gauge\nFire Mode: Single Shot\n\nCombination survival weapon issued to Luftwaffe pilots during World War II; intended for use in hunting and self-defense.",
		
		--[M4 Revolver]
		bm_w_m4isa = "Interplanetary Strategic Alliance M4",
		bm_w_m4isa_desc = "Cartridge: .357 Magnum\nFire Mode: Double-Action\n\nStandard-issue sidearm of the ISA Marines, succeeding the earlier M3 model.",
		bm_w_x_m4isa = "Akimbo ISA M4s",
		bm_w_x_m4isa_desc = "Cartridge: .357 Magnum\nFire Mode: Double-Action\n\nAnd no, we don't mean the M4 carbine.",
		
		--[M66SD]
		bm_w_m66sd = "Interplanetary Strategic Alliance M66-SD",
		bm_w_m66sd_desc = "Cartridge: .30 Carbine\nFire Mode: Semi-Auto or Full-Auto\n\nMachine pistol loosely based on the H&K MK.23 pistol; comes with a sound suppressor out of the box for assassinations and CQB engagements.",
		bm_w_x_m66sd = "Akimbo ISA M66-SDs",
		bm_w_x_m66sd_desc = "Cartridge: .30 Carbine\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of \"silent death\" machine pistols.",
		
		--[M82]
		bm_w_m82isa = "Interplanetary Strategic Alliance M82",
		bm_w_m82isa_desc = "Cartridge: 6.8×43mm Remington SPC\nFire Mode: Semi-Auto or Full-Auto\n\nAR-15 type, bullpup rifle with a proprietary gas system to avoid malfunctions; it saw extensive use during the Second Extrasolar War before being replaced by the M55 Rumbler in 2390.",
		
		--[MAS-36]
		bm_w_mas36 = "GIAT Industries MAS-36",
		bm_w_mas36_desc = "Cartridge: 7.5×54mm French\nFire Mode: Bolt-Action" .. ap .. "\n\nCarbine-style rifle adopted by the French military in 1936, seeing service in World War II and various other future conflicts.",
		
		--[HSc]
		bm_w_hsc = "Mauser HSc",
		bm_w_hsc_desc = "Cartridge: .32 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nSemi-exposed hammer pocket pistol intended to compete with the Walther PPK and Sauer 38H for police and military use.",
		bm_w_x_hsc = "Akimbo Mauser HScs",
		bm_w_x_hsc_desc = "Cartridge: .32 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nA pair of German pocket pistols.",
		
		--[MG46]
		bm_w_mg46 = "Mauser Maschinengewehr 46",
		bm_w_mg46_desc = "Cartridge: 7.92×57mm Mauser\nFire Mode: Full-Auto only\n\nElectrically-powered, quadruple barreled machine gun fitted with conical flash suppressors.",
		
		--[MG81]
		bm_w_mg81 = "Mauser Maschinengewehr 81",
		bm_w_mg81_desc = "Cartridge: 7.92×57mm Mauser\nFire Mode: Full-Auto only\n\nBelt-fed machine gun developed for use with Luftwaffe aircraft during World War II.",
		
		--[Nambu Type II]
		bm_w_nambu2 = "Nambu Type II",
		bm_w_nambu2_desc = "Cartridge: 8×22mm Nambu\nFire Mode: Full-Auto only\n\nExperimental submachine gun intended to be issued to vehicle crews of the Imperial Army.",
		
		--[Nambu Type 94]
		bm_w_nambu94 = "Nambu Type 94",
		bm_w_nambu94_desc = "Cartridge: 8×22mm Nambu\nFire Mode: Semi-Auto only\n\nCompact pistol popular among tank and aircraft crews of the Imperial Army for its lightweight design, but reviled for its shoddy construction and high chance of accidental discharge.",
		bm_w_x_nambu94 = "Akimbo Nambu Type 94s",
		bm_w_x_nambu94_desc = "Cartridge: 8×22mm Nambu\nFire Mode: Semi-Auto only\n\nA pair of \"surrender pistols\".",
		
		--[G2A2]
		bm_w_g2a2 = "Rakow G2A2",
		bm_w_g2a2_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Full-Auto only\n\nReplica Army-issued assault rifle aesthetically based on the H&K SL8 civilian rifle.",
		
		--[MG39]
		bm_w_mg39rh = "Rheinmetall Maschinengewehr 39 Rh",
		bm_w_mg39rh_desc = "Cartridge: 7.92×57mm Mauser\nFire Mode: Full-Auto only\n\nPrototype general-purpose machine gun intended to replace the MG 34.",
		
		--[P345]
		bm_w_rp345 = "Ruger P345",
		bm_w_rp345_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nCenterfire pistol variant introduced in 2004 to replace the P-Series; includes a redesigned polymer frame, improved slide, hammer and sights, and can accept single-stack magazines from the P90 and P97.",
		bm_w_x_rp345 = "Akimbo Ruger P345s",
		bm_w_x_rp345_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nA pair of centerfire pistols.",
		
		--[Sauer 38H]
		bm_w_sauer38h = "Sauer & Sohn 38H",
		bm_w_sauer38h_desc = "Cartridge: .32 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nWorld War II-era pocket pistol; considered the first pistol to have a decocker, which was required due to its shrouded hammer.",
		bm_w_x_sauer38h = "Akimbo Sauer & Sohn 38Hes",
		bm_w_x_sauer38h_desc = "Cartridge: .32 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nI call them \"Sauer\" and \"Sohn\".",
		
		--[08/18]
		bm_w_smg0818 = "Schwarzlose 08/18",
		bm_w_smg0818_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Full-Auto only\n\nPrototype submachine gun utilizing a scaled down variant of the Maxim MG08/18's recoil-operated toggle lock system.",
		
		--[MG]
		bm_w_smg = "Seburo Arms MG",
		bm_w_smg_desc = "Cartridge: Unknown\nFire Mode: Full-Auto only\n\nBullpup machine gun designed for front-line work; it is seldom seen in the hands of Section 9 operatives.",
		
		--[SR]
		bm_w_ssr = "Seburo Arms SR",
		bm_w_ssr_desc = "Cartridge: .50 Browning Machine Gun\nFire Mode: Semi-Auto only" .. ap .. "\n\nLightweight, bullpup anti-tank rifle designed for use against cyberized or otherwise armored targets.",
		
		--[SKS-45]
		bm_w_sks45 = "Simonov SKS",
		bm_w_sks45_desc = "Cartridge: 7.62×39mm Soviet\nFire Mode: Semi-Auto only\n\nSoviet carbine developed during the late years of World War II; though it was almost immediately overshadowed by the AK-47, it found life in service in many Soviet-aligned countries.",
		
		--[Spitfire]
		bm_w_spitfire = "Colt 1851 Navy \"Spitfire\"",
		bm_w_spitfire_desc = "Cartridge: .38 Rimfire Incendiary\nFire Mode: Single-Action\n\nHeavily modified cap-and-ball revolver loaded with flare rounds.",
		bm_w_x_spitfire = "Akimbo Colt Spitfires",
		bm_w_x_spitfire_desc = "Cartridge: .38 Rimfire Incendiary\nFire Mode: Single-Action\n\nA pair of flare revolvers.",
		
		--[Model 14]
		bm_w_sr_mod14 = "SR Model 14",
		bm_w_sr_mod14_desc = "Cartridge: .50 Browning Machine Gun\nFire Mode: Full-Auto only\n\nPrototype heavy machine gun designed by Russell S. Robinson for the Australian military as an aircraft and infantry weapon.",
		
		--[STK CPW]
		bm_w_st_cpw = "ST Kinetics CPW",
		bm_w_st_cpw_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nAmbidextrous, multi-caliber PDW with a retractable stock and top and bottom rails.",
		
		--[StA-3]
		bm_w_sta3 = "Stahl Arms StA-3",
		bm_w_sta3_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Full-Auto only\n\nSquad support weapon of the Helghan armed forces.",
		
		--[StA-11]
		bm_w_sta11 = "Stahl Arms StA-11",
		bm_w_sta11_desc = "Cartridge: 9.2×20mm\nFire Mode: Semi-Auto or Full-Auto\n\nStandard-issue submachine gun of the Helghan armed forces; externally based on the Bizon with added front and rear sights from the Uzi and M249, respectively.",
		bm_w_x_sta11 = "Akimbo Stahl Arms StA-11s",
		bm_w_x_sta11_desc = "Cartridge: 9.2×20mm\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of not-quite-Bizons.",
		
		--[StA-14]
		bm_w_sta14 = "Stahl Arms StA-14",
		bm_w_sta14_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto only\n\nHigh-powered marksman rifle feeding from cylindrical magazines.",
		
		--[StA-18]
		bm_w_sta18 = "Stahl Arms StA-18",
		bm_w_sta18_desc = "Cartridge: 9.2×20mm\nFire Mode: Semi-Auto only\n\nCylidrical magazine-fed pistol based on the USP and standard-issue sidearm of the Helghan armed forces; earlier models were capable of burst firing prior to mass production.",
		bm_w_x_sta18 = "Akimbo Stahl Arms StA-18s",
		bm_w_x_sta18_desc = "Cartridge: 9.2×20mm\nFire Mode: Semi-Auto only\n\nA pair of bootleg USPs.",
		
		--[StA-52]
		bm_w_sta52 = "Stahl Arms StA-52",
		bm_w_sta52_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nStandard automatic weapon of the Helghan armed forces.",
		
		--[Strader]
		bm_w_strader7 = "Strader Mk. VII",
		bm_w_strader7_desc = "Cartridge: .40 Smith & Wesson\nFire Mode: Semi-Auto only\n\nMetal-framed pistol with target-finding iron sights.",
		bm_w_x_strader7 = "Akimbo Strader Mk. VIIs",
		bm_w_x_strader7_desc = "Cartridge: .40 Smith & Wesson\nFire Mode: Semi-Auto only\n\nA pair of Straders.",
		
		--[M9A1]
		bm_w_steyr9a1 = "Steyr M9-A1",
		bm_w_steyr9a1_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nImproved version of the Steyr M series of pistols introduced in 2004; features a redesigned grip, optional manual safety and underbarrel rail.",
		
		--[Tokyo SMG]
		bm_w_tokyosmg = "Tokyo Arsenal Model 1927",
		bm_w_tokyosmg_desc = "Cartridge: 8×22mm Nambu\nFire Mode: Full-Auto only\n\nExperimental submachine gun feeding from drum magazines; it was plagued with frequent stoppages and overheating during testing and was ultimately rejected from service.",
		
		--[Type 5]
		bm_w_type5 = "Arisaka Type 5",
		bm_w_type5_desc = "Cartridge: 7.7×58mm Arisaka\nFire Mode: Semi-Auto only\n\nJapanese clone of the M1 Garand.",
		
		--[Valve]
		bm_w_valve2034 = "\"Valve\" Improvised Sniper Rifle", --volvo pls fix tf2 already
		bm_w_valve2034_desc = "Cartridge: 7.62×54mmR\nFire Mode: Bolt-Action" .. ap .. "\n\nMakeshift sniper rifle cobbled together from older, pre-war rifles.",
		
		--[VC1]
		bm_w_vc1hel = "Visari Co. VC1",
		bm_w_vc1hel_desc = "Cartridge: Fuel Canister\nFire Mode: Flame\n\nFlamethrower using a mixture of low-octane gasoline and an unidentified component.",
		
		--[VC8]
		bm_w_vc8hel = "Visari Co. VC8",
		bm_w_vc8hel_desc = "Cartridge: 12 Gauge\nFire Mode: Single Shot\n\nTriple barreled shotgun pistol.",
		bm_w_x_vc8hel = "Akimbo Visari Co. VC8s",
		bm_w_x_vc8hel_desc = "Cartridge: 12 Gauge\nFire Mode: Single Shot\n\nSix barrels, two hands, one bad idea.",
		
		--[VMG 1927]
		bm_w_vmg1927 = "Vollmer VMG 1927",
		bm_w_vmg1927_desc = "Cartridge: 7.92×57mm Mauser\nFire Mode: Full-Auto only\n\nMachine gun feeding from drum magazines and utilizing quick-change barrels; it consists of only 78 parts.",
		
		--[Walther M1918]
		bm_w_walther1918 = "Walther Toggle-Action",
		bm_w_walther1918_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto only\n\nShort-recoil, toggle action shotgun produced by Deutsche Werke in the 1920s with later refinements done by Walther.",
		
		--[MPL]
		bm_w_mpl = "Walther MPL",
		bm_w_mpl_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nCost-effective, full-sized submachine gun developed during the Cold War.",
		bm_w_x_mpl = "Akimbo Walther MPLs",
		bm_w_x_mpl_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of MPLs.",
		
		--[P22]
		bm_w_p22 = "Walther P22",
		bm_w_p22_desc = "Cartridge: .22 Long Rifle\nFire Mode: Semi-Auto only\n\nRimfire pistol with a threaded barrel and accessory rail.",
		bm_w_x_p22 = "Akimbo Walther P22s",
		bm_w_x_p22_desc = "Cartridge: .22 Long Rifle\nFire Mode: Semi-Auto only\n\nYou must be fun down at the shooting range.",
		
		--[XM29]
		bm_w_xm29oicw = "Heckler & Koch XM29 OICW",
		bm_w_xm29oicw_desc = "Cartridge: 5.56×45mm NATO/20×28mm HEAB Grenades\nFire Mode: Semi-Auto or Full-Auto (XM29)/Single Shot (Launcher)\n\nPrototype dual-caliber rifle developed as part of the \"Objective Individual Combat Weapon\" program in the 1990s, which ended in 2004 due to various problems.",
		
		--[NTW-20]
		bm_w_bamboo = "Denel NTW-20",
		bm_w_bamboo_desc = "Cartridge: 20×82mm\nFire Mode: Bolt-Action" .. ap .. "\n\nSouth African anti-materiel rifle.",
		
		--[Ballista]
		bm_w_eagle = "Fabrique Nationale Ballista",
		bm_w_eagle_desc = "Cartridge: .338 Lapua Magnum\nFire Mode: Bolt-Action" .. ap .. "\n\nAir-cooled, modular sniper rifle with a fully adjustable, sidefolding stock.",
		
		--[ChainSAW]
		bm_w_ulf = "Knight's Armament Co. ChainSAW",
		bm_w_ulf_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Full-Auto only\n\nPrototype light machine gun with a chainsaw-style grip designed for hip-firing.",
		
		--[NeoStead]
		bm_w_faith = "Truvelo Armory NeoStead 2000",
		bm_w_faith_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\nSouth African bullpup combat shotgun.",
		
		--[CR-21]
		bm_w_prawn = "Denel Vektor CR-21",
		bm_w_prawn_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nSouth African bullpup rifle based on the Galil assault rifle; its stock houses a built-in compartment for storing a cleaning kit.",
		
		--[M1918 CQC]
		--bm_w_obasan = "Browning M1918A2",
		--bm_w_obasan_desc = "Cartridge: .30-06 Springfield\nFire Mode: Semi-Auto or Full-Auto\n\nShort-barreled, squad support weapon intended for close-quarters battle.",
		
		--[RMB-93]
		bm_w_vksweater = "KBP RMB-93",
		bm_w_vksweater_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\nCompact, short barreled shotgun with an \"Inverted Cycle\" slide-action operation similarly seen on the Neostead 2000.",
		
		--[Grizzly]
		bm_w_driver = "LAR Grizzly Mk.V",
		bm_w_driver_desc = "Cartridge: .50 Action Express\nFire Mode: Semi-Auto only\n\nThe most powerful semi-automatic pistol ever commercially produced, and chambered for a variety of pistol cartridges.",
		bm_w_x_driver = "Akimbo LAR Grizzly Mk.Vs",
		bm_w_x_driver_desc = "A pair of pissed off grizzly bears.",
		
		--[Disraptor]
		bm_w_vivioncrack = "KRISS Disraptor",
		bm_w_vivioncrack_desc = "Cartridge: .50 Browning Machine Gun\nFire Mode: Full-Auto only\n\nPrototype heavy machine gun utilizing a double-sided, horizontal version of the \"Super V\" system.",
		
		--[Springfield Bullpup]
		bm_w_freecores = "Springfield Armory Model 1903 Bullpup", --This actually exists as a conversion for the U.S. Marine Corps, but it never left the prototype stages from what I heard
		bm_w_freecores_desc = "Cartridge: .30-06 Springfield\nFire Mode: Bolt-Action\n\nExperimental bullpup variant of the Springfield rifle.",
		
		--[MDR]
		bm_w_shitpost = "Desert Tech MDR",
		bm_w_shitpost_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nPut the phone away; this is serious business.",
		
		--[HK Pack ~ H3VR]
		bm_w_slap_308 = "Heckler & Koch G3A3",
		bm_w_slap_308_desc_ = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nCold War-era battle rifle developed in collaboration with CETME and adopted for use in over 40 countries.",
		
		bm_w_kurz_308 = "Fleming Arms HK51",
		bm_w_kurz_308_desc_ = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nShortened G3 variant modified to take MP5 furniture; it saw limited use by the British SAS and SBS units before quickly being replaced due to reliability issues and impractical use of a high-powered cartridge firing from an extremely short barrel.",
		
		bm_w_slap_556 = "Heckler & Koch HK33A2",
		bm_w_slap_556_desc_ = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto, 3-Round Burst or Full-Auto\n\nAssault rifle based on the G3 platform; adopted for use by the Brazilian Air Force, as well as the Thai & Malaysian Armed Forces.",
		
		bm_w_kurz_556 = "Heckler & Koch HK53",
		bm_w_kurz_556_desc_ = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto, 3-Round Burst or Full-Auto\n\nCompact variant of the HK33 with an MP5 forearm and retractable stock.",
		
		--[Ragun]
		bm_w_rag = "FB Radom PR-15 \"Ragun\"",
		bm_w_rag_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nPolish service pistol developed in 2009; originally intended to be a modernized variant of the MAG-98, it is actually made from scratch and its parts are not interchangeable with it.",
		
		--[LAD]
		bm_w_lad = "Soviet Union LAD", -- pretty sure this gun never left the prototype stage, hence no manufacturer name
		bm_w_lad_desc = "Cartridge: 7.62×25mm Tokarev\nFire Mode: Full-Auto only\n\nBelt-fed light machine gun with a built-in bipod; only two prototypes were ever built and the weapon was ultimately rejected from service.",
		
		--[S&W Mdl. 3]
		bm_w_sw_mod3 = "Smith & Wesson Model 3",
		bm_w_sw_mod3_desc = "Cartridge: .44 Smith & Wesson American\nFire Mode: Single-Action\n\nTop-break revolver developed in 1869.",
		
		--[FNC]
		bm_w_choco = "Fabrique Nationale FNC",
		bm_w_choco_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto, 3-Round Burst or Full-Auto\n\nBelgian assault rifle developed in the mid-to-late 1970s for NATO standardization trials.",
		
		--[FN 1903]
		bm_w_1903 = "Fabrique Nationale Model 1903",
		bm_w_1903_desc = "Cartridge: 9×20mm Browning Long\nFire Mode: Semi-Auto only\n\nSelf-loading pistol based on the mechanical design of the Colt Model 1903 Pocket Hammerless; it was an issued sidearm for many police forces and militaries thanks to its reliability, ergonomics and quick reloading.",
		
		--[FN 1906]
		bm_w_fn1906 = "Fabrique Nationale Model 1906",
		bm_w_fn1906_desc = "Cartridge: .25 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nEuropean copy of the Model 1905.",
		
		--[HAMR]
		bm_w_hammer = "Fabrique Nationale HAMR IAR",
		bm_w_hammer_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Full-auto only\n\nSquad support weapon variant of the SCAR designed in 2008; it was entered into the Infantry Automatic Rifle program in 2010 where it was one of four finalists, but ultimately lost to the M27.",
		
		--[IAR]
		bm_w_coltiar = "Colt IAR",
		bm_w_coltiar_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nSquad support weapon variant of the M16 rifle with an advanced heat system for sustained fire.",
		
		--[RPK-16]
		bm_w_rpk16 = "Kalashnikov Concern RPK-16",
		bm_w_rpk16_desc = "Cartridge: 5.45×39mm Russian\nFire Mode: Semi-Auto or Full-Auto\n\nModernized RPK-74 with technical and ergonomic features added from the AK-12 platform.",
		
		--[NZ-75]
		bm_w_aoki = "Norinco NZ-75",
		bm_w_aoki_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nChinese copy of the CZ 75.",
		bm_w_x_aoki = "Akimbo Norinco NZ-75s",
		bm_w_x_aoki_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nA pair of Chinese CZ 75s.",
		bm_w_aoki_gold = "Gold Plated NZ-75",
		bm_w_aoki_gold_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nChinese copy of the CZ 75 with a tacky, golden finish.\n\nAnd it'll probably explode on discharge, too.",

		--[Origin 12]
		bm_w_chunk = "Fostech Origin-12",
		bm_w_chunk_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto only\n\nTactical, magazine-fed shotgun based on the Saiga-12.",

		--[Ｙ　Ｅ　Ｅ Ｔ]
		bm_w_yeet = "Hi-Point YC9",
		bm_w_yeet_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nUpgraded version of the C9 with improved ergonomics and threaded barrel; officially (and affectionately) known as the \"Yeet Cannon\" during the company's \"Name the Nine\" contest.",

		--[KP/-31]
		bm_w_pixie = "Tikkakoski Suomi KP/-31",
		bm_w_pixie_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nFinnish, wartime submachine gun derived from the earlier M-22 prototype and fitted with a drum magazine, which was soon after copied and adopted for the Soviet PPD-40 and PPSh-41 submachine guns.",

		--[Totally not Architect]
		bm_w_labcoat = "Daewoo Precision Industries K11",
		bm_w_labcoat_desc = "Cartridge: 5.56×45mm NATO (K11)/20×30mm Grenades (Launcher)\nFire Mode: Semi-Auto or Full-Auto (K11)/Single Shot (Launcher)\n\nKorean, multi-weapon bullpup rifle adopted by the Republic of Korea Armed Forces in 2008.",

		--[TTI MPX]
		bm_w_wicc = "Taran Tactical Innovations/SIG-Sauer MPX",
		bm_w_wicc_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nClosed-bolt submachine gun fitted with various attachments from TTI.",

		--[SCW]
		bm_w_precious = "Colt SCW",
		bm_w_precious_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nCompact, PDW version of the M16 rifle designed for close quarters battle.",

		--[UKM-2000]
		bm_w_kurva = "ZMT UKM-2000",
		bm_w_kurva_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Full-Auto only\n\nPolish machine gun based on the PKM and feeding from standard M13 disintegrating link belts.",

		--[SAT-8]
		bm_w_pizza = "FABARM SAT-8 Pro Telescopic",
		bm_w_pizza_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto only\n\nItalian combat shotgun with a pistol grip and M4-type telescopic stock.",

		--[TAC-50 A1-R2]
		bm_w_ward = "McMillan TAC-50 A1-R2",
		bm_w_ward_desc = "Cartridge: .50 Browning Machine Gun\nFire Mode: Bolt-Action" .. ap .. "\n\nTAC-50 variant with a proprietary muzzle brake and fiberglass stock for reduced recoil.",
		
		--[M11]
		bm_w_eazy = "Ingram MAC-11",
		bm_w_eazy_desc = "Cartridge: .380 Automatic Colt Pistol\nFire Mode: Semi-Auto or Full-Auto\n\nSubcompact variant of the MAC-10.",
		
		--[VP9]
		bm_w_veep = "Heckler & Koch VP9",
		bm_w_veep_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nPolymer-framed pistol with ambidextrous controls and underbarrel rail.",
		
		--[Galil]
		bm_w_arm = "IMI Galil ARM",
		bm_w_arm_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nLight machine gun variant of the Galil equipped with a carrying handle, folding bipod and larger wooden handguard.",
		bm_w_sar = "IMI Galil SAR",
		bm_w_sar_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nCarbine variant of the Galil with a shorter barrel, piston and gas tube and unique gas block; it saw the most usage among the Israeli Defense Forces, being in service until 2005.",
		
		--[G30]
		bm_w_faye = "Glock 30",
		bm_w_faye_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nSubcompact version of the Glock 29.",
		
		--[FN15]
		bm_w_pancake = "Fabrique Nationale FN15",
		bm_w_pancake_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nAR-15 type rifle commercially released for the civilian market.",
		
		--[Type 79]
		bm_w_akwtf = "Norinco Type 79",
		bm_w_akwtf_desc = "Cartridge: 7.62×25mm Tokarev\nFire Mode: Semi-Auto or Full-Auto\n\nMass-produced Chinese submachine gun made infamous for its association with political parties such as the \"Gang of Four\".",
		
		--[M3]
		bm_w_priscilla = "Benelli M3 Super 90",
		bm_w_priscilla_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\nDual-mode combat shotgun; popular among military, police and civilian users alike for its reliability and versatility.",
		
		--[M1A]
		bm_w_m1a = "Springfield Armory M1A SOCOM 16",
		bm_w_m1a_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto only\n\nCivilian M14 variant with a 16\" barrel.",
		
		--[IA2]
		bm_w_imbel = "IMBEL IA2",
		bm_w_imbel_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nUpdated version of the MD-97 and ParaFAL models, designed as a replacement for the FAL, M16A2 and HK33 rifles currently in service with the Brazilian Armed Forces.",
		
		--[Anti-Rain Pack]
		bm_w_megaphone = "Colt R0635",
		bm_w_megaphone_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\n9mm submachine gun variant of the M16 rifle with a quad-rail handguard.",
		bm_w_gameover = "Knight's Armament Co. M4 SOPMOD II",
		bm_w_gameover_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nCustom M4 Carbine designed during the initiation of Block II of the SOPMOD program in 2001.",
		bm_w_quiet = "Colt M4A1",
		bm_w_quiet_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nCarbine variant of the M16 rifle with a shorter barrel and telescopic stock; used extensively by the U.S. Armed Forces and U.S. Marine Corps as their primary infantry weapon and service rifle.",
		bm_w_neesan = "Colt M16A1",
		bm_w_neesan_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nRevision of the XM16E1 to address problems found during its testing cycle; changes include a birdcage flash hider, full-fence receiver and chrome plated chamber.",
		bm_w_defy = "Spike's Tactical Pipe Hitters SBR",
		bm_w_defy_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nShort-barreled AR-15 type rifle developed in collaboration with the Pipe Hitters Union.",
		
		--[FNH Pack]
		bm_w_squirrel = "Fabrique Nationale P90 TR",
		bm_w_squirrel_desc = "Cartridge: 5.7×28mm\nFire Mode: Semi-Auto or Full-Auto\n\nCompact submachine gun with Picatinny rails in place of its standard reflex sight.",
		bm_w_mk16cqc = "Fabrique Nationale MK.16 PDW",
		bm_w_mk16cqc_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nCompact variant of the SCAR-L marketed as a Personal Defense Weapon.",
		bm_w_falcqc = "Fabrique Nationale FAL 50.63 PARA",
		bm_w_falcqc_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nParatrooper variant of the FAL with a shorter barrel, sidefolding stock and folding charging handle.",
		--bm_w_falwtf = "",
		--bm_w_falwtf_desc = "",
		bm_w_toohorny = "Fabrique Nationale MK.48 Mod 0",
		bm_w_toohorny_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Full-Auto only\n\nGeneral-purpose machine variant of the MK.46 designed as a stopgap replacement for the heavier M240.",
		bm_w_twoforty = "Fabrique Nationale M240B",
		bm_w_twoforty_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Full-Auto only\n\nStandard infantry medium machine gun of the U.S. Marine Corps.",
		
		--[Heavy Caliber Pack]
		bm_w_maple = "Canadian Army C15 LRSW",
		bm_w_maple_desc = "Cartridge: .50 Browning Machine Gun\nFire Mode: Bolt-Action" .. ap .. "\n\nCanadian Army variant of the TAC-50, employed by the \"Joint Task Force 2\" special unit.",
		bm_w_thor = "European American Armory/Tanfoglio Thor",
		bm_w_thor_desc = "Cartridge: .500 Smith & Wesson Magnum\nFire Mode: Single Shot\n\nSingle shot handgun based on a conventional 1911-series frame, adapted to fire larger cartridges.",
		bm_w_doomer = "Triple Action Thunder",
		bm_w_doomer_desc = "Cartridge: .50 Browning Machine Gun\nFire Mode: Single Shot\n\nBreech-loaded, prototype handgun unveiled at the 2004 SHOT Show; the company went under due to no available manufacturers.",
		bm_w_wulf = "Alexander Arms .50 Beowulf",
		bm_w_wulf_desc = "Cartridge: .50 Beowulf\nFire Mode: Semi-Auto or Full-Auto\n\nLarge-caliber, AR-15 type rifle designed for hunting big game.",
		bm_w_swwtf = "\"Triple Regret\"",
		bm_w_swwtf_desc = "Cartridge: .50 Browning Machine Gun\nFire Mode: Double-Action\n\nErm... are you sure you want to fire that thing?",
		bm_w_bishop = "Barrett REC7",
		bm_w_bishop_desc = "Cartridge: 6.8×43mm Remington SPC\nFire Mode: Semi-Auto or Full-Auto\n\nAR-15 type rifle with a short-stroke piston system and chambered for the 6.8mm SPC round for increased stopping power.",
		bm_w_araara = "DSR-Precision DSR-50",
		bm_w_araara_desc = "Cartridge: .50 Browning Machine Gun\nFire Mode: Bolt-Action" .. ap .. "\n\nUpscaled, bullpup sniper rifle based on the earlier DSR-1 model.",
		
		--[M99]
		bm_w_pedohunter = "Zijiang Machinery Co. M99",
		bm_w_pedohunter_desc = "Cartridge: 12.7×108mm\nFire Mode: Semi-Auto only" .. ap .. "\n\nChinese anti-materiel rifle used by the PLA Navy and Marine Corps in anti-piracy operations in the Gulf of Aden.",
		
		--[AS50]
		bm_w_loveforleon = "Accuracy International AS50",
		bm_w_loveforleon_desc = "Cartridge: .50 Browning Machine Gun\nFire Mode: Semi-Auto only" .. ap .. "\n\nBritish anti-materiel rifle designed to engage targets at extreme ranges with high accuracy using explosive or incendiary rounds.",
		
		--[AK Pack 2 Leftovers]
		bm_w_ak_krink_762 = "Soviet Union AKMSU",
		bm_w_ak_krink_762_desc = "Cartridge: 7.62×39mm Soviet\nFire Mode: Semi-Auto or Full-Auto\n\nChopped down AKM of unknown origin.",
		bm_w_ak_krink_545_ = "Tula Arms AKS-74U",
		bm_w_ak_krink_545_desc = "Cartridge: 5.45×39mm Russian\nFire Mode: Semi-Auto or Full-Auto\n\nCarbine variant of the AKS-74 devised during the codenamed \"Modern\" design competition in 1973; dubbed the \"Krinkov\" in the West, with various contradicting stories regarding the nickname's origin.",
		bm_w_ak_krink_556 = "Arsenal SLR-106UR",
		bm_w_ak_krink_556_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nBulgarian-made, stamped receiver AK variant with the front sight/gas block combo and short gas system of the AKS-74U.",
		
		--[A-91]
		bm_w_drunk = "KBP 5.56A-91",
		bm_w_drunk_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nExport variant of the A-91 with a redesigned lower receiver and rear-sloped pistol grip.",
		
		--[SP1]
		bm_w_chop = "Denel Vektor SP1",
		bm_w_chop_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nImproved version of the earlier Z-88 pistol, a locally produced copy of the Beretta 92F.",
		
		--[KAC Revolver]
		bm_w_srr = "Knight's Armament Co. Revolver Rifle",
		bm_w_srr_desc = "Cartridge: .30 Caliber\nFire Mode: Single-Action\n\nPrototype revolver built from a Ruger Super Redhawk; designed in 1992 in response to a request for a proposal of a suppressed weapon with an effective range of 100 meters and the potential for rapid follow-up shots.",
		
		--[MSBS-5.56K]
		bm_w_sorrymira = "FB Radom MSBS-5.56K \"Grot\"",
		bm_w_sorrymira_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nPolish, modular rifle system developed as a replacement for AK-pattern rifles in Polish service.",
		
		--[Saiga-12U]
		bm_w_lesbo = "Kalashnikov Concern Saiga-12U",
		bm_w_lesbo_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto only\n\nShort-barreled, magazine-fed Russian shotgun.",
		
		--[Shockwave]
		bm_w_kitsune = "Mossberg Model 590 \"Shockwave\"",
		bm_w_kitsune_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\nCompact, 500-series shotgun with a \"bird's head\" pistol grip for reduced recoil.",
		
		------------------------------------------
		--  Standalone Attachments & Mod Packs  --
		------------------------------------------
		
		--I wonder if I should rearrange all these strings by their corresponding mod packs instead...
		
		--[Stocks]
		--AR-15 Pack
		bm_wp_wpn_fps_upg_m4_s_caastock = "Command Arms Collapsible Stock",
		bm_wp_wpn_fps_upg_m4_s_caastock_black = "Command Arms Black Collapsible Stock",
		bm_wp_wpn_fps_upg_m4_s_fab_glr16s = "FAB Defense GLR-16S Stock",
		bm_wp_wpn_fps_upg_m4_s_fab_glr16s_alt = "FAB Defense GLR-16S w/o Recoil Pad",
		bm_wp_wpn_fps_upg_m4_s_hke1 = "Heckler & Koch E1 Stock",
		bm_wp_wpn_fps_upg_m4_s_hkslimline = "Heckler & Koch Slimline Stock",
		bm_wp_wpn_fps_upg_m4_s_prs = "Magpul PRS Gen 3 Stock",
		bm_wp_wpn_fps_upg_m4_s_viper = "Strike Industries Viper MOD-1 Stock",
		--Geronimo Stock (Operator Attachment Pack)
		bm_wp_wpn_fps_upg_s_devgru = "DoubleStar ACE M4 SOCOM Stock",
		bm_wp_wpn_fps_upg_ak_s_pt1 = "ZenitCo PT-1 \"Klassika\" Stock",
		--Stock (Mosin Nagant Obrez)
		bm_wp_wpn_fps_snp_mosin_b_obrez = "Sawn-Off Stock",
		--CQR Stock (Hera Arms Pack)
		bm_wp_wpn_fps_upg_s_hera = "Hera Arms CQR Thumbhole Stock",
		--Solid Stock (Classic Kit)
		bm_wp_wpn_fps_ass_m16_s_classic = "A2 Solid Stock",
		--Vintage Stock (CAR-15 Attachment Pack)
		bm_wp_wpn_fps_upg_s_commando = "Gen 3 Collapsible Stock",
		--AK-100
		bm_wp_wpn_fps_upg_ak_s_ak100 = "Sidefolding AK-100 Stock",
		--Pipe Stock (AK Various Attachment)
		bm_wp_wpn_fps_smg_akmsu_s_rk62 = "Rk.62 Tubular Stock",
		--Stocks (G3 Various Attachment)
		bm_wp_wpn_fps_ass_g3_s_polymer = "HK33 Polymer Stock",
		bm_wp_wpn_fps_lmg_hk21_s_low = "Retractable Stock",
		--Hardlight Stock (Contractor .308 Various Attachment)
		bm_wp_wpn_fps_snp_tti_s_light = "MDT Skeleton Rifle Stock",
		--Spartan (G3)
		bm_wp_wpn_fps_g3_s_folding = "Sidefolding HK91 Stock",
		--Open Stock (HK416)
		bm_wp_wpn_fps_ass_tecci_s_open = "Extended Stock",
		--CAR-14 (Desert Eagle)
		bm_wp_wpn_fps_pis_deagle_g_car14 = "CAR-14 Grip Stock", -- fictional?
		--Stock (MP5 Swordfish Parts)
		bm_wp_wpn_fps_upg_s_fishy = "ICS SFS Cheek Rest Stock",
		--Goblin (Dokkaebi's M14)
		bm_wp_wpn_fps_ass_m14_body_goblin = "Troy Industries Rock SOPMOD M14 Kit",
		bm_wp_wpn_fps_ass_m14_body_goblin_desc = "Locks weapon to semi-auto only. +186%/+233% pickup rate.",
		--No Stock (MK.18 Mod 0 Extra)
		bm_wp_wpn_fps_smg_m4cqb_st_none = "Buffer Tube Stock",
		--Modern Foldable Stock (AK17 Various Attachment)
		bm_wp_wpn_fps_ass_flint_s_fold = "FAB Defense UAS AK Stock",
		--Holster (Luger)
		bm_wp_wpn_fps_pis_breech_s_holster = "Navy Luger Shoulder Stock",
		bm_wp_wpn_fps_pis_breech_s_holster_desc = "+150%/+200% pickup rate.",
		--Wooden (MP40)
		bm_wp_wpn_fps_smg_erma_s_wooden = "MP41 Stock",
		--Velo
		bm_wp_wpn_fps_upg_m4_s_raptor = "Magpul MOE Stock",
		--AK Stocks (AK Extra Attachments Pack)
		bm_wp_wpn_fps_ass_heffy_all_st_moe = "Magpul MOE AK Stock",
		bm_wp_wpn_fps_ass_heffy_545_st_ivan = "Sidefolding AK-12 Stock w/Recoil Pad",
		--Stocks (TTI Attachment Pack)
		bm_wp_wpn_fps_sho_ben_s_tti = "Taran Tactical Benelli M2 Solid Stock",
		bm_wp_wpn_fps_upg_s_tti = "ERGO F93 PRO Collapsible Stock",
		--Syntax (GITS:SACFAO Attachment Pack)
		bm_wp_wpn_fps_upg_s_gitsm4 = "SOPMOD Style Stock", --pretty sure this is just a futuristic looking crane stock
		--Tacticool Stocks
		bm_wp_wpn_fps_upg_m4_s_moe = "Magpul MOE Stock",
		bm_wp_wpn_fps_upg_m4_s_ds150 = "KRISS Defiance DS150 Stock",
		bm_wp_wpn_fps_upg_m4_s_bus = "Mission First Tactical BUS Stock",
		bm_wp_wpn_fps_upg_m4_s_gen2 = "Magpul UBR Gen 2 Stock",
		bm_wp_wpn_fps_upg_m4_s_core = "FAB Defense GL-CORE Stock",
		bm_wp_wpn_fps_upg_m4_s_a2 = "A2 Solid Stock",
		bm_wp_wpn_fps_sho_ultima_s_ultm = "MP-155 \"Ultima\" Stock w/Sml. Recoil Pad",
		bm_wp_wpn_fps_sho_ultima_s_ults = "MP-155 \"Ultima\" Stock w/Med. Recoil Pad",
		bm_wp_wpn_fps_sho_ultima_s_ultl = "MP-155 \"Ultima\" Stock w/Lrg. Recoil Pad",
		--Stocks (Vanilla Mod Pack)
		bm_wp_wpn_fps_ass_flint_s_solid = "Clubfoot Stock",
		bm_wp_wpn_fps_ass_tecci_s_minicontra = "Shortened A2 Solid Stock",
		bm_wp_wpn_fps_ass_m4_s_russian = "AK-12 Stock",
		bm_wp_wpn_fps_snp_model70_s_discrete = "Polymer Stock",
		bm_wp_wpn_fps_ass_m16_s_op = "A2 Solid Stock w/Cheek Rest",
		bm_wp_wpn_fps_smg_thompson_stock_fold = "Underfolding Stock",
		bm_wp_wpn_fps_shot_m37_s_ergo = "Winchester Model 1912 Stock",
		bm_wp_wpn_fps_shot_m37_s_tactical = "Underfolding Stock",
		bm_wp_wpn_fps_snp_mosin_body_grip = "Vz. 54 Stock",
		bm_wp_wpn_fps_ass_ching_s_why = "M1E5 Folding Stock",
		bm_wp_wpn_fps_sho_boot_s_black = "Underfolding Stock",
		bm_wp_wpn_fps_upg_ak_s_polymerstock = "Polymer Stock w/Cheek Rest",
		bm_wp_wpn_fps_ass_m14_body_old = "Digital Camo Stock w/Full Length Rail",
		bm_wp_wpn_fps_pis_judge_body_raybull = "Raging Judge XVIII Kit",
		bm_wp_wpn_fps_snp_r700_s_redwood = "Redwood Stock",
		bm_wp_wpn_fps_smg_mp5_s_m4 = "AK-12 Stock",
		bm_wp_wpn_fps_smg_cobray_s_custom = "Folding Uzi Stock",
		bm_wp_wpn_fps_sho_ben_s_fracture = "No Stock",
		bm_wp_wpn_fps_smg_scorpion_s_wood = "Wooden Stock",
		bm_wp_wpn_fps_smg_schakal_s_solid = "G3 Polymer Stock",
		-- bm_wp_wpn_fps_smg_schakal_s_hollow = "",
		bm_wp_wpn_fps_smg_schakal_s_recon = "SB Tactical SBT5K Stock",
		bm_wp_wpn_fps_smg_mp5_s_adjusted = "Retracted Stock",
		bm_wp_wpn_fps_upg_ak_s_empty = "No Stock",
		--Stocks (1911)
		bm_wp_wpn_fps_pis_m1911_s_wooden = "Lebman Machine Pistol Wooden Stock",
		bm_wp_wpn_fps_pis_m1911_s_skeletal = "Lebman Machine Pistol Wire Stock",
		--Skeletal Skeleton Stocks
		bm_wp_wpn_fps_bones_calcium = "Bone Stock",
		--Stallion Stock (Beretta Various Attachment)
		bm_wp_wpn_fps_pis_b93r_stock = "93R Shoulder Stock",
		--Muldon Stock Unfolded (R870)
		bm_wp_wpn_fps_shot_r870_s_muldonunfolded = "Unfolded Stock",
		--Wooden Solid Stock (M16)
		bm_wp_wpn_fps_ass_m16_s_wood = "Wooden A2 Solid Stock",
		--Stocks (R870 Attachment Pack)
		bm_wp_wpn_fps_shot_r870_s_hdtf = "Olive Drab Stock",
		bm_wp_wpn_fps_shot_mossberg_s_grip = "Mossberg Model 590 Stock",
		--Stocks (Extra Attachments Compilation)
		bm_wp_wpn_fps_smg_mp5_s_proper = "HK Solid Stock",
		bm_wp_wpn_fps_ass_tecci_s_short = "Retracted HK416 Stock",
		--Stocks (AR Extra Attachments Pack)
		bm_wp_wpn_fps_ass_stoy_556_st_t65 = "C.L. Command Type 65 Stock",
		--Stocks (SCAR Various Attachment)
		bm_wp_wpn_fps_ass_scar_s_tactical = "SG 550 Style Folding Stock", -- no idea what this is
		bm_wp_wpn_fps_ass_scar_s_skel = "MK.16 PDW Stock",
		--Stocks (Magpul Attachment Pack)
		bm_wp_wpn_fps_upg_s_ak_moe = "Magpul MOE AK Stock",
		bm_wp_wpn_fps_upg_s_ak_zhukov = "Magpul ZHUKOV-S Stock",
		bm_wp_wpn_fps_upg_s_m4_sl_c = "Collapsed Magpul MOE-SL Stock",
		bm_wp_wpn_fps_upg_s_m4_prs = "Magpul PRS Gen 3 Stock",
		bm_wp_wpn_fps_upg_s_m4_pts = "Magpul PTS Stock",
		bm_wp_wpn_fps_upg_s_m4_pts_c = "Collapsed Magpul PTS Stock",
		bm_wp_wpn_fps_upg_s_m4_sl = "Magpul MOE-SL Stock",
		bm_wp_wpn_fps_upg_s_m4_ubr = "Magpul UBR Stock",
		--Stocks (GSPS Various Attachment)
		bm_wp_wpn_fps_shot_m37_s_stakeout = "Pistol Grip Stock",
		bm_wp_wpn_fps_shot_m37_s_rack = "Recoil Pad w/Shell Rack",
		--Stock (MAC-10 Various Attachment)
		bm_wp_wpn_fps_smg_mac10_s_stowed = "Folded Stock",
		--Prototype Model Stock (M240)
		bm_wp_wpn_fps_lmg_par_s_early = "Ksp 58 Stock",
		--Akimbo Stock Package
		bm_wp_wpn_fps_upg_x_shepheard_s_full = "MPX Stock",
		bm_wp_wpn_fps_upg_x_mp5_s_full = "MP5 Solid Stock",
		bm_wp_wpn_fps_upg_x_m1928_s_full = "Wooden Stock",
		bm_wp_wpn_fps_upg_x_erma_s_full = "Unfolded Stock",
		bm_wp_wpn_fps_upg_x_m45_s_full = "Unfolded Stock",
		bm_wp_wpn_fps_upg_x_sterling_s_full = "Unfolded Stock",
		--Folded Vanilla/DLC Stocks
		bm_wp_wpn_upg_ak_s_skfolded = "Folded Stock",
		bm_wp_wpn_fps_upg_m4_s_collapsed = "Retracted Bushmaster LE Stock",
		bm_wp_wpn_fps_upg_m4_s_pts_col = "Retracted Magpul CTR Stock",
		bm_wp_wpn_fps_upg_m4_s_crane_col = "Retracted SOPMOD Stock",
		bm_wp_wpn_fps_upg_m4_s_mk46_col = "Retracted SOPMOD Stock w/Cheek Pad",
		bm_wp_wpn_fps_upg_m4_s_ubr_col = "Retracted Magpul UBR Stock",
		bm_wp_wpn_fps_ass_ak5_s_ak5a_col = "Folded Ak 5 Stock",
		bm_wp_wpn_fps_ass_ak5_s_ak5b_col = "Folded Ak 5B Stock",
		bm_wp_wpn_fps_ass_ak5_s_ak5c_col = "Folded Ak 5C Stock",
		bm_wp_wpn_fps_ass_m14_body_collapsed = "MK.14 EBR Kit w/Retracted Stock",
		bm_wp_wpn_fps_ass_fal_s_folded = "Retracted Paratrooper Stock",
		bm_wp_wpn_fps_smg_mp5_s_folded = "Folded MP5K-PDW Stock",
		bm_wp_wpn_fps_ass_galil_s_sta_folded = "Folded Galil ARM Stock",
		bm_wp_wpn_fps_ass_galil_s_fab_folded = "Folded Galil MAR MG-CP Stock",
		bm_wp_wpn_fps_ass_galil_s_light_folded = "Folded Galatz Skeleton Stock",
		bm_wp_wpn_fps_ass_galil_s_plastic_folded = "Folded Galil ARM Stock w/Cheek Pad",
		bm_wp_wpn_fps_ass_galil_s_skeletal_folded = "Folded Galil MAR Stock",
		bm_wp_wpn_fps_ass_galil_s_sniper_folded = "Folded Galatz Wooden Stock",
		bm_wp_wpn_fps_ass_galil_s_wood_folded = "Folded Galil ARM Wooden C.P. Stock",
		bm_wp_wpn_fps_ass_fal_s_folded = "Folded OSW Stock",
		bm_wp_wpn_fps_ass_tecci_s_extended = "Extended Stock",
		bm_wp_wpn_fps_ass_tecci_s_nostock = "No Stock",
		bm_wp_wpn_fps_snp_winchester_s_sawed = "Sawn-Off Stock",
		bm_wp_wpn_fps_snp_r93_body_sawed = "Sawn-Off Stock",
		bm_wp_wpn_fps_snp_msr_body_sawed = "Sawn-Off Stock",
		bm_wp_wpn_fps_snp_model70_s_sawed = "Sawn-Off Stock",
		bm_wp_wpn_fps_lmg_hk21_s_nostock = "No Stock",
		bm_wp_wpn_fps_ass_g3_s_nostock = "No Stock",
		bm_wp_wpn_fps_smg_mp5_s_nostock = "No Stock",
		bm_wp_wpn_fps_smg_mp5_s_adjusted = "Retracted Stock",
		--Project UAE
		bm_wp_wpn_fps_ass_akm_s_bling = "Gold Plated Underfolding Stock",
		bm_wp_wpn_fps_pis_s_wire = "Overfolding Skorpion Stock",
		bm_wp_wpn_fps_smg_s_wire = "Overfolding Skorpion Stock",
		bm_wp_wpn_fps_x_s_wire = "Overfolding Skorpion Stock",
		bm_wp_wpn_fps_ass_s_tantal = "Overfolding Skorpion Stock",
		bm_wp_wpn_fps_smg_s_rus = "Sidefolding AS \"Val\" Stock",
		bm_wp_wpn_fps_upg_s_coal = "Sidefolding Bizon Stock",
		bm_wp_wpn_fps_upg_s_mac11 = "Overfolding M11/9 Stock",
		
		--[Optics, Irons & Magnified Scopes]
		--Coyote
		bm_wp_wpn_fps_upg_o_coyote = "Yagnob HD-106 Red Dot", --Sources too unreliable to find a decent match; it appears to be a Chinese copy of either this or an Aimpoint JH-406; the latter is debatable if they even made such a model
		--CompM2
		bm_wp_wpn_fps_upg_o_compm2 = "Aimpoint CompM2 Red Dot",
		--CompM4
		bm_wp_wpn_fps_upg_o_compm4 = "Aimpoint CompM4 Red Dot",
		--CompM4s
		bm_wp_wpn_fps_upg_o_compm4s = "Aimpoint CompM4s Red Dot",
		--Corp Combat Holo
		bm_wp_wpn_fps_upg_o_corp = "EOTech EXPS2 Holographic Sight",
		--Horzine Tech
		bm_wp_wpn_fps_upg_o_horzine = "Horzine Medical Tech Series HUD Sight",
		--EOTech 552
		bm_wp_wpn_fps_upg_o_eotech552 = "EOTech 552 Holographic Sight",
		--HYBRD
		bm_wp_wpn_fps_upg_fl_ass_spotter = "HYBRD Target Finder & Flashlight Module",
		--Kemper XL
		bm_wp_wpn_fps_upg_o_kemper = "Firefield Kemper XL Reflex Sight",
		--Kobra EKP-8-18
		bm_wp_wpn_fps_upg_o_kobra = "Axion \"Kobra\" EKP-8-18 Red Dot",
		--45° DeltaPoint
		bm_wp_wpn_fps_upg_o_delta_rm55 = "Leupold DPP Red Dot w/RM55 Canted Rail",
		--Leupold DeltaPoint
		bm_wp_wpn_fps_upg_o_deltapoint = "Leupold DeltaPoint Red Dot",
		--Leupold DeltaPoint Pro
		bm_wp_wpn_fps_upg_o_deltapoint_pro = "Leupold DeltaPoint Pro Red Dot",
		--Leupold HAMR/DP Hybrid
		bm_wp_wpn_fps_upg_o_mark4_hamr = "Leupold Mark 4 HAMR w/DeltaPoint",
		--Viper RDS
		bm_wp_wpn_fps_upg_o_viper = "Vortex \"Viper\" Red Dot",
		--M145
		bm_wp_wpn_fps_upg_o_m145 = "ELCAN M145 3.4× Rifle Scope",
		--MGL Proprietary Sight
		bm_wp_wpn_fps_gre_m32_o_leaf = "TsKIB SOO RG-6 Ladder Sight",
		bm_wp_wpn_fps_gre_m32_o_slant = "Armson OEG Reflex Sight",
		--SpecterDR w/Docter
		bm_wp_wpn_fps_upg_o_su230_docter = "ELCAN SpecterDR w/Docter Sight",
		--SpecterDR w/MDRS
		bm_wp_wpn_fps_upg_o_su230_mdrs = "ELCAN SU-230 w/EOTech MDRS",
		--Valday 1P87
		bm_wp_wpn_fps_upg_o_valday1p87 = "Jupiter Optics PK-120 Holographic Sight",
		--OKP-7
		bm_wp_wpn_fps_upg_o_okp7 = "OKP-7 Reflex Sight", -- no idea on the manufacturer's name
		--PK-01 VI
		bm_wp_wpn_fps_upg_o_pk01_vi = "BelOMO PK-01 VI Collimator Sight",
		--PK-06
		bm_wp_wpn_fps_upg_o_pk = "BelOMO PK-06 Reflex Sight",
		--PK-A
		bm_wp_wpn_fps_upg_o_pka = "BelOMO PK-A Collimator Sight",
		--PK-AS
		bm_wp_wpn_fps_upg_o_pkas = "BelOMO PK-AS Collimator Sight",
		--Prisma
		bm_wp_wpn_fps_upg_o_prismatic = "SIGTac CP1 Prismatic 3× Rifle Scope",
		--Mojji Zero
		bm_wp_wpn_fps_upg_o_mojji = "Mojji ZERO Red Dot",
		--ROMEO3
		bm_wp_wpn_fps_upg_o_romeo3 = "SIG-Sauer ROMEO3 Reflex Sight",
		--JGBG
		bm_wp_wpn_fps_upg_o_jgbg_m7 = "JGBG M7 4×30 Rifle Scope w/Laser Sight",
		--Giperon
		bm_wp_wpn_fps_upg_o_1p69 = "Giperon 1P69 3-10×42 Rifle Scope",
		--A2 Irons
		bm_wp_wpn_fps_ar15_o_a2 = "A2 Iron Sights",
		--ACOG with Carry Handle
		bm_wp_wpn_fps_upg_o_acogcarry = "Trijicon ACOG Scope w/Carry Handle",
		--Surgeon with Carry Handle
		bm_wp_wpn_fps_upg_o_surgeoncarry = "IronDot + Docter Sight II w/Carry Handle",
		--VISM
		bm_wp_wpn_fps_upg_o_vism = "NcSTAR VISM Urban Dot Sight",
		--AOG
		bm_wp_wpn_fps_upg_o_aog = "BB Optics AOG Scope",
		--Colt Optic
		bm_wp_wpn_fps_upg_o_coltcarry = "Barska 4×20 Carry Handle Scope",
		--AUG Scope
		bm_wp_wpn_fps_ass_aug_o_scope = "Swarovski 1.5× Telescopic Scope",
		--AUG Scope (MoH: Warfighter)
		bm_wp_wpn_fps_aug_o_scope_a1 = "Swarovski 1.5× Telescopic Scope",
		--CS:GO Scope
		bm_wp_wpn_fps_upg_o_csgoscope = "Schmidt & Bender PMII Rifle Scope",
		--Delta
		bm_wp_wpn_fps_upg_o_deltatitanium = "Delta Titanium 3-24×56 Rifle Scope",
		--Scope (SSR)
		bm_wp_wpn_fps_ass_scar_scope_ssr = "Trijicon 3-15×50 TARS Rifle Scope",
		--ELO
		bm_wp_wpn_fps_upg_o_elo = "Emitted Light Optic Sight",
		--F2000 Sight
		bm_wp_wpn_fps_ass_komodo_o_tele = "F2000 1.6× Scope",
		--Front Sights
		bm_wp_wpn_fps_m4_flipup = "Midwest Industries Flip-up Front Sight",
		bm_wp_wpn_fps_scar_flipup = "FN Half-Circle Front Sight",
		--M4A1 Carry Handle Sight (GitS: First Assault)
		bm_wp_wpn_fps_upg_o_gitsch = "American Empire Carry Handle Red Dot",
		--MARS
		bm_wp_wpn_fps_ass_komodo_o_mars = "ITL Optronics MARS Reflex Sight",
		--MRO
		bm_wp_wpn_fps_upg_o_mro = "Trijicon MRO Reflex Sight",
		--Holosun HS401G5
		bm_wp_wpn_fps_upg_o_holosun = "Holosun HS401G5 Reflex Sight",
		--Holosun 510
		bm_wp_wpn_fps_upg_o_he510c = "Holosun HE510C-GR Reflex Sight",
		--Heartman
		bm_wp_wpn_fps_upg_o_hartman = "Hartman MH1 Reflex Sight",
		--HCOG
		bm_wp_wpn_fps_upg_o_hcog = "Lawai HCOG Sight",
		--HD-33
		bm_wp_wpn_fps_upg_o_hd33 = "TRUGLO Tru-Brite Red Dot",
		--Holosight
		bm_wp_wpn_fps_upg_o_reflexholo = "Wonyeon Defense Holosight",
		--T-1 with Sunshade
		bm_wp_wpn_fps_upg_o_sunt1 = "Aimpoint Micro T-1 w/Sunshade",
		--H-1
		bm_wp_wpn_fps_upg_o_h2 = "Aimpoint Micro H-2 Reflex Sight",
		bm_wp_wpn_fps_upg_o_h2hi = "Aimpoint Micro H-2 w/High Spacer",
		--KP (SR-2M)
		bm_wp_wpn_fps_upg_o_kpsr2 = "KP SR-2 Reflex Sight",
		--Krechet
		bm_wp_wpn_fps_upg_o_shittyholo = "Valday Krechet Holographic Sight",
		--M84 (M1 Garand Various Attachment)
		bm_wp_wpn_fps_ass_ching_o_m84 = "M84 Sniper Scope",
		--WWII Reflector Sights
		bm_wp_wpn_fps_upg_o_nydar = "Swain Nelson Co. Nydar Model 47 Gunsight",
		bm_wp_wpn_fps_upg_o_mk3 = "Barr & Stroud Mk IIIA Gunsight",
		--MOR
		bm_wp_wpn_fps_upg_o_mepro = "Meprolight MOR Reflex Sight",
		--MW 2019 Operator Sight
		bm_wp_wpn_fps_upg_o_operator_rds = "Holosun HS510C Red Dot w/Riser",
		bm_wp_wpn_fps_upg_o_operator_rds_noriser = "Holosun HS510C Red Dot",
		--Holographic Sight (CoD4/Remastered)
		bm_wp_wpn_fps_upg_o_mwr_holo = "EOTech Style Holographic Sight", -- not actually based on any particular eotech model due to legal concerns
		--Reflex Sight (CoD4/Remastered)
		bm_wp_wpn_fps_upg_o_mwreflex = "Tasco ProPoint Red Dot",
		--Red Dot (CoD4/Remastered)
		bm_wp_wpn_fps_upg_o_cod4_re_red_dot_sp = "Tasco ProPoint Red Dot",
		bm_wp_wpn_fps_upg_o_cod4_re_red_dot_sp_riser = "Tasco ProPoint Red Dot w/Riser",
		--Red Dot (MW2)
		bm_wp_wpn_fps_upg_o_mw2dot = "Burris FastFire II Red Dot",
		--AUG Scope (MW2)
		bm_wp_wpn_fps_upg_o_mw2augs = "Swarovski 1.5× Telescopic Scope",
		--Ring 1080
		bm_wp_wpn_fps_upg_o_p90_ring = "Strike Industries MC-10-80 Ring Sight",
		--Barska
		bm_wp_wpn_fps_upg_o_barska = "Barska Electro Red Dot",
		--Redring
		bm_wp_wpn_fps_upg_o_redring = "Redring MK.II Red Dot",
		--Rusak
		bm_wp_wpn_fps_upg_o_rusak = "Kazan Optics \"Rusak\" Red Dot",
		--SN3 T-Pal
		bm_wp_wpn_fps_upg_o_sn3 = "U.S. Optics SN3 T-Pal Rifle Scope",
		--SRS-02
		bm_wp_wpn_fps_upg_o_srs = "Trijicon SRS-02 Reflex Sight",
		--SRS-02 again
		bm_wp_wpn_fps_upg_o_srs2 = "Trijicon SRS-02 Reflex Sight",
		--ST-10
		bm_wp_wpn_fps_upg_o_st10 = "U.S. Optics ST-10 Rifle Scope",
		bm_wp_wpn_fps_upg_o_st10_sniper = "U.S. Optics ST-10 Rifle Scope",
		--VS1.5-5×30QZ
		bm_wp_wpn_fps_upg_o_visionking = "VisionKing VS1.5-5×30QZ Rifle Scope",
		--PSG-1 Scopes
		bm_wp_wpn_fps_upg_o_g3sg1 = "Hensoldt ZF 6×42 Rifle Scope",
		bm_wp_wpn_fps_upg_o_g3a1 = "Zeiss Diavari-DA 1.5-6×36 Rifle Scope",
		--AN/PAS-13D Scope
		bm_wp_wpn_fps_upg_o_anpas13d = "Raytheon AN/PAS-13D(V)1 N.V. Scope",
		--PN-23
		bm_wp_wpn_fps_upg_o_pn23 = "NPZ Optics PN-23 NIght Scope",
		--Z-Point
		bm_wp_wpn_fps_upg_o_zeiss = "Zeiss Victory Z-Point Reflex Sight",
		--Tracker Sight (CoD: Ghosts)
		bm_wp_wpn_fps_upg_o_tracker = "CNPCX Digital Optics Target Tracker",
		--XM25 Scope
		bm_wp_wpn_fps_gre_arbiter_o_smart = "XM104 TA/FCS Rangefinder Scope",
		--Homeboy Nyte-Sytes
		bm_wp_wpn_fps_upg_o_birdman = "Birdman Systems \"HoMeBoY\" Night Sights",
		--Sights (Vanilla Mod Pack)
		bm_wp_wpn_fps_shot_m37_o_expert = "Benelli M4 Rear Sight",
		bm_wp_wpn_fps_ass_s552_o_custom = "Centurion Arms Diopter Rear Sight",
		bm_wp_wpn_fps_snp_r700_o_is = "XS Sights DTW Standard Dot Sights",
		--Galatz Scope (Galil Various Attachment)
		bm_wp_wpn_fps_ass_galil_o_galatz = "Nimrod 10×40 Rifle Scope",
		--Iron Sights Pack
		bm_wp_wpn_fps_upg_o_var_kac_rear = "Knight's Armament Co. Flip-up Sights",
		bm_wp_wpn_fps_upg_o_var_mbuspro_rear = "Magpul MBUS Pro Back-up Sights",
		bm_wp_wpn_fps_upg_o_var_troy_rear = "Troy Industries HK Flip-up Battle Sights",
		bm_wp_wpn_fps_upg_o_var_troym4_rear = "Troy Industries M4 Flip-up Battle Sights",
		--Mossberg Irons (R870)
		bm_wp_wpn_fps_shot_mossberg_o_heat = "Mossberg Factory Shielded Rear Sight",
		--Pistol Irons
		bm_wp_wpn_fps_upg_o_pis_drsnek = "Dead Ringer \"Snake Eyes\" Night Sights",
		bm_wp_wpn_fps_upg_o_pis_fma17 = "FMA 17 Series Laser Mount Sight",
		--A2 Carry Handle Irons
		bm_wp_m16_o_handle_sight_mod = "A2 Iron Sights",
		--Sights (GITS:SACFAO Attachment Pack)
		--bm_wp_wpn_fps_upg_o_gits_trusight = "",
		bm_wp_wpn_fps_upg_o_gits_futeot = "EOTech 552 Holographic Sight",
		--bm_wp_wpn_fps_upg_o_gits_smoleot = "",
		bm_wp_wpn_fps_upg_o_gits_seburors = "TRUGLO Red Dot",
		--bm_wp_wpn_fps_upg_o_gits_qs2 = "",
		bm_wp_wpn_fps_upg_o_gits_zism = "Insight Technology ISM-V Red Dot",
		--AK Irons (AK Extra Attachments Pack)
		bm_wp_wpn_fps_ass_heffy_all_ro_blops = "Hybrid AK Rear Sight",
		bm_wp_wpn_fps_ass_heffy_all_ro_ins = "Painted Dot Rear Sight",
		bm_wp_wpn_fps_ass_heffy_545_ro_bop = "Tech Sights Rear Aperture Sight",
		bm_wp_wpn_fps_ass_heffy_all_gl_gp25_sight_up = "GP-25 Quadrant Sight",
		bm_wp_wpn_fps_ass_heffy_all_sm_cover = "AKademia AK \"Snake\" Dust Cover Rail",
		--Irons (Operator Attachment Pack)
		bm_wp_wpn_fps_upg_o_amine = "M4 SOPMOD II \"Heart\" Rear Sight",
		bm_wp_wpn_fps_upg_o_amine_desc = "Express your love for the psychotic raifu with this cute little paper cutout we found lying on the Commander's desk.",
		bm_wp_wpn_fps_upg_o_amine2_desc = "S O P P O  I S  T O P P O",
		bm_wp_wpn_fps_upg_o_romeo = "SIG-Sauer ROMEO3 Reflex Sight",
		--Flip-up Irons (AUG)
		bm_wp_wpn_fps_ass_aug_o_hbar = "HBAR Flip-up Iron Sights",
		--Russkie Sights
		bm_wp_wpn_fps_upg_o_1p29 = "NPZ Optics 1P29 5.45×39 Rifle Scope",
		bm_wp_wpn_fps_upg_o_1pn93 = "NPZ Optics 1PN93-4 Night Vision Scope",
		bm_wp_wpn_fps_upg_o_ekp_1s_03 = "Axion \"Kobra\" EKP-1S-03 Red Dot",
		bm_wp_wpn_fps_upg_o_okp7_dove = "OKP-7 Reflex Sight",
		bm_wp_wpn_fps_upg_o_pso1 = "NPZ Optics PSO-1 Rifle Scope",
		--Flip-up Irons (AR Extra Attachments Pack)
		bm_wp_wpn_fps_ass_stoy_556_fo_commando = "Troy Industries M4 Front Flip-up Sight",
		bm_wp_wpn_fps_ass_stoy_556_ro_commando = "Troy Industries M4 Rear Flip-up Sight",
		--Leupold Carbine Optic
		bm_wp_wpn_fps_upg_o_lco = "Leupold LCO Red Dot",
		--Torrey Pines Thermal Reflex Sight
		bm_wp_wpn_fps_upg_o_pine = "Torrey Pines Logic T12-W Thermal Sight",
		--EOTech Vudu
		bm_wp_wpn_fps_upg_o_vudu = "EOTech Vudu 1-6×24 Rifle Scope",
		
		--[Handguards & Rail Extensions]
		--Heat Shield (M16 & M4)
		bm_wp_wpn_fps_m4_fg_heat = "Heat Shield Handguard",
		bm_wp_wpn_fps_m16_fg_heat = "Heat Shield Handguard",
		--Keymod Handguard
		bm_wp_wpn_fps_upg_fg_key = "Carbine Keymod Handguard",
		bm_wp_wpn_fps_upg_fg_key_long = "Keymod Handguard",
		--KAC M5 RAS
		bm_wp_wpn_fps_m16_fg_govt = "Knight's Armament Co. M5 RAS Handguard",
		--Vintage Foregrip (CAR-15 Attachment Pack)
		bm_wp_wpn_fps_upg_fg_commando = "A2 Carbine Handguard",
		--CQR Handguard (Hera Arms Pack)
		bm_wp_wpn_fps_upg_fg_hera = "Hera Arms IRS 9\" Quad Rail",
		bm_wp_wpn_fps_upg_fg_hera_long = "Hera Arms IRS 12\" Quad Rail",
		--Heat-Resistant Handguard (AK17 Various Attachment)
		bm_wp_wpn_fps_ass_flint_fg_rpk = "RPK-16 Handguard",
		--M16 LSW Handguard
		bm_wp_wpn_fps_ass_m16_fg_lsw = "Model 950 Handguard",
		--ST M-LOK Handguard
		bm_wp_wpn_fps_upg_fg_washboard = "Spike's Tactical M-LOK Quad Rail",
		--Fragment (GITS:SACFAO Attachment Pack)
		bm_wp_wpn_fps_upg_fg_gitsm4 = "American Empire M4 Square Handguard", -- fictional?
		--Handguards (Contractor .308 Various Attachment)
		bm_wp_wpn_fps_snp_tti_fg_rail = "KAC MK.11 Handguard w/Elevated Top Rail",
		--bm_wp_wpn_fps_snp_tti_fg_composite = "", -- no idea
		--HK21 Foregrip (G3)
		bm_wp_wpn_fps_g3_fg_hk21 = "HK21 Kit",
		--Carbine & Low Profile (G3 Various Attachment)
		bm_wp_wpn_fps_ass_g3_fg_carbine = "HK33 Handguard",
		bm_wp_wpn_fps_lmg_hk21_fg_mp5 = "HK51-B Handguard",
		--Favela Foregrip (FAL Various Attachment)
		bm_wp_wpn_fps_ass_fal_fg_stg58 = "Steyr Sturmgewehr 58 Handguard",
		--Handguards (AK Various Attachment)
		bm_wp_wpn_fps_ass_ak_fg_valme = "Rk.62 Handguard",
		bm_wp_wpn_fps_smg_akmsu_fg_mar = "Galil MAR Handguard",
		--Mesozoic (M4)
		bm_wp_wpn_fps_upg_ass_m4_fg_raptor = "Fortis REV Quad Rail w/Front Cutout",
		--Wooden Foregrip (M16)
		bm_wp_wpn_fps_ass_m16_fg_wood = "Wooden M16A1 Handguard",
		--Foregrips (Operator Attachment Pack)
		bm_wp_wpn_fps_upg_fg_split = "Daniel Defense M4V1 Quad Rail",
		bm_wp_wpn_fps_upg_fg_ropup = "Daniel Defense M4 RIS II Quad Rail",
		bm_wp_wpn_fps_upg_ak_fg_b10 = "ZenitCo B-10M Handguard",
		--Full Foregrip (Jager's HK416)
		bm_wp_wpn_fps_ass_hk416_fg_big = "HK417 Kit",
		--Heatbreaker (M240)
		bm_wp_wpn_fps_lmg_par_fg_heat = "Heat Shield Handguard",
		bm_wp_wpn_fps_lmg_par_fg_zero = "Free Floating Tube Handguard",
		--Flush Foregrip (L85 Various Attachment)
		bm_wp_wpn_fps_ass_l85a2_fg_flush = "No Vertical Grip",
		--blargh (Vanilla Mod Pack)
		bm_wp_wpn_fps_smg_shepheard_body_long = "MPX-C Kit",
		bm_wp_wpn_fps_shot_shorty_fg_rail = "ERGO R870 Short Tri-Rail Forend",
		bm_wp_wpn_fps_ass_amcar_fg_cylinder = "K23B Style Handguard",
		bm_wp_wpn_fps_ass_ak_fg_waffle = "AK-74M Handguard",
		bm_wp_wpn_fps_smg_thompson_fg_custom = "M1A1 Handguard w/BAR Handle Grip",
		bm_wp_wpn_fps_shot_m37_fg_long = "Winchester Model 1912 Field Gun Pump",
		bm_wp_wpn_fps_shot_m37_fg_tactical = "SPAS-12 Style Pump",
		bm_wp_wpn_fps_ass_m16_fg_smooth = "LR-300 Style Handguard",
		bm_wp_wpn_fps_shot_r870_fg_swat = "SureFire 618LM WeaponLight Forend",
		bm_wp_wpn_fps_sho_boot_fg_rail = "Quad Rail Handguard",
		bm_wp_wpn_fps_ass_s552_fg_tac = "Tan Handguard",
		bm_wp_wpn_fps_snp_tti_fg_mpx = "MPX Handguard",
		bm_wp_wpn_fps_ass_amcar_fg_covers_base = "KAC Free Float Carbine Handguard",
		bm_wp_wpn_fps_lmg_par_rail = "Quad Rail Extension",
		bm_wp_wpn_fps_smg_mp5_fg_long = "HK94 Kit",
		--Grips (1911)
		bm_wp_wpn_fps_pis_m1911_fg_tommy = "Lebman Machine Pistol Vertical Grip",
		bm_wp_wpn_fps_pis_m1911_fg_custom = "Thompson-Style Carbine Vertical Grip",
		--Pumps (R870 Attachment Pack)
		bm_wp_wpn_fps_shot_870_fg_vertical = "Serbu Super Shorty Vertical Grip",
		bm_wp_wpn_fps_shot_mossberg_fg_pump = "Mossberg Model 590 Pump",
		bm_wp_wpn_fps_shot_r870_fg_hdtf = "Olive Drab Pump",
		bm_wp_wpn_fps_shot_870_fg_surefire = "SureFire 618LM WeaponLight Forend",
		bm_wp_wpn_fps_shot_870_fg_rail = "ERGO Mossberg Tri-Rail Forend",
		bm_wp_wpn_fps_shot_mossberg_fg_short = "Large Pump w/Strap",
		--Rabbit Pump & Bagram Foregrip (Operator Attachment Pack)
		bm_wp_wpn_fps_upg_fg_deadline = "R870 Magnum \"Breacher\" Pump",
		bm_wp_wpn_fps_upg_fg_patrick = "QC-9 Quad Rail",
		--AK Handguards (AK Extra Attachments Pack)
		bm_wp_wpn_fps_ass_heffy_all_lfg_moe = "Magpul MOE AK Lower Handguard",
		bm_wp_wpn_fps_ass_heffy_all_ufg_moe = "Magpul MOE AK Upper Handguard",
		bm_wp_wpn_fps_ass_heffy_all_lfg_krebs = "Krebs Custom UFM Lower Keymod Rail",
		bm_wp_wpn_fps_ass_heffy_all_ufg_krebs = "Krebs Custom UFM Upper Keymod Rail",
		bm_wp_wpn_fps_ass_heffy_all_ufg_heat = "Khyber Customs Heat Shield",
		bm_wp_wpn_fps_ass_heffy_all_ufg_ulti = "UltiMAK M1-B Gas Tube Optic Mount",
		bm_wp_wpn_fps_ass_heffy_all_ufg_honor = "SureFire M83 Upper Railed Handguard",
		bm_wp_wpn_fps_ass_heffy_all_lfg_honor = "SureFire M83 Lower Railed Handguard",
		bm_wp_wpn_fps_ass_heffy_all_ufg_zenit = "ZenitCo B-10 Upper Handguard",
		bm_wp_wpn_fps_ass_heffy_all_lfg_zenit = "ZenitCo B-10 Lower Handguard",
		bm_wp_wpn_fps_ass_heffy_all_lfg_warrior = "Chaos Titan Quad Rail & Dust Cover",
		bm_wp_wpn_fps_ass_heffy_545_ufg_bop = "Wooden RPK-74M Upper Handguard",
		bm_wp_wpn_fps_ass_heffy_545_lfg_bop = "Wooden RPK-74M Lower Handguard",
		--AK Extras 2
		bm_wp_wpn_fps_ass_ak_all_lhg_zhukov = "Magpul ZHUKOV-U Lower Handguard",
		bm_wp_wpn_fps_ass_ak_all_uhg_zhukov = "Magpul ZHUKOV-U Upper Handguard",
		bm_wp_wpn_fps_ass_ak_all_lhg_moe = "Magpul MOE AKM Lower Handguard",
		bm_wp_wpn_fps_ass_ak_all_uhg_moe = "Magpul MOE AKM Upper Handguard",
		bm_wp_wpn_fps_ass_ak_all_lhg_caa = "Command Arms RS47-SET Lower H.",
		bm_wp_wpn_fps_ass_ak_all_uhg_caa = "Command Arms RS47-SET Upper H.",
		bm_wp_wpn_fps_ass_ak_all_lhg_vent = "Troy Industries \"BattleRail\" Lower H.",
		bm_wp_wpn_fps_ass_ak_all_uhg_swiss = "Khyber Customs \"Swiss\" Grater Upper H.",
		bm_wp_wpn_fps_ass_ak_all_hg_heat = "5.45 Design Red Heat \"Aggressor\" Rail",
		bm_wp_wpn_fps_ass_ak_all_hge_trax = "Strike Industries TRAX 2 Extension",
		--Handguard (MP5 Swordfish Parts)
		bm_wp_wpn_fps_upg_fg_fishy = "\"Swordfish\" Handguard",
		--Pump & Handguards (Magpul Attachment Pack)
		bm_wp_wpn_fps_upg_fg_ak_moe = "Magpul MOE AK Handguard",
		bm_wp_wpn_fps_upg_fg_moe2 = "Magpul MOE M-LOK Handguard",
		bm_wp_wpn_fps_upg_fg_moe2_short = "Magpul M-LOK Carbine Handguard",
		bm_wp_wpn_fps_upg_fg_r870_emo = "Magpul MOE M-LOK R870 Forend",
		--Strap & Handguards (AR Extra Attachments Pack)
		bm_wp_wpn_fps_ass_stoy_556_str_commando = "Cloth Sling",
		bm_wp_wpn_fps_ass_stoy_556_hg_mk18 = "Daniel Defense MK18 RIS II Quad Rail",
		bm_wp_wpn_fps_ass_stoy_556_hg_t65 = "C.L. Command Type 65 Handguard",
		bm_wp_wpn_fps_ass_stoy_556_hg_t86 = "C.L. Command Type 86 Handguard",
		bm_wp_wpn_fps_ass_stoy_556_hg_ddm4 = "Daniel Defense M4 Quad Rail",
		--Tacticool Handguards
		bm_wp_wpn_fps_upg_fg_lvoac = "War Sport LVOA-C Handguard",
		bm_wp_wpn_fps_upg_fg_gis9 = "Geissele SMR MK16 9.5\" Handguard",
		bm_wp_wpn_fps_upg_fg_gis13 = "Geissele SMR MK16 13.5\" Handguard",
		bm_wp_wpn_fps_upg_fg_urx3 = "Knight's Armament Co. URX 3.1 Handguard",
		bm_wp_wpn_fps_upg_fg_urx10 = "Knight's Armament Co. URX 3 Handguard",
		bm_wp_wpn_fps_upg_fg_lone = "Lone Star Armory \"Ion Lite\" Handguard",
		bm_wp_wpn_fps_upg_fg_lvoas = "War Sport LVOA-S Handguard",
		bm_wp_wpn_fps_upg_fg_sail = "Salient Arms International 14.5\" QD Rail",
		bm_wp_wpn_fps_upg_fg_sais = "Salient Arms International 10\" QD Rail",
		bm_wp_wpn_fps_upg_fg_stm9 = "Soyuz-TM STM 9\" Handguard",
		bm_wp_wpn_fps_upg_fg_stm12 = "Soyuz-TM STM 12\" Handguard",
		bm_wp_wpn_fps_upg_fg_stm15 = "Soyuz-TM STM 15\" Handguard",
		bm_wp_wpn_fps_upg_fg_vypr = "STNGR VYPR Free Float Handguard",
		bm_wp_wpn_fps_upg_fg_strike = "Strike Industries Viper Handguard",
		bm_wp_wpn_fps_upg_fg_moem = "Magpul MOE SL Mid Length Handguard",
		bm_wp_wpn_fps_upg_fg_moec = "Magpul MOE SL Carbine Length Handguard",
		bm_wp_wpn_fps_upg_fg_rsass = "Remington R11 RSASS Handguard",
		bm_wp_wpn_fps_upg_fg_wing = "Unique-ARs \"Wing & Skull\" Handguard",
		bm_wp_wpn_fps_upg_fg_mk10 = "Alexander Arms MK10 Handguard",
		bm_wp_wpn_fps_upg_fg_adar = "ADAR 2-15 Wooden Handguard",
		bm_wp_wpn_fps_upg_fg_aero = "Aeroknox AX-15 10.5\" Handguard",
		bm_wp_wpn_fps_upg_fg_ris12 = "Daniel Defense RIS II 12.25\" Quad-Rail",
		bm_wp_wpn_fps_upg_fg_ris9blk = "Daniel Defense RIS II 9.5\" Quad-Rail",
		bm_wp_wpn_fps_upg_fg_lwrc7 = "LWRC MKII-B Arm-R 7\" Handguard",
		bm_wp_wpn_fps_upg_fg_lwrc9 = "LWRC MKII-B Arm-R 9\" Handguard",
		bm_wp_wpn_fps_upg_fg_dm7 = "Daniel Defense MFR 15\" Handguard",
		bm_wp_wpn_fps_ak_upg_fg_b30 = "ZenitCo B-30 Handguard w/B-31S Rail",
		bm_wp_wpn_fps_ak_upg_fg_aggr = "5.45 Design \"Aggressor\" Handguard",
		bm_wp_wpn_fps_ak_upg_fg_caa = "Command Arms RS47 Handguard",
		bm_wp_wpn_fps_ak_upg_fg_ak100 = "AK-100 Series Polymer Handguard",
		bm_wp_wpn_fps_ak_upg_fg_cmdr = "VLTOR CMRD Handguard",
		bm_wp_wpn_fps_ak_upg_fg_krebsl = "Krebs Custom UFM Keymod Handguard",
		--Project UAE
		bm_wp_wpn_fps_ass_akm_fg_bling = "Diamond Encrusted Handguard",
		bm_wp_wpn_fps_sho_ben_fg_cov = "AS \"Val\" Handguard",
		bm_wp_wpn_fps_upg_fg_rus = "AS \"Val\" Handguard",
		bm_wp_wpn_fps_ass_s552_fg_rubber = "Saiga-12 Handguard",
		bm_wp_wpn_fps_ass_galil_fg_rubber = "Saiga-12 Handguard",
		bm_wp_wpn_fps_ass_fal_fg_rubber = "Saiga-12 Handguard",
		bm_wp_wpn_fps_ass_amcar_fg_rubber = "Saiga-12 Handguard",
		bm_wp_wpn_fps_ass_fg_rubber = "Saiga-12 Handguard",
		bm_wp_wpn_fps_sho_fg_rubber = "Saiga-12 Handguard",
		bm_wp_wpn_fps_smg_x_uzi_fg_krink = "AKMSU Handguard",
		bm_wp_wpn_fps_upg_fg_coal = "Bizon Handguard",
		bm_wp_wpn_fps_sho_saiga_fg_vityaz = "Vityaz Handguard",
		bm_wp_wpn_fps_upg_fg_flint = "AK-12 Handguard",
		bm_wp_wpn_fps_ass_asval_fg_slim = "Cylinder Handguard",
		
		--[Dust Covers]
		--AK Extras 2
		bm_wp_wpn_fps_ass_ak_all_dc_awoo = "Texas Weapons Sys. \"Dog Leg\" Dust Cover",
		
		--[Gas Tubes]
		--AK Extras 2
		bm_wp_wpn_fps_ass_ak_all_gt_troy = "Troy Industries \"BattleRail\" Gas Tube",
		
		--[Vertical Grips/Magazine Wells]
		--Tac-Sac
		bm_wp_wpn_fps_upg_vg_sac = "TAC-SAC Vertical Grip",
		--Potato
		bm_wp_wpn_fps_ass_contraband_vg_fab_miki = "FAB Defense MIKI Potato Grip",
		--Strap Grip (MAC-10 Various Attachment)
		bm_wp_wpn_fps_smg_mac10_vg_strap = "Fabric Strap",
		--MP7 Folding Grip (Jager's HK416)
		bm_wp_wpn_fps_ass_hk416_vg_fold = "Heckler & Koch Folding Vertical Grip",
		--Standalone Vanilla Grips (Extra Attachments Compilation)
		bm_wp_wpn_fps_upg_vg_grippod = "GripPod Vertical Grip",
		--Vertical Grip Attachment Pack
		bm_wp_wpn_fps_lmg_rpk_fg_akm = "Standard Handguard",
		bm_wp_wpn_upg_ak_fg_rpk_wood = "ROMARM AIM Vertical Grip",
		bm_wp_wpn_fps_smg_akmsu_fg_rpk = "ROMARM AIM Vertical Grip",
		bm_wp_wpn_fps_smg_mp5_fg_stripped = "MP5K Kit",
		bm_wp_wpn_fps_smg_uzi_fg_vgless = "Standard Handguard",
		--Grippy Vertical Grip Pack
		bm_wp_wpn_fps_upg_vg_bcm = "Bravo Co. GUNFIGHTER Mod3 Vertical Grip",
		bm_wp_wpn_fps_upg_vg_shift = "Fortis SHIFT Vertical Grip",
		bm_wp_wpn_fps_upg_vg_stark = "Stark SE-5 Express Forward Grip",
		bm_wp_wpn_fps_upg_vg_stub = "Tango Down Stubby Vertical Grip",
		bm_wp_wpn_fps_upg_vg_uvg = "Viking Tactics Ultralight Vertical Grip",
		bm_wp_wpn_fps_upg_vg_rk0 = "ZenitCo RK-0 Vertical Grip",
		bm_wp_wpn_fps_upg_vg_rk1 = "ZenitCo RK-1 Vertical Grip",
		bm_wp_wpn_fps_upg_vg_rk2 = "ZenitCo RK-2 Long Vertical Grip",
		bm_wp_wpn_fps_upg_vg_rk4 = "ZenitCo RK-4 Short Vertical Grip",
		bm_wp_wpn_fps_upg_vg_rk5 = "ZenitCo RK-5 Lightweight Vertical Grip",
		bm_wp_wpn_fps_upg_vg_rk6 = "ZenitCo RK-6 Short Vertical Grip",
		--Stabilizer Back Grip (L85 Various Attachment)
		bm_wp_wpn_fps_ass_l85a2_vg_back = "Rear Vertical Grip",
		--Stabilizer Grip (Beretta Various Attachment)
		bm_wp_wpn_fps_pis_b93r_vertgrip = "93R Folding Vertical Grip",
		--Grips (Vanilla Mod Pack)
		bm_wp_wpn_fps_vg_vmp_pod = "GripPod Vertical Grip",
		bm_wp_wpn_fps_vg_vmp_vert = "Vector Vertical Grip",
		bm_wp_wpn_fps_vg_vmp_cheems = "Tango Down Vertical Grip",
		--CQR Grip (Hera Arms Pack)
		bm_wp_wpn_fps_upg_vg_hera = "Hera Arms CQR Front Grip",
		--Tactical Vertical Grip Pack
		bm_wp_wpn_fps_upg_vg_fab_reg = "FAB Defense Rubberized Ergonomic Grip",
		bm_wp_wpn_fps_upg_vg_gps02 = "GripPod Vertical Grip",
		bm_wp_wpn_fps_upg_vg_gps02bipod = "GripPod Vertical Grip w/Deployed Bipod",
		bm_wp_wpn_fps_upg_vg_tangodown = "Tango Down Vertical Grip",
		bm_wp_wpn_fps_upg_vg_troy_modular = "Troy Industries Modular Combat Grip",
		bm_wp_wpn_fps_upg_vg_troy_modularshort = "Troy Ind. Short Modular Combat Grip",
		bm_wp_wpn_fps_upg_vg_utg_combat = "Leapers UTG Combat Aluminum Grip",
		--Magwell & Grips (Operator Attachment Pack)
		bm_wp_wpn_fps_upg_shepheard_mwg_tti = "Taran Tactical MPX Magwell",
		bm_wp_wpn_fps_upg_vg_bcmthree = "Bravo Co. GUNFIGHTER Short Vertical Grip",
		bm_wp_wpn_fps_upg_vg_cadex = "CADEX Defense Folding Vertical Grip",
		
		--[Receivers & Pistol Frames]
		--Cretaceous (AR-15 Family)
		bm_wp_wpn_fps_m4_lower_raptor = "M4 Raptor Receiver",
		--Bootleg Lower Receiver (Extra Attachments Compilation)
		bm_wp_wpn_fps_upg_tecci_lower_reciever = "HK416 Lower Receiver",
		--FELINE Body (FAMAS)
		bm_wp_wpn_fps_ass_famas_body_feline = "Valorisé Kit",
		--SSR Kit (SCAR-H/MK.17)
		bm_wp_wpn_fps_ass_scar_body_ssr = "MK.20 Mod 0 Kit",
		--Upper (Classic Kit)
		bm_wp_wpn_fps_upg_namupper = "A2 Upper Receiver",
		--AUG Bodies (MoH: Warfighter)
		bm_wp_wpn_fps_aug_body_aug_a1 = "AUG A1 Kit",
		bm_wp_wpn_fps_aug_body_aug_a3 = "AUG A3 Kit",
		bm_wp_wpn_fps_aug_body_aug_a3vg = "AUG A3 Kit w/Vertical Grip Rail",
		--Future Body (VHS Attachment Pack)
		bm_wp_wpn_fps_ass_vhs_body_future = "VHS-CT Kit",
		--Double My Order (SCAR Various Attachment)
		bm_wp_wpn_fps_lmg_m134_body_heavy = "Heavy Frame",
		bm_wp_wpn_fps_lmg_m134_body_heavy_desc = "Reduces movement speed by 15%.",
		--Cutlass Frame (Beretta Various Attachment)
		bm_wp_wpn_fps_pis_beretta_body_sword = "Sword Cutlass Kit",
		--Receivers (MK.18 Mod 0 Extra)
		bm_wp_wpn_fps_smg_m4cqb_lr_mk18_shared = "CQB-R Lower Receiver",
		bm_wp_wpn_fps_smg_m4cqb_ur_m4_shared = "M4 Flat Top Upper Receiver",
		--Receivers, Frames & Exclusive Kits (Vanilla Mod Pack)
		bm_wp_wpn_fps_pis_lemming_body_silver = "Gray Body",
		bm_wp_wpn_fps_sho_saiga_upper_receiver_smooth = "Smooth Dust Cover",
		bm_wp_wpn_fps_ass_74_upper_receiver_bump = "Ribbed Dust Cover",
		bm_wp_wpn_fps_ass_komodo_body_tactical = "M9A3 Desert Tan Receiver",
		bm_wp_wpn_fps_smg_cobray_body_upper_long = "Two-Tone Receiver & Long Barrel",
		bm_wp_wpn_fps_pis_p226_body_silver = "Chrome Frame",
		bm_wp_wpn_fps_pis_hs2000_body_stealth = "Black Frame",
		bm_wp_wpn_fps_ass_vhs_body_camo = "Camouflaged Receiver",
		bm_wp_wpn_fps_pis_beretta_body_tan = "M9A3 Desert Tan Frame",
		bm_wp_wpn_fps_pis_pl14_body_custom = "Tan Frame w/Pachmayr Grips",
		bm_wp_wpn_fps_snp_winchester_body_bling = "\"Yellow Boy\" Receiver",
		bm_wp_wpn_fps_pis_g22c_body_wick_dummy = "Taran Tactical Combat Master Kit",
		--Boogeyman Frame & Contractor Lower (TTI Attachment Pack)
		bm_wp_wpn_fps_upg_g22c_body_tti = "Black Frame",
		bm_wp_wpn_fps_upg_rec_tti = "Taran Tactical Stripped Lower Receiver",
		--LLENN Kit (P90 & Skorpion)
		bm_wp_wpn_fps_smg_p90_f_llenn = "Pink Frame",
		bm_wp_wpn_fps_smg_skorpion_f_llenn = "Pink Receiver",
		--Receivers (AK Extra Attachments Pack)
		bm_wp_wpn_fps_ass_heffy_all_ur_alpha = "ZenitCo B-33 Dust Cover Rail",
		--Tacticool Receivers
		bm_wp_wpn_fps_m4_upper_tx15 = "Lone Star Armory TX-15 Upper Receiver",
		bm_wp_wpn_fps_m4_upper_gen3 = "Noveske Gen 3 Upper Receiver",
		bm_wp_wpn_fps_m4_upper_mur = "VLTOR MUR-1S Upper Receiver",
		bm_wp_wpn_fps_m4_lower_tx15 = "Lone Star Armory TX-15 DML L. Receiver",
		--Project UAE
		bm_wp_wpn_fps_pis_body_slim1 = "XD(M) Frame",
		bm_wp_wpn_fps_pis_body_slim2 = "XD(M) Frame",
		bm_wp_wpn_fps_snp_mosin_body_avtomat = "Lever-Action Receiver",
		--Receivers (Operator Attachment Pack)
		bm_wp_wpn_fps_upg_ak_ur_b33 = "ZenitCo B-33 Dust Cover Rail",
		
		--[Pistol Grips]
		--Wooden Grip (M16)
		bm_wp_wpn_fps_ass_m16_g_wood = "Wooden A1 Pistol Grip",
		--Grips (Vanilla Mod Pack)
		bm_wp_wpn_fps_ass_flint_g_custom = "AKM Style Pistol Grip",
		bm_wp_wpn_fps_pis_chinchilla_g_pearl = "Pearl Grips",
		bm_wp_wpn_fps_pis_2006m_g_pearl = "Spiked Gray Grips",
		bm_wp_wpn_fps_pis_deagle_g_wooden = "Wooden Grips",
		bm_wp_wpn_fps_pis_breech_g_stealth = "Synthetic Grips",
		bm_wp_wpn_fps_pis_peacemaker_g_black = "Synthetic Grips",
		bm_wp_wpn_fps_ass_m4_g_fancy = "Custom AR-15 Style Pistol Grip", -- no idea
		bm_wp_wpn_fps_pis_1911_g_classic = "\"Double Diamond\" Rubber Grips",
		bm_wp_wpn_fps_ass_g36_g_sniper = "Rubber Palm",
		bm_wp_wpn_fps_ass_scar_g_tan = "Tan A2 Pistol Grip",
		bm_wp_wpn_fps_rpg7_body_subtle = "Synthetic Grips",
		bm_wp_wpn_fps_ass_s552_g_sniper = "Tan Pistol Grip w/Hand Rest",
		bm_wp_wpn_upg_ak_g_titanium = "Skeletonized Titanium AK Pistol Grip",
		bm_wp_wpn_fps_pis_beretta_g_tan = "M9A3 Tan Grips",
		bm_wp_wpn_fps_pis_holt_g_wrap = "Wooden Grips w/HandAll Grip Sleeve",
		bm_wp_wpn_fps_m4_g_wrap = "Wrapped A2 Pistol Grip",
		bm_wp_wpn_fps_pis_rage_g_fancy = "Polymer Grips",
		--Ergo Grip (G3 Various Attachment)
		bm_wp_wpn_fps_ass_g3_g_ergo = "HK21 Ergo Grip",
		--Chameleon Grip (AK Various Attachment)
		bm_wp_wpn_fps_ass_ak_g_gecko = "Galil Pistol Grip",
		--AK Grips (AK Extra Attachments Pack)
		bm_wp_wpn_fps_ass_heffy_all_pg_moe = "Magpul MOE AK Pistol Grip",
		bm_wp_wpn_fps_ass_heffy_all_pg_saw = "TAPCO Intrafuse AK-47 SAW Pistol Grip",
		bm_wp_wpn_fps_ass_heffy_all_pg_sco = "ATI AK-47 Scorpion Pistol Grip",
		bm_wp_wpn_fps_ass_heffy_762_pg_akmwood = "AKM Wooden Pistol Grip",
		bm_wp_wpn_fps_ass_heffy_all_pg_laminate = "AKM Battleworn Wood Pistol Grip",
		bm_wp_wpn_fps_ass_heffy_545_pg_ivan = "FAB Defense AK Pistol Grip", -- FAB only makes synthetic grips AFAIK
		--AK Extras 2
		bm_wp_wpn_fps_ass_ak_all_st_zhukov = "Magpul ZHUKOV-S Stock",
		--AR-15 Grip Pack
		bm_wp_wpn_fps_upg_m4_g_dd_rubber = "Daniel Defense Rubber Pistol Grip",
		bm_wp_wpn_fps_upg_m4_g_fab_agr43 = "FAB Defense AGR-43 Ergo Pistol Grip",
		bm_wp_wpn_fps_upg_m4_g_vindicator = "Pachmayr Vindicator Pistol Grip",
		--Magwell Grip (Operator Attachment Pack)
		bm_wp_wpn_fps_upg_wellgrip = "FAB Defense Magazine Well Grip",
		--Daniel Defense Grip
		bm_wp_wpn_fps_upg_g_m4_dd = "Daniel Defense Pistol Grip",
		--Grips (Magpul Attachment Pack)
		bm_wp_wpn_fps_upg_g_ak_moe = "Magpul MOE AK Pistol Grip",
		bm_wp_wpn_fps_upg_g_m4_moe = "Magpul MOE Pistol Grip",
		--Gigahertz (GITS:SACFAO Attachment Pack)
		bm_wp_wpn_fps_upg_g_gitsm4 = "American Empire M4 Pistol Grip",
		--MOE Grip (AR Extra Attachments Pack)
		bm_wp_wpn_fps_ass_stoy_556_pg_mk18 = "Magpul MOE Pistol Grip",
		--Laser Grip (1911)
		bm_wp_wpn_fps_pis_1911_g_laser = "Lumen Defense ILM-11 Laser Grips",
		--Pachmayr Grip (1911)
		bm_wp_wpn_fps_pis_1911_g_pachmayr = "Pachmayr 1911 Grips",
		--Costanza Grip (1911)
		bm_wp_wpn_fps_upg_1911_g_costanza = "George Costanza 1911 Grips",
		--Tacticool Grips
		bm_wp_wpn_fps_upg_m4_g_dlg123 = "DLG Tactical DLG-123 Pistol Grip",
		bm_wp_wpn_fps_upg_m4_g_grals = "Naroh Arms GRAL-S Aluminum Grip",
		bm_wp_wpn_fps_upg_m4_g_hg15 = "Hera Arms HG-15 Pistol Grip",
		bm_wp_wpn_fps_upg_m4_g_miad = "Magpul MIAD Pistol Grip",
		bm_wp_wpn_fps_upg_m4_g_moe = "Magpul MOE Pistol Grip",
		bm_wp_wpn_fps_upg_m4_g_mcx = "SIG-Sauer MCX Pistol Grip",
		bm_wp_wpn_fps_upg_m4_g_st1 = "F-1 Firearms Skeletonized Style 1 Grip",
		bm_wp_wpn_fps_upg_m4_g_st2 = "F-1 Firearms Skeletonized Style 2 Grip",
		bm_wp_wpn_fps_upg_m4_g_st2pc = "F-1 Firearms Skeletonized Style 2 PC Grip",
		bm_wp_wpn_fps_upg_m4_g_psg = "Ergo Tactical Deluxe Grip w/Palm Shelf",
		--Project UAE
		bm_wp_wpn_fps_pis_judge_g_wood = "Wooden Raging Bull Grips",
		bm_wp_wpn_fps_pis_judge_g_rubber = "Rubber Raging Bull Grips",
		bm_wp_wpn_fps_pis_judge_g_sharps = "Rubber Mateba Grips",
		bm_wp_wpn_fps_pis_judge_g_sport = "Wooden Mateba Grips",
		bm_wp_wpn_fps_pis_1911_g_smooth = "Defender Grips",
		bm_wp_wpn_fps_pis_ppk_g_ergo = "Short Grips",
		bm_wp_wpn_fps_ass_scar_g_std = "A2 Pistol Grip",
		bm_wp_wpn_fps_pis_usp_g_ergo = "Pachmayr Grips",
		bm_wp_wpn_fps_pis_breech_g_ergo = "Olive Drab Grips",
		bm_wp_wpn_fps_pis_2006m_g_comp = "SG 550 Pistol Grip",
		bm_wp_wpn_fps_upg_g_flint = "AK-12 Pistol Grip",
		bm_wp_wpn_fps_upg_g_coal = "Bizon Pistol Grip",
		
		--[Barrels]
		--Supp. Barrel (Raging Bull)
		bm_wp_wpn_fps_pis_rage_b_forced = "Suppressed Barrel",
		--Executioner Barrel (Raging Bull)
		bm_wp_wpn_fps_pis_judge_raging_barrel = "Raging Judge XXVIII Kit",
		--Gecko Barrel (AK Various Attachment)
		bm_wp_wpn_fps_ass_ak_b_gecko = "Galil Barrel",
		--Barrels (AK17 Various Attachment)
		bm_wp_wpn_fps_ass_ak17_b_rpk = "RPK-16 Barrel",
		bm_wp_wpn_fps_ass_ak17_b_16 = "AK-74 Barrel",
		--Gatling Various Attachment
		bm_wp_wpn_fps_lmg_shuno_b_extreme_desc = "Reduces movement speed by 20%.\n\nLonger barrel seen on fixed-mount miniguns.",
		bm_wp_wpn_fps_lmg_m134_barrel_dampener_desc = "Reduces shot noise. Increases movement speed by 10%.\n\nShortened barrel of the XM556 with a heat-dispersing cover which also acts as a makeshift sound suppressor.",
		--GatMalite
		bm_wp_wpn_fps_m4_uupg_b_gatmalite = "Knight's Armament Co. GatMalite Barrel",
		--Jungle Hunter Barrel (Mosconi Various Attachment)
		bm_wp_wpn_fps_shot_huntsman_b_hunt = "Long Barrel",
		--Barrel (Mosin Nagant Obrez)
		bm_wp_wpn_fps_snp_mosin_b_obrez = "Short Barrel",
		--Artillery (Luger)
		bm_wp_wpn_fps_pis_breech_b_arty = "8\" Barrel",
		--LSW Barrel (L85 Various Attachment)
		bm_wp_wpn_fps_ass_l85a2_b_heavy = "L86 LSW Kit",
		--Raptor (M4)
		bm_wp_wpn_fps_m4_uupg_b_raptor = "13.4\" WE-Tech Raptor Barrel",
		--HBAR
		bm_wp_wpn_fps_ass_aug_b_hbar = "24.4\" AUG HBAR Barrel w/Bipod",
		--Long Barrel (AMCAR Various Attachment)
		bm_wp_wpn_fps_ass_amcar_b_long = "Long Barrel",
		--Barrels (Vanilla Mod Pack)
		bm_wp_wpn_fps_snp_winchester_b_short = "Short Barrel",
		bm_wp_wpn_fps_pis_c96_b_short = "Short Barrel",
		bm_wp_wpn_fps_ass_corgi_b_medium = "17\" Barrel", -- eh
		bm_wp_wpn_fps_smg_uzi_b_carbine = "16\" Barrel",
		bm_wp_wpn_fps_snp_model70_b_smol = "Short Barrel",
		bm_wp_wpn_fps_pis_chinchilla_b_longboy = "10.6\" Barrel",
		bm_wp_wpn_fps_sho_coach_b_long = "Long Barrel",
		--bm_wp_wpn_fps_ass_flint_b_long = "", --
		--bm_wp_wpn_fps_ass_flint_b_short = "", -- likely based off a carbine variant, but who knows
		bm_wp_wpn_fps_ass_contraband_b_long = "20\" Barrel",
		bm_wp_wpn_fps_ass_contraband_b_short = "12\" Barrel",
		--bm_wp_wpn_fps_ass_komodo_b_long = "", -- no idea; perhaps STAR-21?
		bm_wp_wpn_fps_shot_m37_b_ridge = "Featherlight Vent Rib Barrel",
		bm_wp_wpn_fps_pis_lemming_b_long = "7\" Barrel",
		bm_wp_wpn_fps_lmg_shuno_b_long = "20\" Barrel",
		bm_wp_wpn_fps_pis_chinchilla_b_short = "5\" Barrel",
		bm_wp_wpn_fps_aug_b_big = "Heavy Barrel",
		bm_wp_wpn_fps_smg_uzi_b_longue = "Heat Shielded Barrel",
		bm_wp_wpn_fps_pis_breech_b_length = "6\" Barrel",
		bm_wp_wpn_fps_shot_m37_b_extend = "6-Shot Tube Magazine", -- a bit shorter than the 7-capacity magazine tube
		bm_wp_wpn_fps_smg_erma_b_langer = "Long Barrel",
		bm_wp_wpn_fps_smg_erma_b_kurz = "Short Barrel",
		bm_wp_wpn_fps_shot_r870_b_ithaca = "Trench Gun Heat Shielded Barrel",
		bm_wp_wpn_fps_pis_holt_b_silver = "Chrome Slide",
		bm_wp_wpn_fps_gre_m32_barrel_extreme = "16\" Barrel",
		bm_wp_wpn_fps_pis_chinchilla_b_rage = "6\" Barrel w/S&W V-Compensator",
		bm_wp_wpn_fps_pis_ppk_b_standard_expert = "Ported Barrel Extension",
		bm_wp_wpn_fps_ass_asval_b_heat = "Heat Shielded Barrel",
		bm_wp_wpn_fps_snp_sbl_b_stub = "Short Barrel",
		bm_wp_wpn_fps_smg_shepheard_fg_suppressed = "MPX-SD Kit",
		--Barrels (GSPS Various Attachment)
		bm_wp_wpn_fps_shot_m37_b_trench = "Trench Gun Heat Shield & Bayonet Lug",
		bm_wp_wpn_fps_shot_m37_b_deerslayer = "Featherlight Vent Rib Barrel",
		--Heat Barrel (R870 Attachment Pack)
		bm_wp_wpn_fps_shot_mossberg_b_heat = "Heat Shield Barrel",
		--don't forget to recycle (Project UAE)
		bm_wp_wpn_fps_ass_akm_b_bling = "Gold Plated Barrel",
		bm_wp_wpn_fps_pis_b_int = "Suppressed Barrel",
		bm_wp_wpn_fps_pis_rage_b_pocket = "Suppressed Barrel",
		bm_wp_wpn_fps_pis_b_pocket = "Micro Uzi Barrel",
		bm_wp_wpn_fps_pis_b_enough = "AA-12 Barrel",
		bm_wp_wpn_fps_sho_ben_b_sup = "AS \"Val\" Suppressed Barrel",
		bm_wp_wpn_fps_upg_b_desertops = "Suppressed Barrel",
		bm_wp_wpn_fps_upg_b_bucket = "AA-12 Suppressor",
		bm_wp_wpn_fps_rpg7_b_sup = "Noise Dampener",
		bm_wp_wpn_fps_smg_b_sven = "M/45 Barrel",
		bm_wp_wpn_fps_upg_ak_b_basset_short = "Spike X1S Barrel",
		bm_wp_wpn_fps_pis_peacemaker_sl_spitfire = "Heavy Barrel",
		bm_wp_wpn_fps_pis_x_ppk_sl_juris = "XD(M) Slide",
		--GSPS Barrel Pack
		bm_wp_wpn_fps_shot_m37_barrel_long = "Long Barrel",
		bm_wp_wpn_fps_shot_m37_barrel_baby = "Short Barrel",
		bm_wp_wpn_fps_shot_m37_barrel_loud = "Blunderbuss Barrel",
		bm_wp_wpn_fps_shot_m37_barrel_lool = "Looping Barrel",
		bm_wp_wpn_fps_shot_m37_barrel_hdra = "Septuple Barrel",
		
		--[Pistol Slides]
		--Colorless Slides (XD(M))
		bm_wp_wpn_fps_pis_hs2000_s_std_grey = "Black Slide",
		bm_wp_wpn_fps_pis_hs2000_s_short_grey = "Black Ported Slide",
		--Glock Slides (Extra Attachments Compilation)
		bm_wp_wpn_fps_pis_g17_b_long = "Glock 35 Compensated Slide",
		bm_wp_wpn_fps_pis_g17_b_custom = "SAI \"Tier 1\" Glock 26 Slide",
		bm_wp_wpn_fps_pis_g17_b_g22c = "Glock 22C Slide",
		--Slides (Vanilla Mod Pack)
		bm_wp_wpn_fps_pis_packrat_sl_silver = "Stainless Slide w/TiN Coated Barrel",
		bm_wp_wpn_fps_pis_g18c_b_long = "Glock 35 Compensated Slide",
		bm_wp_wpn_fps_pis_g17_b_bling = "Gray Slide",
		bm_wp_wpn_fps_pis_czech_sl_chrome = "Chrome Slide",
		bm_wp_wpn_fps_pis_beretta_sl_tan = "Desert Tan Slide",
		bm_wp_wpn_fps_pis_beer_sl_expert = "Chrome Slide",
		--Contractor Slide (TTI Attachment Pack)
		bm_wp_wpn_fps_upg_g22c_sl_tti = "Taran Tactical Combat Master Slide",
		
		--[Barrel Attachments]
		--Suppressor & Muzzle Brakes (Beretta Various Attachment)
		bm_wp_wpn_fps_pis_beretta_ns_vintage = "GemTech BLACKSIDE Supp. w/SGS Comp.",
		bm_wp_wpn_fps_pis_beretta_co_equal = "Western Arms Shibuya 92FS Compensator", -- Airsoft mods be damned, it's a 92FS
		bm_wp_wpn_fps_pis_b93r_comp_93r = "93R Muzzle Brake",
		--Loudener
		bm_wp_wpn_fps_upg_ns_loud = "Gramophone Horn",
		--Contractor Compensator (Contractor .308 Various Attachment)
		bm_wp_wpn_fps_snp_tti_ns_cylinder = "SureFire MB556AR Muzzle Brake",
		--Modulator Muzzle Ext. (AMCAR Various Attachment)
		bm_wp_wpn_fps_ass_amcar_ns_viet = "4.25\" Moderator Muzzle Brake",
		--Muzzle Brakes & Suppressors (Vanilla Mod Pack)
		bm_wp_wpn_fps_upg_ns_shot_grinder = "LYMAN Cutts Shotgun Compensator",
		bm_wp_wpn_fps_upg_ns_ass_smg_russian = "Springfield Armory SAINT Muzzle Brake",
		bm_wp_wpn_fps_upg_ns_pis_cloth = "Wrapped Suppressor", -- I have zero idea on what this is supposed to be
		bm_wp_wpn_fps_upg_ns_ass_smg_heavy = "Desert Tech SRS .338 Muzzle Brake",
		bm_wp_wpn_fps_upg_pis_ns_edge = "EFK Fire Dragon Thread Adapter",
		bm_wp_wpn_fps_upg_ns_shot_flat = "Octagonal Suppressor",
		--bm_wp_wpn_fps_upg_ns_ass_smg_pro = "", -- might be based off the model 70 suppressor, which itself is fictional
		--bm_wp_wpn_fps_upg_ns_shot_close = "", -- I know I've seen this somewhere before...
		--Heavy Metal Muzzle Device Pack
		bm_wp_wpn_fps_upg_ns_ass_vortex = "Smith Enterprise \"Vortex\" Flash Hider",
		bm_wp_wpn_fps_upg_ns_ass_yhm_slant = "Yankee Hill Machine Slant Muzzle Brake",
		bm_wp_wpn_fps_upg_ns_pis_aek919 = "ZiD AEK-919K Muzzle Brake",
		bm_wp_wpn_fps_upg_ns_pis_major = "S&J Customs Major Compensator",
		bm_wp_wpn_fps_upg_ns_pis_yhm = "Yankee Hill Machine Pistol Compensator",
		--AK Extras 2
		bm_wp_wpn_fps_ass_ak_all_md_dtk1 = "ZenitCo DTK-1 Muzzle Brake",
		bm_wp_wpn_fps_ass_ak_all_md_dyna = "Spike's Tactical Dynacomp Muzzle Brake",
		bm_wp_wpn_fps_ass_ak_all_md_fhmb = "SRVV FHMB Muzzle Brake",
		bm_wp_wpn_fps_ass_ak_all_md_venom = "Venom Antidote Muzzle Brake",
		bm_wp_wpn_fps_ass_ak_all_md_jet = "SRVV Jet Muzzle Brake",
		--Compact Salvo 12
		bm_wp_wpn_fps_upg_ns_sho_salvo_small = "Short SilencerCo Salvo 12 Suppressor",
		bm_wp_wpn_fps_upg_ns_sho_salvo_small_judge = "Short SilencerCo Salvo 12 Suppressor",
		bm_wp_wpn_fps_upg_ns_sho_salvo_large = "SilencerCo Salvo 12 Suppressor",
		--Sneaky Supp. Pack
		bm_wp_wpn_fps_ass_ns_g_sup1 = "GemTech TUNDRA-SV Suppressor",
		bm_wp_wpn_fps_ass_ns_g_sup2 = "AAC Ti-RANT 45M Suppressor",
		bm_wp_wpn_fps_ass_ns_g_sup3 = "Bowers VERS 45 Suppressor",
		bm_wp_wpn_fps_ass_ns_g_sup4 = "Yankee Hill Machine Phantom Suppressor",
		bm_wp_wpn_fps_ass_ns_g_sup5 = "GemTech TRACKER Suppressor",
		bm_wp_wpn_fps_ass_ns_g_sup6 = "SWR Trident Suppressor",
		bm_wp_wpn_fps_ass_ns_g_sup7 = "Griffin Sportsman Ultra Light Suppressor",
		bm_wp_wpn_fps_ass_ns_g_sup9 = "PBS-4 Suppressor",
		--Muzzle Brakes & Suppressors (GITS:SACFAO Attachment Pack)
		--bm_wp_wpn_fps_upg_ns_gits_dildo_h = "", -- Oh boy, a bunch of barrel extensions that I can't identify on the spot. This is gonna take a while...
		bm_wp_wpn_fps_upg_ns_gits_another_h = "AAC Blackout 51T Muzzle Brake",
		--bm_wp_wpn_fps_upg_ns_gits_manyslits_l = "",
		bm_wp_wpn_fps_upg_ns_gits_sorrycarl_l = "LANTAC Dragon Muzzle Brake",
		--bm_wp_wpn_fps_upg_ns_gits_illegal_s = "",
		--bm_wp_wpn_fps_upg_ns_gits_generic_s = "",
		--Filter Suppressor for ARs & Shotguns
		bm_wp_wpn_fps_upg_ns_ass_filterAR = "Oil Filter Suppressor",
		bm_wp_wpn_fps_upg_ns_ass_filterShot = "Oil Filter Suppressor",
		--Ghetto & Daywalker (MAC-10 Various Attachment)
		bm_wp_wpn_fps_smg_mac10_ns_ghetto = "SIONICS Suppressor w/Heat Shield",
		bm_wp_wpn_fps_smg_mac10_ns_blade = "MAC-10 Shell Muzzle Brake",
		--Cat Silencer
		bm_wp_wpn_fps_upg_ns_shot_cat = "Tabby Suppressor",
		--Muzzle Brake & Suppressors (Operator Attachment Pack)
		bm_wp_wpn_fps_upg_ns_hock = "BlackHawk Smoke Stack Suppressor",
		bm_wp_wpn_fps_upg_ns_dragon = "LANTAC Dragon Muzzle Brake",
		--Suppressors (M1 Garand Various Attachment)
		bm_wp_wpn_fps_ass_ching_ns_flashhider = "M1 Flash Suppressor",
		bm_wp_wpn_fps_ass_ching_ns_expsilencer = "Experimental Suppressor",
		--TR-1 Compensator (Extra Attachments Compilation)
		bm_wp_wpn_fps_upg_tti_ns_standard = "Precision Reflex MSTN QC Brake",
		--Skorpion Suppressor (Extra Attachments Compilation)
		bm_wp_wpn_fps_upg_scorpion_b_suppressed = "Skorpion Suppressor",
		--Eagle Compensator (Extra Attachments Compilation)
		bm_wp_wpn_fps_upg_scar_ns_standard = "AAC Blackout 51T Flash Suppressor",
		--Tromix
		bm_wp_wpn_fps_upg_ns_ass_smg_tromix = "Tromix Monster Brake",
		--Barrel Shroud (Vector Civilian Kit)
		bm_wp_wpn_fps_smg_polymer_barrel_shroud = "Vector CRB Enhanced Barrel Shroud",
		--Tarkov Muzzle Pack (unreleased)
		bm_wp_wpn_fps_upg_ns_illusion = "Advanced Armament Co. Illusion Suppressor",
		bm_wp_wpn_fps_upg_ns_doggo = "Alpha Dog Suppressor",
		bm_wp_wpn_fps_upg_ns_gems = "GemTech ONE Suppressor",
		bm_wp_wpn_fps_upg_ns_fischer = "Fischer Development FD917 Suppressor", -- damn it, fischer
		bm_wp_wpn_fps_upg_ns_dyna = "Spike's Tactical Dynacomp Compensator",
		bm_wp_wpn_fps_upg_ns_venom = "Venom Tactical Antidote Compensator",
		bm_wp_wpn_fps_upg_ns_yank = "Yankee Hill Machine Annihilator M. Brake",
		bm_wp_wpn_fps_upg_ns_apologiestomira = "Saiient Arms \"JailBrake\" Muzzle Device",
		bm_wp_wpn_fps_upg_ns_fawkes = "Vendetta Precision VP09 Muzzle Brake",
		--Tacticool Suppressors
		bm_wp_wpn_fps_ass_ns_g_mnstr = "SureFire MONSTER Suppressor",
		bm_wp_wpn_fps_ass_ns_g_rc2 = "SureFire SOCOM-RC2 Suppressor",
		bm_wp_wpn_fps_ass_ns_g_wave = "Daniel Defense WAVE QD Suppressor",
		bm_wp_wpn_fps_ass_ns_g_srd = "SIG-Sauer SRD9 Suppressor",
		bm_wp_wpn_fps_ass_ns_g_sfn = "GemTech SFN-57 Suppressor",
		bm_wp_wpn_fps_ass_ns_g_nt4 = "Knight's Armament Co. NT-4 Suppressor",
		bm_wp_wpn_fps_ass_ns_g_bacon = "Bacon Wrapped Suppressor",
		bm_wp_wpn_fps_ass_ns_g_sdn = "AAC SDN-6 Suppressor",
		bm_wp_wpn_fps_ass_ns_g_gem1 = "GemTech ONE Suppressor",
		bm_wp_wpn_fps_shot_ns_g_hex12 = "Hexagon 12K Suppressor",
		bm_wp_wpn_fps_ass_ns_g_prs = "Knight's Armament Co. PRS Suppressor",
		bm_wp_wpn_fps_ass_ns_g_mini = "SureFire MINI-MONSTER Suppressor",
		bm_wp_wpn_fps_ass_ns_g_srdbig = "SIG-Sauer SRD762 Suppressor",
		bm_wp_wpn_fps_ass_ns_g_srdqd = "SIG-Sauer SRD762-QD Suppressor",
		bm_wp_wpn_fps_ass_ns_g_hybrid = "SilencerCo Hybrid 46 Suppressor",
		bm_wp_wpn_fps_ass_ns_g_beast = "Thunder Beast ULTRA-5 Suppressor",
		bm_wp_wpn_fps_ass_ns_g_saker = "SilencerCo Saker ASR Suppressor",
		bm_wp_wpn_fps_ass_ns_g_ultra = "Thunder Beast 338 ULTRA Suppressor",
		-- bm_wp_wpn_fps_ass_ns_g_ultraw = "",
		
		--Tacticool Muzzle Devices
		bm_wp_wpn_fps_ass_ns_g_pws = "PWS CQB Muzzle Brake",
		bm_wp_wpn_fps_ass_ns_g_bulletec = "Bulletec ST-6012 Flash Suppressor",
		bm_wp_wpn_fps_ass_ns_g_bmd = "LANTAC Blast Mitigation Device",
		bm_wp_wpn_fps_ass_ns_g_sf3p = "SureFire 3-Prong Flash Suppressor",
		-- bm_wp_wpn_fps_ass_ns_g_slr = "",
		-- bm_wp_wpn_fps_ass_ns_g_dmnoz = "",
		--Sniper Rifle Muzzle Brakes
		bm_wp_wpn_fps_upg_ns_m82 = "Barrett M82A1 Muzzle Brake",
		bm_wp_wpn_fps_upg_ns_aw50 = "Accuracy Intl. AW50F Muzzle Brake",
		--Muzzle Brakes (AK Extra Attachments Pack)
		bm_wp_wpn_fps_ass_heffy_762_fh_tank = "ZenitCo DTK-1 Muzzle Brake",
		--bm_wp_wpn_fps_ass_heffy_762_fh_fun = "", -- no idea
		--bm_wp_wpn_fps_ass_heffy_545_fh_tank = "", -- I'm sure I've seen this before on another gun, but I can't remember the name for the life of me
		--bm_wp_wpn_fps_ass_heffy_545_fh_fun = "",
		bm_wp_wpn_fps_ass_heffy_all_fh_krebs = "Krebs Custom 4-Prong Flash Suppressor",
		--Project UAE
		bm_wp_wpn_fps_pis_ns_stub = "Jericho 941 Compensator",
		bm_wp_wpn_fps_pis_ns_baka = "Micro Uzi Barrel Thread",
		bm_wp_wpn_fps_smg_ns_janitor = "AS \"Val\" Suppressed Barrel",
		bm_wp_wpn_fps_pis_c96_ns_fatrat = "Suppressed Barrel",
		bm_wp_wpn_fps_upg_ns_coal = "Bizon Muzzle Brake",
		bm_wp_wpn_fps_upg_ns_akval = "AS \"Val\" Suppressed Barrel",
		
		--[Magazines]
		--AK Various Magazine
		--bm_wp_wpn_fps_upg_ak_m_drum = "96rnd RPK-16 Drum", -- models differ between weapons but share the same string, so this is out of my hands
		--bm_wp_wpn_fps_upg_ak_m_short = "",
		--Drum & Mags (Galil Various Attachment)
		bm_wp_wpn_fps_ass_galil_m_35r = "35rnd Galil Magazine",
		bm_wp_wpn_fps_ass_galil_m_762c = "20rnd Galil ARM 7.62 Magazine",
		--Ext. Internal Mag (M1 Garand Various Attachment)
		bm_wp_wpn_fps_ass_ching_m_future = "20rnd M1 Garand Magazine",
		--7.62 Box Mag (AK17 Various Attachment)
		bm_wp_wpn_fps_ass_flint_m_308 = "15rnd AK-308 Magazine",
		--9mm Mag (MK.18 Mod 0 Extra)
		bm_wp_wpn_fps_smg_m4cqb_m_9mm = "32rnd Colt 9mm SMG Magazine",
		--20-Round Mag (Classic Kit)
		bm_wp_wpn_fps_upg_m_classic = "20rnd USGI Magazine",
		--Drum & Mag (G3 Various Attachment)
		bm_wp_wpn_fps_ass_g3_m_50drum = "50rnd X-Products X-15 Drum",
		bm_wp_wpn_fps_ass_g3_m_30mag = "30rnd HK33 Magazine",
		--H3T Mag (Hera Arms Pack)
		bm_wp_wpn_fps_upg_m_hera = "30rnd Hera Arms H3T Gen 2 Magazine",
		--Long Mag (SCAR Various Attachment)
		bm_wp_wpn_fps_ass_scar_m_full = "40rnd MK.17 Magazine",
		--HK416 Mags (Jager)
		bm_wp_wpn_fps_ass_hk416_m_dual = "Dual 30rnd STANAG Magazines",
		bm_wp_wpn_fps_ass_hk416_m_big = "60rnd SureFire Magazine",
		bm_wp_wpn_fps_ass_hk416_m_standard = "100rnd Beta C-Mag Dual Drum",
		--FAMAS Mags
		bm_wp_wpn_fps_ass_famas_m_long = "40rnd FAMAS F1 Magazine",
		bm_wp_wpn_fps_ass_famas_m_dual = "Dual 25rnd FAMAS F1 Magazines",
		--AK Magazine Pack
		bm_wp_wpn_fps_ass_74_m_black = "30rnd Arsenal AK-74 Magazine",
		bm_wp_wpn_fps_ass_74_m_steel = "30rnd FB Radom \"Tantal\" Magazine",
		bm_wp_wpn_fps_ass_ak_m_gachashit = "20rnd TsKIB SOO OTs-14 Magazine",
		--Ammo Can (M240)
		bm_wp_wpn_fps_lmg_par_m_can = "200rnd M240 Box",
		--Surefire MAG5-100
		bm_wp_wpn_fps_upg_m_quad100 = "100rnd SureFire MAG5-100 Magazine",
		--Contractor & MPX Mags (TTI Attachment Pack)
		bm_wp_wpn_fps_upg_m_tti = "Magpul 30rnd PMAG Mag. w/TTI Base Pad",
		bm_wp_wpn_fps_upg_shepheard_m_tti = "10rnd MPX Magazine w/TTI Base Pad",
		bm_wp_wpn_fps_upg_shepheard_m_tti_ext = "30rnd MPX Magazine w/TTI Base Pad",
		--Banana Mag (1911)
		bm_wp_wpn_fps_pis_1911_m_banana = "30rnd 1911 Magazine",
		--Steel Mag (Contractor .308 Various Attachment)
		bm_wp_wpn_fps_snp_tti_m_steel = "20rnd SR-25 Magazine",
		-- Mag Pantsu
		bm_wp_wpn_fps_upg_m_pantsu = "30rnd STANAG Magazine w/Bloomers",
		--Spike Magbutt (Beretta Various Attachment)
		bm_wp_wpn_fps_pis_beretta_m_spike = "Spiked Baseplate",
		--Jungle Mag (M16 "Little Friend" Attachments)
		bm_wp_wpn_fps_m16_m_jungle = "Dual 30rnd STANAG Magazines",
		--Drum & Banana Mag (AK Family)
		bm_wp_wpn_fps_upg_banana_mag = "45rnd RPK-74M Magazine",
		bm_wp_wpn_fps_rpk_drummag = "75rnd RPK Drum",
		--Mags (Skorpion Various Attachment)
		bm_wp_wpn_fps_smg_scorpion_m_straight = "30rnd Sa. 361 Skorpion 9mm Magazine",
		bm_wp_wpn_fps_smg_scorpion_m_matrix = "30rnd Skorpion Magazine",
		bm_wp_wpn_fps_smg_scorpion_m_short = "10rnd Skorpion Magazine",
		--Magazines (Operator Attachment Pack)
		bm_wp_wpn_fps_upg_sub2000_m_short = "19rnd Glock .40 S&W Magazine",
		bm_wp_wpn_fps_upg_sub2000_m_short_desc = "Rechambers the SUB-2000 with the .40 S&W round fed from a shorter magazine.\n\n+114%/+186% pickup rate.",
		bm_wp_wpn_fps_upg_m14_m_tape = "20rnd M14 Magazine w/Tape Cushion",
		bm_wp_wpn_fps_upg_m14_m_tape_desc = "Surplus mags gifted by one of Gage's colleagues, presumably loaded with low-power rounds.\n\n+220%/+200% pickup rate.",
		bm_wp_wpn_fps_upg_mp5_m_ten_desc = "Reconfigures the MP5 into the MP5/10, firing the powerful 10mm Automatic cartridge.\n\nPierces through cover, shields & body armor. -46%/-52% pickup rate.",
		bm_wp_wpn_fps_upg_schakal_m_nine = "30rnd UMP9 9mm Magazine",
		bm_wp_wpn_fps_upg_schakal_m_nine_desc = "Reconfigures the UMP45 into the UMP9, firing the less powerful, but cost-effective 9×19mm Parabellum cartridge.\n\n+600%/+270% pickup rate.",
		bm_wp_wpn_fps_upg_schakal_m_atai = "30rnd UMP40 .40 S&W Magazine",
		bm_wp_wpn_fps_upg_schakal_m_atai_desc = "Reconfigures the UMP45 into the UMP40, firing full-lead cored .40 Smith & Wesson rounds.\n\nPierces through cover, shields & body armor. +220%/+91% pickup rate.",
		bm_wp_wpn_fps_upg_m14_am_m993 = "7.62×51mm NATO M993",
		bm_wp_wpn_fps_upg_m14_am_m993_desc = "Black-tipped, armor-piercing round; can penetrate 18 millimeters of Rolled Homogeneous Armor (RHA) at up to 100 meters.\n\nPierces through cover, shields & body armor. +114%/+186% pickup rate.",
		--MP40 Mags
		bm_wp_wpn_fps_smg_erma_m_double = "Dual 32rnd MP40 Magazines",
		bm_wp_wpn_fps_smg_erma_m_short = "22rnd MP40 Magazine",
		bm_wp_wpn_fps_smg_erma_m_long = "50rnd MP40 Magazine",
		--Drum (TEC-9)
		bm_wp_wpn_fps_smg_tec9_m_drum = "72rnd TEC-9 Drum",
		--Drum (Glock 18)
		bm_wp_wpn_fps_pis_g18c_drum = "50rnd Glock Drum",
		--X-15 Drum (AR-15 Family)
		bm_wp_wpn_fps_upg_m4_m_x15drum = "50rnd X-Products X-15 Drum",
		--Chicken Mag (P90)
		bm_wp_wpn_fps_smg_p90_m_chicken = "Rubber Chicken",
		--Low Profile Mag (AK-74)
		bm_wp_wpn_fps_ass_74_bmag = "30rnd Arsenal AK-74 Magazine",
		--20 Round Magazine (M14)
		bm_wp_wpn_fps_ass_m14_m_20rnd = "20rnd M14 Magazine",
		--Civilian Mag (Vector Civilian Kit)
		bm_wp_wpn_fps_smg_polymer_m_short = "17rnd Glock Magazine",
		--Snail Drum (Luger)
		bm_wp_wpn_fps_pis_breech_m_drum = "32rnd Trommel-Magazin 08 Drum",
		--Drum Mag (L85 Various Attachment)
		bm_wp_wpn_fps_ass_l85a2_m_drum = "100rnd L86 Drum",
		bm_wp_wpn_fps_ass_l85a2_m_drum_desc = "+45%/+64% pickup rate.",
		--42 rounder (AUG A2)
		bm_wp_wpn_fps_ass_aug_m_hbar = "42rnd AUG Magazine",
		--MoH Warfighter AUG Magazines
		bm_wp_wpn_fps_aug_m_a1 = "30rnd AUG Magazine",
		bm_wp_wpn_fps_aug_m_a1_42 = "42rnd AUG Magazine",
		--Casket (MAC-10 Various Attachment)
		bm_wp_wpn_fps_smg_mac10_m_casket = "60rnd MAC-10 Casket Magazine",
		--Ranger Plate PMAG
		bm_wp_wpn_fps_upg_m_pmag = "30rnd Magpul PMAG Mag. w/Ranger Plate",
		--9mm Magazine (AMCAR Various Attachment)
		bm_wp_wpn_fps_ass_amcar_m_9mm = "20rnd Colt 9mm SMG Magazine",
		--PPK Cheese Mag
		bm_wp_wpn_fps_upg_ppk_m_cheese = "Wensleydale Cheese Block",
		--LSW Magazine (VHS Attachment Pack)
		bm_wp_wpn_fps_ass_vhs_m_lsw = "45rnd G36 Magazine", --While the VHS can accept magazines from the G36, they only come in 30-rounders; this model appears to not only be stretched out to resemble a 45-rounder, but is also completely opaque for some reason
		--Magazines (Vanilla Mod Pack)
		bm_wp_wpn_fps_ass_flint_m_long = "45rnd RPK-16 Magazine",
		bm_wp_wpn_fps_smg_cobray_m_extended = "40rnd M11/9 Magazine",
		bm_wp_wpn_fps_smg_cobray_m_extended_akimbo = "40rnd M11/9 Magazine",
		bm_wp_wpn_fps_ass_scar_m_extended = "30rnd MK.16 Magazine",
		bm_wp_wpn_fps_ass_ak_m_proto = "30rnd AK-12 Magazine",
		bm_wp_wpn_fps_ass_m4_m_wick = "20rnd Lancer Systems L7AWM Magazine",
		bm_wp_wpn_fps_ass_m4_m_stick = "32rnd Colt 9mm SMG Magazine",
		bm_wp_wpn_fps_ass_m4_m_stick_heavy = "32rnd Colt 9mm SMG Magazine",
		bm_wp_wpn_fps_ass_m4_m_stick_sg = "32rnd Colt 9mm SMG Magazine",
		bm_wp_wpn_fps_ass_m4_m_stick_amcar = "32rnd Colt 9mm SMG Magazine",
		bm_wp_wpn_fps_ass_s552_m_ak = "30rnd AKM Magazine",
		bm_wp_wpn_fps_ass_s552_m_ak_desc = "-30%/-25% pickup rate.",
		bm_wp_wpn_lmg_rpk_m_jungle = "Dual 30rnd AKM Magazines",
		bm_wp_wpn_fps_smg_mp5_m_dos = "Dual 30rnd MP5 Straight Magazines",
		bm_wp_wpn_fps_m4_uupg_m_extend = "40rnd STANAG Magazine",
		bm_wp_wpn_fps_ass_m14_m_curve = "20rnd Mini-14 Magazine",
		bm_wp_wpn_fps_smg_mp5_m_small = "15rnd SP89 Magazine",
		bm_wp_wpn_fps_ass_m4_m_star = "20rnd Magpul PMAG Gen 3 Magazine",
		bm_wp_wpn_upg_ak_m_tiny = "20rnd AKM Steel Magazine",
		bm_wp_wpn_upg_ak_m_slick = "40rnd AK Magazine",
		--AR-15 Magazines (AR Extra Attachments Pack)
		bm_wp_wpn_fps_ass_stoy_556_m_steel_25 = "25rnd ArmaLite Magazine",
		bm_wp_wpn_fps_ass_stoy_556_m_curve_30 = "30rnd ArmaLite Magazine",
		--Milkor Speed Loaders (technically not magazines, but semantics)
		bm_wp_wpn_fps_gre_m32_speed2 = "2-Shell Speed Loader",
		bm_wp_wpn_fps_gre_m32_speed6 = "Multi-Shell Speed Loader",
		--Tacticool Magazines
		bm_wp_wpn_fps_upg_m_d60 = "60rnd Magpul PMAG D-60 Drum",
		bm_wp_wpn_fps_upg_m_p10 = "10rnd Magpul PMAG Gen 3 Magazine",
		bm_wp_wpn_fps_upg_m_p20 = "20rnd Magpul PMAG Gen 3 Magazine",
		bm_wp_wpn_fps_upg_m_p30 = "30rnd Magpul PMAG Gen 3 Magazine",
		bm_wp_wpn_fps_upg_m_p30w = "30rnd Magpul PMAG Gen 3 Window Mag.",
		bm_wp_wpn_fps_upg_m_p40 = "40rnd Magpul PMAG Gen 3 Magazine",
		bm_wp_wpn_fps_upg_m_lanc = "30rnd Lancer System L5AWM Magazine",
		bm_wp_wpn_fps_upg_m_battle = "30rnd Troy Industries Battlemag Magazine",
		bm_wp_wpn_fps_upg_m_poly = "30rnd HK Polymer Magazine",
		bm_wp_wpn_fps_upg_m_gen2 = "30rnd HK Gen 2 PM Magazine",
		bm_wp_wpn_fps_upg_m_plum = "30rnd AK-74 Plum Magazine",
		bm_wp_wpn_fps_upg_m_10rs = "10rnd Saiga 545 Magazine",
		bm_wp_wpn_fps_upg_m_45r = "45rnd AK-74 Bakelite Magazine",
		bm_wp_wpn_fps_upg_m_545pmag = "30rnd Magpul AK-74 PMAG Magazine",
		bm_wp_wpn_fps_upg_m_rpkd = "95rnd RPK-16 Drum",
		bm_wp_wpn_fps_upg_m_6l10 = "30rnd AK Bakelite Magazine",
		bm_wp_wpn_fps_upg_m_762pmag = "30rnd Magpul AK PMAG Gen 3 Magazine",
		bm_wp_wpn_fps_upg_m_promagd = "73rnd ProMag AK-A-16 Drum",
		bm_wp_wpn_fps_upg_m_rpk40 = "40rnd Molot 6P2.Sb11 Magazine",
		bm_wp_wpn_fps_upg_m_rpkbake = "40rnd RPK Bakelite Magazine",
		bm_wp_wpn_fps_upg_m_x47 = "50rnd X-Products X-47 Drum",
		bm_wp_wpn_fps_upg_m_308pmag = "20rnd Magpul PMAG LR/SR Gen 3 Magazine",
		bm_wp_wpn_fps_upg_m_kac10 = "10rnd SR-25 Magazine",
		bm_wp_wpn_fps_upg_m_kac20 = "20rnd SR-25 Magazine",
		bm_wp_wpn_fps_upg_m_sgmt = "50rnd SGM Tactical Glock Drum",
		bm_wp_wpn_fps_upg_m_hksteel = "30rnd STANAG Steel Maritime Magazine",
		bm_wp_wpn_fps_upg_m_dmmag = "32rnd Daniel Defense DD Magazine",
		bm_wp_wpn_fps_upg_m_mpx20 = "20rnd MPX Magazine",
		bm_wp_wpn_fps_upg_m_mpx30 = "30rnd MPX Magazine",
		bm_wp_wpn_fps_upg_m_mpxdrum = "50rnd F5 MPX Drum",
		bm_wp_wpn_fps_upg_m_mpxtti = "30rnd MPX Magazine w/11rnd TTI Base Pad",
		bm_wp_wpn_fps_upg_m_cap10 = "10rnd Saiga-9 Magazine",
		bm_wp_wpn_fps_upg_m_puf20 = "20rnd PUFGUN SG-919 20 Magazine",
		bm_wp_wpn_fps_upg_m_puf30 = "30rnd PUFGUN SG-919 30 Magazine",
		bm_wp_wpn_fps_upg_m_7drum = "60rnd MP7 Drum", -- isn't this just a magpul d-60? lmao
		bm_wp_wpn_fps_upg_m_pro = "10rnd SAI-12 Magazine",
		bm_wp_wpn_fps_upg_m_max = "20rnd MaxRounds Powermag Drum",
		--AK Magazines (AK Extra Attachments Pack)
		bm_wp_wpn_fps_ass_heffy_762_m_steel_8 = "8rnd AK-47 Steel Magazine",
		bm_wp_wpn_fps_ass_heffy_762_m_steel_50 = "50rnd AK-47 Steel Magazine",
		bm_wp_wpn_fps_ass_heffy_762_m_steel_60 = "60rnd AK-47 Steel Magazine",
		bm_wp_wpn_fps_ass_heffy_762_m_helical_64 = "64rnd PP-19 Helical Magazine",
		bm_wp_wpn_fps_ass_heffy_762_m_steel_70 = "70rnd AK-47 Steel Magazine",
		bm_wp_wpn_fps_ass_heffy_762_m_steel_80 = "80rnd AK-47 Steel Magazine",
		bm_wp_wpn_fps_ass_heffy_762_m_steel_90 = "90rnd AK-47 Steel Magazine",
		bm_wp_wpn_fps_ass_heffy_762_m_steel_100 = "100rnd AK-47 Steel Magazine",
		bm_wp_wpn_fps_ass_heffy_762_m_steel_180 = "180rnd AK-47 Steel Magazine",
		bm_wp_wpn_fps_ass_heffy_762_m_steel_260 = "260rnd AK-47 Steel Magazine",
		bm_wp_wpn_fps_ass_heffy_762_m_steel_1160A = "1160rnd AK-47 Steel Magazine", -- jet fuel can't melt steel memes
		bm_wp_wpn_fps_ass_heffy_762_m_alum_30 = "30rnd AK-47 Waffle Magazine",
		bm_wp_wpn_fps_ass_heffy_762_m_banana_30 = "30rnd AK-47 Banana Magazine",
		bm_wp_wpn_fps_ass_heffy_762_m_pmag_30 = "30rnd Magpul AK PMAG Gen 3 Magazine",
		bm_wp_wpn_fps_ass_heffy_762_m_pmag_20 = "20rnd Magpul AK PMAG Gen 3 Magazine",
		bm_wp_wpn_fps_ass_heffy_762_m_pmag_10 = "10rnd Magpul AK PMAG Gen 3 Magazine",
		bm_wp_wpn_fps_ass_heffy_762_m_proto_30 = "30rnd AK-47 Steel Slab Magazine",
		bm_wp_wpn_fps_ass_heffy_762_m_fleur_30 = "30rnd AK-47 Fleur-de-lis Magazine",
		bm_wp_wpn_fps_ass_heffy_762_m_star_20 = "20rnd Norinco Type 63 Star Magazine",
		bm_wp_wpn_fps_ass_heffy_762_m_bar_20 = "20rnd Norinco Type 63 Dbl. Bar Magazine",
		bm_wp_wpn_fps_ass_heffy_762_m_box_20 = "20rnd Norinco Type 63 Phonelic Magazine",
		bm_wp_wpn_fps_ass_heffy_556_m_circle_30 = "30rnd Arsenal SLR-106 Magazine",
		--bm_wp_wpn_fps_ass_heffy_556_m_weiger_30 = "30rnd Weiger WASR3 Magazine",
		bm_wp_wpn_fps_ass_heffy_545_m_pmag_30 = "30rnd Magpul AK-74 PMAG Magazine",
		bm_wp_wpn_fps_ass_heffy_545_m_ivan_30 = "30rnd AK-74 Steel Magazine", -- I'm honestly drawing blanks at this point; the side designs seem to give off vibes that it's from a Chinese manufacturer (Norinco?) much like the mags from the Type 63, but not much else
		--AK Extras 2
		bm_wp_wpn_fps_ass_ak_all_762_m_pmag_30 = "30rnd Magpul AK PMAG Gen 3 Magazine",
		bm_wp_wpn_fps_ass_ak_all_762_m_pmag_20 = "20rnd Magpul AK PMAG Gen 3 Magazine",
		bm_wp_wpn_fps_ass_ak_all_762_m_pmag_10 = "10rnd Magpul AK PMAG Gen 3 Magazine",
		bm_wp_wpn_fps_ass_ak_all_545_m_pmag_30 = "30rnd Magpul AK-74 PMAG Gen 3 Mag.",
		--PMAGs (Magpul Attachment Pack)
		bm_wp_wpn_fps_upg_ak_m_pmag = "30rnd Magpul AK PMAG Gen 3 Magazine",
		bm_wp_wpn_fps_upg_ak556_m_pmag = "30rnd Magpul AK-74 PMAG MOE Magazine",
		bm_wp_wpn_fps_upg_m4_m_pmag10 = "10rnd Magpul PMAG Gen 3 Magazine",
		bm_wp_wpn_fps_upg_m4_m_pmag20 = "20rnd Magpul PMAG Gen 3 Magazine",
		bm_wp_wpn_fps_upg_m4_m_pmag3 = "30rnd Magpul PMAG Gen 3 Window Mag.",
		bm_wp_wpn_fps_upg_m4_m_pmag40 = "40rnd Magpul PMAG Gen 3 Magazine",
		bm_wp_wpn_fps_upg_m4_m_pmagsolid = "30rnd Magpul PMAG Gen 3 Magazine",
		bm_wp_wpn_fps_snp_tti_m_rsass = "20rnd Magpul PMAG Magazine",
		--Speed Pull Mags
		bm_wp_wpn_fps_ass_vhs_m_quick = "30rnd VHS Magazine w/Sleeve",
		bm_wp_wpn_fps_ass_asval_m_quick = "20rnd AS \"Val\" Magazine w/Sleeve",
		bm_wp_wpn_fps_ass_famas_m_quick = "25rnd FAMAS F1 Magazine w/Sleeve",
		bm_wp_wpn_fps_ass_g3_m_quick = "20rnd G3 Magazine w/Sleeve",
		bm_wp_wpn_fps_ass_s552_m_quick = "30rnd SG 552 Magazine w/Sleeve",
		bm_wp_wpn_fps_smg_schakal_m_quick = "25rnd UMP45 Magazine w/Sleeve",
		bm_wp_wpn_fps_ass_scar_m_quick = "20rnd MK.17 Magazine w/Sleeve",
		bm_wp_wpn_fps_ass_galil_m_quick = "25rnd Galil ARM Magazine w/Sleeve",
		bm_wp_wpn_fps_ass_fal_m_quick = "20rnd FAL Magazine w/Sleeve",
		bm_wp_wpn_fps_smg_mp5_m_quick = "30rnd MP5 Magazine w/Sleeve",
		bm_wp_wpn_fps_smg_baka_m_quick = "32rnd Uzi Magazine w/Sleeve",
		bm_wp_wpn_fps_smg_uzi_m_quick = "32rnd Uzi Magazine w/Sleeve",
		bm_wp_wpn_fps_smg_cobray_m_quick = "32rnd M11/9 Magazine w/Sleeve",
		bm_wp_wpn_fps_shot_saiga_m_quick = "5rnd Saiga-12 Magazine w/Sleeve",
		bm_wp_wpn_fps_smg_tec9_m_quick = "20rnd TEC-9 Magazine w/Sleeve",
		bm_wp_wpn_fps_smg_polymer_m_quick = "30rnd Vector Magazine w/Sleeve",
		bm_wp_wpn_fps_smg_thompson_m_quick = "50rnd M1928 \"L\" Drum w/Dual Straps",
		bm_wp_wpn_fps_smg_mp9_m_quick = "30rnd MP9 Magazine w/Sleeve",
		bm_wp_wpn_fps_smg_mp7_m_quick = "40rnd MP7 Magazine w/Sleeve",
		bm_wp_wpn_fps_smg_sterling_m_quick = "34rnd L2A3 Magazine w/Sleeve",
		bm_wp_wpn_fps_smg_m45_m_quick = "36rnd M/45 Magazine w/Sleeve",
		bm_wp_wpn_fps_pis_g17_m_quick = "17rnd Glock Magazine w/Ranger Plate",
		bm_wp_wpn_fps_sho_aa12_m_quick = "8rnd AA-12 Magazine w/Ranger Plate",
		bm_wp_wpn_fps_sho_rota_m_quick = "6rnd SIX-12 Cylinder w/Dual Straps",
		bm_wp_wpn_fps_pis_ppk_m_quick = "7rnd PPK Magazine w/Ranger Plate",
		bm_wp_wpn_fps_pis_beretta_m_quick = "15rnd 92FS Magazine w/Ranger Plate",
		bm_wp_wpn_fps_smg_shepheard_m_quick = "10rnd MPX Magazine w/Sleeve",
		bm_wp_wpn_fps_smg_scorpion_m_quick = "20rnd Skorpion Magazine w/Sleeve",
		bm_wp_wpn_fps_smg_erma_m_quick = "32rnd MP40 Magazine w/Sleeve",
		bm_wp_wpn_fps_smg_coal_m_quick = "64rnd PP-19 Magazine w/Dual Straps",
		bm_wp_wpn_fps_pis_usp_m_quick = "12rnd USP Magazine w/Ranger Plate",
		bm_wp_wpn_fps_pis_p226_m_quick = "13rnd P226 Magazine w/Ranger Plate",
		bm_wp_wpn_fps_pis_1911_m_quick = "7rnd 1911 Magazine w/Ranger Plate",
		bm_wp_wpn_fps_pis_pl14_m_quick = "15rnd PL-14 Magazine w/Ranger Plate",
		bm_wp_wpn_fps_pis_sparrow_m_quick = "15rnd Jericho 941 Mag. w/Ranger Plate",
		bm_wp_wpn_fps_pis_legacy_m_quick = "13rnd P7M13 Magazine w/Ranger Plate",
		bm_wp_wpn_fps_pis_lemming_m_quick = "20rnd Five-seven Mag. w/Ranger Plate",
		bm_wp_wpn_fps_pis_packrat_m_quick = "15rnd P30 Magazine w/Ranger Plate",
		bm_wp_wpn_fps_pis_shrew_m_quick = "12rnd Defender Magazine w/Sleeve",
		bm_wp_wpn_fps_pis_hs2000_m_quick = "13rnd XD(M) Magazine w/Ranger Plate",
		bm_wp_wpn_fps_pis_beer_m_quick = "15rnd 93R Magazine w/Ranger Plate",
		bm_wp_wpn_fps_pis_czech_m_quick = "16rnd CZ 75 Magazine w/Ranger Plate",
		bm_wp_wpn_fps_pis_stech_m_quick = "20rnd APS Magazine w/Ranger Plate",
		bm_wp_wpn_fps_pis_holt_m_quick = "15rnd H9 Magazine w/Ranger Plate",
		bm_wp_wpn_fps_pis_deagle_m_quick = "7rnd Desert Eagle Mag. w/Ranger Plate",
		bm_wp_wpn_fps_pis_m1911_m_quick = "7rnd 1911 Magazine w/Ranger Plate",
		bm_wp_wpn_fps_smg_vityaz_m_quick = "30rnd PP-19-01 Magazine w/Sleeve",
		--Project UAE
		bm_wp_wpn_fps_pis_c96_ma_erma = "32rnd MP40 Magazine",
		bm_wp_wpn_fps_pis_peacemaker_m_loop = "Hammerspace Cylinder",
		bm_wp_wpn_fps_ass_corgi_m_sharps = "20rnd Lancer Systems L7AWM Magazine",
		bm_wp_wpn_fps_shot_m_flatbox = "8rnd AA-12 Magazine",
		bm_wp_wpn_fps_ass_m_steel = "30rnd AKM Magazine",
		bm_wp_wpn_fps_ass_m_saiga = "5rnd Saiga-12 Magazine",
		bm_wp_wpn_fps_lmg_rpk_m_breech_desc = "No, we don't know why it's using that shotgun magazine. Stop asking.\n\n-50%/-35% pickup rate.",
		bm_wp_wpn_fps_ass_akm_m_bling = "30rnd Gold Plated AKM Magazine",
		bm_wp_wpn_fps_pis_m_milspec = "15rnd 92FS Magazine",
		bm_wp_wpn_fps_pis_m_tac = "13rnd XD(M) Magazine",
		bm_wp_wpn_fps_glock_m_flatplate = "15rnd 92FS Magazine",
		
		--[Gadgets]
		--UTG
		bm_wp_wpn_fps_upg_m29_utgdeluxe = "Leapers UTG Deluxe Tactical Laser",
		bm_wp_wpn_fps_upg_rage_utgdeluxe = "Leapers UTG Deluxe Tactical Laser",
		--Uni-Max
		bm_wp_wpn_fps_upg_m29_unimax = "LaserMax Uni-Max Micro Laser",
		bm_wp_wpn_fps_upg_rage_unimax = "LaserMax Uni-Max Micro Laser",
		--LAM (USP Tactical)
		bm_wp_wpn_fps_upg_fl_pis_LAM = "Wilcox Industries MK.23 LAM",
		--WML
		bm_wp_wpn_fps_upg_fl_wml = "InForce Gen 2 Weapon Mounted Light",
		--Assault & Marksman Kits (Jager's HK416)
		bm_wp_wpn_fps_ass_hk416_g_assk = "Leupold DPP Red Dot w/AN/PEQ-15",
		bm_wp_wpn_fps_ass_hk416_g_mark = "Aimpoint Micro T-1 Red Dot w/AN/PEQ-15",
		--Lost Gadgets Pack
		bm_wp_wpn_fps_upg_fl_anpeq2 = "Insight Technology AN/PEQ-2",
		bm_wp_wpn_fps_upg_fl_dbal_d2 = "Steiner Defense DBAL-D2",
		bm_wp_wpn_fps_upg_fl_pis_inforce_apl = "InForce APL Gen 3 Pistol Light",
		bm_wp_wpn_fps_upg_fl_unimax = "LaserMax Uni-Max Micro Laser",
		bm_wp_wpn_fps_upg_fl_utg = "Leapers UTG Deluxe Tactical Laser",
		--Stealth Flashlights
		bm_wp_wpn_fps_upg_fl_pis_micro90 = "Smith & Wesson Micro 90 Pistol Light",
		bm_wp_wpn_fps_upg_fl_wml = "InForce Gen 2 Weapon Mounted Light",
		--Tacticool Tacticals
		bm_wp_wpn_fps_upg_fl_la5 = "Insight Technology LA-5B/PEQ",
		bm_wp_wpn_fps_upg_fl_peq2 = "Insight Technology AN/PEQ-2",
		bm_wp_wpn_fps_upg_fl_pers = "ZenitCo Perst-3 Combined Device",
		bm_wp_wpn_fps_upg_fl_2irs = "ZenitCo Klesch-2IKS + Laser",
		bm_wp_wpn_fps_upg_fl_dbal = "Steiner Defense DBAL-PL",
		bm_wp_wpn_fps_upg_fl_ncs = "NcSTAR Tactical Blue Laser",
		bm_wp_wpn_fps_upg_fl_x400 = "SureFire X-400U WeaponLight",
		bm_wp_wpn_fps_upg_fl_las = "Steiner Defense LAS/TAC 2",
		bm_wp_wpn_fps_upg_fl_holo = "Holosun LS321 Laser Sight",
		bm_wp_wpn_fps_upg_fl_kleh = "ZenitCo Klesch-2U Flashlight",
		bm_wp_wpn_fps_upg_fl_pis_gl21 = "Glock GTL 21 Tactical Light & Laser",
		bm_wp_wpn_fps_upg_fl_pis_xc1 = "SureFire XC1 WeaponLight",
		
		--[Underbarrel Weapons]
		--Standalone LF 7.62 Launcher
		bm_wp_ugl = "Colt M203 Grenade Launcher",
		bm_wp_ugl_inc = "Colt M203 Incendiary Grenade Launcher",
		--Masterkey Pack
		bm_wp_wpn_fps_ubs_spas12 = "Franchi SPAS-12",
		bm_wp_wpn_fps_ubs_six12 = "Crye Precision SIX-12",
		--GP-25 (AK Extra Attachments Pack)
		bm_wp_wpn_fps_ass_heffy_all_gl_gp25 = "TsKIB SOO GP-25 Grenade Launcher",
		--Integrated Launcher (VHS Attachment Pack)
		bm_wp_wpn_fps_ass_vhs_ub_nade = "VHS-BG Grenade Launcher",
		--Launcher & Shotty (M16 "Little Friend" Attachments)
		bm_wp_wpn_fps_m16_ub_m203 = "Colt M203 Grenade Launcher",
		bm_wp_wpn_fps_m16_ub_masterkey = "Knight's Armament Co. Masterkey",
		
		--[Ammunition]
		--Thermobaric Warhead (M202)
		bm_wp_wpn_fps_gre_ray_incen = "M235 Incendiary TPA Rockets",
		--Non-AP (5/7)
		bm_wp_wpn_fps_pis_lemming_a_nonap = "5.7×28mm Jacketed Hollow Point",
		--AP (P90)
		bm_wp_wpn_fps_smg_p90_a_57 = "5.7×28mm Armor Piercing",
		bm_wp_wpn_fps_smg_p90_a_57_desc = "Who the hell thought chambering the P90 with hollow point rounds was a good idea?\n\nPierces through shields & body armor. AS IT SHOULD. -50% pickup rate.",
		--+P
		bm_wp_wpn_fps_plusp = "9×19mm Parabellum +P",
		--Argent Ammo (Sterling)
		bm_wp_wpn_fps_smg_sterling_am_argent = "9×19mm Parabellum +P+ \"Argent\"",
		bm_wp_wpn_fps_smg_sterling_am_argent_desc = "Hoxton's custom-made overpressure rounds.\n\n-77%/-71% pickup rate.",
		--Teutonic Ammo (P7)
		bm_wp_wpn_fps_pis_legacy_am_teutonic = "9×19mm Parabellum +P+ \"Teutonic\"",
		bm_wp_wpn_fps_pis_legacy_am_teutonic_desc = "Wolf's overpressure rounds.",
		--Joyous Ammo (MPX)
		bm_wp_wpn_fps_upg_am_mpx_joy = "9×19mm Parabellum +P+ \"Joyous\"",
		bm_wp_wpn_fps_upg_am_mpx_joy_desc = "Joy's overpressure rounds.\n\n+5% pickup rate.",
		--.458 Win Mag (M1 Garand)
		bm_wp_wpn_fps_ass_ching_am_458_desc = "Because fuck you, fuck your cover, fuck the six guys behind you, and fuck my shoulder.\n\nPierces through cover, shields & body armor.",
		--Hammerhead Rounds (Swordfish MP5 Parts)
		bm_wp_wpn_fps_upg_am_fishy = "9×21mm Dillon",
		bm_wp_wpn_fps_upg_am_fishy_desc = "Wildcat cartridge derived from a cut-down 10mm Auto round.",
		--Big Ben 9x39 (Desert Eagle)
		bm_wp_wpn_fps_pis_deagle_am_pab9 = "9×39mm PAB-9",
		bm_wp_wpn_fps_pis_deagle_am_pab9_desc = "Pierces body armor. +100/+14% pickup rate.",
		--7.62 Ammo (Galil ARM)
		bm_wp_wpn_fps_upg_galil_am_thicc = "7.62×51mm NATO Hollow Point",
		bm_wp_wpn_fps_upg_galil_am_thicc_desc = "-35% pickup rate.",
		bm_wp_wpn_fps_upg_galil_am_powie = "7.62×51mm NATO Full Metal Jacket",
		bm_wp_wpn_fps_upg_galil_am_powie_desc = "Pierces through cover, shields & body armor. -55% pickup rate.",
		--Wildcat Ammo (Defender)
		bm_wp_wpn_fps_upg_shrew_am_wildcat = "10×25mm Automatic",
		bm_wp_wpn_fps_upg_shrew_am_wildcat_desc = "High velocity cartridge developed in 1983; Though it saw limited usage by the FBI during the late '80s, it fell out of favor and was inevitably replaced by the .40 S&W round in 1990.\n\n-35% pickup rate.",
		bm_wp_wpn_fps_upg_shrew_am_dillon = "9×25mm Dillon",
		bm_wp_wpn_fps_upg_shrew_am_dillon_desc = "Wildcat cartridge derived from a cut-down 10mm Auto round; developed in 1988 for use in USPSA/ISPC shooting competitions.\n\nPierces through cover, shields & body armor. -55% pickup rate.",
		--ammo out the wazoo (Operator Attachment Pack)
		bm_wp_wpn_fps_upg_am_hollow_large = "Hollow Point Rounds", --some ammo types in this mod pack are shared between various assault rifles and submachine guns, so only a generic name would work here
		bm_wp_wpn_fps_upg_am_hollow_large_desc = "Expanding rounds for controlled penetration.\n\n+30% headshot damage. -5% pickup rate.",
		bm_wp_wpn_fps_upg_am_hollow_small = "Hollow Point Rounds",
		bm_wp_wpn_fps_upg_am_hollow_small_desc = "Expanding rounds for controlled penetration.\n\n-25%/+15% pickup rate.",
		bm_wp_wpn_fps_upg_am_gomerpyle = "Full Metal Jacket Rounds",
		bm_wp_wpn_fps_upg_am_gomerpyle_desc = "Full-lead cored rounds.\n\nPierces through cover, shields & body armor. -5% pickup rate.",
		bm_wp_wpn_fps_upg_am_snap_desc = "Saboted, Negligible Armor Penetration.\n\n-36%/-37% pickup rate.",
		bm_wp_wpn_fps_upg_am_slap_desc = "Saboted, Light Armor Penetration.\n\nPierces through cover & body armor. -10% pickup rate.",
		bm_wp_wpn_fps_upg_am_plusp = "Overpressure Rounds",
		bm_wp_wpn_fps_upg_am_plusp_desc = "Bullets with added powder and pressure for increased stopping power.\n\nPierces through cover, shields & body armor. -5% pickup rate.",
		bm_wp_wpn_fps_upg_ching_am_crap = "7.62×51mm NATO",
		bm_wp_wpn_fps_upg_ching_am_crap_desc = "Post-war rounds used in reconfigured M1C rifles in 1951 by the U.S. Marine Corps.\n\n+214%/+286% pickup rate.",
		bm_wp_wpn_fps_upg_tecci_am_beefy = "5.56×45mm NATO Hollow Point",
		bm_wp_wpn_fps_upg_tecci_am_beefy_desc = "Classic NATO rounds that expand on impact.\n\n-28% pickup rate.",
		bm_wp_wpn_fps_upg_am_lame = "Dirty Rounds",
		bm_wp_wpn_fps_upg_am_lame_desc = "Cost-effective, low-powered rounds which leave behind traces of lead and powder after discharging.\n\n+350%/+138% pickup rate.",
		bm_wp_wpn_fps_upg_am_rjhp = "Remington \"Golden Saber\" Rounds",
		bm_wp_wpn_fps_upg_am_rjhp_desc = "High-performance, brass-jacketed hollow point rounds produced for self-defense and law enforcement use.\n\n-40%/-43% pickup rate.",
		bm_wp_wpn_fps_upg_komodo_am_iwirazor = "5.56×45mm NATO \"Razor Core\"",
		bm_wp_wpn_fps_upg_komodo_am_iwirazor_desc = "77-grain, open tip match rounds manufactured by IMI for use with special forces, providing improved accuracy and stopping power over the standard 5.56 NATO ball round.\n\n-10% pickup rate.",
		bm_wp_wpn_fps_upg_m95_am_steyr = ".460 Steyr",
		bm_wp_wpn_fps_upg_m95_am_steyr_desc = "Centerfire cartridge designed in 2002 for use in precision rifles with sport shooters; its dimensions are similar to that of the .50 BMG round and can even be used in its place.\n\n+1300%/+62% pickup rate.",
		bm_wp_wpn_fps_upg_12g_am_rip = "\"Radically Invasive Projectile\" Slugs",
		bm_wp_wpn_fps_upg_12g_am_rip_desc = "Fires a single, solid brass slug designed to yaw and expand on impact for a devastating wounding profile.\n\n-20% pickup rate.",
		bm_wp_wpn_fps_upg_siltstone_am_lancaster = "9.6×53mm Lancaster",
		bm_wp_wpn_fps_upg_siltstone_am_lancaster_desc = "A powerful round based on the 7.62×54mmR cartridge, designed specifically for use with oval bore rifles.\n\nPierces through cover, shields & body armor. -30%/-10% pickup rate.",
		bm_wp_wpn_fps_upg_g17_am_gap = ".45 Glock Automatic Pistol",
		bm_wp_wpn_fps_upg_g17_am_gap_desc = "Pistol cartridge designed by Ernest Durham at the request of Glock to provide an alternative to the .45 ACP round with equal stopping power.\n\n-60%/-61% pickup rate.",
		--Zero Dark (TTI Attachment Pack)
		bm_wp_wpn_fps_upg_shepheard_am_tti = "9×19mm Parabellum +P+",
		bm_wp_wpn_fps_upg_shepheard_am_tti_desc = "Custom-tooled, overpressure rounds manufactured by the Continental's production facilities in Casablanca, and used extensively by its assassins employed there.\n\n-33%/-32% pickup rate.",
		--Magnum AP
		bm_wp_wpn_fps_pis_rev_magnum_rounds = ".44 Magnum Armor Piercing",
		bm_wp_wpn_fps_pis_rev_magnum_rounds_desc = "Pierces through cover, shields & body armor. -20% pickup rate.",
		bm_wp_wpn_fps_pis_rev_akimbo_magnum_rounds = ".44 Magnum Armor Piercing",
		bm_wp_wpn_fps_pis_rev_akimbo_magnum_rounds = "Double the pleasure, double the penetration.\n\nPierces through cover, shields & body armor. -20% pickup rate.",
		bm_wp_wpn_fps_pis_deagle_magnum_rounds = ".50 Action Express Armor Piercing",
		bm_wp_wpn_fps_pis_deagle_magnum_rounds = "Pierces through cover, shields & body armor. -20% pickup rate.",
		--Cali's Dumb Modifications
		bm_wp_wpn_fps_upg_a_caliapround = "Armor Piercing Rounds",
		bm_wp_wpn_fps_upg_a_caliapround_desc = "Pierces through body armor.",
		bm_wp_wpn_fps_upg_a_caliaproundplus = "Armor Piercing+ Rounds",
		bm_wp_wpn_fps_upg_a_caliaproundplus_desc = "Pierces through cover, shields & body armor. -34% pickup rate.",
		bm_wp_wpn_fps_caliexplodegarand = ".30-06 Springfield T99",
		bm_wp_wpn_fps_caliexplodegarand_desc = "\"Observation Explosive\" cartridge developed for use with cannons to designate line-of-sight targets. Not adopted.\n\nExplodes on impact. -10% pickup rate.",
		bm_wp_wpn_fps_upg_a_10mm_caliround = "10×25mm Automatic",
		bm_wp_wpn_fps_upg_a_10mm_caliround_desc = "-30% pickup rate.",
		bm_wp_wpn_fps_caliexplodejudge_desc = "Single shot, explosive round.\n\n-20% pickup rate.",
		bm_wp_wpn_fps_upg_a_califirerevolver = "Dragon's Breath Rounds",
		bm_wp_wpn_fps_upg_a_califirerevolver_desc = "Ignites on impact.",
		--Project UAE
		-- bm_wp_wpn_fps_ass_scar_ck_light = "SCAR-L Kit",
		-- bm_wp_wpn_fps_ass_scar_ck_light_desc = "Rechambers the SCAR to fire the lighter 5.56×45mm NATO cartridge.\n\n",
		--lodseammo (More Ammunition Types)
		bm_wp_wpn_fps_upg_a_taser556 = "5.56×45mm NATO \"Taser\"",
		bm_wp_wpn_fps_upg_a_taser556_desc = "Standard 5.56 NATO rounds filled with electrical conductors designed for non-lethal takedowns.\n\nTemporarily immobilizes enemies.",
		bm_wp_wpn_fps_upg_a_9x19_bird = "9×19mm Parabellum Birdshot",
		bm_wp_wpn_fps_upg_a_9x19_bird_desc = "9mm cartridges loaded with small lead pellets.\n\nFires 8 pellets. Recategorizes weapon as shotgun.",
		bm_wp_wpn_fps_upg_a_9x19_rat = "9×19mm Parabellum Ratshot",
		bm_wp_wpn_fps_upg_a_9x19_rat_desc = "9mm cartridges loaded with small lead pellets intended for pest control.\n\nFires 15 pellets. Recategorizes weapon as shotgun.",
		bm_wp_wpn_fps_upg_a_taser9mm = "9×19mm Parabellum \"Taser\"",
		bm_wp_wpn_fps_upg_a_taser9mm_desc = "9mm rounds filled with electrical conductors designed for non-lethal takedowns.\n\nTemporarily immobilizes enemies.",
		bm_wp_wpn_fps_upg_a_poison44 = ".44 Magnum \"Maeda\"", -- aw yis, parasite eve
		bm_wp_wpn_fps_upg_a_poison44_desc = "Kunihiko Maeda's personal stash of magnum rounds containing the DNA of the (presumed) late Aya Brea. They don't seem to agree with the cell biology of cops, ironically.\n\nPoisons enemies.",
		bm_wp_wpn_fps_upg_a_poisonslug = "\"Maeda\" Shells",
		bm_wp_wpn_fps_upg_a_poisonslug_desc = "Shotgun shells containing the DNA of the (presumed) late Aya Brea.\n\nPoisons enemies.",
		bm_wp_wpn_fps_upg_a_minibuck = "Mini 00 Buck",
		bm_wp_wpn_fps_upg_a_minibuck_desc = "1/2 sized shotgun shells allowing for more consecutive shots and alleviates recoil, but hampers killing power.\n\n-20% range.",
		bm_wp_wpn_fps_upg_a_minislug = "Mini Slugs",
		bm_wp_wpn_fps_upg_a_minislug_desc = "Miniature solid steel slugs allowing for more consecutive shots.\n\n+10%/+20% range. %49% chance to pierce body armor.",
		-- bm_wp_wpn_fps_upg_a_12_bird = "",
		bm_wp_wpn_fps_upg_a_12_bird_desc = "Low-power shotshells designed for hunting small to medium sized birds.\n\nFires 36 pellets. -10% range.",
		bm_wp_wpn_fps_upg_a_lap9mm = "9×19mm Parabellum Light Armor Piercing",
		bm_wp_wpn_fps_upg_a_lap9mm_desc = "Pierces through body armor.",
		bm_wp_wpn_fps_upg_a_ap9mm = "9×19mm Parabellum Full Metal Jacket",
		bm_wp_wpn_fps_upg_a_ap9mm_desc = "Pierces through cover & body armor.",
		bm_wp_wpn_fps_upg_a_ince8mm = "7.92×57mm Mauser P.m.K.",
		bm_wp_wpn_fps_upg_a_ince8mm_desc = "Steel-cored 7.92 Mauser rounds loaded with phosphorus.\n\nIgnites on impact.",
		bm_wp_wpn_fps_upg_a_he8mm = "7.92×57mm Mauser \"B-Patrone\"",
		bm_wp_wpn_fps_upg_a_he8mm_desc = "7.92 Mauser rounds loaded with white phosphorus.\n\nPierces through shields & body armor, otherwise explodes on impact.",
		bm_wp_wpn_fps_upg_a_ap8mm = "7.92×57mm Mauser S.m.K.",
		bm_wp_wpn_fps_upg_a_ap8mm_desc = "Hardened steel-cored variant of the Mauser cartridge.\n\nPierces through cover, shields & body armor.",
		bm_wp_wpn_fps_upg_a_7h21 = "9×19mm 7N21 +P+",
		bm_wp_wpn_fps_upg_a_7h21_desc = "9mm overpressure variant developed by the Russian military.\n\nPierces through body armor.",
		bm_wp_wpn_fps_upg_a_7h31 = "9×19mm 7N31 +P+",
		bm_wp_wpn_fps_upg_a_7h31_desc = "The 7N31 cartridge is similar to the 7N21, but with a lighter bullet capable of achieving greater velocity.\n\nPierces through body armor.",
		bm_wp_wpn_fps_upg_a_pso545x18 = "5.45×18mm PSO",
		bm_wp_wpn_fps_upg_a_pso545x18_desc = "Spitzer-pointed FMJ handgun bullets with lead cores.",
		bm_wp_wpn_fps_upg_a_7n7_545x18 = "5.45×18mm 7N7",
		bm_wp_wpn_fps_upg_a_7n7_545x18_desc = "Spitzer-pointed FMJ bullets with steel cores.\n\nPierces through body armor.",
		bm_wp_wpn_fps_upg_a_hv9mm = "9×19mm Parabellum \"Hyper Velocity\"",
		bm_wp_wpn_fps_upg_a_hv9mm_desc = "Experimental 9mm rounds with a tungsten core.\n\nPierces through cover, shields & body armor.",
		bm_wp_wpn_fps_ass_ching_ap_mat = ".30-06 Springfield M1917 Armor Piercing",
		bm_wp_wpn_fps_ass_ching_ap_mat_desc = "Springfield rounds with an armor piercing tip.\n\nPierces through shields & body armor.",
		bm_wp_wpn_fps_upg_a_556x45_ppa = "5.56×45mm NATO PPA",
		bm_wp_wpn_fps_upg_a_556x45_ppa_desc = "5.56 variant with a hard core ball round.\n\nPierces through body armor.",
		bm_wp_wpn_fps_upg_a_556x45_dm31 = "5.56×45mm NATO DM31",
		bm_wp_wpn_fps_upg_a_556x45_dm31_desc = "5.56 variant with a tungsten carbide core.\n\nPierces through body armor.",
		bm_wp_wpn_fps_upg_a_556x45_m995 = "5.56×45mm NATO M995",
		bm_wp_wpn_fps_upg_a_556x45_m995_desc = "5.56 variant based on the U.S.-derived SS109 round.\n\nPierces through shields & body armor.",
		bm_wp_wpn_fps_upg_a_545x39_7u1 = "5.45×39mm Russian 7U1",
		bm_wp_wpn_fps_upg_a_545x39_7u1_desc = "Subsonic Full Metal Jacket rounds for use with the AKS-74UB.\n\nReduces shot noise.",
		bm_wp_wpn_fps_upg_a_545x39_7n6 = "5.45×39mm Russian 7N6",
		bm_wp_wpn_fps_upg_a_545x39_7n6_desc = "Improved version of the 5N7 round with a hardened steel core.\n\nPierces through shields & body armor.",
		bm_wp_wpn_fps_upg_a_545x39_7n6m = "5.45×39mm Russian 7N6M",
		bm_wp_wpn_fps_upg_a_545x39_7n6m_desc = "5.45 variant developed in 1987 in response to the increased usage of body armor in military units world-wide; features a steel rod penetrator made of steel 65 which is hardened to 60 HRC.\n\nPierces through body armor.",
		bm_wp_wpn_fps_upg_a_545x39_7n10 = "5.45×39mm Russian 7N10",
		bm_wp_wpn_fps_upg_a_545x39_7n10_desc = "5.45 variant developed in 1992 which features a lengthened steel penetrator made of steel 70 for improved penetration and a smaller hollow cavity for reduced weight.\n\nPierces through shields & body armor.",
		bm_wp_wpn_fps_upg_a_545x39_7n22 = "5.45×39mm Russian 7N22",
		bm_wp_wpn_fps_upg_a_545x39_7n22_desc = "5.45 variant with armor piercing capabilities; features a sharp-pointed steel penetrator made of steel U12A and retains the soft lead plug-on nose for jacket discarding.\n\nPierces through shields & body armor.",
		bm_wp_wpn_fps_upg_a_545x39_7n24 = "5.45×39mm Russian 7N24",
		bm_wp_wpn_fps_upg_a_545x39_7n24_desc = "\"Super-armor-piercing\" cartridge variant; features a stub cone penetrator made of tungsten carbide.\n\nPierces through cover, shields & body armor.",
		bm_wp_wpn_fps_upg_a_762x39_hp = "7.62×39mm Soviet Hollow Point",
		bm_wp_wpn_fps_upg_a_762x39_hp_desc = "Expanding rounds for bigger impact.",
		bm_wp_wpn_fps_upg_a_762x39_m67 = "7.62×39mm Soviet M67",
		bm_wp_wpn_fps_upg_a_762x39_m67_desc = "Yugoslavian variant of the 7.62 cartridge for a superior wounding profile.",
		bm_wp_wpn_fps_upg_a_762x39_8m3 = "7.62×39mm Soviet 8M3",
		bm_wp_wpn_fps_upg_a_762x39_8m3_desc = "124-grain, hollow point rounds.",
		bm_wp_wpn_fps_upg_a_762x39_tsr = "7.62×39mm Soviet \"Taser\"",
		bm_wp_wpn_fps_upg_a_762x39_tsr_desc = "7.62 rounds filled with electrical conductors designed for non-lethal takedowns.\n\nTemporarily immobilizes enemies.",
		bm_wp_wpn_fps_upg_a_762x39_poison = "7.62×39mm Soviet Poison Tip",
		bm_wp_wpn_fps_upg_a_762x39_poison_desc = "7.62 rounds with laced with a potent venom.\n\nPoisons enemies.",
		bm_wp_wpn_fps_upg_a_762x39_57n231 = "7.62×39mm Soviet 57-N-231",
		bm_wp_wpn_fps_upg_a_762x39_57n231_desc = "7.62 variant with a steel core.\n\nPierces through body armor.",
		bm_wp_wpn_fps_upg_a_762x39_57n231u = "7.62×39mm Soviet 57-N-231U",
		bm_wp_wpn_fps_upg_a_762x39_57n231u_desc = "Subsonic rounds for use with AK-47-type rifles equipped with the PBS-1 Suppressor.\n\nReduces shot noise.",
		bm_wp_wpn_fps_upg_a_762x39_g2 = "7.62×39mm Soviet \"RipOut\"",
		bm_wp_wpn_fps_upg_a_762x39_g2_desc = "Copper hollow-point 7.62 rounds developed by G2 Research, designed to pierce through solid objects and expand upon hitting soft tissue.\n\n49% to pierce body armor.",
		bm_wp_wpn_fps_upg_a_762x39_7n23 = "7.62×39mm Soviet 7N23",
		bm_wp_wpn_fps_upg_a_762x39_7n23_desc = "Armor-piercing variant of the 7.62 round introduced in 2002.\n\nPierces through shields & body armor.",
		bm_wp_wpn_fps_upg_a_762x39_hv = "7.62×39mm Soviet \"Hyper Velocity\"",
		bm_wp_wpn_fps_upg_a_762x39_hv_desc = "Experimental 7.62 rounds.\n\nPierces through cover, shields & body armor.",
		bm_wp_wpn_fps_upg_a_762x39_fmjtit56 = "7.62×39mm Soviet Type 56 FMJ-TI",
		bm_wp_wpn_fps_upg_a_762x39_fmjtit56_desc = "Chinese 7.62 rounds with incendiary pellets.\n\nIgnites on impact.",
		bm_wp_wpn_fps_upg_a_762x39_z = "7.62×39mm Soviet 57-Z-231",
		bm_wp_wpn_fps_upg_a_762x39_z_desc = "Light armor-piercing 7.62 rounds with an incendiary tip.\n\nPierces through shields & body armor, otherwise ignites on impact.",
		bm_wp_wpn_fps_upg_a_762x39_bz = "7.62×39mm Soviet 57-BZ-231",
		bm_wp_wpn_fps_upg_a_762x39_bz_desc = "Steel-cored 7.62 rounds with incendiary pellets.\n\nPierces through cover, shields & body armor, otherwise ignites on impact.",
		bm_wp_wpn_fps_upg_a_762x39_m78 = "7.62×39mm Soviet M78",
		bm_wp_wpn_fps_upg_a_762x39_m78_desc = "Yugoslavian tracer round based on the M67 cartridge; ignites from 115 meters away from the muzzle.\n\nIgnites on impact.",
		bm_wp_wpn_fps_upg_a_762x39_m82 = "7.62×39mm Soviet M82",
		bm_wp_wpn_fps_upg_a_762x39_m82_desc = "Yugoslavian armor-piercing round with an incendiary tracer capsule.\n\nPierces through body armor, otherwise ignites on impact.",
		bm_wp_wpn_fps_upg_a_762x39_m83 = "7.62×39mm Soviet M83",
		bm_wp_wpn_fps_upg_a_762x39_m83_desc = "Yugoslavian armor-piercing incendiary round based on the M82.\n\nPierces through shields & body armor, otherwise ignites on impact.",
		bm_wp_wpn_fps_upg_a_762x39_t56api = "7.62×39mm Soviet Type 56 AP-I",
		bm_wp_wpn_fps_upg_a_762x39_t56api_desc = "Chinese steel-cored 7.62 rounds with an incendiary pellet behind it.\n\nPierces through shields & body armor, otherwise ignites on impact.",
		bm_wp_wpn_fps_upg_a_762x39_t56fmj = "7.62×39mm Soviet Type 56 Ball",
		bm_wp_wpn_fps_upg_a_762x39_t56fmj_desc = "Chinese 7.62 rounds with a partial steel-core. Despite this, it is not an armor-piercing round due its use of mild steel.",
		bm_wp_wpn_fps_upg_a_762x39_elysium = "7.62×39mm Soviet Air Burst Explosive",
		bm_wp_wpn_fps_upg_a_762x39_elysium_desc = "Compressed, air-fueled explosive rounds containing bolt shells which rupture before violently exploding, shredding through flesh and metal all the same.\n\nExplodes on impact.",
		bm_wp_wpn_fps_upg_a_9x39_pab9 = "9×39mm PAB-9",
		bm_wp_wpn_fps_upg_a_9x39_pab9_desc = "Cost-effective variant of the 9×39 round with a stamped steel core; its performance was below standard and usage prohibited as of 2011.\n\n49% chance to pierce body armor.",
		bm_wp_wpn_fps_upg_a_9x39_sp5 = "9×39mm SP-5",
		bm_wp_wpn_fps_upg_a_9x39_sp5_desc = "9×39 variant with a lead-cored full metal jacket for improved accuracy.\n\n+100% range. 49% chance to pierce body armor. Recategorizes weapon as sniper rifle.",
		bm_wp_wpn_fps_upg_a_9x39_spp = "9×39mm SPP",
		bm_wp_wpn_fps_upg_a_9x39_spp_desc = "9×39 sniper variant with increased penetration.\n\n+200% range. Pierces through body armor.",
		bm_wp_wpn_fps_upg_a_9x39_sp6 = "9×39 SP-6",
		bm_wp_wpn_fps_upg_a_9x39_sp6_desc = "Hardened metal core variant of the 9×39 round developed by Yuri Frolov capable of penetrating 8 millimeters (.31 inches) of steel at 100 meters.\n\nPierces through shields & body armor.",
		bm_wp_wpn_fps_upg_a_9x39_bp = "9×39 BP",
		bm_wp_wpn_fps_upg_a_9x39_bp_desc = "9×39 armor-piercing variant.\n\nPierces through shields & body armor.",
		bm_wp_wpn_fps_upg_a_762x54r_57n323s = "7.62×54mmR 57-N-323S",
		bm_wp_wpn_fps_upg_a_762x54r_57n323s_desc = "Conventional, steel-core bullet capable of penetrating body armor at 110 meters.\n\nPierces though body armor.",
		bm_wp_wpn_fps_upg_a_762x54r_7n13 = "7.62×54mmR 7N13",
		bm_wp_wpn_fps_upg_a_762x54r_7n13_desc = "Enhanced penetration round with a heat-strengthened core designed to defeat body armor.\n\nPierces through shields & body armor.",
		bm_wp_wpn_fps_upg_a_762x54r_7n26 = "7.62×54mmR 7N26",
		bm_wp_wpn_fps_upg_a_762x54r_7n26_desc = "Armor-piercing round intended for defeating body armor and light armored vehicles.\n\nPierces through cover, shields & body armor.",
		bm_wp_wpn_fps_upg_a_762x54r_7bz3 = "7.62×54mmR 7BZ3",
		bm_wp_wpn_fps_upg_a_762x54r_7bz3_desc = "Incendiary B-32 variant designed to defeat lightly armored targets.\n\nPierces through body armor, otherwise ignites on impact.",
		bm_wp_wpn_fps_upg_a_762x54r_t46 = "7.62×54mmR T-46",
		bm_wp_wpn_fps_upg_a_762x54r_t46_desc = "Tracer rounds designed for fire adjustment and target designation.\n\nIgnites on impact.",
		bm_wp_wpn_fps_upg_a_762x54r_t46m = "7.62×54mmR T-46M",
		bm_wp_wpn_fps_upg_a_762x54r_t46m_desc = "T-46 variant with a bigger lead core and smaller cap.\n\nIgnites on impact.",
		bm_wp_wpn_fps_upg_a_762x54r_7bt1 = "7.62×54mmR 7BT1",
		bm_wp_wpn_fps_upg_a_762x54r_7bt1_desc = "Armor-piercing tracer round developed and adopted in 1998.\n\nPierces through body armor, otherwise ignites on impact.",
		bm_wp_wpn_fps_upg_a_762x54r_7n1 = "7.62×54mmR 7N1",
		bm_wp_wpn_fps_upg_a_762x54r_7n1_desc = "Steel-cored, sniper round with a boat-tailed, full metal jacketed projectile developed in 1966.\n\nRecategorizes weapon as sniper rifle.",
		bm_wp_wpn_fps_upg_a_762x54r_7n14 = "7.62×54mmR 7N14",
		bm_wp_wpn_fps_upg_a_762x54r_7n14_desc = "7N1 variant loaded with a sharp hardened steel penetrator for improved penetration.\n\nPierces through shields & body armor. Recategorizes weapon as sniper rifle.",
		bm_wp_wpn_fps_upg_a_762x54r_73p2 = "7.62×54mmR 73P2",
		bm_wp_wpn_fps_upg_a_762x54r_73p2_desc = "Ranging incendiary 7.62 rimmed rounds.\n\nIgnites on impact.",
		bm_wp_wpn_fps_upg_a_556x45_mk318mod0 = "5.56×45mm NATO Mk318 Mod 0",
		bm_wp_wpn_fps_upg_a_556x45_mk318mod0_desc = "Hollow point, boat-tailed round with a similar design to the earlier Mk262 cartridge with improved lethality and accuracy.\n\n49% chance to pierce body armor.",
		bm_wp_wpn_fps_upg_a_556x45_xm777 = "5.56×45mm NATO XM777",
		bm_wp_wpn_fps_upg_a_556x45_xm777_desc = "SS109-style, Semi-Armor-Piercing round designed as a replacement for the 6×45mm SAW round as the baseline cartridge for Squad Automatic Weapon trails during the late 1970s and early 1980s.\n\n49% chance to pierce body armor.",
		bm_wp_wpn_fps_upg_a_556x45_xm778 = "5.56×45mm NATO XM778",
		bm_wp_wpn_fps_upg_a_556x45_xm778_desc = "Tracer variant of the XM777 Cartridge.\n\n49% chance to pierce body armor, otherwise ignites on impact.",
		bm_wp_wpn_fps_upg_a_556x45_m196 = "5.56×45mm NATO M196",
		bm_wp_wpn_fps_upg_a_556x45_m196_desc = "Tracer round visible from 70 to 450 meters.\n\nIgnites on impact.",
		bm_wp_wpn_fps_upg_a_556x45_l110 = "5.56×45mm NATO L110",
		bm_wp_wpn_fps_upg_a_556x45_l110_desc = "NATO-standard, full metal jacket tracer round visible up to 600 meters.\n\nIgnites on impact.",
		bm_wp_wpn_fps_upg_a_556x45_m855 = "5.56×45mm NATO M855",
		bm_wp_wpn_fps_upg_a_556x45_m855_desc = "NATO-standard, FMJ round of U.S. origin based on the SS109 cartridge.",
		bm_wp_wpn_fps_upg_a_556x45_m855a1 = "5.56×45mm NATO M855A1",
		bm_wp_wpn_fps_upg_a_556x45_m855a1_desc = "\"Enhanced Performance Round\" variant of the original M855 with a copper core within the steel penetrator in place of its lead core.",
		bm_wp_wpn_fps_upg_a_556x45_mk262 = "5.56×45mm NATO Mk262",
		bm_wp_wpn_fps_upg_a_556x45_mk262_desc = "Match-grade rounds using heavier projectiles for improved long range performance and stopping power.",
		bm_wp_wpn_fps_upg_a_556x45_mk318 = "5.56×45mm NATO Mk318",
		bm_wp_wpn_fps_upg_a_556x45_mk318_desc = "Similarly designed to the Mk262 round, but retains the weight of the original NATO round; reportedly has improved lethality and accuracy.",
		bm_wp_wpn_fps_upg_a_556x45_gp90 = "5.56×45mm NATO GP90",
		bm_wp_wpn_fps_upg_a_556x45_gp90_desc = "Swiss 5.56 NATO variant using a slightly heavier bullet and optimized for a unique 1-in-10 inch rifling twist rate; it performs similarly to its parent cartridge, though with slightly improved accuracy.",
		bm_wp_wpn_fps_upg_a_556x45_acr1 = "5.56×45mm NATO ACR \"Duplex\" Phase 1",
		bm_wp_wpn_fps_upg_a_556x45_acr1_desc = "First phase of experimental rounds developed by Olin Corporation for the Advanced Combat Rifle project; black tip.\n\nFires 2 rounds. Pierces enemies.",
		bm_wp_wpn_fps_upg_a_556x45_acr2 = "5.56×45mm NATO ACR \"Duplex\" Phase 2",
		bm_wp_wpn_fps_upg_a_556x45_acr2_desc = "Second phase of experimental rounds developed by Olin Corporation for the Advanced Combat Rifle project; red tip.\n\nFires 2 rounds.",
		bm_wp_wpn_fps_upg_a_556x45_acr3b = "5.56×45mm NATO ACR \"Duplex\" Phase 3B",
		bm_wp_wpn_fps_upg_a_556x45_acr3b_desc = "Third and final phase of experimental rounds developed by Olin Corporation for the Advanced Combat Rifle project; yellow tip.\n\nFires 2 rounds.",
		bm_wp_wpn_fps_upg_a_762x51_xm115 = "7.62×51mm NATO XM115",
		bm_wp_wpn_fps_upg_a_762x51_xm115_desc = "Very little is known of this round, other than it being an attempt to quiet the round. It was never adopted into service.\n\nReduces shot noise.",
		bm_wp_wpn_fps_upg_a_762x51_m852 = "7.62×51mm NATO M852",
		bm_wp_wpn_fps_upg_a_762x51_m852_desc = "Hollow point, boat-tail cartridge specifically designed for use in National Match competitions.\n\nPierces through cover.",
		bm_wp_wpn_fps_upg_a_762x51_m118 = "7.62×51mm NATO M118",
		bm_wp_wpn_fps_upg_a_762x51_m118_desc = "Full metal jacket, boat-tail round specifically designed for Match purposes.\n\nPierces through enemies. Recategorizes weapon as sniper rifle.",
		bm_wp_wpn_fps_upg_a_762x51_m118lr = "7.62×51mm NATO M118LR",
		bm_wp_wpn_fps_upg_a_762x51_m118lr_desc = "Match-grade cartridge designed from long-range sniping.\n\nPierces through enemies. Recategorizes weapon as sniper rifle.",
		bm_wp_wpn_fps_upg_a_762x51_mk316mod0 = "7.62×51mm NATO Mk316 MOD 0",
		bm_wp_wpn_fps_upg_a_762x51_mk316mod0_desc = "175-grain round specifically designed for long-range sniping.\n\nPierces through enemies. Recategorizes weapon as sniper rifle.",
		bm_wp_wpn_fps_upg_a_762x51_m80 = "7.62×51mm NATO M80",
		bm_wp_wpn_fps_upg_a_762x51_m80_desc = "Improved 147-grain ball cartridge with a lead-antimony core.\n\nPierces through enemies.",
		bm_wp_wpn_fps_upg_a_762x51_dm41 = "7.62×51mm NATO DM41",
		bm_wp_wpn_fps_upg_a_762x51_dm41_desc = "Standard service round for the G3 battle rifle; a West German ball cartridge with a copper-washed steel jacket.",
		bm_wp_wpn_fps_upg_a_762x51_dm111 = "7.62×51mm NATO DM111",
		bm_wp_wpn_fps_upg_a_762x51_dm111_desc = "German variant of the U.S. M80 round with a cupronickel-coated steel jacket.",
		bm_wp_wpn_fps_upg_a_762x51_m948 = "7.62×51mm NATO M948",
		bm_wp_wpn_fps_upg_a_762x51_m948_desc = "Saboted Light Armor Penetrator cartridge adopted by the U.S. Army in limited quantities.\n\nPierces through cover & body armor.",
		bm_wp_wpn_fps_upg_a_762x51_m959 = "7.62×51mm NATO M959",
		bm_wp_wpn_fps_upg_a_762x51_m959_desc = "Tracer variant of the M948 cartridge.\n\nPierces through cover & body armor, otherwise ignites on impact.",
		bm_wp_wpn_fps_upg_a_762x51_m61 = "7.62×51mm NATO M61",
		bm_wp_wpn_fps_upg_a_762x51_m61_desc = "150.5-grain armor-piercing cartridge; black tip.\n\nPierces through cover, shields & body armor.",
		bm_wp_wpn_fps_upg_a_762x51_m62 = "7.62×51mm NATO M62",
		bm_wp_wpn_fps_upg_a_762x51_m62_desc = "142-grain tracer cartridge; orange tip.\n\nIgnites on impact.",
		bm_wp_wpn_fps_upg_a_762x51_m993 = "7.62×51mm NATO M993",
		bm_wp_wpn_fps_upg_a_762x51_m993_desc = "126.6-grain armor-piercing round; black tip.\n\nPierces through cover, shields & body armor.",
		bm_wp_wpn_fps_upg_a_762x51_xm256 = "7.62×51mm NATO XM256",
		bm_wp_wpn_fps_upg_a_762x51_xm256_desc = "82-grain, single-round variant of the M198 developed as an attempt for controlling the M14 in full-auto mode, but was never adopted into service; white tip.",
		bm_wp_wpn_fps_upg_a_762x51_m198 = "7.62×51mm NATO M198 \"Duplex\"",
		bm_wp_wpn_fps_upg_a_762x51_m198_desc = "Duplex ball round containing 2 84-grain bullets, intended for use with the M14 by doubling its volume of fire. Also known as the T314E3 during development; green tip.\n\nFires 2 rounds. Pierces enemies.",
		bm_wp_wpn_fps_upg_a_4_zhar1 = "23×75mmR \"ZHAR-1\"",
		bm_wp_wpn_fps_upg_a_4_zhar1_desc = "Prototype thermobaric shells.\n\n-10% range. Explodes on impact.",
		bm_wp_wpn_fps_upg_a_12_sabot = "Sabot Shells",
		bm_wp_wpn_fps_upg_a_12_sabot_desc = "Fires a single sabot made of steel.\n\nPierces through cover, shields & body armor.",
		bm_wp_wpn_fps_upg_a_12_slsabot = "Sabot Shells",
		bm_wp_wpn_fps_upg_a_12_slsabot_desc = "Fires a single sabot made of steel.\n\n+Pierces through cover, shields & body armor. -60% pickup rate.",
		bm_wp_wpn_fps_upg_a_12_hsabot = "Sabot Shells",
		bm_wp_wpn_fps_upg_a_12_hsabot_desc = "Fires a single sabot made of steel.\n\nPierces through cover, shields & body armor. +200% pickup rate.",
		bm_wp_wpn_fps_upg_a_12_t_sabot = "Tungsten Sabot Shells",
		bm_wp_wpn_fps_upg_a_12_t_sabot_desc = "Fires a single sabot made of tungsten for increased performance.\n\nPierces through cover, shields & body armor. -50% pickup rate.",
		bm_wp_wpn_fps_upg_a_12_t_slsabot = "Tungsten Sabot Shells",
		bm_wp_wpn_fps_upg_a_12_t_slsabot_desc = "Fires a single sabot made of tungsten for increased performance.\n\nPierces through cover, shields & body armor. -80% pickup rate.",
		bm_wp_wpn_fps_upg_a_12_t_hsabot = "Tungsten Sabot Shells",
		bm_wp_wpn_fps_upg_a_12_t_hsabot_desc = "Fires a single sabot made of tungsten for increased performance.\n\nPierces through cover, shields & body armor. +50% pickup rate.",
		bm_wp_wpn_fps_upg_a_12_du_sabot = "Depleted Uranium Sabot Shells",
		bm_wp_wpn_fps_upg_a_12_du_sabot_desc = "Fires a single sabot made of depleted uranium for significantly increased lethality.\n\nPierces through cover, shields & body armor. -70% pickup rate.",
		bm_wp_wpn_fps_upg_a_12_du_slsabot = "Depleted Uranium Sabot Shells",
		bm_wp_wpn_fps_upg_a_12_du_slsabot_desc = "Fires a single sabot made of depleted uranium for significantly increased lethality.\n\nPierces through cover, shields & body armor. -70% pickup rate.",
		bm_wp_wpn_fps_upg_a_12_du_hsabot = "Depleted Uranium Sabot Shells",
		bm_wp_wpn_fps_upg_a_12_du_hsabot_desc = "Fires a single sabot made of depleted uranium for significantly increased lethality.\n\nPierces through cover, shields & body armor. -45% pickup rate.",
		-- bm_wp_wpn_fps_upg_a_12j_jawbreaker
		bm_wp_wpn_fps_upg_a_12j_jawbreaker_desc = "You couldn't bite on one of these things without injuring yourself... just imagine getting shot by one.\n\nPierces through cover, shields & body armor. +200% pickup rate.",
		-- bm_wp_wpn_fps_upg_a_12j_hdjawbreaker = "",
		bm_wp_wpn_fps_upg_a_12j_hdjawbreaker_desc = "More layers, more flavors, more pain.\n\nPierces through cover, shields & body armor. +50% pickup rate.",
		-- bm_wp_wpn_fps_upg_a_12j_cryjawbreaker = "",
		bm_wp_wpn_fps_upg_a_12j_cryjawbreaker_desc = "The logical extreme of weaponized candy.\n\nPierces through cover, shields & body armor. -45% pickup rate.",
		bm_wp_wpn_fps_upg_a_12_frag12 = "FRAG-12 High Explosive",
		bm_wp_wpn_fps_upg_a_12_frag12_desc = "Fires a fin-stabilized, explosive round capable of breaching doors, defeating armored vehicles and disrupting IEDs.\n\n-77% pickup rate.",
		bm_wp_wpn_fps_upg_a_12_hfrag12 = "FRAG-12 High Explosive",
		bm_wp_wpn_fps_upg_a_12_hfrag12_desc = "Fires a fin-stabilized, explosive round capable of breaching doors, defeating armored vehicles and disrupting IEDs.\n\n100% pickup rate.",
		bm_wp_wpn_fps_upg_a_12_slfrag12 = "FRAG-12 High Explosive",
		bm_wp_wpn_fps_upg_a_12_slfrag12_desc = "Fires a fin-stabilized, explosive round capable of breaching doors, defeating armored vehicles and disrupting IEDs.\n\n-85% pickup rate.",
		--bm_wp_wpn_fps_upg_a_12j_prfrag12 = "",
		bm_wp_wpn_fps_upg_a_12j_prfrag12_desc = "Fires a makeshift explosive charge consisting of pop rocks mixed with soda.\n\nExplodes on impact. +100% pickup rate.",
		bm_wp_wpn_fps_upg_a_4_molniya1 = "23×75mmR \"MOLNIYA-1\"",
		bm_wp_wpn_fps_upg_a_4_molniya1_desc = "Experimental high-explosive shells.\n\n+100% range. Explodes on impact.",
		--bm_wp_wpn_fps_upg_a_12_inc_slug = "",
		bm_wp_wpn_fps_upg_a_12_inc_slug_desc = "Solid steel slugs laced with white phosphorus.\n\n+50% range. Pieces through body armor, otherwise ignites on impact.",
		--bm_wp_wpn_fps_upg_a_12_exp_buck = "",
		bm_wp_wpn_fps_upg_a_12_exp_buck_desc = "-10% range. Fires 10 pellets which explode on impact.",
		bm_wp_wpn_fps_upg_a_45lc_fmj = ".45 Long Colt Full Metal Jacket",
		bm_wp_wpn_fps_upg_a_45lc_fmj_desc = "Pierces through enemies.",
		bm_wp_wpn_fps_upg_a_45lc_jhp = ".45 Long Colt Jacketed Hollow Point",
		bm_wp_wpn_fps_upg_a_45lc_jhp_desc = "Increases damage.",
		bm_wp_wpn_fps_upg_a_45lc_jsp = ".45 Long Colt Jacketed Soft Point",
		bm_wp_wpn_fps_upg_a_45lc_jsp_desc = "Increases damage.",
		bm_wp_wpn_fps_upg_a_40x46_m651 = "40×46mm M651 Tactical CS",
		bm_wp_wpn_fps_upg_a_40x46_m651_desc = "Riot control gas grenades designed for dispersing crowds.\n\nPoisons enemies.",
		bm_wp_wpn_fps_upg_ac_9x19 = "9×19mm Parabellum",
		bm_wp_wpn_fps_upg_ac_9x19_desc = "Rechambers the weapon for the 9mm Parabellum round.",
		bm_wp_wpn_fps_upg_ac_416barrett = ".416 Barrett",
		bm_wp_wpn_fps_upg_ac_416barrett_desc = "Rechambers the M95 for the .416 Barrett round. +800%/+8% pickup rate.", -- I hope I covered everything...
		
		--[Internal Modifications]
		--Astra (Luger)
		bm_wp_wpn_fps_upg_luger_autofire = "Astra Full-Auto Kit",
		--M712 Full-Auto (C96)
		bm_wp_wpn_fps_upg_mauser_autofire = "M712 \"Schnellfeuer\" Full-Auto Kit",
		--DMR Kit (AS Val)
		bm_wp_wpn_fps_upg_i_asval_dmr = "VSS \"Vintorez\" Kit",
		--AK Fire Modes (AK Extra Attachments Pack)
		bm_wp_wpn_fps_ass_heffy_762_fm_blops = "Hybrid AK Firing Mechanism",
		--BRRT (Project UAE)
		bm_wp_wpn_fps_upg_i_brrt = "Rapid Fire",
		--triggered (Operator Attachment Pack)
		bm_wp_wpn_fps_upg_tr_match = "Match Trigger",
		bm_wp_wpn_fps_upg_tr_light = "Light Trigger",
		bm_wp_wpn_fps_upg_tr_heavy = "Heavy Trigger",
		--what the fuck are you doing (Cali's Dumb Modifications)
		bm_wp_wpn_fps_snp_m95_auto = "Full-Auto Fire",
		bm_wp_wpn_fps_snp_m95_auto_desc = "You're about to make a big mistake.\n\n+500%/+30% pickup rate.",
		
		--[Alternate Sound Effects]
		--AK Sounds (AK Extra Attachments Pack)
		bm_wp_wpn_fps_ass_heffy_762_so_blops = "Black Ops Firing Sounds",
		bm_wp_wpn_fps_ass_heffy_762_so_csgo = "CS: Global Offensive Firing Sounds",
		bm_wp_wpn_fps_ass_heffy_762_so_css = "CS: Source Firing Sounds",
		bm_wp_wpn_fps_ass_heffy_762_so_l4d2 = "Left 4 Dead 2 Firing Sounds",
		bm_wp_wpn_fps_ass_heffy_762_so_kf1 = "Killing Floor Firing Sounds",
		bm_wp_wpn_fps_ass_heffy_762_so_metro2033 = "Metro 2033 Firing Sounds",
		bm_wp_wpn_fps_ass_heffy_762_so_mohwf = "Medal of Honor: Warfighter Firing Sounds",
		bm_wp_wpn_fps_ass_heffy_762_so_mw2 = "Modern Warfare 2 Firing Sounds",
		bm_wp_wpn_fps_ass_heffy_762_so_mw3 = "Modern Warfare 3 Firing Sounds",
		bm_wp_wpn_fps_ass_heffy_545_so_mw3 = "Modern Warfare 3 Firing Sounds",
		bm_wp_wpn_fps_ass_heffy_545_so_bfbc2 = "Bad Company 2 Firing Sounds",
		--AR Sounds (AR Extra Attachments Pack)
		bm_wp_wpn_fps_ass_stoy_556_so_r6s = "Rainbow Six Siege Firing Sounds",
		bm_wp_wpn_fps_smg_stoy_919_so_r6s = "Rainbow Six Siege Firing Sounds",
		
		--[Scope Mounts]
		--AK Cover Rail
		bm_wp_wpn_fps_upg_o_asval_coverrail = "Red Heat AK Picatinny Rail",
		bm_wp_wpn_fps_upg_o_ak_coverrail = "Red Heat AK Picatinny Rail",
		--Optic Rail (M16)
		bm_wp_wpn_fps_upg_o_carrymount = "Osprey AR-15 Carry Handle Rail",
		--Elevated Mount (Galil Various Attachment)
		bm_wp_wpn_fps_upg_galil_scope_mount = "ProMag Galil Scope Mount",
		--OG Valkyria Scope Mount (Vanilla Mod Pack)
		bm_wp_wpn_fps_ass_asval_o_oldrail = "NPZ Universal AK/SVD Scope Mount", --oh cool i found the thing
		
		--[Bolts & Drag Handles]
		--drag me to hell (Vanilla Mod Pack)
		bm_wp_wpn_fps_ak_bolt_chrome = "AK-12 Bolt",
		bm_wp_wpn_fps_bow_hunter_body_swift = "Enlarged Charging Handle",
		
		--[Carry Handles]
		--Anachronistic (AK Extra Attachments Pack)
		bm_wp_wpn_fps_ass_heffy_545_ca_bop = "ROMARM AES-10B Carry Handle",
		
		--[Rail Covers]
		--Rail Cover Pack
		bm_wp_wpn_fps_rail_covers = "Knight's Armament Co. Rail Covers",
		bm_wp_wpn_fps_rc_no_b = "No Bottom Cover",
		bm_wp_wpn_fps_rc_no_t = "No Top Cover",
		bm_wp_wpn_fps_rc_no_tb = "No Top & Bottom Covers",
		--AR-9 Rail Covers (AR Extra Attachment)
		bm_wp_wpn_fps_ass_stoy_556_lrc_m4a1 = "Knight's Armament Co. Rail Covers",
		
		--[Bipods]
		bm_wp_wpn_fps_upg_l85a2_bipod = "Bipod",
		bm_wp_wpn_fps_upg_galil_bipod = "Bipod",
		bm_wp_wpn_fps_upg_g3_bipod = "Bipod",
		
		--[Weapon Descriptions]
		--1.)	Assault Rifles
		bm_w_a545_desc = "Cartridge: 5.45×39mm Russian\nFire Mode: Semi-Auto or Full-Auto\n\nAEK-971 variant with ambidextrous fire controls and a retractable stock.",
		bm_w_acwr2_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nModular assault rifle based on the Magpul Masada.",
		bm_w_acwr_desc = "Cartridge: 5.56×45mm NATO/40×46mm Grenades\nFire Mode: Semi-Auto or Full-Auto (ACR)/Single Shot (M203)" .. semidef .. "\n\nModular assault rifle fitted with an M203 grenade launcher.",
		bm_w_adar_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto only" .. ap .. "\n\nRussian civilian rifle derived from the AR-15 with barrels manufactured by Molot.",
		bm_w_aek971_desc = "Cartridge: 5.45×39mm Russian\nFire Mode: Semi-Auto, 3-Round Burst or Full-Auto\n\nAssault rifle designed by Sergey Koksharov with the balanced automatic recoil system of the AO-38.",
		bm_w_ak12_2012_desc = "Cartridge: 5.45×39mm Russian\nFire Mode: Semi-Auto, 3-Round Burst or Full-Auto\n\nPrototype model based on the AK-200 derivative.",
		bm_w_ak12_2014_desc = "Cartridge: 7.62×39mm Soviet\nFire Mode: Semi-Auto or Full-Auto\n\nPrototype rifle designed in 2014; often mistaken for the later AK-15 model despite not being designated as such until 2016.",
		bm_w_akgear_desc = "Cartridge: 5.45×39mm Russian\nFire Mode: Semi-Auto or Full-Auto\n\nModernized AK-47 fitted with Norinco Type 84S steel magazines.",
		bm_w_aknato_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nShortened carbine variant of the AK-100 series of rifles, chambered for the NATO standard 5.56 cartridge and designed for the export market.",
		bm_w_akrocket_desc = "Cartridge: 5.45×39mm Russian\nFire Mode: Semi-Auto, 2-Round Burst or Full-Auto\n\nNikonov's assault rifle known for its blistering 2-shot burst fire; intended to replace the AK-74, but was unsuccessful due to its complex design and high maintenance costs.",
		bm_w_aku94_desc = "Cartridge: 7.62×39mm Soviet\nFire Mode: Semi-Auto or Full-Auto\n\nAK-47 modified with a compact bullpup chassis for close quarters battle.",
		bm_w_ak_stamp_545_desc = "Cartridge: 5.45×39mm Russian\nFire Mode: Semi-Auto or Full-Auto\n\nRefined AKM rifle chambered for a smaller cartridge for better effective range.",
		bm_w_ak_stamp_556_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nLightweight rifle of the Kalashnikov series, designed for the export market.",
		bm_w_ak_stamp_762_desc = "Cartridge: 7.62×39mm Soviet\nFire Mode: Semi-Auto or Full-Auto\n\nModernized AK-47 introduced into service with the Soviet Army in 1959.",
		bm_w_ak_stamp_gold_desc = "Cartridge: 7.62×39mm Soviet\nFire Mode: Semi-Auto or Full-Auto\n\nWhy?",
		bm_w_ar160_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nDeveloped in 2008 for use with the Italian Armed Forces as part of the \"Soldato Futuro\" Program.",
		bm_w_ar18_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nCost-effective alternative to the AR-15 rifle; although it was never officially adopted, it did serve as a testbed for future weapon platforms, such as the British SA80 and German G36.",
		bm_w_ar60mrks_desc = "Cartridge: 7.92×33mm Kurz\nFire Mode: Semi-Auto or Full-Auto" .. semidef .. "\n\nMarksman variant of the StG-44 rifle; used extensively by elite German personnel in the 1960s.",
		bm_w_ash_desc = "Cartridge: 12.7×55mm STs-130\nFire Mode: Semi-Auto or Full-Auto\n\nRussian battle rifle intended for use by the FSB in urban environments against heavily-armed combatants.",
		bm_w_bajur_desc = "Cartridge: .300 Blackout\nFire Mode: Semi-Auto or Full-Auto" .. intsupp .. "\n\nAR-15 type PDW with a built-in suppressor; though it was never commercialized following Remington buying out AAC, the designer revived the project at his new company, \"Q\".",
		bm_w_bandit_ar_desc = "Cartridge: Unknown\nFire Mode: Semi-Auto or Full-Auto\n\nHomemade assault rifle constructed from salvaged materials; boasts a large magazine capacity at the expense of accuracy.",
		bm_w_bandit_mg_desc = "Cartridge: Unknown\nFire Mode: Full-Auto only\n\nHomemade machine gun designed for close-quarters engagements.",
		bm_w_bdgr_desc = "Cartridge: .300 Blackout\nFire Mode: Semi-Auto or Full-Auto" .. intsupp .. "\n\nAR-15 type PDW with an integral suppressor and keymod handguard.",
		bm_w_betty_desc = "Cartridge: .300 Blackout\nFire Mode: Semi-Auto or Full-Auto" .. intsupp .. "\n\nShort barreled variant of the redesigned Honey Badger.",
		bm_w_bf2042_dm7_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto only\n\nA distinctive take on the M4 from Daniel Defense, featuring a patented \"Bolt-Up\" system where the handguard is attached using hex bolts.",
		bm_w_blast_desc = "Cartridge: Unknown\nFire Mode: Semi-Auto or Full-Auto\n\nHeavy assault rifle made from advanced Votanis technology; rounds fired are broken into 3 smaller projectiles.",
		bm_w_br55_desc = "Cartridge: 9.5×40mm\nFire Mode: Semi-Auto, 3-Round Burst or Full-Auto\n\nBullpup service rifle of the UNSC Armed Forces, notable for its 3-round burst fire and 2× scope allowing for better ranged efficiency than the MA5 series of rifles.",
		bm_w_bren2_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nUpgraded version of the CZ 805 with lightweight furniture and improved ergonomics.",
		bm_w_bulldoge_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nCivilian bullpup variant of the M14.",
		bm_w_cinnamonroll_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nFuturistic M4 carbine variant with a red dot sight integrated into its carry handle; commonly seen in the hands of the American Empire special forces.",
		bm_w_contrabandc_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto or Full-Auto" .. semidef .. "\n\nHK416 derivative with an enlarged receiver and internals to better accommodate the full-powered 7.62 round.",
		bm_w_cso2m4a1flash_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nShortened M16A2 carbine used extensively by the U.S. Armed Forces since 1994; pardon the furniture though, we took this off an counter-terrorist operative who seems to like the color blue a little too much.",
		bm_w_dahl_ar_desc = "Cartridge: Unknown\nFire Mode: Semi-Auto, 3-Round Burst or Full-Auto\n\nRecoilless, modular assault rifle marketed to mercenaries stationed in Pandora; boasts a slew of interchangeable parts to fit any role.",
		bm_w_drongo_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nUltra-compact, AR-15 pattern rifle fitted with a 6-position M4 stock and standard 30-round magazines.",
		bm_w_f2000_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nModular bullpup assault rifle, equipped with a rail & flip-up iron sights in place of its proprietary scope.",
		bm_w_fakedefy_desc = "Cartridge: 7.62×39mm Soviet\nFire Mode: Semi-Auto or Full-Auto\n\nIsraeli-American, modernized AK-pattern rifle developed in the mid 2010s from the Saiga series of hunting rifles; comes with an MH1 sight straight out of the box.",
		bm_w_fckmyfingers_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nCarbine derivative of the SA80 series of rifles, converted from surplus L86 Light Support Weapons and issued to armored vehicle & helicopter crews, as well as boarding parties of the Royal Marines.",
		bm_w_flat_desc = "Cartridge: .300 Blackout\nFire Mode: Semi-Auto only" .. ap .. "\n\nLimited edition, AR-15 type marksman rifle made in 2011 to celebrate the company's 10 years in the small arms industry.",
		bm_w_fnar_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto only\n\nSemi-automatic sniper rifle based on the BAR Safari; light variant with fluted barrel.",
		bm_w_fortress_desc = "Cartridge: Bavarium Energy\nFire Mode: Semi-Auto or Full-Auto\n\nPrototype rifle loaded with Bavarium-infused rounds; powerful, but volatile.",
		bm_w_fusil_762_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nStandard infantry rifle of the Austrian Armed Forces; fitted with a bipod, ribbed metal handguard & hybrid flash suppressor/grenade launcher muzzle device.",
		bm_w_fusil_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto, 3-Round Burst or Full-Auto\n\nBullpup assault rifle of Peruvian origin; issued to armored crews as a fallback weapon.",
		bm_w_g36k_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto, 3-Round Burst or Full-Auto\n\nLithuanian variant of the G36 with a collapsible stock and modified sight rail.",
		bm_w_g3hk79_desc = "Cartridge: 7.62×51mm NATO/40×46mm Grenades\nFire Mode: Semi-Auto or Full-Auto (G3)/Single Shot (HK79)\n\nThe most widespread variant of a German battle rifle platform, now with a proprietary underbarrel launcher to complete the package.",
		bm_w_galilace762_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nModernized Galil; 7.62 NATO variant.",
		bm_w_galilace_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nModernized Galil with lighter composite parts and accessory rails for customization.",
		bm_w_gcar_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nAR-15 pattern rifle fitted with a 100 round drum magazine.",
		bm_w_grayhound_desc = "Cartridge: .300 Blackout\nFire Mode: Semi-Auto or Full-Auto\n\nFull-length, AR-15 type rifle made in house with a proprietary one piece rail system.",
		bm_w_grotb_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nModular, Polish assault rifle developed in 2007 as a replacement for their AK-pattern rifles in service at the time. It can be configured for various roles and even different layouts with a change in receiver.",
		bm_w_hcar_desc = "Cartridge: .30-06 Springfield\nFire Mode: Semi-Auto only\n\nModernized derivative of the BAR fitted with an adjustable stock and accessory rails.",
		bm_w_heffy_545_desc = "Cartridge: 5.45×39mm Russian\nFire Mode: Semi-Auto or Full-Auto\n\nRefined Kalashnikov rifle chambered for a smaller cartridge; intended to replace the AKM.",
		bm_w_heffy_556_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nGas-operated, modernized AK fitted with plastic furniture for reduced weight and improved accuracy.",
		bm_w_heffy_762_desc = "Cartridge: 7.62×39mm Soviet\nFire Mode: Semi-Auto or Full-Auto\n\nThe classic Kalashnikov rifle.",
		bm_w_heffy_939_desc = "Cartridge: 9×39mm\nFire Mode: Semi-Auto, 2-Round Burst or Full-Auto\n\nCompact, flameless entry based on the AK-100 series of rifles.",
		bm_w_heffy_gold_desc = "Cartridge: 7.62×39mm Soviet\nFire Mode: Semi-Auto or Full-Auto\n\nWho thought this was a good idea?",
		bm_w_hk33_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nAssault rifle based on the G3 platform; adopted for use by the Brazilian Air Force, as well as the Thai & Malaysian Armed Forces.",
		bm_w_hk416_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nAssault rifle based on the AR-15 platform with a proprietary short-stroke gas piston derived from the ArmaLite AR-18.",
		bm_w_hkg14976_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nPrototype, modular assault rifle designed in 2017 as a possible replacement for the G36 in Bundeswehr service; it is derived both the HK416 and G36 platforms and features fully ambidextrous controls.",
		bm_w_hometown_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nCustom-made AR-15 rifle fitted with an Ultra Lightweight V2 M-LOK handguard.",
		bm_w_howa_desc = "Cartridge: 5.56×45mm NATO (Japanese Service)\nFire Mode: Semi-Auto or Full-Auto\n\nModern assault rifle developed for use by the Japan Ground Self-Defense Force, replacing the heavier Type 64 battle rifle in 1989.",
		bm_w_howl_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nSerbian service rifle based on the AK-47.",
		bm_w_hugsforleon_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto only\n\nJohn Wick's weapon of choice and constant reminder of his past life as a hitman.",
		bm_w_jakobs_ar_desc = "Cartridge: Unknown\nFire Mode: Semi-Auto only\n\nHigh-powered, semi-automatic rifle fitted with expensive wooden furniture.",
		bm_w_k2_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nService rifle of the Republic of Korea Armed Forces since 1984.",
		bm_w_kurisumasu_desc = "Cartridge: 5.56×45mm NATO/40×46mm Grenades\nFire Mode: Semi-Auto or Full-Auto (M4A1)/Single Shot (M203)\n\nA shortened military carbine presented in a classic configuration, even down to the underbarrel launcher. The lower half of the handguard was omitted to better accommodate it.",
		bm_w_l1a1_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto only\n\nBritish variant of the FAL which saw extensive service with various Commonwealth countries.",
		bm_w_lar_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nHigh rate of fire SMG with futurized furniture and muzzle device. Do not punch.",
		bm_w_lazy_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\n\"Special Forces\" variant of the ARX-160 with a shortened stock, longer underbarrel rail and 12\" barrel.",
		bm_w_lkrifle_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto, 4-Round Burst or Full-Auto\n\nComposite carbine rifle of indiscriminate origin.",
		bm_w_m14e2_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nSelect-fire battle rifle fitted with a pistol-grip stock.",
		bm_w_m1a1_desc = "Cartridge: .30 Carbine\nFire Mode: Semi-Auto only\n\nLightweight, intermediate cartridge firearm developed in 1941 as a supplement to the then standard issue M1 Garand; A1 variant includes sidefolding stock for use with paratroopers.",
		bm_w_m27gear_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nHK416 variant used by the USMC as squad automatic weapons and designated marksman rifles.",
		bm_w_m4a1s_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto" .. noads .. "\n\nExport variant of the Model 733 used by the U.S. Delta Force.",
		bm_w_m4bpre_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nLimited edition, AR-15 type rifle developed in collaboration with Joint Force Enterprises, with assistance from U.S. Army Special Operations combat veterans from the Gunfighter program.",
		bm_w_m4_beowulf_desc = "Cartridge: .50 Beowulf\nFire Mode: Semi-Auto or Full-Auto" .. ap .. "\n\nAR-15 rifle chambered for the powerful .50 Beowulf cartridge.",
		bm_w_ma40_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nThe latest model of MA series rifles and flagship weapon of the United Nations Space Command.",
		bm_w_mav_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto or Full-Auto" .. semidef .. "\n\nSelect-fire rifle of unknown origin developed sometime before the Federation War.",
		bm_w_mcbravo_desc = "Cartridge: .300 Blackout\nFire Mode: Semi-Auto or Full-Auto" .. intsupp .. "\n\nKevin Brittingham's rifle designed in-house at his new company, Q. The lower receiver appears to be salvaged from an earlier prototype due to budget constraints.",
		bm_w_mcx_gen1_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nThe rifle counterpart to the MPX, offering the same modularity in a familiar layout for those not willing to give up their M16s.",
		bm_w_mcx_spear_desc = "Cartridge: 6.8×51mm\nFire Mode: Semi-Auto or Full-Auto\n\nA battle rifle variant of the MCX designed in 2019 for the U.S. Army's Next Generation Squad Weapon program. The longer barrel profile is retained from the earlier MCX-MR, a failed submission back in 2018.",
		bm_w_mdr_308_desc = "Cartridge: 7.62×51mm NATO/40×46mm Grenades\nFire Mode: Semi-Auto or Full-Auto(MDR)/Single Shot (MK.13)" .. ap .. semidef .. "\n\nBattle rifle variant of the MDR with a mounted launcher normally seen on SCAR rifles. An atypical choice, but at least the colors (almost) match.",
		bm_w_mdr_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nAmbidextrous, bullpup assault rifle with patented forward ejection system for easy offhand-shoulder fire.",
		bm_w_mike4_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nShort-barreled carbine similar to the M4A1 and M733, down to the flattop upper receiver of the former.",
		bm_w_mikon_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nM4 derivative utilizing a gas piston operating system for improved reliability.",
		bm_w_mini14_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nCost-effective, semi-automatic rifle popular with civilian, military and police units alike; it outwardly resembles the M14, though their similarities end there.",
		bm_w_mk17_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nStreamlined battle rifle modified with a lightweight bolt for close-quarters battle.",
		bm_w_mk18s_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto, 3-Round Burst or Full-Auto\n\nShortened M4A1 with added burst fire.",
		bm_w_munmu_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nHeavily modified Korean assault rifle; comes with various neural-networking devices for more specialized combat roles.",
		bm_w_mxg_desc = "Cartridge: .30-06 Springfield\nFire Mode: Semi-Auto only\n\nFuturistic M1 Garand variant developed during the Third Cold War.",
		bm_w_nightgoddess_desc = "Cartridge: 9×39mm\nFire Mode: Semi-Auto or Full-Auto" .. intsupp .. "\n\nShort barreled variant of the AS \"Val\" designed by the Norvinsk Brigade; features an AR-15 stock adapter and quad-rail handguard for mounting accessories.",
		bm_w_nova4_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nLook, it's a space AR-15. What did you expect?",
		bm_w_obr5_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto only\n\nAR-10 type designated marksman rifle based off the OBR 7.62 variant.",
		bm_w_obr7_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto only\n\nAR-10 type designated marksman rifle with a desert camo finish.",
		bm_w_osipr_desc = "Cartridge: 5.56×45mm NATO (K11)/20×30mm Grenades (Launcher)\nFire Mode: Semi-Auto or Full-Auto (K11)/Single Shot (Launcher)\n\nKorean, multi-weapon bullpup rifle adopted by the Republic of Korea Armed Forces in 2008.",
		bm_w_ots_14_4a_desc = "Cartridge: 9×39mm\nFire Mode: Semi-Auto or Full-Auto" .. ap .. "\n\nRussian bullpup rifle with a short barrel and vertical grip.",
		bm_w_patriot_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nSignature weapon of The Boss; a chopped M16 fitted with a dual drum magazine.\n\nNo infinite ammo though, I'm afraid.",
		bm_w_pdw_desc = "Cartridge: 6×35mm KAC\nFire Mode: Semi-Auto or Full-Auto\n\nExperimental carbine developed in 2006; intended to be the middle ground between assault rifles and submachine guns while being just as accurate.",
		bm_w_petto_desc = "Cartridge: .300 Blackout\nFire Mode: Semi-Auto or Full-Auto" .. intsupp .. "\n\nAR-15 type PDW with an attached suppressor, redesigned by Q after AAC was acquired by Remington.",
		bm_w_qbz3_desc = "Cartridge: 5.8×42mm DBP87\nFire Mode: Semi-Auto or Full-Auto\n\nChinese assault rifle with a conventional design for ease of use; issued in small numbers within the PLA.", 
		bm_w_qbz95_desc = "Cartridge: 5.8×42mm DBP10\nFire Mode: Semi-Auto or Full-Auto\n\nChinese bullpup rifle with a heavier barrel and redesigned muzzle brake.",
		bm_w_r0991_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\n9mm submachine gun variant of the M16 rifle.",
		bm_w_r5_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto" .. ap .. "\n\nM4 derivative utilizing a gas piston operating system for improved reliability.",
		bm_w_r6s_r4c_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nA compact take on the M16 rifle, spitefully produced after Remington was denied a contract due to legal action by Colt. Though FN ultimately won said contract, Remington was awarded another to supply their rifles to the Phillipine Army to replace their M16s.",
		bm_w_rabbit_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nShort barreled AR-15 variant designed for law enforcement.",
		bm_w_raider_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto only\n\nCivilian AR-15 rifle fitted with a Magpul M-LOK quad-rail handguard and shortened polymer stock; it is legally considered a pistol under U.S. gun laws.",
		bm_w_raifu_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nGerman AR-15 type carbine further developed with an improved gas regulator and redesigned lower receiver.",
		bm_w_recce_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto or Full-Auto" .. semidef .. "\n\n\"Recce\" variant with 16\" barrel.",
		bm_w_rk62_desc = "Cartridge: 7.62×39mm Soviet\nFire Mode: Semi-Auto or Full-Auto\n\nFinnish assault rifle based on the AK-47.",
		bm_w_saigry_desc = "Cartridge: .300 Blackout\nFire Mode: Semi-Auto or Full-Auto\n\nAR-15 pattern rifle designed for tactical operations and sporting competitions.",
		bm_w_sar21_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nSingaporean bullpup rifle with a shortened barrel and top rail in place of its integral sight.",
		bm_w_sc26a_desc = "Cartridge: 5.45×45mm\nFire Mode: Semi-Auto or Full-Auto\n\nStandard-issue, personal defense weapon of Section 9 operatives; it shares some ergonomic features with the F2000.",
		bm_w_sc30_desc = "Cartridge: 5.45×45mm\nFire Mode: Semi-Auto or Full-Auto\n\nMilitarized variant of the C-26A reserved for Section 9 operatives against heavy opposition.",
		bm_w_scarl_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nA modular, self-loading rifle platform designed to satisfy the requirements for the USSOCOM's SCAR competition; light variant.",
		bm_w_scar_m203_desc = "Cartridge: 5.56×45mm NATO/40×46mm Grenades\nFire Mode: Semi-Auto or Full-Auto (MK.16)/Single Shot (M203)\n\nSCAR-L fitted with an M203 grenade launcher.",
		bm_w_scharlie_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nA modular, self-loading rifle platform designed to satisfy the requirements for the USSOCOM's SCAR competition; heavy variant.\n\nNow comes with a vertical grip!",
		bm_w_sg416_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nGerman AR-15 pattern carbine utilizing a short-stroke gas piston system derived from the AR-18.",
		bm_w_sg510_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nMass-produced Swiss battle rifle derived from the same roller-delayed blowback system used in the G3 and CETME rifles.",
		bm_w_sg552_desc = "Cartridge: 5.6mm Gewehr Patrone 90\nFire Mode: Semi-Auto or Full-Auto\n\nCarbine variant of the SG 550 developed in 1998, also known as the \"Commando\".",
		bm_w_skspug_desc = "Cartridge: 7.62×39mm Soviet\nFire Mode: Semi-Auto only\n\nChinese SKS fitted with a bullpup chassis. Warranty void if discharged.",
		bm_w_sks_desc = "Cartridge: 7.62×39mm Soviet\nFire Mode: Semi-Auto only\n\nSoviet carbine developed during the late years of World War II; though it was almost immediately overshadowed by the AK-47, it found life in service in many Soviet-aligned countries.",
		bm_w_smug12_desc = "Cartridge: 5.45×39mm Russian\nFire Mode: Semi-Auto, 2-Round Burst or Full-Auto\n\nModernized Kalashnikov rifle developed as a replacement for the AK-74M and AK-100 series of rifles; it was field tested in 2011 and trialled for introduction in 2017 before finally entering Russian service a year later.",
		bm_w_soppo_desc = "Cartridge: 5.56×45mm NATO/40×46mm Grenades\nFire Mode: Semi-Auto or Full-Auto (M4)/Single Shot (M203)\n\nM4 Carbine fitted with a full length quad-rail handguard, crane stock and underbarrel grenade launcher; can also accept various other accessories from its \"Special Operations Peculiar MODification\" (or SOPMOD for short) kit.",
		bm_w_spear308_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto only\n\nRussian bullpup rifle designed in 2009 by student Andrei Ovsyannikov as part of a graduation design project.",
		bm_w_spike_desc = "Cartridge: 7.62×39mm Soviet\nFire Mode: Semi-Auto or Full-Auto\n\nAK-47 fitted with a bullpup chassis.",
		bm_w_sr3m_desc = "Cartridge: 9×39mm\nFire Mode: Semi-Auto or Full-Auto" .. ap .. "\n\nUltra-compact rifle based on the AS Val; modernized variant allows usage of suppressors and comes with AS-style controls and sidefolding stock, as well as a folding vertical grip attached to the handguard.",
		bm_w_sr47_desc = "Cartridge: 7.62×39mm Soviet\nFire Mode: Semi-Auto or Full-Auto\n\nAn ill-conceived M4 prototype intended to use 7.62 magazines from captured Kalashnikov rifles; only seven models were ever produced, one of which sits on display in the Knight's Armament museum.",
		bm_w_stg44_desc = "Cartridge: 7.92×33mm Kurz\nFire Mode: Semi-Auto or Full-Auto\n\nMass-produced, German wartime assault rifle (and one of the earliest examples to date) developed from the earlier MKb 42(H) prototype.",
		bm_w_stoy_556_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nAir-cooled, gas-operated assault rifle designed between sometime between 1959-64; it would spawn countless variations following its adoption by the U.S. Armed Forces under the M16 designation.",
		bm_w_svt40_desc = "Cartridge: 7.62×54mmR\nFire Mode: Semi-Auto only\n\nIntended to be the new service rifle for the Red Army during World War II, but was replaced by the Mosin-Nagant following the 1941 German invasion.",
		bm_w_tar21_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nIsraeli bullpup assault rifle with a long-stroke piston system, similarly found in the M1 Garand and AK-47.",
		bm_w_teccic_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nUltra-compact variant of the HK416 with a 9\" barrel and shortened buffer tube, designed for use with the United Kingdom Special Forces.",
		bm_w_temple_desc = "Cartridge: 4.73×33mm\nFire Mode: Semi-Auto or Full-Auto\n\nPrototype bullpup rifle with a blistering burst fire rate of 2,100 RPM; all three rounds could be fired in quick succession before the recoil could be felt.",
		bm_w_tilt_desc = "Cartridge: 5.45×39mm Russian\nFire Mode: Semi-Auto, 2-Round Burst or Full-Auto\n\nGage's heavily modified AN-94.",
		bm_w_toym16_desc = "Cartridge: N/A\nFire Mode: Semi-Auto or Full-Auto\n\nAll the action of an assault rifle with none of the bloodshed!\n\n...unless of course, you're robbing a bank with it.",
		bm_w_virtus_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nA series of rifles designed from the ground up, with its short-stroke gas piston system carried over from the MPX.",
		bm_w_vk78_commando_desc = "Cartridge: 7.62×51mm NATO M118 FMJ-AP\nFire Mode: Semi-Auto or Full-Auto\n\nAn Insurrection-era, German military rifle with a traditional magwell set forward of the trigger; adopted by the Colonial Military Administration in 2495 following a mass modernization campaign.",
		bm_w_vladof_ar_desc = "Cartridge: Unknown\nFire Mode: Semi-Auto or Full-Auto\n\nRussian assault rifle boasting a high rate of fire.",
		bm_w_vsk94_desc = "Cartridge: 9×39mm\nFire Mode: Semi-Auto or Full-Auto\n\nCarbine assault rifle developed for use by Russian police units; it is designed to be a cheaper alternative to the SR-3 \"Vikhr\".",
		bm_w_vz58_desc = "Cartridge: 7.62×39mm Soviet\nFire Mode: Semi-Auto or Full-Auto\n\nShort-stroke gas piston assault rifle designed and accepted into Czech service in the late 1950s, replacing the Vz.52 rifle. It outwardly resembles an AK-47 and even fires the same cartridge, but shares no parts with it.",
		bm_w_x95_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nIsraeli bullpup assault rifle fitted with an aftermarket vertical grip.",
		bm_w_xeno_desc = "Cartridge: 10×24mm Caseless/30mm Grenades\nFire Mode: Semi-Auto or Full-Auto (M41A)/Single Shot (U1)\n\nThe successor of the M41A, trading magazine capacity for a modular, more compact frame. Comes with an underbarrel U1 launcher to round off the package.",
		bm_w_xm4_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nM16-based carbine produced in the late 1960s for the U.S. Army under the XM177E1 designation; it was the first AR-15 carbine to see widespread use.",
		bm_w_xm8_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nStandalone lightweight carbine originally developed as part of the OICW program alongside the XM25 grenade launcher.",
		bm_w_xr2_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nA futuristic take on a battle rifle, itself being a spin-off development of the Israeli bullpup platform. Mind the finish.",
		bm_w_x_amcar_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of M733s.",
		bm_w_x_ar60mrks_desc = "Cartridge: 7.92×33mm Kurz\nFire Mode: Semi-Auto or Full-Auto" .. semidef .. "\n\nA pair of marksman rifles.",
		bm_w_x_asval_desc = "Cartridge: 9×39mm\nFire Mode: Semi-Auto or Full-Auto" .. intsupp .. "\n\nA pair of suppressed Soviet rifles.",
		bm_w_x_g36_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of German carbines.",
		bm_w_x_heffy_939_desc = "Cartridge: 9×39mm\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of flameless AKs.",
		bm_w_x_s552_desc = "Cartridge: 5.6mm Gewehr Patrone 90\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of Swiss Commandos.",
		bm_w_yayo_desc = "Cartridge: 5.56×45mm NATO/40×46mm Grenades\nFire Mode: Semi-Auto, 3-Round Burst or Full-Auto (M16)/Single Shot (M203)\n\nFor those who can't decide between bullets and explosions.",
		bm_w_akilo_2022_desc = "Cartridge: 7.62×39mm Soviet\nFire Mode: Semi-Auto or Full-Auto\n\nA modification of the then-standard issue AK-74M, rechambered for a more familiar, full-powered cartridge while still retaining interchangeability with older parts.",
		bm_w_akilo105_2022_desc = "Cartridge: 5.45×39mm Russian\nFire Mode: Semi-Auto or Full-Auto\n\nA short-barreled AK-74M in all but name. The carbine flavors are typically fitted with muzzle boosters styled after the AKS-74U for reducing felt recoil.",
		bm_w_fsbcustom_desc = "Cartridge: 5.45×39mm Russian\nFire Mode: Semi-Auto or Full-Auto\n\nA custom-made AK in a obscure, bullpup configuration. It saw some use with the Russian FSB for a short time.",
		bm_w_ar47_desc = "Cartridge: 7.62×39mm Soviet\nFire Mode: Semi-Auto or Full-Auto\n\nAn ill-conceived M4 prototype intended to use 7.62 magazines from captured Kalashnikov rifles.",
		bm_w_fazertron_desc = "Cartridge: Unknown\nFire Mode: Semi-Auto or Full-Auto\n\nYou'd think with a name like \"Fazertron\", it would fire something cool like laser beams, but no.\n\nNot like you could afford 'em anyway.",
		bm_w_m4_usasoc_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nA custom-made M4 with added parts by Geissele created for the U.S. Army Special Operations Command, following a request for an upgraded receiver group.",
		
		--2.)	Shotguns
		bm_w_abzats_desc = "Cartridge: 12 Gauge\nFire Mode: Full-Auto only\n\nBelt-fed shotgun derived from a cut-down Russian machine gun; a close quarters nightmare.",
		bm_w_ak12_76_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto or Full-Auto\n\nMagazine-fed shotgun derived from the AK-12 platform.",
		bm_w_amr12_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto only\n\nTurkish shotgun derived from the AR-15 platform.",
		bm_w_ashot_desc = "Cartridge: 12 Gauge\nFire Mode: Single Shot\n\nMetro-made shotgun pistol externally based on the Reichsrevolver.",
		bm_w_auto5_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto only\n\nRecoil-operated shotgun featuring a distinctive high rear end, earning it the nickname \"Humpback\".",
		bm_w_beck_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\nShortened, tactical shotgun modified with the pump-action system of the R870.",
		bm_w_bs23_desc = "Cartridge: 23×75mmR\nFire Mode: Pump-Action\n\nRussian riot shotgun with a pistol grip and wire stock; it is officially designated as a carbine due to its rifled barrel, which itself is taken from a cut-down, rejected 2A7 anti-aircraft gun barrel.",
		bm_w_candy_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\n\"High Velocity Candy Dispenser\" making use of a volatile material extracted from... wait, why are you even reading this?",
		bm_w_dokkasho_desc = "Cartridge: 12 Gauge\nFire Mode: Single Shot\n\nCompact, over-and-under coach gun with fixed cylinder bore chokes for optimal, short-range pellet spread and two barrel-mounted accessory rails.",
		bm_w_dp12_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\nBullpup shotgun with two individually fed magazine tubes, allowing for 2 quick shots before pumping.",
		bm_w_f500_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\nUkrainian clone of the R870.",
		bm_w_fpsix_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\nCombat shotgun fitted with a Choate sidefolding stock; developed by FABARM and sold by H&K following the latter's severing ties with Benelli in 1998.",
		bm_w_hawk12_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\nChinese shotgun patterned after the Remington Model 870 and modified to use box magazines.",
		bm_w_heffy_12g_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto only\n\nMagazine-fed shotgun patterned after the Kalashnikov series of rifles.",
		bm_w_jackhammer_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto only\n\nBullpup shotgun with a revolver-style detachable cylinder; it was never officially entered into production due to various internal and ergonomic issues, as well as 2 of the 3 prototypes being destroyed during testing.",
		bm_w_ks23_desc = "Cartridge: 23×75mmR\nFire Mode: Pump-Action\n\nRussian riot shotgun made from a cut-down anti-aircraft gun barrel.",
		bm_w_littlest_desc = "Cartridge: 12 Gauge\nFire Mode: Single Shot\n\nCoach gun cut down to a ridiculously short profile.",
		bm_w_m1216_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto, or Full-Auto\n\nDelayed blowback shotgun with a 16-round quad-tube magazine; intended for home defense and law enforcement.",
		bm_w_m1912_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\nHammerless shotgun with an external tube magazine; nicknamed the \"Perfect Repeater\" at its introduction, it saw extensive service in both World Wars, succeeding the Model 1897.",
		bm_w_maul_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto or Full-Auto\n\nAccessory shotgun utilizing front-loading preloaded barrels.",
		bm_w_max_desc = "Cartridge: [REDACTED]\nFire Mode: Semi-Auto only\n\nOh, no.",
		bm_w_minibeck_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto only\n\nShort-barreled, gas operated shotgun based on the earlier Model 1100, modified with the forend of a SPAS-12.",
		bm_w_mossberg590_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\nA strengthened Model 500, introduced in 1987 as a military option. The magazine tube was redesigned for ease of cleaning.",
		bm_w_mp153_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto only\n\nRussian hunting shotgun developed in 1997.",
		bm_w_mts255_desc = "Cartridge: 12 Gauge\nFire Mode: Double-Action\n\nRussian hunting shotgun with an internal revolving cylinder.",
		bm_w_novas_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\nHome defense shotgun with a shortened barrel and ghost ring sights.",
		bm_w_omni_desc = "Cartridge: .410 Bore\nFire Mode: Semi-Auto only\n\nA multi-purpose shotgun utilizing a hybrid receiver that can make use of multiple calibers. As it is built on an AR-15 platform, many of its parts are interchangeable.",
		bm_w_otwd_flare_gun_desc = "Cartridge: Flares\nFire Mode: Single Shot\n\nA large-bore handgun that discharges flares, typically shot at the sky as a distress signal, or atypically, at personnel to set them on fire.",
		bm_w_pa8_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\nItalian Cold War-era shotgun with a plastic pistol grip and cut-down barrel.",
		bm_w_paradox_desc = "Cartridge: Lead Shot (#10)\nFire Mode: Bolt-Action\n\nHunting rifle designed for the civilian market; due to its smoothbore barrel (as required for civilian weapons chambered in .366 TKM), it is considered a shotgun under Russian firearms laws.",
		bm_w_prison_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto only\n\nHoxton's makeshift shotgun pieced together during the Hazelton Prison riot.",
		bm_w_qbs_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto only\n\nChinese shotgun with a proprietary top rail and retractable stock; adopted by the PLA for military use in 2009.",
		bm_w_qsho_desc = "Cartridge: 12 Gauge\nFire Mode: Single Shot\n\nDo you REALLY need a description for this?",
		bm_w_quadbarrel_desc = "Cartridge: 12 Gauge\nFire Mode: Single Shot\n\nTwo barrels not enough for you? Let's make it four!",
		bm_w_r870sawed_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\nCut-down R870 for concealed carry.",
		bm_w_shot_tf2_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\nCut-down Ithaca for concealed carry.",
		bm_w_sideload_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\nTwin-tube shotgun developed in 2006 as a request from Smith & Wesson to develop \"the ultimate police shotgun\".",
		bm_w_sjogren_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto only\n\nSwedish shotgun invented in 1908 and saw limited service in World War I; made unique for its utilization of an inertia system widely used in modern shotguns today.",
		bm_w_spas15_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto or Full-Auto\n\nDual-mode combat shotgun based on the SPAS-12; known by its nickname \"La Chiave dell'Incursore\" or \"the key of the commando\" amongst Italian troops for its use in blasting off door locks.",
		bm_w_stf12_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\nModular shotgun designed as a replacement for the older FP6 and SDASS models.",
		bm_w_super_desc = "Cartridge: 12 Gauge\nFire Mode: Single Shot\n\nScrew subtlety.",
		bm_w_techno_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\nAn ill-conceived combat shotgun of South African origin; utilizing proprietary ammo and a forend capable of injuring one's finger if rested on the side of the trigger guard while pumping.",
		bm_w_toz106_desc = "Cartridge: 20 Gauge\nFire Mode: Bolt-Action\n\nLightweight hunting shotgun based on the MTs 20-01 with a shortened barrel and underfolding stock.",
		bm_w_toz194_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\nConventional shotgun developed during the later years of the Soviet Union; popular amongst Russian security forces and civilian shooters alike.",
		bm_w_toz34_desc = "Cartridge: 12 Gauge\nFire Mode: Single Shot\n\nRussian over-and-under double barrel shotgun.",
		bm_w_toz66_desc = "Cartridge: 12 Gauge\nFire Mode: Single Shot\n\nCut-down Russian hunting shotgun produced between 1968-74.",
		bm_w_trench_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\nStrengthened version of the Model 1893; \"Trench\" configuration includes a shortened barrel, bayonet lug and heat shield.",
		bm_w_triple_desc = "Cartridge: 12 Gauge\nFire Mode: Single Shot\n\nTriple barrel coach gun designed for home defense.",
		bm_w_usas12_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto or Full-Auto\n\nKorean assault shotgun based on the AA-12.",
		bm_w_vepr12_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto or Full-Auto\n\nMagazine-fed shotgun derived from the RPK platform as a competitor to Kalashnikov's Saiga shotgun lineup.",
		bm_w_wmtx_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto only\n\nCombat shotgun with an integrated reflex sight.",
		bm_w_xmassg_desc = "Cartridge: 12 Gauge\nFire Mode: Single Shot\n\nWARNING: Do not eat.",
		bm_w_x_coach_desc = "Cartridge: 12 Gauge\nFire Mode: Single Shot\n\nA pair of cut-down, exposed hammer coach guns.",
		bm_w_x_jackhammer_desc = "Cartridge: 12 Gauge\nFire Mode: Semi-Auto only\n\nA pair of futuristic, bullpup shotguns.",
		bm_w_x_mts255_desc = "Cartridge: 12 Gauge\nFire Mode: Double-Action\n\nA pair of cut-down, Russian revolver shotguns.",
		bm_w_x_techno_desc = "Cartridge: 12 Gauge\nFire Mode: Pump-Action\n\nDon't ask me how you're even pumping those things.",
		bm_w_x_toz66_desc = "Cartridge: 12 Gauge\nFire Mode: Single Shot\n\nReserved for only the cheekiest breeki.",
		
		--3.)	Light Machine Guns
		bm_w_bar_desc = "Cartridge: .30-06 Springfield\nFire Mode: Semi-Auto or Full-Auto\n\nSquad automatic weapon variant of the BAR with improved iron sights, an adjustable bipod and redesigned furniture.",
		bm_w_beef_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Full-Auto only\n\nAir-cooled, dual-feed squad automatic weapon fitted with a quad-rail interface & quick-change barrel; developed as both a standalone weapon and as an upgrade kit for existing M16-type rifles in service.",
		bm_w_dp28_desc = "Cartridge: 7.62×54mmR\nFire Mode: Full-Auto only\n\nSoviet infantry machine gun fitted with pan magazines; nicknamed the \"Record Player\" amongst Red Army troops due to resembling a gramophone record.",
		bm_w_fg42_desc = "Cartridge: 7.92×57mm Mauser\nFire Mode: Semi-Auto or Full-Auto\n\nThe precursor to the modern assault rifle, produced in limited numbers for the German Luftwaffe as a universal weapon. Though lightweight, the use of a full-sized round and its offset magazine made for unmanageable recoil and could even damage the internals from repeated use of full-auto.",
		bm_w_k3_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Full-Auto only\n\nKorean squad automatic weapon fitted with box magazines.",
		bm_w_lewis_desc = "Cartridge: .303 British\nFire Mode: Full-Auto only\n\nMass-produced machine gun with a distinctive barrel cooling shroud and top loading pan magazines.",
		bm_w_lsat_desc = "Cartridge: 5.56×45mm NATO (Caseless)\nFire Mode: Full-Auto only\n\nLightweight machine gun program funded by the JSSAP; designed for weight reduction, increased ammunition and improved ergonomics in mind.",
		bm_w_m1919a6_desc = "Cartridge: .30-06 Springfield\nFire Mode: Full-Auto only\n\nGeneral-purpose machine gun developed in late 1943 with a metal stock, carry handle and lighter barrel.",
		bm_w_m60e4_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Full-Auto only\n\nM60 with improved internals, redesigned gas system and additional RIS mount of the MK.43 variant in place of its integral pistol grip handguard.",
		bm_w_mg34_desc = "Cartridge: 7.92×57mm Mauser\nFire Mode: Full-Auto only\n\nGerman wartime general-purpose machine gun, also considered the world's first.",
		bm_w_mg36_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nSquad automatic weapon variant of the G36 produced in small numbers for trials with the German Bundeswehr unit.",
		bm_w_mg3_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Full-Auto only\n\nUpdated version of the MG42 introduced in 1958; includes a chrome-lined barrel, new friction ring buffer, improved feeding mechanism and recalibrated sights.",
		bm_w_mg4_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Full-Auto only\n\nAir-cooled squad automatic weapon with a locked rotary bolt; intended to replace the Rheinmetall MG3.",
		bm_w_mg5_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Full-Auto only\n\nGeneral-purpose machine gun intended to replace the Rheinmetall MG3; designated the MG5 by the German military.",
		bm_w_negev_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Full-Auto only\n\nUkrainian licensed clone of the Negev.",
		bm_w_pecheneg_desc = "Cartridge: 7.62×54mmR\nFire Mode: Full-Auto only\n\nRussian general-purpose machine gun named after the Turkic warlike tribespeople who would later become steppes of Southern Russia and Ukraine.",
		bm_w_rpd_desc = "Cartridge: 7.62×39mm Soviet\nFire Mode: Full-Auto only\n\nSoviet squad automatic weapon developed during the late years of World War II; it remained in service until it was succeeded by the RPK in 1961.",
		bm_w_sigke7_desc = "Cartridge: 7.92×57mm Mauser\nFire Mode: Semi-Auto or Full-Auto\n\nSwiss machine gun designed by Pál Király and Gotthard End for use with the Swiss Army and produced in 1929, but was never officially adopted into service.",
		bm_w_sumitomo_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Full-Auto only\n\nStandard-issue, general-purpose machine gun of the Japan Self-Defense Forces developed in 1954 and adopted into service 8 years later, replacing the Browning M1919A4s leased to them during the early days of its founding.",
		bm_w_ultimax_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Full-Auto only\n\nSingaporean light support weapon fitted with a sidefolding stock, picatinny rails and a 100-round drum magazine.",
		bm_w_volmer_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Full-Auto only\n\nAftermarket conversion of the G3 rifle designed to feed from 100-round HK21 box magazines.",
		bm_w_zweihander_desc = "Cartridge: Unknown\nFire Mode: Full-Auto only\n\nChi-tech light support weapon.",
		bm_w_duskmg_desc = "Cartridge: Classified\nFire Mode: Full-Auto only\n\nIt's by no means a rifle, but you could definitely assault someone with it.",
		
		--4.)	Sniper Rifles
		bm_new_m4_sniper_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto only" .. ap .. "\n\nA pre-ban, AR-15A2 variant selected for accuracy and converted into a semi-automatic rifle.",
		bm_w_amr2_desc = "Cartridge: 12.7×108mm\nFire Mode: Bolt-Action" .. ap .. "\n\nConventional anti-materiel rifle with a free floating barrel and double baffle muzzle brake designed to mitigate recoil.",
		bm_w_apairofmelons_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto only" .. ap .. "\n\nScoped HK417 developed as a marksman rifle for the German Bundeswehr unit.",
		bm_w_arisaka38_desc = "Cartridge: 6.5×50mmSR Arisaka\nFire Mode: Bolt-Action" .. ap .. "\n\nOfficial service rifle for the Imperial Japanese Armed Forces from 1897 to 1945.",
		bm_w_awpgear_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Bolt-Action" .. ap .. "\n\nBritish sniper rifle known for its uncompromising performance in cold climates.",
		bm_w_b42_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Bolt-Action" .. ap .. "\n\nUpgraded version of the Scout with an integrated bipod, full-length optic rail and adjustable cheek rest.",
		bm_w_bigbust_desc = "Cartridge: ,338 Lapua Magnum\nFire Mode: Bolt-Action" .. ap .. "\n\nBullpup sniper rifle adopted by the elite GSG-9 counter-terrorist unit; has a spare magazine holder in front of the trigger, often confused for a second magazine well.",
		bm_w_carpet_desc = "Cartridge: 12.7×108mm\nFire Mode: Bolt-Action" .. ap .. "\n\nRussian, bullpup anti-materiel rifle designed for counter-sniping and long-range armor piercing.",
		bm_w_classic_desc = "Cartridge: 7.62×54mmR\nFire Mode: Bolt-Action" .. ap .. "\n\nRussian service rifle fitted with accessory rails, pistol grip and M1 Carbine folding stock.",
		bm_w_cs5_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Bolt-Action" .. ap .. "\n\nCompact sniper rifle with detachable stock and free floating barrel.",
		bm_w_dl_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Bolt-Action" .. intsupp .. "\n\nBritish carbine built from a modified Lee-Enfield Mk.III receiver and Thompson submachine gun barrel, and using modified M1911 magazines; utilizing a built-in suppressor, it is extremely quiet, making it suitable for clandestine operations.",
		bm_w_dvl10_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Bolt-Action" .. ap .. "\n\nLightweight, tactical sniper rifle designed for use with law enforcement and sporting competitions.",
		bm_w_enfield_no4i_desc = "Cartridge: .303 British\nFire Mode: Bolt-Action" .. ap .. "\n\nMass-produced, repeating rifle of the British and Commonwealth forces during World War II, heavily supplemented with the older, simplified Mk. III variant.",
		bm_w_enfield_no5i_desc = "Cartridge: .303 British\nFire Mode: Bolt-Action" .. ap .. "\n\nAn ill-conceived, shortened derivative of the No. 4 Mk.I developed in 1944; the addition of a conical flash hider and \"lightening-cut\" machined receiver attributed to various accuracy issues.",
		bm_w_fd338_desc = "Cartridge: .338 Lapua Magnum\nFire Mode: Semi-Auto only" .. ap .. "\n\nSemi-automatic sniper rifle with a confirmed maximum range of 1,500 yards.",
		bm_w_frf2_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Bolt-Action" .. ap .. "\n\nImproved version of the FR F1 with a thermal barrel sleeve and reconfigured bipod and stock.",
		bm_w_fyjs_desc = "Cartridge: 5.8×42mm DBP87\nFire Mode: Bolt-Action" .. ap .. "\n\nChinese sniper rifle with a free floating barrel and top rail.",
		bm_w_g43_desc = "Cartridge: 7.92×57mm Mauser\nFire Mode: Semi-Auto only" .. ap .. "\n\nSemi-automatic infantry rifle designed as a potential, but failed rival to the American M1 Garand.",
		bm_w_heartpiercer_desc = "Cartridge: 7.62×54mmR\nFire Mode: Bolt-Action" .. ap .. "\n\nRussian sniper rifle based on a sport shooting rifle; current production model.",
		bm_w_hecate_desc = "Cartridge: .338 Lapua Magnum\nFire Mode: Bolt-Action" .. ap .. "\n\nFrench anti-personnel sniper rifle intended as a middle ground choice between the lighter 7.62 NATO round and heavier .50 BMG round.",
		bm_w_k31_desc = "Cartridge: 7.5×55mm Swiss\nFire Mode: Bolt-Action" .. ap .. "\n\nStraight-pull carbine and standard issue rifle of the Swiss armed forces from 1933 to 1958.",
		bm_w_kar98k_desc = "Cartridge: 7.92×57mm Mauser\nFire Mode: Bolt-Action" .. ap .. "\n\nStandard service rifle of the Wehrmacht adopted in 1935.",
		bm_w_kissesforleon_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Bolt-Action" .. ap .. "\n\nStandalone 7.62 NATO variant of the AX series of rifles.",
		bm_w_knockout_desc = "Cartridge: .300 Blackout\nFire Mode: Bolt-Action" .. ap .. intsupp .. "\n\nHeavily customized R700 with an integral suppressor.",
		bm_w_kozak_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto only\n\nMilitary variant of the MR308 rifle with accessory rails.",
		bm_w_l115_desc = "Cartridge: .338 Lapua Magnum\nFire Mode: Bolt-Action" .. ap .. "\n\nBritish sniper rifle known for its uncompromising performance in cold climates; AWM-F variant with folding stock.",
		bm_w_leet_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto only" .. ap .. "\n\nAmbidextrous, semi-automatic bullpup rifle with a patented forward-ejection system.",
		bm_w_lynx_desc = "Cartridge: .50 Browning Machine Gun\nFire Mode: Semi-Auto only" .. ap .. "\n\nRefined version of the GM-5 with the returning semi-automatic operation of the GM-4.",
		bm_w_m107cq_desc = "Cartridge: .50 Browning Machine Gun\nFire Mode: Semi-Auto only" .. ap .. "\n\nShort-barreled anti-materiel rifle designed for use in vehicles or carried into close combat.",
		bm_w_m1894_desc = "Cartridge: .44 Magnum\nFire Mode: Lever-Action" .. ap .. "\n\nModernized pistol carbine with a shortened barrel and fitted with a quad-rail forend.",
		bm_w_m200_desc = "Cartridge: .408 CheyTac\nFire Mode: Bolt-Action" .. ap .. "\n\nHigh-end sniper designed with two proprietary cartridges; the perfect weapon for long-distance stakeouts and montage parodies.",
		bm_w_m40a5_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Bolt-Action" .. ap .. "\n\nR700 variant with threaded barrel for mounting suppressors.",
		bm_w_m98b_desc = "Cartridge: .338 Lapua Magnum\nFire Mode: Bolt-Action" .. ap .. "\n\nTactical sniper rifle designed in 1997, but never entered production until 2008.",
		bm_w_martinihenry_desc = "Cartridge: .577/450 Martini-Henry\nFire Mode: Single Shot" .. ap .. "\n\nBreech-loading service rifle of the British Army from 1871 to 1918.",
		bm_w_mas49_desc = "Cartridge: 7.5×54mm French\nFire Mode: Semi-Auto only" .. ap .. "\n\nFrench battle rifle in service from 1949 to 1979; reputable among the French military for its reliability, accuracy and maintainability in harsh environments.",
		bm_w_merkel_desc = "Cartridge: .700 Nitro Express\nFire Mode: Single Shot" .. ap .. "\n\nTriple barreled, break-action rifle designed for hunting big game.",
		bm_w_mk12_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto only" .. ap .. "\n\nAR-15 type designated marksman rifle designed as the middle ground between the M4 carbine and M24 sniper rifle.",
		bm_w_mosinwtf_desc = "Cartridge: 7.62×54mmR\nFire Mode: Bolt-Action" .. ap .. "\n\nNo.",
		bm_w_moss464spx_desc = "Cartridge: .30-30 Winchester\nFire Mode: Lever-Action\n\nModernized lever-action rifle fitted with synthetic furniture and 16\" barrel.",
		bm_w_Nitro_desc = "Cartridge: .700 Nitro Express\nFire Mode: Single Shot" .. ap .. "\n\nDouble barreled rifle designed for hunting big game; expensive, but powerful and reliable.",
		bm_w_obrez_desc = "Cartridge: 7.62×54mmR\nFire Mode: Bolt-Action" .. ap .. "\n\nCut-down Mosin Nagant used by criminals and rebels during the Russian civil war.",
		bm_w_pew107cqb_desc = "Cartridge: .50 Browning... Machine Gun?\nFire Mode: Semi-Auto only\n\nShort barreled gre-- erm... anti-materiel rifle. Yes, that's what I meant to say.",
		bm_w_pew107_desc = "Cartridge: .50 Browning Machine Gun\nFire Mode: Semi-Auto only" .. ap .. "\n\nThere's nothing wrong with this rifle.\n\nI swear.",
		bm_w_psg1_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto only" .. ap .. "\n\nHeavily modified G3 rifle with iron sights removed in place of a Hensoldt ZF 6×42 scope.",
		bm_w_re8_m110_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto only" .. ap .. "\n\nA marksman rifle loosely based on the AR-10 platform, rebuilt in its original caliber. Not for punching boulders.",
		bm_w_reachdmr_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto only" .. ap .. "\n\nA gas-operated, bullpup rifle of the United Nations Space Command, adopted into service in 2512 for use with squad marksmen and recon units.",
		bm_w_rsass_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto only" .. ap .. "\n\nAR-10 type rifle designed in collaboration with JP Enterprises.",
		bm_w_scargear_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto only" .. ap .. "\n\nSCAR-H modified as a designated marksman rifle.",
		bm_w_sgs_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto only" .. ap .. "\n\nScoped SG 550 series rifle reconfigured to fire a full-powered cartridge.",
		bm_w_simonov_desc = "Cartridge: 14.5×114mm\nFire Mode: Semi-Auto only" .. ap .. "\n\nSoviet anti-tank rifle.",
		bm_w_spring_desc = "Cartridge: .30-06 Springfield\nFire Mode: Bolt-Action" .. ap .. "\n\nStandard U.S. infantry rifle adopted in 1903, modified to accept box magazines.",
		bm_w_sr25_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto only" .. ap .. "\n\nSemi-automatic rifle loosely based on the AR-10 platform; adopted by SOCOM and the U.S. Army as the MK.11 Mod 0 and M110 SASS, respectively.",
		bm_w_srs99_s7_desc = "Cartridge: 14.5×114mm\nFire Mode: Semi-Auto only" .. ap .. "\n\nThe precision power weapon of the Spartans. It's fast, it's loud, it's powerful, and you can even fire it underwater.\n\nYou probably shouldn't do that last one, but you can.",
		bm_w_sv98_desc = "Cartridge: 7.62×54mmR\nFire Mode: Bolt-Action" .. ap .. "\n\nRussian sniper rifle based on a sport shooting rifle; designed to engage various targets at a range up to 1,000 meters.",
		bm_w_svu_desc = "Cartridge: 7.62×54mmR\nFire Mode: Semi-Auto only" .. ap .. "\n\nBullpup variant of the SVD with a shortened barrel and triple-baffle muzzle brake for reduced recoil.",
		bm_w_t1000x5_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Bolt-Action" .. ap .. "\n\nRussian sniper rifle introduced in 2011; it boasts a completely unique design, with all components made in house.",
		bm_w_tac50_desc = "Cartridge: .50 Browning Machine Gun\nFire Mode: Bolt-Action" .. ap .. "\n\nStandard issue sniper rifle of the Canadian Armed Forces since 2000.",
		bm_w_tkpd_desc = "Cartridge: 9.3×64mm 7N33\nFire Mode: Semi-Auto only" .. ap .. "\n\nLarge-caliber sniper rifle derived from the SVD, further modified by Sniper Arms Dynamics and commissioned to the Battle Encounter Assault Regiment as the TKPD \"Storm\".",
		bm_w_troglodyte_desc = "Cartridge: .338 Lapua Magnum\nFire Mode: Bolt-Action" .. ap .. "\n\nBritish magnum sniper rifle; its stock appears to have been misplaced.",
		bm_w_unibarrett_desc = "Cartridge: Unknown\nFire Mode: Semi-Auto only" .. ap .. "\n\nUni's custom sniper rifle.",
		bm_w_vss_desc = "Cartridge: 9×39mm\nFire Mode: Semi-Auto or Full-Auto" .. ap .. intsupp .. "\n\nSniper rifle derivative of the AS Val; uses 10 round magazines to allow ease of use while prone.",
		bm_w_wargoddess_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto or Full-Auto" .. ap .. "\n\nModernized variant of the M14 developed for the Navy SEALs.",
		bm_w_winchester1894_desc = "Cartridge: .30-30 Winchester\nFire Mode: Lever-Action" .. ap .. "\n\nHunting rifle chambered for various cartridges; compact, lightweight and versatile.",
		bm_w_wz35_desc = "Cartridge: 7.92×107mm DS\nFire Mode: Bolt-Action" .. ap .. "\n\nWorld War II-era, anti-tank rifle developed as a top secret project of the Polish Army; various models were captured and used by Axis forces following the Invasion of Poland in 1939.",
		bm_w_xm21_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto only" .. ap .. "\n\nSniper rifle variant of the M14 with a Redfield Adjustable Ranging Telescope and walnut stock.",
		bm_w_duskrifle_desc = "Cartridge: Classified\nFire Mode: Bolt-Action" .. ap .. "\n\nSometimes in life, it can take an extraordinary amount of willpower just to survive to Dusk. Having a rifle by your side helps, too.",
		bm_w_sierra458_desc = "Cartridge: .458 SOCOM\nFire Mode: Semi-Auto only" .. ap .. "\n\nA dressed-up marksman rifle chambered for the heaviest round possible for use on the AR-15 platform. Not to be confused with their similarly-named 1911 pistol lineup.",
		bm_w_xmike2010_desc = "Cartridge: .300 Winchester Magnum\nFire Mode: Bolt-Action" .. ap .. "\n\nA modernized R700 which replaced the U.S. Army's M24 rifle in 2011. The long-action bolt system of its parent rifle allowed for the use of a higher powered cartridge.",
		
		--5.)	Launchers, Bows, Utilities, etc.
		bm_w_air16_desc = "Cartridge: Bolts\nFire Mode: Semi-Auto only" .. recycle .. "\n\nMulti-shot bow externally modeled after an M16 rifle.",
		bm_w_as24_desc = "Cartridge: 40×46mm Grenades\nFire Mode: Double-Action\n\nMulti-shot grenade launcher based on the Manville 25mm tear gas projectile launcher.",
		bm_w_auto_cross_desc = "Cartridge: Bolts\nFire Mode: Semi-Auto only" .. nopickup .. "\n\nRepeating crossbow borrowing elements from the Bizon submachine gun.",
		bm_w_chompi_desc = "Cartridge: [REDACTED]\nFire Mode: Semi-Auto or Full-Auto\n\nOh, dear.",
		bm_w_drill_desc = "Cartridge: Drill Bits\nFire Mode: Full-Auto only" .. nopickup .. "\n\nCompact, battery-powered hammer drill.",
		bm_w_goldgun_desc = "Cartridge: 4.2mm\nFire Mode: Single Shot\n\nThe signature weapon of the assassin Francisco Scaramanga, comprised of several innocuous items; a fountain pen, cuff link, lighter and cigarette case.",
		bm_w_gonnagiveittoya_desc = "Cartridge: Water/Ammonia\nFire Mode: Semi-Auto only\n\nWARNING: May cause irritation.",
		bm_w_heart_piercer_crossbow_desc = "Cartridge: Arrows\nFire Mode: Single Shot" .. recycle .. "\n\nA wood and steel crossbow with a custom-made sight. Don't ask about the engravings.",
		bm_w_hunter_ballistic_desc = "Cartridge: Blades\nFire Mode: Single Shot" .. recycle .. nopickup .. "\n\nCompressed air, spring-propelled blade launchers.",
		bm_w_hx25_desc = "Cartridge: Unknown\nFire Mode: Single Shot\n\nHand-held, explosive ordnance pistol; fires multiple submunitions that explode on impact.",
		bm_w_inkunzi_desc = "Cartridge: 20×42mmB\nFire Mode: Semi-Auto only" .. ap .. "\n\nSouth African anti-personnel grenade launcher capable of piercing light cover; intended as a competitor to the XM25.",
		bm_w_m2hb_desc = "Cartridge: .50 Browning Machine Gun\nFire Mode: Full-Auto only" .. ap .. "\n\nAir-cooled machine gun based directly on the M1918 and M1921 models; nicknamed \"Ma Deuce\" in reference to is M2 nomenclature.",
		bm_w_moonraker_desc = "Cartridge: Unknown\nFire Mode: Semi-Auto only\n\nPrototype directed-energy weapon designed primarily for space warfare.",
		bm_w_piat_desc = "Cartridge: 83mm HEAT Mortars\nFire Mode: Single Shot\n\nHand-held, spring loaded mortar.",
		bm_w_pschreck_desc = "Cartridge: 88mm Rockets\nFire Mode: Single Shot" .. nopickup .. "\n\nGerman anti-tank rocket launcher; often called the \"Ofenrohr\" or \"stove pipe\" due to its shape and large amounts of smoke produced after firing, necessitating the use of gas masks.",
		bm_w_qrl_desc = "Cartridge: Rockets\nFire Mode: Semi-Auto only\n\nFor when a grenade positively, absolutely has to be there on time.",
		bm_w_raygun_desc = "Cartridge: Cold Cell Batteries\nFire Mode: Semi-Auto only\n\nDual-powered wonder weapon developed by Ludwig Maxis using designs seized from the Rising Sun Facility in Japan.",
		bm_w_roach_desc = "Cartridge: Sabot Slugs\nFire Mode: Single Shot" .. ap .. "\n\nExperimental electro-magnetic weapon developed by the Pan-Asian Coalition near the end of the War of 2020.",
		bm_w_sasha_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Full-Auto only\n\nThe signature weapon of the Heavy Weapons Guy; a hand-held minigun modified with the feed system of an M61 Vulcan.",
		bm_w_sidewinder_desc = "Cartridge: 20mm Mosquito Rockets\nFire Mode: Full-Auto only\n\nRapid-fire, micro-missile launcher designed to dispatch Titans.",
		bm_w_smaw_desc = "Cartridge: 83mm Rockets\nFire Mode: Single Shot" .. nopickup .. "\n\nShoulder-fired rocket launcher designed for clearing out bunkers and other fortifications during assault operations.",
		bm_w_sqrtgun_desc = "Cartridge: Water\nFire Mode: Pump-Action\n\nFor the last time, it's not a Super Soaker.",
		bm_w_stdwunderwaffe_desc = "Cartridge: Electricity\nFire Mode: Semi-Auto only" .. nopickup .. "\n\nElement 115-powered German superweapon created by Edward Richtofen during the final years of World War II.",
		bm_w_stinger_desc = "Cartridge: 70mm Missiles\nFire Mode: Single Shot" .. nopickup .. "\n\nInert training system converted to fire live rounds.",
		bm_w_tf2_rl_desc = "Cartridge: 40mm Rockets\nFire Mode: Semi-Auto only\n\nThe signature weapon of the Soldier; a Soviet anti-tank rocket launcher modified with a reversed grip orientation and extended magazine tube.",
		bm_w_vick_desc = "Cartridge: .303 British\nFire Mode: Full-Auto only\n\nWater cooled machine gun of the British Army; requires 6 to 8 people to operate.",
		bm_w_watergun_desc = "Cartridge: Water\nFire Mode: Semi-Auto only" .. nopickup .. "\n\nYou may not think so, but you could drown someone with this thing.",
		bm_w_xm214a_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Full-Auto only\n\nTime to get serious.",
		bm_w_zd_nailgun_desc = "Cartridge: Nails\nFire Mode: Semi-Auto only" .. recycle .. nopickup .. "\n\nHigh-powered framing nailer intended for driving heavy-duty nails into wooden framework.",
		bm_w_riviter_desc = "Cartridge: Classified\nFire Mode: Semi-Auto only" .. nopickup .. "\n\nNo one knows how this contraption works, much less the explosive nature of its projectile. Black magic? Kinetic energy? Gunpowder, perhaps? Just don't try to rocket jump with it.",
		
		--6.)	Pistols
		bm_w_accushadow2_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nCompetition pistol based on the Shadow 2 with a 1/4 turn 1911 style AccuBushing and custom hammer for smoother trigger pulls.",
		bm_w_af2011_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nDouble barreled 1911; one trigger pull fires two shots.",
		bm_w_ajm_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto, 3-Round Burst or Full-Auto\n\nSelect-fire pistol derived from the 93R; the signature weapon of RoboCop.",
		bm_w_akagi_desc = "Cartridge: 9×18mm Makarov\nFire Mode: Double-Action\n\nCompact revolver designed for instant readiness. Since the rounds are rimmless, they are loaded via removable metal clips.",
		bm_w_amt_desc = "Cartridge: .44 Auto Mag Pistol\nFire Mode: Semi-Auto only\n\nLarge caliber pistol made popular in cinema and novels; its overly complex design was deemed too cost-ineffective to continue production and led to the original company going under less than a year later, after producing less than 3000 units.",
		bm_w_appistol_desc = "Cartridge: 9×18mm Makarov\nFire Mode: Semi-Auto or Full-Auto" .. ap .. "\n\nPrototype machine pistol fitted with parts from the OTs-33 Pernach and rechambered with its respective caliber.",
		bm_w_axewscope_desc = "Cartridge: 9×21mm IMI\nFire Mode: Semi-Auto only\n\nCompetition variant based on the Tactical Sports model; comes with a compensator, C-More sight and frame mount straight out of the box.",
		bm_w_b93r_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or 3-Round Burst\n\nMachine pistol derived from the Beretta 92 intended for police and military use; fitted with a folding vertical grip and muzzle brake for close quarters battle and room-to-room searches.",
		bm_w_bootl1911_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nA Hi-Power derivative of Hungarian make; the GKK designation was given by the importer Michael Kassnar, after the initials of his daughter.",
		bm_w_chinesium_desc = "Cartridge: 7.62×25mm Tokarev\nFire Mode: Semi-Auto only\n\nChinese clone of the SIG P226.",
		bm_w_cold_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nA lightweight, short-barreled 1911 variant produced in 1950 with various styles and chambered for three different cartridges.",
		bm_w_colt1911_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nThe classic Colt pistol, re-issued in 1924 with various combat optimizations.",
		bm_w_coltds_desc = "Cartridge: .38 Special\nFire Mode: Double-Action\n\nAn American six-shooter marketed by Colt as the first \"official\" snub-nosed revolver with a modern swing-out frame. The name suggests intent for concealed carry by plainclothes detectives.",
		bm_w_cssdeagle_desc = "Cartridge: .50 Action Express\nFire Mode: Semi-Auto only\n\nGas-operated handgun chambered for a powerful magnum cartridge. This one for some reason has a fluted barrel, something normally reserved for the .357 or .44 magnum chambered variants.",
		bm_w_ctfavourite_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nGerman semi-automatic pistol developed in 1989 to replace the aging P7 series of handguns.",
		bm_w_cz2_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nCroatian clone of a rimfire pistol converted to fire 9mm rounds; designated the CZ-2.",
		bm_w_cz75b_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nCZ 75 variant with full-length slide rails and an internal firing pin block.",
		bm_w_czauto_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nSelect-fire CZ 75 variant with an extended muzzle brake; a spare magazine can be mounted in front of the trigger guard, acting as a foregrip.",
		bm_w_cz_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nCompetition variant of the CZ 75 with a reshaped grip and safety, weaker recoil spring, fiber optic front sight and Novak style rear sight.",
		bm_w_deckard_desc = "Cartridge: Unknown\nFire Mode: Semi-Auto or 3-Round Burst\n\nChi-tech plasma revolver designed for hunting rogue androids.",
		bm_w_degle_desc = "Cartridge: .50 Imaginary\nFire Mode: Semi-Auto only\n\na wepon 2 sirpas metle geer.",
		bm_w_deltaoneniner_desc = "Cartridge: .50 Action Express\nFire Mode: Semi-Auto only\n\nCurrent production model of the Desert Eagle with a ported barrel and accessory rails.",
		bm_w_derringer_desc = "Cartridge: .41 Short\nFire Mode: Single Shot\n\nOver-and-under, double barreled pocket pistol.",
		bm_w_duke1911_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nDuke Nukem's personal gold-plated 1911.\n\nHail to the king, baby.",
		bm_w_fnp45_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\n.45 ACP variant of the FNP pistol lineup modified with a longer barrel and illuminated night sights.",
		bm_w_fp45_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Single Shot\n\nAn crude, inexpensive pistol made during World War 2, the idea being to provide a cheap insurgency weapon to friendly forces behind enemy lines. Its simplistic design and single shot capacity would dissuade enemies from using it.",
		bm_w_g19_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nCompact variant of the Glock 17 introduced in 1988 for military and law enforcement.",
		bm_w_glawk19_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nMy, what a big Glock you have...",
		bm_w_glawk_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nThe first of many Glock models; Gen 3 variant includes finger grooves, thumb reliefs and an underbarrel accessory rail.",
		bm_w_gsh18_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nRussian striker-fired pistol with a double-stack magazine; named after its two designers - Gryazev & Shipunov.",
		bm_w_hand1960_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or 3-Round Burst\n\nFuturistic select-fire variant of the Luger pistol.",
		bm_w_hipower_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nJohn Browning's pistol, initially known as the P-35; its design was finalized by Dieudonné Saive at FN following the former's death in 1926. The \"Hi-Power\" designation refers to its higher magazine capacity, rather than its cartridge.",
		bm_w_hk45c_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nU.S. military Joint Combat Pistol program entry derived from the USP and P2000, modified with a conventional straight grip.",
		bm_w_hl1g_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\n\"9mm semi-automatic handgun acquired.\"",
		bm_w_hlmp7_desc = "Cartridge: 4.6×30mm\nFire Mode: Semi-Auto or Full-Auto\n\nBased on the 2nd prototype.",
		bm_w_hoxy_desc = "Cartridge: 5.7×28mm\nFire Mode: Semi-Auto only" .. ap .. "\n\nUpdated version of the Five-seven introduced in 2013 with front and rear cocking serrations and a one-piece metal slide.",
		bm_w_hpb_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nJohn Browning's pistol, initially known as the P-35; its design was finalized by Dieudonné Saive at FN following the former's death in 1926. The \"Hi-Power\" designation refers to its higher magazine capacity, rather than its cartridge.",
		bm_w_hshdm_desc = "Cartridge: .22 Long Rifle\nFire Mode: Semi-Auto only" .. intsupp .. "\n\nTarget pistol based on the earlier HD model; adopted by the Office of Strategic Services during World War II.",
		bm_w_k5_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nStandard sidearm of the South Korean armed forces.",
		bm_w_kard_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto or Full-Auto\n\nPrototype pistol utilizing the same \"Super V\" system as the Vector submachine gun.",
		bm_w_katsuragi_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nGerman self-loading pistol introduced in 1993 and still currently manufactured to this day. Though originally designed for the American market, it saw international success for its accuracy and reliability.",
		bm_w_kingcobra_desc = "Cartridge: .357 Magnum\nFire Mode: Double-Action\n\nMedium frame revolver based on the Trooper MK V with a heavier barrel, full-length ejection rod protection shroud, target grips and thicker barrel ribbing.",
		bm_w_kolibri_desc = "Cartridge: 2.7×9mm Kolibri\nFire Mode: Semi-Auto only\n\nMiniature pistol developed during World War I; its cartridge has less stopping power than a punch.",
		bm_w_l35_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nFinnish pistol outwardly resembling the Luger P08; adopted by the Finnish army in 1935.",
		bm_w_lapd_desc = "Cartridge: Unknown\nFire Mode: Semi-Auto only\n\nStandard-issue sidearm of the Blade Runner task force, boasting immense power at the expense of magazine capacity.",
		bm_w_lebman_desc = "Cartridge: .38 Super\nFire Mode: Semi-Auto or Full-Auto\n\nModern reproduction of a custom-made, 1911 series machine pistol that was used by John Dillinger's gang during the Great Depression.",
		bm_w_lele_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nPrototype, double-action machine pistol with an integrated foregrip.",
		bm_w_limafive_desc = "Cartridge: .357 Magnum\nFire Mode: Semi-Auto only\n\nLightweight, short-barreled Desert Eagle variant with an integral muzzle brake.",
		bm_w_m1895_desc = "Cartridge: 7.62×38mmR Nagant\nFire Mode: Single-Action\n\n7-shot revolver with a gas-seal system, allowing the use of a suppressor.",
		bm_w_m45a1_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nModernized 1911 variant with an ambidextrous safety, underbarrel rail and desert tan finish.",
		bm_w_m6d_desc = "Cartridge: 12.7×40mm\nFire Mode: Semi-Auto only\n\nAn upsized sidearm with a built-in scope for long-range gunslinging. Keep it loaded.",
		bm_w_m6g_desc = "Cartridge: 12.7×40mm\nFire Mode: Semi-Auto only\n\nStandard issue sidearm of Navy officers of the United Nations Space Command, fitted with a KFA-2 ×2 smart-linked scope.",
		bm_w_m712_desc = "Cartridge: 7.63×25mm Mauser\nFire Mode: Semi-Auto or Full-Auto\n\nSelect-fire variant of the C96 introduced in the early 1930s in response to the Spanish copies produced in 1927; uses detachable box magazines.",
		bm_w_m92fs_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nMilitary variant 92SB-F designed in 1984 and entered into the Joint Service Small Arms Program (JSSAP) competition; it won the program after extensive testing and became the new sidearm for the U.S. Military under the M9 designation.",
		bm_w_m9butcool_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nCustom-made Beretta issued to the Raccoon City Police Department's elite S.T.A.R.S. unit.",
		bm_w_mars_desc = "Cartridge: 9×26mm Mars\nFire Mode: Semi-Auto only\n\nSemi-automatic pistol chambered for a variety of proprietary, bottlenecked cartridges and designed as a possible (though failed) replacement for the Webley revolver.",
		bm_w_meusoc_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nRefurbished and upgraded M1911A1 variant issued to the Force Recon Element of the USMC's Marine Expeditionary Units in 1985.",
		bm_w_mp443_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nMilitary variant of the Yarygin PYa pistol.",
		bm_w_mr96_desc = "Cartridge: .357 Magnum\nFire Mode: Double-Action\n\nFrench revolver designed as a replacement to the MR-93; includes squared barrel, rubber grips, simplified cylinder shield and more traditional cylinder grooves.",
		bm_w_nes_desc = "Cartridge: N/A\nFire Mode: Semi-Auto only\n\nSure it looks weird, but it makes clicking noises and you can even pretend you're shooting that stupid dog.",
		bm_w_noodle_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nSwiss pistol developed with a unique locking system known as the \"SIG-Sauer System\".",
		bm_w_ots_33_desc = "Cartridge: 9×18mm Makarov\nFire Mode: Semi-Auto or Full-Auto\n\nRussian machine pistol intended to replace the APS in various police and paramilitary units.",
		bm_w_p10mm_desc = "Cartridge: 10×25mm Automatic\nFire Mode: Semi-Auto only\n\nWasteland-era sidearm chambered for the powerful 10mm Auto cartridge.",
		bm_w_p38_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nGerman World War II-era service pistol intended to replace the Luger P08.",
		bm_w_p80_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nAustrian/Norwegian service pistol based on the Glock 17.",
		bm_w_p99_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nGerman pistol intended for law enforcement, security forces and civilian markets as a replacement for the P5 and P88 models; Anti Stress model includes modified trigger to prevent accidental discharging.",
		bm_w_pb_desc = "Cartridge: 9×18mm Makarov\nFire Mode: Semi-Auto only" .. intsupp .. "\n\nMakarov variant with a two-stage, detachable suppressor.",
		bm_w_peepee_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nModern submachine gun designed to use Russian overpowered rounds to defeat body armor.",
		bm_w_pinkie_desc = "Cartridge: .380 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nSubcompact Desert Eagle variant designed for concealed carry.",
		bm_w_pkpsd9_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or 3-Round Burst\n\nRusso-Italian pistol placed inside a carbine frame.",
		bm_w_plr16_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto only\n\nCompact semi-automatic carbine designed as a long-range target and hunting pistol.",
		bm_w_pm_desc = "Cartridge: 9×18mm Makarov\nFire Mode: Semi-Auto only\n\nMass-produced Soviet-era handgun with a simple blow-back cycling mechanism.",
		bm_w_px4_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nLightweight pistol intended for law enforcement and personal defense use; features the rotating barrel action of the Beretta 8000 and the trigger and safety of the 92 series while being completely different in design from either.",
		bm_w_python_desc = "Cartridge: .357 Magnum\nFire Mode: Double-Action\n\nI-Frame revolver introduced and then-manufactured by Colt in 1955; powerful, reliable and highly sought after by collectors.",
		bm_w_qsz92_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nChinese pistol developed in 1994 alongside its proprietary DBP92 cartridge; adopted by the PLA and various other Chinese police forces.",
		bm_w_rally_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nThe classic \"Wonder Nine\".",
		bm_w_rhino_desc = "Cartridge: .357 Magnum\nFire Mode: Double-Action\n\nItalian revolver with a low-axis barrel, similar to the Mateba series of revolvers.",
		bm_w_rugermk3_desc = "Cartridge: .22 Long Rifle\nFire Mode: Semi-Auto only\n\nThird variation of the Ruger Standard Model introduced in 2004 and produced until 2016.",
		bm_w_rusglock_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or 3-Round Burst\n\nRusso-Italian pistol with a short recoil-operated action based on the Bergmann System; it saw testing for adoption in the Russian military, but was snubbed due to behind-the-scenes political shiftings.",
		bm_w_sammy_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nCompact variant of the P220 developed in 1978.",
		bm_w_sb_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nStainless steel 1911 clone with adjustable rear sights and a lengthened grip safety; the signature weapon of Agent 47.",
		bm_w_seburo_desc = "Cartridge: 5.45×18mm 7N7\nFire Mode: Semi-Auto only" .. ap .. "\n\nStandard sidearm of Section 9 operatives; a concealed-carry pistol with a 3.5\" barrel and rotating breech locking mechanism similar to that found on the Beretta 8000.",
		bm_w_shatters_fury_desc = "Cartridge: .500 Smith & Wesson Magnum\nFire Mode: Double-Action" .. ap .. "\n\n5-shot revolver built on the proprietary \"X-Frame\" developed to handle the cartridge's immense pressure and muzzle velocity.",
		bm_w_papa320_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nA further development of the previous P250 model, noteworthy for its selection by the U.S. Army to replace both the M11 and Beretta M9 with its own compact and full-size variants.",
		bm_w_smolak_desc = "Cartridge: 5.45×39mm Russian\nFire Mode: Semi-Auto or Full-Auto\n\nRomanian AK-74 variant with a cut-down barrel and stock removed.",
		bm_w_socom_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nMatch grade, offensive pistol developed in 1991 and adopted by the U.S. Special Operations Command (or SOCOM for short) for special operations units in 1996.",
		bm_w_sonny_desc = "Cartridge: 10×25mm Automatic\nFire Mode: Semi-Auto only\n\nSonny Crockett's sidearm of choice; a strengthened CZ 75. Only 1,500 units were made before the company went under in 1986.",
		bm_w_sr1_desc = "Cartridge: 9×21mm Gyurza\nFire Mode: Semi-Auto only\n\nRussian pistol adopted by the FSB in 1996; originally known as \"Gyurza\".",
		bm_w_sw27_desc = "Cartridge: .357 Magnum\nFire Mode: Double-Action\n\nCarbon steel, N-frame revolver produced in 1935.",
		bm_w_sw327r8_desc = "Cartridge: .357 Magnum\nFire Mode: Double-Action\n\nScandium alloy-framed 8-shot revolver.",
		bm_w_sw642_desc = "Cartridge: .38 Special\nFire Mode: Double-Action\n\n5-shot revolver built on S&W's \"J-Frame\" as part of their then-named Centennial line.",
		bm_w_sw659_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nDouble-action, stainless-steel variant of the Model 459 with and an adjustable rear sight and fixed front sight.",
		bm_w_swmp40_desc = "Cartridge: .40 Smith & Wesson\nFire Mode: Semi-Auto only\n\nHybrid pistol based on the Sigma and SW99 designs with an improved trigger and underbarrel accessory rail.",
		bm_w_tf2_revolver_desc = "Cartridge: .357 Magnum\nFire Mode: Double-Action\n\n6-shot \"I-Frame\" revolver.",
		bm_w_toy1911_desc = "Cartridge: N/A\nFire Mode: Semi-Auto only\n\nFeatures realistic blowback action! Includes mock compensator!\n\nBatteries sold separately.",
		bm_w_triad_desc = "Cartridge: Unknown\nFire Mode: Double-Action\n\nChi-tech triple barreled revolver.",
		bm_w_unica6_desc = "Cartridge: .357 Magnum\nFire Mode: Double-Action\n\nItalian recoil operated revolver; rounds are fired from the bottom chamber to align recoil directly with the shooter's hands, slightly mitigating muzzle flip.",
		bm_w_vp70_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nDouble-action pistol with a shoulder stock for allowing burst fire; it is considered the first polymer-framed handgun, predating the Glock pistol by 12 years.",
		bm_w_welrod_desc = "Cartridge: .32 Automatic Colt Pistol\nFire Mode: Semi-Auto only" .. intsupp .. "\n\nWorld War II-era pistol designed for clandestine operations; known for being extremely quiet, producing only 73 decibels when fired.",
		bm_w_wes92se_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nJoseph Kendo's custom-made Beretta issued to the Raccoon City Police Department's elite S.T.A.R.S. unit.",
		bm_w_x_af2011_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nA pair of double barreled 1911s.",
		bm_w_x_ajm_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of Auto-9s.",
		bm_w_x_bayo_desc = "Cartridge: .41 Short\nFire Mode: Full-Auto only\n\nA pair of Bayonetta's \"Scarborough Fair\" derringers.",
		bm_w_x_bootl1911_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nI hope you remembered your CQC training.",
		bm_w_x_cold_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nA pair of short barreled 1911s.",
		bm_w_x_colt1911_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nA pair of 1911s.",
		bm_w_x_cz2_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nA pair of rimfire pistols.",
		bm_w_x_cz75b_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nA pair of 2nd-gen CZ 75s.",
		bm_w_x_czauto_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of pocket AK-47s.",
		bm_w_x_cz_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nA pair of shadow pistols.",
		bm_w_x_deckard_desc = "Cartridge: Unknown\nFire Mode: Double-Action\n\nA pair of plasma revolvers.",
		bm_w_x_deltaoneniner_desc = "Cartridge: .50 Action Express\nFire Mode: Semi-Auto only\n\nSay goodbye to your wrists.",
		bm_w_x_gsh18_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nA pair of GSh-18s.",
		bm_w_x_hand1960_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or 3-Round Burst\n\nA pair of space-age Lugers.",
		bm_w_x_hipower_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nThat's a lot of power you got in your hands there. Use it wisely.",
		bm_w_x_hk45c_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nA pair of threaded HK45s.",
		bm_w_x_hl1g_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nA pair of low-poly Glocks.",
		bm_w_x_hshdm_desc = "Cartridge: .22 Long Rifle\nFire Mode: Semi-Auto only" .. intsupp .. "\n\nA pair of HDMs.",
		bm_w_x_lapd_desc = "Cartridge: Unknown\nFire Mode: Semi-Auto only\n\nA pair of blasters.",
		bm_w_x_lebman_desc = "Cartridge: .38 Super\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of depressed looking 1911s.",
		bm_w_x_lemming_desc = "Cartridge: 5.7×28mm\nFire Mode: Semi-Auto only" .. ap .. "\n\nNo, you can't call this a ten-fourteen. That's stupid.",
		bm_w_x_limafive_desc = "Cartridge: .357 Magnum\nFire Mode: Semi-Auto only\n\nA pair of baby eagles.",
		bm_w_x_m6g_desc = "Cartridge: 12.7×40mm\nFire Mode: Semi-Auto only\n\nA pair of up-sized magnum pistols.",
		bm_w_x_m92fs_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nA pair of M9s.",
		bm_w_x_meusoc_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nA pair of hand warmers.", --oh god oh fuck oh god oh fuck
		bm_w_x_mr96_desc = "Cartridge: .357 Magnum\nFire Mode: Double-Action\n\nA pair of snobbish-looking revolvers.",
		bm_w_x_nes_desc = "Cartridge: N/A\nFire Mode: Semi-Auto only\n\nA pair of clicking light guns.",
		bm_w_x_p10mm_desc = "Cartridge: 10×25mm Automatic\nFire Mode: Semi-Auto only\n\nA pair of 10mms.",
		bm_w_x_peepee_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of PP-2000s.",
		bm_w_x_pm_desc = "Cartridge: 9×18mm Makarov\nFire Mode: Semi-Auto only\n\nHeterochromia not included.",
		bm_w_x_qsz92_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nA pair of Chinese Five-sevens.",
		bm_w_x_rally_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nRally Vincent's wet dream.",
		bm_w_x_rsh12_desc = "Cartridge: 12.7×55mm\nFire Mode: Double-Action" .. ap .. "\n\nI wouldn't do that if I were you.",
		bm_w_x_sb_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nA pair of stainless steel 1911s.",
		bm_w_x_seburo_desc = "Cartridge: 5.45×18mm 7N7\nFire Mode: Semi-Auto only" .. ap .. "\n\nA pair of M-5s.",
		bm_w_x_papa320_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nIt is not advised to exceed the maximum daily dosage of lead.",
		bm_w_x_smolak_desc = "Cartridge: 5.45×39mm Russian\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of Dracos.",
		bm_w_x_socom_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto only\n\nThe best defense is sometimes a good offense.",
		bm_w_x_sonny_desc = "Cartridge: 10×25mm Automatic\nFire Mode: Semi-Auto only\n\nWouldn't this be called a \"Bren Twenty\"?",
		bm_w_x_sr1_desc = "Cartridge: 9×21mm Gyurza\nFire Mode: Semi-Auto only\n\nA pair of Serdyukovs.",
		bm_w_x_sw642_desc = "Cartridge: .38 Special\nFire Mode: Double-Action\n\nDid I fire nine shots or only four? Oh, forget it.",
		bm_w_x_sw659_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nA pair of 659s.",
		bm_w_x_triad_desc = "Cartridge: Unknown\nFire Mode: Double-Action\n\nThese things aren't exactly civilized.",
		bm_w_x_vp70_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto only\n\nA pair of VP70s.",
		bm_w_zenith_desc = "Cartridge: 10×25mm Automatic\nFire Mode: Semi-Auto only\n\nAmbidextrous, modular pistol based on the M1911 and P99 designs.",
		bm_w_duskpistol_desc = "Cartridge: Classified\nFire Mode: Semi-Auto only\n\nPistols, mostly those of older make, have experienced their fair share of conflicts, many of them even outliving their owners. Try not to end up like the last guy.",
		
		--7.)	Submachine Guns
		-- bm_w_secho_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto, 3-Round Burst or Full-Auto\n\n",
		bm_w_aek919_desc = "Cartridge: 9×18mm Makarov\nFire Mode: Semi-Auto or Full-Auto\n\nHighly compact submachine gun based on the Uzi and fitted with a retractable stock; introduced to the Russian Army in 1995 during the First Chechnya War.",
		bm_w_ak556_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nCustom-made, Yugoslavian AKS-74U variant retooled with a STANAG-compatible receiver.",
		bm_w_ak5s_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nPrototype submachine gun variant of the Ak 5.",
		bm_w_aug9mm_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\n9mm variant of the AUG A3 with a 12\" barrel and picatinny rails.",
		bm_w_bane_desc = "Cartridge: [REDACTED]\nFire Mode: Semi-Auto or Full-Auto\n\nWARNING: Hyperion does not accept responsibility for any hearing damage.",
		bm_w_bastard_desc = "Cartridge: 5.45×39mm Russian\nFire Mode: Full-Auto only\n\nCost-effective submachine gun-carbine hybrid developed sometime after the Great War of 2013; using dirty rounds, it boasts miserable accuracy and has a tendency to overheat.",
		bm_w_calico_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto, 3-Round Burst or Full-Auto\n\nPistol-length submachine gun variant of the M950 with a retractable stock and underbarrel rail.",
		bm_w_car9_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\n9mm submachine gun variant of the M16 rifle; its magazine well has been modified with an adapter to allow the use of smaller magazines.",
		bm_w_cbjms_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nMulti-role Swedish submachine gun.",
		bm_w_chang6_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nChinese submachine gun with a 50 round helical magazine similarly found on the PP-19.",
		bm_w_czevo_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto, 3-Round Burst or Full-Auto\n\nLightweight, compact submachine gun based on the Laugo prototype.",
		bm_w_einhander_desc = "Cartridge: Unknown\nFire Mode: Semi-Auto or Full-Auto\n\nChi-tech submachine gun.",
		bm_w_fang45_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto or Full-Auto\n\nAmbidextrous, AR-15 type submachine gun feeding from UMP magazines, further modified with an A2 pistol grip and POF PSG handguard.",
		bm_w_glau_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: 4-Round Burst or Full-Auto" .. ap .. "\n\nPolish machine pistol based on the original PM-84 model.",
		bm_w_iso_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nA machine pistol with an original design, inspired by Karl Brügger himself who saw the need for this type of weapon following B&T's success with the earlier MP9.",
		bm_w_js2_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nExport variant of a Chinese bullpup submachine gun utilizing MP5-type magazines.",
		bm_w_k1a7_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nKorean carbine developed in 1983 as a replacement to the M16 rifles used during the 1970s.",
		bm_w_kedr_desc = "Cartridge: 9×18mm Makarov\nFire Mode: Semi-Auto or Full-Auto\n\nRussian submachine gun developed from a 1970s prototype and adopted by the Russian Ministry of Internal Affairs in 1994.",
		bm_w_kurz_919_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto, 3-Round Burst or Full-Auto\n\nShortened MP5 variant with an integral vertical grip.",
		bm_w_lugerwth_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Full-Auto only\n\nFully automatic Luger variant fitted with AKM parts.",
		bm_w_m38a_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nWorld War II-era submachine gun developed from the eariler Model 1918 and introduced in service with the Italian army in 1938; it is widely acknowledged as Italy's most successful and effective small arm of its time.",
		bm_w_m3_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Full-Auto only\n\nCost-effective alternative to the Thompson submachine gun, externally resembling the aptly-named mechanic's tool.",
		bm_w_m4cqb_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nShort barreled M4A1 variant of the United States Navy.",
		bm_w_m7caseless_desc = "Cartridge: 5×23mm M443 Caseless FMJ\nFire Mode: Semi-Auto or Full-Auto" .. ap .. "\n\nPersonal defense weapon of the UNSC Armed Forces, favored for its efficiency in eliminating insurgents in orbital habitats and cluttered urban environments.",
		bm_w_mac10mpa_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto or Full-Auto\n\nMachine pistol modified with a Masterpiece Arms upper receiver, adding a full-length top rail and relocating the bolt handle to the left side.",
		bm_w_mass_desc = "Cartridge: Unknown\nFire Mode: Semi-Auto, 4-Round Burst or Full-Auto\n\nAn automatic weapon of unknown origin capable of utilizing elemental properties; rounds fired are broken off into 3 smaller projectiles, acting as a middle ground between shotguns and submachine guns.",
		bm_w_master_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nMAC-10 clone comprising of various semi-automatic models and modified to allow full-auto fire.",
		bm_w_mp7new_desc = "Cartridge: 4.6×30mm\nFire Mode: Semi-Auto or Full-Auto" .. ap .. "\n\nUsed by alphabet soup agencies and special forces units the world over.",
		bm_w_msmc_desc = "Cartridge: 5.56×30mm MINSAS\nFire Mode: Semi-Auto or Full-Auto\n\nIndian submachine gun with a grip-feeding design similarly seen on the Uzi.",
		bm_w_nya_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nElectronically-powered submachine gun with a retractable stock and various picatinny rails; has a built-in hydraulic regulator which moderates the weapon's rate of fire.",
		bm_w_op68_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nSubcompact variant of the ACR with a 9.5\" barrel.",
		bm_w_owen_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nAustralian submachine gun designed during World War II; it outperformed the Sten during its trial and was adopted by the Australian Army, despite heavy political resistance.",
		bm_w_pdr_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nPrototype bullpup rifle unveiled in 2006 as an intended replacement for various submachine guns, pistols and carbines. Though development has ceased, it has garnered some attention to its space-age, futuristic look.",
		bm_w_pm63_desc = "Cartridge: 9×18mm Makarov\nFire Mode: Semi-Auto or Full-Auto\n\nPolish machine pistol developed during the Warsaw Pact; used extensively by Polish Special Ops units, Airborne units and various police divisions.",
		bm_w_ppk20_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nModernized PP-19-01 with AK-12 style furniture.",
		bm_w_pps43_desc = "Cartridge: 7.62×25mm Tokarev\nFire Mode: Full-Auto only\n\nCost-effective Soviet submachine gun issued to vehicle crews, reconnaissance units and various other support personnel.",
		bm_w_ppsh_desc = "Cartridge: 7.62×25mm Tokarev\nFire Mode: Full-Auto only\n\nSoviet mass-produced submachine gun; a cheap and reliable alternative to the PPD-40.",
		bm_w_qbz97b_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nExport carbine variant of the QBZ-97.",
		bm_w_r0933blk_desc = "Cartridge: .300 Blackout\nFire Mode: Semi-Auto or Full-Auto" .. intsupp .. "\n\nAR-15 type rifle with a built-in suppressor and chambered for the powerful AAC subsonic cartridge.",
		bm_w_shieldgirl_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nCompact variant of the MDR with an integral foregrip.",
		bm_w_slap_10_desc = "Cartridge: 10×25mm Automatic\nFire Mode: Semi-Auto, 3-Round Burst or Full-Auto\n\n10mm Auto variant of the MP5.",
		bm_w_slap_40_desc = "Cartridge: .40 Smith & Wesson\nFire Mode: Semi-Auto, 3-Round Burst or Full-Auto\n\n.40 S&W variant of the MP5.",
		bm_w_slap_919_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto, 3-Round Burst or Full-Auto\n\nCompact submachine gun fitted with a retractable stock.",
		bm_w_smg45_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto or Full-Auto\n\nPistol-caliber carbine with a delayed blow-back system; feeds from UMP magazines.",
		bm_w_spectre_m4_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nCompact, lightweight Italian submachine gun designed to provide instant firepower in close quarters combat.",
		bm_w_storm_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nSelect-fire variant of the Cx4 with a 12\" barrel; it has earned a reputation among police and security forces for being reliable and easy to use.",
		bm_w_stoy_919_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\n9mm submachine gun variant of the M16 rifle.",
		bm_w_tm1a1_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto or Full-Auto\n\nCost-effective variant of the M1 with a simplified internal mechanism and added rear sight wings.",
		bm_w_ump_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto, 3-Round Burst or Full-Auto\n\nOne of the newer additions to the MP family.\n\nWait... do submachine guns have families?",
		bm_w_uzi_lowang_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nSpray and pray.\n\nMaybe focus on praying.",
		bm_w_vz58comp_desc = "Cartridge: 7.62×39mm Soviet\nFire Mode: Semi-Auto or Full-Auto\n\nCarbine variant of the Vz. 58 with a 7.5\" barrel, sidefolding stock and polymer furniture.",
		bm_w_x_416_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of HK416es with 20 round mags.",
		bm_w_x_aek919_desc = "Cartridge: 9×18mm Makarov\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of Russian Uzis.",
		bm_w_x_ak5s_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of prototype submachine guns.",
		bm_w_x_car9_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of Colt SMGs.",
		bm_w_x_czevo_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nBRRRRRRRRRRRRRRRRRRRRRT",
		bm_w_x_fmgnine_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nI hate you so much.",
		bm_w_x_kard_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto or Full-Auto\n\nThe only KARDs you'll ever need.",
		bm_w_x_kedr_desc = "Cartridge: 9×18mm Makarov\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of tree stumps.",
		bm_w_x_m3_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Full-Auto only\n\nA pair of grease guns.",
		bm_w_x_m7caseless_desc = "Cartridge: 5×23mm M443 Caseless FMJ\nFire Mode: Semi-Auto or Full-Auto" .. ap .. "\n\nA pair of caseless bullet hoses.",
		bm_w_x_mass_desc = "Cartridge: Unknown\nFire Mode: Semi-Auto, 4-Round Burst or Full-Auto\n\nWhen all else fails, aim for center mass.",
		bm_w_x_master_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of hybrid MACs.",
		bm_w_x_nya_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of screeching, stray cats.", -- If anyone notices any of these GFL jokes I threw in... god help me
		bm_w_x_patriot_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of chopped M16s.\n\nStill no infinite ammo.",
		bm_w_x_pm63_desc = "Cartridge: 9×18mm Makarov\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of crabs.\n\nButter not included.",
		bm_w_x_spectre_m4_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of Spectres, for extra spookiness.",
		bm_w_x_tm1a1_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of stockless Thompsons.",
		bm_w_x_ump_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto, 3-Round Burst or Full-Auto\n\nThis was a mistake.",
		bm_w_x_uzi_lowang_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto or Full-Auto\n\nA pair of heavily customized M10s.",
		
		-------------
		--  Melee  --
		-------------
		
		--Vanilla Mod Pack
		bm_melee_bloodyknife = "Woodman's Pal Survival Machete",
		bm_melee_raidknife = "U.S. M3 Fighting Knife",
		bm_melee_admiralknife = "Ceremonial Dagger",
		bm_melee_knuckleduster = "Spiked Brass Knuckles",
		bm_melee_candycane = "Plastic Candy Cane",
		--Shadow Warrior Pack
		bm_melee_nobitsura_kage = "\"Nobitsura Kage\"",
		bm_melee_nobitsura_kage_desc = "The Nobitsura Kage is a legendary blade that Lo Wang sets out to find in the Shadow Warrior series.",
		bm_melee_hlm_katana = "Hotline Miami Katana",
		bm_melee_hlm_katana_desc = "I'll get paid for killing, and this town is full of people who deserve to die.",
		bm_melee_penetrator = "Dildo Bat",
		bm_melee_penetrator_desc = "The absurdity of a sex toy with the lethality of a baseball bat.",
		--Big Earner
		bm_melee_tf_bigearner = "Frank Beltrame 11\" Stiletto Switchblade", --This was surprisingly easy to find
		bm_melee_tf_bigearner_desc = "Now, I know ya lookin' at this switch and ya think ya just gettin' gipped for something dinky and broken. Well, you'd be right.",
		--Eyelander
		bm_melee_tf_eyelander = "Scottish Claymore",
		bm_melee_tf_eyelander_desc = "You don't kill a man by mucking about with rifles, arrows, rocks, or other long-distance rubbish. You kill him by grabbing the biggest bloody sword you can find, running up nice and close to him, and chopping the dumb bastard's head off.",
		--Mercy's Staff
		bm_melee_mercy_staff = "Caduceus Staff",
		bm_melee_mercy_staff_desc = "Heisters never die.",
		--Crovel
		bm_melee_crovel = "Horzine Industries \"Crovel\" Survival Tool", -- Crovels do exist IRL as there are many companies who manufacture it, but this seems to be a mish-mash of several models at best...
		bm_melee_crovel_desc = "Part crowbar, part shovel, all quite deadly.",
		--Karambit
		bm_melee_p_karambit = "\"Honshu\" Karambit w/Poison Tip",
		bm_melee_c_karambit = "United Cutlery \"Honshu\" Karambit",
		--Bayonet
		bm_melee_nepgearbayonet = "Smith & Wesson M9 Bayonet",
		--Bowie
		bm_melee_nepgearbowie = "AITOR Oso Negro Knife",
		--Shadow Daggers
		bm_melee_nepgeardaggers = "Gerber Tactical Uppercut Push Daggers",
		--M9
		bm_melee_nepgearm9bayonet = "Smith & Wesson SW3B Special Ops Knife",
		--K-Bartana
		bm_melee_kbart = "U.S. Marine Corps 1942 Combat Sword",
		bm_melee_kbart_desc = "It sharpens crayons. It helps the grass grow. It looks fucking sweet on a barracks wall.",
		bm_melee_kbark = "U.S. Marine Corps 1942 Combat Sword",
		bm_melee_kbark_desc = "NOTE: Uses Katana animations.",
		--Toga Himiko's Weapons
		bm_melee_toga = "Himiko's Tekko-Kagi",
		bm_melee_toga_desc = "Makeshift talons constructed from Himiko's combat knives.",
		bm_melee_toga_succ = "Blood Sucker",
		bm_melee_toga_succ_desc = "No, you can't disguise yourself as a Cloaker.",
		--Butterfly
		bm_melee_nepgearbutterfly = "Terry Guinn \"Gargoyle\" Balisong",
		--Scissor
		bm_melee_scissor = "Red Scissor Blade",
		--Tri-Dagger
		bm_melee_tridagger = "Jagdkommando 7\" Tri-Edge Dagger",
		--Lil' Wang
		bm_melee_lil_wang_desc = "This katana got ice in its veins, blood in its eyes, hate in its heart, and love on its mind.",
		--Pulverizer
		bm_melee_pulverizer = "Horzine Industries \"Pulverizer\"",
		bm_melee_pulverizer_desc = "Why wouldn't you want a combination shotgun sledgehammer?",
		--Pencil
		bm_melee_pencil = "Dixon Ticonderoga No. 2 Pencil",
		bm_melee_pencil_desc = "I once saw him kill three men in a bar... with a pencil, with a fucking pencil.",
		--Titan Hammer
		bm_melee_titan_hammer = "Titan Safe Hammer",
		bm_melee_titan_hammer_desc = "Suck it.",
		--Umbra
		bm_melee_umbra = "Umbra Sword",
		--Drop Point (no idea, so going with the given name from Line of Sight)
		bm_melee_gcombat = "POCAC Tactical Bullseye TK-14 Knife",
		--Leon's Maraca
		bm_melee_leomaraca = "Maraca",
		--Explorer
		bm_melee_guitarex = "Gibson Explorer Guitar",
		--Flying V Jimi Hendrix
		bm_melee_guitarhr = "Gibson \"Psychedelic\" Flying V Guitar",
		--Toy Knife
		bm_melee_toyknife = "Toy Combat Knife",
		bm_melee_toyknife_desc = "It's almost as dangerous as the real thing.",
		--A-2607
		bm_melee_a2607 = "Bars A-2607 Hunting Knife",
		bm_melee_damask = "Bars A-2607 \"Damascus\" Hunting Knife",
		
		bm_w_comma = "Have you ever inadvertently added a comma for one of your ending strings only to have the game crash on launch?"
		
		})
	end

		-------------------------
		-- Model/Texture Swaps --
		-------------------------
		
		--Old Weapon Textures and Models
		if Yawn.Options:GetValue("enable")
		and SystemFS:exists("assets/mod_overrides/Old Weapon Textures and Models") or SystemFS:exists("assets/mod_overrides/Classic Weapon Animations/main.xml") then
			LocalizationManager:add_localized_strings({
				bm_w_mp5 = "Heckler & Koch MP5A4",
				bm_w_x_mp5 = "Akimbo Heckler & Koch MP5A4s",
			})
		end
		
		--A proper Ksp 58
		if Yawn.Options:GetValue("enable")
		and SystemFS:exists("assets/mod_overrides/A proper Ksp 58/main.xml") then
			LocalizationManager:add_localized_strings({
				bm_w_par = "Carl Gustav Kulspruta 58B",
				bm_w_par_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Full-Auto only\n\nThe Swedish take on a Belgian machine gun, developed at a time where German machine gun derivatives were the norm. The first variant was chambered for a Scandinavian round before returning to its original chambering.",
				bm_wp_par_s_plastic = "Polymer Stock",
			})
		end

		------------------------------
		-- Stuff for Rebalance Mods --
		------------------------------
		
		--Hinaomi's Weapon Rebalance
		if Yawn.Options:GetValue("enable") and BeardLib.Utils:ModLoaded("Hinaomi's Rebalance - Weapons") then
			LocalizationManager:add_localized_strings({
				bm_w_raging_bull_desc = "Cartridge: .44 Magnum\nFire Mode: Double-Action" .. launch .. "\n\nBrazilian revolver marketed for hunting, with its design allowing for use of various caliber sizes.",
				bm_w_x_rage_desc = "Cartridge: .44 Magnum\nFire Mode: Double-Action" .. launch .. "\n\nA bull in one hand is worth two in the bush.",
				bm_w_chinchilla_desc = "Cartridge: .44 Magnum\nFire Mode: Double-Action" .. launch .. "\n\n\"N-Frame\" revolver introduced in 1955 which gained fame on the silver screen as \"the most powerful handgun in the world\".",
				bm_w_x_chinchilla_desc = "Cartridge: .44 Magnum\nFire Mode: Double-Action" .. launch .. "\n\nHalf Smith, half Wesson, all lucky.",
				bm_w_deagle_desc = "Cartridge: .50 Action Express\nFire Mode: Semi-Auto only" .. launch .. "\n\nOne of the most well known handguns chambered for a powerful magnum cartridge. Unusually for a handgun, it was designed with a gas-operated system to handle firing said rounds.",
				bm_w_x_deagle_desc = "Cartridge: .50 Action Express\nFire Mode: Semi-Auto only" .. launch .. "\n\nDon't break your wrists now.",
				bm_w_model3_desc = "Cartridge: .44 S&W Russian\nFire Mode: Single-Action" .. launch .. "\n\nCartridge-firing, top-break revolver produced in 1871 at the request of the Russian Empire; gunsmiths later reverse-engineered the design and began producing their own low-cost copies, nearly backrupting the company.",
				bm_w_x_model3_desc = "Cartridge: .44 S&W Russian\nFire Mode: Single-Action" .. launch .. "\n\nA pair of Russian Models.",
				bm_w_rsh12_desc = "Cartridge: 12.7×55mm\nFire Mode: Double-Action" .. ap .. launch .. "\n\nA Russian, large-caliber revolver designed for anti-materiel roles; similarly to the Chiappa Rhino and Mateba autorevolvers, rounds are fired from the bottom chamber of its pentagonal cylinder for reduced recoil. Though mentioned, no credible information is available regarding its adoption status.",
				bm_w_peacemaker_desc = "Cartridge: .45 Long Colt\nFire Mode: Single-Action" .. launch .. "\n\nA modern-day take on the classic six-shooter; its internals were built not unlike that of 20th century revolvers for cost efficiency.",
				bm_w_mateba_desc = "Cartridge: .357 Magnum\nFire Mode: Double-Action" .. launch .. "\n\nItalian, recoil operated revolver; rounds are fired from the bottom cylinder to reduce felt recoil.",
				bm_w_x_2006m_desc = "Cartridge: .357 Magnum\nFire Mode: Double-Action" .. launch .. "\n\nA pair of Mateba Auto-revolvers.",
				bm_w_sr2_desc = "Cartridge: 9×21mm Gyurza\nFire Mode: Semi-Auto or Full-Auto" .. ap .. "\n\nRussian personal defense weapon developed for use with FSB and OMON units.",
				bm_w_x_sr2_desc = "Cartridge: 9×21mm Gyurza\nFire Mode: Semi-Auto or Full-Auto" .. ap .. "\n\nUnleash your inner Jimmy.\n\nCocaine not included.",
				bm_w_p90_desc = "Cartridge: 5.7×28mm\nFire Mode: Semi-Auto or Full-Auto" .. ap .. "\n\nPersonal defense weapon developed in conjunction with the Five-seven pistol.",
				bm_w_x_p90_desc = "Cartridge: 5.7×28mm\nFire Mode: Semi-Auto or Full-Auto" .. ap .. "\n\nA pair of P90s.",
				bm_w_mp7_desc = "Cartridge: 4.6×30mm\nFire Mode: Semi-Auto or Full-Auto" .. ap .. "\n\nGerman personal defense weapon developed alongside its proprietary cartridge; a direct rival to the Belgian FN P90.",
				bm_w_x_mp7_desc = "Cartridge: 4.6×30mm\nFire Mode: Semi-Auto or Full-Auto" .. ap .. "\n\nA pair of MP7s.",
				bm_w_x_rsh12_desc = "Cartridge: 12.7×55mm\nFire Mode: Double-Action" .. ap .. launch .. "\n\nI wouldn't do that if I were you.",
				bm_w_korth_desc = "Cartridge: .357 Magnum\nFire Mode: Double-Action" .. launch .. "\n\nA high-end, German revolver with an 8-shot cylinder. As all parts are made in-house, they cost over $5,000 and are highly sought after by collectors.",
				bm_w_x_korth_desc = "Cartridge: .357 Magnum\nFire Mode: Double-Action" .. launch .. "\n\nYou couldn't afford one in your lifetime; what makes you think you can buy two?",
				bm_w_asval_desc = "Cartridge: 9×39mm\nFire Mode: Semi-Auto or Full-Auto" .. ap .. intsupp .. "\n\nA Soviet-era rifle developed at the behest of the Spetsnaz for more specialized armaments, with a special subsonic round made for use with its integral suppressor.",
				bm_w_groza_desc = "Cartridge: 9×39mm/40×53mm Electric Caseless Grenades\nFire Mode: Semi-Auto or Full-Auto (Groza)/Single Shot (GP-25)" .. ap .. "\n\nRussian bullpup rifle designed by Yuri Lebedev and Valery Telesh (who also designed the GP series of launchers), intended to incorporate the best features of the AKS-74U into a modular weapon system.",
				bm_w_contraband_desc = "Cartridge: 7.62×51mm NATO/40×46mm Grenades\nFire Mode: Semi-Auto or Full-Auto (HK417)/Single Shot (M203)\n\nBattle rifle variant of the HK416 with a larger receiver to better accommodate the full-powered cartridge. The underbarrel grenade launcher provides an extra weapon in cases where you don't have time to reload.",
				bm_w_m14_desc = "Cartridge: 7.62×51mm NATO\nFire Mode: Semi-Auto or Full-Auto\n\nSelect-fire rifle developed from a long line of experimental M1 Garand variants, as well as being its replacement; it is considered the last American battle rifle issued to U.S military personnel before being replaced by the M16.",
				bm_w_m16_desc = "Cartridge: 5.56×45mm NATO\nFire Mode: Semi-Auto or 3-Round Burst\n\nThe staple weapon of U.S. military, and one of the first to make a departure from a full-power cartridge to a smaller, higher velocity round. Despite its rocky start, it has since become one of the most iconic firearms in the world, setting the standard for future assault rifles.",
				bm_w_x_schakal_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto, 2-Round Burst or Full-Auto\n\nA pair of UMPs.",
				bm_w_x_polymer_desc = "Cartridge: .45 Automatic Colt Pistol\nFire Mode: Semi-Auto, 2-Round Burst or Full-Auto\n\nA pair of Vectors.",
				bm_w_x_mp5_desc = "Cartridge: 9×19mm Parabellum\nFire Mode: Semi-Auto, 3-Round Burst or Full-Auto\n\nA pair of stockless MP5s.",
			})
		end
	
	if Yawn.Options:GetValue("enable") and Yawn.Options:GetValue("shortnames") then
		LocalizationManager:add_localized_strings({
		
		---------------------
		--  1.) Primaries  --
		---------------------
		
		--	1a.)	Assault, Marksman & Battle Rifles
	
		--[AMCAR]
		bm_w_amcar = "Colt M733 Commando",
	
		--[AK]
		bm_w_ak74 = "IZHMASH AKS-74",
		--DMR Kit
		bm_wp_upg_ass_ak_b_zastava = "Zastava M76 Barrel",
		--Battleproven
		bm_wp_upg_ak_fg_tapco = "TAPCO Saiga Handguard",
		--Lightweight
		bm_wp_upg_fg_midwest = "Midwest Railed Handguard",
		--Crabs
		bm_wp_upg_ak_fg_krebs = "Krebs UFM Keymod Rail",
		--Keymod
		bm_wp_upg_ak_fg_trax = "Strike TRAX Handguard",
		
		--[CAR-4]
		--LW Upper Receiver
		bm_wp_upg_ass_m4_upper_reciever_ballos = "BCM Flat Top Upper Receiver",
		
		--[UAR]
		--A3 Rail
		bm_wp_aug_fg_a3 = "A3 Rail",
	
		--[AK.762]
		bm_w_akm = "IZHMASH AKMS",
	
		--[JP36]
		bm_w_g36 = "H&K G36KV",
		--Polizei Special
		bm_wp_g36_fg_ksk = "KAC RAS Handguard",
	
		--[M308]
		bm_w_m14 = "Springfield M14 DMR",
		--Abraham
		bm_wp_m14_body_ebr = "MK.14 EBR Kit",
		--Jaeger
		bm_wp_m14_body_jae = "JAE-100 G3 Kit",
	
		--[Eagle-H]
		bm_w_scar = "FN MK.17",
		--Rail Ext.
		bm_wp_scar_fg_railext = "PWS SRX Rail Extension",
		
		--[Gecko]
		--Fabulous Foregrip
		bm_wp_galil_fg_fab = "FAB VFR-GA Railed Handguard",
		--Fabulous Stock
		bm_wp_galil_s_fab = "Galil MAR Stock w/FAB MG-CP",
	
		--[Gewehr 3]
		bm_w_g3 = "H&K G3A3",
		--Tactical
		bm_wp_g3_fg_railed = "FAB G3 Railed Handguard",
	
		--[Valkyria]
		bm_w_asval = "Tula AS \"Val\"",
		--Solid Stock
		bm_wp_asval_s_solid = "VSS Stock",
	
		--[Bootleg]
		bm_w_tecci = "H&K HK416-C",
		bm_wp_ass_tecci_g_standard = "H&K Battle Grip",
	
		--[Little Friend]
		bm_w_contraband = "H&K HK417 M203",
	
		--[AK17]
		bm_w_ak12 = "IZHMASH AK-12",
	
		--[Galant]
		bm_w_ching = "Springfield M1 Garand",
		--Tanker Barrel
		bm_wp_ching_b_short = "T26 Barrel",
		--Custom Foregrip
		bm_wp_ching_fg_railed = "Fulton Gen 2 Super Scout Rail",
	
		--[Union]
		bm_w_corgi = "FN F2000 Tactical",
	
		--[Tempest]
		bm_w_komodo = "IMI X95",
		
		--[KS-12 Urban]
		--KS-12S Long Silencer
		bm_wp_shak12_ns_suppressor = "VSSK Suppressor",
		--KS12 DMR Kit
		bm_wp_shak12_body_vks = "VSSK Receiver",
		
		--[Rodion 3B]
		--Fyodor Muzzle Brake
		bm_wp_upg_ak_ns_jmac = "JMac MTC-1 Muzzle Brake",
	
		--	1b.)	Shotguns
	
		--[Reinfeld]
		bm_w_r870 = "Remington 870",
	
		--[IZHMA]
		bm_w_saiga = "IZHMASH Saiga-12K",
	
		--[Breaker]
		bm_w_boot = "Winchester 1887",
	
		--[M1014]
		bm_w_benelli = "Benelli M4",
	
		--[Steakout]
		bm_w_aa12 = "MPS AA-12 CQB",
		
		--[Reinfeld 88]
		bm_w_m1897 = "Winchester 1897",
		
		--[Mosconi 12G Tact.]
		bm_w_m590 = "Mossberg 590 Compact Cruiser",
		--CE Rail Stabilizer
		bm_wp_m590_body_rail = "BAT RB7SLIM Quad Rail",
	
		--	1c.)	Light Machine Guns
	
		--[RPK]
		bm_w_rpk = "IZHMASH RPK",
	
		--[KSP]
		bm_w_m249 = "FN M249 Paratrooper",
	
		--[Brenner]
		bm_w_hk21 = "H&K HK21E",
	
		--[Buzzsaw]
		bm_w_mg42 = "Mauser MG 42",
		--Light Barrel
		bm_wp_mg42_b_mg34 = "MG 34 Barrel",
		--Heatsinked Supp.
		bm_wp_mg42_b_vg38 = "BlasTech DLT-19 Barrel",
	
		--[KSP58]
		bm_w_par = "FN M240B",
		
		--[M60]
		bm_w_m60 = "Saco M60",
		
		--[SG Versteckt 51D]
		bm_w_hk51b = "Vollmer HK51-B",
		--Verdunkeln Muzzle Brake
		bm_wp_hk51b_ns_jcomp = "Strike JCOMP Compensator",
		
		--	1d.)	Sniper Rifles
		
		--[Rattlesnake]
		--Tact. Aluminum
		bm_wp_msr_body_msr = "RACS Stock",
		
		--[R93]
		--Compensated Supp.
		bm_wp_r93_b_suppressed = "SilencerCo Harvester Suppressor",
		--Wooden Stock
		bm_wp_r93_body_wood = "LRS2 Stock",
		
		--[Repeater]
		bm_w_winchester1874 = "Winchester 1873",
		
		--[Contractor .308]
		bm_w_tti = "TTI TR-1 Ultralight",
		--Stock
		bm_wp_tti_s_vltor = "VLTOR EMOD Stock",
		
		--[Grom]
		bm_w_siltstone = "IZHMASH SVD Dragunov",
		
		--[R700]
		bm_w_r700 = "Remington 700P",
		--Tactical
		bm_wp_r700_s_tactical = "JAE-700 Kit",
		
		--[Bernetti Rangehitter]
		bm_w_sbl = "Marlin 1895SBL",
		
		--	1e.)	Special Weapons
		bm_w_gre_m79 = "Springfield M79",
		
		--[Vulcan]
		bm_w_m134 = "GE M134",
		
		-----------------------
		--  2.) Secondaries  --
		-----------------------
		
		--	2a.)	Pistols
	
		
		--[Crosskill]
		bm_w_colt_1911 = "Springfield 1911 Lightweight Operator",
		bm_w_x_1911 = "Akimbo Springfield 1911s",
		
		--[Bernetti 9]
		--Marksman Sight
		bm_wp_upg_o_marksmansight_rear = "Mepro Tru-Dot Adjustable Sights",

		--[Bronco]
		--Aggressor Barrel
		bm_wp_rage_b_comp1 = "S&W V-Compensator",
		--Ventilated
		bm_wp_rage_b_comp2 = "S&W Muzzle Compensator",
		
		--[STRYK]
		--Velocity
		bm_wp_g18c_co_comp_2 = "SJC 9mm Compensator",
		--Stock
		bm_wp_g18c_s_stock = "FAB GLR-440 Stock",
		
		--[Interceptor]
		bm_w_usp = "H&K USP Tactical",
		bm_w_x_usp = "Akimbo H&K USP Tacticals",
		--Velocity
		bm_wp_usp_co_comp_2 = "SJC .45 ACP Compensator",
		
		--[Sig .40]
		bm_w_p226 = "SIG P226R",
		bm_w_x_p226 = "Akimbo SIG P226Rs",
		--Velocity
		bm_wp_p226_co_comp_2 = "SJC .40 S&W Compensator",
		
		--[Broomstick]
		--Hi-Capacity Mag
		bm_wp_c96_m_extended = "20rnd M712 Magazine",
		--Barrel Sight
		bm_wp_c96_sight = "S&B 1-8×24 PM Short Dot",
		
		--[LEO]
		bm_w_hs2000 = "Springfield XD(M)",
		bm_w_x_hs2000 = "Akimbo Springfield XD(M)s",
		
		--[White Streak]
		bm_w_pl14 = "IZHMASH PL-14 \"Lebedev\"",
		bm_w_x_pl14 = "Akimbo IZHMASH PL-14s",
		
		--[Contractor]
		bm_w_packrat = "H&K P30-L",
		bm_w_x_packrat = "Akimbo H&K P30-Ls",
		
		--[5/7 AP]
		bm_w_lemming = "FN Five-seven",
		
		--[Castigo]
		bm_w_chinchilla = "S&W Model 29",
		bm_w_x_chinchilla = "Akimbo S&W Model 29s",
		
		--[Parabellum]
		bm_w_breech = "Luger P08",
		bm_w_x_breech = "Akimbo Luger P08s",
		
		--[M13]
		bm_w_legacy = "H&K P7M13",
		bm_w_x_legacy = "Akimbo H&K P7M13s",
		bm_wp_legacy_b_threaded = "Tornado Tech. Threaded Barrel",
		
		--[HOLT]
		bm_w_holt = "Hudson H9",
		bm_w_x_holt = "Akimbo Hudson H9s",
		
		--[Frenchman Mdl. 87]
		bm_w_model3 = "S&W No. 3 \"Russian Model\"",
		bm_w_x_model3 = "Akimbo S&W No. 3s",
		
		--	2b.)	Submachine Guns, Machine Pistols & Carbines
		
		--[Mark 10]
		bm_w_mac10 = "Ingram M11",
		bm_w_x_mac10 = "Akimbo Ingram M11s",
		--Ext. Mag
		bm_wp_mac10_m_extended = "32rnd M11 Magazine",
		
		--[Compact-5]
		bm_w_mp5 = "H&K MP5A2",
		bm_w_x_mp5 = "Akimbo H&K MP5A2s",
		--Railed
		bm_wp_mp5_fg_mp5a5 = "B&T Tri-Rail Handguard",
		
		--[CMP]
		bm_w_mp9 = "B&T MP9-NA3",
		bm_w_x_mp9 = "Akimbo B&T MP9-NA3s",
		--Tactical Supp.
		bm_wp_mp9_b_suppressed = "B&T MP9 QD Suppressor",
		
		--[Para]
		--Railed Handguard
		bm_wp_olympic_fg_railed = "KAC Free Floating Rail",
		
		--[Kobus]
		bm_w_p90 = "FN P90 TR",
		bm_w_x_p90 = "Akimbo FN P90 TRs",
		
		--[SpecOps]
		bm_w_mp7 = "H&K MP7A1",
		bm_w_x_mp7 = "Akimbo H&K MP7A1s",
		--Supp. Barrel
		bm_wp_mp7_b_suppressed = "B&T Rotex-II Suppressor",
		
		--[Uzi]
		--Tact. Foregrip
		bm_wp_uzi_fg_rail = "FAB Uzi Tri-Rail Kit",
		
		--[Vertex]
		--HPS
		bm_wp_polymer_ns_silencer = "Defiance 4GSK HPS",
		
		--[Heather]
		bm_w_sr2 = "TsNIITochMash SR-2M",
		
		--[Jackal]
		bm_w_schakal = "H&K UMP45",
		bm_w_x_schakal = "Akimbo H&K UMP45s",
		
		--[Tatonka]
		bm_w_coal = "IZHMASH PP-19 \"Bizon-2\"",
		bm_w_x_coal = "Akimbo IZHMASH PP-19s",
	
		--[MP40]
		bm_w_erma = "ERMA-Werke MP40",
		
		--[Signature]
		bm_w_shepheard = "SIG MPX",
		bm_w_x_shepheard = "Akimbo SIG MPXes",
		
		--[AK Gen 21 Tact.]
		bm_w_vityaz = "IZHMASH PP-19-01 \"Vityaz\"",
		bm_w_x_vityaz = "Akimbo IZHMASH PP-19-01s",
		
		--[Miyaka 10 Spec.]
		bm_w_pm9 = "Minebea M-9",
		
		--	2c.)	Shotguns
		
		--[Loco]
		bm_w_serbu = "Short Remington 870",
		
		--[GSPS]
		bm_w_m37 = "Ithaca 37",
		
		--[Goliath]
		bm_w_rota = "Crye SIX-12",
		bm_w_x_rota = "Akimbo Crye SIX-12s",
		
		--[Grimm]
		bm_w_basset = "CBRPS X1S Saiga-12K",
		bm_w_x_basset = "Akimbo CBRPS X1S Saiga-12Ks",
		
		--[Claire]
		bm_w_coach = "Remington 1889",
		
		--[VD-12]
		bm_w_sko12 = "Standard Mfg. SKO-12",
		bm_w_x_sko12 = "Akimbo Standard Mfg. SKO-12s",
		
		--	2d.)	Special
		
		--[Pstl. Crossbow]
		bm_w_hunter = "Avalanche CB1-50 Pistol Crossbow",
		
		--[China Puff]
		bm_w_china = "N.A.W.S. \"China Lake\"",
		
		--[Arbiter]
		bm_w_arbiter = "H&K XM25 CDTE",
		
		--[Comp. 40mm]
		bm_w_slap = "H&K M320 GLM",
		
		-- 2e.) Sniper Rifles
		
		--[North Star]
		bm_w_victor = "Springfield SAINT Victor",
		--short boi rifle
		bm_wp_victor_sbr = "Hera Arms SBR Kit",
		bm_wp_victor_sbr_desc = "Wait, did you remember to fill out the paperwork for this?",
		--Ursa Minor Grip
		bm_wp_victor_g_mod3 = "BCM GUNFIGHTER Mod 3 Pistol Grip",
		--Cynosura Iron Sights
		bm_wp_victor_o_standard = "Springfield Spring-Loaded Sights",
		--Ursa Minor Stock
		bm_wp_victor_s_mod0 = "BCM GUNFIGHTER Mod 0 Stock",
		--Starlight Stock
		bm_wp_m4_uupg_s_zulu = "Odin Works Zulu 2.0 Stock",
		--front grip thingy
		bm_wp_victor_vg_hera = "Hera Arms CQR Front Grip",
		
		--[Aran G2]
		bm_w_contender = "Thompson/Center G2 Contender",
		
		-------------------------
		--  3.) Melee Weapons  --
		-------------------------
		
		--[Community]
		bm_melee_grip = "LF&C Trench Knives",
		
		--[DLC]
		bm_melee_kabar = "U.S.M.C. KA-BAR",
		bm_melee_nin = "Paslode Nail Gun",
		bm_melee_pugio = "Extrema Ratio Pugio Knife",
		bm_melee_bullseye = "S&W Bullseye Hatchet",
		bm_melee_x46 = "Robson X46 Survival Knife",
		bm_melee_wing = "Benchmade 62 Balisong",
		
		----------------------
		--  4.) Throwables  --
		----------------------
	
		--[Frag]
		bm_grenade_frag = "M67 Frag Grenade",
		bm_grenade_frag_com = "M67 Frag Grenade",
		
		------------------------------------
		--  5.) Standalone Modifications  --
		------------------------------------
		
		--	5a.)	Barrel Extensions
		
		--[Rifle Compensators & Muzzle Brakes]
		--Fire Breather
		bm_wp_upg_ns_ass_smg_firepig = "Noveske KX3 Flash Hider",
		--Marmon
		bm_wp_upg_ns_ass_smg_v6 = "V6 Muzzle Brake",
	
		--[Pistol Compensators & Muzzle Brakes]
		--Hurricane
		bm_wp_upg_ns_typhoon = "TK Game Changer Compensator",
	
		--[Rifle & Machine Gun Suppressors]
		--Medium
		bm_wp_upg_ns_ass_smg_medium = "Small Arms Ind. M80 Suppressor",
		
		--[Pistol Suppressors]
		--Champion
		bm_wp_upg_ns_large_kac = "KAC MK.23 Suppressor",
		
		--	5b.)	Gadgets (Flashlights, Lasers, Magnifiers & Canted Optics)
		
		--[Shared w/ARs, SMG, LMGs & Shotguns]
		--Tactical Laser
		bm_wp_upg_fl_ass_smg_sho_peqbox = "Insight Tech. AN/PEQ-5",
		--Military
		bm_wp_upg_fl_ass_peq15 = "Insight Tech. AN/PEQ-15",
		--Stealth Laser
		bm_wp_upg_fl_dbal_laser = "Steiner DBAL-PL Pistol Light",
	
		--[Offset Mounted Sights]
		--Signature Magnifier
		bm_wpn_fps_upg_o_sig = "SIG JULIET3 Magnifying Module",
		
		--[Shared w/Pistols]
		--Polymer Flashlight
		bm_wp_upg_fl_pis_m3x = "Insight Tech. M3X Flashlight",
		
		--	5c.)	Magazines
		
		--[AR-15 Family & Others]
		--Plated AR
		bm_wp_m4_uupg_m_strike = "33rnd Strike AR Magazine w/Plate",
		--[AK Family]
		--Quadstacked
		bm_wp_upg_ak_m_quad = "60rnd IZHMASH Magazine",
		
		--[Speed Pull Mags]
		--MAC-11
		bm_wp_mac10_m_quick = "32rnd M11 Magazine w/Sleeve",
		
		--	5d.)	Grips
		
		--[AR-15 Family & Others]
		--Ergo
		bm_wp_m4_g_ergo = "CAA UPG16 Modular Grip",
		
		--[AK Family]
		--Verge
		wpn_fps_upg_ak_g_edg = "EDG Textured Grip",
		--Ergonomic
		wpn_fps_upg_ak_g_gradus = "FAB GRADUS AK Rubberized Grip",
		
		--[Vertical & Angled Grips]
		--Standard (AUG A2, UMP45, RPK-74M Handguard, Uzi Tri-Rail)
		bm_wp_upg_vg_ass_smg_verticalgrip = "KAC Vertical Grip",
		--AFG (SCAR-H/MK.17)
		bm_wp_upg_vg_ass_smg_afg = "Magpul AFG2",
		--Folding (M320)
		bm_wp_slap_vg_standard = "H&K Folding Vertical Grip",
		--Cobra Angled (TR-1)
		bm_wp_tti_vg_standard = "Strike Cobra Tactical Grip",
		
		--	5e.)	Optics & Iron Sights
		--Surgeon
		bm_wp_upg_o_docter = "LaRue IronDot w/Docter Sight II",
		--Holographic
		bm_wp_upg_o_eotech = "EOTech 516 Holo Sight",
		--Compact Holo
		bm_wp_upg_o_eotech_xps = "EOTech EXPS3 Holo Sight",
		--Maelstrom
		bm_wp_upg_o_uh = "Vortex Razor AMG UH-1 Holo Sight",
		--Compact Tactical Box
		bm_wp_upg_o_tf90 = "TF90 Red Dot",
		--Short Dot
		bm_wp_upg_o_shortdot = "S&B 1-8×24 PM Short Dot",
		
		--	5f.)	Stocks
		
		--[AK Family]
		--Wooden Sniper
		bm_wp_ak_s_psl = "PSL Stock",
		
		--				|--------------------------------------|
		--				| CUSTOM BEARDLIB STUFF GOES DOWN HERE |
		--				|--------------------------------------|
		
		----------------------
		--  Assault Rifles  --
		----------------------
	
		--[ACR/M203]
		bm_wp_wpn_fps_ass_acwr_covers = "KAC Rail Cover",
		bm_wp_wpn_fps_ass_acwr_expert = "Troy HK Flip-up Battle Sights",
		
		--[AK-Alfa]
		bm_w_fakedefy = "Kalashnikov USA AK-Alfa", -- lol grass
		
		--[AK ~ PD:TH]
		bm_w_akgear = "IZHMASH AK-74",
		
		--[AK-101]
		bm_w_heffy_556 = "IZHMASH AK-101",
		
		--[AK-101 ~ AK Pack 2]
		bm_w_ak_stamp_556 = "IZHMASH AK-101",
		
		--[AK-103/105 ~ Call of Duty: Modern Warfare II (2022)]
		bm_w_akilo_2022 = "IZHMASH AK-103",
		bm_w_akilo105_2022 = "IZHMASH AK-105",
		bm_wp_wpn_fps_ass_akilo_2022_stock_akilo74_skeleton = "SIG MCX Stock",
		
		--[AK-47]
		bm_w_heffy_762 = "IZHMASH AK-47",	
		bm_wp_wpn_fps_ass_heffy_762_fh_m70 = "Zastava M70 Flash Suppressor",
		bm_wp_wpn_fps_ass_heffy_762_ba_m92 = "10\" Zastava M92 Barrel",
		bm_wp_wpn_fps_ass_heffy_762_pg_m92 = "Zastava M92 Pistol Grip",
		
		--[AK-74]
		bm_w_heffy_545 = "IZHMASH AK-74",
		
		--[AK-74 ~ AK Pack 2]
		bm_w_ak_stamp_545 = "IZHMASH AK-74",
		
		--[AK-9]
		bm_w_heffy_939 = "IZHMASH AK-9",
		bm_w_x_heffy_939 = "Akimbo IZHMASH AK-9s",
		
		--[AK-12 once again]
		bm_wp_wpn_fps_upg_ak12_2014_grip_fab_ag47 = "FAB AG-47 Ergo Pistol Grip",
		bm_wp_wpn_fps_upg_ak12_2014_grip_fab_agr47 = "FAB AGR-47 Rubber Ergo Grip",
		
		--[AKM ~ AK Pack 2]
		bm_w_ak_stamp_762 = "IZHMASH AKM",
		
		--[AS Val MOD.3]
		bm_w_nightgoddess = "Tula AS \"Val\" MOD.3",
		
		--[AR-15]
		bm_wp_wpn_fps_ass_stoy_556_ca_m16a3 = "Colt M950 Carry Handle",
		bm_wp_wpn_fps_ass_stoy_556_hg_m4a1 = "KAC M4 Quad Rail",
		
		--[AR-47]
		bm_w_ar47 = "KAC SR-47",
		
		--[AR Marksman]
		bm_w_ar60mrks = "Haenel StG-60 DMR",
		bm_w_x_ar60mrks = "Akimbo Haenel StG-60 DMRs",
		
		--[ARX-160]
		bm_wp_wpn_fps_ass_ar160_o_expert = "Troy HK Flip-up Battle Sights",
		
		--[Bandit/Dahl]
		bm_w_dahl_ar = "Dahl Co. Assault Rifle",
		
		--[Bavarium Splitter]
		bm_w_fortress = "eDEN Bavarium Splitter",
		
		--[Bulldog]
		bm_w_bulldoge = "SRSS BullDog 762",
		bm_wp_wpn_fps_ass_bulldoge_vg_smol = "BCM GUNFIGHTER Short Vertical Grip",
		bm_wp_wpn_fps_ass_bulldoge_irons_hk = "H&K Diopter Iron Sights",
		
		--[C30]
		bm_w_sc30 = "Seburo C-30",
		
		--[Cold Harbor]
		bm_w_m4bpre = "BCM \"Cold Harbor\" SOPMOD",
		bm_wp_wpn_fps_upg_m4bpre_fl_dbal = "Steiner DBAL-D2 w/Flashlight",
		bm_wp_wpn_fps_upg_m4bpre_g_bcm = "BCM GUNFIGHTER Mod 3 Pistol Grip",
		bm_wp_wpn_fps_upg_m4bpre_rc_bcm = "BCM KeyMod Rail Panels",
		bm_wp_wpn_fps_upg_psa_lr_m4bpre = "BCM Lower Receiver",
		bm_wp_wpn_fps_upg_psa_ur_m4bpre = "BCM Upper Receiver",
		bm_wp_wpn_fps_upg_psa_hg_m4bpre = "BCM KMR ALPHA-10 Handguard",
		
		--[MDR]
		bm_wp_wpn_fps_upg_mdr_supp_nt4 = "KAC NT-4 Suppressor",
		bm_wp_wpn_fps_upg_mdr_troy_iron = "Troy HK Flip-up Battle Sights",
		
		--[MDR 7.62x51]
		bm_wp_wpn_fps_upg_ub_fn40_gl = "FN MK.13",
		
		--[DDM4]
		bm_wp_wpn_fps_ass_gcar_vg_new = "BCM GUNFIGHTER Short Vertical Grip",
		
		--[M4A1 ~ Call of Duty: Modern Warfare (2019)]
		bm_w_mike4 = "Colt M933 Carbine",
		
		--[M4A1 Grenadier]
		bm_wp_wpn_fps_ass_kurisumasu_fg_kac = "KAC M4 RAS Handguard",
		
		--[M4 URGI]
		bm_wp_wpn_fps_ass_m4_usasoc_handguard_kac = "KAC RIS Handguard",
		bm_wp_wpn_fps_ass_m4_usasoc_rail_cover_bcm = "BCM Rail Covers",
		bm_wp_wpn_fps_ass_m4_usasoc_rail_cover_kac = "KAC Rail Covers",
		
		--[M41A]
		bm_w_xeno = "Armat M41A MK2",
		
		--[MCX]
		bm_w_mcx_gen1 = "SIG MCX Gen 1",
		
		--[MCX]
		bm_w_virtus = "SIG MCX VIRTUS",
		bm_wp_wpn_fps_upg_virtus_ns_pointy = "SIG CQB Flash Suppressor",
		bm_wp_wpn_fps_upg_virtus_ns_dos = "SIG Muzzle Brake",
		
		--[MCX Spear]
		bm_w_mcx_spear = "SIG MCX Spear",
		bm_wp_wpn_fps_ass_mcx_spear_suppressor = "SIG SRD762 Suppressor",
		
		--[MSBS]
		bm_w_grotb = "FB MSBS \"Grot\" B16 FB-A0",
		
		--[FAD]
		bm_w_fusil = "SIMA FAD",
		
		--[FNAR]
		bm_w_fnar = "FN FNAR-L",
		bm_wp_wpn_fps_upg_fnar_m8541 = "S&B 3-12×50 PMII Rifle Scope",
		bm_wp_wpn_fps_upg_fnar_supp_nt4 = "KAC NT-4 Suppressor",
		
		--[G11]
		bm_w_temple = "H&K G11K1",
		
		--[Saritch]
		bm_w_spear308 = "Tula Saritch",
		
		--[SABR ~ Restoration Mod]
		bm_w_osipr = "Daewoo K11",
		
		--[MW2019 AS Val]
		bm_wp_wpn_fps_ass_valpha_handguard_short = "SR-3M Kit w/Suppressor",
		bm_wp_wpn_fps_ass_valpha_magazine_ext = "30rnd SR-3M Magazine",
		bm_wp_wpn_fps_ass_valpha_stock_sniper = "VSSM Stock",
		bm_wp_wpn_fps_ass_valpha_scope = "NPZ PSO-1 Rifle Scope",
		
		--[SCAR-L/M203]
		bm_w_scarl = "FN MK.16",
		bm_wp_wpn_fps_upg_scarl_rail_kinetic_mrex = "Kinetic MREX Rail",
		bm_wp_wpn_fps_upg_scarl_rail_midwest_ext = "Midwest SCAR Rail Extension",
		bm_w_scar_m203 = "FN MK.16 M203",
	
		--[SG416 ~ Vanilla Mod Pack]
		bm_w_sg416 = "H&K HK416",
		
		--[ACE 23/52]
		bm_w_galilace = "IMI ACE 23",
		bm_w_galilace762 = "IMI ACE 52",
		
		--[G3A3/HK79]
		bm_w_g3hk79 = "H&K G3A3 HK79",
		
		--[G36K]
		bm_w_g36k = "H&K G36KA4",
		bm_wp_wpn_fps_upg_g36k_fg_bt = "B&T G36C Quad Rail",
		bm_wp_wpn_fps_upg_g36k_fg_btlong = "B&T G36 Quad Rail",
		bm_wp_wpn_fps_upg_g36k_fg_kac = "KAC G36K Quad Rail",
		bm_wp_wpn_fps_upg_g36k_fg_kaclong = "KAC G36 Quad Rail",
		bm_wp_wpn_fps_upg_g36k_fg_kacshort = "KAC G36C Quad Rail",
		bm_wp_wpn_fps_upg_g36k_sightrail_kac = "KAC G36 Sight Rail",
		
		--[Halo 2 Battle Rifle]
		bm_w_br55 = "Misriah BR55",
		
		--[HK33]
		bm_w_hk33 = "H&K HK33A2",
		
		--[HK416]
		bm_w_hk416 = "H&K HK416",
		bm_wp_wpn_fps_upg_hk416_bolt_sai = "SAI \"Tier 1\" Bolt",
		bm_wp_wpn_fps_upg_hk416_handguard_elite = "ADC ELITE Handguard",
		bm_wp_wpn_fps_upg_hk416_handguard_troyalpha = "Troy Alpha Battle Rail",
		bm_wp_wpn_fps_upg_hk416_handle_bcm = "BCM GUNFIGHTER Charging Handle",
		
		--[HK416A5]
		bm_w_raifu = "H&K HK416A5",
		bm_wp_wpn_fps_upg_raifu_fg_mlok = "Midwest 9\" M-LOK Handguard",
		bm_wp_wpn_fps_upg_raifu_ns_tan = "KAC NT-4 Suppressor",
		
		--[HK417]
		bm_w_recce = "H&K HK417",
		
		--[HK417 ~ Hinaomi's Rebalance]
		bm_w_contrabandc = "H&K HK417",
		
		--[HK433]
		bm_w_hkg14976 = "H&K HK433",
		
		--[Honey Badger]
		bm_w_bajur = "AAC Honey Badger",
		
		--[M21A]
		bm_w_howl = "Zastava M21-A",
		
		--[TAR-21]
		bm_w_tar21 = "IMI TAR-21",
		bm_wp_wpn_fps_ass_tar21_o_mepro = "Mepro M21 Reflex Sight",
		
		--[K2]
		bm_w_k2 = "Daewoo K2",
		
		--[K22]
		bm_w_munmu = "Daewoo K2",
		
		--[GRY]
		bm_w_saigry = "SAI GRY SBR",
	
		--[GRY again]
		bm_w_grayhound = "SAI GRY Carbine",
		bm_wp_wpn_fps_ass_grayhound_hg_sai = "SAI 14.5\" QD Rail Handguard",
		bm_wp_wpn_fps_ass_grayhound_hg_sai_short = "SAI 10\" QD Rail Handguard",
		
		--[OBR 5.56]
		bm_w_obr5 = "LaRue OBR 5.56",
		bm_wp_wpn_fps_upg_obr5_bolt_salient_tier_one = "SAI \"Tier 1\" Bolt",
		bm_wp_wpn_fps_upg_obr5_handle_bcm = "BCM GUNFIGHTER Charging Handle",
		bm_wp_wpn_fps_upg_obr5_larue_grip_panels = "LaRue Grip Adapter Panels",
		bm_wp_wpn_fps_upg_obr5_vg_larue_handstop = "LaRue HandStop w/Grip Panels",
		
		--[OBR 7.62]
		bm_w_obr7 = "LaRue OBR 7.62",
		bm_wp_wpn_fps_upg_obr7_anpeq2 = "Insight Tech. AN/PEQ-2",
		bm_wp_wpn_fps_upg_obr7_larue_handstop = "LaRue HandStop",
		bm_wp_wpn_fps_upg_obr7_supp_nt4 = "KAC NT-4 Suppressor",
		
		--[LK-05]
		bm_wp_wpn_fps_ass_lkrifle_vg_smol = "BCM GUNFIGHTER Short Vertical Grip",
	
		--[M1A1]
		bm_w_m1a1 = "Fulton M1A1 Carbine",
		
		--[M4A1-S]
		bm_w_m4a1s = "Colt M723 Carbine",
		
		--[M14E2]
		bm_w_m14e2 = "Springfield M14",
		bm_wp_wpn_fps_ass_m14e2_gl_masterkey = "KAC Masterkey",
		
		--[M27]
		bm_w_m27gear = "H&K M27 IAR",
		
		--[MA40]
		bm_w_ma40 = "Misriah MA40",
		
		--[Mamba ~ Vanilla Mod Pack]
		bm_w_aknato = "IZHMASH AK-102",
		
		--[Maverick]
		bm_w_mav = "TRENSYS RM-22 \"Maverick\"",
		
		--[MK.17 MOD 0 ~ FNH Pack]
		bm_w_mk17 = "FN MK.17 Mod 0",
		bm_wp_wpn_fps_upg_mk17_ex_rail = "Midwest SCAR Rail Extension",
		
		--[MK18]
		bm_w_mk18s = "U.S.N. MK.18 Mod 1 CQB-R",
		bm_wp_wpn_fps_ass_mk18s_vg_ptk = "FAB PTK Ergo Pointing Grip",
		
		--[Montana 5.56]
		bm_wp_wpn_fps_ass_yayo_irons2 = "Troy Flip-up Rear Sight",
		bm_wp_wpn_fps_ass_yayo_fg_rail = "KAC M5 RAS Handguard",
		bm_wp_wpn_fps_ass_yayo_flipup = "KAC Back-up Rear Sight",
		
		--[MX Garand]
		bm_w_mxg = "Springfield M2 Raider",
		
		--[PDW]
		bm_w_pdw = "KAC PDW",
		
		--[Ruger-14]
		bm_wp_wpn_fps_ass_mini14_m_rugged = "30rnd TAPCO Mini-14 Magazine",
		
		--[Vz. 58]
		bm_wp_wpn_fps_upg_vz58_bolt_ambi = "NEA Ambidextrous Bolt",
		bm_wp_wpn_fps_upg_vz58_grip_fab = "FAB AG-58 Ergo Pistol Grip",
		bm_wp_wpn_fps_upg_vz58_handguard_fab = "FAB Vz. 58 Polymer Rail",
		bm_wp_wpn_fps_upg_vz58_handguard_nea = "NEA Lower Handguard",
		bm_wp_wpn_fps_upg_vz58_handguard_upper_rail = "NEA Railed Upper Handguard",
		bm_wp_wpn_fps_upg_vz58_ns_csa = "CSA Vz. 58 Muzzle Brake",
		bm_wp_wpn_fps_upg_vz58_rear_sight_fiber = "Mepro Tru-Dot Rear Night Sight",
		
		--[SAR 21]
		bm_w_sar21 = "STK SAR 21 MMS",
		
		--[SKS]
		bm_w_sks = "Norinco SKS-D",
		bm_wp_wpn_fps_upg_sks_body_tapco = "TAPCO T6 Kit",
		bm_wp_wpn_fps_upg_sks_mag_tapco = "20rnd TAPCO SKS Magazine",
		
		--[SKS Pug]
		bm_w_skspug = "CBRPS SKS-D",
		
		--[SOP II]
		bm_w_soppo = "KAC M4 SOPMOD II",
	
		--[Spiker ~ Vanilla Mod Pack]
		bm_w_spike = "CBRPS X1S AK-47",
		
		--[Vikhr]
		bm_w_sr3m = "Tula SR-3M",
		bm_wp_wpn_fps_upg_sr3m_mount_midwest = "Midwest AK Scope Mount",
		
		--[ST AR-15]
		bm_w_flat = "ST 10th Anniv.",
		bm_wp_wpn_fps_upg_flat_bolt_sai = "SAI \"Tier 1\" Bolt",
		
		--[SR47]
		bm_w_sr47 = "KAC SR-47",
		
		--[STG 44]
		bm_w_stg44 = "Haenel StG-44",
		bm_wp_wpn_fps_ass_stg44_fg_mp5 = "H&K MP5 Handguard",
		
		--[STG 58]
		bm_w_fusil_762 = "Steyr StG-58",
		
		--[Triton TR-15]
		bm_w_hometown = "Triton Mfg. TR-15",
		bm_wp_wpn_fps_ass_hometown_ch_enforcer = "\"Enforcer\" Charging Handle",
		bm_wp_wpn_fps_ass_hometown_fh_heartbreaker = "\"Heart Breaker\" Muzzle Brake",
		
		--[VK78]
		bm_w_vk78_commando = "Vakara VK78 \"Commando\"",
		
		--[XM4]
		bm_w_xm4 = "Colt M609",
		
		--[XM8]
		bm_w_xm8 = "H&K XM8",
		bm_wp_wpn_fps_ass_xm8_insight_ismv = "Insight Tech. ISM-V Red Dot",
		bm_wp_wpn_fps_upg_xm8_irons = "Troy HK Flip-up Battle Sights",
		
		--[Rk.62]
		bm_wp_wpn_fps_upg_rk62_handguard_railed = "B&T Railed Handguard",
		
		----------------
		--  Shotguns  --
		----------------
	
		--[AMR-12G ~ Vanilla Mod Pack]
		bm_w_amr12 = "Akdal MKA-1919",
		
		--[Abzats]
		bm_w_abzats = "Tula DShK Custom",
		
		--[AK-12/76]
		bm_w_ak12_76 = "IZHMASH AK-12/76",
	
		--[Ashot]
		bm_w_ashot = "\"Ashot\"",
		
		--[BOSG 12.2]
		bm_w_dokkasho = "Mossberg HS-12",
		
		--[Browning Auto-Shotgun]
		bm_w_auto5 = "Browning A5",
		
		--[Deadwood]
		bm_w_prison = "\"Deadwood\"",
		
		--[Doomstick]
		bm_w_quadbarrel = "Quad Barreled Shotgun",

		--[DP-12]
		bm_w_dp12 = "Standard Mfg. DP-12",
		
		--[FP6]
		bm_w_fpsix = "H&K/FABARM FP6 FS Entry",
		
		--[PA8]
		bm_w_pa8 = "Short Franchi PA-8",
		
		--[M590]
		bm_w_mossberg590 = "Mossberg 590 A1",
		
		--[Winchester Mdl. 1912]
		bm_w_m1912 = "Winchester M12",
		
		--[MAG-7]
		bm_w_techno = "Techno MAG-7",
		bm_w_x_techno = "Akimbo Techno MAG-7s",
		
		--[M1216]
		bm_w_m1216 = "SRM M1216",
		
		--[R870 Shorty]
		bm_w_r870sawed = "Sawn-Off Remington 870",
		
		--[Reinbeck M1 ~ Vanilla Mod Pack]
		bm_w_beck = "Benelli M1 Entry",
		
		--[Reinbeck Auto ~ Vanilla Mod Pack]
		bm_w_minibeck = "Remington 11-87 SBS",
		
		--[Saiga-12]
		bm_w_heffy_12g = "IZHMASH Saiga-12",
		
		--[Shotgun ~ Team Fortress 2]
		bm_w_shot_tf2 = "Sawn-Off Ithaca 37",
		bm_wp_wpn_fps_shot_russian_riot_body = "Mossberg 500 Receiver",
		bm_wp_wpn_fps_shot_trenchgun_body = "Winchester 1897 Receiver",
		
		--[TOZ-34]
		bm_w_toz34 = "Tula TOZ-34",
		
		--[TOZ-66]
		bm_w_toz66 = "Sawn-Off Tula TOZ-66",
		bm_w_x_toz66 = "Akimbo Sawn-Off Tula TOZ-66es",
		
		--[TOZ-106]
		bm_w_toz106 = "Tula TOZ-106",
		
		--[TOZ-194]
		bm_w_toz194 = "Tula TOZ-194",
		
		--[Trench Gun]
		bm_w_trench = "Winchester 1897 \"Trench Gun\"",
		
		--[USAS-12]
		bm_w_usas12 = "Daewoo USAS-12 CQB",
		
		--[Ultra Short]
		bm_w_littlest = "Ultra Sawn-Off Remington Spartan",
		
		--[Vepr-12]
		bm_wp_wpn_fps_upg_vepr12_handguard_midwest = "Midwest Gen 1 Quad Rail",
		
		--[VPO-215]
		bm_w_paradox = "Molot VPO-215",
		
		--[Widowmaker]
		bm_w_wmtx = "SRM M1208",
		
		--------------------------
		--  Light Machine Guns  --
		--------------------------
		
		--[ARES]
		bm_w_beef = "ARES-16 MCR",
		
		--[FG 42]
		bm_w_fg42 = "Rheinmetall FG 42 Ausf. \"G\"",
		bm_w_fg42early = "Krieghoff FG 42 Ausf. \"E\"",
		
		--[K3]
		bm_w_k3 = "Daewoo K3",
		
		--[Lewis]
		bm_w_lewis = "BSA Lewis Gun",
		
		--[LSAT]
		bm_w_lsat = "AAI LSAT",
		bm_wp_wpn_fps_upg_lsat_fab_ptk = "FAB PTK Ergo Pointing Grip",
	
		--[M60E4]
		bm_w_m60e4 = "Saco M60E4",
		
		--[MG 34]
		bm_w_mg34 = "Mauser MG 34",
		
		--[MG3]
		bm_w_mg3 = "Rheinmetall MG3",
		
		--[MJP36]
		bm_w_mg36 = "H&K MG36",
		
		--[MG4]
		bm_w_mg4 = "H&K MG4",
		
		--[MG5]
		bm_w_mg5 = "H&K HK121",
	
		--[Type 62]
		bm_w_sumitomo = "Sumitomo NTK-62",
		
		--[Ultimax 100]
		bm_w_ultimax = "STK Ultimax 100 Mark 5",
		
		--[HK51-B]
		bm_w_volmer = "Vollmer HK51-B",
		
		--[Zweihänder]
		bm_w_zweihander = "Zilla Zweihänder",
		bm_wp_wpn_fps_upg_zweihander_o_reflex = "Zilla Smart Reflex Sight",
		
		---------------------
		--  Sniper Rifles  --
		---------------------
		
		--[300 Knockout]
		bm_w_knockout = "AAC R700 RACS",
		
		--[700 Nitro Express]
		bm_w_Nitro = "H&H \"Royal\" Double Barrel",
		
		--[AMR-2]
		bm_w_amr2 = "China South AMR-2",
		
		--[AWM-F]
		bm_w_troglodyte = "AI AWM-F",
		
		--[AWP]
		bm_w_awpgear = "AI Arctic Warfare",
		
		--[AX308]
		bm_w_kissesforleon = "AI AX308",
		
		--[Centerfire]
		bm_w_moss464spx = "Mossberg Centerfire",
		
		--[De Lisle]
		bm_w_dl = "Sterling De Lisle",
		
		--[DVL-10]
		bm_w_dvl10 = "Lobaev DVL-10 M2 \"Urbana\"",
		
		--[G28]
		bm_w_kozak = "H&K G28",
	
		--[G28]
		bm_w_apairofmelons = "H&K G28E2",
		
		--[Gewehr 43]
		bm_w_g43 = "Walther G43",
		
		--[Halo Reach DMR]
		bm_w_reachdmr = "Misriah M392 DMR",
		
		--[Lee-Enfield]
		bm_w_enfield_no4i = "SMLE No. 4 Mk.I",
		bm_w_enfield_no5i = "SMLE No. 5 Mk.I \"Jungle Carbine\"",
		
		--[M200]
		bm_w_m200 = "CheyTac M200",
		
		--[Mosin Nagant but cursed]
		bm_w_mosinwtf = "Mosin Nagant \"Archangel\"",
		
		--[FR-F2]
		bm_w_frf2 = "GIAT FR F2",
		
		--[K31]
		bm_w_k31 = "Waffenfabrik Bern K31/43",
		
		--[Lynx]
		bm_w_lynx = "Gepárd GM-6",
		
		--[SR-25]
		bm_w_sr25 = "KAC SR-25 E2 ACC",
		bm_wp_wpn_fps_upg_sr25_supp_nt4 = "KAC NT-4 Suppressor",
		
		--[K98]
		bm_w_kar98k = "Mauser Kar98k",
		
		--[L115]
		bm_w_l115 = "AI L115A3",
		bm_wp_wpn_fps_upg_l115_stock_aw = "AW Stock",
		bm_wp_wpn_fps_upg_l115_stock_ax = "AT Stock",
		
		--[M40A5]
		bm_w_m40a5 = "U.S.M.C. M40A5",
		
		--[Marlin Mdl. 1894]
		bm_w_m1894 = "Marlin M1894 Custom",
		
		--[Martini-Henry]
		bm_wp_wpn_fps_upg_martinihenry_m1913_scope = "W&S Model 1913 Prismatic Scope",
		bm_wp_wpn_fps_upg_martinihenry_ppco_scope = "PPCo. Telescopic Scope",
		
		--[MAS-49]
		bm_w_mas49 = "GIAT MAS-49",
		
		--[M110]
		bm_w_re8_m110 = "U.S.M.C. M110 K1",
		
		--[Mk 12]
		bm_w_mk12 = "U.S.N. MK.12 Mod 1 SPR",
		bm_wp_wpn_fps_upg_mk12_irons_lirisy = "Lirisy Flip-up Iron Sights",
		
		--[Mk 14]
		bm_w_wargoddess = "U.S.N. MK.14 Mod 1 EBR",
		
		--[PSG-1]
		bm_w_psg1 = "H&K PSG-1",
		
		--[TAC-50]
		bm_wp_wpn_fps_upg_tac50_body_bipod = "LRA Light Tactical Bipod",
	
		--[TKPD]
		bm_wp_wpn_fps_snp_tkpd_o_iron = "Troy M4 Flip-up Battle Sights",
		
		--[M98B]
		bm_w_m98b = "Barrett M98B",
		
		--[RSASS]
		bm_w_rsass = "Remington RSASS",
		bm_wp_wpn_fps_rsass_handguard = "Remington RSASS Handguard",
		
		--[SCAR-20]
		bm_w_scargear = "FN MK.20 Mod 0",
		
		--[Springfield M1903]
		bm_w_spring = "Springfield M1903",
		
		--[SV-98]
		bm_w_sv98 = "IZHMASH SV-98",
		
		--[SV-98 again]
		bm_w_heartpiercer = "IZHMASH SV-98",
		
		--[SVD]
		bm_wp_wpn_fps_upg_svd_mount_midwest = "Midwest Scope Mount",
		
		--[Uni's Barrett]
		bm_w_unibarrett = "Barrett M11",
		
		--[VSS]
		bm_w_vss = "Tula VSS",
		bm_wp_wpn_fps_upg_vss_rail_midwest = "Midwest AK Scope Mount",
		
		--[PzB 35]
		bm_w_wz35 = "FK Wz. 35",
		
		--[Winchester Mdl. 1894]
		bm_w_winchester1894 = "Winchester 1894",
		
		--[XM21]
		bm_w_xm21 = "Springfield XM21 SWS",
		
		-----------------------
		--  Submachine Guns  --
		-----------------------
	
		--[AEK-919K]
		bm_w_aek919 = "ZiD AEK-919K",
		
		--[AK 5.56]
		bm_w_ak556 = "Zastava M85",
		
		--[APC-9]
		bm_w_iso = "B&T APC9 K PRO G",
		
		--[Bastard]
		bm_w_bastard = "\"Bastard\"",
		
		--[Einhänder]
		bm_w_einhander = "Zilla Einhänder",
		
		--[Fang]
		bm_w_fang45 = "LWRC SMG-45",
		
		--[Glaubert]
		bm_w_glau = "FB PM-98",
		
		--[Grease Gun]
		bm_w_m3 = "GM M3 \"Grease Gun\"",
		bm_w_x_m3 = "Akimbo GM M3s",
	
		--[HK Pack ~ H3VR]
		bm_w_slap_919 = "H&K MP5A3",
		bm_w_slap_10 = "H&K MP5/10",
		bm_w_slap_40 = "H&K MP5/40",
		bm_w_kurz_919 = "H&K MP5K",
		
		--[M38A]
		bm_w_m38a = "Beretta M38A",
		
		--[M7]
		bm_w_m7caseless = "Misriah M7",
		bm_w_x_m7caseless = "Akimbo Misriah M7s",
		
		--[M933]
		bm_w_r0933blk = "AAC/Colt M933 Carbine",
		bm_wp_wpn_fps_upg_r0933blk_handguard_kac_urx4 = "KAC URX 4 Keymod Rail",
		bm_wp_wpn_fps_upg_r0933blk_irons_lirisy = "Lirisy Flip-up Iron Sights",
		
		--[K1A7]
		bm_w_k1a7 = "Daewoo K1",
		
		--[PDR]
		bm_wp_wpn_fps_smg_pdr_o_new = "Troy HK Flip-up Battle Sights",
		
		--[MK.18]
		bm_w_m4cqb = "U.S.N. MK.18 Mod 0",
		bm_wp_wpn_fps_smg_m4cqb_ns_nt4 = "KAC NT-4 Suppressor",
		bm_wp_wpn_fps_smg_m4cqb_st_troy = "Troy M7A1 PDW Stock",
		bm_wp_wpn_fps_smg_m4cqb_rc_all = "KAC Rail Covers",
		
		--[MSMC]
		bm_w_msmc = "ARDE MSMC",
		bm_wp_wpn_fps_smg_msmc_fl_dbal = "Steiner D-BAL",
		
		--[MW2019 MP5]
		bm_w_mpapa5 = "H&K MP5A3",
		bm_wp_wpn_fps_smg_mpapa5_body_v2 = "PTR 9KT Receiver",
		bm_wp_wpn_fps_smg_mpapa5_handguard_v2 = "PTR 9CT Handguard",
		bm_wp_wpn_fps_smg_mpapa5_magazine_v2 = "30rnd PTR MP5 Magazine",
		
		--[PPK-20]
		bm_w_ppk20 = "IZHMASH PPK-20",
		
		--[Kedr]
		bm_w_kedr = "ZlatMash PP-91",
		
		--[PM-63]
		bm_w_pm63 = "FB PM-63",
		
		--[Scorpion]
		bm_wp_wpn_fps_smg_czevo_vg_handstop = "LaRue HandStop",
		bm_wp_wpn_fps_smg_czevo_vg_cover = "KAC Rail Cover",
		bm_wp_wpn_fps_smg_czevo_vg_ptk = "FAB PTK Ergo Pointing Grip",
		bm_wp_wpn_fps_smg_czevo_sight_troy = "Troy HK Flip-up Battle Sights",
		
		--[SMG-11]
		bm_w_mac10mpa = "Ingram M10",
		bm_wp_wpn_fps_smg_mac10mpa_mag_short = "16rnd M11 Magazine",
		
		--[SMG-45]
		bm_w_smg45 = "LWRC SMG-45",
		
		--[Sidekick]
		bm_w_uzi_lowang = "Ingram M10",
		bm_w_x_uzi_lowang = "Akimbo Ingram M10s",
		
		---------------
		--  Pistols  --
		---------------
		
		--[AJM-9]
		bm_wp_wpn_fps_pis_ajm_o_scope = "Cobra Computer Scope",
		
		--[Anubis ~ Restoration Mod]
		bm_w_socom = "H&K MK.23 Mod 0",
		bm_w_x_socom = "Akimbo H&K MK.23s",
		bm_wp_wpn_fps_upg_fl_pis_socomlam = "Wilcox MK.23 LAM",
		
		--[AP Pistol]
		bm_wp_wpn_fps_upg_appistol_sight_smg = "EOTech Holo Sight",
		
		--[Bren Ten]
		bm_w_sonny = "D&D Bren Ten",
		bm_w_x_sonny = "Akimbo D&D Bren Tens",
		
		--[Browning HP]
		bm_w_hpb = "Browning HP",
		
		--[CZ-75]
		bm_w_rally = "CZ 75",
		
		--[CZ 75 Czechmate]
		bm_w_axewscope = "CZ 75 TS \"Czechmate\"",
		
		--[CZ-75 Shadow]
		bm_w_cz = "CZ 75 SP-01",
		
		--[5/7 MK2 ~ FNH Pack]
		bm_w_hoxy = "FN Five-seven MK2",
		bm_w_x_hoxy = "Akimbo FN Five-seven MK2s",
		bm_wp_wpn_fps_upg_hoxy_o_scopemount = "UM3 Scope Mount",
		
		--[Glock 17 Gen 3]
		bm_wp_wpn_fps_pis_glawk_sl_hex = "ZEV Tech. Hex Cut Signature Slide",
		bm_wp_wpn_fps_pis_glawk_sl_spartan = "ZEV Tech. \"Spartan\" Slide",
		bm_wp_wpn_fps_pis_glawk_md_g4 = "Strike G4 Compensator",
		bm_wp_wpn_fps_pis_glawk_m_21 = "TTI 4rnd Base Pad Extension",
		bm_wp_wpn_fps_pis_glawk_m_23 = "TTI 6rnd Base Pad Extension",
		bm_wp_wpn_fps_pis_glawk_m_tti0 = "TTI 0rnd Base Pad Extension",
		
		--['60 Handgun]
		bm_w_hand1960 = "Luger P60",
		bm_w_x_hand1960 = "Akimbo Luger P60s",
		
		--[Deck-ARD]
		bm_w_deckard = "Zilla Deck-ARD",
		bm_w_x_deckard = "Akimbo Zilla Deck-ARDs",
		
		--[FNP-45]
		bm_w_fnp45 = "FN FNP-45",
		
		--[FP-45]
		bm_w_fp45 = "GM FP-45 \"Liberator\"",
		
		--[HK45C]
		bm_w_hk45c = "H&K HK45-C",
		bm_w_x_hk45c = "Akimbo H&K HK45-Cs",
		
		--[Prototype MP7]
		bm_w_hlmp7 = "H&K MP7 PDW Prototype",
		
		--[Prokolot & PK-PSD9]
		bm_w_pkpsd9 = "CAA/Arsenal Stryk-B Carbine",
		bm_wp_wpn_fps_pis_rusglock_kit_carbine = "CAA RONI Pistol Carbine Kit",
		
		--[K5]
		bm_w_k5 = "Daewoo K5",
		
		--[M45 MEU(SOC)]
		bm_w_meusoc = "U.S.M.C. M45 MEU(SOC)",
		bm_w_x_meusoc = "Akimbo U.S.M.C. M45s",
		
		--[M5]
		bm_w_seburo = "Seburo M-5",
		bm_w_x_seburo = "Akimbo Seburo M-5s",
		
		--[M6D]
		bm_w_m6d = "Misriah M6D PDWS",
		
		--[M2019]
		bm_w_lapd = "L.A.P.D. M2019 Blaster",
		bm_w_x_lapd = "Akimbo L.A.P.D. M2019 Blasters",
		
		--[M45A1]
		bm_w_m45a1 = "U.S.M.C. M45A1 CQB-P",
		
		--[M6G]
		bm_w_m6g = "Misriah M6G PDWS",
		bm_w_x_m6g = "Akimbo Misriah M6Gs",
		
		--[M712]
		bm_wp_wpn_fps_upg_m712_sight_patrol = "PPCo. Patrol Scope",
	
		--[Mars Automatic]
		bm_w_mars = "W&S Mars Automatic",
		
		--[Mdl. 27]
		bm_w_sw27 = "S&W Model 27",
		
		--[Mdl. 327]
		bm_w_sw327r8 = "S&W Model 327 R8",
		
		--[Mdl. 659]
		bm_w_sw659 = "S&W Model 659",
		bm_w_x_sw659 = "Akimbo S&W Model 659s",
		
		--[OTs-33]
		bm_w_m1895 = "Nagant M1895",
		
		--[OTs-33]
		bm_w_ots_33 = "KBP OTs-33",
		
		--[PLR-16]
		bm_wp_wpn_fps_upg_plr16_vg_bcm = "BCM GUNFIGHTER Short Vertical Grip",
		
		--[Revolver ~ Team Fortress 2]
		bm_wp_wpn_fps_pis_letranger_frame = "Nagant M1895 Receiver",
		bm_wp_wpn_fps_pis_big_kill_frame = "S&W M29 Receiver",
		
		--[VP70]
		bm_w_vp70 = "H&K VP70-M",
		bm_w_x_vp70 = "Akimbo H&K VP70-Ms",
		
		--[Shatter's Fury]
		bm_w_shatters_fury = "S&W Model 500",
		
		--[Mdl. 642]
		bm_w_sw642 = "S&W Model 642",
		bm_w_x_sw642 = "Akimbo S&W Model 642s",
		
		--[M&P 40]
		bm_w_swmp40 = "S&W M&P40",
		
		--[P220]
		bm_w_noodle = "SIG P220",
		
		--[P225]
		bm_w_sammy = "SIG P225",
		
		--[P320]
		bm_w_papa320 = "SIG P320 RX",
		bm_w_x_papa320 = "Akimbo SIG P320 RXes",
		
		--[SR-1M]
		bm_w_sr1 = "TsNIITochMash SR-1M",
		
		--[Triad]
		bm_w_triad = "Zilla Triad",
		bm_w_x_triad = "Akimbo Zilla Triads",
		
		--[USP]
		bm_w_ctfavourite = "H&K USP",
		
		--[USP NERV]
		bm_w_katsuragi = "H&K USP",
		
		--[VBR PDW]
		bm_w_lele = "VBR PDW",
		
		--[Welrod]
		bm_w_welrod = "BSA Welrod Mk IIA",
		
		--[Zapper]
		bm_w_nes = "NES Zapper",
		bm_w_x_nes = "Akimbo NES Zappers",
		
		-----------------------
		--  Special Weapons  --
		-----------------------
		
		--[A-24]
		bm_w_as24 = "Hawk MM-1",
		
		--[HX25]
		bm_w_hx25 = "Horzine HX25 Grenade Pistol",
		
		--[M2HB]
		bm_w_m2hb = "Browning M2HB",
		
		--[NeoPAW]
		bm_w_inkunzi = "Denel/Inkunzi PAW-20",
		
		--[Panzerschreck]
		bm_w_pschreck = "HASAG \"Panzerschreck\"",
		
		--[PIAT]
		bm_w_piat = "I.C. Industries PIAT",
		
		--[Sidewinder]
		bm_w_sidewinder = "Wonyeon Sidewinder",
	
		--[SMAW]
		bm_w_smaw = "Nammo Mk.153 SMAW",
		
		--------------
		--  Akimbo  --
		--------------
		
		--[reeeeee]
		bm_w_x_416 = "Akimbo H&K HK416-Cs",
		bm_w_x_akm = "Akimbo IZHMASH AKMSes",
		bm_w_x_ak74 = "Akimbo IZHMASH AKS-74s",
		bm_w_x_s12 = "Akimbo IZHMASH Saiga-12Ks",
		bm_w_x_rpk = "Akimbo IZHMASH RPKs",
		bm_w_x_lemming = "Akimbo FN Five-sevens",
		bm_w_x_aa12 = "Akimbo MPS AA-12 CQBs",
		bm_w_x_amcar = "Akimbo Colt M733s",
		bm_w_x_g36 = "Akimbo H&K G36KVs",
		bm_w_x_asval = "Akimbo Tula AS \"Val\"s",
		bm_w_x_coach = "Akimbo Sawn-Off Remington 1889s",
		
		-------------
		--  Melee  --
		-------------
	
		--Big Earner
		bm_melee_tf_bigearner = "Frank Beltrame 11\" Switchblade",
		--Crovel
		bm_melee_crovel = "Horzine \"Crovel\" Survival Tool",
		--Bayonet
		bm_melee_nepgearbayonet = "S&W M9 Bayonet",
		--Shadow Daggers
		bm_melee_nepgeardaggers = "Gerber Uppercut Push Daggers",
		--M9
		bm_melee_nepgearm9bayonet = "S&W SW3B Special Ops Knife",
		--K-Bartana
		bm_melee_kbart = "U.S.M.C. 1942 Combat Sword",
		bm_melee_kbark = "U.S.M.C. 1942 Combat Sword",
		--Pulverizer
		bm_melee_pulverizer = "Horzine \"Pulverizer\"",
		--Pencil
		bm_melee_pencil = "Dixon No. 2 Pencil",
		--Drop Point
		bm_melee_gcombat = "POCAC TK-14 Knife",
		--Toy Knife
		bm_melee_toyknife = "Toy Knife",
		
		---------------------------
		--  Preliminary Weapons  --
		---------------------------
		
		bm_w_free_308 = "FN FAL",
		bm_w_warz = "Schwarzlose 1898",
		bm_w_little = "FN Model 1905",
		bm_w_baby = "FN Baby Browning",
		bm_w_back = "H&K P2000",
		bm_w_stoy_57 = "AR57 AR-57",
		bm_w_hv_penetrator = "Armacham Co. HV Penetrator",
		bm_w_ar1960 = "Haenel StG-60",
		bm_w_erma44 = "ERMA-Werke EMP44",
		bm_w_folewo = "Quad Barreled Shotgun",
		bm_w_gepard = "IZHMASH Gepard PDW",
		bm_w_x_gepard = "Akimbo IZHMASH Gepards",
		bm_w_ls57isa = "ISA LS57",
		bm_w_lolife = "\"Lolife\"",
		bm_w_m30luftwaffe = "S&S M30 Luftwaffe Drilling",
		bm_w_m4isa = "ISA M4",
		bm_w_m66sd = "ISA M66-SD",
		bm_w_m82isa = "ISA M82",
		bm_w_mas36 = "GIAT MAS-36",
		bm_w_mg46 = "Mauser MG 46",
		bm_w_mg81 = "Mauser MG 81",
		bm_w_mg39rh = "Rheinmetall MG39 Rh",
		bm_w_sauer38h = "S&S 38H",
		bm_w_x_sauer38h = "Akimbo S&S 38Hes",
		bm_w_sc26a = "Seburo C-26A",
		bm_w_smg = "Seburo MG",
		bm_w_ssr = "Seburo SR",
		bm_w_st_cpw = "STK CPW",
		bm_w_sta3 = "Stahl StA-3",
		bm_w_sta11 = "Stahl StA-11",
		bm_w_x_sta11 = "Akimbo Stahl StA-11s",
		bm_w_sta14 = "Stahl StA-14",
		bm_w_sta18 = "Stahl StA-18",
		bm_w_x_sta18 = "Akimbo Stahl StA-18s",
		bm_w_sta52 = "Stahl StA-52",
		bm_w_valve2034 = "\"Valve\"",
		bm_w_xm29oicw = "H&K XM29 OICW",
		bm_w_eagle = "FN Ballista",
		bm_w_ulf = "KAC ChainSAW",
		bm_w_faith = "Truvelo NeoStead 2000",
		bm_w_freecores = "Springfield M1903 Bullpup",
		bm_w_slap_308 = "H&K G3A3",
		bm_w_kurz_308 = "Fleming HK51",
		bm_w_slap_556 = "H&K HK33A2",
		bm_w_kurz_556 = "H&K HK53",
		bm_w_rag = "FB PR-15",
		bm_w_sw_mod3 = "S&W Model 3",
		bm_w_choco = "FN FNC",
		bm_w_1903 = "FN Model 1903",
		bm_w_1096 = "FN Model 1906",
		bm_w_hammer = "FN HAMR IAR",
		bm_w_rpk16 = "IZHMASH RPK-16",
		bm_w_labcoat = "Daewoo K11",
		bm_w_wicc = "TTI/SIG MPX",
		bm_w_eazy = "Ingram M11",
		bm_w_veep = "H&K VP9",
		bm_w_pancake = "FN FN15",
		bm_w_priscilla = "Benelli M3",
		bm_w_m1a = "Springfield M1A SOCOM 16",
		bm_w_gameover = "KAC M4 SOPMOD II",
		bm_w_defy = "ST Pipe Hitters SBR",
		bm_w_squirrel = "FN P90 TR",
		bm_w_mk16cqc = "FN MK.16 PDW",
		bm_w_falcqc = "FN FAL 50.63 PARA",
		--bm_w_falwtf = "",
		bm_w_toohorny = "FN MK.48 Mod 0",
		bm_w_twoforty = "FN M240B",
		bm_w_thor = "EAA/Tanfoglio Thor",
		bm_w_pedohunter = "Zijiang M99",
		bm_w_loveforleon = "AI AS50",
		bm_w_srr = "KAC Revolver Rifle",
		bm_w_sorrymira = "FB MSBS-5.56K",
		bm_w_lesbo = "IZHMASH Saiga-12U",
		bm_w_kitsune = "Mossberg 590 \"Shockwave\"",
		
		------------------------------------------
		--  Standalone Attachments & Mod Packs  --
		------------------------------------------
		
		--[Stocks]
		--AR-15 Pack
		bm_wp_wpn_fps_upg_m4_s_caastock = "CAA Collapsible Stock",
		bm_wp_wpn_fps_upg_m4_s_caastock_black = "CAA Black Collapsible Stock",
		bm_wp_wpn_fps_upg_m4_s_fab_glr16s = "FAB GLR-16S Stock",
		bm_wp_wpn_fps_upg_m4_s_fab_glr16s_alt = "FAB GLR-16S w/o Recoil Pad",
		bm_wp_wpn_fps_upg_m4_s_hke1 = "H&K E1 Stock",
		bm_wp_wpn_fps_upg_m4_s_hkslimline = "H&K Slimline Stock",
		bm_wp_wpn_fps_upg_m4_s_viper = "Strike Viper MOD-1 Stock",
		--Goblin (Dokkaebi's M14)
		bm_wp_wpn_fps_ass_m14_body_goblin = "Troy Rock SOPMOD M14 Kit",
		--Modern Foldable Stock (AK17 Various Attachment)
		bm_wp_wpn_fps_ass_flint_s_fold = "FAB UAS AK Stock",
		--Continental Stock (TTI Attachment Pack)
		bm_wp_wpn_fps_sho_ben_s_tti = "TTI Benelli M2 Solid Stock",
		--Tacticool Stocks
		bm_wp_wpn_fps_upg_m4_s_bus = "MFT BUS Stock",
		bm_wp_wpn_fps_upg_m4_s_core = "FAB GL-CORE Stock",
		--Stocks (R870 Attachment Pack)
		bm_wp_wpn_fps_shot_mossberg_s_grip = "Mossberg 590 Stock",
		
		--[Optics, Irons & Magnified Scopes]
		--Horzine Tech
		bm_wp_wpn_fps_upg_o_horzine = "HMTech Series HUD Sight",
		--EOTech 552
		bm_wp_wpn_fps_upg_o_eotech552 = "EOTech 552 Holo Sight",
		--Valday 1P87
		bm_wp_wpn_fps_upg_o_valday1p87 = "Jupiter PK-120 Holo Sight",
		--ROMEO3
		bm_wp_wpn_fps_upg_o_romeo3 = "SIG ROMEO3 Reflex Sight",
		--CS:GO Scope
		bm_wp_wpn_fps_upg_o_csgoscope = "S&B PMII Rifle Scope",
		--Front Sights
		bm_wp_wpn_fps_m4_flipup = "Midwest Flip-up Front Sight",
		--MARS
		bm_wp_wpn_fps_ass_komodo_o_mars = "ITL MARS Reflex Sight",
		--Holosight
		bm_wp_wpn_fps_upg_o_reflexholo = "Wonyeon Holosight",
		--WWII Reflector Sights
		bm_wp_wpn_fps_upg_o_mk3 = "B&S Mk IIIA Gunsight",
		--MOR
		bm_wp_wpn_fps_upg_o_mepro = "Mepro MOR Reflex Sight",
		--Ring 1080
		bm_wp_wpn_fps_upg_o_p90_ring = "Strike MC-10-80 Ring Sight",
		--Rusak
		bm_wp_wpn_fps_upg_o_rusak = "Kazan \"Rusak\" Red Dot",
		--Tracker Sight (CoD: Ghosts)
		bm_wp_wpn_fps_upg_o_tracker = "CNPCX Target Tracker",
		--XM25 Scope
		bm_wp_wpn_fps_gre_arbiter_o_smart = "XM104 Scope",
		--Homeboy Nyte-Sytes
		bm_wp_wpn_fps_upg_o_birdman = "Birdman \"HoMeBoY\" Night Sights",
		--Iron Sights Pack
		bm_wp_wpn_fps_upg_o_var_kac_rear = "KAC Flip-up Sights",
		bm_wp_wpn_fps_upg_o_var_troy_rear = "Troy HK Flip-up Battle Sights",
		bm_wp_wpn_fps_upg_o_var_troym4_rear = "Troy M4 Flip-up Battle Sights",
		--Sights (GITS:SACFAO Attachment Pack)
		bm_wp_wpn_fps_upg_o_gits_futeot = "EOTech 552 Holo Sight",
		bm_wp_wpn_fps_upg_o_gits_zism = "Insight Tech. ISM-V Red Dot",
		--Irons (Operator Attachment Pack)
		bm_wp_wpn_fps_upg_o_amine = "SOP \"Heart\" Rear Sight",
		bm_wp_wpn_fps_upg_o_romeo = "SIG ROMEO3 Reflex Sight",
		--Flip-up Irons (AR Extra Attachments Pack)
		bm_wp_wpn_fps_ass_stoy_556_fo_commando = "Troy M4 Front Flip-up Sight",
		bm_wp_wpn_fps_ass_stoy_556_ro_commando = "Troy M4 Rear Flip-up Sight",
		--Torrey Pines Thermal Reflex Sight
		bm_wp_wpn_fps_upg_o_pine = "Torrey Pines T12-W Thermal Sight",
		
		--[Handguards]
		--KAC M5 RAS
		bm_wp_wpn_fps_m16_fg_govt = "KAC M5 RAS Handguard",
		--M16 LSW Handguard
		bm_wp_wpn_fps_ass_m16_fg_lsw = "M950 Handguard",
		--ST M-LOK Handguard
		bm_wp_wpn_fps_upg_fg_washboard = "ST M-LOK Quad Rail",
		--Handguard (Contractor .308 Various Attachment)
		bm_wp_wpn_fps_snp_tti_fg_rail = "KAC MK.11 Handguard w/Elev. Top Rail",
		--Favela Foregrip (FAL Various Attachment)
		bm_wp_wpn_fps_ass_fal_fg_stg58 = "Steyr StG-58 Handguard",
		--blargh (Vanilla Mod Pack)
		bm_wp_wpn_fps_shot_m37_fg_long = "Winchester Model 12 Field Gun Pump",
		--Pumps (R870 Attachment Pack)
		bm_wp_wpn_fps_shot_mossberg_fg_pump = "Mossberg 590 Pump",
		--AK Handguards (AK Extra Attachments Pack)
		bm_wp_wpn_fps_ass_heffy_all_lfg_krebs = "Krebs UFM Lower Keymod Rail",
		bm_wp_wpn_fps_ass_heffy_all_ufg_krebs = "Krebs UFM Upper Keymod Rail",
		--AK Extras 2
		bm_wp_wpn_fps_ass_ak_all_lhg_caa = "CAA RS47-SET Lower Handguard",
		bm_wp_wpn_fps_ass_ak_all_uhg_caa = "CAA RS47-SET Upper Handguard",
		bm_wp_wpn_fps_ass_ak_all_lhg_vent = "Troy \"BattleRail\" Lower Handguard",
		bm_wp_wpn_fps_ass_ak_all_uhg_swiss = "Khyber \"Swiss\" Grater Upper H.",
		bm_wp_wpn_fps_ass_ak_all_hg_trax = "Strike TRAX 1 Handguard",
		bm_wp_wpn_fps_ass_ak_all_hge_trax = "Strike TRAX 2 Extension",
		--Tacticool Handguards
		bm_wp_wpn_fps_upg_fg_urx3 = "KAC URX 3.1 Handguard",
		bm_wp_wpn_fps_upg_fg_urx10 = "KAC URX 3 Handguard",
		bm_wp_wpn_fps_upg_fg_lone = "LSA \"Ion Lite\" Handguard",
		bm_wp_wpn_fps_upg_fg_sail = "SAI 14.5\" QD Rail",
		bm_wp_wpn_fps_upg_fg_sais = "SAI 10\" QD Rail",
		bm_wp_wpn_fps_upg_fg_stm9 = "STM 9\" Handguard",
		bm_wp_wpn_fps_upg_fg_stm12 = "STM 12\" Handguard",
		bm_wp_wpn_fps_upg_fg_stm15 = "STM 15\" Handguard",
		bm_wp_wpn_fps_upg_fg_strike = "Strike Ind. Viper Handguard",
		bm_wp_wpn_fps_upg_fg_rsass = "Remington RSASS Handguard",
		bm_wp_wpn_fps_ak_upg_fg_b30 = "Zenit B-30 Handguard w/B-31S Rail",
		bm_wp_wpn_fps_ak_upg_fg_caa = "CAA RS47 Handguard",
		bm_wp_wpn_fps_ak_upg_fg_krebsl = "Krebs UFM Keymod Handguard",
	
		--[Dust Covers]
		--AK Extras 2
		bm_wp_wpn_fps_ass_ak_all_dc_awoo = "TWS \"Dog Leg\" Dust Cover",
		
		--[Gas Tubes]
		--AK Extras 2
		bm_wp_wpn_fps_ass_ak_all_gt_troy = "Troy \"BattleRail\" Gas Tube",
		
		--[Vertical Grips]
		--Potato
		bm_wp_wpn_fps_ass_contraband_vg_fab_miki = "FAB MIKI Potato Grip",
		--MP7 Folding Grip (Jager's HK416)
		bm_wp_wpn_fps_ass_hk416_vg_fold = "H&K Folding Vertical Grip",
		--Grippy Vertical Grip Pack
		bm_wp_wpn_fps_upg_vg_bcm = "BCM GUNFIGHTER Mod3 Vertical Grip",
		bm_wp_wpn_fps_upg_vg_uvg = "VTAC Ultralight Vertical Grip",
		--Tactical Vertical Grip Pack
		bm_wp_wpn_fps_upg_vg_fab_reg = "FAB Rubberized Ergonomic Grip",
		bm_wp_wpn_fps_upg_vg_troy_modular = "Troy Modular Combat Grip",
		bm_wp_wpn_fps_upg_vg_troy_modularshort = "Troy Short Modular Combat Grip",
		--Magwell & Grips (Operator Attachment Pack)
		bm_wp_wpn_fps_upg_shepheard_mwg_tti = "TTI MPX Magwell",
		bm_wp_wpn_fps_upg_vg_bcmthree = "BCM GUNFIGHTER Short Vertical Grip",
		
		--[Receivers & Pistol Frames]
		--M&P15 Lower (AR Extra Attachment)
		bm_wp_wpn_fps_ass_stoy_556_lr_mp15 = "S&W M&P15 Lower Receiver",
		--Receivers, Frames & Exclusive Kits (Vanilla Mod Pack)
		bm_wp_wpn_fps_pis_g22c_body_wick_dummy = "TTI Combat Master Kit",
		--Contractor Lower (TTI Attachment Pack)
		bm_wp_wpn_fps_upg_rec_tti = "TTI Stripped Lower Receiver",
		bm_wp_wpn_fps_m4_upper_tx15 = "LSA TX-15 Upper Receiver",
		bm_wp_wpn_fps_m4_lower_tx15 = "LSA TX-15 DML Lower Receiver",

		--[Pistol Grips]
		--AK Grips (AK Extra Attachments Pack)
		bm_wp_wpn_fps_ass_heffy_all_pg_saw = "TAPCO AK-47 SAW Pistol Grip",
		bm_wp_wpn_fps_ass_heffy_545_pg_ivan = "FAB AK Pistol Grip",
		--AR-15 Grip Pack
		bm_wp_wpn_fps_upg_m4_g_fab_agr43 = "FAB AGR-43 Ergo Pistol Grip",
		--Magwell Grip (Operator Attachment Pack)
		bm_wp_wpn_fps_upg_wellgrip = "FAB Magazine Well Grip",
		--Tacticool Grips
		bm_wp_wpn_fps_upg_m4_g_dlg123 = "DLG-123 Pistol Grip",
		bm_wp_wpn_fps_upg_m4_g_grals = "Naroh GRAL-S Aluminum Grip",
		bm_wp_wpn_fps_upg_m4_g_mcx = "SIG MCX Pistol Grip",
		bm_wp_wpn_fps_upg_m4_g_st1 = "F-1 Skeletonized Style 1 Grip",
		bm_wp_wpn_fps_upg_m4_g_st2 = "F-1 Skeletonized Style 2 Grip",
		bm_wp_wpn_fps_upg_m4_g_st2pc = "F-1 Skeletonized Style 2 PC Grip",
		bm_wp_wpn_fps_upg_m4_g_psg = "Ergo Tactical Deluxe Grip w/Palm Shelf",
		
		--[Barrels]
		--GatMalite
		bm_wp_wpn_fps_m4_uupg_b_gatmalite = "KAC GatMalite Barrel",
		
		--[Pistol Slides]
		--Contractor Slide (TTI Attachment Pack)
		bm_wp_wpn_fps_upg_g22c_sl_tti = "TTI Combat Master Slide",
		
		--[Barrel Attachments]
		--Vanilla Mod Pack
		bm_wp_wpn_fps_upg_ns_ass_smg_russian = "Springfield SAINT Muzzle Brake",
		--Heavy Metal Muzzle Device Pack
		bm_wp_wpn_fps_upg_ns_ass_vortex = "Smith \"Vortex\" Flash Hider",
		bm_wp_wpn_fps_upg_ns_ass_yhm_slant = "YHM Slant Muzzle Brake",
		bm_wp_wpn_fps_upg_ns_pis_major = "SJC Major Compensator",
		bm_wp_wpn_fps_upg_ns_pis_yhm = "YHM Pistol Compensator",
		--AK Extras 2
		bm_wp_wpn_fps_ass_ak_all_md_dyna = "ST Dynacomp Muzzle Brake",
		--Sneaky Supp. Pack
		bm_wp_wpn_fps_ass_ns_g_sup4 = "YHM Phantom Suppressor",
		--Tarkov Muzzle Pack
		bm_wp_wpn_fps_upg_ns_illusion = "AAC Illusion Suppressor",
		bm_wp_wpn_fps_upg_ns_fischer = "Fischer FD917 Suppressor",
		bm_wp_wpn_fps_upg_ns_dyna = "ST Dynacomp Compensator",
		bm_wp_wpn_fps_upg_ns_yank = "YHM Annihilator Muzzle Brake",
		bm_wp_wpn_fps_upg_ns_apologiestomira = "SAI \"JailBrake\" Muzzle Device",
		bm_wp_wpn_fps_upg_ns_fawkes = "Vendetta VP09 Muzzle Brake",
		--Tacticool Suppressors
		bm_wp_wpn_fps_ass_ns_g_srd = "SIG SRD9 Suppressor",
		bm_wp_wpn_fps_ass_ns_g_nt4 = "KAC NT-4 Suppressor",
		bm_wp_wpn_fps_ass_ns_g_prs = "KAC PRS Suppressor",
		bm_wp_wpn_fps_ass_ns_g_srdbig = "SIG SRD762 Suppressor",
		bm_wp_wpn_fps_ass_ns_g_srdqd = "SIG SRD762-QD Suppressor",
		--Muzzle Brakes (AR Extra Attachments Pack)
		bm_wp_wpn_fps_ass_heffy_all_fh_krebs = "Krebs 4-Prong Flash Suppressor",
		
		--[Magazines]
		--Casket (MAC-10)
		bm_wp_wpn_fps_smg_mac10_m_casket = "60rnd M10 Casket Magazine",
		--Tacticool Magazines
		bm_wp_wpn_fps_upg_m_battle = "30rnd Troy Battlemag Magazine",
		
		--[Gadgets]
		--LAM (USP Tactical)
		bm_wp_wpn_fps_upg_fl_pis_LAM = "Wilcox MK.23 LAM",
		--WML
		bm_wp_wpn_fps_upg_fl_wml = "InForce Gen 2 WML",

		--Lost Gadgets Pack
		bm_wp_wpn_fps_upg_fl_anpeq2 = "Insight Tech. AN/PEQ-2",
		bm_wp_wpn_fps_upg_fl_dbal_d2 = "Steiner DBAL-D2",
		--Stealth Flashlights
		bm_wp_wpn_fps_upg_fl_pis_micro90 = "S&W Micro 90 Pistol Light",
		bm_wp_wpn_fps_upg_fl_wml = "InForce Gen 2 WML",
		--Tacticool Tacticals
		bm_wp_wpn_fps_upg_fl_la5 = "Insight Tech. LA-5B/PEQ",
		bm_wp_wpn_fps_upg_fl_peq2 = "Insight Tech. AN/PEQ-2",
		bm_wp_wpn_fps_upg_fl_dbal = "Steiner DBAL-PL",
		bm_wp_wpn_fps_upg_fl_las = "Steiner Defense LAS/TAC 2",
		
		
		--[Underbarrel Weapons]
		--Masterkey Pack
		bm_wp_wpn_fps_ubs_six12 = "Crye SIX-12",
		--Launcher & Shotty (M16 "Little Friend" Attachments)
		bm_wp_wpn_fps_m16_ub_masterkey = "KAC Masterkey",
		
		--[Internal Modifications]
		--M712 Full-Auto (C96)
		bm_wp_wpn_fps_upg_mauser_autofire = "M712 Full-Auto Kit",
		--DMR Kit (AS Val)
		bm_wp_wpn_fps_upg_i_asval_dmr = "VSS Kit",
		
		--[Scope Mounts]
		--OG Valkyria Scope Mount (Vanilla Mod Pack)
		bm_wp_wpn_fps_ass_asval_o_oldrail = "NPZ AK/SVD Scope Mount",
		
		--[Rail Covers]
		--Rail Cover Pack
		bm_wp_wpn_fps_rail_covers = "KAC Rail Covers",
		--AR-9 Rail Covers (AR Extra Attachment)
		bm_wp_wpn_fps_ass_stoy_556_lrc_m4a1 = "KAC Rail Covers",
		
		bm_w_comma = "oi, fuck off already"
		
		})
	end

		-------------------------
		-- Model/Texture Swaps --
		-------------------------
		
		--Old Weapon Textures and Models
		if Yawn.Options:GetValue("enable") and Yawn.Options:GetValue("shortnames")
		and SystemFS:exists("assets/mod_overrides/Old Weapon Textures and Models") or SystemFS:exists("assets/mod_overrides/Classic Weapon Animations/main.xml") then
			LocalizationManager:add_localized_strings({
				bm_w_mp5 = "H&K MP5A4",
				bm_w_x_mp5 = "Akimbo H&K MP5A4s",
			})
		end
		
		--A proper Ksp 58
		if Yawn.Options:GetValue("enable") and Yawn.Options:GetValue("shortnames")
		and SystemFS:exists("assets/mod_overrides/A proper Ksp 58/main.xml") then
			LocalizationManager:add_localized_strings({
				bm_w_par = "Carl Gustav Ksp 58B",
			})
		end

end)